/* AUTOGENERATED FROM scripts/mkstatic/mkstatic.c.template */

/*
 * Copyright 2013 University of Chicago and Argonne National Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */

/**
  Alternative launcher program that can be used in place of tclsh
  to launch a Tcl script.  Avoids need to dynamically load libraries.

  Tim Armstrong - Dec 11 2013
 */


#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <tcl.h>
#include <mpi.h>

#include <turbine.h>
#include <tcl-turbine.h>
#include <static-pkg.h>

static bool extract_bundled_files(void);



static const bool has_main_string = true;
static const unsigned char __turbine_tcl_main[];

static const unsigned char __turbine_tcl_resource_init_tcl[]; /* /usr/share/tcltk/tcl8.6/init.tcl */
static const size_t __turbine_tcl_resource_init_tcl_len;
static const unsigned char __turbine_tcl_resource_package_tcl[]; /* /usr/share/tcltk/tcl8.6/package.tcl */
static const size_t __turbine_tcl_resource_package_tcl_len;
static const unsigned char __turbine_tcl_resource_tm_tcl[]; /* /usr/share/tcltk/tcl8.6/tm.tcl */
static const size_t __turbine_tcl_resource_tm_tcl_len;
static const unsigned char __turbine_tcl_resource_optparse_tcl[]; /* /usr/share/tcltk/tcl8.6/opt0.4/optparse.tcl */
static const size_t __turbine_tcl_resource_optparse_tcl_len;
static const unsigned char __turbine_tcl_resource_auto_tcl[]; /* /usr/share/tcltk/tcl8.6/auto.tcl */
static const size_t __turbine_tcl_resource_auto_tcl_len;
static const unsigned char __turbine_tcl_resource_clock_tcl[]; /* /usr/share/tcltk/tcl8.6/clock.tcl */
static const size_t __turbine_tcl_resource_clock_tcl_len;
static const unsigned char __turbine_tcl_resource_history_tcl[]; /* /usr/share/tcltk/tcl8.6/history.tcl */
static const size_t __turbine_tcl_resource_history_tcl_len;
static const unsigned char __turbine_tcl_resource_parray_tcl[]; /* /usr/share/tcltk/tcl8.6/parray.tcl */
static const size_t __turbine_tcl_resource_parray_tcl_len;
static const unsigned char __turbine_tcl_resource_pkgIndex_tcl[]; /* /usr/share/tcltk/tcl8.6/http1.0/pkgIndex.tcl */
static const size_t __turbine_tcl_resource_pkgIndex_tcl_len;
static const unsigned char __turbine_tcl_resource_safe_tcl[]; /* /usr/share/tcltk/tcl8.6/safe.tcl */
static const size_t __turbine_tcl_resource_safe_tcl_len;
static const unsigned char __turbine_tcl_resource_word_tcl[]; /* /usr/share/tcltk/tcl8.6/word.tcl */
static const size_t __turbine_tcl_resource_word_tcl_len;
static const unsigned char __turbine_tcl_resource_staticapp_bundled_1_1_data[]; /* tests/staticapp-bundled-1.1.data */
static const size_t __turbine_tcl_resource_staticapp_bundled_1_1_data_len;
static const unsigned char __turbine_tcl_resource_staticapp_bundled_1_2_data[]; /* tests/staticapp-bundled-1.2.data */
static const size_t __turbine_tcl_resource_staticapp_bundled_1_2_data_len;
static const unsigned char *bundled_file_data[] = {
__turbine_tcl_resource_staticapp_bundled_1_1_data, 
__turbine_tcl_resource_staticapp_bundled_1_2_data, 
};
static const size_t *bundled_file_lens[] = {
&__turbine_tcl_resource_staticapp_bundled_1_1_data_len, 
&__turbine_tcl_resource_staticapp_bundled_1_2_data_len, 
};
static const char *bundled_file_names[] = {
"staticapp-bundled-1.1.data", 
"staticapp-bundled-1.2.data", 
};


// Functions to initialize packages

static int init_opt_0_4_6(Tcl_Interp *interp) {
  int rc = TCL_OK;
  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_optparse_tcl,  (int)__turbine_tcl_resource_optparse_tcl_len, "/usr/share/tcltk/tcl8.6/opt0.4/optparse.tcl") != TCL_OK) {
    return TCL_ERROR;
  }
  return rc;
}
static int InitAllPackages(Tcl_Interp *interp) {
  int rc = TCL_OK;
  return rc;
}


/*
  Initialize a fresh Tcl interpreter with all libraries.
  This can be used to initialize child interpreters too.
  For this purpose this function is declared in the mkstatic.h header.
 */
int MkStatic_Tcl_Init(Tcl_Interp *interp)
{
  int skip_tcl_init = 1;
  if (!skip_tcl_init)
  {
    int rc = Tcl_Init(interp);
    if (rc != TCL_OK)
    {
      fprintf(stderr, "Unexpected error initializing Tcl Interpreter:\n");
      Tcl_Eval(interp, "puts $errorInfo");
      return rc;
    }
  }
  else
  {
    // Do any setup required before running init scripts
      Tcl_ObjSetVar2(interp, Tcl_NewStringObj("tcl_library", -1), NULL, Tcl_NewStringObj("", -1), 0);

  }
  

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_init_tcl,  (int)__turbine_tcl_resource_init_tcl_len, "/usr/share/tcltk/tcl8.6/init.tcl") != TCL_OK) {
    return TCL_ERROR;
  }
  Tcl_Eval(interp, "\n\
      if {[info exists env(TCLLIBPATH)]} {\n\
          set auto_path $env(TCLLIBPATH)\n\
      } else {\n\
          set auto_path \"\"\n\
      }\n\
    ");

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_package_tcl,  (int)__turbine_tcl_resource_package_tcl_len, "/usr/share/tcltk/tcl8.6/package.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_tm_tcl,  (int)__turbine_tcl_resource_tm_tcl_len, "/usr/share/tcltk/tcl8.6/tm.tcl") != TCL_OK) {
    return TCL_ERROR;
  }


  if (register_static_pkg(interp, "opt",  "0.4.6", init_opt_0_4_6) != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_auto_tcl,  (int)__turbine_tcl_resource_auto_tcl_len, "/usr/share/tcltk/tcl8.6/auto.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_clock_tcl,  (int)__turbine_tcl_resource_clock_tcl_len, "/usr/share/tcltk/tcl8.6/clock.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_history_tcl,  (int)__turbine_tcl_resource_history_tcl_len, "/usr/share/tcltk/tcl8.6/history.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_parray_tcl,  (int)__turbine_tcl_resource_parray_tcl_len, "/usr/share/tcltk/tcl8.6/parray.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  Tcl_SetVar(interp, "dir", "/usr/share/tcltk/tcl8.6/http1.0", 0);
  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_pkgIndex_tcl,  (int)__turbine_tcl_resource_pkgIndex_tcl_len, "/usr/share/tcltk/tcl8.6/http1.0/pkgIndex.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_safe_tcl,  (int)__turbine_tcl_resource_safe_tcl_len, "/usr/share/tcltk/tcl8.6/safe.tcl") != TCL_OK) {
    return TCL_ERROR;
  }

  if (tcl_eval_bundled_file(interp, (const char*)__turbine_tcl_resource_word_tcl,  (int)__turbine_tcl_resource_word_tcl_len, "/usr/share/tcltk/tcl8.6/word.tcl") != TCL_OK) {
    return TCL_ERROR;
  }
  Tcl_UnsetVar(interp, "dir", 0);


  // Make Turbine package available to interpreter
  if (register_tcl_turbine_static_pkg(interp) != TCL_OK)
  {
    // Error info already printed by function
    return TCL_ERROR;
  }

  // Setup user packages to be loaded with package require
  
  if (register_static_pkg(interp, "test",  "0.1", InitAllPackages) != TCL_OK) {
    return TCL_ERROR;
  }

  return TCL_OK;
}

int
main(int argc, const char **argv)
{
  if (!extract_bundled_files())
  {
    exit(1);
  }


  Tcl_Interp *interp = Tcl_CreateInterp();

  if (MkStatic_Tcl_Init(interp) != TCL_OK)
  {
    exit(1);
  }

  turbine_code tc;
  const char *script_file = NULL;
  if (has_main_string)
  {
    tc = turbine_run_string(MPI_COMM_NULL, (const char*)__turbine_tcl_main,
                            argc, argv, NULL, interp);
  }
  else
  {
    if (argc < 2)
    {
      printf("%s: first argument must be script file!\n", argv[0]);
      exit(EXIT_FAILURE);
    }

    // Get script from first argument
    script_file = argv[1];

    // Pass remaining arguments minus script to turbine_run
    for (int i = 1; i < argc - 1; i++)
    {
      argv[i] = argv[i+1];
    }
    argc--;
    tc = turbine_run_interp(MPI_COMM_NULL, script_file, argc, argv, NULL,
                            interp);
  }

  if (tc == TURBINE_SUCCESS)
  {
    return 0;
  }
  else
  {
    char code_name[TURBINE_CODE_STRING_MAX];
    turbine_code_tostring(code_name, tc);
    if (script_file != NULL)
    {
      fprintf(stderr, "Error executing script file %s: turbine error "
                      "%s (%i)\n", script_file, code_name, tc);
    } else {
      fprintf(stderr, "Error executing compiled in main script "
                      "(source %s): turbine error %s (%i)\n",
                      "tests/staticapp-bundled-1.tcl", code_name, tc);
    }
    Tcl_Eval(interp, "puts $errorInfo");
    return 2;
  }
  return 0;
}

static bool extract_bundled_files(void)
{
  const char *dst_dir = "/tmp";

  // Check POSIX temporary dir location
  if (getenv("TMPDIR") != NULL)
  {
    dst_dir = getenv("TMPDIR");
  }

  if (getenv("MKSTATIC_TMPDIR") != NULL)
  {
    dst_dir = getenv("MKSTATIC_TMPDIR");
  }
  
  // Note: assume dst_dir exists

  for (int i = 0; i < 2; i++)
  {
    const char *name = bundled_file_names[i];
    const unsigned char *data = bundled_file_data[i];
    size_t len = *bundled_file_lens[i];

    char path[strlen(dst_dir) + strlen(name) + 1];
    sprintf(path, "%s/%s", dst_dir, name);
    FILE *out = fopen(path, "wb");
    if (out == NULL)
    {
      fprintf(stderr, "Could not open %s for writing\n", path);
      return false;
    }

    if (fwrite(data, 1, len, out) != len)
    {
      fprintf(stderr, "Error writing to file %s: %s\n", path,
                      strerror(errno));
      return false;
    }

    if (fclose(out) != 0)
    {
      fprintf(stderr, "Error closing file %s: %s\n", path,
                       strerror(errno));
      return false;
    }

  }

  return true;
}

// Binary data for Tcl main script
/*FILE2ARRAY:__turbine_tcl_main:tests/staticapp-bundled-1.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_main[] = {
  0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20,
  0x32, 0x30, 0x31, 0x34, 0x20, 0x55, 0x6e, 0x69, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x74, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x43, 0x68, 0x69, 0x63, 0x61,
  0x67, 0x6f, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x41, 0x72, 0x67, 0x6f, 0x6e,
  0x6e, 0x65, 0x20, 0x4e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20,
  0x4c, 0x61, 0x62, 0x6f, 0x72, 0x61, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x4c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x64, 0x20,
  0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x41, 0x70,
  0x61, 0x63, 0x68, 0x65, 0x20, 0x4c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65,
  0x2c, 0x20, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x32, 0x2e,
  0x30, 0x20, 0x28, 0x74, 0x68, 0x65, 0x20, 0x22, 0x4c, 0x69, 0x63, 0x65,
  0x6e, 0x73, 0x65, 0x22, 0x29, 0x3b, 0x0a, 0x23, 0x20, 0x79, 0x6f, 0x75,
  0x20, 0x6d, 0x61, 0x79, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65,
  0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65,
  0x78, 0x63, 0x65, 0x70, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x6f, 0x6d,
  0x70, 0x6c, 0x69, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65,
  0x2e, 0x0a, 0x23, 0x20, 0x59, 0x6f, 0x75, 0x20, 0x6d, 0x61, 0x79, 0x20,
  0x6f, 0x62, 0x74, 0x61, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x70,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x69, 0x63,
  0x65, 0x6e, 0x73, 0x65, 0x20, 0x61, 0x74, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x68, 0x74, 0x74, 0x70, 0x3a, 0x2f, 0x2f, 0x77,
  0x77, 0x77, 0x2e, 0x61, 0x70, 0x61, 0x63, 0x68, 0x65, 0x2e, 0x6f, 0x72,
  0x67, 0x2f, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x73, 0x2f, 0x4c,
  0x49, 0x43, 0x45, 0x4e, 0x53, 0x45, 0x2d, 0x32, 0x2e, 0x30, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x55, 0x6e, 0x6c, 0x65, 0x73, 0x73, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x69, 0x72, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x61, 0x70,
  0x70, 0x6c, 0x69, 0x63, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6c, 0x61, 0x77,
  0x20, 0x6f, 0x72, 0x20, 0x61, 0x67, 0x72, 0x65, 0x65, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x72, 0x69, 0x74, 0x69, 0x6e, 0x67,
  0x2c, 0x20, 0x73, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x0a, 0x23,
  0x20, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x64,
  0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c,
  0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x20, 0x69, 0x73, 0x20, 0x64, 0x69,
  0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x64, 0x20, 0x6f, 0x6e,
  0x20, 0x61, 0x6e, 0x20, 0x22, 0x41, 0x53, 0x20, 0x49, 0x53, 0x22, 0x20,
  0x42, 0x41, 0x53, 0x49, 0x53, 0x2c, 0x0a, 0x23, 0x20, 0x57, 0x49, 0x54,
  0x48, 0x4f, 0x55, 0x54, 0x20, 0x57, 0x41, 0x52, 0x52, 0x41, 0x4e, 0x54,
  0x49, 0x45, 0x53, 0x20, 0x4f, 0x52, 0x20, 0x43, 0x4f, 0x4e, 0x44, 0x49,
  0x54, 0x49, 0x4f, 0x4e, 0x53, 0x20, 0x4f, 0x46, 0x20, 0x41, 0x4e, 0x59,
  0x20, 0x4b, 0x49, 0x4e, 0x44, 0x2c, 0x20, 0x65, 0x69, 0x74, 0x68, 0x65,
  0x72, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x20, 0x6f, 0x72,
  0x20, 0x69, 0x6d, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20,
  0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x69, 0x63, 0x65,
  0x6e, 0x73, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x20, 0x6c, 0x61, 0x6e,
  0x67, 0x75, 0x61, 0x67, 0x65, 0x20, 0x67, 0x6f, 0x76, 0x65, 0x72, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69,
  0x6f, 0x6e, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x20, 0x6c, 0x69,
  0x6d, 0x69, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x75, 0x6e,
  0x64, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x69, 0x63, 0x65,
  0x6e, 0x73, 0x65, 0x0a, 0x0a, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x74, 0x75, 0x72,
  0x62, 0x69, 0x6e, 0x65, 0x20, 0x30, 0x2e, 0x34, 0x0a, 0x0a, 0x23, 0x20,
  0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x65,
  0x6c, 0x69, 0x62, 0x65, 0x72, 0x61, 0x74, 0x65, 0x6c, 0x79, 0x20, 0x6c,
  0x65, 0x66, 0x74, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_main_len = sizeof(__turbine_tcl_main) - 1;


// Binary data for resources
/* data from /usr/share/tcltk/tcl8.6/init.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_init_tcl:/usr/share/tcltk/tcl8.6/init.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_init_tcl[] = {
  0x23, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x75, 0x70, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x54, 0x63, 0x6c, 0x2d, 0x62, 0x61, 0x73, 0x65, 0x64, 0x20,
  0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x2e, 0x20, 0x20, 0x44, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x73, 0x0a, 0x23,
  0x20, 0x22, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x22, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x66,
  0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x69, 0x65, 0x73, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74,
  0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x31, 0x2d, 0x31, 0x39,
  0x39, 0x33, 0x20, 0x54, 0x68, 0x65, 0x20, 0x52, 0x65, 0x67, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x55, 0x6e,
  0x69, 0x76, 0x65, 0x72, 0x73, 0x69, 0x74, 0x79, 0x20, 0x6f, 0x66, 0x20,
  0x43, 0x61, 0x6c, 0x69, 0x66, 0x6f, 0x72, 0x6e, 0x69, 0x61, 0x2e, 0x0a,
  0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20,
  0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x34, 0x2d, 0x31, 0x39, 0x39,
  0x36, 0x20, 0x53, 0x75, 0x6e, 0x20, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73,
  0x79, 0x73, 0x74, 0x65, 0x6d, 0x73, 0x2c, 0x20, 0x49, 0x6e, 0x63, 0x2e,
  0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74,
  0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x38, 0x2d, 0x31, 0x39,
  0x39, 0x39, 0x20, 0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x63, 0x73,
  0x20, 0x43, 0x6f, 0x72, 0x70, 0x6f, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x2e, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x32, 0x30, 0x30, 0x34, 0x20, 0x62,
  0x79, 0x20, 0x4b, 0x65, 0x76, 0x69, 0x6e, 0x20, 0x42, 0x2e, 0x20, 0x4b,
  0x65, 0x6e, 0x6e, 0x79, 0x2e, 0x20, 0x20, 0x41, 0x6c, 0x6c, 0x20, 0x72,
  0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x72, 0x65, 0x73, 0x65, 0x72, 0x76,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x65, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x22, 0x6c, 0x69,
  0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74, 0x65, 0x72, 0x6d, 0x73, 0x22,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e, 0x20, 0x75, 0x73, 0x61, 0x67,
  0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x64, 0x69, 0x73, 0x74,
  0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x44,
  0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d, 0x45, 0x52, 0x20, 0x4f, 0x46,
  0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41, 0x52, 0x52, 0x41, 0x4e, 0x54,
  0x49, 0x45, 0x53, 0x2e, 0x0a, 0x23, 0x0a, 0x0a, 0x23, 0x20, 0x54, 0x68,
  0x69, 0x73, 0x20, 0x74, 0x65, 0x73, 0x74, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x77, 0x72,
  0x69, 0x74, 0x74, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x20, 0x70, 0x72, 0x65,
  0x2d, 0x37, 0x2e, 0x35, 0x20, 0x54, 0x63, 0x6c, 0x0a, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x5d,
  0x20, 0x3d, 0x3d, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x76, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6d, 0x69, 0x73, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x3a, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x5c, 0x6e,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73, 0x20, 0x65, 0x78, 0x70, 0x65,
  0x63, 0x74, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x20, 0x37, 0x2e, 0x35, 0x62, 0x31, 0x20, 0x6f, 0x72, 0x20,
  0x6c, 0x61, 0x74, 0x65, 0x72, 0x20, 0x62, 0x75, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x76, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x5c, 0x6e, 0x6f, 0x6e, 0x6c,
  0x79, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70, 0x61, 0x74, 0x63,
  0x68, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x5d, 0x22, 0x0a, 0x7d, 0x0a, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69,
  0x72, 0x65, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x54, 0x63,
  0x6c, 0x20, 0x38, 0x2e, 0x36, 0x2e, 0x37, 0x0a, 0x0a, 0x23, 0x20, 0x43,
  0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x74, 0x6f, 0x20,
  0x75, 0x73, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e,
  0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x73, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x63, 0x6f, 0x6d, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20,
  0x73, 0x65, 0x76, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x3a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
  0x6e, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x54, 0x43, 0x4c, 0x4c, 0x49, 0x42, 0x50, 0x41, 0x54, 0x48, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x69, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x2e,
  0x74, 0x63, 0x6c, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x2e, 0x0a,
  0x23, 0x20, 0x5b, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x69, 0x74, 0x5d, 0x20,
  0x28, 0x54, 0x63, 0x6c, 0x5f, 0x49, 0x6e, 0x69, 0x74, 0x28, 0x29, 0x29,
  0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x65, 0x73, 0x20, 0x61, 0x72,
  0x6f, 0x75, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x2e, 0x74, 0x63,
  0x6c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65,
  0x73, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x62, 0x65, 0x66, 0x6f, 0x72,
  0x65, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20, 0x69,
  0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6c,
  0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x2e, 0x20, 0x41, 0x64, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x65, 0x6e,
  0x74, 0x0a, 0x23, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x70, 0x65, 0x65, 0x72, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c,
  0x20, 0x62, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x6d, 0x61, 0x74, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x20, 0x61, 0x64,
  0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x2e, 0x2e, 0x2f, 0x6c, 0x69, 0x62, 0x20, 0x72,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23,
  0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x65, 0x64, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x6d, 0x65, 0x61,
  0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x62,
  0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23,
  0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x63, 0x68, 0x69, 0x74,
  0x65, 0x63, 0x74, 0x75, 0x72, 0x65, 0x20, 0x61, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x65, 0x78,
  0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6b, 0x67, 0x50, 0x61, 0x74,
  0x68, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x69, 0x73, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2d, 0x73, 0x70, 0x65, 0x63,
  0x69, 0x66, 0x69, 0x63, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c,
  0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x72, 0x6f, 0x75, 0x74,
  0x69, 0x6e, 0x65, 0x73, 0x0a, 0x23, 0x09, 0x4f, 0x6e, 0x20, 0x55, 0x4e,
  0x49, 0x58, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6d,
  0x70, 0x69, 0x6c, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x6e, 0x20, 0x57, 0x69, 0x6e, 0x64,
  0x6f, 0x77, 0x73, 0x2c, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x64, 0x0a, 0x0a, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x54, 0x43, 0x4c, 0x4c, 0x49, 0x42,
  0x50, 0x41, 0x54, 0x48, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x24, 0x65, 0x6e, 0x76, 0x28, 0x54, 0x43, 0x4c, 0x4c, 0x49, 0x42,
  0x50, 0x41, 0x54, 0x48, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x22, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44, 0x69, 0x72, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x44,
  0x69, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x5d, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x44, 0x69, 0x72, 0x20, 0x6e, 0x69, 0x20, 0x24, 0x3a,
  0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x44, 0x69, 0x72, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x44, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69,
  0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x6f, 0x66, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c,
  0x65, 0x5d, 0x5d, 0x5d, 0x20, 0x6c, 0x69, 0x62, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x44, 0x69, 0x72, 0x20, 0x6e,
  0x69, 0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x44, 0x69, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x44,
  0x69, 0x72, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6b,
  0x67, 0x50, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x44, 0x69, 0x72, 0x20, 0x6e, 0x69,
  0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x44, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x50, 0x61,
  0x74, 0x68, 0x20, 0x5b, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x64, 0x69, 0x72, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x44, 0x69, 0x72, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x20, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x44, 0x69, 0x72, 0x20, 0x6e, 0x69, 0x20, 0x24, 0x50, 0x61, 0x74, 0x68,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x44,
  0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x65, 0x6e, 0x63, 0x6f,
  0x64, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x24, 0x50,
  0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x54, 0x49, 0x50, 0x20, 0x23, 0x32, 0x35, 0x35, 0x20,
  0x6d, 0x69, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6d, 0x61, 0x78, 0x20,
  0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x6d, 0x61, 0x74, 0x68, 0x66, 0x75, 0x6e,
  0x63, 0x20, 0x7b, 0x0a, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x6d, 0x69,
  0x6e, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x74, 0x6f,
  0x6f, 0x20, 0x66, 0x65, 0x77, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x74, 0x68, 0x20,
  0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x6d,
  0x69, 0x6e, 0x5c, 0x22, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x76, 0x61,
  0x6c, 0x20, 0x49, 0x6e, 0x66, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x61, 0x72, 0x67, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x68, 0x61, 0x6e,
  0x64, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75,
  0x74, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x72, 0x75, 0x69, 0x6e, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
  0x61, 0x6c, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61,
  0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x20, 0x6f, 0x62, 0x6a,
  0x65, 0x63, 0x74, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x64, 0x6f, 0x75, 0x62, 0x6c, 0x65, 0x28, 0x24, 0x61, 0x72, 0x67, 0x29,
  0x7d, 0x7d, 0x20, 0x65, 0x72, 0x72, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x24, 0x65, 0x72, 0x72, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x61, 0x72, 0x67, 0x20, 0x3c, 0x20, 0x24, 0x76,
  0x61, 0x6c, 0x7d, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x6c,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x6d, 0x61, 0x78, 0x20, 0x7b, 0x61, 0x72, 0x67,
  0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x74, 0x6f, 0x6f, 0x20, 0x66, 0x65, 0x77, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x6d, 0x61, 0x74, 0x68, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x6d, 0x61, 0x78, 0x5c, 0x22, 0x22, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x20, 0x2d, 0x49, 0x6e, 0x66,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x61, 0x72, 0x67, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x77,
  0x69, 0x6c, 0x6c, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x66,
  0x6f, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e,
  0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75, 0x74, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x72, 0x75, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x20, 0x74, 0x79,
  0x70, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x6e, 0x75, 0x6d, 0x65,
  0x72, 0x69, 0x63, 0x20, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x0a, 0x09,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x64, 0x6f, 0x75, 0x62, 0x6c,
  0x65, 0x28, 0x24, 0x61, 0x72, 0x67, 0x29, 0x7d, 0x7d, 0x20, 0x65, 0x72,
  0x72, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x65, 0x72, 0x72, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x61,
  0x72, 0x67, 0x20, 0x3e, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x7d, 0x20, 0x7b,
  0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x76, 0x61,
  0x6c, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x6d,
  0x69, 0x6e, 0x20, 0x6d, 0x61, 0x78, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77,
  0x73, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x20, 0x65,
  0x6e, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61,
  0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x0a, 0x69, 0x66,
  0x20, 0x7b, 0x28, 0x21, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x29, 0x20, 0x26, 0x26, 0x20,
  0x28, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
  0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29,
  0x20, 0x65, 0x71, 0x20, 0x22, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73,
  0x22, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x20, 0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x45, 0x6e, 0x76, 0x54, 0x72, 0x61, 0x63, 0x65, 0x50, 0x72, 0x6f,
  0x63, 0x20, 0x7b, 0x6c, 0x6f, 0x20, 0x6e, 0x31, 0x20, 0x6e, 0x32, 0x20,
  0x6f, 0x70, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x67,
  0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x65, 0x6e, 0x76, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x78, 0x20, 0x24, 0x65, 0x6e,
  0x76, 0x28, 0x24, 0x6e, 0x32, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x24, 0x6c, 0x6f, 0x29,
  0x20, 0x24, 0x78, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x65, 0x6e, 0x76, 0x28, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x75, 0x70, 0x70, 0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f,
  0x5d, 0x29, 0x20, 0x24, 0x78, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x49, 0x6e, 0x69, 0x74, 0x57, 0x69, 0x6e, 0x45, 0x6e,
  0x76, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x65, 0x6e, 0x76, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x70, 0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x20, 0x65, 0x6e, 0x76, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x75, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x6f, 0x75, 0x70, 0x70, 0x65, 0x72, 0x20, 0x24,
  0x70, 0x5d, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x75, 0x20,
  0x6e, 0x65, 0x20, 0x24, 0x70, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x2d,
  0x20, 0x24, 0x75, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x43, 0x4f, 0x4d,
  0x53, 0x50, 0x45, 0x43, 0x20, 0x2d, 0x0a, 0x09, 0x09, 0x09, 0x50, 0x41,
  0x54, 0x48, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x20, 0x24, 0x65, 0x6e,
  0x76, 0x28, 0x24, 0x70, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x24,
  0x70, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x24, 0x75, 0x29, 0x20, 0x24, 0x74,
  0x65, 0x6d, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74,
  0x72, 0x61, 0x63, 0x65, 0x20, 0x61, 0x64, 0x64, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x24, 0x70,
  0x29, 0x20, 0x77, 0x72, 0x69, 0x74, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x45, 0x6e, 0x76, 0x54, 0x72, 0x61, 0x63, 0x65,
  0x50, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x70, 0x5d, 0x5d, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x61, 0x63, 0x65, 0x20, 0x61,
  0x64, 0x64, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x65, 0x6e, 0x76, 0x28, 0x24, 0x75, 0x29, 0x20, 0x77, 0x72, 0x69, 0x74,
  0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x45, 0x6e,
  0x76, 0x54, 0x72, 0x61, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x63, 0x20, 0x24,
  0x70, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x43, 0x4f, 0x4d, 0x53, 0x50,
  0x45, 0x43, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x43, 0x4f, 0x4d, 0x53, 0x50, 0x45,
  0x43, 0x29, 0x20, 0x63, 0x6d, 0x64, 0x2e, 0x65, 0x78, 0x65, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x49, 0x6e,
  0x69, 0x74, 0x57, 0x69, 0x6e, 0x45, 0x6e, 0x76, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x75,
  0x70, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x68, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x72, 0x0a, 0x0a, 0x0a, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61,
  0x66, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x20, 0x7b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74,
  0x6d, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x48, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x50,
  0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x7d, 0x0a, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x73, 0x65, 0x61,
  0x72, 0x63, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x20, 0x28, 0x54, 0x49, 0x50,
  0x20, 0x23, 0x31, 0x38, 0x39, 0x29, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x65, 0x74, 0x75, 0x70, 0x20,
  0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x66, 0x69, 0x63, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x68, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x72, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74,
  0x66, 0x6f, 0x72, 0x6d, 0x28, 0x6f, 0x73, 0x29, 0x20, 0x65, 0x71, 0x20,
  0x22, 0x44, 0x61, 0x72, 0x77, 0x69, 0x6e, 0x22, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x26, 0x26, 0x20, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c,
  0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66,
  0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x22, 0x75, 0x6e, 0x69,
  0x78, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x7b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x55,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65,
  0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x7b, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x4d, 0x61, 0x63, 0x4f, 0x53, 0x58, 0x50, 0x6b, 0x67, 0x55,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x7d, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x7b, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x27, 0x20, 0x65,
  0x6e, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x63, 0x6c, 0x4c,
  0x69, 0x62, 0x44, 0x69, 0x72, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6c, 0x6f, 0x63, 0x6b,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x75, 0x74,
  0x6f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x74,
  0x75, 0x62, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x27, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x2e, 0x74, 0x63, 0x6c, 0x27, 0x0a, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x7b, 0x61,
  0x64, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x73, 0x63,
  0x61, 0x6e, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x24, 0x63, 0x6d, 0x64, 0x20, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x63, 0x6c, 0x4c, 0x69, 0x62, 0x44,
  0x69, 0x72, 0x0a, 0x09, 0x09, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x2d, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x75, 0x74,
  0x66, 0x2d, 0x38, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x54, 0x63, 0x6c, 0x4c, 0x69, 0x62, 0x44, 0x69,
  0x72, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x2e, 0x74, 0x63, 0x6c, 0x5d,
  0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x75,
  0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x30, 0x5d, 0x5d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a,
  0x09, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6c, 0x6f, 0x63, 0x6b,
  0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x69, 0x6e, 0x69,
  0x74, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20,
  0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69,
  0x7a, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x72, 0x65, 0x73, 0x65,
  0x6e, 0x63, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x65, 0x78, 0x65, 0x63, 0x2e,
  0x0a, 0x0a, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x2d,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x65, 0x63,
  0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x6f, 0x6d, 0x65, 0x20, 0x6d,
  0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x64, 0x6f, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x65, 0x78, 0x65, 0x63,
  0x2e, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x2c, 0x20, 0x6f, 0x6e, 0x20, 0x61,
  0x6c, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x2c, 0x20, 0x73, 0x61, 0x66, 0x65,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x20, 0x64, 0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x68, 0x61, 0x76,
  0x65, 0x20, 0x65, 0x78, 0x65, 0x63, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6e, 0x6f,
  0x65, 0x78, 0x65, 0x63, 0x20, 0x31, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20,
  0x44, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x20, 0x61, 0x20, 0x6c, 0x6f, 0x67,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x28, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x6f,
  0x76, 0x65, 0x72, 0x77, 0x69, 0x74, 0x74, 0x65, 0x6e, 0x20, 0x74, 0x6f,
  0x20, 0x6c, 0x6f, 0x67, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x0a,
  0x23, 0x20, 0x64, 0x69, 0x66, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x74, 0x6c,
  0x79, 0x2c, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c, 0x6c, 0x79,
  0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x64, 0x65, 0x72, 0x72,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x76, 0x61, 0x69,
  0x6c, 0x61, 0x62, 0x6c, 0x65, 0x29, 0x0a, 0x0a, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x5d, 0x20, 0x65, 0x71,
  0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x7b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x70, 0x75, 0x74, 0x73, 0x20, 0x73,
  0x74, 0x64, 0x65, 0x72, 0x72, 0x20, 0x24, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a,
  0x23, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x63, 0x61, 0x6c,
  0x6c, 0x65, 0x64, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x61, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69,
  0x73, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x6e, 0x27, 0x74, 0x0a, 0x23,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65,
  0x72, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x20, 0x74, 0x61, 0x6b, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69,
  0x6e, 0x67, 0x20, 0x73, 0x74, 0x65, 0x70, 0x73, 0x20, 0x74, 0x6f, 0x20,
  0x6d, 0x61, 0x6b, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x76, 0x61, 0x69, 0x6c,
  0x61, 0x62, 0x6c, 0x65, 0x3a, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x31, 0x2e,
  0x20, 0x53, 0x65, 0x65, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x66, 0x61, 0x63,
  0x69, 0x6c, 0x69, 0x74, 0x79, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x0a, 0x23, 0x09,
  0x20, 0x20, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20,
  0x73, 0x6f, 0x2c, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x74, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x20,
  0x69, 0x74, 0x2e, 0x0a, 0x23, 0x09, 0x32, 0x2e, 0x20, 0x49, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20,
  0x77, 0x61, 0x73, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x6c,
  0x79, 0x20, 0x61, 0x74, 0x20, 0x74, 0x6f, 0x70, 0x2d, 0x6c, 0x65, 0x76,
  0x65, 0x6c, 0x3a, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x61,
  0x29, 0x20, 0x73, 0x65, 0x65, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x61, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x78,
  0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x55, 0x4e, 0x49,
  0x58, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x2e, 0x0a, 0x23,
  0x09, 0x09, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c, 0x20, 0x22, 0x65, 0x78,
  0x65, 0x63, 0x22, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x2e, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28,
  0x62, 0x29, 0x20, 0x73, 0x65, 0x65, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x20, 0x63, 0x73, 0x68, 0x2d, 0x6c,
  0x69, 0x6b, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x74, 0x69, 0x6f, 0x6e,
  0x0a, 0x23, 0x09, 0x09, 0x69, 0x6e, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x20, 0x21, 0x21, 0x2c, 0x20, 0x21,
  0x3c, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x3e, 0x2c, 0x20, 0x6f, 0x72,
  0x20, 0x5e, 0x6f, 0x6c, 0x64, 0x5e, 0x6e, 0x65, 0x77, 0x2e, 0x20, 0x20,
  0x49, 0x66, 0x0a, 0x23, 0x09, 0x09, 0x73, 0x6f, 0x2c, 0x20, 0x65, 0x6d,
  0x75, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x63, 0x73, 0x68, 0x27, 0x73, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x73, 0x75, 0x62, 0x73,
  0x74, 0x69, 0x74, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x28, 0x63, 0x29, 0x20, 0x73, 0x65, 0x65, 0x20,
  0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x75, 0x6e, 0x69, 0x71,
  0x75, 0x65, 0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x6e, 0x6f, 0x74,
  0x68, 0x65, 0x72, 0x0a, 0x23, 0x09, 0x09, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c, 0x20,
  0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x2d, 0x09, 0x41, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x65, 0x6c, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c, 0x0a,
  0x23, 0x09, 0x09, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2c, 0x20,
  0x69, 0x6e, 0x63, 0x6c, 0x75, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x75, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6e, 0x6f, 0x65, 0x78, 0x65, 0x63, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6e, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x65,
  0x6e, 0x76, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x49, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f,
  0x64, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x61, 0x76, 0x65,
  0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x61, 0x76, 0x65,
  0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66,
  0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6e, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x0a, 0x09, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20,
  0x73, 0x75, 0x72, 0x65, 0x20, 0x77, 0x65, 0x27, 0x72, 0x65, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61,
  0x6d, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x77, 0x69, 0x63,
  0x65, 0x2e, 0x0a, 0x09, 0x23, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64, 0x69,
  0x6e, 0x67, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x22, 0x73, 0x65, 0x6c, 0x66, 0x2d, 0x72, 0x65, 0x66, 0x65,
  0x72, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x20, 0x72, 0x65, 0x63, 0x75,
  0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6e, 0x20, 0x5c, 0x22, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x5c, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x5c, 0x22, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5c,
  0x22, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x55,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e,
  0x67, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x70, 0x65, 0x6e,
  0x64, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65,
  0x74, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x20, 0x31, 0x20, 0x7b, 0x3a, 0x3a, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x7d, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70,
  0x74, 0x73, 0x5d, 0x0a, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x55,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e,
  0x67, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x72, 0x65, 0x74, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6f, 0x70, 0x74, 0x73,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x20,
  0x22, 0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x28, 0x61, 0x75, 0x74, 0x6f,
  0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x5c, 0x22, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5c, 0x22, 0x29, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x69, 0x7a, 0x65,
  0x20, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64,
  0x69, 0x6e, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x55, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6d, 0x73, 0x67, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x73, 0x61, 0x76, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f,
  0x64, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x3a, 0x3a, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f, 0x64, 0x65,
  0x20, 0x24, 0x73, 0x61, 0x76, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72,
  0x43, 0x6f, 0x64, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x75, 0x6e, 0x73,
  0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61,
  0x69, 0x6e, 0x20, 0x3a, 0x3a, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f,
  0x64, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x73, 0x61, 0x76, 0x65,
  0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x24, 0x73, 0x61, 0x76, 0x65,
  0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f,
  0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70, 0x74,
  0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x20, 0x31, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x43,
  0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x20, 0x73, 0x74, 0x61, 0x63, 0x6b,
  0x20, 0x74, 0x72, 0x61, 0x63, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72,
  0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x5b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x5d, 0x2e, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65,
  0x6e, 0x63, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x68, 0x6f, 0x77, 0x20, 0x54,
  0x63, 0x6c, 0x5f, 0x41, 0x64, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x49,
  0x6e, 0x66, 0x6f, 0x2c, 0x20, 0x65, 0x74, 0x63, 0x2e, 0x0a, 0x09, 0x09,
  0x23, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x72,
  0x61, 0x63, 0x65, 0x2e, 0x0a, 0x09, 0x09, 0x23, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x6f, 0x70,
  0x74, 0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66,
  0x6f, 0x5d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72,
  0x43, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x5d, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x79, 0x74, 0x65, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x5d, 0x20,
  0x3e, 0x20, 0x31, 0x35, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e,
  0x67, 0x65, 0x20, 0x24, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x30, 0x20,
  0x31, 0x35, 0x30, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x77,
  0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x62, 0x79, 0x74, 0x65, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x5d, 0x20, 0x3e, 0x20, 0x31,
  0x35, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x63, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x30, 0x20, 0x65, 0x6e, 0x64, 0x2d, 0x31, 0x5d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x2e, 0x2e, 0x2e, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x22,
  0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x28, 0x5c, 0x22, 0x75, 0x70, 0x6c,
  0x65, 0x76, 0x65, 0x6c, 0x5c, 0x22, 0x20, 0x62, 0x6f, 0x64, 0x79, 0x20,
  0x6c, 0x69, 0x6e, 0x65, 0x20, 0x31, 0x29, 0x5c, 0x6e, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e,
  0x5c, 0x6e, 0x5c, 0x22, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20,
  0x31, 0x20, 0x5c, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5c, 0x22, 0x22, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74,
  0x20, 0x22, 0x24, 0x6d, 0x73, 0x67, 0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20,
  0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74,
  0x69, 0x6e, 0x67, 0x5c, 0x6e, 0x5c, 0x22, 0x24, 0x63, 0x69, 0x6e, 0x66,
  0x6f, 0x5c, 0x22, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x22, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x71, 0x20, 0x24, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x73,
  0x74, 0x61, 0x63, 0x6b, 0x20, 0x68, 0x61, 0x73, 0x20, 0x6f, 0x6e, 0x6c,
  0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78, 0x70, 0x61,
  0x6e, 0x64, 0x65, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20,
  0x6e, 0x6f, 0x74, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65,
  0x20, 0x61, 0x6e, 0x79, 0x20, 0x73, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x74,
  0x72, 0x61, 0x63, 0x65, 0x20, 0x68, 0x65, 0x72, 0x65, 0x2e, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69,
  0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6f, 0x70, 0x74, 0x73,
  0x20, 0x2d, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20,
  0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x23,
  0x0a, 0x09, 0x09, 0x23, 0x20, 0x53, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x74,
  0x72, 0x61, 0x63, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x2c, 0x20, 0x74, 0x72, 0x69, 0x6d, 0x20, 0x6f, 0x66, 0x66,
  0x20, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f,
  0x6e, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x65, 0x78, 0x74, 0x72, 0x61, 0x20, 0x22, 0x65, 0x76, 0x61, 0x6c, 0x22,
  0x20, 0x6f, 0x66, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x64, 0x75,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x22, 0x20, 0x61, 0x62, 0x6f, 0x76, 0x65, 0x2e, 0x0a,
  0x09, 0x09, 0x23, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x61,
  0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c,
  0x61, 0x73, 0x74, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24, 0x65,
  0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x20, 0x2b, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x56,
  0x65, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x6c, 0x79, 0x20, 0x63,
  0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x68, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x49,
  0x6e, 0x66, 0x6f, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e,
  0x66, 0x6f, 0x20, 0x30, 0x20, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x2d, 0x31,
  0x5d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x69, 0x6c,
  0x20, 0x22, 0x5c, 0x22, 0x24, 0x63, 0x69, 0x6e, 0x66, 0x6f, 0x5c, 0x22,
  0x22, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x61, 0x73, 0x74,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x61, 0x73,
  0x74, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24, 0x65, 0x72, 0x72,
  0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x6c, 0x61, 0x73, 0x74, 0x20, 0x2b, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x74, 0x61, 0x69, 0x6c, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x24, 0x65, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e,
  0x66, 0x6f, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66,
  0x6f, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f,
  0x20, 0x30, 0x20, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x2d, 0x31, 0x5d, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x22,
  0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65,
  0x64, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69,
  0x6e, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x61, 0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6c, 0x61, 0x73, 0x74, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x20, 0x2b, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x5d, 0x20, 0x3d, 0x3d, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x24, 0x65, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x30, 0x20, 0x24, 0x6c,
  0x61, 0x73, 0x74, 0x2d, 0x31, 0x5d, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61,
  0x69, 0x6c, 0x20, 0x22, 0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68,
  0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6e,
  0x67, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x61, 0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6c, 0x61, 0x73, 0x74, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x20, 0x2b, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x74, 0x61, 0x69, 0x6c, 0x5d, 0x20, 0x3d, 0x3d, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x24, 0x65, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x65, 0x72, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x30, 0x20, 0x24, 0x6c,
  0x61, 0x73, 0x74, 0x2d, 0x31, 0x5d, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f,
  0x70, 0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6f,
  0x70, 0x74, 0x73, 0x20, 0x2d, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x0a, 0x09,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x28, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20,
  0x6c, 0x65, 0x76, 0x65, 0x6c, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x29,
  0x20, 0x26, 0x26, 0x20, 0x28, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22,
  0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x26, 0x26, 0x20, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69,
  0x76, 0x65, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x24, 0x74, 0x63, 0x6c, 0x5f,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6e, 0x6f, 0x65, 0x78, 0x65, 0x63, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x65, 0x77, 0x20, 0x5b, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65,
  0x63, 0x6f, 0x6b, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x65, 0x77,
  0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x64, 0x69, 0x72, 0x20, 0x22, 0x22,
  0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20,
  0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6f, 0x6e,
  0x73, 0x6f, 0x6c, 0x65, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x72, 0x65, 0x64, 0x69, 0x72, 0x20, 0x22, 0x3e, 0x26, 0x40, 0x73,
  0x74, 0x64, 0x6f, 0x75, 0x74, 0x20, 0x3c, 0x40, 0x73, 0x74, 0x64, 0x69,
  0x6e, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x75, 0x70, 0x6c,
  0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x3a, 0x3a, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x5b, 0x63, 0x6f, 0x6e, 0x63, 0x61, 0x74, 0x20, 0x65, 0x78,
  0x65, 0x63, 0x20, 0x24, 0x72, 0x65, 0x64, 0x69, 0x72, 0x20, 0x24, 0x6e,
  0x65, 0x77, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x52, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x5d, 0x0a, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x2d, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x21,
  0x21, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x63, 0x6d, 0x64, 0x20, 0x5b, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x7b, 0x5e, 0x21,
  0x28, 0x2e, 0x2b, 0x29, 0x24, 0x7d, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x2d, 0x3e, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x65, 0x77, 0x63, 0x6d, 0x64, 0x20, 0x5b, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x24, 0x65, 0x76,
  0x65, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20,
  0x7b, 0x5e, 0x5c, 0x5e, 0x28, 0x5b, 0x5e, 0x5e, 0x5d, 0x2a, 0x29, 0x5c,
  0x5e, 0x28, 0x5b, 0x5e, 0x5e, 0x5d, 0x2a, 0x29, 0x5c, 0x5e, 0x3f, 0x24,
  0x7d, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x3e, 0x20, 0x6f,
  0x6c, 0x64, 0x20, 0x6e, 0x65, 0x77, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x63,
  0x6d, 0x64, 0x20, 0x5b, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x2d, 0x31, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x72, 0x65,
  0x67, 0x73, 0x75, 0x62, 0x20, 0x2d, 0x61, 0x6c, 0x6c, 0x20, 0x2d, 0x2d,
  0x20, 0x24, 0x6f, 0x6c, 0x64, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x63, 0x6d,
  0x64, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x20, 0x6e, 0x65, 0x77, 0x63, 0x6d,
  0x64, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x6e, 0x65, 0x77, 0x63, 0x6d, 0x64, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x24,
  0x6e, 0x65, 0x77, 0x63, 0x6d, 0x64, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x63, 0x6d, 0x64, 0x20, 0x30,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a,
  0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x63, 0x6d,
  0x64, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x4f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x2d, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x09, 0x7d, 0x0a, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x74, 0x20, 0x5b, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x63, 0x61, 0x6e,
  0x64, 0x69, 0x64, 0x61, 0x74, 0x65, 0x73, 0x20, 0x5b, 0x69, 0x6e, 0x66,
  0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x2a, 0x5d, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x5d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x65, 0x71, 0x20, 0x22, 0x3a, 0x3a, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x22, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x72, 0x65, 0x74, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x6e, 0x20, 0x20, 0x20,
  0x20, 0x28, 0x65, 0x78, 0x70, 0x61, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x20, 0x5c, 0x22, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5c, 0x22,
  0x20, 0x69, 0x6e, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x29,
  0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x23, 0x20, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x20, 0x6f,
  0x75, 0x74, 0x20, 0x62, 0x6f, 0x67, 0x75, 0x73, 0x20, 0x6d, 0x61, 0x74,
  0x63, 0x68, 0x65, 0x73, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65,
  0x64, 0x0a, 0x09, 0x23, 0x20, 0x61, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x2d,
  0x73, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c, 0x20, 0x63, 0x68, 0x61, 0x72,
  0x20, 0x5b, 0x42, 0x75, 0x67, 0x20, 0x39, 0x34, 0x36, 0x39, 0x35, 0x32,
  0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20,
  0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x73, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x65, 0x6c, 0x79, 0x20, 0x64,
  0x75, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x74, 0x72, 0x61, 0x6e, 0x67,
  0x65, 0x6e, 0x65, 0x73, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x69, 0x6e, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x5d, 0x20, 0x28, 0x53, 0x65, 0x65, 0x20,
  0x52, 0x46, 0x45, 0x20, 0x31, 0x32, 0x34, 0x33, 0x33, 0x35, 0x34, 0x29,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d,
  0x64, 0x73, 0x20, 0x24, 0x63, 0x61, 0x6e, 0x64, 0x69, 0x64, 0x61, 0x74,
  0x65, 0x73, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d,
  0x64, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x78,
  0x20, 0x24, 0x63, 0x61, 0x6e, 0x64, 0x69, 0x64, 0x61, 0x74, 0x65, 0x73,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x78, 0x5d, 0x20, 0x3d, 0x3d, 0x20,
  0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x73, 0x20,
  0x24, 0x78, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x73,
  0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x63, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x20, 0x30, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x73,
  0x20, 0x30, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x2d, 0x6c,
  0x65, 0x76, 0x65, 0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x73, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x22, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x75, 0x6f, 0x75, 0x73,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x5c, 0x22, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5c, 0x22, 0x3a,
  0x20, 0x5b, 0x6c, 0x73, 0x6f, 0x72, 0x74, 0x20, 0x24, 0x63, 0x6d, 0x64,
  0x73, 0x5d, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x54, 0x43, 0x4c, 0x20, 0x4c, 0x4f, 0x4f,
  0x4b, 0x55, 0x50, 0x20, 0x43, 0x4f, 0x4d, 0x4d, 0x41, 0x4e, 0x44, 0x20,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x22, 0x69,
  0x6e, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5c, 0x22, 0x22, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x20, 0x61, 0x20,
  0x63, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f,
  0x66, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x73, 0x65, 0x65, 0x20, 0x69, 0x66, 0x20, 0x61, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x73,
  0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20,
  0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x2e,
  0x20, 0x20, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c, 0x20, 0x69, 0x74, 0x20,
  0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x70, 0x70, 0x72, 0x6f, 0x70, 0x72, 0x69, 0x61, 0x74, 0x65, 0x0a,
  0x23, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75,
  0x72, 0x65, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x31, 0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20, 0x73, 0x75, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x0a, 0x23, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x2c, 0x20, 0x30, 0x20,
  0x6f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x2d, 0x09, 0x09, 0x09,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x66,
  0x69, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x6f, 0x61, 0x64,
  0x2e, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29,
  0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x73,
  0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20,
  0x2d, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x20,
  0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x61, 0x73, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x5b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x5d, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x73, 0x74,
  0x61, 0x6e, 0x63, 0x65, 0x2e, 0x20, 0x49, 0x66, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x2c, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x7b, 0x63, 0x6d, 0x64, 0x20, 0x7b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x5b, 0x75, 0x70, 0x6c, 0x65, 0x76,
  0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a,
  0x3a, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x79, 0x20, 0x24, 0x63,
  0x6d, 0x64, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x6f, 0x72,
  0x6b, 0x61, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x6e, 0x20,
  0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x65, 0x6e, 0x74,
  0x72, 0x69, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6d, 0x69,
  0x67, 0x68, 0x74, 0x20, 0x62, 0x65, 0x20, 0x61, 0x72, 0x6f, 0x75, 0x6e,
  0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x4c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x3a, 0x3a, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x72, 0x65, 0x27, 0x73,
  0x20, 0x61, 0x20, 0x63, 0x6f, 0x75, 0x70, 0x6c, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x77, 0x61, 0x79, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x6f,
  0x6b, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76,
  0x65, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x2e, 0x20, 0x20, 0x4f, 0x6e, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x55, 0x6e, 0x66, 0x6f,
  0x72, 0x74, 0x75, 0x6e, 0x61, 0x74, 0x65, 0x6c, 0x79, 0x2c, 0x20, 0x69,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x68,
  0x61, 0x73, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x2d, 0x6d, 0x61, 0x67, 0x69,
  0x63, 0x20, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x69,
  0x74, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x2a, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x6f, 0x72, 0x20, 0x5b, 0x5d, 0x2c, 0x20, 0x69,
  0x74, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6d, 0x61,
  0x74, 0x63, 0x68, 0x2e, 0x20, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x6f, 0x75,
  0x72, 0x20, 0x70, 0x75, 0x72, 0x70, 0x6f, 0x73, 0x65, 0x73, 0x20, 0x68,
  0x65, 0x72, 0x65, 0x2c, 0x20, 0x61, 0x20, 0x62, 0x65, 0x74, 0x74, 0x65,
  0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72, 0x6f, 0x75,
  0x74, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69,
  0x63, 0x68, 0x20, 0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x2d, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x30, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64,
  0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x3a, 0x3a, 0x20, 0x24,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x28, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x2d, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x30,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c,
  0x6f, 0x61, 0x64, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x20, 0x4c, 0x6f, 0x61, 0x64, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x23, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x75, 0x73, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x76, 0x6f,
  0x6b, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x6f, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x0a, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x76, 0x61, 0x69,
  0x6c, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x73, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x31, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x69, 0x73, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65,
  0x64, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x30, 0x20, 0x69, 0x66, 0x0a,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x69, 0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x75, 0x70,
  0x20, 0x74, 0x6f, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x20, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64,
  0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x6f, 0x6c, 0x64, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6f, 0x6c, 0x64, 0x70,
  0x61, 0x74, 0x68, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x28, 0x24, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6f, 0x6c, 0x64, 0x70, 0x61, 0x74, 0x68, 0x20, 0x65,
  0x71, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6f, 0x6c,
  0x64, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x43, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x69, 0x66, 0x20, 0x77, 0x65, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x20,
  0x49, 0x6e, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x2c, 0x20, 0x77, 0x65, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74,
  0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x6e, 0x65, 0x77, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x20, 0x5b, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b,
  0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x20, 0x2d, 0x20, 0x31, 0x7d,
  0x5d, 0x7d, 0x20, 0x7b, 0x24, 0x69, 0x20, 0x3e, 0x3d, 0x20, 0x30, 0x7d,
  0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x20, 0x2d, 0x31, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x69, 0x5d, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x22, 0x22, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20,
  0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x5d, 0x7d, 0x0a, 0x09,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x66, 0x20,
  0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x74, 0x63,
  0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x5d, 0x5d, 0x7d, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69,
  0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x64, 0x20, 0x5b,
  0x67, 0x65, 0x74, 0x73, 0x20, 0x24, 0x66, 0x5d, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x69, 0x64, 0x20, 0x65, 0x71, 0x20, 0x22, 0x23,
  0x20, 0x54, 0x63, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x2c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x32, 0x2e,
  0x30, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x72, 0x65, 0x61, 0x64, 0x20, 0x24,
  0x66, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x69, 0x64, 0x20, 0x65, 0x71, 0x20, 0x22, 0x23,
  0x20, 0x54, 0x63, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x3a, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x20,
  0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x73, 0x20, 0x61,
  0x20, 0x54, 0x63, 0x6c, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x67,
  0x65, 0x74, 0x73, 0x20, 0x24, 0x66, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x5d,
  0x20, 0x3e, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x28, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x6e, 0x65,
  0x20, 0x30, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x23, 0x22, 0x29, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x7c, 0x7c, 0x20, 0x28, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x69, 0x6e, 0x65,
  0x5d, 0x20, 0x21, 0x3d, 0x20, 0x32, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e,
  0x75, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x30, 0x5d,
  0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x29, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x22, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x31, 0x5d,
  0x5d, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64,
  0x69, 0x72, 0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x5d,
  0x20, 0x69, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x61, 0x20, 0x70, 0x72, 0x6f,
  0x70, 0x65, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f,
  0x70, 0x74, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x66, 0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20, 0x24, 0x66,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70,
  0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x71,
  0x75, 0x61, 0x6c, 0x69, 0x66, 0x79, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x20, 0x61, 0x20,
  0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66,
  0x69, 0x65, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x75, 0x73, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x2e, 0x0a,
  0x23, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x69, 0x63, 0x61, 0x6c, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x73,
  0x2c, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x64,
  0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x6c,
  0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x6b, 0x65, 0x79, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x68, 0x61, 0x73, 0x20, 0x74, 0x77, 0x6f, 0x20, 0x65,
  0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x77, 0x68, 0x65, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x72,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x28, 0x6e, 0x6f, 0x20,
  0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x3a, 0x3a, 0x29, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20,
  0x6f, 0x6e, 0x65, 0x2e, 0x20, 0x4f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69,
  0x73, 0x65, 0x0a, 0x23, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x28, 0x61, 0x6e, 0x64, 0x20,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x29, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x2d, 0x0a, 0x23, 0x20, 0x63,
  0x6d, 0x64, 0x09, 0x09, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x2e, 0x20, 0x43, 0x61,
  0x6e, 0x20, 0x62, 0x65, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x61, 0x63, 0x63, 0x65, 0x70, 0x74, 0x65, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x28, 0x4c, 0x69, 0x6b, 0x65, 0x20, 0x22, 0x66, 0x6f,
  0x6f, 0x3a, 0x3a, 0x3a, 0x3a, 0x62, 0x61, 0x72, 0x22, 0x29, 0x2e, 0x0a,
  0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x09,
  0x54, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x62,
  0x65, 0x69, 0x6e, 0x67, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x2d, 0x20,
  0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x61, 0x73,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x62, 0x79,
  0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63,
  0x65, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x79, 0x20, 0x7b, 0x63,
  0x6d, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x73, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74,
  0x6f, 0x72, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6c, 0x65, 0x61,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x20, 0x75, 0x70, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x28, 0x6d, 0x61, 0x6b, 0x69, 0x6e, 0x67, 0x20,
  0x73, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x66, 0x6f,
  0x6f, 0x3a, 0x3a, 0x3a, 0x3a, 0x3a, 0x62, 0x61, 0x72, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x74, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x64, 0x20, 0x61, 0x73, 0x20, 0x66, 0x6f, 0x6f, 0x3a, 0x3a, 0x62, 0x61,
  0x72, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x20, 0x5b, 0x72, 0x65, 0x67, 0x73, 0x75, 0x62, 0x20, 0x2d, 0x61, 0x6c,
  0x6c, 0x20, 0x7b, 0x3a, 0x3a, 0x2b, 0x7d, 0x20, 0x24, 0x63, 0x6d, 0x64,
  0x20, 0x3a, 0x3a, 0x20, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x3a, 0x3a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65,
  0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c, 0x20, 0x63, 0x61, 0x73,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x6c, 0x65,
  0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x3a, 0x3a, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x63,
  0x61, 0x73, 0x65, 0x20, 0x77, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x20,
  0x61, 0x6e, 0x20, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x63, 0x61, 0x74, 0x65,
  0x67, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x20, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x28, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x43, 0x6d, 0x64, 0x2c, 0x20,
  0x69, 0x6e, 0x70, 0x75, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x53, 0x70, 0x61,
  0x63, 0x65, 0x29, 0x20, 0x2d, 0x3e, 0x20, 0x6f, 0x75, 0x74, 0x70, 0x75,
  0x74, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68,
  0x20, 0x3a, 0x3a, 0x2a, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x20, 0x3e, 0x20,
  0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x28, 0x3a, 0x3a, 0x66, 0x6f, 0x6f, 0x3a, 0x3a, 0x62, 0x61, 0x72, 0x20,
  0x2c, 0x20, 0x2a, 0x29, 0x20, 0x2d, 0x3e, 0x20, 0x3a, 0x3a, 0x66, 0x6f,
  0x6f, 0x3a, 0x3a, 0x62, 0x61, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x28, 0x3a, 0x3a, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x2c, 0x20,
  0x2a, 0x29, 0x20, 0x2d, 0x3e, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x63, 0x6d,
  0x64, 0x20, 0x32, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x5d, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x50, 0x6f, 0x74, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x6c,
  0x79, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x20,
  0x32, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x72, 0x79, 0x20, 0x20, 0x3a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x28, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x6f,
  0x6e, 0x65, 0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x6e, 0x20, 0x3d, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x3a, 0x3a, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x28, 0x6e,
  0x6f, 0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x73, 0x20, 0x2c, 0x20, 0x3a, 0x3a,
  0x29, 0x20, 0x2d, 0x3e, 0x20, 0x6e, 0x6f, 0x63, 0x6f, 0x6c, 0x6f, 0x6e,
  0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x63, 0x6d, 0x64,
  0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x28, 0x6e, 0x6f, 0x63, 0x6f,
  0x6c, 0x6f, 0x6e, 0x73, 0x20, 0x2c, 0x20, 0x3a, 0x3a, 0x73, 0x75, 0x62,
  0x29, 0x20, 0x2d, 0x3e, 0x20, 0x3a, 0x3a, 0x73, 0x75, 0x62, 0x3a, 0x3a,
  0x6e, 0x6f, 0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x73, 0x20, 0x6e, 0x6f, 0x63,
  0x6f, 0x6c, 0x6f, 0x6e, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x24, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x7d,
  0x3a, 0x3a, 0x24, 0x63, 0x6d, 0x64, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x3a, 0x3a, 0x22,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x28, 0x66, 0x6f, 0x6f,
  0x3a, 0x3a, 0x62, 0x61, 0x72, 0x20, 0x2c, 0x20, 0x3a, 0x3a, 0x29, 0x20,
  0x2d, 0x3e, 0x20, 0x3a, 0x3a, 0x66, 0x6f, 0x6f, 0x3a, 0x3a, 0x62, 0x61,
  0x72, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x20, 0x28, 0x66, 0x6f, 0x6f, 0x3a, 0x3a, 0x62, 0x61,
  0x72, 0x20, 0x2c, 0x20, 0x3a, 0x3a, 0x73, 0x75, 0x62, 0x29, 0x20, 0x2d,
  0x3e, 0x20, 0x3a, 0x3a, 0x73, 0x75, 0x62, 0x3a, 0x3a, 0x66, 0x6f, 0x6f,
  0x3a, 0x3a, 0x62, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x66, 0x6f, 0x6f, 0x3a,
  0x3a, 0x62, 0x61, 0x72, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x7b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x7d, 0x3a, 0x3a, 0x24, 0x63, 0x6d,
  0x64, 0x20, 0x3a, 0x3a, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64, 0x20,
  0x64, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x22, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74,
  0x22, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20, 0x73, 0x65,
  0x65, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6d, 0x70,
  0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x73, 0x0a, 0x23, 0x20, 0x72, 0x65, 0x73, 0x69, 0x64, 0x65, 0x20,
  0x69, 0x6e, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f,
  0x61, 0x64, 0x65, 0x64, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x73, 0x6f,
  0x0a, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x79,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x61, 0x76, 0x61,
  0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x6c, 0x69,
  0x6e, 0x6b, 0x73, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x6e, 0x6f, 0x74,
  0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x0a,
  0x23, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20,
  0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x2d, 0x0a, 0x23, 0x20, 0x70, 0x61, 0x74, 0x74,
  0x65, 0x72, 0x6e, 0x09, 0x54, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x74,
  0x65, 0x72, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6d,
  0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x28, 0x6c, 0x69, 0x6b, 0x65,
  0x20, 0x22, 0x66, 0x6f, 0x6f, 0x3a, 0x3a, 0x2a, 0x22, 0x29, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63,
  0x61, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x61, 0x73, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64,
  0x20, 0x62, 0x79, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69,
  0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x7b, 0x70, 0x61, 0x74, 0x74, 0x65,
  0x72, 0x6e, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c,
  0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x66, 0x20, 0x6e, 0x6f, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x69, 0x73, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66,
  0x69, 0x65, 0x64, 0x2c, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x63, 0x61, 0x73, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x2a, 0x3a, 0x3a, 0x2a,
  0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x73, 0x20, 0x5b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c,
  0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x4c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x71, 0x75, 0x61,
  0x6c, 0x69, 0x66, 0x79, 0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72,
  0x6e, 0x20, 0x24, 0x6e, 0x73, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e,
  0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x4c, 0x69, 0x73,
  0x74, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x5d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x28, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x2d,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x29, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x26, 0x26, 0x20, 0x28, 0x5b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69,
  0x66, 0x69, 0x65, 0x72, 0x73, 0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65,
  0x72, 0x6e, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66,
  0x69, 0x65, 0x72, 0x73, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x29,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x3a,
  0x3a, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x65, 0x78, 0x65, 0x63, 0x6f, 0x6b, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x69,
  0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65, 0x73, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d,
  0x20, 0x74, 0x6f, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x20,
  0x69, 0x66, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f,
  0x72, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x61, 0x20, 0x73, 0x68, 0x65, 0x6c, 0x6c, 0x20, 0x62, 0x75, 0x69,
  0x6c, 0x74, 0x69, 0x6e, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x6e, 0x20, 0x65,
  0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f,
  0x77, 0x73, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x22, 0x22, 0x20, 0x6f, 0x74,
  0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x2e, 0x20, 0x20, 0x42, 0x75,
  0x69, 0x6c, 0x64, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x73, 0x73, 0x6f,
  0x63, 0x69, 0x61, 0x74, 0x69, 0x76, 0x65, 0x0a, 0x23, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65,
  0x63, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x61, 0x63, 0x68,
  0x65, 0x73, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x70, 0x72, 0x65,
  0x76, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73,
  0x2c, 0x0a, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x73, 0x70, 0x65, 0x65,
  0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x2d, 0x09, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a,
  0x0a, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c,
  0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66,
  0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x22, 0x77, 0x69, 0x6e,
  0x64, 0x6f, 0x77, 0x73, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x23, 0x20, 0x57,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65,
  0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x64, 0x6f,
  0x65, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x20, 0x75,
  0x6e, 0x64, 0x65, 0x72, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73,
  0x2c, 0x20, 0x73, 0x6f, 0x20, 0x77, 0x65, 0x20, 0x68, 0x61, 0x76, 0x65,
  0x20, 0x74, 0x6f, 0x0a, 0x23, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x2e, 0x65, 0x78, 0x65, 0x2c, 0x20, 0x2e, 0x63, 0x6f, 0x6d,
  0x2c, 0x20, 0x6f, 0x72, 0x20, 0x2e, 0x62, 0x61, 0x74, 0x20, 0x65, 0x78,
  0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x20, 0x20, 0x41,
  0x6c, 0x73, 0x6f, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x0a, 0x23, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x62, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x61, 0x74, 0x68, 0x20, 0x6f,
  0x72, 0x20, 0x50, 0x41, 0x54, 0x48, 0x20, 0x65, 0x6e, 0x76, 0x69, 0x72,
  0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x73, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x0a, 0x23, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6f, 0x6e, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x73, 0x65, 0x70, 0x61,
  0x72, 0x61, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x73,
  0x65, 0x6d, 0x69, 0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x73, 0x20, 0x61, 0x73,
  0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x55, 0x6e, 0x69, 0x78, 0x2e,
  0x0a, 0x23, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x65, 0x78, 0x65, 0x63, 0x6f, 0x6b, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61,
  0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73,
  0x20, 0x65, 0x6e, 0x76, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65,
  0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29,
  0x20, 0x22, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x68, 0x65, 0x6c, 0x6c, 0x42, 0x75, 0x69, 0x6c, 0x74, 0x69,
  0x6e, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x63, 0x6c, 0x73,
  0x20, 0x63, 0x6f, 0x70, 0x79, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x65, 0x6c, 0x20, 0x64, 0x69, 0x72, 0x20, 0x65, 0x63, 0x68, 0x6f, 0x20,
  0x65, 0x72, 0x61, 0x73, 0x65, 0x20, 0x6d, 0x64, 0x20, 0x6d, 0x6b, 0x64,
  0x69, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x6b,
  0x6c, 0x69, 0x6e, 0x6b, 0x20, 0x72, 0x64, 0x20, 0x72, 0x65, 0x6e, 0x20,
  0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x72, 0x6d, 0x64, 0x69, 0x72,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x74, 0x79, 0x70, 0x65, 0x20, 0x76, 0x65, 0x72, 0x20, 0x76, 0x6f, 0x6c,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x65,
  0x6e, 0x76, 0x28, 0x50, 0x41, 0x54, 0x48, 0x45, 0x58, 0x54, 0x29, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x64, 0x64, 0x20, 0x61,
  0x6e, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x20, 0x3b, 0x20,
  0x74, 0x6f, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x7b, 0x7d, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74,
  0x2e, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x65, 0x63, 0x45,
  0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x5b, 0x73,
  0x70, 0x6c, 0x69, 0x74, 0x20, 0x22, 0x3b, 0x24, 0x65, 0x6e, 0x76, 0x28,
  0x50, 0x41, 0x54, 0x48, 0x45, 0x58, 0x54, 0x29, 0x22, 0x20, 0x22, 0x3b,
  0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x65,
  0x63, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x2e, 0x63, 0x6f,
  0x6d, 0x20, 0x2e, 0x65, 0x78, 0x65, 0x20, 0x2e, 0x62, 0x61, 0x74, 0x20,
  0x2e, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72,
  0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x69, 0x6e, 0x20, 0x24,
  0x73, 0x68, 0x65, 0x6c, 0x6c, 0x42, 0x75, 0x69, 0x6c, 0x74, 0x69, 0x6e,
  0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x57, 0x68, 0x65, 0x6e,
  0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x63, 0x6f, 0x6d, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e,
  0x20, 0x6f, 0x6e, 0x20, 0x57, 0x69, 0x6e, 0x32, 0x4b, 0x2c, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x77, 0x6f, 0x6e, 0x27, 0x74, 0x0a, 0x09, 0x23, 0x20,
  0x65, 0x78, 0x65, 0x63, 0x20, 0x69, 0x74, 0x20, 0x75, 0x6e, 0x6c, 0x65,
  0x73, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x61, 0x73, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x72, 0x69, 0x67, 0x68, 0x74, 0x2c, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x72,
  0x72, 0x65, 0x63, 0x74, 0x73, 0x2e, 0x20, 0x20, 0x43, 0x4f, 0x4d, 0x53,
  0x50, 0x45, 0x43, 0x0a, 0x09, 0x23, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20,
  0x61, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c,
  0x20, 0x73, 0x6f, 0x20, 0x64, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x68, 0x65, 0x63, 0x6b, 0x2e, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6d, 0x64, 0x20, 0x24, 0x65, 0x6e, 0x76, 0x28, 0x43, 0x4f, 0x4d, 0x53,
  0x50, 0x45, 0x43, 0x29, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24,
  0x63, 0x6d, 0x64, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65,
  0x73, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x20, 0x2d, 0x73, 0x68, 0x6f, 0x72,
  0x74, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24,
  0x63, 0x6d, 0x64, 0x20, 0x2f, 0x63, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c,
  0x69, 0x74, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x5d, 0x20, 0x21,
  0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x65, 0x78, 0x74, 0x20, 0x24, 0x65, 0x78, 0x65,
  0x63, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x24, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x24,
  0x7b, 0x65, 0x78, 0x74, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x20, 0x26,
  0x26, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x66, 0x69,
  0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x69,
  0x6c, 0x65, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x22, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x6f,
  0x66, 0x5d, 0x5d, 0x3b, 0x2e, 0x3b, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x57, 0x49, 0x4e,
  0x44, 0x49, 0x52, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x77, 0x69, 0x6e, 0x64, 0x69, 0x72, 0x20, 0x24, 0x65, 0x6e,
  0x76, 0x28, 0x57, 0x49, 0x4e, 0x44, 0x49, 0x52, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x77, 0x69, 0x6e, 0x64, 0x69, 0x72, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c,
  0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x6f, 0x73, 0x29, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x20, 0x4e,
  0x54, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x22,
  0x24, 0x77, 0x69, 0x6e, 0x64, 0x69, 0x72, 0x2f, 0x73, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x33, 0x32, 0x3b, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x22,
  0x24, 0x77, 0x69, 0x6e, 0x64, 0x69, 0x72, 0x2f, 0x73, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x3b, 0x24, 0x77, 0x69, 0x6e, 0x64, 0x69, 0x72, 0x3b, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x76, 0x61, 0x72, 0x20,
  0x7b, 0x50, 0x41, 0x54, 0x48, 0x20, 0x50, 0x61, 0x74, 0x68, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x65, 0x6e, 0x76, 0x28, 0x24, 0x76, 0x61, 0x72, 0x29, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x22, 0x3b, 0x24, 0x65,
  0x6e, 0x76, 0x28, 0x24, 0x76, 0x61, 0x72, 0x29, 0x22, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x65, 0x78, 0x74, 0x20,
  0x24, 0x65, 0x78, 0x65, 0x63, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69,
  0x6f, 0x6e, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74,
  0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e,
  0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x73,
  0x70, 0x6c, 0x69, 0x74, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b,
  0x3b, 0x7d, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x53, 0x6b, 0x69, 0x70, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64,
  0x79, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x63, 0x68, 0x65, 0x63,
  0x6b, 0x65, 0x64, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x5d, 0x20, 0x7c,
  0x7c, 0x20, 0x28, 0x24, 0x64, 0x69, 0x72, 0x20, 0x65, 0x71, 0x20, 0x22,
  0x22, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x68, 0x65,
  0x63, 0x6b, 0x65, 0x64, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x20, 0x7b,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x7b, 0x6e, 0x61,
  0x6d, 0x65, 0x7d, 0x24, 0x7b, 0x65, 0x78, 0x74, 0x7d, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x66, 0x69,
  0x6c, 0x65, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x69, 0x73, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x73, 0x65,
  0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73,
  0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x22, 0x22, 0x0a, 0x7d, 0x0a, 0x0a, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x23, 0x20, 0x55, 0x6e, 0x69, 0x78, 0x20, 0x76,
  0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63,
  0x6f, 0x6b, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x20, 0x65, 0x6e, 0x76, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78,
  0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x22, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c,
  0x69, 0x74, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x5d, 0x20, 0x21,
  0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x26, 0x26, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78,
  0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x64, 0x69, 0x72, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24,
  0x65, 0x6e, 0x76, 0x28, 0x50, 0x41, 0x54, 0x48, 0x29, 0x20, 0x3a, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x69, 0x72,
  0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20, 0x2e,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e,
  0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x21, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x65, 0x78, 0x65, 0x63, 0x73, 0x28, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x29,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x22, 0x22, 0x0a,
  0x7d, 0x0a, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x43, 0x6f, 0x70, 0x79, 0x44, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75,
  0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x64,
  0x20, 0x62, 0x79, 0x20, 0x54, 0x63, 0x6c, 0x27, 0x73, 0x20, 0x63, 0x6f,
  0x72, 0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x61, 0x74, 0x74, 0x65,
  0x6d, 0x70, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x61, 0x6c, 0x6c,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73,
  0x79, 0x73, 0x74, 0x65, 0x6d, 0x27, 0x73, 0x20, 0x63, 0x6f, 0x70, 0x79,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x66, 0x75,
  0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x61, 0x69, 0x6c, 0x2e,
  0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74,
  0x69, 0x63, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x0a, 0x23, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x27, 0x64, 0x65, 0x73, 0x74, 0x27, 0x20, 0x64, 0x6f,
  0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x79, 0x65, 0x74, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x2c, 0x20, 0x69, 0x2e, 0x65, 0x2e, 0x20, 0x64,
  0x65, 0x73, 0x74, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62,
  0x65, 0x63, 0x6f, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78,
  0x61, 0x63, 0x74, 0x0a, 0x23, 0x20, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x73, 0x72, 0x63, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20,
  0x64, 0x65, 0x73, 0x74, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x74, 0x68, 0x72, 0x6f,
  0x77, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x6d, 0x61, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x63,
  0x61, 0x6e, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x0a, 0x23, 0x20,
  0x6f, 0x66, 0x20, 0x72, 0x75, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x54,
  0x63, 0x6c, 0x27, 0x73, 0x20, 0x74, 0x65, 0x73, 0x74, 0x73, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x20, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x2d, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x69, 0x6e, 0x67,
  0x22, 0x20, 0x6f, 0x72, 0x20, 0x22, 0x63, 0x6f, 0x70, 0x79, 0x69, 0x6e,
  0x67, 0x22, 0x0a, 0x23, 0x20, 0x73, 0x72, 0x63, 0x20, 0x2d, 0x09, 0x09,
  0x09, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x23, 0x20, 0x64, 0x65, 0x73, 0x74,
  0x20, 0x2d, 0x09, 0x09, 0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x43, 0x6f, 0x70, 0x79, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x7b, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x73, 0x72,
  0x63, 0x20, 0x64, 0x65, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x73, 0x72, 0x63, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69,
  0x7a, 0x65, 0x20, 0x24, 0x73, 0x72, 0x63, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x64, 0x65, 0x73, 0x74, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69,
  0x7a, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x74, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x61, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x65, 0x71, 0x20, 0x22, 0x72, 0x65, 0x6e, 0x61, 0x6d,
  0x69, 0x6e, 0x67, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x43,
  0x61, 0x6e, 0x27, 0x74, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x57, 0x65,
  0x20, 0x63, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x67, 0x69, 0x76, 0x65, 0x20,
  0x61, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x70, 0x72, 0x65, 0x63, 0x69,
  0x73, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x68, 0x65, 0x72, 0x65,
  0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77,
  0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x65, 0x73, 0x74, 0x20, 0x73, 0x75, 0x69, 0x74,
  0x65, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x73, 0x72,
  0x63, 0x20, 0x69, 0x6e, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x76,
  0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x61, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x5c, 0x22, 0x24, 0x73, 0x72, 0x63, 0x5c, 0x22, 0x20, 0x74,
  0x6f, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5c, 0x22,
  0x24, 0x64, 0x65, 0x73, 0x74, 0x5c, 0x22, 0x3a, 0x20, 0x74, 0x72, 0x79,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x61, 0x20, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x20, 0x6f,
  0x72, 0x20, 0x6d, 0x6f, 0x76, 0x65, 0x20, 0x61, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x69, 0x74, 0x73, 0x65,
  0x6c, 0x66, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x64,
  0x65, 0x73, 0x74, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x6e, 0x73, 0x72, 0x63, 0x20, 0x65, 0x71, 0x20, 0x24, 0x6e,
  0x64, 0x65, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x24, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c,
  0x22, 0x24, 0x73, 0x72, 0x63, 0x5c, 0x22, 0x20, 0x74, 0x6f, 0x5c, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5c, 0x22, 0x24, 0x64, 0x65,
  0x73, 0x74, 0x5c, 0x22, 0x3a, 0x20, 0x74, 0x72, 0x79, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61,
  0x20, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x6d,
  0x6f, 0x76, 0x65, 0x20, 0x61, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x6e, 0x74, 0x6f, 0x20, 0x69, 0x74, 0x73, 0x65, 0x6c, 0x66, 0x22,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x61, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x65, 0x71, 0x20, 0x22, 0x63, 0x6f, 0x70,
  0x79, 0x69, 0x6e, 0x67, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x72, 0x6f, 0x77, 0x20, 0x61, 0x6e, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x68, 0x65, 0x72, 0x65, 0x2c, 0x20,
  0x62, 0x75, 0x74, 0x2c, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x69, 0x6e, 0x67,
  0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x6c,
  0x79, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x72, 0x65, 0x20, 0x63, 0x6f, 0x70,
  0x79, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x63,
  0x6c, 0x46, 0x43, 0x6d, 0x64, 0x2e, 0x63, 0x2c, 0x20, 0x69, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20,
  0x77, 0x65, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x6f, 0x6e,
  0x6c, 0x79, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x66,
  0x20, 0x2d, 0x66, 0x6f, 0x72, 0x63, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x69, 0x73, 0x20, 0x74, 0x72, 0x75, 0x65, 0x2c, 0x20,
  0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20,
  0x77, 0x65, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x77, 0x61, 0x6e, 0x74,
  0x20, 0x74, 0x6f, 0x20, 0x6f, 0x76, 0x65, 0x72, 0x2d, 0x77, 0x72, 0x69,
  0x74, 0x65, 0x2e, 0x20, 0x20, 0x53, 0x6f, 0x2c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c,
  0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x6e, 0x6f, 0x77, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e,
  0x74, 0x65, 0x64, 0x20, 0x6f, 0x75, 0x74, 0x2e, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x24, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x24,
  0x73, 0x72, 0x63, 0x5c, 0x22, 0x20, 0x74, 0x6f, 0x5c, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x5c, 0x22, 0x24, 0x64, 0x65, 0x73, 0x74,
  0x5c, 0x22, 0x3a, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x61, 0x6c, 0x72,
  0x65, 0x61, 0x64, 0x79, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x22,
  0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x70, 0x65, 0x6e, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77,
  0x6f, 0x72, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x27, 0x2e,
  0x27, 0x2c, 0x20, 0x27, 0x2e, 0x2e, 0x27, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x62, 0x69, 0x6e,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x20, 0x20, 0x41, 0x6e, 0x79,
  0x77, 0x61, 0x79, 0x2c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x69, 0x66, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x65, 0x64, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6d, 0x75,
  0x73, 0x74, 0x20, 0x73, 0x69, 0x67, 0x6e, 0x61, 0x6c, 0x20, 0x61, 0x6e,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e,
  0x67, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x6e, 0x6f, 0x63,
  0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x2d, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x65, 0x73, 0x74,
  0x20, 0x2a, 0x20, 0x2e, 0x2a, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x7b, 0x2a, 0x7d, 0x5b, 0x67, 0x6c, 0x6f,
  0x62, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69,
  0x6e, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x20, 0x68, 0x69, 0x64,
  0x64, 0x65, 0x6e, 0x20, 0x2a, 0x20, 0x2e, 0x2a, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x73,
  0x20, 0x24, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24, 0x73, 0x5d, 0x20, 0x6e, 0x69,
  0x20, 0x7b, 0x2e, 0x20, 0x2e, 0x2e, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x22, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x61, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x24, 0x73, 0x72, 0x63, 0x5c, 0x22, 0x20,
  0x74, 0x6f, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x5c, 0x22, 0x24, 0x64, 0x65, 0x73, 0x74, 0x5c, 0x22, 0x3a, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x24, 0x6e, 0x73, 0x72, 0x63, 0x20,
  0x24, 0x6e, 0x64, 0x65, 0x73, 0x74, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x2d,
  0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x72, 0x63, 0x6c, 0x65, 0x6e, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c, 0x69, 0x74,
  0x20, 0x24, 0x6e, 0x73, 0x72, 0x63, 0x5d, 0x5d, 0x20, 0x2d, 0x20, 0x31,
  0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6e, 0x64, 0x65, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c, 0x69,
  0x74, 0x20, 0x24, 0x6e, 0x64, 0x65, 0x73, 0x74, 0x5d, 0x20, 0x24, 0x73,
  0x72, 0x63, 0x6c, 0x65, 0x6e, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x64, 0x65, 0x73, 0x74, 0x20, 0x65,
  0x71, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x61, 0x69, 0x6c,
  0x20, 0x24, 0x6e, 0x73, 0x72, 0x63, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x24, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c,
  0x22, 0x24, 0x73, 0x72, 0x63, 0x5c, 0x22, 0x20, 0x74, 0x6f, 0x5c, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x5c, 0x22, 0x24, 0x64, 0x65, 0x73, 0x74, 0x5c,
  0x22, 0x3a, 0x20, 0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f,
  0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x20, 0x76, 0x6f,
  0x6c, 0x75, 0x6d, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x6d, 0x6f, 0x76, 0x65,
  0x20, 0x61, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x69,
  0x74, 0x73, 0x65, 0x6c, 0x66, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6d,
  0x6b, 0x64, 0x69, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x48,
  0x61, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x63, 0x61,
  0x72, 0x65, 0x66, 0x75, 0x6c, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x61, 0x70,
  0x74, 0x75, 0x72, 0x65, 0x20, 0x62, 0x6f, 0x74, 0x68, 0x20, 0x76, 0x69,
  0x73, 0x69, 0x62, 0x6c, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x68, 0x69,
  0x64, 0x64, 0x65, 0x6e, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x77, 0x69, 0x6c,
  0x6c, 0x20, 0x61, 0x6c, 0x73, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x6f, 0x75, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e,
  0x6f, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x73, 0x73,
  0x75, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x64, 0x64,
  0x65, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x68,
  0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x6f, 0x76, 0x65, 0x72,
  0x6c, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4f, 0x6e, 0x20,
  0x55, 0x6e, 0x69, 0x78, 0x20, 0x27, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e,
  0x27, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x62, 0x65, 0x67, 0x69,
  0x6e, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x27, 0x2e, 0x27, 0x2e, 0x20,
  0x20, 0x4f, 0x6e, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x70, 0x6c,
  0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x6f, 0x72, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x79, 0x73,
  0x74, 0x65, 0x6d, 0x73, 0x20, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x68, 0x61,
  0x76, 0x65, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x63, 0x6f, 0x6e, 0x63,
  0x61, 0x74, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x6e, 0x6f,
  0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x2d, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x73, 0x72, 0x63,
  0x20, 0x2a, 0x5d, 0x20, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d,
  0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x73, 0x72, 0x63, 0x20, 0x2d, 0x74,
  0x79, 0x70, 0x65, 0x73, 0x20, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20,
  0x2a, 0x5d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x6f, 0x72,
  0x74, 0x20, 0x2d, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x61,
  0x69, 0x6c, 0x20, 0x24, 0x73, 0x5d, 0x20, 0x6e, 0x69, 0x20, 0x7b, 0x2e,
  0x20, 0x2e, 0x2e, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x70, 0x79, 0x20, 0x2d,
  0x66, 0x6f, 0x72, 0x63, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x73, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x74, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74,
  0x61, 0x69, 0x6c, 0x20, 0x24, 0x73, 0x5d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_init_tcl_len = sizeof(__turbine_tcl_resource_init_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/package.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_package_tcl:/usr/share/tcltk/tcl8.6/package.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_package_tcl[] = {
  0x23, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x74, 0x63,
  0x6c, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x75, 0x74, 0x69,
  0x6c, 0x69, 0x74, 0x79, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x65, 0x72, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x69,
  0x6e, 0x69, 0x74, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x65, 0x64, 0x20, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6d, 0x61, 0x6e,
  0x64, 0x0a, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79,
  0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39,
  0x39, 0x31, 0x2d, 0x31, 0x39, 0x39, 0x33, 0x20, 0x54, 0x68, 0x65, 0x20,
  0x52, 0x65, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x55, 0x6e, 0x69, 0x76, 0x65, 0x72, 0x73, 0x69, 0x74,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x43, 0x61, 0x6c, 0x69, 0x66, 0x6f, 0x72,
  0x6e, 0x69, 0x61, 0x2e, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72,
  0x69, 0x67, 0x68, 0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39,
  0x34, 0x2d, 0x31, 0x39, 0x39, 0x38, 0x20, 0x53, 0x75, 0x6e, 0x20, 0x4d,
  0x69, 0x63, 0x72, 0x6f, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x73, 0x2c,
  0x20, 0x49, 0x6e, 0x63, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x22,
  0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74, 0x65, 0x72, 0x6d,
  0x73, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e, 0x20, 0x75, 0x73,
  0x61, 0x67, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x64, 0x69,
  0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61,
  0x20, 0x44, 0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d, 0x45, 0x52, 0x20,
  0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41, 0x52, 0x52, 0x41,
  0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e, 0x0a, 0x23, 0x0a, 0x0a, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x20, 0x7b, 0x7d,
  0x0a, 0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x50,
  0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x45,
  0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x55, 0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x62, 0x79, 0x20, 0x70,
  0x6b, 0x67, 0x5f, 0x6d, 0x6b, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x74,
  0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x6f,
  0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x0a, 0x23, 0x20, 0x65,
  0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x20, 0x4f, 0x6e,
  0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x2c, 0x20, 0x69, 0x74,
  0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x2d, 0x69, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x76, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x69, 0x73, 0x6f, 0x6e, 0x20,
  0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x23, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65,
  0x6d, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x69, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x76,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x4e, 0x61, 0x6d, 0x65, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x68, 0x6f,
  0x73, 0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x64,
  0x0a, 0x23, 0x20, 0x20, 0x65, 0x78, 0x74, 0x09, 0x09, 0x28, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x20, 0x54, 0x68, 0x65, 0x20,
  0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x6f,
  0x20, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x20, 0x61, 0x67, 0x61,
  0x69, 0x6e, 0x73, 0x74, 0x3b, 0x20, 0x79, 0x6f, 0x75, 0x20, 0x6d, 0x75,
  0x73, 0x74, 0x0a, 0x23, 0x09, 0x09, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69,
  0x6e, 0x67, 0x20, 0x64, 0x6f, 0x74, 0x2e, 0x0a, 0x23, 0x09, 0x09, 0x44,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x6c,
  0x69, 0x62, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x5d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x20, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x31, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78,
  0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x65, 0x73, 0x2c, 0x20, 0x30, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72,
  0x77, 0x69, 0x73, 0x65, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x6f, 0x6d,
  0x70, 0x61, 0x72, 0x65, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x7b, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x7b, 0x65, 0x78, 0x74, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x65, 0x78, 0x74,
  0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x73, 0x65, 0x74,
  0x20, 0x65, 0x78, 0x74, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73,
  0x68, 0x61, 0x72, 0x65, 0x64, 0x6c, 0x69, 0x62, 0x65, 0x78, 0x74, 0x65,
  0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
  0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x22, 0x77, 0x69, 0x6e, 0x64,
  0x6f, 0x77, 0x73, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x75, 0x61, 0x6c,
  0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x61, 0x73, 0x65, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x24, 0x65, 0x78, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x6f, 0x6d, 0x65, 0x20, 0x75, 0x6e,
  0x69, 0x63, 0x65, 0x73, 0x20, 0x61, 0x64, 0x64, 0x20, 0x74, 0x72, 0x61,
  0x69, 0x6c, 0x69, 0x6e, 0x67, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72,
  0x73, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x2e, 0x73, 0x6f, 0x2c, 0x20, 0x73, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x65, 0x20, 0x63, 0x6f, 0x75,
  0x6c, 0x64, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x27,
  0x2e, 0x73, 0x6f, 0x2e, 0x31, 0x2e, 0x32, 0x27, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x6f,
  0x6f, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69,
  0x6c, 0x65, 0x20, 0x7b, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x45, 0x78, 0x74, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x24, 0x72, 0x6f, 0x6f, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x63, 0x75, 0x72, 0x72, 0x45, 0x78, 0x74, 0x20, 0x65, 0x71, 0x20,
  0x24, 0x65, 0x78, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e,
  0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f,
  0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x3b, 0x20, 0x69, 0x66, 0x20,
  0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x20,
  0x6e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x2c, 0x20, 0x71, 0x75,
  0x69, 0x74, 0x2c, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x67, 0x6e, 0x6f, 0x72, 0x65,
  0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65,
  0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x20, 0x20,
  0x4f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x20, 0x77, 0x65,
  0x20, 0x6d, 0x69, 0x67, 0x68, 0x74, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x31, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x63, 0x61, 0x73, 0x65, 0x3a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x09, 0x09, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a,
  0x43, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x45, 0x78, 0x74, 0x65, 0x6e,
  0x73, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x6f, 0x2e, 0x73, 0x6f, 0x2e,
  0x62, 0x61, 0x72, 0x20, 0x2e, 0x73, 0x6f, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x73, 0x68, 0x6f,
  0x75, 0x6c, 0x64, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x2e, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73, 0x74,
  0x72, 0x69, 0x63, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x63, 0x75, 0x72, 0x72,
  0x45, 0x78, 0x74, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x72, 0x6f, 0x6f, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x72, 0x6f,
  0x6f, 0x74, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x70, 0x6b, 0x67, 0x5f, 0x6d, 0x6b,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72,
  0x65, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x73, 0x20, 0x61, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x0a, 0x23, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x63, 0x6f, 0x6e,
  0x73, 0x69, 0x73, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x22,
  0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c,
  0x22, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x61, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x23, 0x20, 0x73, 0x65,
  0x74, 0x73, 0x20, 0x75, 0x70, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x22,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e, 0x20, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73,
  0x0a, 0x23, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x20,
  0x61, 0x6c, 0x6c, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x64, 0x65, 0x66, 0x69,
  0x6e, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61,
  0x73, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x09, 0x09, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c,
  0x29, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e,
  0x74, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72,
  0x61, 0x74, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x69, 0x6e, 0x20, 0x70, 0x6b, 0x67, 0x4d, 0x6b, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x77, 0x69, 0x6c, 0x6c,
  0x20, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65,
  0x0a, 0x23, 0x09, 0x09, 0x09, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20,
  0x77, 0x68, 0x65, 0x6e, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x22, 0x20, 0x69,
  0x73, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x2c, 0x20,
  0x72, 0x61, 0x74, 0x68, 0x65, 0x72, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x74,
  0x68, 0x61, 0x6e, 0x20, 0x6c, 0x61, 0x7a, 0x69, 0x6c, 0x79, 0x20, 0x77,
  0x68, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74,
  0x65, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6d,
  0x61, 0x64, 0x65, 0x2e, 0x0a, 0x23, 0x20, 0x2d, 0x76, 0x65, 0x72, 0x62,
  0x6f, 0x73, 0x65, 0x09, 0x09, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x61, 0x6c, 0x29, 0x20, 0x56, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x20,
  0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x3b, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x77, 0x61, 0x73, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x72, 0x6f, 0x63, 0x65,
  0x73, 0x73, 0x65, 0x64, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x69, 0x6e,
  0x74, 0x65, 0x64, 0x20, 0x6f, 0x75, 0x74, 0x2e, 0x20, 0x41, 0x64, 0x64,
  0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x2c, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x69, 0x66, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73,
  0x73, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x20, 0x61, 0x20,
  0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x69, 0x73, 0x20, 0x70,
  0x72, 0x69, 0x6e, 0x74, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20, 0x2d, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x70, 0x61, 0x74, 0x09, 0x09, 0x28, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x20, 0x50, 0x72, 0x65, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65,
  0x72, 0x6e, 0x2e, 0x20, 0x20, 0x55, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x44, 0x4c, 0x4c, 0x73,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x6f, 0x6e, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x6f, 0x74, 0x68, 0x65,
  0x72, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x64,
  0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20,
  0x49, 0x6e, 0x69, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75,
  0x72, 0x65, 0x2e, 0x0a, 0x23, 0x20, 0x64, 0x69, 0x72, 0x20, 0x2d, 0x09,
  0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x69, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x6f, 0x20,
  0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x2e, 0x0a, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73,
  0x20, 0x2d, 0x09, 0x09, 0x41, 0x6e, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x2c, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x67, 0x69, 0x76,
  0x69, 0x6e, 0x67, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x61, 0x20, 0x67, 0x6c,
  0x6f, 0x62, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x6f, 0x66,
  0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x72, 0x0a, 0x23, 0x09, 0x09, 0x09,
  0x6d, 0x6f, 0x72, 0x65, 0x20, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x20,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x6f, 0x72,
  0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x09, 0x09,
  0x09, 0x64, 0x69, 0x72, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x70, 0x6b, 0x67, 0x5f, 0x6d, 0x6b, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x7b,
  0x22, 0x70, 0x6b, 0x67, 0x5f, 0x6d, 0x6b, 0x49, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x3f, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x3f, 0x20, 0x3f,
  0x2d, 0x6c, 0x61, 0x7a, 0x79, 0x3f, 0x20, 0x3f, 0x2d, 0x6c, 0x6f, 0x61,
  0x64, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x3f, 0x20, 0x3f,
  0x2d, 0x76, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x3f, 0x20, 0x3f, 0x2d,
  0x2d, 0x3f, 0x20, 0x64, 0x69, 0x72, 0x20, 0x3f, 0x70, 0x61, 0x74, 0x74,
  0x65, 0x72, 0x6e, 0x20, 0x2e, 0x2e, 0x2e, 0x3f, 0x22, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72, 0x67, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x61, 0x72, 0x67, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x20, 0x3c, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x77, 0x72, 0x6f, 0x6e, 0x67,
  0x20, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73, 0x3a, 0x20, 0x73, 0x68, 0x6f,
  0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x5c, 0x6e, 0x24, 0x75, 0x73, 0x61,
  0x67, 0x65, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20,
  0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x20, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x56, 0x65, 0x72, 0x62, 0x6f, 0x73,
  0x65, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61, 0x74, 0x20, 0x22, 0x22, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20,
  0x69, 0x64, 0x78, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x24, 0x69, 0x64, 0x78,
  0x20, 0x3c, 0x20, 0x24, 0x61, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x64, 0x78, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x24, 0x69, 0x64, 0x78, 0x5d, 0x0a, 0x09, 0x73, 0x77,
  0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d,
  0x2d, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2d, 0x2d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20,
  0x64, 0x6f, 0x6e, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x0a, 0x09, 0x09, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x69, 0x64, 0x78, 0x0a, 0x09, 0x09, 0x62, 0x72, 0x65,
  0x61, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2d, 0x76, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x56, 0x65,
  0x72, 0x62, 0x6f, 0x73, 0x65, 0x20, 0x31, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x6c, 0x61, 0x7a,
  0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x22, 0x20, 0x2d,
  0x6c, 0x61, 0x7a, 0x79, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x22, 0x20, 0x2d, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x64, 0x78, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61,
  0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x64, 0x78, 0x5d, 0x0a, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20,
  0x22, 0x20, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x24, 0x6c, 0x6f, 0x61,
  0x64, 0x50, 0x61, 0x74, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x2a, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x75, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x24, 0x66,
  0x6c, 0x61, 0x67, 0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20,
  0x62, 0x65, 0x5c, 0x6e, 0x24, 0x75, 0x73, 0x61, 0x67, 0x65, 0x22, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x23, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x0a, 0x09, 0x09,
  0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73,
  0x20, 0x24, 0x69, 0x64, 0x78, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x4c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x24, 0x69, 0x64, 0x78, 0x20, 0x2b, 0x20, 0x31, 0x7d, 0x5d, 0x20, 0x65,
  0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70,
  0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x4c, 0x69, 0x73, 0x74, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x74, 0x74,
  0x65, 0x72, 0x6e, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x22, 0x2a, 0x2e, 0x74, 0x63, 0x6c, 0x22, 0x20, 0x22, 0x2a,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64,
  0x6c, 0x69, 0x62, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e,
  0x5d, 0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b,
  0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x2d, 0x74, 0x61,
  0x69, 0x6c, 0x73, 0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x73, 0x20, 0x7b,
  0x72, 0x20, 0x66, 0x7d, 0x20, 0x2d, 0x2d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x7b, 0x2a, 0x7d, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x4c,
  0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f,
  0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x6d, 0x73, 0x67,
  0x20, 0x6f, 0x70, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x20, 0x24, 0x6f, 0x70, 0x74, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x23,
  0x20, 0x46, 0x6f, 0x72, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x2c, 0x20, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x6f,
  0x75, 0x74, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x69, 0x74, 0x20, 0x70, 0x72, 0x6f,
  0x76, 0x69, 0x64, 0x65, 0x73, 0x2e, 0x0a, 0x09, 0x23, 0x20, 0x54, 0x6f,
  0x20, 0x64, 0x6f, 0x20, 0x74, 0x68, 0x69, 0x73, 0x2c, 0x20, 0x63, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x63, 0x68, 0x69, 0x6c, 0x64,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72,
  0x2c, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65,
  0x74, 0x65, 0x72, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x09, 0x23,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64,
  0x2e, 0x0a, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64,
  0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65,
  0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x63, 0x20,
  0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x63, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x61, 0x64,
  0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x68,
  0x69, 0x6c, 0x64, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x6c, 0x79, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x0a,
  0x09, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74,
  0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x2e, 0x0a, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61, 0x74, 0x20,
  0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f, 0x56, 0x65, 0x72,
  0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x74, 0x63,
  0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x6c, 0x79, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x3a, 0x20, 0x27, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x5d, 0x27,
  0x22, 0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22,
  0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x73, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61, 0x74, 0x22, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65,
  0x64, 0x5d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c,
  0x4c, 0x6f, 0x67, 0x20, 0x22, 0x77, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67,
  0x3a, 0x20, 0x6e, 0x6f, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x6c, 0x79, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x2c, 0x20,
  0x6e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x22, 0x0a, 0x09, 0x09, 0x74,
  0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x63, 0x61, 0x6e, 0x20, 0x70,
  0x6f, 0x73, 0x73, 0x69, 0x62, 0x6c, 0x79, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x27, 0x24, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61, 0x74, 0x27,
  0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a,
  0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x6b, 0x67,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65,
  0x64, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x61, 0x73, 0x65,
  0x20, 0x24, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x61, 0x74, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x31,
  0x5d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f,
  0x56, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x31, 0x5d, 0x20, 0x6d, 0x61, 0x74,
  0x63, 0x68, 0x65, 0x73, 0x20, 0x27, 0x24, 0x6c, 0x6f, 0x61, 0x64, 0x50,
  0x61, 0x74, 0x27, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x30, 0x5d, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x31,
  0x5d, 0x20, 0x24, 0x63, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x65, 0x72, 0x72,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f,
  0x56, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20,
  0x22, 0x77, 0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x3a, 0x20, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x70, 0x6b, 0x67, 0x20, 0x30, 0x5d, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x70, 0x6b, 0x67, 0x20, 0x31, 0x5d, 0x5c, 0x6e, 0x66, 0x61, 0x69, 0x6c,
  0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x3a, 0x20, 0x24, 0x65, 0x72,
  0x72, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x6b, 0x20, 0x7b, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f, 0x56, 0x65,
  0x72, 0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x6c,
  0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x30, 0x5d, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x31,
  0x5d, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x20,
  0x31, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x54, 0x6b, 0x22, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x57, 0x69, 0x74, 0x68, 0x64, 0x72,
  0x61, 0x77, 0x20, 0x2e, 0x20, 0x69, 0x66, 0x20, 0x54, 0x6b, 0x20, 0x77,
  0x61, 0x73, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x2c, 0x20, 0x74,
  0x6f, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x20, 0x73, 0x68, 0x6f, 0x77,
  0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77,
  0x2e, 0x0a, 0x09, 0x09, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x77, 0x6d, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x64, 0x72, 0x61, 0x77, 0x20, 0x2e, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x24, 0x63, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x53, 0x74, 0x75, 0x62, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x72,
  0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x5f, 0x5f, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x5f, 0x6f, 0x72, 0x69, 0x67, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x7b, 0x77, 0x68, 0x61, 0x74, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d,
  0x2d, 0x20, 0x24, 0x77, 0x68, 0x61, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x3b,
  0x09, 0x09, 0x23, 0x20, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x20, 0x74,
  0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x76, 0x65, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x69, 0x72, 0x65, 0x73, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x5f, 0x5f,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x5f, 0x6f, 0x72, 0x69, 0x67,
  0x20, 0x24, 0x77, 0x68, 0x61, 0x74, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c,
  0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x20, 0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x53, 0x74, 0x75, 0x62, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x63, 0x61,
  0x6c, 0x6c, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x64, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65,
  0x69, 0x72, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x6c,
  0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x7d,
  0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x74, 0x75,
  0x62, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x6d, 0x65,
  0x63, 0x68, 0x61, 0x6e, 0x69, 0x73, 0x6d, 0x0a, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73,
  0x7d, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x72, 0x65, 0x73, 0x65, 0x72, 0x76, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x73, 0x75, 0x70,
  0x70, 0x6f, 0x72, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72, 0x61, 0x72, 0x79,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x6d, 0x69, 0x67, 0x68, 0x74, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20,
  0x69, 0x74, 0x20, 0x61, 0x77, 0x6b, 0x77, 0x61, 0x72, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x61,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x6b, 0x67, 0x49,
  0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x2e, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x09, 0x09,
  0x3b, 0x23, 0x20, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x62, 0x65, 0x69,
  0x6e, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x64,
  0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x09, 0x09, 0x3b, 0x23, 0x20, 0x43, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x62, 0x65,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65,
  0x64, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x09, 0x09, 0x3b, 0x23, 0x20,
  0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x78, 0x09, 0x09, 0x3b, 0x23, 0x20,
  0x4c, 0x6f, 0x6f, 0x70, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x64, 0x65, 0x62, 0x75, 0x67, 0x09, 0x09, 0x3b, 0x23, 0x20, 0x46,
  0x6f, 0x72, 0x20, 0x64, 0x65, 0x62, 0x75, 0x67, 0x67, 0x69, 0x6e, 0x67,
  0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x74, 0x79, 0x70, 0x65, 0x09, 0x09, 0x3b, 0x23, 0x20, 0x22, 0x6c, 0x6f,
  0x61, 0x64, 0x22, 0x20, 0x6f, 0x72, 0x20, 0x22, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x22, 0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x2d, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x73, 0x09, 0x3b, 0x23, 0x20, 0x45, 0x78, 0x69, 0x73, 0x74, 0x69,
  0x6e, 0x67, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x73, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x29, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x09,
  0x3b, 0x23, 0x20, 0x45, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x28, 0x65, 0x2e,
  0x67, 0x2e, 0x2c, 0x20, 0x54, 0x63, 0x6c, 0x29, 0x0a, 0x09, 0x09, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6f, 0x72, 0x69, 0x67,
  0x43, 0x6d, 0x64, 0x73, 0x09, 0x3b, 0x23, 0x20, 0x45, 0x78, 0x69, 0x73,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x0a, 0x09, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64, 0x73, 0x09, 0x3b, 0x23, 0x20,
  0x4e, 0x65, 0x77, 0x6c, 0x79, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x09,
  0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6e, 0x65,
  0x77, 0x50, 0x6b, 0x67, 0x73, 0x20, 0x7b, 0x7d, 0x09, 0x3b, 0x23, 0x20,
  0x4e, 0x65, 0x77, 0x6c, 0x79, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x64, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x24,
  0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x64, 0x69, 0x72, 0x20, 0x24, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x09, 0x24,
  0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a,
  0x09, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x20, 0x24, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x44, 0x6f,
  0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65,
  0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x73,
  0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x77, 0x65, 0x27, 0x76, 0x65, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x64,
  0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x0a, 0x09, 0x23, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x2e, 0x20, 0x20, 0x54, 0x68,
  0x69, 0x73, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x68,
  0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64,
  0x75, 0x72, 0x65, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x64, 0x65,
  0x66, 0x61, 0x75, 0x6c, 0x74, 0x0a, 0x09, 0x23, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x0a, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x20, 0x7b, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x6f, 0x6d,
  0x70, 0x61, 0x72, 0x65, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f,
  0x6e, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x63,
  0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73,
  0x20, 0x24, 0x70, 0x5d, 0x20, 0x7b, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x70, 0x20,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24,
  0x70, 0x5d, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x62, 0x6f, 0x64,
  0x79, 0x20, 0x24, 0x70, 0x5d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09,
  0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x64, 0x65,
  0x62, 0x75, 0x67, 0x20, 0x22, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x6f, 0x72, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x69, 0x6e, 0x67,
  0x22, 0x0a, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65,
  0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x64, 0x65, 0x66, 0x69,
  0x6e, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x65, 0x76, 0x65, 0x6e,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x09, 0x23, 0x20,
  0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x79, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65,
  0x64, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x6c, 0x79,
  0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x09, 0x23, 0x20,
  0x22, 0x70, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6c, 0x20, 0x70, 0x6b, 0x67,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x22, 0x20, 0x73,
  0x74, 0x65, 0x70, 0x20, 0x61, 0x62, 0x6f, 0x76, 0x65, 0x2e, 0x0a, 0x0a,
  0x09, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x47, 0x65, 0x74, 0x41, 0x6c, 0x6c, 0x4e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x20, 0x7b, 0x7b, 0x72, 0x6f, 0x6f,
  0x74, 0x20, 0x3a, 0x3a, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x24, 0x72, 0x6f, 0x6f, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x73, 0x20, 0x5b,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x68,
  0x69, 0x6c, 0x64, 0x72, 0x65, 0x6e, 0x20, 0x24, 0x72, 0x6f, 0x6f, 0x74,
  0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x2a, 0x7d, 0x5b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x47, 0x65, 0x74, 0x41, 0x6c,
  0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x20,
  0x24, 0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x0a, 0x09, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x73, 0x2c, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x73, 0x2c, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x0a, 0x0a, 0x09, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x20, 0x5b, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x47, 0x65, 0x74, 0x41, 0x6c, 0x6c,
  0x4e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x5d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x73, 0x28, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x78, 0x29, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x5d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69,
  0x64, 0x65, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78,
  0x5d, 0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x28, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29, 0x20, 0x31, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x6f, 0x72, 0x69, 0x67, 0x43, 0x6d, 0x64, 0x73, 0x20, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x5d,
  0x0a, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x54, 0x72, 0x79, 0x20, 0x74, 0x6f,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20, 0x68, 0x61, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x20,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x65, 0x78, 0x74, 0x65,
  0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x2c, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x6f,
  0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x20, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x69, 0x74, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x27,
  0x73, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6e, 0x74, 0x20,
  0x6e, 0x6f, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x72, 0x79, 0x20, 0x74,
  0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x72,
  0x65, 0x6e, 0x27, 0x74, 0x20, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x20,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2c, 0x20, 0x62,
  0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x73, 0x6f,
  0x6d, 0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x73, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x28, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x53, 0x75, 0x6e,
  0x4f, 0x53, 0x29, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64,
  0x65, 0x72, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x61, 0x62, 0x6f, 0x72,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x68, 0x6f, 0x6c, 0x65, 0x20,
  0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a,
  0x09, 0x09, 0x23, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x2e, 0x0a, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43,
  0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73,
  0x68, 0x61, 0x72, 0x65, 0x64, 0x6c, 0x69, 0x62, 0x65, 0x78, 0x74, 0x65,
  0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x22,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x2e, 0x22,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x62, 0x65, 0x6c,
  0x6f, 0x77, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x65, 0x63, 0x65, 0x73, 0x73,
  0x61, 0x72, 0x79, 0x2e, 0x20, 0x20, 0x57, 0x69, 0x74, 0x68, 0x6f, 0x75,
  0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x74,
  0x2c, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x6e,
  0x6f, 0x20, 0x5c, 0x27, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x65,
  0x27, 0x72, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x55, 0x4e, 0x49, 0x58, 0x2c,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x44, 0x5f, 0x4c, 0x49, 0x42,
  0x52, 0x41, 0x52, 0x59, 0x5f, 0x50, 0x41, 0x54, 0x48, 0x20, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x6d, 0x65, 0x63, 0x68, 0x61, 0x6e, 0x69, 0x73, 0x6d, 0x2c, 0x20,
  0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x63, 0x6f, 0x75, 0x6c, 0x64, 0x20,
  0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x72,
  0x6f, 0x6e, 0x67, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x62, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x64, 0x65, 0x62, 0x75, 0x67, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x64,
  0x69, 0x72, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x66,
  0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x79,
  0x70, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x0a, 0x09, 0x09, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x64, 0x65, 0x62, 0x75, 0x67, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x69,
  0x6e, 0x67, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x64,
  0x69, 0x72, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x66,
  0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x79,
  0x70, 0x65, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x41, 0x73, 0x20, 0x61, 0x20,
  0x70, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x6e, 0x63, 0x65, 0x20,
  0x6f, 0x70, 0x74, 0x69, 0x6d, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x2c, 0x20, 0x69, 0x66, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x63, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x6c, 0x6f, 0x61, 0x64,
  0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x2c, 0x20, 0x64,
  0x6f, 0x6e, 0x27, 0x74, 0x20, 0x62, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20,
  0x66, 0x69, 0x67, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x75, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x57, 0x65, 0x20, 0x6f, 0x6e,
  0x6c, 0x79, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x09, 0x09,
  0x23, 0x20, 0x73, 0x65, 0x74, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x75, 0x70,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61,
  0x64, 0x69, 0x6e, 0x67, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x20, 0x63, 0x61, 0x73, 0x65, 0x2e, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x65, 0x65, 0x20, 0x77,
  0x68, 0x61, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x20, 0x61, 0x70, 0x70, 0x65, 0x61,
  0x72, 0x65, 0x64, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x6d, 0x70,
  0x6f, 0x72, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x2e, 0x20, 0x20, 0x4f, 0x6e, 0x6c,
  0x79, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x67, 0x6f, 0x20, 0x69,
  0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x2e, 0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x47,
  0x65, 0x74, 0x41, 0x6c, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x73, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x28, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74,
  0x20, 0x2d, 0x66, 0x6f, 0x72, 0x63, 0x65, 0x20, 0x24, 0x7b, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x7d, 0x3a, 0x3a, 0x2a, 0x0a, 0x09,
  0x09, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x46, 0x69,
  0x67, 0x75, 0x72, 0x65, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x77, 0x68, 0x61,
  0x74, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x61, 0x72, 0x65, 0x64, 0x0a, 0x0a, 0x09, 0x09, 0x09,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x78, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64, 0x73,
  0x28, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29, 0x20,
  0x31, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x78, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6f,
  0x72, 0x69, 0x67, 0x43, 0x6d, 0x64, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d,
  0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64,
  0x73, 0x28, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29,
  0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x78, 0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65,
  0x77, 0x43, 0x6d, 0x64, 0x73, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d,
  0x69, 0x6e, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x61, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x65, 0x73, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x0a, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x61, 0x62, 0x73, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x20, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x5d, 0x0a, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69,
  0x61, 0x6c, 0x20, 0x63, 0x61, 0x73, 0x65, 0x20, 0x73, 0x6f, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x6f,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x65,
  0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x3a, 0x3a, 0x2c, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x61, 0x62, 0x73, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x5b, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x71, 0x75,
  0x61, 0x6c, 0x69, 0x66, 0x79, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x61, 0x62, 0x73, 0x20, 0x3a, 0x3a, 0x5d, 0x20, 0x30, 0x5d,
  0x0a, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x20, 0x6e,
  0x65, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x61, 0x62,
  0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x20,
  0x64, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69,
  0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64, 0x73, 0x28, 0x24, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x61, 0x62, 0x73, 0x29, 0x20, 0x31, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64, 0x73,
  0x28, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x6f, 0x6b, 0x20,
  0x74, 0x68, 0x72, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x61, 0x70, 0x70, 0x65, 0x61, 0x72, 0x65, 0x64, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x61, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x76, 0x65,
  0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
  0x65, 0x64, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x63,
  0x6f, 0x72, 0x64, 0x20, 0x69, 0x74, 0x0a, 0x0a, 0x09, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x78, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20,
  0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x5d, 0x20, 0x6e,
  0x65, 0x20, 0x22, 0x22, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x26, 0x26, 0x20, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x28, 0x24, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65, 0x77, 0x50, 0x6b, 0x67,
  0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x78, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20, 0x24, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x78, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x5b,
  0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x64, 0x65, 0x62, 0x75, 0x67,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x64, 0x6f, 0x56, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x77,
  0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x3a, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x77, 0x68, 0x61,
  0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x3a, 0x20, 0x24, 0x6d, 0x73,
  0x67, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d,
  0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x6b, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x77, 0x68, 0x61,
  0x74, 0x20, 0x5b, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x64, 0x65,
  0x62, 0x75, 0x67, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x64, 0x6f, 0x56, 0x65, 0x72, 0x62, 0x6f, 0x73, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67,
  0x20, 0x22, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75, 0x6c,
  0x20, 0x24, 0x77, 0x68, 0x61, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x79, 0x70,
  0x65, 0x20, 0x5b, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x79,
  0x70, 0x65, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6d, 0x64, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x6f, 0x72, 0x74,
  0x20, 0x5b, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x6e, 0x65, 0x77, 0x43, 0x6d, 0x64, 0x73,
  0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x70, 0x6b, 0x67, 0x73, 0x20, 0x5b, 0x24, 0x63, 0x20, 0x65, 0x76, 0x61,
  0x6c, 0x20, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x6e, 0x65, 0x77, 0x50, 0x6b, 0x67, 0x73, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f, 0x56, 0x65,
  0x72, 0x62, 0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x24, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x63, 0x6c,
  0x4c, 0x6f, 0x67, 0x20, 0x22, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x64, 0x20, 0x77,
  0x65, 0x72, 0x65, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x73, 0x22, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20,
  0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x70, 0x72,
  0x6f, 0x76, 0x69, 0x64, 0x65, 0x64, 0x20, 0x77, 0x65, 0x72, 0x65, 0x20,
  0x24, 0x70, 0x6b, 0x67, 0x73, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x6b, 0x67,
  0x73, 0x5d, 0x20, 0x3e, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x77, 0x61, 0x72, 0x6e,
  0x69, 0x6e, 0x67, 0x3a, 0x20, 0x5c, 0x22, 0x24, 0x66, 0x69, 0x6c, 0x65,
  0x5c, 0x22, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x73, 0x20,
  0x6d, 0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x28, 0x24,
  0x70, 0x6b, 0x67, 0x73, 0x29, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x70, 0x6b, 0x67, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x73,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6d, 0x64, 0x73, 0x20,
  0x69, 0x73, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2f, 0x6e, 0x6f, 0x74,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x73, 0x28, 0x24, 0x70, 0x6b, 0x67, 0x29, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24,
  0x74, 0x79, 0x70, 0x65, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x73, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f, 0x56, 0x65, 0x72, 0x62,
  0x6f, 0x73, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x74, 0x63, 0x6c,
  0x4c, 0x6f, 0x67, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
  0x65, 0x64, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x22, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x24,
  0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x2c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x31, 0x2e, 0x31, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x22, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x5c, 0x22,
  0x70, 0x6b, 0x67, 0x5f, 0x6d, 0x6b, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x24,
  0x6d, 0x6f, 0x72, 0x65, 0x5c, 0x22, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22,
  0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x64, 0x20, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x20, 0x77, 0x68, 0x65,
  0x6e, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x73, 0x20,
  0x75, 0x70, 0x20, 0x6f, 0x72, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x62, 0x79, 0x20, 0x61, 0x20, 0x5c, 0x22,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x5c, 0x22, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x2e, 0x20, 0x20, 0x49, 0x74, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x5c, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x5c,
  0x22, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x2d, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x5c,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x73,
  0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6d,
  0x61, 0x74, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x5c, 0x6e, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x69, 0x6e, 0x20, 0x72,
  0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x5c,
  0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x72, 0x65, 0x71,
  0x75, 0x69, 0x72, 0x65, 0x5c, 0x22, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x2e, 0x20, 0x20, 0x57, 0x68, 0x65, 0x6e, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x22, 0x23, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x69, 0x73,
  0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x64, 0x2c, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x5c,
  0x24, 0x64, 0x69, 0x72, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x63, 0x6f,
  0x6e, 0x74, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x5c, 0x6e, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x66, 0x75, 0x6c,
  0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x27, 0x73, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x2e, 0x5c, 0x6e, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x6b, 0x67, 0x20, 0x5b, 0x6c,
  0x73, 0x6f, 0x72, 0x74, 0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x5d,
  0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d, 0x64,
  0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76,
  0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x20, 0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x73, 0x70, 0x65, 0x63, 0x20, 0x5b,
  0x6c, 0x73, 0x6f, 0x72, 0x74, 0x20, 0x2d, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x30, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x28, 0x24, 0x70,
  0x6b, 0x67, 0x29, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73,
  0x7d, 0x20, 0x24, 0x73, 0x70, 0x65, 0x63, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x63, 0x6d, 0x64, 0x20, 0x22, 0x2d, 0x24, 0x74, 0x79, 0x70, 0x65, 0x22,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x5c, 0x6e,
  0x5b, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24,
  0x64, 0x69, 0x72, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78,
  0x2e, 0x74, 0x63, 0x6c, 0x5d, 0x20, 0x77, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x24, 0x66, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6c, 0x6f, 0x73,
  0x65, 0x20, 0x24, 0x66, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x74, 0x63,
  0x6c, 0x50, 0x6b, 0x67, 0x53, 0x65, 0x74, 0x75, 0x70, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x61,
  0x20, 0x75, 0x74, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x62,
  0x79, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74,
  0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x49,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64,
  0x20, 0x61, 0x73, 0x0a, 0x23, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x61, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x22, 0x20, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x73, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x22, 0x20, 0x74,
  0x6f, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65, 0x0a, 0x23,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x76, 0x61, 0x69, 0x6c,
  0x61, 0x62, 0x6c, 0x65, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x73,
  0x65, 0x74, 0x73, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20,
  0x73, 0x6f, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x27, 0x73, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62,
  0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x65,
  0x64, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x64,
  0x69, 0x72, 0x20, 0x2d, 0x09, 0x09, 0x09, 0x44, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x0a,
  0x23, 0x20, 0x70, 0x6b, 0x67, 0x20, 0x2d, 0x09, 0x09, 0x09, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x28, 0x6e, 0x6f, 0x20, 0x76, 0x65,
  0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72,
  0x29, 0x2e, 0x0a, 0x23, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x2d, 0x09, 0x09, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2c, 0x20,
  0x73, 0x75, 0x63, 0x68, 0x20, 0x61, 0x73, 0x20, 0x32, 0x2e, 0x31, 0x2e,
  0x33, 0x2e, 0x0a, 0x23, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x2d,
  0x09, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x6f, 0x6e,
  0x73, 0x74, 0x69, 0x74, 0x75, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x20, 0x20, 0x45, 0x61,
  0x63, 0x68, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x65, 0x6c, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x73, 0x75, 0x62, 0x2d,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x72, 0x65, 0x65, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74,
  0x0a, 0x23, 0x09, 0x09, 0x09, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x24, 0x64, 0x69, 0x72, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x22, 0x6c, 0x6f, 0x61, 0x64, 0x22, 0x20, 0x6f, 0x72,
  0x20, 0x22, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x22, 0x2c, 0x20, 0x69,
  0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x68,
  0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x0a, 0x23, 0x09, 0x09, 0x09,
  0x6c, 0x6f, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x62, 0x69, 0x6e,
  0x61, 0x72, 0x79, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x68, 0x69, 0x72, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x69, 0x73, 0x20,
  0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74,
  0x63, 0x6c, 0x50, 0x6b, 0x67, 0x53, 0x65, 0x74, 0x75, 0x70, 0x20, 0x7b,
  0x64, 0x69, 0x72, 0x20, 0x70, 0x6b, 0x67, 0x20, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20, 0x24, 0x70, 0x6b, 0x67,
  0x20, 0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65,
  0x73, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65,
  0x49, 0x6e, 0x66, 0x6f, 0x20, 0x30, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20,
  0x31, 0x5d, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x63, 0x6d, 0x64, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x32, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x6c, 0x6f,
  0x61, 0x64, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x28,
  0x24, 0x63, 0x6d, 0x64, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x66, 0x5d,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x28, 0x24, 0x63, 0x6d, 0x64, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72,
  0x20, 0x24, 0x66, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x20, 0x54, 0x68,
  0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65,
  0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x22, 0x20,
  0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x20, 0x20, 0x49,
  0x74, 0x0a, 0x23, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b,
  0x65, 0x64, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x61, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x27, 0x73,
  0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x63, 0x61, 0x6e, 0x27,
  0x74, 0x20, 0x62, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x2e, 0x20,
  0x20, 0x49, 0x74, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65,
  0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20,
  0x69, 0x6d, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x74, 0x65, 0x20, 0x63, 0x68,
  0x69, 0x6c, 0x64, 0x72, 0x65, 0x6e, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x69,
  0x6e, 0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x0a, 0x23, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x73, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x73, 0x75, 0x63, 0x68,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x73, 0x65, 0x74, 0x75, 0x70, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x0a, 0x23, 0x20, 0x64, 0x61, 0x74,
  0x61, 0x62, 0x61, 0x73, 0x65, 0x2e, 0x20, 0x41, 0x73, 0x20, 0x69, 0x74,
  0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x65, 0x73, 0x2c, 0x20, 0x69,
  0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x67,
  0x6e, 0x69, 0x7a, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x20,
  0x73, 0x63, 0x61, 0x6e, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6e, 0x65, 0x77,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x2d, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x64,
  0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65,
  0x64, 0x2e, 0x0a, 0x23, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x2d, 0x09, 0x09, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20, 0x65, 0x78, 0x61,
  0x63, 0x74, 0x20, 0x2d, 0x09, 0x09, 0x45, 0x69, 0x74, 0x68, 0x65, 0x72,
  0x20, 0x22, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x22, 0x20, 0x6f, 0x72,
  0x20, 0x6f, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x2e, 0x20, 0x20, 0x4e,
  0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61,
  0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67,
  0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x65, 0x6e, 0x76, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x69, 0x74,
  0x20, 0x6d, 0x61, 0x79, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x65, 0x20, 0x72, 0x75, 0x6e,
  0x20, 0x74, 0x68, 0x72, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x70, 0x6b, 0x67, 0x49,
  0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f,
  0x6c, 0x64, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x73, 0x65, 0x74,
  0x20, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x65,
  0x6e, 0x64, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65,
  0x20, 0x73, 0x75, 0x72, 0x65, 0x20, 0x77, 0x65, 0x20, 0x6f, 0x6e, 0x6c,
  0x79, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x74, 0x63, 0x6c, 0x53, 0x65, 0x65, 0x6e, 0x50, 0x61, 0x74,
  0x68, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x73, 0x65,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67,
  0x65, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x30, 0x20, 0x65, 0x6e, 0x64, 0x2d, 0x31, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x63, 0x6c, 0x53, 0x65,
  0x65, 0x6e, 0x50, 0x61, 0x74, 0x68, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29,
  0x20, 0x31, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x77, 0x65, 0x20, 0x63, 0x61,
  0x6e, 0x27, 0x74, 0x20, 0x75, 0x73, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62,
  0x20, 0x69, 0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x65, 0x6e, 0x63,
  0x6c, 0x6f, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c,
  0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x0a,
  0x09, 0x23, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2c, 0x20, 0x77, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x77, 0x65, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x0a, 0x09, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x2d, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c,
  0x61, 0x69, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x2a, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74,
  0x63, 0x6c, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69,
  0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d,
  0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66,
  0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x64, 0x44, 0x69, 0x72, 0x73, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74,
  0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x72, 0x61, 0x70, 0x20, 0x7b, 0x50,
  0x4f, 0x53, 0x49, 0x58, 0x20, 0x45, 0x41, 0x43, 0x43, 0x45, 0x53, 0x7d,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x3b, 0x20, 0x73,
  0x69, 0x6c, 0x65, 0x6e, 0x74, 0x6c, 0x79, 0x20, 0x69, 0x67, 0x6e, 0x6f,
  0x72, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e,
  0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f,
  0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x09, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20,
  0x22, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x72, 0x65, 0x61, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x3a, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x22, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x6b,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x64, 0x44, 0x69, 0x72, 0x73, 0x28, 0x24,
  0x64, 0x69, 0x72, 0x29, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x72, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x75,
  0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x65, 0x6e, 0x64, 0x5d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x64, 0x44, 0x69, 0x72, 0x73, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x70, 0x6b,
  0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x73, 0x20, 0x75, 0x73, 0x75, 0x61,
  0x6c, 0x6c, 0x79, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x68, 0x61,
  0x76, 0x65, 0x20, 0x22, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x22, 0x2c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x28, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x74, 0x72, 0x61, 0x70, 0x20, 0x7b,
  0x50, 0x4f, 0x53, 0x49, 0x58, 0x20, 0x45, 0x41, 0x43, 0x43, 0x45, 0x53,
  0x7d, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c,
  0x65, 0x3b, 0x20, 0x73, 0x69, 0x6c, 0x65, 0x6e, 0x74, 0x6c, 0x79, 0x20,
  0x69, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09,
  0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d,
  0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74,
  0x63, 0x6c, 0x4c, 0x6f, 0x67, 0x20, 0x22, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x72, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x3a, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20,
  0x6f, 0x6b, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x64, 0x44,
  0x69, 0x72, 0x73, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x20, 0x31, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x75, 0x73, 0x65, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65,
  0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x30,
  0x20, 0x65, 0x6e, 0x64, 0x2d, 0x31, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20,
  0x43, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65,
  0x72, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x73, 0x20, 0x77, 0x65, 0x20, 0x5b, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x5d, 0x64, 0x20, 0x61, 0x62, 0x6f, 0x76, 0x65, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x61, 0x20, 0x6e, 0x65, 0x77, 0x0a, 0x09, 0x23, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x24, 0x3a, 0x3a,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x20, 0x20,
  0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20,
  0x66, 0x69, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6e, 0x65, 0x77,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73,
  0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x24,
  0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x77,
  0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x69, 0x6e,
  0x67, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x2e, 0x0a, 0x09, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65, 0x73, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x28, 0x61, 0x72, 0x67, 0x75, 0x61, 0x62, 0x6c,
  0x79, 0x20, 0x75, 0x6e, 0x77, 0x69, 0x73, 0x65, 0x29, 0x20, 0x70, 0x6f,
  0x77, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x78, 0x70, 0x61, 0x6e,
  0x64, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x77, 0x68,
  0x69, 0x6c, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x65, 0x73, 0x73, 0x2e, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x30, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6f,
  0x6c, 0x64, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x20, 0x3d, 0x3d, 0x20,
  0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x64, 0x69, 0x72, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x6f, 0x6c, 0x64, 0x20, 0x24, 0x6f, 0x6c, 0x64,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x64, 0x69, 0x72, 0x20, 0x6e, 0x65, 0x20, 0x24, 0x6f,
  0x6c, 0x64, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x79,
  0x20, 0x69, 0x6e, 0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x68, 0x61, 0x73, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x64, 0x2e, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23,
  0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6e, 0x6f, 0x77, 0x20,
  0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d,
  0x65, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x68,
  0x61, 0x73, 0x0a, 0x09, 0x23, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x64, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x65,
  0x67, 0x69, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x66, 0x20, 0x24,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x68, 0x61,
  0x73, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x20, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x53, 0x63, 0x61, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x09, 0x23, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x65, 0x6c, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x24, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x61, 0x64, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x24, 0x75,
  0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x0a, 0x09, 0x23, 0x20,
  0x44, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x61, 0x64, 0x64, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x77, 0x65,
  0x27, 0x76, 0x65, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20,
  0x73, 0x65, 0x65, 0x6e, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x6f, 0x6e, 0x65,
  0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x6f, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x24, 0x75, 0x73, 0x65,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x6c, 0x72, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x65, 0x6e,
  0x64, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x74, 0x63, 0x6c, 0x53, 0x65, 0x65, 0x6e, 0x50,
  0x61, 0x74, 0x68, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x5d, 0x20, 0x26,
  0x26, 0x20, 0x28, 0x24, 0x64, 0x69, 0x72, 0x20, 0x6e, 0x69, 0x20, 0x24,
  0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x75,
  0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x64, 0x69, 0x72,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c, 0x64, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4d, 0x61, 0x63, 0x4f, 0x53, 0x58, 0x50, 0x6b,
  0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x22, 0x20, 0x66,
  0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x4d, 0x61, 0x63, 0x4f, 0x53, 0x58, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x20,
  0x73, 0x63, 0x61, 0x6e, 0x73, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2f, 0x53, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x73, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6d, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x74, 0x65, 0x20, 0x63,
  0x68, 0x69, 0x6c, 0x64, 0x72, 0x65, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x0a, 0x23, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69,
  0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x20, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c,
  0x20, 0x2d, 0x09, 0x09, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c,
  0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e,
  0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x5d, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x2d, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x64,
  0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65,
  0x64, 0x2e, 0x0a, 0x23, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x2d, 0x09, 0x09, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20, 0x65, 0x78, 0x61,
  0x63, 0x74, 0x20, 0x2d, 0x09, 0x09, 0x45, 0x69, 0x74, 0x68, 0x65, 0x72,
  0x20, 0x22, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x22, 0x20, 0x6f, 0x72,
  0x20, 0x6f, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x2e, 0x20, 0x20, 0x4e,
  0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4d, 0x61, 0x63, 0x4f,
  0x53, 0x58, 0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x20, 0x7b, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x46, 0x69, 0x72, 0x73, 0x74,
  0x20, 0x64, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x72, 0x6f, 0x73,
  0x73, 0x2d, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x64,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63,
  0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x20, 0x31, 0x20, 0x24, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61,
  0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x6f, 0x77,
  0x20, 0x64, 0x6f, 0x20, 0x4d, 0x61, 0x63, 0x4f, 0x53, 0x58, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x20, 0x73, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x69, 0x6e, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c,
  0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x20, 0x62, 0x65, 0x63,
  0x61, 0x75, 0x73, 0x65, 0x20, 0x69, 0x74, 0x20, 0x6d, 0x61, 0x79, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65,
  0x20, 0x77, 0x65, 0x20, 0x72, 0x75, 0x6e, 0x20, 0x74, 0x68, 0x72, 0x6f,
  0x75, 0x67, 0x68, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6f, 0x66, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e,
  0x74, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c, 0x64, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x75, 0x73, 0x65, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69,
  0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x75, 0x73, 0x65,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x0a,
  0x09, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20, 0x73, 0x75, 0x72, 0x65,
  0x20, 0x77, 0x65, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x73, 0x63, 0x61,
  0x6e, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66,
  0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x74, 0x63, 0x6c,
  0x53, 0x65, 0x65, 0x6e, 0x50, 0x61, 0x74, 0x68, 0x28, 0x24, 0x64, 0x69,
  0x72, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x75, 0x73,
  0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x30, 0x20, 0x65, 0x6e, 0x64,
  0x2d, 0x31, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x63, 0x6c, 0x53, 0x65, 0x65, 0x6e, 0x50, 0x61, 0x74,
  0x68, 0x28, 0x24, 0x64, 0x69, 0x72, 0x29, 0x20, 0x31, 0x0a, 0x0a, 0x09,
  0x23, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x6b,
  0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73,
  0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69,
  0x65, 0x73, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64,
  0x69, 0x72, 0x20, 0x2d, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x2d, 0x6e, 0x6f,
  0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x2a, 0x20, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
  0x20, 0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73, 0x20, 0x70, 0x6b, 0x67,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x64, 0x44, 0x69, 0x72, 0x73, 0x28, 0x24, 0x64, 0x69, 0x72,
  0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x74, 0x72, 0x79, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x09, 0x09, 0x7d,
  0x20, 0x74, 0x72, 0x61, 0x70, 0x20, 0x7b, 0x50, 0x4f, 0x53, 0x49, 0x58,
  0x20, 0x45, 0x41, 0x43, 0x43, 0x45, 0x53, 0x7d, 0x20, 0x7b, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x3b, 0x20, 0x73, 0x69,
  0x6c, 0x65, 0x6e, 0x74, 0x6c, 0x79, 0x20, 0x69, 0x67, 0x6e, 0x6f, 0x72,
  0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x63, 0x6c, 0x4c, 0x6f, 0x67,
  0x20, 0x22, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x72, 0x65, 0x61, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x3a, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x22, 0x0a,
  0x09, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x6b, 0x20, 0x7b, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x64, 0x44, 0x69, 0x72, 0x73, 0x28, 0x24,
  0x64, 0x69, 0x72, 0x29, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b,
  0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x30, 0x20, 0x65, 0x6e, 0x64, 0x2d, 0x31,
  0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x20,
  0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x61, 0x6e, 0x79, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73, 0x20, 0x77, 0x65, 0x20,
  0x5b, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5d, 0x64, 0x20, 0x61, 0x62,
  0x6f, 0x76, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x20, 0x6e, 0x65,
  0x77, 0x0a, 0x09, 0x23, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x2c,
  0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x61,
  0x6e, 0x79, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x09, 0x23, 0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x77, 0x6f, 0x72, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x2e, 0x0a, 0x09, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x28, 0x61,
  0x72, 0x67, 0x75, 0x61, 0x62, 0x6c, 0x79, 0x20, 0x75, 0x6e, 0x77, 0x69,
  0x73, 0x65, 0x29, 0x20, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x74, 0x6f,
  0x20, 0x65, 0x78, 0x70, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x09, 0x23, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x69, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x65, 0x73, 0x73, 0x2e,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x30, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x6f, 0x6c, 0x64, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x24,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6f, 0x6c,
  0x64, 0x20, 0x24, 0x6f, 0x6c, 0x64, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x69, 0x72,
  0x20, 0x6e, 0x65, 0x20, 0x24, 0x6f, 0x6c, 0x64, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x24, 0x3a,
  0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x68,
  0x61, 0x73, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x2e, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x6e, 0x6f, 0x77, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x68, 0x61, 0x73, 0x0a, 0x09, 0x23, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x2c, 0x20, 0x6f, 0x72, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x6e, 0x69, 0x6e,
  0x67, 0x20, 0x69, 0x66, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x68, 0x61, 0x73, 0x20, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x64, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x53,
  0x63, 0x61, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x6e,
  0x65, 0x77, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x6f, 0x66, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x64, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x2e, 0x0a, 0x09, 0x23, 0x20, 0x44, 0x6f, 0x6e, 0x27, 0x74, 0x20,
  0x61, 0x64, 0x64, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x69, 0x65, 0x73, 0x20, 0x77, 0x65, 0x27, 0x76, 0x65, 0x20, 0x61, 0x6c,
  0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x73, 0x65, 0x65, 0x6e, 0x2c, 0x20,
  0x6f, 0x72, 0x20, 0x6f, 0x6e, 0x65, 0x73, 0x20, 0x61, 0x6c, 0x72, 0x65,
  0x61, 0x64, 0x79, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09,
  0x23, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2e,
  0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69,
  0x72, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x74, 0x63,
  0x6c, 0x53, 0x65, 0x65, 0x6e, 0x50, 0x61, 0x74, 0x68, 0x28, 0x24, 0x64,
  0x69, 0x72, 0x29, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x28, 0x24, 0x64, 0x69,
  0x72, 0x20, 0x6e, 0x69, 0x20, 0x24, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x75, 0x73, 0x65, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x24, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c,
  0x64, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x47, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x61, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20,
  0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66, 0x6e,
  0x65, 0x65, 0x64, 0x65, 0x64, 0x22, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x0a, 0x23, 0x09, 0x66, 0x6f, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2c, 0x20,
  0x73, 0x75, 0x69, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x69, 0x6e, 0x63, 0x6c, 0x75, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78,
  0x2e, 0x74, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x61, 0x72, 0x67, 0x73, 0x09, 0x09, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x75, 0x73, 0x65, 0x64,
  0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x43, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x3a,
  0x0a, 0x23, 0x09, 0x09, 0x09, 0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x09, 0x09,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x0a,
  0x23, 0x09, 0x09, 0x09, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x09, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x56, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x2d, 0x6c, 0x6f, 0x61,
  0x64, 0x09, 0x09, 0x7b, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x3f, 0x7b, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x7d, 0x3f, 0x7d, 0x0a,
  0x23, 0x09, 0x09, 0x09, 0x2e, 0x2e, 0x2e, 0x0a, 0x23, 0x09, 0x09, 0x09,
  0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x09, 0x09, 0x7b, 0x66, 0x69,
  0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3f, 0x7b, 0x70, 0x72, 0x6f,
  0x63, 0x73, 0x7d, 0x3f, 0x7d, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x2e, 0x2e,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x41, 0x6e, 0x79, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x2d, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x09,
  0x09, 0x09, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x64, 0x2c,
  0x20, 0x73, 0x6f, 0x20, 0x6c, 0x6f, 0x6e, 0x67, 0x20, 0x61, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x74, 0x20,
  0x6c, 0x65, 0x61, 0x73, 0x74, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x6f, 0x72, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x2d,
  0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x70, 0x61, 0x72, 0x61, 0x6d,
  0x65, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x70,
  0x6f, 0x6e, 0x65, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x6d,
  0x6f, 0x64, 0x75, 0x6c, 0x65, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x73, 0x70,
  0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x69, 0x73, 0x20, 0x6c,
  0x65, 0x66, 0x74, 0x20, 0x6f, 0x66, 0x66, 0x2c, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x77, 0x69, 0x6c,
  0x6c, 0x20, 0x62, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20,
  0x66, 0x6f, 0x72, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x3b, 0x20,
  0x6f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x2c, 0x20, 0x69,
  0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x75, 0x70, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6c, 0x61, 0x7a,
  0x79, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e,
  0x67, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x62, 0x6f, 0x74, 0x68, 0x20,
  0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x61, 0x72, 0x65, 0x20, 0x73, 0x70,
  0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x64, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x09, 0x09, 0x09, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x27, 0x65,
  0x64, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c,
  0x20, 0x62, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x66,
  0x69, 0x72, 0x73, 0x74, 0x2c, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09,
  0x09, 0x09, 0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x27, 0x64, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x41, 0x6e,
  0x20, 0x61, 0x70, 0x70, 0x72, 0x6f, 0x70, 0x72, 0x69, 0x61, 0x74, 0x65,
  0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66,
  0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x22, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x65, 0x72, 0x72, 0x28,
  0x75, 0x73, 0x61, 0x67, 0x65, 0x29, 0x20, 0x22, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x65,
  0x76, 0x65, 0x6c, 0x20, 0x30, 0x5d, 0x20, 0x30, 0x5d, 0x20, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x65,
  0x72, 0x72, 0x28, 0x75, 0x73, 0x61, 0x67, 0x65, 0x29, 0x20, 0x22, 0x2d,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x56, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x65, 0x72, 0x72, 0x28, 0x75, 0x73, 0x61,
  0x67, 0x65, 0x29, 0x20, 0x22, 0x3f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x7b, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3f, 0x7b,
  0x70, 0x72, 0x6f, 0x63, 0x73, 0x7d, 0x3f, 0x7d, 0x3f, 0x20, 0x2e, 0x2e,
  0x2e, 0x20, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x65, 0x72, 0x72, 0x28, 0x75, 0x73, 0x61, 0x67, 0x65,
  0x29, 0x20, 0x22, 0x3f, 0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x7b, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3f, 0x7b,
  0x70, 0x72, 0x6f, 0x63, 0x73, 0x7d, 0x3f, 0x7d, 0x3f, 0x20, 0x2e, 0x2e,
  0x2e, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x65, 0x72, 0x72, 0x28, 0x77, 0x72, 0x6f, 0x6e, 0x67, 0x4e, 0x75, 0x6d,
  0x41, 0x72, 0x67, 0x73, 0x29, 0x20, 0x22, 0x77, 0x72, 0x6f, 0x6e, 0x67,
  0x20, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73, 0x3a, 0x20, 0x73, 0x68, 0x6f,
  0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x65, 0x72,
  0x72, 0x28, 0x75, 0x73, 0x61, 0x67, 0x65, 0x29, 0x5c, 0x22, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x28,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67,
  0x29, 0x20, 0x22, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x5c, 0x22, 0x25, 0x73, 0x5c, 0x22, 0x20, 0x6d, 0x69, 0x73, 0x73,
  0x69, 0x6e, 0x67, 0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20,
  0x62, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x65, 0x72, 0x72, 0x28, 0x75, 0x73,
  0x61, 0x67, 0x65, 0x29, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x28, 0x75, 0x6e, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x4f, 0x70, 0x74, 0x29, 0x20, 0x20, 0x20, 0x22, 0x75,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x5c, 0x22, 0x25, 0x73, 0x5c, 0x22, 0x3a, 0x20, 0x73, 0x68,
  0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x65,
  0x72, 0x72, 0x28, 0x75, 0x73, 0x61, 0x67, 0x65, 0x29, 0x5c, 0x22, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72,
  0x28, 0x6e, 0x6f, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x72, 0x53, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x29, 0x20, 0x22, 0x61, 0x74, 0x20, 0x6c, 0x65, 0x61,
  0x73, 0x74, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x2d, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x65, 0x6e, 0x20, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6c, 0x65, 0x6e,
  0x20, 0x3c, 0x20, 0x36, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x24, 0x65, 0x72, 0x72, 0x28, 0x77, 0x72, 0x6f, 0x6e,
  0x67, 0x4e, 0x75, 0x6d, 0x41, 0x72, 0x67, 0x73, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x70, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f,
  0x70, 0x74, 0x73, 0x20, 0x7b, 0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b,
  0x7d, 0x20, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x7b,
  0x7d, 0x20, 0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x7b, 0x7d,
  0x20, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x7b, 0x7d, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73,
  0x73, 0x20, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x24, 0x69, 0x20, 0x3c,
  0x20, 0x24, 0x6c, 0x65, 0x6e, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x69, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x6c, 0x61, 0x67, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x5d, 0x0a, 0x09, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x69, 0x0a, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63,
  0x68, 0x20, 0x2d, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x2d, 0x20, 0x24,
  0x66, 0x6c, 0x61, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x09, 0x09, 0x2d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
  0x6e, 0x22, 0x09, 0x09, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x69, 0x20, 0x3e, 0x3d, 0x20, 0x24, 0x6c, 0x65, 0x6e, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x65,
  0x72, 0x72, 0x28, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x4d, 0x69, 0x73, 0x73,
  0x69, 0x6e, 0x67, 0x29, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x5d, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70,
  0x74, 0x73, 0x28, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x29, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20,
  0x24, 0x69, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x22, 0x09, 0x09, 0x2d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x2d,
  0x6c, 0x6f, 0x61, 0x64, 0x22, 0x09, 0x09, 0x7b, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x69, 0x20, 0x3e, 0x3d, 0x20, 0x24, 0x6c, 0x65,
  0x6e, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x24, 0x65, 0x72, 0x72, 0x28, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x4d,
  0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x29, 0x20, 0x24, 0x66, 0x6c, 0x61,
  0x67, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x28, 0x24, 0x66,
  0x6c, 0x61, 0x67, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x24, 0x65, 0x72, 0x72, 0x28, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x4f, 0x70, 0x74, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x5d, 0x5d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28,
  0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x20, 0x24, 0x65, 0x72, 0x72, 0x28, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x29, 0x20, 0x22, 0x2d, 0x6e,
  0x61, 0x6d, 0x65, 0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28,
  0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x29, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x65, 0x72, 0x72, 0x28, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x29, 0x20,
  0x22, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x28, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28, 0x2d, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x29, 0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28,
  0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x29, 0x5d, 0x29, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x65, 0x72, 0x72, 0x28,
  0x6e, 0x6f, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x72, 0x53, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x4f, 0x4b, 0x2c, 0x20, 0x6e, 0x6f, 0x77,
  0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x73, 0x20, 0x67, 0x6f, 0x6f, 0x64, 0x2e, 0x20, 0x20, 0x47, 0x65,
  0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65,
  0x64, 0x65, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74,
  0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d,
  0x64, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20,
  0x24, 0x6f, 0x70, 0x74, 0x73, 0x28, 0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x29,
  0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28, 0x2d, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x29, 0x20, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x63, 0x6d, 0x64, 0x4c, 0x69, 0x73, 0x74, 0x20,
  0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x61, 0x7a, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20,
  0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x48, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x20, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x2d, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x7b, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x73, 0x70, 0x65, 0x63, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73,
  0x28, 0x2d, 0x24, 0x6b, 0x65, 0x79, 0x29, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x70, 0x65, 0x63, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x6c, 0x69,
  0x73, 0x74, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x3d, 0x3d,
  0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6d, 0x64, 0x20, 0x22, 0x5c, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x5c, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5c, 0x24, 0x64, 0x69, 0x72, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x5c, 0x5d, 0x5c, 0x5d, 0x22, 0x0a, 0x09, 0x09,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x4c,
  0x69, 0x73, 0x74, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x61, 0x7a,
  0x79, 0x46, 0x69, 0x6c, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63,
  0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x61, 0x7a, 0x79, 0x46, 0x69, 0x6c,
  0x65, 0x4c, 0x69, 0x73, 0x74, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x4c, 0x69,
  0x73, 0x74, 0x20, 0x22, 0x5c, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x74,
  0x63, 0x6c, 0x50, 0x6b, 0x67, 0x53, 0x65, 0x74, 0x75, 0x70, 0x20, 0x5c,
  0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x28, 0x2d,
  0x6e, 0x61, 0x6d, 0x65, 0x29, 0x5c, 0x0a, 0x09, 0x09, 0x24, 0x6f, 0x70,
  0x74, 0x73, 0x28, 0x2d, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x29,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x61, 0x7a, 0x79,
  0x46, 0x69, 0x6c, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x5d, 0x5c, 0x5d, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x6c, 0x69, 0x6e,
  0x65, 0x20, 0x5b, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x63, 0x6d, 0x64,
  0x4c, 0x69, 0x73, 0x74, 0x20, 0x22, 0x5c, 0x5c, 0x6e, 0x22, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24,
  0x63, 0x6d, 0x64, 0x6c, 0x69, 0x6e, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20,
  0x7b, 0x7d, 0x20, 0x3a, 0x3a, 0x70, 0x6b, 0x67, 0x3a, 0x3a, 0x63, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x50, 0x6b, 0x67, 0x3a, 0x3a, 0x43, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_package_tcl_len = sizeof(__turbine_tcl_resource_package_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/tm.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_tm_tcl:/usr/share/tcltk/tcl8.6/tm.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_tm_tcl[] = {
  0x23, 0x20, 0x2d, 0x2a, 0x2d, 0x20, 0x74, 0x63, 0x6c, 0x20, 0x2d, 0x2a,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68,
  0x69, 0x6e, 0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x44, 0x65, 0x66,
  0x69, 0x6e, 0x65, 0x73, 0x20, 0x61, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x2c, 0x20, 0x64, 0x65, 0x63, 0x6c, 0x61, 0x72,
  0x65, 0x73, 0x20, 0x69, 0x74, 0x20, 0x61, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x72, 0x69, 0x6d, 0x61, 0x72, 0x79, 0x0a, 0x23, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x66,
  0x69, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x73, 0x2c, 0x20, 0x68, 0x6f, 0x77, 0x65, 0x76, 0x65, 0x72,
  0x20, 0x61, 0x6c, 0x73, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x72, 0x20, 0x27, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f,
  0x77, 0x6e, 0x27, 0x0a, 0x23, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x66, 0x61, 0x6c, 0x6c, 0x62,
  0x61, 0x63, 0x6b, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x6f, 0x63,
  0x61, 0x74, 0x65, 0x73, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x70, 0x6f, 0x73,
  0x73, 0x69, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x76, 0x69, 0x61, 0x20, 0x61, 0x20,
  0x6c, 0x65, 0x73, 0x73, 0x20, 0x72, 0x65, 0x73, 0x74, 0x72, 0x69, 0x63,
  0x74, 0x65, 0x64, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x2e, 0x20, 0x54, 0x68,
  0x65, 0x0a, 0x23, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x65, 0x64,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69,
  0x73, 0x20, 0x64, 0x65, 0x72, 0x69, 0x76, 0x65, 0x64, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x2c, 0x20, 0x69, 0x2e, 0x65, 0x2e, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x54, 0x4d, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x77, 0x69, 0x6c,
  0x6c, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20,
  0x61, 0x74, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69,
  0x65, 0x73, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x63, 0x61, 0x6e,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x65, 0x64, 0x0a, 0x23,
  0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x20, 0x49, 0x74,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
  0x65, 0x72, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x73, 0x20, 0x69, 0x74, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x0a, 0x23, 0x20, 0x66, 0x75, 0x74, 0x75, 0x72, 0x65, 0x20, 0x72,
  0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x20, 0x68, 0x61, 0x76, 0x65,
  0x20, 0x61, 0x20, 0x68, 0x69, 0x67, 0x68, 0x65, 0x72, 0x20, 0x63, 0x68,
  0x61, 0x6e, 0x63, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x62, 0x65, 0x69, 0x6e,
  0x67, 0x20, 0x66, 0x75, 0x6c, 0x66, 0x69, 0x6c, 0x6c, 0x65, 0x64, 0x20,
  0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65,
  0x64, 0x65, 0x64, 0x0a, 0x23, 0x20, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75, 0x74, 0x20, 0x68,
  0x61, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6d,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x20, 0x61, 0x67, 0x61, 0x69,
  0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x57, 0x65, 0x20, 0x64, 0x6f,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x72, 0x65, 0x6d, 0x65, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x77, 0x65, 0x20, 0x68,
  0x61, 0x76, 0x65, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x79, 0x20, 0x72, 0x65, 0x73, 0x63,
  0x61, 0x6e, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x65, 0x64, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x0a,
  0x23, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b,
  0x65, 0x64, 0x20, 0x61, 0x67, 0x61, 0x69, 0x6e, 0x2e, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x68, 0x69, 0x73, 0x3a, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20,
  0x77, 0x61, 0x79, 0x20, 0x77, 0x65, 0x20, 0x67, 0x65, 0x74, 0x20, 0x62,
  0x61, 0x63, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x61, 0x6d, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x69, 0x73, 0x20, 0x69, 0x66, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x6f, 0x6e, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x72, 0x79, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x6f, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x5b, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72,
  0x65, 0x5d, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x74, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77, 0x61, 0x73, 0x6e, 0x27, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x73, 0x63, 0x61, 0x6e,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x45, 0x69, 0x74, 0x68,
  0x65, 0x72, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x31, 0x29, 0x20, 0x49, 0x74,
  0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x6e, 0x6f,
  0x77, 0x3a, 0x20, 0x20, 0x49, 0x66, 0x20, 0x77, 0x65, 0x20, 0x72, 0x65,
  0x73, 0x63, 0x61, 0x6e, 0x2c, 0x20, 0x79, 0x6f, 0x75, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x69, 0x74, 0x3b, 0x20, 0x69, 0x66, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x79, 0x6f, 0x75, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x70,
  0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61, 0x73,
  0x6b, 0x65, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x74, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x77,
  0x61, 0x73, 0x20, 0x61, 0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20,
  0x61, 0x64, 0x64, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69,
  0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77, 0x61, 0x73, 0x20, 0x73,
  0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x2e, 0x20, 0x49, 0x74, 0x20, 0x73,
  0x68, 0x6f, 0x75, 0x6b, 0x6c, 0x64, 0x20, 0x73, 0x74, 0x69, 0x6c, 0x6c,
  0x20, 0x62, 0x65, 0x20, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x66, 0x69, 0x6e, 0x64, 0x20, 0x69, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x32, 0x29, 0x20, 0x49, 0x74, 0x20, 0x73, 0x74, 0x69,
  0x6c, 0x6c, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x72, 0x65, 0x3a, 0x20, 0x45, 0x69, 0x74, 0x68, 0x65, 0x72, 0x20,
  0x77, 0x61, 0x79, 0x2c, 0x20, 0x79, 0x6f, 0x75, 0x20, 0x64, 0x6f, 0x6e,
  0x27, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x69, 0x74, 0x2c, 0x20, 0x62,
  0x75, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x73, 0x63, 0x61,
  0x6e, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x74, 0x61, 0x6b,
  0x65, 0x73, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x69, 0x73, 0x20, 0x68, 0x6f, 0x77, 0x65, 0x76, 0x65, 0x72,
  0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x63, 0x61,
  0x73, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x65, 0x20, 0x64, 0x6f,
  0x6e, 0x74, 0x27, 0x74, 0x20, 0x63, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x6d, 0x75, 0x63, 0x68, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x69, 0x74, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x33, 0x29, 0x20, 0x49, 0x74, 0x20,
  0x77, 0x61, 0x73, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x3b, 0x20, 0x62, 0x75, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x73, 0x6f,
  0x6d, 0x65, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x20, 0x61, 0x20,
  0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x67, 0x65, 0x74, 0x22, 0x20, 0x68, 0x61, 0x73, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x72, 0x75, 0x6e,
  0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x22, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x6e, 0x27, 0x74, 0x20,
  0x6b, 0x6e, 0x6f, 0x77, 0x20, 0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x69,
  0x74, 0x20, 0x61, 0x6e, 0x79, 0x6d, 0x6f, 0x72, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x69,
  0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69,
  0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77, 0x69, 0x73, 0x68, 0x65,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x73, 0x6f, 0x6d, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74,
  0x79, 0x2e, 0x20, 0x41, 0x6e, 0x64, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c,
  0x64, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65,
  0x6c, 0x6c, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x61,
  0x6c, 0x73, 0x6f, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6b, 0x65, 0x73, 0x20,
  0x61, 0x20, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x62, 0x65,
  0x74, 0x77, 0x65, 0x65, 0x6e, 0x20, 0x64, 0x6f, 0x69, 0x6e, 0x67, 0x20,
  0x61, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x0a, 0x23, 0x20, 0x73, 0x69, 0x6e,
  0x67, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x75, 0x73, 0x20, 0x6d, 0x6f,
  0x73, 0x74, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x6c, 0x79, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x69, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x75, 0x6c, 0x74,
  0x69, 0x70, 0x6c, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x0a, 0x23,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x77,
  0x68, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x70, 0x70, 0x6c,
  0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x20, 0x61,
  0x73, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6d, 0x61,
  0x6e, 0x79, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20,
  0x74, 0x6f, 0x0a, 0x23, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x5f, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68, 0x69, 0x6e,
  0x67, 0x5f, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x73, 0x75,
  0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73,
  0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x69, 0x6e,
  0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x2c, 0x0a, 0x23, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x63, 0x6f, 0x6d, 0x65, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20,
  0x61, 0x20, 0x68, 0x65, 0x61, 0x76, 0x79, 0x20, 0x73, 0x74, 0x61, 0x72,
  0x74, 0x75, 0x70, 0x20, 0x63, 0x6f, 0x73, 0x74, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20,
  0x69, 0x66, 0x20, 0x6e, 0x6f, 0x20, 0x73, 0x61, 0x74, 0x69, 0x73, 0x66,
  0x79, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20,
  0x77, 0x61, 0x73, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x2e, 0x0a, 0x0a,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2e, 0x20,
  0x4e, 0x6f, 0x6e, 0x65, 0x20, 0x79, 0x65, 0x74, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x2f, 0x75, 0x73, 0x72, 0x2f,
  0x73, 0x68, 0x61, 0x72, 0x65, 0x2f, 0x74, 0x63, 0x6c, 0x74, 0x6b, 0x2f,
  0x74, 0x63, 0x6c, 0x38, 0x2e, 0x36, 0x2f, 0x74, 0x63, 0x6c, 0x38, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72,
  0x6e, 0x20, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20, 0x69,
  0x74, 0x20, 0x61, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d, 0x6f, 0x64, 0x75,
  0x6c, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x6b, 0x67, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20,
  0x7b, 0x5e, 0x28, 0x5b, 0x5f, 0x5b, 0x3a, 0x61, 0x6c, 0x70, 0x68, 0x61,
  0x3a, 0x5d, 0x5d, 0x5b, 0x3a, 0x5f, 0x5b, 0x3a, 0x61, 0x6c, 0x6e, 0x75,
  0x6d, 0x3a, 0x5d, 0x5d, 0x2a, 0x29, 0x2d, 0x28, 0x5b, 0x5b, 0x3a, 0x64,
  0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x2e, 0x2a, 0x29, 0x5b, 0x2e,
  0x5d, 0x74, 0x6d, 0x24, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x20, 0x41, 0x50, 0x49, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x65, 0x6e, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65,
  0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x2d, 0x73,
  0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x7b,
  0x61, 0x64, 0x64, 0x20, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x20, 0x41, 0x50, 0x49, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
  0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x20, 0x53, 0x65, 0x65, 0x20,
  0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x63, 0x6d, 0x64, 0x20, 0x2d,
  0x09, 0x54, 0x68, 0x65, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75,
  0x74, 0x65, 0x0a, 0x23, 0x09, 0x61, 0x72, 0x67, 0x73, 0x20, 0x2d, 0x09,
  0x54, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x61, 0x64, 0x64, 0x2f, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x2e,
  0x20, 0x4d, 0x75, 0x73, 0x74, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x61, 0x72, 0x20, 0x71, 0x75, 0x65, 0x72, 0x79, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x09, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x27, 0x6c, 0x69, 0x73, 0x74,
  0x27, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x20, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x27, 0x61, 0x64, 0x64, 0x27,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x27, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65,
  0x27, 0x2e, 0x20, 0x41, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x23,
  0x09, 0x27, 0x6c, 0x69, 0x73, 0x74, 0x27, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x53, 0x69, 0x64, 0x65, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73,
  0x0a, 0x23, 0x09, 0x54, 0x68, 0x65, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x27, 0x61, 0x64, 0x64, 0x27,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x27, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65,
  0x27, 0x20, 0x6d, 0x61, 0x6e, 0x69, 0x70, 0x75, 0x6c, 0x61, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x74, 0x6f, 0x0a, 0x23, 0x09,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2e, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x20, 0x27, 0x6c, 0x69, 0x73, 0x74, 0x27, 0x20, 0x68, 0x61,
  0x73, 0x20, 0x6e, 0x6f, 0x20, 0x73, 0x69, 0x64, 0x65, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x61,
  0x64, 0x64, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x41, 0x52, 0x54, 0x20, 0x4f,
  0x46, 0x20, 0x54, 0x48, 0x45, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x70, 0x61, 0x74, 0x68, 0x20, 0x45, 0x4e,
  0x53, 0x45, 0x4d, 0x42, 0x4c, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x69, 0x73, 0x20, 0x61, 0x64, 0x64, 0x65, 0x64,
  0x20, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x65, 0x61, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x6e, 0x66, 0x6f, 0x72, 0x63,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x73, 0x74, 0x72,
  0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x6e, 0x6f, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6d, 0x61, 0x79, 0x20,
  0x62, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x6e, 0x63, 0x65, 0x73, 0x74,
  0x6f, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x6e,
  0x79, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x2e, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77,
  0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x76, 0x69, 0x6f, 0x6c, 0x61, 0x74,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x69, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x72, 0x65, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x77,
  0x69, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x72, 0x61, 0x69, 0x73, 0x65, 0x64,
  0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79,
  0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x61, 0x73, 0x20,
  0x69, 0x73, 0x20, 0x6e, 0x6f, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x72, 0x61, 0x69, 0x73,
  0x65, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77,
  0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x74, 0x61, 0x6b, 0x65, 0x6e,
  0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20,
  0x61, 0x20, 0x63, 0x6f, 0x70, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x73, 0x20, 0x73, 0x6f,
  0x75, 0x72, 0x63, 0x65, 0x20, 0x64, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x20, 0x69,
  0x74, 0x20, 0x61, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77,
  0x65, 0x6c, 0x6c, 0x2e, 0x20, 0x42, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x20, 0x77, 0x65, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6f, 0x6e, 0x6c, 0x79,
  0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x65, 0x74,
  0x65, 0x63, 0x74, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e,
  0x65, 0x77, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x62, 0x6f, 0x67, 0x75, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72, 0x65, 0x73, 0x70, 0x65, 0x63,
  0x74, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2c,
  0x20, 0x62, 0x75, 0x74, 0x20, 0x61, 0x6c, 0x73, 0x6f, 0x20, 0x62, 0x65,
  0x74, 0x77, 0x65, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x73, 0x65,
  0x6c, 0x76, 0x65, 0x73, 0x2e, 0x20, 0x4f, 0x74, 0x68, 0x65, 0x72, 0x77,
  0x69, 0x73, 0x65, 0x20, 0x77, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x63, 0x61, 0x6e, 0x20, 0x73, 0x74, 0x69, 0x6c, 0x6c, 0x20, 0x61,
  0x64, 0x64, 0x20, 0x62, 0x6f, 0x67, 0x75, 0x73, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x2c, 0x20, 0x62, 0x79, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69,
  0x66, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x2e, 0x20, 0x54, 0x68, 0x69, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x65, 0x77, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x73,
  0x69, 0x6d, 0x70, 0x6c, 0x65, 0x72, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65,
  0x6c, 0x6c, 0x2c, 0x20, 0x61, 0x20, 0x74, 0x72, 0x69, 0x76, 0x69, 0x61,
  0x6c, 0x20, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
  0x20, 0x6f, 0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6f, 0x66, 0x66, 0x69, 0x63, 0x69, 0x61, 0x6c, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x76, 0x61, 0x72, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x70, 0x20, 0x69, 0x6e, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x70,
  0x61, 0x74, 0x68, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x20, 0x61, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79,
  0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x2e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69,
  0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x53,
  0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x73, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f,
  0x72, 0x69, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6e, 0x65, 0x77, 0x20, 0x6f, 0x6e, 0x65, 0x2e, 0x20, 0x49, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x72, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x61, 0x6e, 0x79, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x76,
  0x69, 0x6f, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x72, 0x65, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x61, 0x6e, 0x63, 0x65, 0x73, 0x74,
  0x6f, 0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70,
  0x6f, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20,
  0x2d, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x70, 0x61,
  0x74, 0x68, 0x73, 0x20, 0x24, 0x7b, 0x70, 0x7d, 0x2f, 0x2a, 0x5d, 0x0a,
  0x09, 0x23, 0x20, 0x43, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73,
  0x65, 0x20, 0x22, 0x69, 0x6e, 0x22, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6e,
  0x65, 0x65, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x6f, 0x73, 0x69,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x70, 0x6f, 0x73, 0x20, 0x3e, 0x3d, 0x20, 0x30,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x22, 0x24, 0x70, 0x20,
  0x69, 0x73, 0x20, 0x61, 0x6e, 0x63, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20,
  0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6e, 0x65, 0x77,
  0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x24, 0x70, 0x6f, 0x73, 0x5d, 0x2e,
  0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x4e, 0x6f, 0x77,
  0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x61, 0x72, 0x65, 0x20, 0x61,
  0x6e, 0x63, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x73, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x6f, 0x6e, 0x65, 0x2e,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x0a, 0x09, 0x23, 0x20, 0x72, 0x65, 0x76,
  0x65, 0x72, 0x73, 0x65, 0x20, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x66, 0x6f, 0x72, 0x63, 0x65, 0x73, 0x20, 0x75, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x6f, 0x70, 0x20, 0x6f, 0x76, 0x65, 0x72,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e,
  0x67, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2c, 0x20, 0x61, 0x73, 0x20,
  0x65, 0x61, 0x63, 0x68, 0x0a, 0x09, 0x23, 0x20, 0x65, 0x6c, 0x65, 0x6d,
  0x65, 0x6e, 0x74, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x2c, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x3a, 0x28, 0x0a, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x65, 0x70, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x24, 0x7b, 0x65, 0x70, 0x7d, 0x2f, 0x2a, 0x20,
  0x24, 0x70, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x24, 0x70, 0x20, 0x69, 0x73, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x6f, 0x64, 0x75,
  0x6c, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x65, 0x70, 0x2e,
  0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20,
  0x24, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x30, 0x20,
  0x24, 0x70, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x20, 0x69, 0x73, 0x20,
  0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75, 0x6c, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68,
  0x69, 0x6e, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e,
  0x20, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x69, 0x73,
  0x20, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x20, 0x61, 0x6e, 0x20, 0x6f,
  0x6c, 0x64, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x20, 0x6f, 0x72, 0x20,
  0x61, 0x64, 0x64, 0x65, 0x64, 0x2e, 0x20, 0x57, 0x65, 0x20, 0x63, 0x61,
  0x6e, 0x20, 0x6e, 0x6f, 0x77, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6f,
  0x66, 0x66, 0x69, 0x63, 0x69, 0x61, 0x6c, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2c, 0x20, 0x61,
  0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x20, 0x61, 0x73, 0x73, 0x69,
  0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x73, 0x20, 0x73, 0x75,
  0x66, 0x66, 0x69, 0x63, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x24, 0x6e, 0x65, 0x77, 0x70, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x20,
  0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x50, 0x41, 0x52, 0x54, 0x20, 0x4f, 0x46, 0x20, 0x54,
  0x48, 0x45, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d,
  0x3a, 0x3a, 0x70, 0x61, 0x74, 0x68, 0x20, 0x45, 0x4e, 0x53, 0x45, 0x4d,
  0x42, 0x4c, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x73, 0x69, 0x6c, 0x65, 0x6e,
  0x74, 0x6c, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x67,
  0x6e, 0x6f, 0x72, 0x65, 0x64, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x70, 0x6f, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x24, 0x70,
  0x61, 0x74, 0x68, 0x73, 0x20, 0x24, 0x70, 0x5d, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x70, 0x6f, 0x73, 0x20, 0x3e, 0x3d, 0x20, 0x30, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c,
  0x61, 0x63, 0x65, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x24,
  0x70, 0x6f, 0x73, 0x20, 0x24, 0x70, 0x6f, 0x73, 0x5d, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d,
  0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x41, 0x52, 0x54, 0x20, 0x4f,
  0x46, 0x20, 0x54, 0x48, 0x45, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x70, 0x61, 0x74, 0x68, 0x20, 0x45, 0x4e,
  0x53, 0x45, 0x4d, 0x42, 0x4c, 0x45, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d,
  0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x48, 0x61, 0x6e,
  0x64, 0x6c, 0x65, 0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09,
  0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x68, 0x61, 0x6e, 0x64,
  0x6c, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2c, 0x20, 0x69, 0x2e, 0x65,
  0x2e, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20, 0x69,
  0x6e, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x6f, 0x72, 0x69, 0x67, 0x69,
  0x6e, 0x61, 0x6c, 0x09, 0x2d, 0x20, 0x4f, 0x72, 0x69, 0x67, 0x69, 0x6e,
  0x61, 0x6c, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x5d, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x2e, 0x0a, 0x23, 0x09, 0x6e, 0x61,
  0x6d, 0x65, 0x09, 0x09, 0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x0a, 0x23, 0x09, 0x76, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x09, 0x09, 0x2d, 0x20, 0x56, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72,
  0x65, 0x64, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x20,
  0x43, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x23, 0x09, 0x65, 0x78, 0x61,
  0x63, 0x74, 0x09, 0x09, 0x2d, 0x20, 0x45, 0x69, 0x74, 0x68, 0x65, 0x72,
  0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x6f, 0x72, 0x20, 0x6f,
  0x6d, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x4e, 0x61, 0x6d, 0x65, 0x2c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x78, 0x61, 0x63,
  0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20,
  0x73, 0x61, 0x74, 0x69, 0x73, 0x66, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x2e, 0x20, 0x54, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x6f, 0x72, 0x69, 0x67,
  0x69, 0x6e, 0x61, 0x6c, 0x20, 0x69, 0x73, 0x20, 0x63, 0x61, 0x6c, 0x6c,
  0x65, 0x64, 0x20, 0x69, 0x66, 0x66, 0x20, 0x6e, 0x6f, 0x20, 0x73, 0x61,
  0x74, 0x69, 0x73, 0x66, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77,
  0x61, 0x73, 0x20, 0x61, 0x63, 0x68, 0x69, 0x65, 0x76, 0x65, 0x64, 0x2e,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73,
  0x20, 0x61, 0x6c, 0x73, 0x6f, 0x0a, 0x23, 0x09, 0x75, 0x73, 0x65, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63,
  0x68, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x0a, 0x23, 0x09, 0x4d, 0x61, 0x79, 0x20, 0x70, 0x6f, 0x70,
  0x75, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64,
  0x65, 0x64, 0x20, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x20,
  0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x0a,
  0x23, 0x09, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73, 0x2e, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x74, 0x6d, 0x3a, 0x3a, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x48,
  0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x7b, 0x6f, 0x72, 0x69, 0x67,
  0x69, 0x6e, 0x61, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x49, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x6d,
  0x70, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x74, 0x65, 0x72, 0x6e, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x20,
  0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x6b, 0x67, 0x70, 0x61, 0x74, 0x74,
  0x65, 0x72, 0x6e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57,
  0x69, 0x74, 0x68, 0x6f, 0x75, 0x74, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x77,
  0x65, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x64, 0x6f, 0x20, 0x6e, 0x6f, 0x74,
  0x68, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x28, 0x45, 0x78, 0x63, 0x65, 0x70,
  0x74, 0x20, 0x66, 0x61, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x61,
  0x63, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x29, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x73, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6b, 0x67, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x7b, 0x3a, 0x3a, 0x20, 0x2f, 0x7d, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6b,
  0x67, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x70, 0x6b, 0x67,
  0x70, 0x61, 0x74, 0x68, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x70, 0x6b, 0x67, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x65, 0x71, 0x20, 0x22,
  0x2e, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x70, 0x6b, 0x67, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x22,
  0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x57, 0x65, 0x20,
  0x64, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x72, 0x65, 0x6d, 0x65, 0x6d, 0x62,
  0x65, 0x72, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x70, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x77,
  0x68, 0x69, 0x6c, 0x65, 0x20, 0x6c, 0x6f, 0x6f, 0x70, 0x69, 0x6e, 0x67,
  0x2e, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65,
  0x73, 0x20, 0x61, 0x72, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x75, 0x6e, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x77,
  0x68, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x2e, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x61, 0x6c, 0x73, 0x6f, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x69, 0x6d,
  0x70, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6c, 0x6f, 0x6f, 0x70, 0x2c, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65, 0x20,
  0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x61,
  0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x77, 0x68,
  0x69, 0x6c, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x69, 0x74, 0x65, 0x72, 0x61,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x20, 0x41, 0x20, 0x73, 0x69,
  0x6d, 0x70, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x69, 0x73, 0x20, 0x73, 0x75, 0x66, 0x66, 0x69, 0x63, 0x69, 0x65,
  0x6e, 0x74, 0x2e, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x61,
  0x74, 0x69, 0x73, 0x66, 0x69, 0x65, 0x64, 0x20, 0x30, 0x0a, 0x09, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x24, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x20, 0x26,
  0x26, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x72, 0x6f, 0x6f, 0x74,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61,
  0x66, 0x65, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x63, 0x75,
  0x72, 0x72, 0x65, 0x6e, 0x74, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x70,
  0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f,
  0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x70, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c, 0x69,
  0x74, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x5d, 0x0a, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x63, 0x61, 0x6e,
  0x27, 0x74, 0x20, 0x75, 0x73, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20,
  0x69, 0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x65, 0x6e, 0x63, 0x6c,
  0x6f, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c,
  0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2c, 0x20, 0x77,
  0x68, 0x65, 0x72, 0x65, 0x20, 0x77, 0x65, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x73, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73,
  0x75, 0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65,
  0x73, 0x2e, 0x20, 0x49, 0x6e, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20,
  0x77, 0x6f, 0x72, 0x64, 0x73, 0x2c, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d,
  0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6e,
  0x6f, 0x74, 0x2d, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x20,
  0x73, 0x75, 0x63, 0x68, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d,
  0x65, 0x20, 0x61, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x22, 0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x22, 0x2c, 0x20, 0x69, 0x2e, 0x65,
  0x2e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72,
  0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x2e, 0x0a, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x23, 0x20, 0x57, 0x65, 0x20, 0x61, 0x6c, 0x77, 0x61,
  0x79, 0x73, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x5f, 0x61, 0x6c, 0x6c, 0x5f, 0x20, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62,
  0x6c, 0x65, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x20,
  0x74, 0x6f, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d,
  0x61, 0x78, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x6f, 0x75,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f,
  0x62, 0x2e, 0x0a, 0x0a, 0x09, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62,
  0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e,
  0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x24, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x73, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x70, 0x61, 0x74, 0x68, 0x20, 0x2a, 0x2e, 0x74, 0x6d, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x6b, 0x67, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e,
  0x67, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x70, 0x6c,
  0x69, 0x74, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x20, 0x24, 0x73,
  0x74, 0x72, 0x69, 0x70, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x20, 0x3a, 0x3a,
  0x5d, 0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x2d, 0x2d,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x2d, 0x2d, 0x3e, 0x20, 0x70, 0x6b, 0x67, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x70, 0x6b, 0x67, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x49, 0x67,
  0x6e, 0x6f, 0x72, 0x65, 0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68,
  0x69, 0x6e, 0x67, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x75, 0x72, 0x20, 0x70, 0x61, 0x74,
  0x74, 0x65, 0x72, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x09, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x76, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x20, 0x24, 0x70, 0x6b,
  0x67, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x30, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x20, 0x65, 0x76, 0x65,
  0x72, 0x79, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f,
  0x74, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65, 0x70,
  0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x22, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x76, 0x63, 0x6f, 0x6d, 0x70, 0x61,
  0x72, 0x65, 0x22, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66, 0x6e,
  0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x54, 0x68, 0x65, 0x72, 0x65, 0x27,
  0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x61, 0x20,
  0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x2e, 0x20, 0x20, 0x53, 0x69, 0x6e, 0x63, 0x65, 0x20,
  0x61, 0x6c, 0x6c, 0x20, 0x75, 0x6e, 0x69, 0x74, 0x73, 0x20, 0x6f, 0x66,
  0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x63,
  0x6c, 0x61, 0x69, 0x6d, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x62,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x76,
  0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x6f, 0x75, 0x67, 0x68,
  0x74, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x69, 0x64, 0x65, 0x6e,
  0x74, 0x69, 0x63, 0x61, 0x6c, 0x2c, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x20,
  0x73, 0x74, 0x69, 0x63, 0x6b, 0x20, 0x77, 0x69, 0x74, 0x68, 0x0a, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x6e, 0x65, 0x20,
  0x77, 0x65, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x68,
  0x61, 0x76, 0x65, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x65,
  0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20,
  0x61, 0x20, 0x63, 0x61, 0x6e, 0x64, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2c,
  0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20,
  0x22, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x74, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x69, 0x74,
  0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x75, 0x73, 0x69, 0x6e,
  0x67, 0x20, 0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x6f, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x3b, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x6c, 0x79,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x6d, 0x65, 0x61, 0x6e,
  0x73, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75, 0x74,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x72, 0x2e, 0x0a, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x4f, 0x54, 0x45, 0x2e,
  0x20, 0x57, 0x68, 0x65, 0x6e, 0x20, 0x6d, 0x61, 0x6b, 0x69, 0x6e, 0x67,
  0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x73, 0x20, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
  0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61,
  0x74, 0x65, 0x64, 0x20, 0x62, 0x65, 0x6c, 0x6f, 0x77, 0x20, 0x43, 0x48,
  0x45, 0x43, 0x4b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x27, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x45, 0x27, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64,
  0x75, 0x72, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x6f, 0x72, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x27, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
  0x72, 0x6d, 0x2f, 0x73, 0x68, 0x65, 0x6c, 0x6c, 0x2e, 0x74, 0x63, 0x6c,
  0x27, 0x20, 0x73, 0x74, 0x69, 0x6c, 0x6c, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x73, 0x74, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x69, 0x74, 0x2c, 0x20, 0x6f, 0x72, 0x2c, 0x20,
  0x69, 0x66, 0x20, 0x6e, 0x6f, 0x74, 0x2c, 0x20, 0x75, 0x70, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x69, 0x74, 0x73, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x70, 0x70, 0x72, 0x6f, 0x70,
  0x72, 0x69, 0x61, 0x74, 0x65, 0x6c, 0x79, 0x2e, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x52, 0x69, 0x67, 0x68, 0x74, 0x20, 0x6e, 0x6f, 0x77, 0x20, 0x4c,
  0x4f, 0x43, 0x41, 0x54, 0x45, 0x27, 0x73, 0x20, 0x69, 0x6d, 0x70, 0x6c,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61,
  0x73, 0x73, 0x75, 0x6d, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x61, 0x73, 0x74,
  0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x24, 0x70,
  0x6b, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x70, 0x6b, 0x67, 0x76,
  0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x22, 0x5b, 0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
  0x20, 0x24, 0x70, 0x6b, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x70,
  0x6b, 0x67, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x3b, 0x5b,
  0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x20, 0x2d, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x75, 0x74, 0x66, 0x2d, 0x38, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d,
  0x22, 0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57,
  0x65, 0x20, 0x61, 0x62, 0x6f, 0x72, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20,
  0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x6f, 0x6e, 0x6c, 0x79,
  0x20, 0x69, 0x66, 0x20, 0x77, 0x65, 0x20, 0x67, 0x6f, 0x74, 0x20, 0x61,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x61, 0x74,
  0x69, 0x73, 0x66, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x61, 0x6e, 0x64,
  0x69, 0x64, 0x61, 0x74, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x4f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69,
  0x73, 0x65, 0x20, 0x77, 0x65, 0x20, 0x73, 0x74, 0x69, 0x6c, 0x6c, 0x20,
  0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x61, 0x6c, 0x6c,
  0x62, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f,
  0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x28, 0x24,
  0x70, 0x6b, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x65, 0x71, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x26, 0x26, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x76, 0x73, 0x61, 0x74, 0x69, 0x73, 0x66, 0x69, 0x65, 0x73, 0x20,
  0x24, 0x70, 0x6b, 0x67, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x7b, 0x2a, 0x7d, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x61, 0x74, 0x69,
  0x73, 0x66, 0x69, 0x65, 0x64, 0x20, 0x31, 0x0a, 0x0a, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x64, 0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x61, 0x62, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f,
  0x6f, 0x70, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6b, 0x65, 0x65, 0x70,
  0x20, 0x61, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x76,
  0x69, 0x64, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x76, 0x65,
  0x72, 0x79, 0x20, 0x63, 0x61, 0x6e, 0x64, 0x69, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x2c, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x0a,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x72, 0x65, 0x6d, 0x65, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x74, 0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x66, 0x61, 0x6c,
  0x6c, 0x20, 0x62, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x61, 0x6e,
  0x79, 0x6d, 0x6f, 0x72, 0x65, 0x2e, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x73, 0x61, 0x74, 0x69, 0x73, 0x66, 0x69, 0x65, 0x64, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x46, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63,
  0x6b, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75,
  0x73, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2c, 0x20, 0x69,
  0x66, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x20,
  0x20, 0x53, 0x65, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74,
  0x20, 0x61, 0x62, 0x6f, 0x76, 0x65, 0x20, 0x61, 0x62, 0x6f, 0x75, 0x74,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x3a, 0x3a, 0x6c, 0x69, 0x73,
  0x74, 0x2e, 0x2e, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20,
  0x24, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x5b, 0x3a,
  0x3a, 0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x30, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x44, 0x65,
  0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
  0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x53, 0x69, 0x64, 0x65, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x0a,
  0x23, 0x09, 0x4d, 0x61, 0x79, 0x20, 0x61, 0x64, 0x64, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x44, 0x65,
  0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x65,
  0x6e, 0x76, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66,
  0x6f, 0x72, 0x6d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x74, 0x63, 0x6c, 0x76, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x20, 0x2e, 0x5d, 0x20, 0x6d, 0x61, 0x6a,
  0x6f, 0x72, 0x20, 0x6d, 0x69, 0x6e, 0x6f, 0x72, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x65, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x6f,
  0x66, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x5d,
  0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x6f, 0x74,
  0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77, 0x65, 0x27, 0x72, 0x65,
  0x20, 0x75, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x5b, 0x3a, 0x3a, 0x6c, 0x69,
  0x73, 0x74, 0x5d, 0x2c, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x5d, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x74,
  0x68, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74,
  0x68, 0x61, 0x6e, 0x20, 0x5b, 0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74, 0x5d,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x6f, 0x6f, 0x74, 0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x24, 0x65, 0x78, 0x65, 0x5d, 0x5d, 0x20, 0x6c, 0x69, 0x62, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x63, 0x6c, 0x5f,
  0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x22, 0x77,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x70, 0x20, 0x22, 0x3b, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x70, 0x20, 0x22, 0x3a,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x20, 0x24,
  0x6d, 0x69, 0x6e, 0x6f, 0x72, 0x7d, 0x20, 0x7b, 0x24, 0x6e, 0x20, 0x3e,
  0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6e,
  0x20, 0x2d, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x65, 0x76, 0x20, 0x5b, 0x3a, 0x3a, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x54, 0x43, 0x4c, 0x24,
  0x7b, 0x6d, 0x61, 0x6a, 0x6f, 0x72, 0x7d, 0x2e, 0x24, 0x7b, 0x6e, 0x7d,
  0x5f, 0x54, 0x4d, 0x5f, 0x50, 0x41, 0x54, 0x48, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x54, 0x43, 0x4c, 0x24, 0x7b, 0x6d, 0x61, 0x6a, 0x6f, 0x72,
  0x7d, 0x5f, 0x24, 0x7b, 0x6e, 0x7d, 0x5f, 0x54, 0x4d, 0x5f, 0x50, 0x41,
  0x54, 0x48, 0x20, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x65, 0x6e, 0x76, 0x28, 0x24, 0x65, 0x76, 0x29,
  0x5d, 0x7d, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x70, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24, 0x65,
  0x6e, 0x76, 0x28, 0x24, 0x65, 0x76, 0x29, 0x20, 0x24, 0x73, 0x65, 0x70,
  0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x70, 0x61, 0x74, 0x68, 0x20, 0x61,
  0x64, 0x64, 0x20, 0x24, 0x70, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a,
  0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a,
  0x3a, 0x72, 0x6f, 0x6f, 0x74, 0x73, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x20, 0x41, 0x50, 0x49,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x6f, 0x64, 0x75,
  0x6c, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x20, 0x53, 0x65, 0x65,
  0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x20, 0x2d, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x27, 0x72, 0x6f, 0x6f, 0x74, 0x27, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x64, 0x65, 0x72, 0x69, 0x76, 0x65, 0x20, 0x73,
  0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x20, 0x72,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53,
  0x69, 0x64, 0x65, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x0a, 0x23,
  0x09, 0x43, 0x61, 0x6c, 0x6c, 0x73, 0x20, 0x27, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x61, 0x64, 0x64, 0x27, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65,
  0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x72, 0x6f, 0x6f, 0x74,
  0x73, 0x20, 0x7b, 0x70, 0x61, 0x74, 0x68, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x7b,
  0x5e, 0x28, 0x5c, 0x64, 0x2b, 0x29, 0x5c, 0x2e, 0x28, 0x5c, 0x64, 0x2b,
  0x29, 0x7d, 0x20, 0x5b, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x54, 0x63, 0x6c, 0x5d,
  0x20, 0x2d, 0x20, 0x6d, 0x61, 0x6a, 0x6f, 0x72, 0x20, 0x6d, 0x69, 0x6e,
  0x6f, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x70, 0x61, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x70, 0x61,
  0x20, 0x74, 0x63, 0x6c, 0x24, 0x6d, 0x61, 0x6a, 0x6f, 0x72, 0x5d, 0x0a,
  0x09, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x20,
  0x24, 0x6d, 0x69, 0x6e, 0x6f, 0x72, 0x7d, 0x20, 0x7b, 0x24, 0x6e, 0x20,
  0x3e, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x6e, 0x20, 0x2d, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x78, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x70, 0x20, 0x24, 0x7b,
  0x6d, 0x61, 0x6a, 0x6f, 0x72, 0x7d, 0x2e, 0x24, 0x7b, 0x6e, 0x7d, 0x5d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66,
  0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x70, 0x78, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c,
  0x69, 0x7a, 0x65, 0x20, 0x24, 0x70, 0x78, 0x5d, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x64, 0x64, 0x20,
  0x24, 0x70, 0x78, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x70, 0x78, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69,
  0x6e, 0x20, 0x24, 0x70, 0x20, 0x73, 0x69, 0x74, 0x65, 0x2d, 0x74, 0x63,
  0x6c, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d,
  0x7d, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x70, 0x78, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a,
  0x65, 0x20, 0x24, 0x70, 0x78, 0x5d, 0x7d, 0x0a, 0x09, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x61, 0x64, 0x64, 0x20, 0x24, 0x70, 0x78, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x69, 0x74,
  0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x20,
  0x53, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x73, 0x65, 0x72,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x68, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x0a, 0x23,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e, 0x0a,
  0x0a, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x7d, 0x20, 0x7b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x44,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x7d, 0x0a, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73,
  0x73, 0x61, 0x66, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x72, 0x6f, 0x6f, 0x74,
  0x73, 0x20, 0x7b, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x69, 0x62, 0x2f,
  0x74, 0x63, 0x6c, 0x74, 0x6b, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x73,
  0x68, 0x61, 0x72, 0x65, 0x2f, 0x74, 0x63, 0x6c, 0x74, 0x6b, 0x7d, 0x20,
  0x7d, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_tm_tcl_len = sizeof(__turbine_tcl_resource_tm_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/opt0.4/optparse.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_optparse_tcl:/usr/share/tcltk/tcl8.6/opt0.4/optparse.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_optparse_tcl[] = {
  0x23, 0x20, 0x6f, 0x70, 0x74, 0x70, 0x61, 0x72, 0x73, 0x65, 0x2e, 0x74,
  0x63, 0x6c, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x28, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65,
  0x29, 0x20, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x50, 0x72, 0x69,
  0x6d, 0x61, 0x72, 0x69, 0x6c, 0x79, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x62,
  0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x57,
  0x41, 0x52, 0x4e, 0x49, 0x4e, 0x47, 0x3a, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x67,
  0x6f, 0x20, 0x61, 0x77, 0x61, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20,
  0x66, 0x75, 0x74, 0x75, 0x72, 0x65, 0x20, 0x72, 0x65, 0x6c, 0x65, 0x61,
  0x73, 0x65, 0x0a, 0x23, 0x09, 0x6f, 0x66, 0x20, 0x54, 0x63, 0x6c, 0x2e,
  0x20, 0x20, 0x49, 0x74, 0x20, 0x69, 0x73, 0x20, 0x4e, 0x4f, 0x54, 0x20,
  0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x79, 0x6f, 0x75, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x72, 0x65, 0x6c, 0x79, 0x0a, 0x23, 0x09,
  0x6f, 0x6e, 0x20, 0x69, 0x74, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x79,
  0x6f, 0x75, 0x72, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x64, 0x6f, 0x65,
  0x73, 0x20, 0x72, 0x65, 0x6c, 0x79, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x79,
  0x6f, 0x75, 0x0a, 0x23, 0x09, 0x6d, 0x61, 0x79, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x63, 0x6f, 0x72, 0x70,
  0x6f, 0x72, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x79, 0x6f, 0x75,
  0x72, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x2e, 0x0a, 0x0a, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x38, 0x2e, 0x32, 0x0a, 0x23, 0x20, 0x57, 0x68, 0x65, 0x6e, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67,
  0x65, 0x73, 0x2c, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e,
  0x74, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x23, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61,
  0x6c, 0x6c, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4d, 0x61, 0x6b, 0x65,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20, 0x6f,
  0x70, 0x74, 0x20, 0x30, 0x2e, 0x34, 0x2e, 0x36, 0x0a, 0x0a, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64,
  0x20, 0x41, 0x50, 0x49, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f,
  0x72, 0x74, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x52, 0x65, 0x67,
  0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79,
  0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65,
  0x79, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65,
  0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x5c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70,
  0x74, 0x50, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f,
  0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x4f, 0x70,
  0x74, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x4c, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x4c, 0x67,
  0x65, 0x74, 0x20, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x61, 0x73, 0x73, 0x69, 0x67,
  0x6e, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x70, 0x6f, 0x70, 0x20, 0x4c, 0x76,
  0x61, 0x72, 0x70, 0x6f, 0x70, 0x31, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x73,
  0x65, 0x74, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x78, 0x20, 0x53, 0x65,
  0x74, 0x4d, 0x69, 0x6e, 0x0a, 0x0a, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x20, 0x20, 0x45, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x75, 0x73, 0x65, 0x20, 0x2f, 0x20, 0x27, 0x75, 0x73, 0x65, 0x72,
  0x20, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x27, 0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x65, 0x73, 0x74,
  0x50, 0x72, 0x6f, 0x63, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x09,
  0x23, 0x20, 0x44, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x54, 0x65, 0x73, 0x74, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x74,
  0x65, 0x73, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x64, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x23, 0x20, 0x28, 0x63,
  0x61, 0x6e, 0x27, 0x74, 0x20, 0x62, 0x65, 0x20, 0x64, 0x65, 0x66, 0x69,
  0x6e, 0x65, 0x64, 0x20, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x62, 0x65, 0x6c, 0x6f,
  0x77, 0x20, 0x69, 0x73, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20,
  0x28, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x22, 0x4f, 0x70, 0x74,
  0x50, 0x72, 0x6f, 0x63, 0x22, 0x29, 0x29, 0x0a, 0x0a, 0x09, 0x23, 0x20,
  0x45, 0x76, 0x65, 0x72, 0x79, 0x20, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f,
  0x63, 0x20, 0x67, 0x69, 0x76, 0x65, 0x20, 0x75, 0x73, 0x61, 0x67, 0x65,
  0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x6f, 0x6e, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x2d, 0x68, 0x65, 0x6c, 0x70, 0x22, 0x2e, 0x0a, 0x09, 0x23,
  0x20, 0x54, 0x72, 0x79, 0x20, 0x22, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x50, 0x61, 0x72, 0x73, 0x65, 0x54, 0x65, 0x73, 0x74, 0x20,
  0x2d, 0x68, 0x65, 0x6c, 0x70, 0x22, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x22,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x54, 0x65, 0x73, 0x74, 0x20, 0x2d, 0x61, 0x22, 0x20, 0x61, 0x6e,
  0x64, 0x0a, 0x09, 0x23, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x6f, 0x74,
  0x68, 0x65, 0x72, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x2e, 0x0a, 0x09, 0x23, 0x0a, 0x09, 0x23, 0x20, 0x65, 0x78, 0x61,
  0x6d, 0x70, 0x6c, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x27, 0x76, 0x61, 0x6c,
  0x69, 0x64, 0x27, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x3a, 0x0a, 0x09, 0x23,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50,
  0x61, 0x72, 0x73, 0x65, 0x54, 0x65, 0x73, 0x74, 0x20, 0x73, 0x61, 0x76,
  0x65, 0x20, 0x2d, 0x34, 0x20, 0x2d, 0x70, 0x72, 0x20, 0x32, 0x33, 0x20,
  0x2d, 0x6c, 0x69, 0x62, 0x73, 0x6f, 0x6b, 0x20, 0x53, 0x79, 0x62, 0x54,
  0x63, 0x6c, 0x5c, 0x0a, 0x09, 0x23, 0x09, 0x09, 0x2d, 0x6e, 0x6f, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x66, 0x61, 0x6c, 0x73, 0x65,
  0x20, 0x63, 0x68, 0x31, 0x0a, 0x09, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f,
  0x63, 0x20, 0x4f, 0x70, 0x74, 0x50, 0x61, 0x72, 0x73, 0x65, 0x54, 0x65,
  0x73, 0x74, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65,
  0x20, 0x7b, 0x73, 0x61, 0x76, 0x65, 0x20, 0x70, 0x72, 0x69, 0x6e, 0x74,
  0x7d, 0x20, 0x22, 0x73, 0x75, 0x62, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x31, 0x20, 0x33,
  0x20, 0x22, 0x73, 0x6f, 0x6d, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x61, 0x66, 0x6c, 0x61, 0x67, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x2d, 0x69, 0x6e, 0x74, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x37, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x77, 0x65, 0x69,
  0x72, 0x64, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x22, 0x68, 0x65, 0x6c, 0x70, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61,
  0x74, 0x69, 0x63, 0x73, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x4e, 0x6f, 0x74, 0x20, 0x6f, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x20, 0x70,
  0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x22, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e,
  0x67, 0x31, 0x20, 0x74, 0x72, 0x75, 0x65, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x4f, 0x4b, 0x20, 0x74, 0x6f,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x6e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x73,
  0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7b, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6c,
  0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x32, 0x20, 0x2d, 0x62, 0x6f, 0x6f,
  0x6c, 0x65, 0x61, 0x6e, 0x20, 0x74, 0x72, 0x75, 0x65, 0x20, 0x22, 0x4f,
  0x4b, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x6e,
  0x74, 0x6f, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x73, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x6c, 0x69, 0x62,
  0x73, 0x4f, 0x4b, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x2d,
  0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x20, 0x7b, 0x54, 0x6b, 0x20, 0x53,
  0x79, 0x62, 0x54, 0x63, 0x6c, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x4c, 0x69, 0x73, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x22, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x70, 0x72, 0x65, 0x63, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x69, 0x6e, 0x74, 0x20, 0x31, 0x32, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72,
  0x20, 0x6f, 0x66, 0x20, 0x64, 0x69, 0x67, 0x69, 0x74, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x70, 0x72, 0x65, 0x63, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x22,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7b, 0x2d, 0x69, 0x6e, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x37, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x41,
  0x6e, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x22, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x2d, 0x73, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x2d, 0x66, 0x6c, 0x6f, 0x61, 0x74, 0x20, 0x31,
  0x2e, 0x30, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x53, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x66, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x22, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b,
  0x2d, 0x7a, 0x6f, 0x6f, 0x6d, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x31, 0x2e, 0x30, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5a, 0x6f, 0x6f, 0x6d,
  0x20, 0x66, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x22, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x61, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x6f, 0x62, 0x61, 0x72, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x41, 0x72, 0x62, 0x69, 0x74,
  0x72, 0x61, 0x72, 0x79, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x22,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7b, 0x2d, 0x72, 0x61, 0x6e, 0x64, 0x6f, 0x6d, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x31, 0x32, 0x20, 0x20, 0x20, 0x22, 0x52, 0x61, 0x6e, 0x64,
  0x6f, 0x6d, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x22, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x2d, 0x6c, 0x69, 0x73, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x2d, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x4c, 0x69, 0x73, 0x74,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x62,
  0x6c, 0x61, 0x68, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x62, 0x6c, 0x61, 0x68, 0x20, 0x61, 0x62, 0x63, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x46, 0x75, 0x6e, 0x6e, 0x79,
  0x20, 0x74, 0x79, 0x70, 0x65, 0x22, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x61, 0x72, 0x67, 0x32, 0x20, 0x2d, 0x62, 0x6f, 0x6f, 0x6c,
  0x65, 0x61, 0x6e, 0x20, 0x22, 0x61, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65,
  0x61, 0x6e, 0x22, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x61,
  0x72, 0x67, 0x33, 0x20, 0x2d, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x20,
  0x22, 0x63, 0x68, 0x31, 0x20, 0x63, 0x68, 0x32, 0x22, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x3f, 0x6f, 0x70, 0x74, 0x61, 0x72, 0x67,
  0x3f, 0x20, 0x2d, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x22,
  0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x76, 0x20, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x73, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x70, 0x75, 0x74, 0x73, 0x20, 0x73, 0x74,
  0x64, 0x65, 0x72, 0x72, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x22, 0x25, 0x31, 0x34, 0x73, 0x20, 0x3a, 0x20, 0x25, 0x73, 0x22,
  0x20, 0x24, 0x76, 0x20, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x24, 0x76, 0x5d,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x20, 0x20, 0x4e, 0x6f, 0x20, 0x55, 0x73, 0x65, 0x72, 0x20,
  0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x70, 0x61, 0x72, 0x74, 0x20, 0x62, 0x65, 0x6c, 0x6f, 0x77, 0x20, 0x21,
  0x20, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x41, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x64,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x65, 0x78, 0x74, 0x20, 0x70,
  0x6f, 0x74, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x66,
  0x72, 0x65, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x69, 0x64, 0x20, 0x28,
  0x6e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x29, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4f, 0x70,
  0x74, 0x44, 0x65, 0x73, 0x63, 0x4e, 0x20, 0x30, 0x0a, 0x0a, 0x23, 0x20,
  0x49, 0x6e, 0x73, 0x69, 0x64, 0x65, 0x20, 0x61, 0x6c, 0x67, 0x6f, 0x72,
  0x69, 0x74, 0x68, 0x6d, 0x2f, 0x6d, 0x65, 0x63, 0x68, 0x61, 0x6e, 0x69,
  0x73, 0x6d, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
  0x6f, 0x6e, 0x3a, 0x0a, 0x23, 0x20, 0x28, 0x6e, 0x6f, 0x74, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x61, 0x69, 0x6e, 0x74,
  0x20, 0x68, 0x65, 0x61, 0x72, 0x74, 0x65, 0x64, 0x20, 0x3b, 0x2d, 0x29,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x22,
  0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x74, 0x72, 0x65, 0x65,
  0x22, 0x0a, 0x23, 0x20, 0x49, 0x74, 0x20, 0x69, 0x73, 0x20, 0x63, 0x61,
  0x6c, 0x6c, 0x65, 0x64, 0x20, 0x61, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x67,
  0x72, 0x61, 0x6d, 0x22, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20,
  0x62, 0x79, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x20, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x74, 0x6f, 0x0a,
  0x23, 0x20, 0x61, 0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x61, 0x74, 0x20, 0x72, 0x75,
  0x6e, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x6c, 0x20,
  0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x75, 0x72, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x61, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x22,
  0x20, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x28, 0x70, 0x73, 0x65, 0x75, 0x64, 0x6f, 0x20, 0x62,
  0x6e, 0x66, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x29, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a, 0x3d, 0x3d, 0x20, 0x64,
  0x65, 0x66, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x73,
  0x20, 0x22, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x20, 0x61, 0x73, 0x20, 0x62,
  0x65, 0x69, 0x6e, 0x67, 0x20, 0x22, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x69,
  0x74, 0x69, 0x6f, 0x6e, 0x22, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x7b,
  0x20, 0x78, 0x20, 0x79, 0x20, 0x7a, 0x20, 0x7d, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x78, 0x2c, 0x20, 0x79, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x7a, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x78, 0x2a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x78, 0x20, 0x72, 0x65, 0x70, 0x65,
  0x61, 0x74, 0x65, 0x64, 0x20, 0x30, 0x20, 0x6f, 0x72, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x78, 0x2b, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x22, 0x78,
  0x20, 0x78, 0x2a, 0x22, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x78, 0x3f,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x78, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x78, 0x20, 0x7c, 0x20, 0x79, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x78, 0x20,
  0x6f, 0x72, 0x20, 0x79, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x22, 0x63,
  0x63, 0x63, 0x63, 0x22, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x3a, 0x3d, 0x3d, 0x20, 0x7b, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61,
  0x6d, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x53, 0x74, 0x65, 0x70, 0x2a, 0x20, 0x7d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72,
  0x61, 0x6d, 0x53, 0x74, 0x65, 0x70, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3d,
  0x3d, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x7c, 0x20,
  0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x53, 0x74, 0x65, 0x70, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61,
  0x6d, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x3a, 0x3d, 0x3d,
  0x20, 0x7b, 0x22, 0x50, 0x22, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65,
  0x72, 0x2b, 0x20, 0x7d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x53, 0x74, 0x65, 0x70, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3d, 0x3d, 0x20, 0x7b, 0x20, 0x69, 0x6e, 0x73,
  0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x70, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x2a, 0x20, 0x7d, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3d, 0x3d,
  0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x20, 0x65, 0x6c, 0x65, 0x6d,
  0x65, 0x6e, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x28, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x66, 0x66, 0x65, 0x72,
  0x65, 0x6e, 0x63, 0x65, 0x20, 0x62, 0x65, 0x74, 0x77, 0x65, 0x65, 0x6e,
  0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x53, 0x74, 0x65, 0x70, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x5c, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x67, 0x72,
  0x61, 0x6d, 0x20, 0x30, 0x5d, 0x20, 0x3e, 0x3d, 0x20, 0x32, 0x0a, 0x23,
  0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x53, 0x74,
  0x65, 0x70, 0x20, 0x30, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x0a, 0x23,
  0x20, 0x29, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x61, 0x70, 0x70, 0x6c,
  0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x3a, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x53, 0x74,
  0x65, 0x70, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3d, 0x3d, 0x20, 0x7b,
  0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x68, 0x61,
  0x73, 0x42, 0x65, 0x65, 0x6e, 0x53, 0x65, 0x74, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x20, 0x74,
  0x79, 0x70, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x74, 0x79, 0x70, 0x65, 0x41, 0x72,
  0x67, 0x73, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x20, 0x7d, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3d, 0x3d, 0x20, 0x22, 0x66,
  0x6c, 0x61, 0x67, 0x73, 0x22, 0x20, 0x7c, 0x20, 0x22, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x22, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x74, 0x79, 0x70,
  0x65, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x3a, 0x3d, 0x3d, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x54, 0x79, 0x70, 0x65,
  0x20, 0x7c, 0x20, 0x61, 0x6e, 0x79, 0x77, 0x6f, 0x72, 0x64, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x54, 0x79, 0x70, 0x65,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3d, 0x3d, 0x20, 0x22,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x22, 0x20, 0x7c, 0x20, 0x22, 0x69,
  0x6e, 0x74, 0x22, 0x20, 0x7c, 0x20, 0x22, 0x62, 0x6f, 0x6f, 0x6c, 0x65,
  0x61, 0x6e, 0x22, 0x20, 0x7c, 0x20, 0x22, 0x62, 0x6f, 0x6f, 0x6c, 0x66,
  0x6c, 0x61, 0x67, 0x22, 0x20, 0x7c, 0x20, 0x22, 0x66, 0x6c, 0x6f, 0x61,
  0x74, 0x22, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7c, 0x20, 0x22, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65,
  0x22, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x79,
  0x70, 0x65, 0x20, 0x22, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x22, 0x20,
  0x74, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x70, 0x6f,
  0x73, 0x73, 0x69, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x68, 0x6f, 0x69, 0x63,
  0x65, 0x73, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x6f, 0x6e, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x2e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x6c,
  0x6c, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x79, 0x70, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x41, 0x72,
  0x67, 0x73, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65,
  0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x61, 0x20, 0x22, 0x62, 0x6f, 0x6f, 0x6c, 0x66,
  0x6c, 0x61, 0x67, 0x22, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x74, 0x79, 0x70, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x66,
  0x6c, 0x61, 0x67, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x70, 0x72,
  0x65, 0x73, 0x65, 0x6e, 0x63, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x62,
  0x73, 0x65, 0x6e, 0x63, 0x65, 0x2c, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f,
  0x75, 0x74, 0x0a, 0x23, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20, 0x72, 0x65, 0x73, 0x70,
  0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x6c, 0x79, 0x20, 0x74, 0x72, 0x75,
  0x65, 0x20, 0x6f, 0x72, 0x20, 0x66, 0x61, 0x6c, 0x73, 0x65, 0x20, 0x28,
  0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67,
  0x20, 0x74, 0x79, 0x70, 0x65, 0x29, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x65, 0x72, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x6c, 0x79, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x73, 0x73, 0x65, 0x64, 0x0a, 0x23, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x53, 0x74, 0x65, 0x70, 0x20, 0x28, 0x74, 0x68,
  0x75, 0x73, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20,
  0x61, 0x74, 0x20, 0x31, 0x20, 0x28, 0x30, 0x20, 0x69, 0x73, 0x20, 0x7b,
  0x22, 0x50, 0x22, 0x20, 0x70, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x65, 0x72, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x29, 0x2e, 0x0a, 0x23,
  0x20, 0x49, 0x66, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x69, 0x74, 0x20, 0x70, 0x6f, 0x69, 0x6e,
  0x74, 0x73, 0x20, 0x74, 0x6f, 0x77, 0x61, 0x72, 0x64, 0x20, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x6c, 0x79,
  0x20, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x70, 0x72,
  0x6f, 0x67, 0x72, 0x61, 0x6d, 0x53, 0x74, 0x65, 0x70, 0x2e, 0x0a, 0x23,
  0x20, 0x28, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x22,
  0x66, 0x6c, 0x61, 0x67, 0x73, 0x22, 0x2c, 0x20, 0x61, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x79, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6f, 0x70, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x6c, 0x2c, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x61,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x53, 0x74, 0x65, 0x70, 0x29, 0x2e, 0x0a, 0x0a,
  0x23, 0x20, 0x50, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x6e, 0x63,
  0x65, 0x2f, 0x49, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x73, 0x75, 0x65, 0x73, 0x0a,
  0x23, 0x20, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x63, 0x6c,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x65,
  0x61, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x73,
  0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x74, 0x63, 0x6c, 0x38, 0x2e, 0x30, 0x0a, 0x23, 0x20, 0x74,
  0x68, 0x65, 0x79, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x73,
  0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x6d,
  0x75, 0x63, 0x68, 0x20, 0x66, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x0a,
  0x23, 0x20, 0x42, 0x75, 0x74, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x61, 0x20, 0x6c, 0x6f,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x65, 0x72, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x28, 0x6c, 0x69, 0x6b, 0x65, 0x20,
  0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x29, 0x0a, 0x23, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x61, 0x72, 0x65, 0x20, 0x71, 0x75, 0x69,
  0x74, 0x65, 0x20, 0x73, 0x6c, 0x6f, 0x77, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x77, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x68, 0x65, 0x6c,
  0x70, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6d,
  0x69, 0x7a, 0x65, 0x64, 0x0a, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69,
  0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x62, 0x79, 0x20, 0x62,
  0x65, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x72, 0x69, 0x74, 0x74, 0x65, 0x6e,
  0x20, 0x69, 0x6e, 0x20, 0x43, 0x2e, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x20,
  0x6f, 0x75, 0x72, 0x20, 0x73, 0x74, 0x72, 0x75, 0x74, 0x75, 0x72, 0x65,
  0x0a, 0x23, 0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65,
  0x78, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x6d, 0x61, 0x79, 0x62, 0x65, 0x20, 0x73, 0x6f, 0x6d,
  0x65, 0x20, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x73, 0x20, 0x77, 0x68, 0x65,
  0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x72, 0x65, 0x70, 0x20, 0x6d, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x62, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x63, 0x75, 0x6c, 0x61,
  0x74, 0x65, 0x64, 0x20, 0x61, 0x74, 0x20, 0x67, 0x72, 0x65, 0x61, 0x74,
  0x20, 0x65, 0x78, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x20, 0x74, 0x6f, 0x20,
  0x62, 0x65, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x2e, 0x0a,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x61,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73,
  0x61, 0x76, 0x65, 0x73, 0x20, 0x69, 0x74, 0x20, 0x68, 0x65, 0x72, 0x65,
  0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67,
  0x69, 0x76, 0x65, 0x6e, 0x20, 0x6b, 0x65, 0x79, 0x0a, 0x23, 0x20, 0x67,
  0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x75, 0x6e,
  0x75, 0x73, 0x65, 0x64, 0x20, 0x6b, 0x65, 0x79, 0x69, 0x64, 0x20, 0x69,
  0x66, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x0a,
  0x23, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x52, 0x65, 0x67, 0x69,
  0x73, 0x74, 0x65, 0x72, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x20, 0x7b,
  0x6b, 0x65, 0x79, 0x20, 0x22, 0x22, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4f, 0x70, 0x74,
  0x44, 0x65, 0x73, 0x63, 0x4e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71,
  0x75, 0x61, 0x6c, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x22, 0x22, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x61, 0x73, 0x65, 0x20, 0x61, 0x20,
  0x6b, 0x65, 0x79, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x6f,
  0x20, 0x75, 0x73, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x70, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x20, 0x77, 0x61, 0x73, 0x20, 0x61,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24, 0x4f, 0x70, 0x74,
  0x44, 0x65, 0x73, 0x63, 0x4e, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x4e, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6b, 0x65, 0x79, 0x20, 0x24, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73,
  0x63, 0x4e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x4e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x63, 0x6f, 0x75,
  0x6e, 0x74, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x22, 0x50, 0x22,
  0x20, 0x31, 0x5d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x77, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x73, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20,
  0x28, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x73,
  0x20, 0x61, 0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x20, 0x70, 0x72,
  0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x73, 0x74, 0x65, 0x70, 0x29, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x6e, 0x66, 0x6c,
  0x61, 0x67, 0x73, 0x20, 0x30, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20,
  0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x65, 0x74, 0x65,
  0x63, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77, 0x65, 0x20, 0x6a,
  0x75, 0x73, 0x74, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x61, 0x20, 0x73,
  0x69, 0x6e, 0x67, 0x6c, 0x65, 0x20, 0x28, 0x66, 0x6c, 0x61, 0x67, 0x73,
  0x20, 0x73, 0x65, 0x74, 0x29, 0x20, 0x73, 0x75, 0x62, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x31, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x69,
  0x74, 0x65, 0x6d, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20,
  0x3d, 0x3d, 0x20, 0x22, 0x61, 0x72, 0x67, 0x73, 0x22, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6d, 0x6f, 0x72, 0x65,
  0x20, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72,
  0x20, 0x27, 0x61, 0x72, 0x67, 0x73, 0x27, 0x2e, 0x2e, 0x2e, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22,
  0x27, 0x61, 0x72, 0x67, 0x73, 0x27, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69,
  0x61, 0x6c, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20,
  0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6c, 0x61, 0x73, 0x74, 0x20, 0x6f, 0x6e, 0x65, 0x22, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x72, 0x65, 0x73, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x6f, 0x72,
  0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x4f, 0x6e, 0x65, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x72, 0x65, 0x73, 0x20,
  0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x69, 0x6e, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x3d, 0x3d, 0x20, 0x22, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x22,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x61, 0x64, 0x64, 0x20,
  0x74, 0x6f, 0x20, 0x27, 0x73, 0x75, 0x62, 0x70, 0x72, 0x6f, 0x67, 0x72,
  0x61, 0x6d, 0x27, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x70, 0x72, 0x67,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x75, 0x74,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6c, 0x61, 0x67,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x74, 0x72, 0x75,
  0x63, 0x74, 0x75, 0x72, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x73, 0x20,
  0x69, 0x74, 0x65, 0x6d, 0x73, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x7b, 0x73, 0x75, 0x62, 0x70, 0x72, 0x67, 0x63, 0x6f, 0x75, 0x6e,
  0x74, 0x65, 0x72, 0x20, 0x7b, 0x70, 0x72, 0x67, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x70, 0x72, 0x67, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x20, 0x32, 0x7d, 0x20, 0x7b, 0x2e, 0x2e, 0x2e, 0x7d, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x24, 0x66, 0x6c,
  0x61, 0x67, 0x73, 0x70, 0x72, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x70, 0x75, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x74, 0x68,
  0x65, 0x72, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20, 0x73,
  0x74, 0x75, 0x66, 0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x69, 0x6e, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20, 0x30, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x30, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x22, 0x66, 0x6c, 0x61,
  0x67, 0x73, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x6e, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20, 0x31, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x75, 0x62, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72,
  0x20, 0x2b, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x73, 0x75, 0x62,
  0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x70, 0x72, 0x67,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x22, 0x50, 0x22, 0x20, 0x31, 0x5d, 0x20, 0x24, 0x72, 0x65, 0x73,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x30,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x69, 0x6e, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x65,
  0x6d, 0x70, 0x74, 0x79, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x68, 0x61,
  0x76, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x75, 0x62, 0x70, 0x72,
  0x6f, 0x67, 0x72, 0x61, 0x6d, 0x2c, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6d,
  0x69, 0x7a, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x6d, 0x6f,
  0x76, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x23, 0x20, 0x75, 0x6e, 0x6e,
  0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x3a,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x70,
  0x72, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72,
  0x61, 0x6d, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x70, 0x72, 0x67,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x4f,
  0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24, 0x6b, 0x65, 0x79, 0x29,
  0x20, 0x24, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x6b, 0x65,
  0x79, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x46, 0x72, 0x65,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
  0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x67,
  0x69, 0x76, 0x65, 0x6e, 0x20, 0x6b, 0x65, 0x79, 0x0a, 0x23, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x4b, 0x65, 0x79, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20,
  0x7b, 0x6b, 0x65, 0x79, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4f, 0x70, 0x74,
  0x44, 0x65, 0x73, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x6e, 0x73,
  0x65, 0x74, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24,
  0x6b, 0x65, 0x79, 0x29, 0x0a, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x47, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x64, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x64, 0x20,
  0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x6b, 0x65, 0x79, 0x2e, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79,
  0x47, 0x65, 0x74, 0x44, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x64, 0x65, 0x73,
  0x63, 0x4b, 0x65, 0x79, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x4f,
  0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x4b, 0x65, 0x79, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6b, 0x65, 0x79, 0x20,
  0x5c, 0x22, 0x24, 0x64, 0x65, 0x73, 0x63, 0x4b, 0x65, 0x79, 0x5c, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24, 0x64, 0x65, 0x73,
  0x63, 0x4b, 0x65, 0x79, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x65, 0x6e, 0x74,
  0x72, 0x79, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x70, 0x70, 0x6c, 0x20, 0x77, 0x68, 0x6f, 0x20, 0x64, 0x6f, 0x6e,
  0x27, 0x74, 0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x72,
  0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x77, 0x69, 0x74, 0x68,
  0x20, 0x61, 0x20, 0x6b, 0x65, 0x79, 0x2c, 0x0a, 0x23, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x62,
  0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x73, 0x20, 0x64, 0x79, 0x6e, 0x61, 0x6d,
  0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x2e, 0x0a, 0x23, 0x20, 0x20, 0x28,
  0x6f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x72, 0x65, 0x61,
  0x6c, 0x6c, 0x79, 0x20, 0x75, 0x73, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x4b,
  0x65, 0x79, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x6f,
  0x6e, 0x63, 0x65, 0x20, 0x2b, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79,
  0x50, 0x61, 0x72, 0x73, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x61, 0x73,
  0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x77, 0x61, 0x79, 0x20, 0x66,
  0x61, 0x73, 0x74, 0x65, 0x72, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x69, 0x6d,
  0x70, 0x6c, 0x79, 0x20, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x20,
  0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x69,
  0x74, 0x20, 0x61, 0x6c, 0x6c, 0x29, 0x0a, 0x23, 0x20, 0x41, 0x73, 0x73,
  0x69, 0x67, 0x6e, 0x20, 0x61, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72,
  0x61, 0x72, 0x79, 0x20, 0x6b, 0x65, 0x79, 0x2c, 0x20, 0x63, 0x61, 0x6c,
  0x6c, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x66,
  0x72, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x6f, 0x72,
  0x61, 0x67, 0x65, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x61, 0x72, 0x73, 0x65,
  0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x20, 0x61, 0x72, 0x67, 0x6c, 0x69,
  0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x6b, 0x65, 0x79, 0x20, 0x5b, 0x4f,
  0x70, 0x74, 0x4b, 0x65, 0x79, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65,
  0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x74, 0x20, 0x5b, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c,
  0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x50, 0x61,
  0x72, 0x73, 0x65, 0x20, 0x24, 0x74, 0x65, 0x6d, 0x70, 0x6b, 0x65, 0x79,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x7d, 0x20,
  0x72, 0x65, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74,
  0x4b, 0x65, 0x79, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x24, 0x74,
  0x65, 0x6d, 0x70, 0x6b, 0x65, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x24, 0x72, 0x65, 0x74, 0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x48, 0x65, 0x6c, 0x70, 0x65, 0x72, 0x20, 0x66, 0x75,
  0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x20, 0x72, 0x65, 0x70, 0x6c,
  0x61, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x62, 0x6f,
  0x74, 0x68, 0x0a, 0x23, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x20,
  0x61, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x0a,
  0x23, 0x20, 0x28, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x75, 0x73, 0x20,
  0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x29, 0x0a, 0x23, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x61, 0x64, 0x64, 0x20, 0x61, 0x20, 0x66, 0x69, 0x72,
  0x73, 0x74, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x4b,
  0x65, 0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x0a, 0x23, 0x20, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x61,
  0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x73, 0x65,
  0x72, 0x0a, 0x23, 0x20, 0x28, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x74, 0x68,
  0x65, 0x72, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x73,
  0x65, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72,
  0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x29, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x64, 0x20, 0x22, 0x41, 0x72, 0x67,
  0x73, 0x22, 0x2e, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x20,
  0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x20, 0x62,
  0x6f, 0x64, 0x79, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x5b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x22, 0x3a, 0x3a, 0x2a, 0x22, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x65, 0x71, 0x75, 0x61, 0x6c, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x22, 0x3a, 0x3a, 0x22, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x61, 0x62, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61,
  0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x2c,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6b, 0x65, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x72, 0x65, 0x6c,
  0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x6f, 0x6d,
  0x65, 0x20, 0x6e, 0x6f, 0x6e, 0x20, 0x74, 0x6f, 0x70, 0x20, 0x6c, 0x65,
  0x76, 0x65, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x22, 0x24, 0x7b, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x7d, 0x3a, 0x3a, 0x24, 0x7b,
  0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x52,
  0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73,
  0x63, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x3a, 0x3a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x22, 0x73, 0x65,
  0x74, 0x20, 0x41, 0x72, 0x67, 0x73, 0x20, 0x5c, 0x5b, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x50, 0x61,
  0x72, 0x73, 0x65, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x5c, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x5c, 0x5d, 0x5c, 0x6e, 0x24, 0x62, 0x6f, 0x64, 0x79,
  0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x0a, 0x7d, 0x0a, 0x23, 0x20, 0x43,
  0x68, 0x65, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x68, 0x61, 0x73,
  0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x0a,
  0x23, 0x20, 0x61, 0x73, 0x73, 0x75, 0x6d, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x22, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x22,
  0x20, 0x68, 0x61, 0x73, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x75, 0x73,
  0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x69, 0x74, 0x20, 0x77, 0x69, 0x6c,
  0x6c, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x69, 0x6e, 0x20, 0x22,
  0x41, 0x72, 0x67, 0x73, 0x22, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76,
  0x65, 0x6e, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72,
  0x20, 0x41, 0x72, 0x67, 0x73, 0x20, 0x61, 0x6c, 0x69, 0x73, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x24, 0x61, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x61, 0x72, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x3e, 0x3d, 0x30, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x50, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x73, 0x2f, 0x44,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x6d, 0x61, 0x6e, 0x69, 0x70, 0x75, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72,
  0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x2f,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x65, 0x70, 0x2f, 0x28, 0x73, 0x75,
  0x62, 0x29, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x49, 0x6e,
  0x73, 0x74, 0x72, 0x20, 0x7b, 0x6c, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x73, 0x74,
  0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x49, 0x73, 0x20, 0x61, 0x20, 0x28, 0x73, 0x75, 0x62,
  0x29, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x6f, 0x72,
  0x20, 0x61, 0x20, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x69, 0x6e, 0x73,
  0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x3f, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x49,
  0x73, 0x50, 0x72, 0x67, 0x20, 0x7b, 0x6c, 0x73, 0x74, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x6e, 0x73,
  0x74, 0x72, 0x20, 0x24, 0x6c, 0x73, 0x74, 0x5d, 0x5d, 0x3e, 0x3d, 0x32,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x49, 0x73, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x6e,
  0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61, 0x20,
  0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x63, 0x6f, 0x75, 0x6e,
  0x74, 0x65, 0x72, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x72, 0x65, 0x61,
  0x6c, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20,
  0x30, 0x5d, 0x3d, 0x3d, 0x22, 0x50, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d,
  0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x28, 0x32, 0x6e,
  0x64, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x47, 0x65,
  0x74, 0x50, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20,
  0x7b, 0x6c, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x6c, 0x73, 0x74, 0x20, 0x7b, 0x30, 0x20, 0x31, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72,
  0x20, 0x28, 0x32, 0x6e, 0x64, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x6f,
  0x66, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x64,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x53, 0x65, 0x74, 0x50, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x65, 0x72, 0x20, 0x7b, 0x6c, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x73, 0x74,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6c, 0x73, 0x74, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x6c, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c,
  0x61, 0x63, 0x65, 0x20, 0x24, 0x6c, 0x73, 0x74, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x5b, 0x63, 0x6f, 0x6e, 0x63, 0x61, 0x74, 0x20, 0x22, 0x50, 0x22,
  0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x5d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x6c, 0x79, 0x20, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x65,
  0x64, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x53, 0x65, 0x6c,
  0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x7b, 0x6c, 0x73, 0x74, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x20,
  0x7b, 0x7d, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x69, 0x64, 0x78, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x73, 0x74,
  0x20, 0x30, 0x5d, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x73, 0x20, 0x5b, 0x4c, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x6c, 0x73, 0x74, 0x20, 0x24, 0x69, 0x64, 0x78, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x72,
  0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x41, 0x64, 0x76, 0x61, 0x6e, 0x63, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x78, 0x74,
  0x44, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x4e, 0x61,
  0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x7b, 0x30, 0x20, 0x31, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x2c, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x65, 0x6e, 0x64, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72,
  0x44, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x47, 0x65, 0x74, 0x50, 0x72,
  0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x24, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x2c, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61,
  0x6c, 0x6c, 0x79, 0x20, 0x64, 0x65, 0x73, 0x63, 0x65, 0x6e, 0x64, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x72, 0x6f, 0x75, 0x67,
  0x68, 0x20, 0x73, 0x75, 0x62, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61,
  0x6d, 0x73, 0x20, 0x61, 0x73, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64,
  0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63, 0x46, 0x69, 0x6e,
  0x61, 0x6c, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x23, 0x20, 0x44, 0x65, 0x73, 0x63, 0x65,
  0x6e, 0x64, 0x20, 0x75, 0x6e, 0x74, 0x69, 0x6c, 0x6c, 0x20, 0x77, 0x65,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x63, 0x74,
  0x75, 0x61, 0x6c, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x20, 0x73, 0x75, 0x62, 0x20, 0x70,
  0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x4f,
  0x70, 0x74, 0x49, 0x73, 0x50, 0x72, 0x67, 0x20, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65,
  0x73, 0x63, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x75,
  0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x69, 0x6e, 0x61, 0x6c, 0x20,
  0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x61, 0x64, 0x72, 0x65, 0x73, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x41, 0x64,
  0x64, 0x72, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x7b, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20,
  0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x61, 0x64, 0x72, 0x65, 0x73, 0x73, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x47,
  0x65, 0x74, 0x50, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x24, 0x61, 0x64, 0x72, 0x65,
  0x73, 0x73, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x61, 0x64, 0x72, 0x65, 0x73, 0x73, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x50, 0x72, 0x67, 0x20, 0x24,
  0x69, 0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x43, 0x75, 0x72, 0x41, 0x64, 0x64, 0x72, 0x20, 0x24, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x24, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5d, 0x0a, 0x09,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75,
  0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x53, 0x65, 0x74,
  0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x09,
  0x23, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75,
  0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x66,
  0x75, 0x6c, 0x6c, 0x20, 0x61, 0x64, 0x72, 0x65, 0x73, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x64, 0x72, 0x65, 0x73, 0x73, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75,
  0x72, 0x41, 0x64, 0x64, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x23, 0x20,
  0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x33, 0x74, 0x68, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x20, 0x28, 0x73, 0x65, 0x65, 0x20,
  0x4f, 0x70, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x2f, 0x20, 0x4f,
  0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x29, 0x0a, 0x09,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x61, 0x64, 0x72, 0x65,
  0x73, 0x73, 0x20, 0x32, 0x0a, 0x09, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x24, 0x61, 0x64, 0x72, 0x65, 0x73, 0x73, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x31, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x5d, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x5e, 0x68, 0x61, 0x73, 0x42, 0x65, 0x65, 0x6e, 0x53,
  0x65, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x6d, 0x70,
  0x74, 0x79, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x65, 0x61,
  0x6e, 0x73, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x2f, 0x70, 0x61, 0x73, 0x74,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70,
  0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x53, 0x74, 0x61,
  0x74, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x6d, 0x61, 0x6e, 0x69, 0x70, 0x75, 0x6c, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61,
  0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x68, 0x61, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20, 0x6e, 0x6f, 0x77,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70,
  0x74, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x41, 0x72, 0x67, 0x20,
  0x7b, 0x6c, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x6c, 0x73, 0x74, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x64, 0x76, 0x61, 0x6e, 0x63,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x78, 0x74, 0x41,
  0x72, 0x67, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x4e, 0x61, 0x6d, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x70, 0x6f, 0x70, 0x31,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x4c, 0x6f, 0x6f, 0x70, 0x20, 0x6f, 0x76,
  0x65, 0x72, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x63, 0x61, 0x6c,
  0x6c, 0x69, 0x6e, 0x67, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x6f, 0x4f, 0x6e,
  0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x77, 0x69, 0x6c, 0x6c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x65, 0x61, 0x74, 0x20, 0x61, 0x6c,
  0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x6f, 0x41, 0x6c, 0x6c, 0x20, 0x7b,
  0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a,
  0x09, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23, 0x09, 0x70, 0x75,
  0x74, 0x73, 0x20, 0x22, 0x65, 0x6e, 0x74, 0x65, 0x72, 0x65, 0x64, 0x20,
  0x44, 0x6f, 0x41, 0x6c, 0x6c, 0x22, 0x0a, 0x09, 0x23, 0x20, 0x4e, 0x62,
  0x3a, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x73,
  0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x22, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x22, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x72, 0x69, 0x63, 0x6b, 0x79,
  0x20, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x0a, 0x09,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73,
  0x65, 0x20, 0x44, 0x6f, 0x4f, 0x6e, 0x65, 0x20, 0x73, 0x65, 0x74, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x74,
  0x6f, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x6e, 0x65,
  0x65, 0x64, 0x65, 0x64, 0x2e, 0x2e, 0x2e, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43,
  0x75, 0x72, 0x53, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09,
  0x23, 0x20, 0x57, 0x65, 0x27, 0x6c, 0x6c, 0x20, 0x65, 0x78, 0x69, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f, 0x6f, 0x70, 0x20, 0x69, 0x6e,
  0x20, 0x22, 0x4f, 0x70, 0x74, 0x44, 0x6f, 0x4f, 0x6e, 0x65, 0x22, 0x20,
  0x6f, 0x72, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c,
  0x65, 0x20, 0x31, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x63, 0x75, 0x72, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x5b,
  0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20,
  0x73, 0x75, 0x62, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x73, 0x20,
  0x69, 0x66, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x2c, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x20, 0x6f, 0x75, 0x72, 0x73, 0x65, 0x6c, 0x76, 0x65,
  0x73, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x75, 0x62,
  0x20, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74,
  0x49, 0x73, 0x50, 0x72, 0x67, 0x20, 0x24, 0x63, 0x75, 0x72, 0x69, 0x74,
  0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x4f, 0x70, 0x74,
  0x44, 0x6f, 0x41, 0x6c, 0x6c, 0x20, 0x63, 0x75, 0x72, 0x69, 0x74, 0x65,
  0x6d, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a,
  0x23, 0x09, 0x09, 0x70, 0x75, 0x74, 0x73, 0x20, 0x22, 0x64, 0x6f, 0x6e,
  0x65, 0x20, 0x44, 0x6f, 0x41, 0x6c, 0x6c, 0x20, 0x73, 0x75, 0x62, 0x22,
  0x0a, 0x09, 0x09, 0x23, 0x20, 0x49, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20,
  0x62, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x74, 0x72, 0x65, 0x65, 0x0a, 0x09, 0x09, 0x4c,
  0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x31, 0x6e, 0x63, 0x20, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x5b,
  0x4f, 0x70, 0x74, 0x47, 0x65, 0x74, 0x50, 0x72, 0x67, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x65, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x24, 0x63, 0x75, 0x72, 0x69, 0x74, 0x65, 0x6d, 0x0a, 0x09, 0x09, 0x4f,
  0x70, 0x74, 0x4e, 0x65, 0x78, 0x74, 0x44, 0x65, 0x73, 0x63, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x63, 0x75, 0x72, 0x69, 0x74, 0x65,
  0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73,
  0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
  0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43,
  0x75, 0x72, 0x53, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x22,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x3d, 0x20, 0x5c, 0x22, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x5c, 0x22, 0x20, 0x2d, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3d, 0x28, 0x24, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x29, 0x22, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4c, 0x65, 0x6d, 0x70, 0x74,
  0x79, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x6c, 0x65, 0x66, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x6f, 0x2c,
  0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x65,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x62, 0x72, 0x61,
  0x6e, 0x63, 0x68, 0x3a, 0x0a, 0x09, 0x09, 0x62, 0x72, 0x65, 0x61, 0x6b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f,
  0x77, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20,
  0x75, 0x73, 0x20, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x61, 0x74, 0x65,
  0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x73, 0x20, 0x69, 0x74, 0x20, 0x75,
  0x73, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x7b, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x2c, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x2c, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x6f, 0x4f, 0x6e,
  0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x49, 0x66, 0x20, 0x77, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x68, 0x65, 0x72, 0x65, 0x2c, 0x20, 0x6e, 0x6f, 0x20, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x61, 0x6c, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69,
  0x73, 0x73, 0x75, 0x65, 0x64, 0x2c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x77, 0x65, 0x27, 0x6c, 0x6c, 0x20, 0x73, 0x74, 0x65, 0x70,
  0x20, 0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x69, 0x6e, 0x73,
  0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x3a, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x75, 0x74, 0x73, 0x20, 0x22, 0x6e, 0x65, 0x77, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x20, 0x20, 0x3d, 0x20, 0x5c, 0x22, 0x24, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x5c, 0x22, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4f,
  0x70, 0x74, 0x4e, 0x65, 0x78, 0x74, 0x44, 0x65, 0x73, 0x63, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x53, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
  0x73, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x73, 0x74, 0x65, 0x70, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2c, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61, 0x6c,
  0x6c, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x44,
  0x6f, 0x4f, 0x6e, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x24, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x0a, 0x09, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x70,
  0x65, 0x63, 0x69, 0x61, 0x6c, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2f,
  0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x22, 0x61, 0x72, 0x67, 0x73, 0x22, 0x20, 0x65, 0x61, 0x74, 0x73, 0x20,
  0x61, 0x6c, 0x6c, 0x0a, 0x09, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72,
  0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x72, 0x67,
  0x73, 0x20, 0x28, 0x69, 0x66, 0x20, 0x61, 0x6e, 0x79, 0x29, 0x0a, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x28, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20,
  0x3d, 0x3d, 0x20, 0x22, 0x61, 0x72, 0x67, 0x73, 0x22, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x5b, 0x4c, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x6e, 0x6f, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x2c, 0x20, 0x6c, 0x65, 0x61, 0x76, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x2e, 0x0a,
  0x09, 0x09, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x53, 0x65, 0x74, 0x56,
  0x61, 0x6c, 0x75, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x61, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73,
  0x20, 0x22, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x6f,
  0x75, 0x74, 0x20, 0x28, 0x27, 0x61, 0x72, 0x67, 0x73, 0x27, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x3a, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d,
  0x69, 0x6e, 0x67, 0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x20, 0x72, 0x65,
  0x6d, 0x69, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x72, 0x67, 0x73,
  0x29, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x62, 0x72, 0x65,
  0x61, 0x6b, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x4c, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x22, 0x66, 0x6c, 0x61, 0x67, 0x73,
  0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x6f, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x6e, 0x6f, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20, 0x3a, 0x20,
  0x77, 0x65, 0x27, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x22, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x70,
  0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x28, 0x73, 0x75, 0x62,
  0x29, 0x70, 0x72, 0x67, 0x20, 0x28, 0x6e, 0x6f, 0x20, 0x6d, 0x6f, 0x72,
  0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x29, 0x22, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x22, 0x6f, 0x70, 0x74,
  0x56, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x6e, 0x65,
  0x78, 0x74, 0x3b, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73,
  0x65, 0x64, 0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x64, 0x65, 0x62, 0x75,
  0x67, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x67,
  0x6f, 0x20, 0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x56,
  0x61, 0x6c, 0x75, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x41, 0x72, 0x67, 0x20, 0x24, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x73, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41,
  0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x64, 0x61, 0x73, 0x68, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x74, 0x65, 0x72, 0x6d, 0x69,
  0x6e, 0x61, 0x74, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x61, 0x73, 0x20, 0x64, 0x6f,
  0x65, 0x73, 0x20, 0x2d, 0x2d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x53, 0x74, 0x69, 0x6c, 0x6c, 0x20, 0x61, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x3f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74,
  0x20, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2c, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x72, 0x65,
  0x76, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x70, 0x72, 0x67, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f,
  0x70, 0x74, 0x4e, 0x65, 0x78, 0x74, 0x41, 0x72, 0x67, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x65, 0x71, 0x75, 0x61, 0x6c, 0x20, 0x22, 0x2d, 0x2d, 0x22, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x27, 0x66, 0x6c, 0x61, 0x67, 0x73,
  0x27, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x68, 0x69, 0x74, 0x73, 0x20, 0x5b, 0x4f, 0x70, 0x74,
  0x48, 0x69, 0x74, 0x73, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x68, 0x69, 0x74,
  0x73, 0x20, 0x3e, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x41, 0x6d, 0x62, 0x69, 0x67, 0x6f, 0x75, 0x73,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x68, 0x69, 0x74, 0x73, 0x20, 0x3d, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x46, 0x6c, 0x61, 0x67,
  0x55, 0x73, 0x61, 0x67, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43,
  0x75, 0x72, 0x44, 0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65,
  0x65, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x61, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x2c, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x66, 0x6c, 0x61, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x43,
  0x75, 0x72, 0x53, 0x65, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x23, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x56, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x2d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69,
  0x74, 0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44,
  0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x54, 0x65, 0x73, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x67, 0x61, 0x69, 0x6e, 0x73, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69,
  0x72, 0x65, 0x64, 0x20, 0x74, 0x79, 0x70, 0x65, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x4f,
  0x70, 0x74, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x5b, 0x4f, 0x70,
  0x74, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x76, 0x61,
  0x6c, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x42,
  0x61, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x5d,
  0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63,
  0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74,
  0x4e, 0x65, 0x78, 0x74, 0x41, 0x72, 0x67, 0x20, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a,
  0x09, 0x09, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x53, 0x65, 0x74, 0x56,
  0x61, 0x6c, 0x75, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x67, 0x6f, 0x20, 0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x3d, 0x3d, 0x20,
  0x22, 0x66, 0x6c, 0x61, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x6e, 0x65, 0x78, 0x74,
  0x3b, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x64,
  0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x64, 0x65, 0x62, 0x75, 0x67, 0x20,
  0x6f, 0x6e, 0x6c, 0x79, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x3b, 0x20, 0x23, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x67, 0x6f, 0x20, 0x6f, 0x6e, 0x20, 0x6e, 0x65, 0x78,
  0x74, 0x20, 0x73, 0x74, 0x65, 0x70, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6f,
  0x70, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x65, 0x73, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x67,
  0x61, 0x69, 0x6e, 0x73, 0x74, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20,
  0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x64, 0x20, 0x74, 0x79, 0x70,
  0x65, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x4f, 0x70, 0x74, 0x43, 0x68, 0x65, 0x63,
  0x6b, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x54,
  0x79, 0x70, 0x65, 0x41, 0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x5d, 0x7d, 0x20, 0x76, 0x61, 0x6c, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x3a,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x6f, 0x6e,
  0x73, 0x75, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74,
  0x4e, 0x65, 0x78, 0x74, 0x41, 0x72, 0x67, 0x20, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70,
  0x74, 0x43, 0x75, 0x72, 0x53, 0x65, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x67, 0x6f, 0x20, 0x74, 0x6f, 0x20, 0x6e, 0x65, 0x78,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x6e, 0x65, 0x78, 0x74,
  0x3b, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x64,
  0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x64, 0x65, 0x62, 0x75, 0x67, 0x20,
  0x6f, 0x6e, 0x6c, 0x79, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x3b, 0x20, 0x23, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x67,
  0x6f, 0x20, 0x6f, 0x6e, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x73, 0x74,
  0x65, 0x70, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x23, 0x20, 0x49,
  0x66, 0x20, 0x77, 0x65, 0x20, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x3a, 0x20, 0x61,
  0x6e, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x0a, 0x09, 0x23,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x61, 0x73, 0x20, 0x62, 0x65,
  0x65, 0x6e, 0x20, 0x65, 0x6e, 0x74, 0x65, 0x72, 0x65, 0x64, 0x20, 0x21,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x42, 0x75,
  0x67, 0x21, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x44, 0x6f, 0x4f, 0x6e,
  0x65, 0x20, 0x5c, 0x22, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x5c, 0x22,
  0x5c, 0x0a, 0x09, 0x09, 0x28, 0x70, 0x72, 0x67, 0x20, 0x63, 0x6f, 0x75,
  0x6e, 0x74, 0x65, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x47, 0x65, 0x74,
  0x50, 0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x5d, 0x3a, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x5b, 0x4f, 0x70, 0x74, 0x43,
  0x75, 0x72, 0x44, 0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x29, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72,
  0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6b, 0x65, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x72, 0x65, 0x76,
  0x69, 0x6f, 0x75, 0x73, 0x6c, 0x79, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73,
  0x74, 0x65, 0x72, 0x65, 0x64, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x50, 0x61, 0x72,
  0x73, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x4b, 0x65, 0x79, 0x20,
  0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x65, 0x73, 0x63,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x47, 0x65, 0x74, 0x44,
  0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x4b, 0x65, 0x79,
  0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6d, 0x61, 0x6b,
  0x65, 0x20, 0x73, 0x75, 0x72, 0x65, 0x20, 0x2d, 0x68, 0x65, 0x6c, 0x70,
  0x20, 0x61, 0x6c, 0x77, 0x61, 0x79, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65,
  0x71, 0x75, 0x61, 0x6c, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x61, 0x73, 0x65,
  0x20, 0x22, 0x2d, 0x68, 0x65, 0x6c, 0x70, 0x22, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x55, 0x73, 0x61, 0x67, 0x65, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x3a, 0x22,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x31, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74,
  0x44, 0x6f, 0x41, 0x6c, 0x6c, 0x20, 0x64, 0x65, 0x73, 0x63, 0x20, 0x61,
  0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x4c, 0x65, 0x6d, 0x70, 0x74, 0x79,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x4f,
  0x70, 0x74, 0x54, 0x6f, 0x6f, 0x4d, 0x61, 0x6e, 0x79, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x6e, 0x61, 0x6c, 0x79,
  0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x61, 0x6c, 0x6b,
  0x20, 0x74, 0x68, 0x72, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x74, 0x72, 0x65, 0x65, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4f,
  0x70, 0x74, 0x54, 0x72, 0x65, 0x65, 0x56, 0x61, 0x72, 0x73, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x63, 0x20, 0x22, 0x23, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x65, 0x76, 0x65,
  0x6c, 0x5d, 0x2d, 0x31, 0x7d, 0x5d, 0x22, 0x0a, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69,
  0x6e, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6e, 0x69, 0x63,
  0x65, 0x20, 0x74, 0x61, 0x62, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x20,
  0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x54, 0x72, 0x65, 0x65, 0x56,
  0x61, 0x72, 0x73, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x20, 0x6c, 0x65,
  0x76, 0x65, 0x6c, 0x20, 0x7b, 0x76, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x4c,
  0x73, 0x74, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20,
  0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x5d, 0x7d, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70,
  0x74, 0x49, 0x73, 0x50, 0x72, 0x67, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x76,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x4c, 0x73, 0x74, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x54, 0x72, 0x65, 0x65, 0x56, 0x61, 0x72, 0x73, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x20, 0x24, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x24,
  0x76, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x4c, 0x73, 0x74, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x76, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x56, 0x61, 0x72, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x09, 0x09, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x24,
  0x76, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x61, 0x72, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x48, 0x61, 0x73, 0x42,
  0x65, 0x65, 0x6e, 0x53, 0x65, 0x74, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x75, 0x74, 0x73, 0x20, 0x22, 0x61, 0x64, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x76, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x65, 0x74, 0x73, 0x20, 0x75, 0x73,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x75, 0x73,
  0x65, 0x66, 0x75, 0x6c, 0x6c, 0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69,
  0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x79, 0x6f, 0x75, 0x20,
  0x63, 0x61, 0x6e, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e,
  0x6f, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20, 0x61, 0x74, 0x20, 0x61,
  0x6c, 0x6c, 0x20, 0x77, 0x61, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x65, 0x78, 0x70, 0x72, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x22,
  0x2a, 0x2d, 0x2a, 0x22, 0x20, 0x24, 0x41, 0x72, 0x67, 0x73, 0x5d, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x76, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x4c, 0x73, 0x74,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x76, 0x61, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x56,
  0x61, 0x6c, 0x75, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a,
  0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x72,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
  0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d,
  0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24,
  0x76, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x4c, 0x73, 0x74, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x0a, 0x23, 0x20, 0x43, 0x68, 0x65, 0x63,
  0x6b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x61, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x23, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x65, 0x6d, 0x69, 0x74, 0x20, 0x61, 0x6e, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x61, 0x72, 0x67,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x20, 0x74,
  0x79, 0x70, 0x65, 0x0a, 0x23, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x77,
  0x69, 0x73, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61,
  0x6c, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x61, 0x72, 0x67, 0x20, 0x28, 0x69, 0x65, 0x20,
  0x30, 0x2f, 0x31, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x62, 0x6f, 0x6f, 0x6c,
  0x65, 0x61, 0x6e, 0x73, 0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x43, 0x68, 0x65,
  0x63, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x20,
  0x74, 0x79, 0x70, 0x65, 0x20, 0x7b, 0x74, 0x79, 0x70, 0x65, 0x41, 0x72,
  0x67, 0x73, 0x20, 0x22, 0x22, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x22, 0x63, 0x68, 0x65,
  0x63, 0x6b, 0x69, 0x6e, 0x67, 0x20, 0x27, 0x24, 0x61, 0x72, 0x67, 0x27,
  0x20, 0x61, 0x67, 0x61, 0x69, 0x6e, 0x73, 0x74, 0x20, 0x27, 0x24, 0x74,
  0x79, 0x70, 0x65, 0x27, 0x20, 0x28, 0x24, 0x74, 0x79, 0x70, 0x65, 0x41,
  0x72, 0x67, 0x73, 0x29, 0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x74, 0x79, 0x70, 0x65, 0x73, 0x20,
  0x22, 0x61, 0x6e, 0x79, 0x22, 0x2c, 0x20, 0x22, 0x63, 0x68, 0x6f, 0x69,
  0x63, 0x65, 0x22, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x73, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x68, 0x61, 0x76,
  0x65, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x22, 0x2d,
  0x22, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63,
  0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20,
  0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x74, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69,
  0x73, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73,
  0x74, 0x72, 0x69, 0x63, 0x74, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x67, 0x65, 0x72, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6c, 0x6f, 0x61, 0x74,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x64, 0x6f, 0x75, 0x62, 0x6c, 0x65, 0x28,
  0x24, 0x61, 0x72, 0x67, 0x29, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x20, 0x2d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x69, 0x66, 0x20, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x66, 0x61, 0x69, 0x6c, 0x20, 0x3a, 0x20, 0x6d, 0x61, 0x6c, 0x66,
  0x6f, 0x72, 0x6d, 0x65, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x5d, 0x3d, 0x3d, 0x30, 0x20, 0x26, 0x26, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x6e, 0x6f, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6c, 0x65, 0x61, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x2d, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x61, 0x72, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x62, 0x6f, 0x6f, 0x6c,
  0x65, 0x61, 0x6e, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x6e, 0x6f, 0x6e, 0x20, 0x63, 0x61,
  0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x74, 0x72, 0x75, 0x65,
  0x2f, 0x66, 0x61, 0x6c, 0x73, 0x65, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75,
  0x73, 0x65, 0x20, 0x65, 0x78, 0x70, 0x72, 0x2f, 0x69, 0x66, 0x20, 0x69,
  0x73, 0x20, 0x62, 0x72, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x22, 0x21, 0x2c, 0x2e, 0x2e, 0x2e, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x24, 0x61, 0x72, 0x67, 0x20, 0x3f, 0x20, 0x31,
  0x20, 0x3a, 0x20, 0x30, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x6c, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x2d,
  0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x41,
  0x72, 0x67, 0x73, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x20, 0x3c, 0x20,
  0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x69, 0x6e, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x20,
  0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x61, 0x6e, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x2d, 0x0a, 0x09, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x46,
  0x6c, 0x61, 0x67, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22,
  0x6e, 0x6f, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x2d,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x24, 0x61, 0x72, 0x67, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x6e, 0x65, 0x76, 0x65, 0x72, 0x52, 0x65, 0x61, 0x63, 0x68, 0x65, 0x64,
  0x0a, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x20, 0x75, 0x74, 0x69, 0x6c, 0x69,
  0x74, 0x69, 0x65, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x73, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61,
  0x72, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x65, 0x74,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x28, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x29, 0x20, 0x70, 0x72, 0x67, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65,
  0x72, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70,
  0x74, 0x48, 0x69, 0x74, 0x73, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x69, 0x74, 0x73, 0x20, 0x30, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x68,
  0x69, 0x74, 0x65, 0x6d, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x20, 0x31, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x61, 0x72, 0x67, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x65, 0x6e, 0x20,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x61, 0x72, 0x67, 0x5d, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x61, 0x73, 0x74, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x24, 0x6c, 0x65, 0x6e, 0x2d, 0x31, 0x7d, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x5b,
  0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x65, 0x74, 0x73, 0x20, 0x74,
  0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x63, 0x61, 0x73, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x69,
  0x74, 0x69, 0x76, 0x65, 0x6c, 0x79, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x28, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x6f, 0x75, 0x67, 0x68, 0x74, 0x20, 0x74,
  0x6f, 0x20, 0x62, 0x65, 0x20, 0x63, 0x68, 0x65, 0x61, 0x70, 0x29, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x66, 0x6c,
  0x61, 0x67, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x6c, 0x65, 0x6e, 0x20, 0x3d, 0x3d, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6c,
  0x66, 0x6c, 0x61, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65,
  0x71, 0x75, 0x61, 0x6c, 0x20, 0x24, 0x6c, 0x61, 0x72, 0x67, 0x20, 0x24,
  0x6c, 0x66, 0x6c, 0x61, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x78, 0x61, 0x63, 0x74, 0x20,
  0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x63, 0x61, 0x73, 0x65, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x53, 0x65, 0x74, 0x50,
  0x72, 0x67, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x64, 0x65,
  0x73, 0x63, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x65, 0x71, 0x75, 0x61, 0x6c, 0x20, 0x24, 0x6c, 0x61, 0x72, 0x67, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67,
  0x65, 0x20, 0x24, 0x6c, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x30, 0x20, 0x24,
  0x6c, 0x61, 0x73, 0x74, 0x5d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x68, 0x69, 0x74, 0x65,
  0x6d, 0x73, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x68, 0x69, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x68, 0x69, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x4f, 0x70, 0x74, 0x53, 0x65, 0x74, 0x50, 0x72, 0x67, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24,
  0x68, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x24, 0x68, 0x69, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x78, 0x74, 0x72,
  0x61, 0x63, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x75, 0x72, 0x65, 0x3a, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70,
  0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20,
  0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x48, 0x61, 0x73, 0x42,
  0x65, 0x65, 0x6e, 0x53, 0x65, 0x74, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x67, 0x65, 0x74, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x20, 0x7b, 0x32, 0x20, 0x30, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x4f, 0x70, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b, 0x69,
  0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x7b, 0x32, 0x20, 0x31, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x46, 0x6c,
  0x61, 0x67, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x22, 0x2d, 0x2a,
  0x22, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x49, 0x73, 0x4f, 0x70, 0x74, 0x20, 0x7b, 0x6e, 0x61, 0x6d,
  0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x5c, 0x3f, 0x2a, 0x7d, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x56, 0x61, 0x72, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f,
  0x70, 0x74, 0x49, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x31, 0x20,
  0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x4f, 0x70, 0x74, 0x49, 0x73, 0x4f, 0x70, 0x74, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x72, 0x69, 0x6d, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x22, 0x3f, 0x22, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x54, 0x79,
  0x70, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x33, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x34, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x4f, 0x70, 0x74, 0x48, 0x65, 0x6c, 0x70, 0x20, 0x7b, 0x69, 0x74,
  0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x35, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x4e,
  0x65, 0x65, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b, 0x69, 0x74,
  0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x75, 0x61, 0x6c, 0x20, 0x5b,
  0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x5d, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x66, 0x6c, 0x61, 0x67, 0x5d,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x66, 0x61,
  0x75, 0x6c, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b, 0x69, 0x74,
  0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x4f,
  0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67, 0x73, 0x20, 0x24,
  0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78,
  0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x54,
  0x79, 0x70, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x20, 0x7b, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x76, 0x61, 0x6c, 0x20, 0x30, 0x5d, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x20, 0x2d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x6e, 0x76,
  0x65, 0x72, 0x74, 0x20, 0x62, 0x61, 0x63, 0x6b, 0x20, 0x66, 0x61, 0x6c,
  0x73, 0x65, 0x2f, 0x74, 0x72, 0x75, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x30,
  0x2f, 0x31, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x21, 0x24, 0x62, 0x6f, 0x6f, 0x6c, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x69, 0x73, 0x20, 0x62, 0x72, 0x6f, 0x6b, 0x65, 0x6e,
  0x2e, 0x2e, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x76, 0x61,
  0x6c, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x30, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x76,
  0x61, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x65, 0x72, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74,
  0x4f, 0x70, 0x74, 0x55, 0x73, 0x61, 0x67, 0x65, 0x20, 0x7b, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x7b, 0x77, 0x68, 0x61, 0x74, 0x20, 0x22, 0x22, 0x7d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x69, 0x6e, 0x76, 0x61,
  0x6c, 0x69, 0x64, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x24, 0x77,
  0x68, 0x61, 0x74, 0x3a, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5c, 0x6e,
  0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64,
  0x20, 0x62, 0x65, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x7b, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x7c, 0x2d,
  0x66, 0x6c, 0x61, 0x67, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3f, 0x2d, 0x74,
  0x79, 0x70, 0x65, 0x3f, 0x20, 0x3f, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3f, 0x5c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x3f, 0x68, 0x65, 0x6c, 0x70, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x3f, 0x7d, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61,
  0x74, 0x65, 0x20, 0x61, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63,
  0x61, 0x6c, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x73, 0x69, 0x6e, 0x67,
  0x6c, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20, 0x7b,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x41,
  0x72, 0x67, 0x73, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x30, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x24, 0x74,
  0x79, 0x70, 0x65, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x24, 0x68, 0x65, 0x6c, 0x70, 0x0a, 0x09, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x5e, 0x20, 0x20, 0x5e, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7c, 0x20, 0x20,
  0x7c, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x68, 0x61, 0x73, 0x42, 0x65,
  0x65, 0x6e, 0x53, 0x65, 0x74, 0x3d, 0x2b, 0x20, 0x20, 0x2b, 0x3d, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x6f,
  0x6e, 0x65, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x63,
  0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x4e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x4f,
  0x6e, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x67, 0x20, 0x5b, 0x4c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20,
  0x24, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x61, 0x72, 0x67, 0x31, 0x20, 0x61, 0x72, 0x67, 0x32, 0x20,
  0x61, 0x72, 0x67, 0x33, 0x5d, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x22, 0x63, 0x61, 0x6c, 0x6c,
  0x65, 0x64, 0x20, 0x6f, 0x70, 0x74, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c,
  0x69, 0x7a, 0x65, 0x6f, 0x6e, 0x65, 0x20, 0x27, 0x24, 0x69, 0x74, 0x65,
  0x6d, 0x27, 0x20, 0x76, 0x3d, 0x28, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61,
  0x6d, 0x65, 0x29, 0x2c, 0x20, 0x6c, 0x67, 0x3d, 0x24, 0x6c, 0x67, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x69, 0x73, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x5b, 0x4f, 0x70, 0x74,
  0x49, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x73,
  0x6f, 0x70, 0x74, 0x20, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x4f,
  0x70, 0x74, 0x20, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x69, 0x73, 0x66, 0x6c, 0x61, 0x67, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x22,
  0x66, 0x6c, 0x61, 0x67, 0x73, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x69, 0x73, 0x6f, 0x70, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x22, 0x6f, 0x70, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22,
  0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x75,
  0x61, 0x6c, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x22, 0x61, 0x72, 0x67, 0x73, 0x22, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x22, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x0a, 0x09, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x22,
  0x61, 0x72, 0x67, 0x73, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23,
  0x20, 0x61, 0x70, 0x70, 0x6c, 0x79, 0x20, 0x27, 0x73, 0x6d, 0x61, 0x72,
  0x74, 0x27, 0x20, 0x27, 0x66, 0x75, 0x7a, 0x7a, 0x79, 0x27, 0x20, 0x6c,
  0x6f, 0x67, 0x69, 0x63, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x72, 0x79, 0x20,
  0x74, 0x6f, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77,
  0x72, 0x69, 0x74, 0x65, 0x72, 0x27, 0x73, 0x20, 0x6c, 0x69, 0x66, 0x65,
  0x20, 0x65, 0x61, 0x73, 0x79, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6f,
  0x75, 0x72, 0x27, 0x73, 0x20, 0x64, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75,
  0x6c, 0x74, 0x20, 0x3a, 0x0a, 0x09, 0x23, 0x20, 0x6c, 0x65, 0x74, 0x27,
  0x73, 0x20, 0x67, 0x75, 0x65, 0x73, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x3a, 0x2d, 0x29, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63,
  0x68, 0x20, 0x24, 0x6c, 0x67, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x31, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x69, 0x73, 0x66,
  0x6c, 0x61, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x4f,
  0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x66,
  0x61, 0x6c, 0x73, 0x65, 0x20, 0x22, 0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74,
  0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x76, 0x61, 0x72,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x22, 0x22, 0x20,
  0x22, 0x22, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x32, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76, 0x61,
  0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76, 0x61, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x5b, 0x4f,
  0x70, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x31, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65,
  0x71, 0x75, 0x61, 0x6c, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x22,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x22, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x69, 0x73, 0x66, 0x6c, 0x61, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x62,
  0x6f, 0x6f, 0x6c, 0x66, 0x6c, 0x61, 0x67, 0x0a, 0x09, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x65, 0x66, 0x20, 0x66, 0x61, 0x6c, 0x73, 0x65,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74,
  0x79, 0x70, 0x65, 0x20, 0x61, 0x6e, 0x79, 0x0a, 0x09, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x65, 0x66, 0x20, 0x22, 0x22, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x20, 0x22, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x65, 0x66, 0x20, 0x24, 0x61, 0x72, 0x67, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e,
  0x73, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x76,
  0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65,
  0x20, 0x24, 0x64, 0x65, 0x66, 0x20, 0x24, 0x68, 0x65, 0x6c, 0x70, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x33, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x79, 0x70,
  0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x20, 0x7b, 0x5e, 0x2d, 0x28, 0x2e, 0x2b, 0x29,
  0x24, 0x7d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x31, 0x20, 0x78, 0x20, 0x74,
  0x79, 0x70, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x2f, 0x6f, 0x70,
  0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x61, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x79, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x2c, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x61, 0x20,
  0x22, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x2c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x72, 0x79, 0x2c, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x61, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x28, 0x6e, 0x6f, 0x6e, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x61, 0x6c, 0x29, 0x2c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x66, 0x61,
  0x75, 0x6c, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x73,
  0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x6c, 0x65, 0x73, 0x73, 0x2c, 0x20,
  0x27, 0x63, 0x65, 0x70, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63, 0x68,
  0x6f, 0x69, 0x63, 0x65, 0x73, 0x20, 0x3a, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x69, 0x73, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x7c, 0x7c, 0x20, 0x24, 0x69, 0x73, 0x6f, 0x70, 0x74, 0x20,
  0x7c, 0x7c, 0x20, 0x28, 0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x3d, 0x3d,
  0x20, 0x22, 0x63, 0x68, 0x6f, 0x69, 0x63, 0x65, 0x22, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x32, 0x20, 0x22, 0x22, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x22, 0x22, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x32, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77,
  0x49, 0x6e, 0x73, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20,
  0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x47, 0x75, 0x65,
  0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x31,
  0x5d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x31, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x32, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x34,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x7b, 0x5e, 0x2d, 0x28, 0x2e,
  0x2b, 0x29, 0x24, 0x7d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x31, 0x20, 0x78,
  0x20, 0x74, 0x79, 0x70, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b,
  0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20, 0x24,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x32, 0x20, 0x24, 0x61, 0x72, 0x67, 0x33, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4f, 0x70, 0x74, 0x55, 0x73, 0x61,
  0x67, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4f, 0x70, 0x74, 0x55, 0x73,
  0x61, 0x67, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x41, 0x75, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x67, 0x69, 0x63, 0x20, 0x6c,
  0x61, 0x7a, 0x79, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x64, 0x65, 0x74,
  0x65, 0x72, 0x6d, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x47,
  0x75, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x20, 0x7b, 0x61, 0x72,
  0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x09, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x20, 0x3d, 0x3d, 0x20, 0x22, 0x74, 0x72,
  0x75, 0x65, 0x22, 0x20, 0x7c, 0x7c, 0x20, 0x24, 0x61, 0x72, 0x67, 0x20,
  0x3d, 0x3d, 0x20, 0x22, 0x66, 0x61, 0x6c, 0x73, 0x65, 0x22, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x62, 0x6f,
  0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x73, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d,
  0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x69,
  0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20,
  0x64, 0x6f, 0x75, 0x62, 0x6c, 0x65, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69,
  0x63, 0x74, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x66, 0x6c, 0x6f, 0x61, 0x74,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73,
  0x20, 0x66, 0x72, 0x6f, 0x6e, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x73, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70,
  0x74, 0x41, 0x6d, 0x62, 0x69, 0x67, 0x6f, 0x75, 0x73, 0x20, 0x7b, 0x64,
  0x65, 0x73, 0x63, 0x20, 0x61, 0x72, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x6f, 0x75,
  0x73, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x24,
  0x61, 0x72, 0x67, 0x5c, 0x22, 0x2c, 0x20, 0x63, 0x68, 0x6f, 0x6f, 0x73,
  0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x3a, 0x22, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x53, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x63, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74,
  0x46, 0x6c, 0x61, 0x67, 0x55, 0x73, 0x61, 0x67, 0x65, 0x20, 0x7b, 0x64,
  0x65, 0x73, 0x63, 0x20, 0x61, 0x72, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x62, 0x61, 0x64, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x5c, 0x22, 0x24, 0x61, 0x72, 0x67, 0x5c, 0x22, 0x2c, 0x20,
  0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x6f, 0x6e, 0x65, 0x20,
  0x6f, 0x66, 0x22, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x4f, 0x70, 0x74, 0x54, 0x6f, 0x6f, 0x4d, 0x61, 0x6e, 0x79, 0x41,
  0x72, 0x67, 0x73, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x74, 0x6f, 0x6f, 0x20, 0x6d, 0x61, 0x6e,
  0x79, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x28, 0x75, 0x6e, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x28, 0x73, 0x29, 0x3a,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x29,
  0x2c, 0x5c, 0x0a, 0x09, 0x09, 0x75, 0x73, 0x61, 0x67, 0x65, 0x3a, 0x22,
  0x5c, 0x0a, 0x09, 0x09, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x31, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x54,
  0x79, 0x70, 0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73,
  0x46, 0x6c, 0x61, 0x67, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x22, 0x66, 0x6c, 0x61, 0x67, 0x22, 0x0a, 0x09, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x22, 0x70, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x4f, 0x70, 0x74, 0x42, 0x61, 0x64, 0x56, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x7b, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x61, 0x72, 0x67, 0x20,
  0x7b, 0x65, 0x72, 0x72, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73,
  0x20, 0x22, 0x62, 0x61, 0x64, 0x20, 0x76, 0x61, 0x6c, 0x20, 0x65, 0x72,
  0x72, 0x20, 0x3d, 0x20, 0x5c, 0x22, 0x24, 0x65, 0x72, 0x72, 0x5c, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70,
  0x74, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x62, 0x61, 0x64, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x61, 0x72, 0x67,
  0x5c, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x69, 0x74,
  0x65, 0x6d, 0x5d, 0x22, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x4f, 0x70, 0x74, 0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x56, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65,
  0x73, 0x63, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x24, 0x64, 0x65, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69,
  0x74, 0x65, 0x6d, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44,
  0x65, 0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x22, 0x6e, 0x6f, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x5b, 0x4f, 0x70, 0x74,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x20, 0x5c, 0x22, 0x5b, 0x4f, 0x70, 0x74, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x5c, 0x22,
  0x5c, 0x0a, 0x09, 0x09, 0x28, 0x75, 0x73, 0x65, 0x20, 0x2d, 0x68, 0x65,
  0x6c, 0x70, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20,
  0x75, 0x73, 0x61, 0x67, 0x65, 0x29, 0x20, 0x3a, 0x22, 0x5c, 0x0a, 0x09,
  0x09, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74,
  0x4b, 0x65, 0x79, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x70, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x20, 0x64, 0x65, 0x73, 0x63, 0x4b, 0x65, 0x79,
  0x20, 0x7b, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x30, 0x7d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x70, 0x74, 0x45, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x47, 0x65, 0x74, 0x44, 0x65,
  0x73, 0x63, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x4b, 0x65, 0x79, 0x5d,
  0x20, 0x24, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x0a, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d,
  0x69, 0x6e, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6e, 0x69,
  0x63, 0x65, 0x20, 0x74, 0x61, 0x62, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x64,
  0x20, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f, 0x70, 0x74, 0x4c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x73, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63, 0x20, 0x6e, 0x6c,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x64, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6e, 0x6c, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x6e, 0x6c, 0x0a, 0x09, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24,
  0x74, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x6c, 0x0a, 0x09, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x64, 0x6c, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x64, 0x6c, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x4f, 0x70, 0x74, 0x49, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x50, 0x72, 0x67,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x4f, 0x70, 0x74, 0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x73, 0x20,
  0x24, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x6e, 0x6c, 0x20, 0x74, 0x6c, 0x20,
  0x64, 0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x53, 0x65, 0x74, 0x4d, 0x61,
  0x78, 0x20, 0x6e, 0x6c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x5b, 0x4f, 0x70, 0x74,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x5d,
  0x0a, 0x09, 0x09, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x78, 0x20, 0x74, 0x6c,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x76, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79,
  0x70, 0x65, 0x41, 0x72, 0x67, 0x73, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d,
  0x5d, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74,
  0x53, 0x74, 0x61, 0x74, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d,
  0x20, 0x21, 0x3d, 0x20, 0x22, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x22,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x76, 0x20, 0x22, 0x28, 0x24, 0x64, 0x76, 0x29, 0x22,
  0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x64, 0x76, 0x5d, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x63, 0x61, 0x74,
  0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x6f, 0x74, 0x65, 0x6e, 0x74,
  0x69, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x62, 0x69, 0x67, 0x20, 0x22, 0x63,
  0x68, 0x6f, 0x69, 0x63, 0x65, 0x73, 0x22, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x28, 0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x22, 0x63,
  0x68, 0x6f, 0x69, 0x63, 0x65, 0x22, 0x29, 0x20, 0x7c, 0x7c, 0x20, 0x28,
  0x24, 0x6c, 0x3c, 0x3d, 0x31, 0x32, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x78, 0x20,
  0x64, 0x6c, 0x20, 0x24, 0x6c, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x64, 0x6c, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6c, 0x20, 0x30, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6f, 0x75,
  0x74, 0x70, 0x75, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x72, 0x65,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x4f,
  0x70, 0x74, 0x54, 0x72, 0x65, 0x65, 0x20, 0x7b, 0x64, 0x65, 0x73, 0x63,
  0x20, 0x6e, 0x6c, 0x20, 0x74, 0x6c, 0x20, 0x64, 0x6c, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x20, 0x22, 0x22,
  0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74,
  0x49, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e,
  0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x4f, 0x70, 0x74, 0x49, 0x73, 0x50, 0x72, 0x67, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x73, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x54, 0x72, 0x65, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x20,
  0x24, 0x6e, 0x6c, 0x20, 0x24, 0x74, 0x6c, 0x20, 0x24, 0x64, 0x6c, 0x5d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x76, 0x20,
  0x5b, 0x4f, 0x70, 0x74, 0x54, 0x79, 0x70, 0x65, 0x41, 0x72, 0x67, 0x73,
  0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x4f, 0x70, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x20,
  0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x22, 0x68,
  0x65, 0x61, 0x64, 0x65, 0x72, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x76, 0x20, 0x22,
  0x28, 0x24, 0x64, 0x76, 0x29, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x73, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x72, 0x69, 0x6d,
  0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x20, 0x22, 0x5c, 0x6e, 0x20, 0x20, 0x20, 0x20, 0x25, 0x2d, 0x2a,
  0x73, 0x20, 0x25, 0x2d, 0x2a, 0x73, 0x20, 0x25, 0x2d, 0x2a, 0x73, 0x20,
  0x25, 0x73, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x24, 0x6e, 0x6c,
  0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x69,
  0x74, 0x65, 0x6d, 0x5d, 0x20, 0x24, 0x74, 0x6c, 0x20, 0x5b, 0x4f, 0x70,
  0x74, 0x54, 0x79, 0x70, 0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x24, 0x64, 0x6c, 0x20, 0x24, 0x64,
  0x76, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x48, 0x65, 0x6c, 0x70, 0x20, 0x24,
  0x69, 0x74, 0x65, 0x6d, 0x5d, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x23, 0x20, 0x47, 0x69, 0x76, 0x65, 0x20, 0x6e, 0x69, 0x63,
  0x65, 0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x7b, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x64, 0x65, 0x73, 0x63,
  0x20, 0x7b, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x30, 0x7d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x74,
  0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x68,
  0x65, 0x61, 0x64, 0x65, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20,
  0x61, 0x64, 0x64, 0x20, 0x66, 0x61, 0x6b, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x68, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b,
  0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73, 0x74, 0x20, 0x68,
  0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x56, 0x61, 0x72, 0x2f, 0x46, 0x6c,
  0x61, 0x67, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x48, 0x65, 0x6c, 0x70, 0x5d, 0x5d,
  0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x68, 0x20,
  0x20, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49, 0x6e, 0x73,
  0x74, 0x20, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x20, 0x2d, 0x2d,
  0x2d, 0x2d, 0x20, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x20, 0x2d, 0x2d, 0x2d,
  0x2d, 0x5d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x68, 0x20, 0x20, 0x20, 0x5b, 0x4f, 0x70, 0x74, 0x4e, 0x65, 0x77, 0x49,
  0x6e, 0x73, 0x74, 0x20, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x7b,
  0x28, 0x2d, 0x68, 0x65, 0x6c, 0x70, 0x7d, 0x20, 0x22, 0x22, 0x20, 0x22,
  0x22, 0x20, 0x7b, 0x67, 0x69, 0x76, 0x65, 0x73, 0x20, 0x74, 0x68, 0x69,
  0x73, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x29, 0x7d, 0x5d, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x65, 0x73, 0x63, 0x20, 0x5b, 0x63, 0x6f, 0x6e,
  0x63, 0x61, 0x74, 0x20, 0x24, 0x68, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x4f, 0x70, 0x74, 0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x73, 0x20, 0x24,
  0x64, 0x65, 0x73, 0x63, 0x20, 0x6e, 0x6c, 0x20, 0x74, 0x6c, 0x20, 0x64,
  0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x74, 0x75,
  0x61, 0x6c, 0x6c, 0x79, 0x20, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x22,
  0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x5b, 0x4f, 0x70, 0x74, 0x54,
  0x72, 0x65, 0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24, 0x6e,
  0x6c, 0x20, 0x24, 0x74, 0x6c, 0x20, 0x24, 0x64, 0x6c, 0x5d, 0x22, 0x0a,
  0x7d, 0x0a, 0x0a, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x55, 0x74, 0x69,
  0x6c, 0x69, 0x74, 0x79, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23, 0x23,
  0x23, 0x23, 0x23, 0x23, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x69,
  0x73, 0x74, 0x20, 0x75, 0x74, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x20, 0x66,
  0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x23, 0x20, 0x4e,
  0x61, 0x6d, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x6e,
  0x74, 0x69, 0x6f, 0x6e, 0x3a, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x4c, 0x76, 0x61, 0x72, 0x78, 0x78, 0x78, 0x22, 0x20, 0x74, 0x61,
  0x6b, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x56, 0x41, 0x52, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x61, 0x73, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x22, 0x4c, 0x78, 0x78,
  0x78, 0x78, 0x22, 0x20, 0x20, 0x20, 0x74, 0x61, 0x6b, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x61, 0x73, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x28, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x63, 0x6f, 0x73, 0x74,
  0x6c, 0x79, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x54, 0x63, 0x6c, 0x38,
  0x20, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x20, 0x73, 0x79, 0x73,
  0x74, 0x65, 0x6d, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x73, 0x20,
  0x69, 0x74, 0x27, 0x73, 0x20, 0x73, 0x74, 0x69, 0x6c, 0x6c, 0x20, 0x61,
  0x20, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x70,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x73, 0x29, 0x0a, 0x23, 0x0a, 0x0a, 0x23, 0x20, 0x49, 0x73,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x65,
  0x6d, 0x70, 0x74, 0x79, 0x20, 0x3f, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x65, 0x6d, 0x70, 0x74,
  0x79, 0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x5d,
  0x3d, 0x3d, 0x30, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x47, 0x65,
  0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x6f, 0x66, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6c, 0x65, 0x61, 0x66,
  0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x74, 0x72, 0x65, 0x65, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x67, 0x65, 0x74, 0x20, 0x7b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x5d, 0x20, 0x3c, 0x3d, 0x20, 0x31,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x67, 0x65, 0x74, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x30, 0x5d, 0x5d, 0x20, 0x5b,
  0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x4c, 0x73, 0x74, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a,
  0x7d, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x6c, 0x65, 0x61, 0x66, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x73, 0x20, 0x74, 0x72, 0x65, 0x65, 0x0a, 0x23,
  0x20, 0x28, 0x77, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x63,
  0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6c,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75,
  0x73, 0x65, 0x0a, 0x23, 0x20, 0x20, 0x69, 0x74, 0x20, 0x77, 0x6f, 0x75,
  0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x20, 0x73,
  0x6c, 0x6f, 0x77, 0x65, 0x72, 0x2e, 0x2e, 0x2e, 0x20, 0x6e, 0x65, 0x65,
  0x64, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x77, 0x72, 0x69,
  0x74, 0x74, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x20, 0x43, 0x20, 0x21, 0x29,
  0x0a, 0x23, 0x20, 0x28, 0x6e, 0x62, 0x3a, 0x20, 0x74, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x6e, 0x6f, 0x6e, 0x20, 0x74,
  0x72, 0x69, 0x76, 0x69, 0x61, 0x6c, 0x20, 0x72, 0x65, 0x63, 0x75, 0x72,
  0x73, 0x69, 0x76, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x62, 0x6c, 0x65, 0x6d,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x65,
  0x73, 0x20, 0x30, 0x2c, 0x0a, 0x23, 0x20, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x61, 0x70, 0x70, 0x65, 0x61, 0x72, 0x20, 0x62, 0x65, 0x63,
  0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x6e, 0x6f, 0x20, 0x64, 0x69, 0x66, 0x66, 0x65, 0x72, 0x65,
  0x6e, 0x63, 0x65, 0x20, 0x62, 0x65, 0x74, 0x77, 0x65, 0x65, 0x6e, 0x20,
  0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x23, 0x20, 0x20, 0x6f, 0x66,
  0x20, 0x31, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x31, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x20, 0x61, 0x6c, 0x6f, 0x6e, 0x65, 0x20, 0x3a, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x22, 0x61, 0x22, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x22,
  0x61, 0x22, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x0a, 0x23, 0x20, 0x20,
  0x69, 0x74, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65,
  0x20, 0x7b, 0x61, 0x7d, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x70, 0x20, 0x61, 0x5d, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c,
  0x64, 0x20, 0x62, 0x65, 0x20, 0x30, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x70, 0x20, 0x7b, 0x61, 0x20, 0x62,
  0x7d, 0x5d, 0x20, 0x77, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x20,
  0x31, 0x0a, 0x23, 0x20, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x70, 0x20, 0x22, 0x61, 0x20, 0x62, 0x22, 0x5d, 0x20, 0x6d,
  0x61, 0x79, 0x62, 0x65, 0x20, 0x30, 0x2e, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x70, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x20, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x2e,
  0x2e, 0x2e, 0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x20,
  0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x56, 0x61,
  0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x5d, 0x20,
  0x3c, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x31,
  0x6e, 0x63, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61,
  0x6c, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x64, 0x78, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c,
  0x73, 0x74, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74,
  0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x64, 0x78, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72,
  0x65, 0x64, 0x75, 0x63, 0x65, 0x20, 0x72, 0x65, 0x66, 0x63, 0x6f, 0x75,
  0x6e, 0x74, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74,
  0x4c, 0x69, 0x73, 0x74, 0x20, 0x28, 0x6e, 0x6f, 0x74, 0x20, 0x72, 0x65,
  0x61, 0x6c, 0x6c, 0x79, 0x20, 0x75, 0x73, 0x65, 0x66, 0x75, 0x6c, 0x6c,
  0x20, 0x6e, 0x6f, 0x77, 0x2c, 0x0a, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x75,
  0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6f,
  0x70, 0x74, 0x69, 0x6d, 0x69, 0x7a, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f,
  0x6d, 0x70, 0x69, 0x6c, 0x65, 0x72, 0x29, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74,
  0x31, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x64, 0x78, 0x20,
  0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x72, 0x65, 0x63, 0x75, 0x72, 0x73, 0x69, 0x76, 0x65, 0x6c, 0x79,
  0x20, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x73,
  0x65, 0x74, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x4c, 0x69, 0x73,
  0x74, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x31, 0x20, 0x65, 0x6e,
  0x64, 0x5d, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70,
  0x75, 0x74, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x62, 0x61, 0x63, 0x6b,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x72, 0x65, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61,
  0x72, 0x73, 0x65, 0x74, 0x31, 0x6e, 0x63, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x69, 0x64, 0x78, 0x20, 0x24, 0x74, 0x61, 0x72, 0x67, 0x65,
  0x74, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x7d, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x6f, 0x6e, 0x65, 0x20,
  0x63, 0x65, 0x6c, 0x6c, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x2c, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61,
  0x6c, 0x6c, 0x79, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x61,
  0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65,
  0x64, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23,
  0x20, 0x28, 0x6f, 0x6e, 0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x2d, 0x31,
  0x20, 0x6f, 0x66, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x29, 0x0a, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x65, 0x6d, 0x70, 0x74,
  0x79, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x76, 0x61,
  0x72, 0x73, 0x65, 0x74, 0x31, 0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6e, 0x65,
  0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x69, 0x73,
  0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x3c, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x69, 0x6e, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x20,
  0x6e, 0x65, 0x67, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6c, 0x67, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x3e,
  0x3d, 0x20, 0x24, 0x6c, 0x67, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x4c, 0x69, 0x73, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x7b, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x24, 0x6c, 0x67, 0x7d, 0x20,
  0x7b, 0x24, 0x69, 0x3c, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x7d, 0x20,
  0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x24, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61,
  0x6c, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c,
  0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x24, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75,
  0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x23,
  0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x73, 0x20, 0x4c, 0x76, 0x61,
  0x72, 0x73, 0x65, 0x74, 0x31, 0x20, 0x62, 0x75, 0x74, 0x20, 0x6e, 0x6f,
  0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b,
  0x69, 0x6e, 0x67, 0x20, 0x2f, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x31, 0x6e,
  0x63, 0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c,
  0x75, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x65,
  0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x5d,
  0x0a, 0x7d, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x63, 0x72, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6c, 0x65, 0x61,
  0x66, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x74, 0x72, 0x65, 0x65, 0x0a, 0x23, 0x20, 0x28, 0x77, 0x68, 0x69,
  0x63, 0x68, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x76, 0x61, 0x72, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x7b, 0x68, 0x6f, 0x77,
  0x4d, 0x75, 0x63, 0x68, 0x20, 0x31, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x69,
  0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c,
  0x73, 0x74, 0x5d, 0x20, 0x3c, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72,
  0x69, 0x6e, 0x63, 0x72, 0x31, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x24, 0x68, 0x6f,
  0x77, 0x4d, 0x75, 0x63, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x64, 0x78, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x4c, 0x73, 0x74, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x72, 0x67,
  0x65, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x64,
  0x78, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x72, 0x65, 0x64, 0x75, 0x63, 0x65, 0x20, 0x72, 0x65, 0x66, 0x63,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x61, 0x72, 0x67,
  0x65, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x73, 0x65, 0x74, 0x31, 0x6e,
  0x63, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x64, 0x78, 0x20,
  0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x72, 0x65, 0x63, 0x75, 0x72, 0x73, 0x69, 0x76, 0x65, 0x6c, 0x79,
  0x20, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61, 0x72, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x4c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x4c, 0x73, 0x74, 0x20, 0x31, 0x20, 0x65,
  0x6e, 0x64, 0x5d, 0x20, 0x24, 0x68, 0x6f, 0x77, 0x4d, 0x75, 0x63, 0x68,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70,
  0x75, 0x74, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x62, 0x61, 0x63, 0x6b,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x72, 0x65, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x76, 0x61,
  0x72, 0x73, 0x65, 0x74, 0x31, 0x6e, 0x63, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x69, 0x64, 0x78, 0x20, 0x24, 0x74, 0x61, 0x72, 0x67, 0x65,
  0x74, 0x4c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x7d, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x63, 0x72, 0x65, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x6f, 0x66, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x65, 0x6c, 0x6c,
  0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c,
  0x76, 0x61, 0x72, 0x69, 0x6e, 0x63, 0x72, 0x31, 0x20, 0x7b, 0x6c, 0x69,
  0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x7b, 0x68, 0x6f, 0x77, 0x4d, 0x75, 0x63, 0x68, 0x20, 0x31, 0x7d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61,
  0x72, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x5d, 0x2b, 0x24, 0x68, 0x6f, 0x77, 0x4d, 0x75, 0x63, 0x68, 0x7d,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6e, 0x65,
  0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x56,
  0x61, 0x6c, 0x75, 0x65, 0x0a, 0x7d, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x6d,
  0x6f, 0x76, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72,
  0x73, 0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x23, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x76, 0x61, 0x72, 0x70, 0x6f,
  0x70, 0x31, 0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61,
  0x72, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67,
  0x65, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x31, 0x20, 0x65, 0x6e,
  0x64, 0x5d, 0x0a, 0x7d, 0x0a, 0x23, 0x20, 0x53, 0x61, 0x6d, 0x65, 0x20,
  0x62, 0x75, 0x74, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x64, 0x20,
  0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x0a, 0x23, 0x20, 0x28, 0x4c,
  0x69, 0x6b, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x63, 0x6c, 0x58,
  0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x29, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4c, 0x76,
  0x61, 0x72, 0x70, 0x6f, 0x70, 0x20, 0x7b, 0x6c, 0x69, 0x73, 0x74, 0x4e,
  0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x65, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x30, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x65, 0x6c,
  0x0a, 0x7d, 0x0a, 0x23, 0x20, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x4c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x7b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x61, 0x73, 0x74, 0x65, 0x72, 0x20,
  0x74, 0x68, 0x61, 0x6e, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x20,
  0x62, 0x6c, 0x6f, 0x77, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x28, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x64, 0x6f, 0x65,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x62, 0x79, 0x74, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x70, 0x69, 0x6c, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x67, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x76,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x69, 0x3e, 0x3d, 0x24, 0x6c, 0x67, 0x7d, 0x20, 0x62, 0x72,
  0x65, 0x61, 0x6b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x3a, 0x3a, 0x73, 0x65, 0x74, 0x20, 0x24, 0x76,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x69, 0x5d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x69, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x6c, 0x67, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x4d, 0x69, 0x73, 0x63, 0x20, 0x75, 0x74,
  0x69, 0x6c, 0x69, 0x74, 0x69, 0x65, 0x73, 0x0a, 0x0a, 0x23, 0x20, 0x53,
  0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20,
  0x69, 0x66, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x67, 0x72, 0x65, 0x61, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x6e,
  0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x27, 0x73, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x0a, 0x23, 0x20, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x76, 0x61, 0x72,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x75, 0x6e, 0x64, 0x65,
  0x66, 0x69, 0x6e, 0x65, 0x64, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x78,
  0x20, 0x7b, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x31, 0x20, 0x24, 0x76, 0x61, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x76, 0x61, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x76, 0x61, 0x72, 0x5d, 0x20, 0x7c,
  0x7c, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x3e, 0x20, 0x24,
  0x76, 0x61, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x76, 0x61, 0x72, 0x20, 0x24,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x66, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x20, 0x69, 0x73, 0x20, 0x73, 0x6d, 0x61, 0x6c, 0x6c, 0x65,
  0x72, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61,
  0x6d, 0x65, 0x27, 0x73, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x23, 0x20, 0x6f, 0x72, 0x20,
  0x69, 0x66, 0x20, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x75, 0x6e, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x53, 0x65, 0x74, 0x4d, 0x69, 0x6e, 0x20, 0x7b, 0x76, 0x61, 0x72, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x31,
  0x20, 0x24, 0x76, 0x61, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x61,
  0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x76, 0x61, 0x72, 0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x24, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x20, 0x3c, 0x20, 0x24, 0x76, 0x61, 0x72, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x76, 0x61, 0x72, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68, 0x69,
  0x6e, 0x67, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x66, 0x69,
  0x6e, 0x65, 0x2c, 0x20, 0x6c, 0x65, 0x74, 0x73, 0x20, 0x63, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x65, 0x73, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x3a, 0x0a, 0x20, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x4f, 0x70, 0x74, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x65,
  0x73, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x44, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x74,
  0x65, 0x6d, 0x70, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x6e, 0x79,
  0x6d, 0x6f, 0x72, 0x65, 0x3a, 0x0a, 0x20, 0x23, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x54, 0x65, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x63,
  0x20, 0x7b, 0x7d, 0x0a, 0x7d, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_optparse_tcl_len = sizeof(__turbine_tcl_resource_optparse_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/auto.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_auto_tcl:/usr/share/tcltk/tcl8.6/auto.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_auto_tcl[] = {
  0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x75, 0x74, 0x69, 0x6c, 0x69, 0x74,
  0x79, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x65, 0x72, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x69, 0x6e, 0x69, 0x74,
  0x2e, 0x74, 0x63, 0x6c, 0x20, 0x64, 0x65, 0x61, 0x6c, 0x69, 0x6e, 0x67,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x20, 0x65,
  0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x23, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x74, 0x68,
  0x65, 0x6d, 0x73, 0x65, 0x6c, 0x76, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20,
  0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x31, 0x2d, 0x31, 0x39, 0x39,
  0x33, 0x20, 0x54, 0x68, 0x65, 0x20, 0x52, 0x65, 0x67, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x55, 0x6e, 0x69,
  0x76, 0x65, 0x72, 0x73, 0x69, 0x74, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x43,
  0x61, 0x6c, 0x69, 0x66, 0x6f, 0x72, 0x6e, 0x69, 0x61, 0x2e, 0x0a, 0x23,
  0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x28,
  0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x34, 0x2d, 0x31, 0x39, 0x39, 0x38,
  0x20, 0x53, 0x75, 0x6e, 0x20, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x73, 0x2c, 0x20, 0x49, 0x6e, 0x63, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x22, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73,
  0x65, 0x2e, 0x74, 0x65, 0x72, 0x6d, 0x73, 0x22, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x6f, 0x6e, 0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x0a, 0x23, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x44, 0x49, 0x53, 0x43, 0x4c,
  0x41, 0x49, 0x4d, 0x45, 0x52, 0x20, 0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c,
  0x20, 0x57, 0x41, 0x52, 0x52, 0x41, 0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e,
  0x0a, 0x23, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72,
  0x65, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x20, 0x61, 0x6c, 0x6c, 0x20,
  0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x2d, 0x65, 0x78, 0x65,
  0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x67, 0x65,
  0x74, 0x73, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65,
  0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x69, 0x74, 0x27, 0x73, 0x20, 0x6e, 0x65, 0x65,
  0x64, 0x65, 0x64, 0x2e, 0x20, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x20, 0x64,
  0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x61, 0x6e, 0x79, 0x0a, 0x23, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x64,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72,
  0x65, 0x73, 0x65, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x63, 0x6d, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b,
  0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x71, 0x63, 0x6e, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x24, 0x63, 0x6d,
  0x64, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x66, 0x71, 0x63, 0x6e, 0x20, 0x65, 0x71,
  0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f, 0x6e,
  0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x24, 0x66, 0x71, 0x63, 0x6e, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70,
  0x6c, 0x61, 0x69, 0x6e, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x65, 0x78,
  0x65, 0x63, 0x73, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6f, 0x6c, 0x64, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x7d, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72,
  0x79, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x5d, 0x20, 0x6e, 0x69, 0x20,
  0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x66, 0x69, 0x6e, 0x64, 0x4c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x54, 0x68,
  0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x75, 0x74, 0x69, 0x6c,
  0x69, 0x74, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x78, 0x74, 0x65,
  0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x61, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x23, 0x09, 0x75,
  0x73, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e,
  0x69, 0x63, 0x61, 0x6c, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69,
  0x6e, 0x67, 0x20, 0x61, 0x6c, 0x67, 0x6f, 0x72, 0x69, 0x74, 0x68, 0x6d,
  0x2e, 0x20, 0x41, 0x20, 0x73, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x6f,
  0x75, 0x72, 0x63, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x69,
  0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61,
  0x6c, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x20, 0x09, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x09, 0x50,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x2c, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20,
  0x22, 0x74, 0x6b, 0x22, 0x29, 0x0a, 0x23, 0x09, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x09, 0x09, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2c, 0x20,
  0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x22, 0x38, 0x2e, 0x30, 0x22,
  0x29, 0x0a, 0x23, 0x09, 0x70, 0x61, 0x74, 0x63, 0x68, 0x09, 0x09, 0x50,
  0x61, 0x74, 0x63, 0x68, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x2c, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x22, 0x38, 0x2e,
  0x30, 0x2e, 0x33, 0x22, 0x29, 0x0a, 0x23, 0x09, 0x69, 0x6e, 0x69, 0x74,
  0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x09, 0x49, 0x6e, 0x69, 0x74, 0x69,
  0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x74, 0x6b,
  0x2e, 0x74, 0x63, 0x6c, 0x29, 0x0a, 0x23, 0x09, 0x65, 0x6e, 0x56, 0x61,
  0x72, 0x4e, 0x61, 0x6d, 0x65, 0x09, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f,
  0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x68, 0x6f, 0x6e, 0x6f, 0x72, 0x20,
  0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x54, 0x4b, 0x5f, 0x4c, 0x49,
  0x42, 0x52, 0x41, 0x52, 0x59, 0x29, 0x0a, 0x23, 0x09, 0x76, 0x61, 0x72,
  0x4e, 0x61, 0x6d, 0x65, 0x09, 0x09, 0x47, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x64, 0x6f,
  0x6e, 0x65, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x2c, 0x20, 0x74, 0x6b,
  0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x29, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x66, 0x69, 0x6e, 0x64,
  0x4c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x7b, 0x62, 0x61, 0x73,
  0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x70, 0x61, 0x74, 0x63, 0x68, 0x20, 0x69, 0x6e, 0x69, 0x74,
  0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x65, 0x6e, 0x56, 0x61, 0x72,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x76, 0x61, 0x72, 0x4e, 0x61, 0x6d, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75, 0x70, 0x76, 0x61,
  0x72, 0x20, 0x23, 0x30, 0x20, 0x24, 0x76, 0x61, 0x72, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72,
  0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x65,
  0x6e, 0x76, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66,
  0x6f, 0x72, 0x6d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x20,
  0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x43, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x68, 0x61, 0x76, 0x65,
  0x20, 0x68, 0x61, 0x72, 0x64, 0x77, 0x69, 0x72, 0x65, 0x64, 0x20, 0x61,
  0x20, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x77, 0x65, 0x20, 0x68, 0x6f, 0x6e, 0x6f, 0x72, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x5f,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x5d, 0x20, 0x26, 0x26, 0x20,
  0x24, 0x74, 0x68, 0x65, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20,
  0x24, 0x74, 0x68, 0x65, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x23, 0x20, 0x44, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x20, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x31, 0x2e, 0x20,
  0x46, 0x72, 0x6f, 0x6d, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e, 0x76, 0x69,
  0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x2c, 0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x2e, 0x20, 0x20, 0x50, 0x6c, 0x61,
  0x63, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6e, 0x64, 0x2d,
  0x75, 0x73, 0x65, 0x72, 0x20, 0x75, 0x6c, 0x74, 0x69, 0x6d, 0x61, 0x74,
  0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x20, 0x74, 0x6f,
  0x20, 0x77, 0x6f, 0x72, 0x6b, 0x2d, 0x61, 0x72, 0x6f, 0x75, 0x6e, 0x64,
  0x20, 0x61, 0x6e, 0x79, 0x20, 0x62, 0x75, 0x67, 0x73, 0x2c, 0x20, 0x6f,
  0x72, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x74, 0x6f, 0x20, 0x63,
  0x75, 0x73, 0x74, 0x6f, 0x6d, 0x69, 0x7a, 0x65, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x65, 0x6e, 0x76, 0x28, 0x24, 0x65, 0x6e, 0x56, 0x61, 0x72, 0x4e, 0x61,
  0x6d, 0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x24, 0x65, 0x6e,
  0x76, 0x28, 0x24, 0x65, 0x6e, 0x56, 0x61, 0x72, 0x4e, 0x61, 0x6d, 0x65,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x09, 0x23, 0x20, 0x32, 0x2e, 0x20, 0x49, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65,
  0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x66, 0x69,
  0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x69, 0x74, 0x73, 0x65, 0x6c, 0x66, 0x2e, 0x0a, 0x0a, 0x09, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20,
  0x5b, 0x3a, 0x3a, 0x24, 0x7b, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x7d, 0x3a, 0x3a, 0x70, 0x6b, 0x67, 0x63, 0x6f, 0x6e, 0x66, 0x69,
  0x67, 0x20, 0x67, 0x65, 0x74, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x64, 0x69, 0x72, 0x2c, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x33, 0x2e, 0x20, 0x52,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x20, 0x72,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x6c, 0x69,
  0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65, 0x6c,
  0x6c, 0x20, 0x61, 0x73, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e,
  0x67, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66,
  0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x61,
  0x64, 0x64, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x09, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x72, 0x65, 0x20, 0x6c, 0x69,
  0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x6f, 0x72, 0x20, 0x62, 0x69, 0x6e,
  0x61, 0x72, 0x79, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2e, 0x0a, 0x09,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x20, 0x24, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x64, 0x69, 0x72, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x24, 0x64, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65,
  0x6e, 0x61, 0x6d, 0x65, 0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
  0x28, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x75, 0x6e, 0x69, 0x78, 0x22, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x26, 0x26, 0x20, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x70,
  0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x6f, 0x73, 0x29, 0x20,
  0x65, 0x71, 0x20, 0x22, 0x44, 0x61, 0x72, 0x77, 0x69, 0x6e, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x34, 0x2e, 0x20, 0x4f, 0x6e,
  0x20, 0x4d, 0x61, 0x63, 0x4f, 0x53, 0x58, 0x2c, 0x20, 0x63, 0x68, 0x65,
  0x63, 0x6b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x52, 0x65, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x73, 0x2f, 0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x73,
  0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x20, 0x74, 0x6f, 0x6f, 0x0a,
  0x09, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69,
  0x72, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69,
  0x6e, 0x20, 0x24, 0x64, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61,
  0x6d, 0x65, 0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x52,
  0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x20, 0x53, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x33, 0x2e, 0x20, 0x56,
  0x61, 0x72, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78, 0x65,
  0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x2e,
  0x2e, 0x2f, 0x6c, 0x69, 0x62, 0x2f, 0x66, 0x6f, 0x6f, 0x31, 0x2e, 0x30,
  0x09, 0x09, 0x28, 0x46, 0x72, 0x6f, 0x6d, 0x20, 0x62, 0x69, 0x6e, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x20, 0x68, 0x69, 0x65,
  0x72, 0x61, 0x72, 0x63, 0x68, 0x79, 0x29, 0x0a, 0x09, 0x23, 0x20, 0x2e,
  0x2e, 0x2f, 0x2e, 0x2e, 0x2f, 0x6c, 0x69, 0x62, 0x2f, 0x66, 0x6f, 0x6f,
  0x31, 0x2e, 0x30, 0x09, 0x28, 0x46, 0x72, 0x6f, 0x6d, 0x20, 0x62, 0x69,
  0x6e, 0x2f, 0x61, 0x72, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x69, 0x6e, 0x73, 0x74,
  0x61, 0x6c, 0x6c, 0x20, 0x68, 0x69, 0x65, 0x72, 0x61, 0x72, 0x63, 0x68,
  0x79, 0x29, 0x0a, 0x09, 0x23, 0x20, 0x2e, 0x2e, 0x2f, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x09, 0x09, 0x28, 0x46, 0x72, 0x6f, 0x6d, 0x20,
  0x75, 0x6e, 0x69, 0x78, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x20,
  0x68, 0x69, 0x65, 0x72, 0x61, 0x72, 0x63, 0x68, 0x79, 0x29, 0x0a, 0x09,
  0x23, 0x0a, 0x09, 0x23, 0x20, 0x52, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69,
  0x6e, 0x67, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x28, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x72,
  0x65, 0x6c, 0x65, 0x76, 0x61, 0x6e, 0x74, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x79, 0x20, 0x6f, 0x75, 0x67, 0x68, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x62,
  0x65, 0x0a, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x65, 0x64,
  0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x24, 0x3a, 0x3a, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x73, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x61, 0x62, 0x6f, 0x76, 0x65, 0x29, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x2e, 0x0a,
  0x09, 0x23, 0x0a, 0x09, 0x23, 0x20, 0x2e, 0x2e, 0x2f, 0x2e, 0x2e, 0x2f,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x09, 0x09, 0x28, 0x46, 0x72,
  0x6f, 0x6d, 0x20, 0x75, 0x6e, 0x69, 0x78, 0x2f, 0x61, 0x72, 0x63, 0x68,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69,
  0x6e, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x68, 0x69, 0x65, 0x72,
  0x61, 0x72, 0x63, 0x68, 0x79, 0x29, 0x0a, 0x09, 0x23, 0x20, 0x2e, 0x2e,
  0x2f, 0x2e, 0x2e, 0x2f, 0x66, 0x6f, 0x6f, 0x31, 0x2e, 0x30, 0x2e, 0x31,
  0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x0a, 0x09, 0x23, 0x09,
  0x09, 0x28, 0x46, 0x72, 0x6f, 0x6d, 0x20, 0x75, 0x6e, 0x69, 0x78, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x70, 0x61, 0x72, 0x61, 0x6c, 0x6c, 0x65, 0x6c, 0x20, 0x62, 0x75,
  0x69, 0x6c, 0x64, 0x20, 0x68, 0x69, 0x65, 0x72, 0x61, 0x72, 0x63, 0x68,
  0x79, 0x29, 0x0a, 0x09, 0x23, 0x20, 0x2e, 0x2e, 0x2f, 0x2e, 0x2e, 0x2f,
  0x2e, 0x2e, 0x2f, 0x66, 0x6f, 0x6f, 0x31, 0x2e, 0x30, 0x2e, 0x31, 0x2f,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x0a, 0x09, 0x23, 0x09, 0x09,
  0x28, 0x46, 0x72, 0x6f, 0x6d, 0x20, 0x75, 0x6e, 0x69, 0x78, 0x2f, 0x61,
  0x72, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x69, 0x6e, 0x20, 0x70, 0x61, 0x72, 0x61, 0x6c, 0x6c, 0x65,
  0x6c, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x68, 0x69, 0x65, 0x72,
  0x61, 0x72, 0x63, 0x68, 0x79, 0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x72, 0x65,
  0x6e, 0x74, 0x44, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x6f, 0x66, 0x65, 0x78,
  0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x5d, 0x5d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x67, 0x72, 0x61, 0x6e, 0x64, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x44,
  0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x64, 0x69, 0x72,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74,
  0x44, 0x69, 0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72,
  0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e,
  0x20, 0x24, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x44, 0x69, 0x72, 0x20,
  0x6c, 0x69, 0x62, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x67, 0x72, 0x61, 0x6e,
  0x64, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x44, 0x69, 0x72, 0x20, 0x6c,
  0x69, 0x62, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x70, 0x61, 0x72, 0x65, 0x6e,
  0x74, 0x44, 0x69, 0x72, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x30, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x67, 0x72, 0x61, 0x6e, 0x64, 0x50,
  0x61, 0x72, 0x65, 0x6e, 0x74, 0x44, 0x69, 0x72, 0x20, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24,
  0x67, 0x72, 0x61, 0x6e, 0x64, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x44,
  0x69, 0x72, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x24, 0x70, 0x61, 0x74, 0x63, 0x68, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24,
  0x67, 0x72, 0x61, 0x6e, 0x64, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x44,
  0x69, 0x72, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x24, 0x70, 0x61, 0x74, 0x63, 0x68, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75,
  0x69, 0x66, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x73, 0x20, 0x69, 0x6e,
  0x20, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x65,
  0x6e, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x69, 0x20, 0x24, 0x64, 0x69, 0x72, 0x73,
  0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20, 0x73,
  0x75, 0x72, 0x65, 0x20, 0x24, 0x69, 0x20, 0x69, 0x73, 0x20, 0x75, 0x6e,
  0x69, 0x71, 0x75, 0x65, 0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x20, 0x6e,
  0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x2e, 0x20, 0x41, 0x76, 0x6f, 0x69, 0x64, 0x20, 0x72, 0x65, 0x70, 0x65,
  0x61, 0x74, 0x65, 0x64, 0x20, 0x5b, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x5d, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x61,
  0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x73, 0x20, 0x68,
  0x61, 0x76, 0x65, 0x20, 0x6e, 0x6f, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x5d, 0x2e,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x6f,
  0x72, 0x6d, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x24, 0x69,
  0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x73,
  0x65, 0x65, 0x6e, 0x28, 0x24, 0x6e, 0x6f, 0x72, 0x6d, 0x29, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74,
  0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x65, 0x65, 0x6e, 0x28, 0x24, 0x6e, 0x6f, 0x72, 0x6d, 0x29,
  0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x5f, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x20, 0x24, 0x69, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20,
  0x24, 0x69, 0x20, 0x24, 0x69, 0x6e, 0x69, 0x74, 0x53, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x6f, 0x75, 0x72,
  0x63, 0x65, 0x20, 0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68, 0x69, 0x6e,
  0x67, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20,
  0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x65, 0x72, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x20, 0x77, 0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x61, 0x0a, 0x09,
  0x23, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x6e, 0x6f,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65,
  0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x75, 0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c,
  0x20, 0x23, 0x30, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x6f,
  0x75, 0x72, 0x63, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d,
  0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x20, 0x22, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x3a, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x5c, 0x6e,
  0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x5d,
  0x5c, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70,
  0x6c, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x5f, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x73, 0x67, 0x20, 0x22, 0x43, 0x61, 0x6e, 0x27, 0x74, 0x20,
  0x66, 0x69, 0x6e, 0x64, 0x20, 0x61, 0x20, 0x75, 0x73, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x24, 0x69, 0x6e, 0x69, 0x74, 0x53, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c,
  0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x3a, 0x20, 0x5c, 0x6e, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d,
  0x73, 0x67, 0x20, 0x22, 0x20, 0x20, 0x20, 0x20, 0x24, 0x64, 0x69, 0x72,
  0x73, 0x5c, 0x6e, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x22, 0x24,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x5c, 0x6e, 0x5c, 0x6e, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d,
  0x73, 0x67, 0x20, 0x22, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f,
  0x62, 0x61, 0x62, 0x6c, 0x79, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x77, 0x61, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x69, 0x6e,
  0x73, 0x74, 0x61, 0x6c, 0x6c, 0x65, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x70,
  0x65, 0x72, 0x6c, 0x79, 0x2e, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x7d, 0x0a, 0x0a, 0x0a, 0x23, 0x20, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x23, 0x20, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20,
  0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x54, 0x63, 0x6c, 0x0a,
  0x23, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x79, 0x20, 0x75, 0x73,
  0x65, 0x20, 0x61, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c, 0x20,
  0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x0a, 0x23, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2c, 0x20, 0x77, 0x72,
  0x69, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x20,
  0x61, 0x73, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x22, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x65,
  0x6e, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x65, 0x64, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x69, 0x6d, 0x70, 0x6c,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x77,
  0x6f, 0x6e, 0x27, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x20, 0x69, 0x6e,
  0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x73, 0x69, 0x6e,
  0x63, 0x65, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x20,
  0x63, 0x61, 0x6e, 0x27, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c,
  0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x6d, 0x65, 0x73, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x69, 0x74,
  0x73, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e, 0x0a,
  0x0a, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x09, 0x3b,
  0x23, 0x20, 0x53, 0x74, 0x6f, 0x70, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x68, 0x65, 0x72, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x67, 0x65, 0x6e, 0x65, 0x72,
  0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x61, 0x6b, 0x65,
  0x73, 0x20, 0x61, 0x73, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x69,
  0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x64,
  0x2c, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x0a, 0x23,
  0x20, 0x62, 0x79, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x70,
  0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x75,
  0x73, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x74, 0x65, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x72, 0x65, 0x6c, 0x65,
  0x76, 0x61, 0x6e, 0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x20, 0x64, 0x69, 0x72, 0x20, 0x2d, 0x09, 0x09,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x2e, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x2d,
  0x09, 0x41, 0x6e, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x6c, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x67, 0x69, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x73, 0x0a, 0x23, 0x09, 0x09, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20,
  0x64, 0x69, 0x72, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x6e, 0x6f, 0x20,
  0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x0a, 0x23, 0x09, 0x09, 0x66,
  0x6f, 0x72, 0x20, 0x2a, 0x2e, 0x74, 0x63, 0x6c, 0x2e, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x7b, 0x64, 0x69, 0x72, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73,
  0x73, 0x61, 0x66, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22,
  0x63, 0x61, 0x6e, 0x27, 0x74, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61,
  0x74, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x69, 0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6f, 0x6c, 0x64, 0x44, 0x69, 0x72, 0x20, 0x5b, 0x70, 0x77, 0x64,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x64, 0x20, 0x24, 0x64, 0x69,
  0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20,
  0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x32, 0x2e, 0x30, 0x5c,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x5c, 0x22, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5c, 0x22, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x75, 0x70, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x72, 0x5c, 0x6e,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e,
  0x20, 0x20, 0x54, 0x79, 0x70, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x20,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x69, 0x73,
  0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x22, 0x23, 0x20, 0x73, 0x65, 0x74, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65,
  0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x2c, 0x20, 0x77, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x73, 0x5c,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x61,
  0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x5c, 0x6e, 0x5c, 0x6e, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x2a, 0x2e, 0x74, 0x63, 0x6c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x72, 0x3a, 0x3a, 0x69, 0x6e, 0x69, 0x74, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x5b, 0x6c, 0x73, 0x6f, 0x72, 0x74, 0x20, 0x5b, 0x67,
  0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x2d, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x5d, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x74, 0x72, 0x79,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x6d, 0x6b, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x7d,
  0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x6d,
  0x73, 0x67, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x63, 0x64, 0x20, 0x24, 0x6f, 0x6c, 0x64, 0x44,
  0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x63, 0x6c, 0x65,
  0x61, 0x6e, 0x75, 0x70, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x69, 0x64, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20,
  0x22, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x22, 0x20, 0x77,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20, 0x2d,
  0x6e, 0x6f, 0x6e, 0x65, 0x77, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x24, 0x66,
  0x69, 0x64, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20, 0x24, 0x66, 0x69, 0x64,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x64, 0x20, 0x24, 0x6f, 0x6c, 0x64,
  0x44, 0x69, 0x72, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x4f, 0x72, 0x69,
  0x67, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6a,
  0x75, 0x73, 0x74, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x23, 0x20, 0x22,
  0x70, 0x72, 0x6f, 0x63, 0x22, 0x20, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x2e, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d,
  0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x6f, 0x6c, 0x64, 0x20, 0x7b,
  0x64, 0x69, 0x72, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c, 0x64, 0x44,
  0x69, 0x72, 0x20, 0x5b, 0x70, 0x77, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x63, 0x64, 0x20, 0x24, 0x64, 0x69, 0x72, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x70, 0x77,
  0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20,
  0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x32, 0x2e, 0x30, 0x5c,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x5c, 0x22, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5c, 0x22, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x75, 0x70, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x72, 0x5c, 0x6e,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e,
  0x20, 0x20, 0x54, 0x79, 0x70, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x20,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x69, 0x73,
  0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x22, 0x23, 0x20, 0x73, 0x65, 0x74, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65,
  0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x2c, 0x20, 0x77, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x5c, 0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x22, 0x23, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x73, 0x5c,
  0x6e, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x23, 0x20, 0x61,
  0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x5c, 0x6e, 0x5c, 0x6e, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x2a, 0x2e, 0x74, 0x63, 0x6c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x5b, 0x6c, 0x73, 0x6f,
  0x72, 0x74, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x2d, 0x20,
  0x7b, 0x2a, 0x7d, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x22, 0x22, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20,
  0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x77, 0x68, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x5b, 0x67, 0x65, 0x74, 0x73,
  0x20, 0x24, 0x66, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x5d, 0x20, 0x3e, 0x3d,
  0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x7b, 0x5e, 0x70, 0x72,
  0x6f, 0x63, 0x5b, 0x20, 0x09, 0x5d, 0x2b, 0x28, 0x5b, 0x5e, 0x20, 0x09,
  0x5d, 0x2a, 0x29, 0x7d, 0x20, 0x24, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x6d,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d,
  0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x79, 0x20, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x22, 0x3a, 0x3a,
  0x22, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x22, 0x73, 0x65, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x28, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x5d, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x20, 0x5c, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x5c,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5c,
  0x24, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x5c, 0x5d, 0x5c, 0x5d, 0x5c, 0x6e, 0x22,
  0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20, 0x24,
  0x66, 0x0a, 0x09, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70, 0x74,
  0x73, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20,
  0x24, 0x66, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x64, 0x20,
  0x24, 0x6f, 0x6c, 0x64, 0x44, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x20, 0x5b, 0x6f, 0x70, 0x65,
  0x6e, 0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x77,
  0x5d, 0x0a, 0x09, 0x70, 0x75, 0x74, 0x73, 0x20, 0x2d, 0x6e, 0x6f, 0x6e,
  0x65, 0x77, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x24, 0x66, 0x20, 0x24, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x0a, 0x09, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20,
  0x24, 0x66, 0x0a, 0x09, 0x63, 0x64, 0x20, 0x24, 0x6f, 0x6c, 0x64, 0x44,
  0x69, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6d, 0x73, 0x67,
  0x20, 0x6f, 0x70, 0x74, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x63, 0x6c, 0x6f,
  0x73, 0x65, 0x20, 0x24, 0x66, 0x7d, 0x0a, 0x09, 0x63, 0x64, 0x20, 0x24,
  0x6f, 0x6c, 0x64, 0x44, 0x69, 0x72, 0x0a, 0x09, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x20, 0x24, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x24, 0x63, 0x6f, 0x64, 0x65, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x43, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20,
  0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x0a, 0x23, 0x20, 0x67, 0x65, 0x6e,
  0x65, 0x72, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x74, 0x63, 0x6c, 0x49,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e,
  0x67, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x6f,
  0x72, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x73, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x2e, 0x20,
  0x20, 0x45, 0x61, 0x63, 0x68, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x61,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x20,
  0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x2c, 0x20, 0x69, 0x74,
  0x20, 0x77, 0x72, 0x69, 0x74, 0x65, 0x73, 0x0a, 0x23, 0x20, 0x61, 0x6e,
  0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x2e, 0x0a, 0x0a, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x72, 0x20, 0x22, 0x22, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x3b, 0x23, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x75,
  0x69, 0x6c, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x22, 0x22, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3b, 0x23, 0x20, 0x6d, 0x61, 0x69,
  0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x61, 0x73, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x62, 0x75,
  0x69, 0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x46,
  0x69, 0x6c, 0x65, 0x20, 0x22, 0x22, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x3b, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x22, 0x22,
  0x20, 0x20, 0x20, 0x20, 0x3b, 0x23, 0x20, 0x73, 0x74, 0x61, 0x63, 0x6b,
  0x20, 0x6f, 0x66, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6d,
  0x70, 0x6f, 0x72, 0x74, 0x73, 0x20, 0x22, 0x22, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x3b, 0x23, 0x20, 0x6b, 0x65, 0x65, 0x70,
  0x73, 0x20, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x61,
  0x6c, 0x6c, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20,
  0x63, 0x6d, 0x64, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x3b, 0x23, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x61, 0x6c, 0x69,
  0x61, 0x73, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x69, 0x6e, 0x69, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x72, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x73, 0x0a, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x73, 0x73, 0x61, 0x66, 0x65,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x5b, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x2d, 0x73, 0x61, 0x66, 0x65, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68, 0x69, 0x64, 0x65,
  0x20, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68, 0x69, 0x64, 0x65, 0x20,
  0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68, 0x69, 0x64, 0x65,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68, 0x69, 0x64, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68,
  0x69, 0x64, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x68, 0x69,
  0x64, 0x65, 0x20, 0x70, 0x75, 0x74, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x73, 0x20,
  0x5b, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x76,
  0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x68, 0x69, 0x6c,
  0x64, 0x72, 0x65, 0x6e, 0x20, 0x3a, 0x3a, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x4d, 0x55, 0x53, 0x54, 0x20, 0x4e, 0x4f, 0x54, 0x20,
  0x44, 0x45, 0x4c, 0x45, 0x54, 0x45, 0x20, 0x22, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x22, 0x20, 0x4f, 0x52, 0x20, 0x42, 0x41, 0x44, 0x20, 0x54, 0x48,
  0x49, 0x4e, 0x47, 0x53, 0x20, 0x48, 0x41, 0x50, 0x50, 0x45, 0x4e, 0x21,
  0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x73, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x22, 0x7d, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x09, 0x24, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65,
  0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20,
  0x24, 0x6e, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x63, 0x6d, 0x64, 0x20, 0x5b, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72,
  0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65,
  0x6e, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x3a, 0x3a, 0x2a, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x76,
  0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x72, 0x65,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x20, 0x7b, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x76,
  0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x7b,
  0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x27, 0x6c, 0x6c, 0x20, 0x6e,
  0x65, 0x65, 0x64, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x22, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x2e, 0x20, 0x20, 0x50, 0x75, 0x74, 0x20, 0x69, 0x74, 0x20,
  0x62, 0x61, 0x63, 0x6b, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x6d, 0x6f,
  0x76, 0x65, 0x20, 0x69, 0x74, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x61, 0x79, 0x2e, 0x0a, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20,
  0x65, 0x78, 0x70, 0x6f, 0x73, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65,
  0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x5f, 0x25, 0x40, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x73, 0x65, 0x20, 0x65, 0x76, 0x61,
  0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64,
  0x64, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x5f, 0x25, 0x40, 0x65, 0x76, 0x61, 0x6c, 0x0a,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x6e, 0x73, 0x74,
  0x61, 0x6c, 0x6c, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x20, 0x70,
  0x73, 0x75, 0x65, 0x64, 0x6f, 0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x63, 0x6d, 0x64, 0x20,
  0x24, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24,
  0x63, 0x6d, 0x64, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x75, 0x70,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x0a, 0x09,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74,
  0x65, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x0a, 0x09, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x55,
  0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x22, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x61, 0x20, 0x22, 0x74,
  0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x22, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x0a, 0x23, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x73, 0x6f,
  0x75, 0x72, 0x63, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x20, 0x20,
  0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x69, 0x6e, 0x67, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x0a, 0x23,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x22, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x62, 0x79, 0x20, 0x61,
  0x64, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e, 0x74,
  0x72, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x20, 0x20,
  0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x72, 0x65, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x66, 0x69, 0x6c, 0x65,
  0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x54, 0x63, 0x6c,
  0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x65, 0x64, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x6d, 0x6b, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x7b, 0x66, 0x69, 0x6c, 0x65, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x46, 0x69,
  0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53,
  0x74, 0x61, 0x63, 0x6b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74,
  0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x63, 0x72, 0x69, 0x70, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x64, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5b,
  0x72, 0x65, 0x61, 0x64, 0x20, 0x24, 0x66, 0x69, 0x64, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20, 0x24, 0x66, 0x69,
  0x64, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65,
  0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x70, 0x72,
  0x6f, 0x62, 0x6c, 0x65, 0x6d, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x73,
  0x6f, 0x75, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x73, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65,
  0x74, 0x65, 0x72, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72,
  0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x20, 0x6c, 0x69,
  0x6b, 0x65, 0x20, 0x22, 0x24, 0x78, 0x22, 0x20, 0x77, 0x69, 0x6c, 0x6c,
  0x20, 0x66, 0x61, 0x69, 0x6c, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x72, 0x65, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67,
  0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x73, 0x20, 0x64, 0x6f, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x72, 0x65, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x2e, 0x20, 0x20, 0x54, 0x6f, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64,
  0x20, 0x74, 0x68, 0x69, 0x73, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x72, 0x65,
  0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x24, 0x20,
  0x77, 0x69, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x5c,
  0x30, 0x20, 0x28, 0x6c, 0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x6c, 0x79,
  0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6c, 0x6c, 0x20, 0x63,
  0x68, 0x61, 0x72, 0x29, 0x20, 0x6c, 0x61, 0x74, 0x65, 0x72, 0x2c, 0x20,
  0x77, 0x68, 0x65, 0x6e, 0x20, 0x67, 0x65, 0x74, 0x74, 0x69, 0x6e, 0x67,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20,
  0x77, 0x65, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65,
  0x76, 0x65, 0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x72,
  0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2c, 0x20,
  0x69, 0x6e, 0x20, 0x63, 0x61, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x77, 0x65, 0x72, 0x65, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x24,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x2e,
  0x20, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20,
  0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x61, 0x20, 0x70, 0x72, 0x6f, 0x62,
  0x6c, 0x65, 0x6d, 0x20, 0x69, 0x66, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x62,
  0x6f, 0x64, 0x79, 0x20, 0x61, 0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79,
  0x20, 0x74, 0x72, 0x69, 0x65, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x68, 0x61,
  0x76, 0x65, 0x20, 0x61, 0x20, 0x5c, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x2e, 0x20, 0x20, 0x54,
  0x6f, 0x6f, 0x20, 0x62, 0x61, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x6d, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x5c, 0x24, 0x20, 0x5c, 0x30, 0x5d, 0x20, 0x24,
  0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63, 0x6b,
  0x20, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x20, 0x22, 0x22, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e,
  0x74, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x69, 0x6d,
  0x70, 0x6f, 0x72, 0x74, 0x73, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5f, 0x25, 0x40, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a,
  0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65,
  0x72, 0x73, 0x20, 0x61, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x75, 0x61, 0x74, 0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x6e,
  0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x20, 0x75,
  0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d,
  0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x75,
  0x61, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x6f,
  0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x3a, 0x3a, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x7b, 0x63, 0x6d,
  0x64, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x69, 0x74,
  0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x24, 0x63, 0x6d,
  0x64, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x3a, 0x3a, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x68, 0x6f, 0x6f,
  0x6b, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x73, 0x20,
  0x61, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x75, 0x61, 0x74,
  0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69,
  0x61, 0x6c, 0x69, 0x7a, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x20, 0x75, 0x73, 0x65, 0x64,
  0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x69, 0x73, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x75, 0x61, 0x74, 0x65,
  0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x65, 0x72, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x7b, 0x63, 0x6d, 0x64, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x62,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20,
  0x69, 0x73, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x6c, 0x61, 0x74, 0x65,
  0x72, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x73, 0x20, 0x22, 0x5c, 0x24, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x22, 0x0a, 0x7d, 0x0a, 0x0a,
  0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x73, 0x20,
  0x61, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x22, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x0a, 0x23, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x73, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x54,
  0x68, 0x65, 0x73, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x66, 0x61, 0x6b, 0x65, 0x20, 0x76,
  0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x69, 0x6e, 0x67, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x23, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x22, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x20, 0x20, 0x57, 0x68,
  0x65, 0x6e, 0x20, 0x79, 0x6f, 0x75, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75,
  0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x79, 0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x79, 0x20, 0x77, 0x72, 0x69,
  0x74, 0x65, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e,
  0x74, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x0a, 0x23, 0x20, 0x22,
  0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x22, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x2d,
  0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64,
  0x75, 0x72, 0x65, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x73, 0x20, 0x65,
  0x78, 0x74, 0x65, 0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x69, 0x72, 0x20, 0x6f, 0x77, 0x6e, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
  0x79, 0x2e, 0x20, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x65, 0x78, 0x61, 0x6d,
  0x70, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x54, 0x63, 0x6c, 0x5d, 0x20, 0x6d, 0x69, 0x67, 0x68, 0x74,
  0x0a, 0x23, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20,
  0x61, 0x20, 0x22, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x22, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x20, 0x64, 0x65, 0x66, 0x69,
  0x6e, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x63, 0x6f, 0x75, 0x6c,
  0x64, 0x20, 0x62, 0x65, 0x20, 0x61, 0x64, 0x64, 0x65, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x61, 0x0a, 0x23, 0x20, 0x22, 0x74, 0x63, 0x6c, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x22, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x2d, 0x6c, 0x6f, 0x61, 0x64, 0x69,
  0x6e, 0x67, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x67,
  0x6e, 0x69, 0x7a, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x54, 0x63, 0x6c,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x09, 0x61, 0x72,
  0x67, 0x6c, 0x69, 0x73, 0x74, 0x09, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a, 0x23, 0x09, 0x62,
  0x6f, 0x64, 0x79, 0x20, 0x09, 0x49, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x68, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x69, 0x6e,
  0x67, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x62, 0x6f, 0x64, 0x79, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x49, 0x6e, 0x69, 0x74, 0x20,
  0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x24, 0x62, 0x6f, 0x64, 0x79, 0x5d, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x49, 0x6e, 0x69, 0x74, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20,
  0x64, 0x6f, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x63, 0x74,
  0x75, 0x61, 0x6c, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x75, 0x70, 0x20, 0x62, 0x79, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x65, 0x64, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74,
  0x65, 0x72, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x73,
  0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x09, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x63, 0x6f, 0x67, 0x6e, 0x69, 0x7a, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73,
  0x2e, 0x0a, 0x23, 0x09, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x09,
  0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x2e, 0x0a, 0x23, 0x09, 0x62, 0x6f, 0x64, 0x79, 0x20, 0x09, 0x49,
  0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x49, 0x6e, 0x69, 0x74, 0x20,
  0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x62, 0x6f, 0x64, 0x79, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x73, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x69,
  0x65, 0x72, 0x73, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20,
  0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x74,
  0x61, 0x69, 0x6c, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x73, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x61, 0x6b, 0x65,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d,
  0x3a, 0x3a, 0x5f, 0x25, 0x40, 0x66, 0x61, 0x6b, 0x65, 0x5f, 0x24, 0x74,
  0x61, 0x69, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x61, 0x6b, 0x65, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a, 0x3a, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x7b,
  0x3a, 0x3a, 0x20, 0x5f, 0x7d, 0x20, 0x5f, 0x25, 0x40, 0x66, 0x61, 0x6b,
  0x65, 0x5f, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x24, 0x66, 0x61, 0x6b, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x62, 0x6f, 0x64, 0x79,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x59, 0x55, 0x4b, 0x21,
  0x20, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x77, 0x6f, 0x6e, 0x27, 0x74, 0x20,
  0x6c, 0x65, 0x74, 0x20, 0x75, 0x73, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73,
  0x20, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69,
  0x66, 0x69, 0x65, 0x64, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x77,
  0x65, 0x20, 0x63, 0x61, 0x6e, 0x27, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x22, 0x3a, 0x3a, 0x69,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x22, 0x2e,
  0x20, 0x20, 0x49, 0x6e, 0x73, 0x74, 0x65, 0x61, 0x64, 0x2c, 0x20, 0x77,
  0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x75,
  0x69, 0x6c, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69,
  0x66, 0x69, 0x65, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x73, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x6c, 0x69, 0x61,
  0x73, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x2a, 0x3a, 0x3a, 0x2a, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72,
  0x74, 0x43, 0x6d, 0x64, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5f,
  0x25, 0x40, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5f, 0x25,
  0x40, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x24, 0x6e, 0x73, 0x20, 0x24, 0x65, 0x78, 0x70,
  0x6f, 0x72, 0x74, 0x43, 0x6d, 0x64, 0x5d, 0x0a, 0x0a, 0x09, 0x23, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e,
  0x67, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e,
  0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x20, 0x69, 0x66, 0x20, 0x79,
  0x6f, 0x75, 0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x6f, 0x6c, 0x65, 0x72, 0x61, 0x74, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x64,
  0x69, 0x61, 0x62, 0x6f, 0x6c, 0x69, 0x63, 0x61, 0x6c, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75,
  0x72, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x2c, 0x20, 0x28, 0x69, 0x2e,
  0x65, 0x2e, 0x2c, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x69, 0x6e, 0x20, 0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x29, 0x2e,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69,
  0x6e, 0x67, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x77, 0x6f, 0x72, 0x6b, 0x3a, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x22,
  0x5f, 0x25, 0x40, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x7b, 0x24, 0x61, 0x6c,
  0x69, 0x61, 0x73, 0x7d, 0x20, 0x5c, 0x24, 0x61, 0x72, 0x67, 0x73, 0x22,
  0x0a, 0x09, 0x23, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x67, 0x65, 0x74, 0x73, 0x20,
  0x63, 0x6f, 0x6e, 0x63, 0x61, 0x74, 0x27, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65,
  0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x64,
  0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x6b,
  0x0a, 0x09, 0x23, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x24, 0x63, 0x6d, 0x64, 0x20, 0x69, 0x73, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x68, 0x6f, 0x77, 0x20, 0x75, 0x6e, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65,
  0x64, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x22, 0x73, 0x65, 0x74, 0x20,
  0x63, 0x6d, 0x64, 0x20, 0x7b, 0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x7d,
  0x20, 0x5c, 0x3b, 0x20, 0x5f, 0x25, 0x40, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x7b, 0x5c, 0x24, 0x63, 0x6d, 0x64, 0x7d, 0x20, 0x5c, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x22, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x20, 0x67, 0x6f, 0x6c,
  0x64, 0x20, 0x73, 0x74, 0x61, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x6f,
  0x6d, 0x65, 0x6f, 0x6e, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63,
  0x61, 0x6e, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20, 0x74, 0x65, 0x73, 0x74,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x4d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x2d, 0x33, 0x2e, 0x33, 0x20, 0x77, 0x6f, 0x72, 0x6b, 0x0a, 0x09, 0x23,
  0x20, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x6c, 0x79, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x6c, 0x69, 0x61, 0x73, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24, 0x66, 0x61,
  0x6b, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20,
  0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x22, 0x5f, 0x25, 0x40, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x7b, 0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x7d,
  0x20, 0x5c, 0x24, 0x61, 0x72, 0x67, 0x73, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72,
  0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24, 0x61, 0x6c, 0x69, 0x61,
  0x73, 0x20, 0x24, 0x66, 0x61, 0x6b, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x72, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x61, 0x6b, 0x65, 0x4e, 0x61,
  0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x66, 0x75,
  0x6c, 0x6c, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x55, 0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20,
  0x22, 0x70, 0x72, 0x6f, 0x63, 0x22, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d,
  0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66,
  0x69, 0x65, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x22, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x22, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x20, 0x64,
  0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x0a, 0x23, 0x20, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x22, 0x3a, 0x3a,
  0x22, 0x2c, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x61, 0x64, 0x64, 0x65, 0x64, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x73, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x6f, 0x0a, 0x23, 0x20,
  0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x65, 0x20, 0x61, 0x20, 0x71, 0x75,
  0x61, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x6e, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x65, 0x78, 0x61,
  0x6d, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x65,
  0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x6f, 0x72, 0x20,
  0x6e, 0x6f, 0x74, 0x0a, 0x23, 0x20, 0x69, 0x74, 0x20, 0x73, 0x68, 0x6f,
  0x75, 0x6c, 0x64, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x62,
  0x65, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x64, 0x2e,
  0x20, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x74,
  0x68, 0x61, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x61, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x22, 0x3a, 0x3a, 0x22, 0x2c, 0x0a, 0x23, 0x20,
  0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x66, 0x75, 0x6c, 0x6c,
  0x79, 0x20, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x64, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x2e, 0x20, 0x20, 0x4f, 0x74, 0x68, 0x65, 0x72,
  0x77, 0x69, 0x73, 0x65, 0x2c, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20,
  0x61, 0x0a, 0x23, 0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x61, 0x74, 0x20, 0x77,
  0x61, 0x79, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x72, 0x20, 0x77,
  0x69, 0x6c, 0x6c, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x67, 0x6e, 0x69, 0x7a,
  0x65, 0x20, 0x69, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x6c,
  0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x2d, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x61,
  0x64, 0x64, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x66, 0x75, 0x6c, 0x6c, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63,
  0x6b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x3a, 0x3a, 0x2a, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x73, 0x20, 0x24,
  0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63, 0x6b,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x22, 0x24, 0x7b, 0x6e, 0x73, 0x7d, 0x3a, 0x3a, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x2a,
  0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x71,
  0x75, 0x61, 0x6c, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x3a,
  0x3a, 0x2a, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x22, 0x3a, 0x3a, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x61, 0x72, 0x6c, 0x69, 0x65, 0x72,
  0x2c, 0x20, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x72, 0x65,
  0x70, 0x6c, 0x61, 0x63, 0x65, 0x64, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x24,
  0x27, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x5c, 0x30, 0x2e, 0x20,
  0x20, 0x4e, 0x6f, 0x77, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x68, 0x61, 0x76,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x30, 0x20, 0x5c, 0x24, 0x5d,
  0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x55, 0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x6c, 0x69, 0x6b,
  0x65, 0x20, 0x22, 0x70, 0x72, 0x6f, 0x63, 0x22, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x64, 0x64, 0x20, 0x61,
  0x0a, 0x23, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x6c, 0x79,
  0x2d, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x65, 0x6e, 0x74, 0x72,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x2e, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x73, 0x6f, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x64, 0x6f, 0x6e,
  0x65, 0x0a, 0x23, 0x20, 0x2a, 0x72, 0x69, 0x67, 0x68, 0x74, 0x2a, 0x2c,
  0x20, 0x69, 0x6e, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x70, 0x6c, 0x61, 0x63,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x2d, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x61,
  0x64, 0x64, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x45,
  0x6e, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65,
  0x72, 0x74, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x6d, 0x65, 0x74, 0x61, 0x63,
  0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20, 0x62, 0x61, 0x63, 0x6b, 0x73,
  0x6c, 0x61, 0x73, 0x68, 0x65, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x2d, 0x73, 0x70, 0x6c,
  0x69, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x77, 0x65, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x20,
  0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x28, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x61, 0x20, 0x70,
  0x72, 0x6f, 0x70, 0x65, 0x72, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x6c, 0x79, 0x20, 0x71,
  0x75, 0x6f, 0x74, 0x65, 0x64, 0x29, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x7d, 0x5b, 0x66, 0x75, 0x6c,
  0x6c, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x5d, 0x20, 0x32, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d,
  0x65, 0x50, 0x61, 0x72, 0x74, 0x73, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x5b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x5c, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x28, 0x25, 0x73, 0x29,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e,
  0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x25, 0x73, 0x5d, 0x5d, 0x25, 0x73,
  0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x50, 0x61, 0x72, 0x74, 0x73, 0x20, 0x5c, 0x6e, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x3a, 0x3a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a,
  0x3a, 0x69, 0x6e, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x52, 0x65,
  0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64,
  0x75, 0x72, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64,
  0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x74, 0x63, 0x6c, 0x49,
  0x6e, 0x64, 0x65, 0x78, 0x22, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x0a,
  0x0a, 0x23, 0x20, 0x41, 0x55, 0x54, 0x4f, 0x20, 0x4d, 0x4b, 0x49, 0x4e,
  0x44, 0x45, 0x58, 0x3a, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x62, 0x6f, 0x64, 0x79, 0x0a, 0x23, 0x20, 0x41, 0x64, 0x64, 0x73, 0x20,
  0x61, 0x6e, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x2e, 0x0a, 0x0a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x45, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x61, 0x64, 0x64, 0x20, 0x73,
  0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54,
  0x63, 0x6c, 0x20, 0x62, 0x79, 0x74, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65,
  0x72, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20,
  0x74, 0x72, 0x69, 0x63, 0x6b, 0x79, 0x0a, 0x23, 0x20, 0x64, 0x65, 0x74,
  0x61, 0x69, 0x6c, 0x73, 0x20, 0x68, 0x65, 0x72, 0x65, 0x2e, 0x20, 0x20,
  0x46, 0x69, 0x72, 0x73, 0x74, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65,
  0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x74, 0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x6c, 0x69,
  0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x20,
  0x20, 0x57, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x74, 0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x75, 0x6e, 0x74, 0x69, 0x6c, 0x20, 0x77, 0x65, 0x20,
  0x68, 0x61, 0x76, 0x65, 0x0a, 0x23, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x20,
  0x73, 0x6f, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x69,
  0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x73, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x63,
  0x6c, 0x5f, 0x70, 0x61, 0x74, 0x63, 0x68, 0x4c, 0x65, 0x76, 0x65, 0x6c,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x2e, 0x20, 0x20,
  0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x2c, 0x0a, 0x23, 0x20, 0x62, 0x65,
  0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x64, 0x65, 0x66,
  0x65, 0x72, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x75,
  0x6e, 0x74, 0x69, 0x6c, 0x20, 0x77, 0x65, 0x20, 0x69, 0x6e, 0x76, 0x6f,
  0x6b, 0x65, 0x0a, 0x23, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20,
  0x74, 0x6f, 0x20, 0x65, 0x78, 0x70, 0x6c, 0x69, 0x63, 0x69, 0x74, 0x6c,
  0x79, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x6f,
  0x72, 0x63, 0x65, 0x20, 0x69, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20, 0x54,
  0x68, 0x69, 0x73, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62,
  0x65, 0x20, 0x61, 0x20, 0x6e, 0x6f, 0x6f, 0x70, 0x20, 0x69, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x68, 0x61, 0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x0a,
  0x0a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x68, 0x6f,
  0x6f, 0x6b, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79,
  0x20, 0x7b, 0x0a, 0x09, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x74, 0x62, 0x63, 0x6c,
  0x6f, 0x61, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x23, 0x20, 0x4f, 0x4b, 0x2c, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74,
  0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x69, 0x74, 0x20, 0x73, 0x6f, 0x20,
  0x64, 0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x6b, 0x20, 0x7b,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74,
  0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x3a, 0x3a, 0x62, 0x63, 0x70, 0x72,
  0x6f, 0x63, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x74, 0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x3a,
  0x3a, 0x62, 0x63, 0x70, 0x72, 0x6f, 0x63, 0x0a, 0x09, 0x7d, 0x0a, 0x09,
  0x6c, 0x6f, 0x61, 0x64, 0x20, 0x7b, 0x7d, 0x20, 0x74, 0x62, 0x63, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72,
  0x3a, 0x3a, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x0a, 0x0a, 0x09, 0x23,
  0x20, 0x41, 0x55, 0x54, 0x4f, 0x20, 0x4d, 0x4b, 0x49, 0x4e, 0x44, 0x45,
  0x58, 0x3a, 0x20, 0x20, 0x74, 0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x3a,
  0x3a, 0x62, 0x63, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x62, 0x6f, 0x64,
  0x79, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x64, 0x64, 0x73, 0x20, 0x61, 0x6e,
  0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x70, 0x72, 0x65, 0x2d,
  0x63, 0x6f, 0x6d, 0x70, 0x69, 0x6c, 0x65, 0x64, 0x0a, 0x09, 0x23, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x2e, 0x0a, 0x0a, 0x09, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d,
  0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x49, 0x6e,
  0x69, 0x74, 0x20, 0x74, 0x62, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x3a, 0x3a,
  0x62, 0x63, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x7b, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x45, 0x6e, 0x74, 0x72, 0x79,
  0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41, 0x55, 0x54,
  0x4f, 0x20, 0x4d, 0x4b, 0x49, 0x4e, 0x44, 0x45, 0x58, 0x3a, 0x20, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x3f, 0x61, 0x72, 0x67, 0x20, 0x61, 0x72, 0x67,
  0x2e, 0x2e, 0x2e, 0x3f, 0x0a, 0x23, 0x20, 0x41, 0x64, 0x64, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x6e, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x75, 0x61, 0x74, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x64, 0x0a, 0x23,
  0x20, 0x62, 0x6f, 0x64, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41,
  0x55, 0x54, 0x4f, 0x20, 0x4d, 0x4b, 0x49, 0x4e, 0x44, 0x45, 0x58, 0x3a,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x3f, 0x2d, 0x66, 0x6f, 0x72,
  0x63, 0x65, 0x3f, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20,
  0x3f, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x2e, 0x2e, 0x2e, 0x3f,
  0x0a, 0x23, 0x20, 0x50, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x22, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x22,
  0x20, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x20,
  0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6d, 0x70, 0x6f,
  0x72, 0x74, 0x61, 0x6e, 0x74, 0x0a, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x61, 0x6e, 0x79, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e,
  0x20, 0x20, 0x46, 0x6f, 0x72, 0x0a, 0x23, 0x20, 0x65, 0x78, 0x61, 0x6d,
  0x70, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70,
  0x74, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x73, 0x61, 0x79, 0x20, 0x22, 0x69,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x20, 0x2e,
  0x2e, 0x2e, 0x22, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x69, 0x74, 0x20, 0x6d,
  0x61, 0x79, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x22, 0x69,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x2a, 0x22, 0x20, 0x61, 0x6e, 0x64, 0x0a,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x73, 0x61, 0x79, 0x20, 0x22,
  0x63, 0x6c, 0x61, 0x73, 0x73, 0x20, 0x2e, 0x2e, 0x2e, 0x22, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64,
  0x75, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x6f, 0x70, 0x65, 0x72,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x6b,
  0x65, 0x65, 0x70, 0x73, 0x0a, 0x23, 0x20, 0x74, 0x72, 0x61, 0x63, 0x6b,
  0x20, 0x6f, 0x66, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64,
  0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x73, 0x20, 0x73, 0x6f,
  0x20, 0x77, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x72, 0x65, 0x6d, 0x6f,
  0x76, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72,
  0x74, 0x73, 0x20, 0x6c, 0x61, 0x74, 0x65, 0x72, 0x2e, 0x0a, 0x0a, 0x61,
  0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x7b, 0x6f, 0x70, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68,
  0x20, 0x2d, 0x2d, 0x20, 0x24, 0x6f, 0x70, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61,
  0x63, 0x6b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74,
  0x53, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x73, 0x65,
  0x72, 0x74, 0x20, 0x24, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53,
  0x74, 0x61, 0x63, 0x6b, 0x20, 0x30, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x72, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x5f, 0x25, 0x40, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x5d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63,
  0x6b, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x63,
  0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53, 0x74, 0x61, 0x63, 0x6b, 0x20,
  0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69,
  0x6d, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20,
  0x6e, 0x65, 0x20, 0x22, 0x2d, 0x66, 0x6f, 0x72, 0x63, 0x65, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72,
  0x74, 0x73, 0x20, 0x24, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x65,
  0x76, 0x61, 0x6c, 0x20, 0x22, 0x5f, 0x25, 0x40, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x65, 0x6e, 0x73, 0x65,
  0x6d, 0x62, 0x6c, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78,
  0x74, 0x53, 0x74, 0x61, 0x63, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x5d, 0x20, 0x65, 0x71, 0x20,
  0x22, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x22, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a,
  0x3a, 0x5b, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x76,
  0x65, 0x72, 0x73, 0x65, 0x20, 0x24, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78,
  0x74, 0x53, 0x74, 0x61, 0x63, 0x6b, 0x5d, 0x20, 0x3a, 0x3a, 0x5d, 0x0a,
  0x09, 0x09, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x5b,
  0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73,
  0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x20, 0x2d, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x3a, 0x3a, 0x2a, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a, 0x3a, 0x5b,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x76, 0x65, 0x72,
  0x73, 0x65, 0x20, 0x24, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x53,
  0x74, 0x61, 0x63, 0x6b, 0x5d, 0x20, 0x3a, 0x3a, 0x5d, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x67, 0x73, 0x75, 0x62, 0x20,
  0x2d, 0x61, 0x6c, 0x6c, 0x20, 0x3a, 0x3a, 0x2b, 0x20, 0x24, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x3a, 0x3a, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74,
  0x65, 0x20, 0x61, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x6c, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x6f, 0x72, 0x63,
  0x65, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x63, 0x6c, 0x49, 0x6e, 0x64,
  0x65, 0x78, 0x0a, 0x09, 0x09, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72,
  0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x3a, 0x3a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41, 0x55, 0x54, 0x4f, 0x20, 0x4d, 0x4b,
  0x49, 0x4e, 0x44, 0x45, 0x58, 0x3a, 0x20, 0x20, 0x6f, 0x6f, 0x3a, 0x3a,
  0x63, 0x6c, 0x61, 0x73, 0x73, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3f, 0x64, 0x65, 0x66, 0x69, 0x6e,
  0x69, 0x74, 0x69, 0x6f, 0x6e, 0x3f, 0x0a, 0x23, 0x20, 0x41, 0x64, 0x64,
  0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x63, 0x6c, 0x61, 0x73, 0x73, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x2e, 0x0a,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x5f, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6f, 0x6f, 0x3a, 0x3a, 0x63, 0x6c, 0x61,
  0x73, 0x73, 0x20, 0x7b, 0x6f, 0x70, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x7b, 0x62, 0x6f, 0x64, 0x79, 0x20, 0x22, 0x22, 0x7d, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6f, 0x70,
  0x20, 0x65, 0x71, 0x20, 0x22, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x22,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x45, 0x6e,
  0x74, 0x72, 0x79, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d,
  0x6b, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5f, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x3a, 0x3a, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x63,
  0x6c, 0x61, 0x73, 0x73, 0x20, 0x7b, 0x6f, 0x70, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x7b, 0x62, 0x6f, 0x64, 0x79, 0x20, 0x22, 0x22, 0x7d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x6f, 0x70, 0x20, 0x65, 0x71, 0x20, 0x22, 0x63, 0x72, 0x65, 0x61, 0x74,
  0x65, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x45, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_auto_tcl_len = sizeof(__turbine_tcl_resource_auto_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/clock.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_clock_tcl:/usr/share/tcltk/tcl8.6/clock.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_clock_tcl[] = {
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x2e, 0x74, 0x63,
  0x6c, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x6f,
  0x72, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x5d, 0x20, 0x65, 0x6e,
  0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x61, 0x72, 0x65, 0x0a, 0x23, 0x09, 0x63, 0x6f, 0x64, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x54, 0x63, 0x6c, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x66,
  0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x73,
  0x65, 0x72, 0x73, 0x27, 0x20, 0x6d, 0x61, 0x6e, 0x75, 0x61, 0x6c, 0x20,
  0x74, 0x6f, 0x20, 0x73, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f,
  0x66, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20, 0x5b, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x5d, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x69, 0x74, 0x73, 0x20, 0x73, 0x75, 0x62, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67,
  0x68, 0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x32, 0x30, 0x30, 0x34, 0x2c,
  0x32, 0x30, 0x30, 0x35, 0x2c, 0x32, 0x30, 0x30, 0x36, 0x2c, 0x32, 0x30,
  0x30, 0x37, 0x20, 0x62, 0x79, 0x20, 0x4b, 0x65, 0x76, 0x69, 0x6e, 0x20,
  0x42, 0x2e, 0x20, 0x4b, 0x65, 0x6e, 0x6e, 0x79, 0x0a, 0x23, 0x20, 0x53,
  0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x22, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74, 0x65, 0x72,
  0x6d, 0x73, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e, 0x20, 0x75,
  0x73, 0x61, 0x67, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x64,
  0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x0a,
  0x23, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x61, 0x20, 0x44, 0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d, 0x45, 0x52,
  0x20, 0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41, 0x52, 0x52,
  0x41, 0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x23,
  0x20, 0x57, 0x65, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x68, 0x61, 0x76,
  0x65, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61,
  0x74, 0x61, 0x6c, 0x6f, 0x67, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x72, 0x6f, 0x6f, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64,
  0x0a, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72,
  0x79, 0x20, 0x6f, 0x6e, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73,
  0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x73, 0x2e, 0x0a, 0x0a, 0x75,
  0x70, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x5c, 0x23, 0x30, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x6d, 0x73, 0x67,
  0x63, 0x61, 0x74, 0x20, 0x31, 0x2e, 0x36, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f,
  0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x77,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68,
  0x20, 0x7b, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x72,
  0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73,
  0x74, 0x72, 0x79, 0x20, 0x31, 0x2e, 0x31, 0x20, 0x7d, 0x5d, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x4e, 0x6f, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72,
  0x79, 0x20, 0x7b, 0x7d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x50, 0x75, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x65, 0x6e, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x20, 0x73, 0x6f,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20,
  0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x63, 0x61, 0x6e, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x6d, 0x65,
  0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f,
  0x67, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x69, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x0a,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x20, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x4c, 0x69, 0x62, 0x44, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x5d, 0x5d,
  0x5d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4d, 0x61, 0x6e, 0x69,
  0x70, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x27, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x27, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x6d, 0x61, 0x6e, 0x69, 0x70, 0x75, 0x6c, 0x61, 0x74, 0x65,
  0x73, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x66,
  0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x73,
  0x65, 0x72, 0x20, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x0a, 0x23, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x61, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x79, 0x20, 0x64, 0x6f, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45,
  0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x75,
  0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20,
  0x63, 0x6c, 0x69, 0x63, 0x6b, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70,
  0x6f, 0x72, 0x74, 0x20, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72,
  0x74, 0x20, 0x6d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20,
  0x73, 0x63, 0x61, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72,
  0x74, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x61, 0x64, 0x64, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x6d, 0x70, 0x6f, 0x72, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
  0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77,
  0x65, 0x20, 0x75, 0x73, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x69, 0x6d,
  0x70, 0x6f, 0x72, 0x74, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61,
  0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x6c, 0x6f, 0x61, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67,
  0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x3a,
  0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x3a, 0x3a, 0x6d,
  0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x70, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x6e, 0x69,
  0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x20, 0x69, 0x6e,
  0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x27, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x27, 0x20,
  0x73, 0x75, 0x62, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65,
  0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x27,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65,
  0x27, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20,
  0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x0a,
  0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67,
  0x65, 0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x27, 0x20, 0x73, 0x75, 0x62, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x2e,
  0x20, 0x20, 0x49, 0x74, 0x20, 0x69, 0x73, 0x20, 0x62, 0x72, 0x6f, 0x6b,
  0x65, 0x6e, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x61, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x72, 0x61,
  0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x73, 0x69,
  0x6d, 0x70, 0x6c, 0x79, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x75, 0x61, 0x74,
  0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x69,
  0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x20,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x73, 0x2c, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x6e, 0x67, 0x65, 0x72,
  0x73, 0x20, 0x6f, 0x66, 0x20, 0x27, 0x63, 0x72, 0x65, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x20, 0x77, 0x72, 0x69, 0x74, 0x69, 0x6e, 0x67, 0x27, 0x20,
  0x61, 0x73, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x20, 0x42, 0x75, 0x67, 0x20,
  0x31, 0x31, 0x38, 0x35, 0x39, 0x33, 0x33, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x6e, 0x69, 0x74, 0x69,
  0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a,
  0x3a, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20,
  0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x4c, 0x69, 0x62, 0x44, 0x69, 0x72, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x66, 0x69, 0x6e,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x49, 0x6e, 0x69, 0x74, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x20, 0x7b,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x09, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x54, 0x5a,
  0x44, 0x61, 0x74, 0x61, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x54, 0x5a,
  0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x45, 0x74, 0x63, 0x2f, 0x47, 0x4d,
  0x54, 0x29, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x39, 0x32, 0x32, 0x33, 0x33, 0x37, 0x32, 0x30, 0x33, 0x36, 0x38, 0x35,
  0x34, 0x37, 0x37, 0x35, 0x38, 0x30, 0x38, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x47, 0x4d, 0x54, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x47, 0x4d, 0x54,
  0x29, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x45,
  0x74, 0x63, 0x2f, 0x47, 0x4d, 0x54, 0x29, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x45, 0x74, 0x63,
  0x2f, 0x55, 0x54, 0x43, 0x29, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x2d, 0x39, 0x32, 0x32, 0x33, 0x33, 0x37, 0x32, 0x30, 0x33,
  0x36, 0x38, 0x35, 0x34, 0x37, 0x37, 0x35, 0x38, 0x30, 0x38, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x55, 0x54, 0x43, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a,
  0x55, 0x54, 0x43, 0x29, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61,
  0x28, 0x3a, 0x45, 0x74, 0x63, 0x2f, 0x55, 0x54, 0x43, 0x29, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x29, 0x20, 0x7b,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x49, 0x6e, 0x69, 0x74, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x6d, 0x63, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67,
  0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x63, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x4c, 0x69,
  0x62, 0x44, 0x69, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x73, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a,
  0x3a, 0x6d, 0x63, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x63, 0x6f,
  0x6e, 0x66, 0x69, 0x67, 0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x63, 0x6d, 0x64, 0x20, 0x22, 0x22, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a,
  0x3a, 0x6d, 0x63, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x63, 0x6f,
  0x6e, 0x66, 0x69, 0x67, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x63, 0x6d, 0x64, 0x20, 0x43, 0x68, 0x61, 0x6e, 0x67,
  0x65, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65,
  0x66, 0x69, 0x6e, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x65, 0x73,
  0x73, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x6f, 0x6f,
  0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a,
  0x3a, 0x6d, 0x63, 0x6d, 0x73, 0x65, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x41, 0x4d, 0x20, 0x7b, 0x61, 0x6d, 0x7d, 0x0a, 0x09, 0x42,
  0x43, 0x45, 0x20, 0x7b, 0x42, 0x2e, 0x43, 0x2e, 0x45, 0x2e, 0x7d, 0x0a,
  0x09, 0x43, 0x45, 0x20, 0x7b, 0x43, 0x2e, 0x45, 0x2e, 0x7d, 0x0a, 0x09,
  0x44, 0x41, 0x54, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20,
  0x7b, 0x25, 0x6d, 0x2f, 0x25, 0x64, 0x2f, 0x25, 0x59, 0x7d, 0x0a, 0x09,
  0x44, 0x41, 0x54, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f,
  0x52, 0x4d, 0x41, 0x54, 0x20, 0x7b, 0x25, 0x61, 0x20, 0x25, 0x62, 0x20,
  0x25, 0x65, 0x20, 0x25, 0x48, 0x3a, 0x25, 0x4d, 0x3a, 0x25, 0x53, 0x20,
  0x25, 0x59, 0x7d, 0x0a, 0x09, 0x44, 0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46,
  0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f, 0x41, 0x42, 0x42, 0x52, 0x45, 0x56,
  0x09, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x53, 0x75, 0x6e, 0x20,
  0x4d, 0x6f, 0x6e, 0x20, 0x54, 0x75, 0x65, 0x20, 0x57, 0x65, 0x64, 0x20,
  0x54, 0x68, 0x75, 0x20, 0x46, 0x72, 0x69, 0x20, 0x53, 0x61, 0x74, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x44, 0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f,
  0x57, 0x45, 0x45, 0x4b, 0x5f, 0x46, 0x55, 0x4c, 0x4c, 0x09, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20,
  0x4d, 0x6f, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x54, 0x75, 0x65, 0x73, 0x64,
  0x61, 0x79, 0x20, 0x57, 0x65, 0x64, 0x6e, 0x65, 0x73, 0x64, 0x61, 0x79,
  0x20, 0x54, 0x68, 0x75, 0x72, 0x73, 0x64, 0x61, 0x79, 0x20, 0x46, 0x72,
  0x69, 0x64, 0x61, 0x79, 0x20, 0x53, 0x61, 0x74, 0x75, 0x72, 0x64, 0x61,
  0x79, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52,
  0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44,
  0x41, 0x54, 0x45, 0x09, 0x32, 0x32, 0x39, 0x39, 0x31, 0x36, 0x31, 0x0a,
  0x09, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x7b, 0x25, 0x6d, 0x2f,
  0x25, 0x64, 0x2f, 0x25, 0x59, 0x7d, 0x0a, 0x09, 0x4c, 0x4f, 0x43, 0x41,
  0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x7b, 0x25, 0x61, 0x20,
  0x25, 0x62, 0x20, 0x25, 0x65, 0x20, 0x25, 0x48, 0x3a, 0x25, 0x4d, 0x3a,
  0x25, 0x53, 0x20, 0x25, 0x59, 0x7d, 0x0a, 0x09, 0x4c, 0x4f, 0x43, 0x41,
  0x4c, 0x45, 0x5f, 0x45, 0x52, 0x41, 0x53, 0x20, 0x7b, 0x7d, 0x0a, 0x09,
  0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x4e, 0x55, 0x4d, 0x45, 0x52,
  0x41, 0x4c, 0x53, 0x09, 0x09, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x30, 0x30, 0x20, 0x30, 0x31, 0x20, 0x30, 0x32, 0x20, 0x30, 0x33, 0x20,
  0x30, 0x34, 0x20, 0x30, 0x35, 0x20, 0x30, 0x36, 0x20, 0x30, 0x37, 0x20,
  0x30, 0x38, 0x20, 0x30, 0x39, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x31,
  0x30, 0x20, 0x31, 0x31, 0x20, 0x31, 0x32, 0x20, 0x31, 0x33, 0x20, 0x31,
  0x34, 0x20, 0x31, 0x35, 0x20, 0x31, 0x36, 0x20, 0x31, 0x37, 0x20, 0x31,
  0x38, 0x20, 0x31, 0x39, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x32, 0x30,
  0x20, 0x32, 0x31, 0x20, 0x32, 0x32, 0x20, 0x32, 0x33, 0x20, 0x32, 0x34,
  0x20, 0x32, 0x35, 0x20, 0x32, 0x36, 0x20, 0x32, 0x37, 0x20, 0x32, 0x38,
  0x20, 0x32, 0x39, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x33, 0x30, 0x20,
  0x33, 0x31, 0x20, 0x33, 0x32, 0x20, 0x33, 0x33, 0x20, 0x33, 0x34, 0x20,
  0x33, 0x35, 0x20, 0x33, 0x36, 0x20, 0x33, 0x37, 0x20, 0x33, 0x38, 0x20,
  0x33, 0x39, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x34, 0x30, 0x20, 0x34,
  0x31, 0x20, 0x34, 0x32, 0x20, 0x34, 0x33, 0x20, 0x34, 0x34, 0x20, 0x34,
  0x35, 0x20, 0x34, 0x36, 0x20, 0x34, 0x37, 0x20, 0x34, 0x38, 0x20, 0x34,
  0x39, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x35, 0x30, 0x20, 0x35, 0x31,
  0x20, 0x35, 0x32, 0x20, 0x35, 0x33, 0x20, 0x35, 0x34, 0x20, 0x35, 0x35,
  0x20, 0x35, 0x36, 0x20, 0x35, 0x37, 0x20, 0x35, 0x38, 0x20, 0x35, 0x39,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x36, 0x30, 0x20, 0x36, 0x31, 0x20,
  0x36, 0x32, 0x20, 0x36, 0x33, 0x20, 0x36, 0x34, 0x20, 0x36, 0x35, 0x20,
  0x36, 0x36, 0x20, 0x36, 0x37, 0x20, 0x36, 0x38, 0x20, 0x36, 0x39, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x37, 0x30, 0x20, 0x37, 0x31, 0x20, 0x37,
  0x32, 0x20, 0x37, 0x33, 0x20, 0x37, 0x34, 0x20, 0x37, 0x35, 0x20, 0x37,
  0x36, 0x20, 0x37, 0x37, 0x20, 0x37, 0x38, 0x20, 0x37, 0x39, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x38, 0x30, 0x20, 0x38, 0x31, 0x20, 0x38, 0x32,
  0x20, 0x38, 0x33, 0x20, 0x38, 0x34, 0x20, 0x38, 0x35, 0x20, 0x38, 0x36,
  0x20, 0x38, 0x37, 0x20, 0x38, 0x38, 0x20, 0x38, 0x39, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x39, 0x30, 0x20, 0x39, 0x31, 0x20, 0x39, 0x32, 0x20,
  0x39, 0x33, 0x20, 0x39, 0x34, 0x20, 0x39, 0x35, 0x20, 0x39, 0x36, 0x20,
  0x39, 0x37, 0x20, 0x39, 0x38, 0x20, 0x39, 0x39, 0x0a, 0x09, 0x7d, 0x0a,
  0x09, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x7b, 0x25, 0x48, 0x3a,
  0x25, 0x4d, 0x3a, 0x25, 0x53, 0x7d, 0x0a, 0x09, 0x4c, 0x4f, 0x43, 0x41,
  0x4c, 0x45, 0x5f, 0x59, 0x45, 0x41, 0x52, 0x5f, 0x46, 0x4f, 0x52, 0x4d,
  0x41, 0x54, 0x20, 0x7b, 0x25, 0x45, 0x43, 0x25, 0x45, 0x79, 0x7d, 0x0a,
  0x09, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x41, 0x42, 0x42, 0x52,
  0x45, 0x56, 0x09, 0x09, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4a,
  0x61, 0x6e, 0x20, 0x46, 0x65, 0x62, 0x20, 0x4d, 0x61, 0x72, 0x20, 0x41,
  0x70, 0x72, 0x20, 0x4d, 0x61, 0x79, 0x20, 0x4a, 0x75, 0x6e, 0x20, 0x4a,
  0x75, 0x6c, 0x20, 0x41, 0x75, 0x67, 0x20, 0x53, 0x65, 0x70, 0x20, 0x4f,
  0x63, 0x74, 0x20, 0x4e, 0x6f, 0x76, 0x20, 0x44, 0x65, 0x63, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x46, 0x55,
  0x4c, 0x4c, 0x09, 0x09, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x09,
  0x4a, 0x61, 0x6e, 0x75, 0x61, 0x72, 0x79, 0x09, 0x09, 0x46, 0x65, 0x62,
  0x72, 0x75, 0x61, 0x72, 0x79, 0x09, 0x4d, 0x61, 0x72, 0x63, 0x68, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x09, 0x41, 0x70, 0x72, 0x69, 0x6c, 0x09,
  0x09, 0x4d, 0x61, 0x79, 0x09, 0x09, 0x4a, 0x75, 0x6e, 0x65, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x09, 0x4a, 0x75, 0x6c, 0x79, 0x09, 0x09, 0x41,
  0x75, 0x67, 0x75, 0x73, 0x74, 0x09, 0x09, 0x53, 0x65, 0x70, 0x74, 0x65,
  0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x4f, 0x63, 0x74, 0x6f, 0x62,
  0x65, 0x72, 0x09, 0x09, 0x4e, 0x6f, 0x76, 0x65, 0x6d, 0x62, 0x65, 0x72,
  0x09, 0x44, 0x65, 0x63, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x50, 0x4d, 0x20, 0x7b, 0x70, 0x6d, 0x7d, 0x0a, 0x09, 0x54,
  0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x7b,
  0x25, 0x48, 0x3a, 0x25, 0x4d, 0x3a, 0x25, 0x53, 0x7d, 0x0a, 0x09, 0x54,
  0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5f, 0x31,
  0x32, 0x20, 0x7b, 0x25, 0x49, 0x3a, 0x25, 0x4d, 0x3a, 0x25, 0x53, 0x20,
  0x25, 0x50, 0x7d, 0x0a, 0x09, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f,
  0x52, 0x4d, 0x41, 0x54, 0x5f, 0x32, 0x34, 0x20, 0x7b, 0x25, 0x48, 0x3a,
  0x25, 0x4d, 0x7d, 0x0a, 0x09, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f,
  0x52, 0x4d, 0x41, 0x54, 0x5f, 0x32, 0x34, 0x5f, 0x53, 0x45, 0x43, 0x53,
  0x20, 0x7b, 0x25, 0x48, 0x3a, 0x25, 0x4d, 0x3a, 0x25, 0x53, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x44, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x20, 0x61, 0x20, 0x66, 0x65,
  0x77, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x73,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x20, 0x49, 0x6e, 0x20,
  0x6d, 0x6f, 0x73, 0x74, 0x20, 0x63, 0x61, 0x73, 0x65, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x66, 0x6f, 0x6c,
  0x6c, 0x6f, 0x77, 0x73, 0x20, 0x61, 0x20, 0x6c, 0x61, 0x6e, 0x67, 0x75,
  0x61, 0x67, 0x65, 0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x20, 0x61, 0x20, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x27, 0x73, 0x20,
  0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x69, 0x65, 0x73, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x61, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x74, 0x73, 0x65, 0x6c, 0x66,
  0x2e, 0x20, 0x20, 0x49, 0x6e, 0x20, 0x6d, 0x61, 0x6e, 0x79, 0x20, 0x63,
  0x61, 0x73, 0x65, 0x73, 0x2c, 0x20, 0x64, 0x69, 0x66, 0x66, 0x65, 0x72,
  0x65, 0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64,
  0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x65,
  0x64, 0x3b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x6f, 0x6d, 0x69, 0x6e,
  0x61, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x75, 0x6c, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x20,
  0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x27, 0x73, 0x20, 0x63, 0x61, 0x70, 0x69, 0x74,
  0x61, 0x6c, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x74, 0x61, 0x6c, 0x79, 0x2c, 0x20, 0x53, 0x70, 0x61, 0x69, 0x6e, 0x2c,
  0x20, 0x50, 0x6f, 0x72, 0x74, 0x75, 0x67, 0x61, 0x6c, 0x2c, 0x20, 0x50,
  0x6f, 0x6c, 0x61, 0x6e, 0x64, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a,
  0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73,
  0x65, 0x74, 0x20, 0x69, 0x74, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52,
  0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44,
  0x41, 0x54, 0x45, 0x20, 0x32, 0x32, 0x39, 0x39, 0x31, 0x36, 0x31, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74,
  0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x65, 0x73, 0x20, 0x47,
  0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41,
  0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x32, 0x39,
  0x39, 0x31, 0x36, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d,
  0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x74, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41,
  0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x20, 0x32, 0x32, 0x39, 0x39, 0x31, 0x36, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6c, 0x20, 0x47, 0x52, 0x45,
  0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47,
  0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x32, 0x39, 0x39, 0x31,
  0x36, 0x31, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x46, 0x72,
  0x61, 0x6e, 0x63, 0x65, 0x2c, 0x20, 0x41, 0x75, 0x73, 0x74, 0x72, 0x69,
  0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67,
  0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x72, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f,
  0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20,
  0x32, 0x32, 0x39, 0x39, 0x32, 0x32, 0x37, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x42, 0x65, 0x6c, 0x67, 0x69,
  0x75, 0x6d, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f,
  0x77, 0x20, 0x53, 0x6f, 0x75, 0x74, 0x68, 0x65, 0x72, 0x6e, 0x20, 0x4e,
  0x65, 0x74, 0x68, 0x65, 0x72, 0x6c, 0x61, 0x6e, 0x64, 0x73, 0x3b, 0x20,
  0x4c, 0x69, 0x65, 0x67, 0x65, 0x20, 0x44, 0x69, 0x6f, 0x63, 0x65, 0x73,
  0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x73, 0x65, 0x76, 0x65, 0x72, 0x61, 0x6c, 0x20,
  0x77, 0x65, 0x65, 0x6b, 0x73, 0x20, 0x6c, 0x61, 0x74, 0x65, 0x72, 0x2e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63,
  0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x66, 0x72,
  0x5f, 0x42, 0x45, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41,
  0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x20, 0x32, 0x32, 0x39, 0x39, 0x32, 0x33, 0x38, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x6c, 0x5f, 0x42, 0x45, 0x20,
  0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48,
  0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x32,
  0x39, 0x39, 0x32, 0x33, 0x38, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x41, 0x75, 0x73, 0x74, 0x72, 0x69, 0x61, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x64, 0x65, 0x5f, 0x41, 0x54, 0x20,
  0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48,
  0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x32,
  0x39, 0x39, 0x35, 0x32, 0x37, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x48, 0x75, 0x6e, 0x67, 0x61, 0x72, 0x79, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x68, 0x75, 0x20, 0x47, 0x52, 0x45,
  0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47,
  0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x30, 0x31, 0x30,
  0x30, 0x34, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65,
  0x72, 0x6d, 0x61, 0x6e, 0x79, 0x2c, 0x20, 0x4e, 0x6f, 0x72, 0x77, 0x61,
  0x79, 0x2c, 0x20, 0x44, 0x65, 0x6e, 0x6d, 0x61, 0x72, 0x6b, 0x20, 0x28,
  0x43, 0x61, 0x74, 0x68, 0x6f, 0x6c, 0x69, 0x63, 0x20, 0x47, 0x65, 0x72,
  0x6d, 0x61, 0x6e, 0x79, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64,
  0x20, 0x65, 0x61, 0x72, 0x6c, 0x69, 0x65, 0x72, 0x29, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a,
  0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x64, 0x65, 0x5f, 0x44, 0x45,
  0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43,
  0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32,
  0x33, 0x34, 0x32, 0x30, 0x33, 0x32, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a,
  0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x62, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52,
  0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44,
  0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x34, 0x32, 0x30, 0x33, 0x32, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74,
  0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x6e, 0x20, 0x47,
  0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41,
  0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x34,
  0x32, 0x30, 0x33, 0x32, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d,
  0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x6f, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41,
  0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x20, 0x32, 0x33, 0x34, 0x32, 0x30, 0x33, 0x32, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x20, 0x47, 0x52, 0x45,
  0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47,
  0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x34, 0x32, 0x30,
  0x33, 0x32, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x48, 0x6f,
  0x6c, 0x6c, 0x61, 0x6e, 0x64, 0x20, 0x28, 0x42, 0x72, 0x61, 0x62, 0x61,
  0x6e, 0x74, 0x2c, 0x20, 0x47, 0x65, 0x6c, 0x64, 0x65, 0x72, 0x6c, 0x61,
  0x6e, 0x64, 0x2c, 0x20, 0x46, 0x6c, 0x61, 0x6e, 0x64, 0x65, 0x72, 0x73,
  0x2c, 0x20, 0x46, 0x72, 0x69, 0x65, 0x73, 0x6c, 0x61, 0x6e, 0x64, 0x2c,
  0x20, 0x65, 0x74, 0x63, 0x2e, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x64, 0x20, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73,
  0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67,
  0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x6c, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f,
  0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20,
  0x32, 0x33, 0x34, 0x32, 0x31, 0x36, 0x35, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x50, 0x72, 0x6f, 0x74, 0x65, 0x73, 0x74, 0x61, 0x6e,
  0x74, 0x20, 0x53, 0x77, 0x69, 0x74, 0x7a, 0x65, 0x72, 0x6c, 0x61, 0x6e,
  0x64, 0x20, 0x28, 0x43, 0x61, 0x74, 0x68, 0x6f, 0x6c, 0x69, 0x63, 0x20,
  0x63, 0x61, 0x6e, 0x74, 0x6f, 0x6e, 0x73, 0x20, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x64, 0x20, 0x65, 0x61, 0x72, 0x6c, 0x69, 0x65, 0x72, 0x29,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63,
  0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x66, 0x72,
  0x5f, 0x43, 0x48, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41,
  0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x20, 0x32, 0x33, 0x36, 0x31, 0x33, 0x34, 0x32, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x69, 0x74, 0x5f, 0x43, 0x48, 0x20,
  0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48,
  0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33,
  0x36, 0x31, 0x33, 0x34, 0x32, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a,
  0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x65, 0x5f, 0x43, 0x48, 0x20, 0x47, 0x52, 0x45, 0x47,
  0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45,
  0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x36, 0x31, 0x33, 0x34,
  0x32, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x6e, 0x67,
  0x6c, 0x69, 0x73, 0x68, 0x20, 0x73, 0x70, 0x65, 0x61, 0x6b, 0x69, 0x6e,
  0x67, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61,
  0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x20,
  0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48,
  0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33,
  0x36, 0x31, 0x32, 0x32, 0x32, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x53, 0x77, 0x65, 0x64, 0x65, 0x6e, 0x20, 0x28, 0x68, 0x61, 0x64,
  0x20, 0x73, 0x65, 0x76, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x74, 0x6f, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x6f, 0x66, 0x66, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63,
  0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x29, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a,
  0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x73, 0x76, 0x20, 0x47, 0x52, 0x45,
  0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47,
  0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x33, 0x36, 0x31, 0x33,
  0x39, 0x30, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x75,
  0x73, 0x73, 0x69, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a,
  0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65,
  0x74, 0x20, 0x72, 0x75, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49,
  0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41,
  0x54, 0x45, 0x20, 0x32, 0x34, 0x32, 0x31, 0x36, 0x33, 0x39, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x69,
  0x61, 0x20, 0x28, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x79, 0x6c, 0x76, 0x61,
  0x6e, 0x69, 0x61, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x20,
  0x65, 0x61, 0x72, 0x6c, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x70, 0x65, 0x72,
  0x68, 0x61, 0x70, 0x73, 0x20, 0x64, 0x65, 0x5f, 0x52, 0x4f, 0x20, 0x73,
  0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x73, 0x68, 0x6f, 0x77, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x61, 0x72,
  0x6c, 0x69, 0x65, 0x72, 0x20, 0x64, 0x61, 0x74, 0x65, 0x3f, 0x29, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61,
  0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x72, 0x6f, 0x20,
  0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48,
  0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x34,
  0x32, 0x32, 0x30, 0x36, 0x33, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x47, 0x72, 0x65, 0x65, 0x63, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d,
  0x63, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6c, 0x20, 0x47, 0x52, 0x45, 0x47,
  0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45,
  0x5f, 0x44, 0x41, 0x54, 0x45, 0x20, 0x32, 0x34, 0x32, 0x33, 0x34, 0x38,
  0x30, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x09, 0x09, 0x09, 0x09, 0x43, 0x4f, 0x4e, 0x53, 0x54, 0x41,
  0x4e, 0x54, 0x53, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x61, 0x74, 0x68, 0x73, 0x20, 0x61,
  0x74, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x62, 0x69, 0x6e, 0x61,
  0x72, 0x79, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x4f, 0x6c, 0x73, 0x6f, 0x6e, 0x20, 0x6c, 0x69, 0x62, 0x72,
  0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6b, 0x6e,
  0x6f, 0x77, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x6f,
  0x20, 0x72, 0x65, 0x73, 0x69, 0x64, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x6f, 0x70, 0x65, 0x72, 0x61,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x73,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x50,
  0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x7b, 0x0a, 0x09, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x73, 0x68, 0x61,
  0x72, 0x65, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x0a,
  0x09, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x2f,
  0x6c, 0x69, 0x62, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f,
  0x0a, 0x09, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x69, 0x62, 0x2f, 0x7a,
  0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x2f, 0x75, 0x73,
  0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x65, 0x74, 0x63, 0x2f,
  0x7a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66,
  0x6f, 0x50, 0x61, 0x74, 0x68, 0x73, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72,
  0x69, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x63,
  0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44,
  0x61, 0x74, 0x61, 0x44, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x4c, 0x69, 0x62, 0x44, 0x69,
  0x72, 0x20, 0x74, 0x7a, 0x64, 0x61, 0x74, 0x61, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x2c, 0x20, 0x69,
  0x6e, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44, 0x61, 0x79,
  0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x49, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x5c, 0x0a, 0x09, 0x7b, 0x20, 0x33, 0x31, 0x20, 0x32, 0x38,
  0x20, 0x33, 0x31, 0x20, 0x33, 0x30, 0x20, 0x33, 0x31, 0x20, 0x33, 0x30,
  0x20, 0x33, 0x31, 0x20, 0x33, 0x31, 0x20, 0x33, 0x30, 0x20, 0x33, 0x31,
  0x20, 0x33, 0x30, 0x20, 0x33, 0x31, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44, 0x61,
  0x79, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x49, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x5c, 0x0a, 0x09, 0x7b, 0x20, 0x33, 0x31, 0x20, 0x32, 0x39, 0x20,
  0x33, 0x31, 0x20, 0x33, 0x30, 0x20, 0x33, 0x31, 0x20, 0x33, 0x30, 0x20,
  0x33, 0x31, 0x20, 0x33, 0x31, 0x20, 0x33, 0x30, 0x20, 0x33, 0x31, 0x20,
  0x33, 0x30, 0x20, 0x33, 0x31, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44, 0x61, 0x79,
  0x73, 0x49, 0x6e, 0x50, 0x72, 0x69, 0x6f, 0x72, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x73, 0x49, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65,
  0x61, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x30, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x50, 0x72, 0x69, 0x6f, 0x72,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x49, 0x6e, 0x4c, 0x65, 0x61, 0x70,
  0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x30,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x6a, 0x20, 0x24, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x52,
  0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x49, 0x6e, 0x43,
  0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65, 0x61, 0x72, 0x20, 0x7b, 0x0a,
  0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x44, 0x61, 0x79,
  0x73, 0x49, 0x6e, 0x50, 0x72, 0x69, 0x6f, 0x72, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x73, 0x49, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65,
  0x61, 0x72, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x20, 0x24,
  0x6a, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6a, 0x20, 0x24,
  0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x49, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65,
  0x61, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x50, 0x72, 0x69, 0x6f,
  0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x49, 0x6e, 0x4c, 0x65, 0x61,
  0x70, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x69, 0x20, 0x24, 0x6a, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x6e, 0x6f, 0x74, 0x68,
  0x65, 0x72, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x20, 0x28, 0x48, 0x69,
  0x2c, 0x20, 0x4a, 0x65, 0x66, 0x66, 0x21, 0x29, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x52,
  0x6f, 0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72, 0x79, 0x20, 0x31,
  0x39, 0x34, 0x36, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65,
  0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x20,
  0x2d, 0x39, 0x32, 0x32, 0x33, 0x33, 0x37, 0x32, 0x30, 0x33, 0x36, 0x38,
  0x35, 0x34, 0x37, 0x37, 0x35, 0x38, 0x30, 0x38, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4d, 0x41,
  0x58, 0x57, 0x49, 0x44, 0x45, 0x20, 0x39, 0x32, 0x32, 0x33, 0x33, 0x37,
  0x32, 0x30, 0x33, 0x36, 0x38, 0x35, 0x34, 0x37, 0x37, 0x35, 0x38, 0x30,
  0x37, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x61, 0x79,
  0x20, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x4c, 0x65, 0x61, 0x70,
  0x20, 0x44, 0x61, 0x79, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x46, 0x45, 0x42, 0x5f, 0x32,
  0x38, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x35, 0x38, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x72, 0x61, 0x6e, 0x73,
  0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x57, 0x69, 0x6e, 0x64,
  0x6f, 0x77, 0x73, 0x20, 0x54, 0x5a, 0x49, 0x20, 0x6f, 0x6e, 0x74, 0x6f,
  0x20, 0x63, 0x69, 0x74, 0x69, 0x65, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4f, 0x6c, 0x73,
  0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x72, 0x75, 0x6c,
  0x65, 0x73, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x79,
  0x2e, 0x20, 0x20, 0x49, 0x6e, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20, 0x63,
  0x61, 0x73, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61, 0x70,
  0x70, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6d, 0x62, 0x69,
  0x67, 0x75, 0x6f, 0x75, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x69, 0x74,
  0x27, 0x73, 0x20, 0x77, 0x69, 0x73, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79,
  0x20, 0x24, 0x3a, 0x3a, 0x65, 0x6e, 0x76, 0x28, 0x54, 0x43, 0x4c, 0x5f,
  0x54, 0x5a, 0x29, 0x20, 0x72, 0x61, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74,
  0x68, 0x61, 0x6e, 0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x79, 0x20, 0x64,
  0x65, 0x70, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x6c, 0x6f, 0x6e, 0x67, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x6f, 0x62, 0x74,
  0x61, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2e, 0x20,
  0x20, 0x49, 0x6e, 0x20, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2c, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x61, 0x72, 0x65, 0x3a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x09, 0x42, 0x69, 0x61, 0x73, 0x20, 0x53, 0x74,
  0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x42, 0x69, 0x61, 0x73, 0x20, 0x44,
  0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x42, 0x69, 0x61, 0x73, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x53, 0x74, 0x61, 0x6e,
  0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x59, 0x65,
  0x61, 0x72, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x44,
  0x61, 0x74, 0x65, 0x2e, 0x77, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x53,
  0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x65, 0x2e,
  0x77, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64,
  0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x44, 0x61, 0x79,
  0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74,
  0x65, 0x2e, 0x77, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x53, 0x74, 0x61, 0x6e,
  0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x4d, 0x69,
  0x6e, 0x75, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20,
  0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74,
  0x65, 0x2e, 0x77, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x53, 0x74,
  0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77,
  0x4d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x44, 0x61, 0x79,
  0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74,
  0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61, 0x74, 0x65,
  0x2e, 0x77, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x44, 0x61, 0x79, 0x6c,
  0x69, 0x67, 0x68, 0x74, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x44, 0x61,
  0x79, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61,
  0x74, 0x65, 0x2e, 0x77, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x44, 0x61, 0x79,
  0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x77, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x20, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61,
  0x74, 0x65, 0x2e, 0x77, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x44,
  0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x44, 0x61, 0x74, 0x65, 0x2e,
  0x77, 0x4d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x20, 0x77,
  0x68, 0x65, 0x72, 0x65, 0x20, 0x74, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x72,
  0x75, 0x6c, 0x65, 0x73, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x79, 0x2e, 0x20,
  0x20, 0x54, 0x68, 0x65, 0x72, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x69, 0x64, 0x65, 0x72,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x75, 0x69,
  0x74, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x65, 0x72, 0x74, 0x61, 0x69,
  0x6e, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x3b, 0x20, 0x61, 0x6e, 0x20,
  0x61, 0x74, 0x74, 0x65, 0x6d, 0x70, 0x74, 0x20, 0x68, 0x61, 0x73, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x6d, 0x61, 0x64, 0x65, 0x20, 0x74, 0x6f,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x20,
  0x61, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x67, 0x75, 0x65, 0x73, 0x73, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20,
  0x74, 0x68, 0x69, 0x73, 0x20, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6e,
  0x65, 0x65, 0x64, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x74,
  0x61, 0x6b, 0x65, 0x6e, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x20,
  0x67, 0x72, 0x61, 0x69, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x6f, 0x66, 0x20, 0x73, 0x61, 0x6c, 0x74, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x57,
  0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x7b, 0x2a, 0x7d, 0x7b, 0x0a, 0x09, 0x7b, 0x2d, 0x34, 0x33, 0x32, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x50, 0x61, 0x63, 0x69,
  0x66, 0x69, 0x63, 0x2f, 0x4b, 0x77, 0x61, 0x6a, 0x61, 0x6c, 0x65, 0x69,
  0x6e, 0x0a, 0x09, 0x7b, 0x2d, 0x33, 0x39, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x09, 0x20, 0x3a, 0x50, 0x61, 0x63, 0x69, 0x66, 0x69, 0x63,
  0x2f, 0x4d, 0x69, 0x64, 0x77, 0x61, 0x79, 0x0a, 0x09, 0x7b, 0x2d, 0x33,
  0x36, 0x30, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x50,
  0x61, 0x63, 0x69, 0x66, 0x69, 0x63, 0x2f, 0x48, 0x6f, 0x6e, 0x6f, 0x6c,
  0x75, 0x6c, 0x75, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x2d, 0x33, 0x32, 0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20,
  0x30, 0x20, 0x32, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x41, 0x6e,
  0x63, 0x68, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x32, 0x38, 0x38, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20,
  0x30, 0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x32, 0x20, 0x32, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63,
  0x61, 0x2f, 0x4c, 0x6f, 0x73, 0x5f, 0x41, 0x6e, 0x67, 0x65, 0x6c, 0x65,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x32, 0x38, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x34, 0x20, 0x30, 0x20,
  0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a,
  0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x54, 0x69, 0x6a, 0x75,
  0x61, 0x6e, 0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x2d, 0x32, 0x35, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20,
  0x30, 0x20, 0x32, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x44, 0x65,
  0x6e, 0x76, 0x65, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x2d, 0x32, 0x35, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x34,
  0x20, 0x30, 0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x7d, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x43,
  0x68, 0x69, 0x68, 0x75, 0x61, 0x68, 0x75, 0x61, 0x0a, 0x09, 0x7b, 0x2d,
  0x32, 0x35, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a,
  0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x50, 0x68, 0x6f, 0x65,
  0x6e, 0x69, 0x78, 0x0a, 0x09, 0x7b, 0x2d, 0x32, 0x31, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69,
  0x63, 0x61, 0x2f, 0x52, 0x65, 0x67, 0x69, 0x6e, 0x61, 0x0a, 0x09, 0x7b,
  0x2d, 0x32, 0x31, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30,
  0x20, 0x32, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20,
  0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x43, 0x68, 0x69,
  0x63, 0x61, 0x67, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x2d, 0x32, 0x31, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x34,
  0x20, 0x30, 0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x7d, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x4d,
  0x65, 0x78, 0x69, 0x63, 0x6f, 0x5f, 0x43, 0x69, 0x74, 0x79, 0x0a, 0x09,
  0x7b, 0x2d, 0x31, 0x38, 0x30, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20,
  0x30, 0x20, 0x32, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x4e, 0x65,
  0x77, 0x5f, 0x59, 0x6f, 0x72, 0x6b, 0x0a, 0x09, 0x7b, 0x2d, 0x31, 0x38,
  0x30, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x49, 0x6e, 0x64, 0x69, 0x61, 0x6e,
  0x61, 0x70, 0x6f, 0x6c, 0x69, 0x73, 0x0a, 0x09, 0x7b, 0x2d, 0x31, 0x34,
  0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x43, 0x61, 0x72, 0x61, 0x63, 0x61,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x31, 0x34, 0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x36, 0x20, 0x32, 0x20, 0x32, 0x33, 0x20,
  0x35, 0x39, 0x20, 0x35, 0x39, 0x20, 0x39, 0x39, 0x39, 0x20, 0x30, 0x20,
  0x31, 0x30, 0x20, 0x36, 0x20, 0x32, 0x20, 0x32, 0x33, 0x20, 0x35, 0x39,
  0x20, 0x35, 0x39, 0x20, 0x39, 0x39, 0x39, 0x7d, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63,
  0x61, 0x2f, 0x53, 0x61, 0x6e, 0x74, 0x69, 0x61, 0x67, 0x6f, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x31, 0x34, 0x34,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a, 0x41, 0x6d, 0x65,
  0x72, 0x69, 0x63, 0x61, 0x2f, 0x4d, 0x61, 0x6e, 0x61, 0x75, 0x73, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d, 0x31, 0x34,
  0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x31, 0x31, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x32, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a, 0x41, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x48, 0x61, 0x6c, 0x69, 0x66, 0x61,
  0x78, 0x0a, 0x09, 0x7b, 0x2d, 0x31, 0x32, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30,
  0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x34, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x7d, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61,
  0x2f, 0x53, 0x74, 0x5f, 0x4a, 0x6f, 0x68, 0x6e, 0x73, 0x0a, 0x09, 0x7b,
  0x2d, 0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x32, 0x20, 0x30, 0x20, 0x32, 0x20, 0x32, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20,
  0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x53, 0x61, 0x6f,
  0x5f, 0x50, 0x61, 0x75, 0x6c, 0x6f, 0x0a, 0x09, 0x7b, 0x2d, 0x31, 0x30,
  0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x34, 0x20, 0x30, 0x20, 0x31, 0x20,
  0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a, 0x41, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x47, 0x6f, 0x64, 0x74, 0x68, 0x61,
  0x62, 0x0a, 0x09, 0x7b, 0x2d, 0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61,
  0x2f, 0x42, 0x75, 0x65, 0x6e, 0x6f, 0x73, 0x5f, 0x41, 0x69, 0x72, 0x65,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x32, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x31, 0x31, 0x20, 0x30, 0x20,
  0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a,
  0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x42, 0x61, 0x68, 0x69,
  0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x2d,
  0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x32, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20,
  0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x3a,
  0x41, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x4d, 0x6f, 0x6e, 0x74,
  0x65, 0x76, 0x69, 0x64, 0x65, 0x6f, 0x0a, 0x09, 0x7b, 0x2d, 0x37, 0x32,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x39, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x4e, 0x6f, 0x72, 0x6f, 0x6e, 0x68,
  0x61, 0x0a, 0x09, 0x7b, 0x2d, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20,
  0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x74, 0x6c, 0x61, 0x6e, 0x74, 0x69,
  0x63, 0x2f, 0x41, 0x7a, 0x6f, 0x72, 0x65, 0x73, 0x0a, 0x09, 0x7b, 0x2d,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a,
  0x41, 0x74, 0x6c, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x2f, 0x43, 0x61, 0x70,
  0x65, 0x5f, 0x56, 0x65, 0x72, 0x64, 0x65, 0x0a, 0x09, 0x7b, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x55,
  0x54, 0x43, 0x0a, 0x09, 0x7b, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30,
  0x20, 0x35, 0x20, 0x31, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x45, 0x75, 0x72, 0x6f, 0x70, 0x65,
  0x2f, 0x4c, 0x6f, 0x6e, 0x64, 0x6f, 0x6e, 0x0a, 0x09, 0x7b, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x41,
  0x66, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x4b, 0x69, 0x6e, 0x73, 0x68, 0x61,
  0x73, 0x61, 0x0a, 0x09, 0x7b, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20,
  0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x43, 0x45, 0x54, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x66, 0x72, 0x69,
  0x63, 0x61, 0x2f, 0x48, 0x61, 0x72, 0x61, 0x72, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x39, 0x20, 0x34,
  0x20, 0x35, 0x20, 0x32, 0x33, 0x20, 0x35, 0x39, 0x20, 0x35, 0x39, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x34, 0x20, 0x34, 0x20, 0x35, 0x20, 0x32, 0x33,
  0x20, 0x35, 0x39, 0x20, 0x35, 0x39, 0x20, 0x30, 0x7d, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x3a, 0x41, 0x66, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x43, 0x61, 0x69, 0x72,
  0x6f, 0x0a, 0x09, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x34, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x7d, 0x20, 0x20, 0x20, 0x3a, 0x45, 0x75, 0x72, 0x6f, 0x70, 0x65, 0x2f,
  0x48, 0x65, 0x6c, 0x73, 0x69, 0x6e, 0x6b, 0x69, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x39, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x35, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f,
  0x4a, 0x65, 0x72, 0x75, 0x73, 0x61, 0x6c, 0x65, 0x6d, 0x0a, 0x09, 0x7b,
  0x37, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x39, 0x20, 0x30, 0x20, 0x35, 0x20, 0x31, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x20,
  0x3a, 0x45, 0x75, 0x72, 0x6f, 0x70, 0x65, 0x2f, 0x42, 0x75, 0x63, 0x68,
  0x61, 0x72, 0x65, 0x73, 0x74, 0x0a, 0x09, 0x7b, 0x37, 0x32, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x45, 0x75, 0x72,
  0x6f, 0x70, 0x65, 0x2f, 0x41, 0x74, 0x68, 0x65, 0x6e, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x37, 0x32, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x39, 0x20,
  0x35, 0x20, 0x35, 0x20, 0x31, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x20, 0x34, 0x20, 0x35, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69,
  0x61, 0x2f, 0x41, 0x6d, 0x6d, 0x61, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x36, 0x20,
  0x35, 0x20, 0x32, 0x33, 0x20, 0x35, 0x39, 0x20, 0x35, 0x39, 0x20, 0x39,
  0x39, 0x39, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x42, 0x65,
  0x69, 0x72, 0x75, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x37, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x2d, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x34, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x39, 0x20, 0x30,
  0x20, 0x31, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20,
  0x20, 0x20, 0x3a, 0x41, 0x66, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x57, 0x69,
  0x6e, 0x64, 0x68, 0x6f, 0x65, 0x6b, 0x0a, 0x09, 0x7b, 0x31, 0x30, 0x38,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73,
  0x69, 0x61, 0x2f, 0x52, 0x69, 0x79, 0x61, 0x64, 0x68, 0x0a, 0x09, 0x7b,
  0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x31, 0x20, 0x34, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x34, 0x20, 0x30, 0x20,
  0x31, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20,
  0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x42, 0x61, 0x67, 0x68, 0x64, 0x61,
  0x64, 0x0a, 0x09, 0x7b, 0x31, 0x30, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20,
  0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x3a, 0x45, 0x75, 0x72, 0x6f, 0x70, 0x65, 0x2f,
  0x4d, 0x6f, 0x73, 0x63, 0x6f, 0x77, 0x0a, 0x09, 0x7b, 0x31, 0x32, 0x36,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x39, 0x20, 0x32, 0x20, 0x34, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73,
  0x69, 0x61, 0x2f, 0x54, 0x65, 0x68, 0x72, 0x61, 0x6e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x31, 0x34, 0x34, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x35, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x34, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x42, 0x61, 0x6b, 0x75, 0x0a, 0x09, 0x7b, 0x31, 0x34, 0x34, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69,
  0x61, 0x2f, 0x4d, 0x75, 0x73, 0x63, 0x61, 0x74, 0x0a, 0x09, 0x7b, 0x31,
  0x34, 0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a,
  0x41, 0x73, 0x69, 0x61, 0x2f, 0x54, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x69,
  0x0a, 0x09, 0x7b, 0x31, 0x36, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x4b, 0x61, 0x62,
  0x75, 0x6c, 0x0a, 0x09, 0x7b, 0x31, 0x38, 0x30, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x4b,
  0x61, 0x72, 0x61, 0x63, 0x68, 0x69, 0x0a, 0x09, 0x7b, 0x31, 0x38, 0x30,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x73,
  0x69, 0x61, 0x2f, 0x59, 0x65, 0x6b, 0x61, 0x74, 0x65, 0x72, 0x69, 0x6e,
  0x62, 0x75, 0x72, 0x67, 0x0a, 0x09, 0x7b, 0x31, 0x39, 0x38, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x43, 0x61, 0x6c, 0x63, 0x75, 0x74, 0x74, 0x61, 0x0a, 0x09, 0x7b,
  0x32, 0x30, 0x37, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20,
  0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x4b, 0x61, 0x74, 0x6d, 0x61, 0x6e,
  0x64, 0x75, 0x0a, 0x09, 0x7b, 0x32, 0x31, 0x36, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x44,
  0x68, 0x61, 0x6b, 0x61, 0x0a, 0x09, 0x7b, 0x32, 0x31, 0x36, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x4e, 0x6f, 0x76, 0x6f, 0x73, 0x69, 0x62, 0x69, 0x72, 0x73, 0x6b,
  0x0a, 0x09, 0x7b, 0x32, 0x33, 0x34, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x52, 0x61, 0x6e,
  0x67, 0x6f, 0x6f, 0x6e, 0x0a, 0x09, 0x7b, 0x32, 0x35, 0x32, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x42, 0x61, 0x6e, 0x67, 0x6b, 0x6f, 0x6b, 0x0a, 0x09, 0x7b, 0x32,
  0x35, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a,
  0x41, 0x73, 0x69, 0x61, 0x2f, 0x4b, 0x72, 0x61, 0x73, 0x6e, 0x6f, 0x79,
  0x61, 0x72, 0x73, 0x6b, 0x0a, 0x09, 0x7b, 0x32, 0x38, 0x38, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x43, 0x68, 0x6f, 0x6e, 0x67, 0x71, 0x69, 0x6e, 0x67, 0x0a, 0x09,
  0x7b, 0x32, 0x38, 0x38, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30,
  0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20, 0x30,
  0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20,
  0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x49, 0x72, 0x6b, 0x75, 0x74,
  0x73, 0x6b, 0x0a, 0x09, 0x7b, 0x33, 0x32, 0x34, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x54,
  0x6f, 0x6b, 0x79, 0x6f, 0x0a, 0x09, 0x7b, 0x33, 0x32, 0x34, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61,
  0x2f, 0x59, 0x61, 0x6b, 0x75, 0x74, 0x73, 0x6b, 0x0a, 0x09, 0x7b, 0x33,
  0x34, 0x32, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a,
  0x41, 0x75, 0x73, 0x74, 0x72, 0x61, 0x6c, 0x69, 0x61, 0x2f, 0x41, 0x64,
  0x65, 0x6c, 0x61, 0x69, 0x64, 0x65, 0x0a, 0x09, 0x7b, 0x33, 0x34, 0x32,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x75,
  0x73, 0x74, 0x72, 0x61, 0x6c, 0x69, 0x61, 0x2f, 0x44, 0x61, 0x72, 0x77,
  0x69, 0x6e, 0x0a, 0x09, 0x7b, 0x33, 0x36, 0x30, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x41, 0x75, 0x73, 0x74, 0x72, 0x61,
  0x6c, 0x69, 0x61, 0x2f, 0x42, 0x72, 0x69, 0x73, 0x62, 0x61, 0x6e, 0x65,
  0x0a, 0x09, 0x7b, 0x33, 0x36, 0x30, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35,
  0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30,
  0x7d, 0x20, 0x20, 0x3a, 0x41, 0x73, 0x69, 0x61, 0x2f, 0x56, 0x6c, 0x61,
  0x64, 0x69, 0x76, 0x6f, 0x73, 0x74, 0x6f, 0x6b, 0x0a, 0x09, 0x7b, 0x33,
  0x36, 0x30, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x30, 0x20, 0x33, 0x20, 0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x31,
  0x20, 0x32, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a,
  0x41, 0x75, 0x73, 0x74, 0x72, 0x61, 0x6c, 0x69, 0x61, 0x2f, 0x48, 0x6f,
  0x62, 0x61, 0x72, 0x74, 0x0a, 0x09, 0x7b, 0x33, 0x36, 0x30, 0x30, 0x30,
  0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x20,
  0x30, 0x20, 0x35, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x35, 0x20, 0x32, 0x20, 0x30,
  0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x41, 0x75, 0x73, 0x74,
  0x72, 0x61, 0x6c, 0x69, 0x61, 0x2f, 0x53, 0x79, 0x64, 0x6e, 0x65, 0x79,
  0x0a, 0x09, 0x7b, 0x33, 0x39, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d,
  0x20, 0x20, 0x20, 0x3a, 0x50, 0x61, 0x63, 0x69, 0x66, 0x69, 0x63, 0x2f,
  0x4e, 0x6f, 0x75, 0x6d, 0x65, 0x61, 0x0a, 0x09, 0x7b, 0x34, 0x33, 0x32,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x33, 0x20, 0x30, 0x20, 0x33, 0x20, 0x33, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x31, 0x30, 0x20, 0x30, 0x20, 0x31, 0x20, 0x32,
  0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x3a, 0x50, 0x61,
  0x63, 0x69, 0x66, 0x69, 0x63, 0x2f, 0x41, 0x75, 0x63, 0x6b, 0x6c, 0x61,
  0x6e, 0x64, 0x0a, 0x09, 0x7b, 0x34, 0x33, 0x32, 0x30, 0x30, 0x20, 0x30,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x50, 0x61, 0x63, 0x69, 0x66, 0x69,
  0x63, 0x2f, 0x46, 0x69, 0x6a, 0x69, 0x0a, 0x09, 0x7b, 0x34, 0x36, 0x38,
  0x30, 0x30, 0x20, 0x30, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x20,
  0x30, 0x20, 0x30, 0x20, 0x30, 0x7d, 0x20, 0x20, 0x20, 0x3a, 0x50, 0x61,
  0x63, 0x69, 0x66, 0x69, 0x63, 0x2f, 0x54, 0x6f, 0x6e, 0x67, 0x61, 0x74,
  0x61, 0x70, 0x75, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73,
  0x20, 0x6f, 0x66, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2c, 0x20, 0x70, 0x72,
  0x69, 0x6f, 0x72, 0x69, 0x74, 0x69, 0x65, 0x73, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x62, 0x75, 0x72, 0x73, 0x74,
  0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e, 0x75,
  0x6d, 0x62, 0x65, 0x72, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74,
  0x68, 0x6f, 0x73, 0x65, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x2e,
  0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x5d, 0x20, 0x77, 0x69, 0x6c,
  0x6c, 0x20, 0x63, 0x68, 0x6f, 0x6f, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x68, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74, 0x20, 0x70, 0x72, 0x69,
  0x6f, 0x72, 0x69, 0x74, 0x79, 0x20, 0x28, 0x6c, 0x6f, 0x77, 0x65, 0x73,
  0x74, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x65, 0x64, 0x29, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x44, 0x61, 0x74, 0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x7b, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x7d, 0x20, 0x30, 0x20, 0x7b,
  0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x44, 0x61, 0x79, 0x20, 0x7d, 0x20, 0x31, 0x20, 0x7b, 0x7d, 0x0a, 0x0a,
  0x09, 0x7b, 0x20, 0x65, 0x72, 0x61, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75,
  0x72, 0x79, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e,
  0x74, 0x75, 0x72, 0x79, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x7d, 0x20,
  0x32, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20,
  0x31, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x63, 0x65,
  0x6e, 0x74, 0x75, 0x72, 0x79, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f,
  0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09,
  0x7b, 0x20, 0x65, 0x72, 0x61, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74,
  0x75, 0x72, 0x79, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x7d, 0x20, 0x32, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x20, 0x31, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x5d, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65,
  0x6e, 0x74, 0x75, 0x72, 0x79, 0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61,
  0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72,
  0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67,
  0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09,
  0x7b, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x7d, 0x20, 0x33, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43, 0x45,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x31, 0x30, 0x30,
  0x20, 0x2a, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75,
  0x72, 0x79, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x5d, 0x20,
  0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c,
  0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72,
  0x61, 0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x61,
  0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f,
  0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x63,
  0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f,
  0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x7d, 0x20, 0x33, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20,
  0x43, 0x45, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x31,
  0x30, 0x30, 0x20, 0x2a, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x63, 0x65, 0x6e,
  0x74, 0x75, 0x72, 0x79, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79,
  0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d,
  0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72,
  0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x69,
  0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x4f, 0x66,
  0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x64, 0x61, 0x79, 0x4f,
  0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x7d, 0x20, 0x33, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43,
  0x45, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f,
  0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x31, 0x30, 0x30,
  0x20, 0x2a, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36,
  0x30, 0x31, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x5d, 0x0a, 0x09,
  0x09, 0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e,
  0x74, 0x75, 0x72, 0x79, 0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b,
  0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79,
  0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x57,
  0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a,
  0x0a, 0x09, 0x7b, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65,
  0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x7d,
  0x20, 0x34, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x54, 0x77, 0x6f, 0x44, 0x69, 0x67, 0x69,
  0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d,
  0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43,
  0x45, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61,
  0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x61, 0x79,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76,
  0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x7d, 0x20,
  0x34, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x72, 0x65, 0x74, 0x54, 0x77, 0x6f, 0x44, 0x69, 0x67, 0x69, 0x74,
  0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20,
  0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43, 0x45,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59,
  0x65, 0x61, 0x72, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x7b, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59,
  0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79,
  0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x7d,
  0x20, 0x34, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x54, 0x77, 0x6f, 0x44, 0x69, 0x67, 0x69,
  0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x24, 0x62, 0x61, 0x73,
  0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72,
  0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x69, 0x73,
  0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43, 0x45,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59,
  0x65, 0x61, 0x72, 0x57, 0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x7d, 0x20, 0x35, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x41, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65,
  0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72,
  0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x64, 0x61, 0x79, 0x4f,
  0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x7d, 0x20, 0x35, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x5b, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73,
  0x65, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x62, 0x61, 0x73,
  0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f,
  0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d,
  0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36,
  0x30, 0x31, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66,
  0x57, 0x65, 0x65, 0x6b, 0x20, 0x7d, 0x20, 0x35, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65,
  0x49, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20,
  0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61,
  0x72, 0x57, 0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x7d, 0x20, 0x36, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x62, 0x61, 0x73,
  0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f,
  0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d,
  0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67,
  0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09,
  0x7b, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20,
  0x7d, 0x20, 0x37, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x41, 0x73, 0x73,
  0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x57, 0x65, 0x65, 0x6b, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20,
  0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61,
  0x72, 0x57, 0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x7d, 0x20, 0x38, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x2c, 0x20, 0x70, 0x72, 0x69, 0x6f,
  0x72, 0x69, 0x74, 0x69, 0x65, 0x73, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x69, 0x6d,
  0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x20, 0x7b, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x31, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x68,
  0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50, 0x4d, 0x20, 0x6d, 0x69, 0x6e, 0x75,
  0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x61, 0x6d,
  0x50, 0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x20,
  0x7d, 0x20, 0x32, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79,
  0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48,
  0x4d, 0x53, 0x50, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x6d, 0x69,
  0x6e, 0x75, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20,
  0x7d, 0x20, 0x32, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79,
  0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48,
  0x4d, 0x53, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x09, 0x7d,
  0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50,
  0x4d, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x61, 0x6d, 0x50,
  0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x20, 0x7d,
  0x20, 0x33, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66,
  0x44, 0x61, 0x79, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x48, 0x4d, 0x53, 0x50, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x68, 0x6f, 0x75, 0x72,
  0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x7d, 0x20, 0x33, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79,
  0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48,
  0x4d, 0x53, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x09, 0x7d,
  0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50,
  0x4d, 0x20, 0x61, 0x6d, 0x50, 0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63, 0x61,
  0x74, 0x6f, 0x72, 0x20, 0x7d, 0x20, 0x34, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20,
  0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79,
  0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48,
  0x4d, 0x53, 0x50, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x7b, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x7d, 0x20,
  0x34, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x30, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x48, 0x4d, 0x53, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x7b, 0x20, 0x7d,
  0x20, 0x35, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x20,
  0x30, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4c, 0x65, 0x67, 0x61, 0x63, 0x79,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x2c,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x70, 0x72, 0x69, 0x6d, 0x61, 0x72,
  0x69, 0x6c, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x70, 0x61, 0x72, 0x73,
  0x69, 0x6e, 0x67, 0x20, 0x52, 0x46, 0x43, 0x38, 0x32, 0x32, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4c, 0x65, 0x67, 0x61,
  0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x5c, 0x0a, 0x09, 0x67, 0x6d, 0x74, 0x09, 0x2b, 0x30, 0x30, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x75, 0x74, 0x09, 0x2b, 0x30, 0x30, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x75, 0x74, 0x63, 0x09, 0x2b, 0x30, 0x30, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x62, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x31,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x77, 0x65, 0x74, 0x09, 0x2b, 0x30,
  0x30, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x77, 0x61, 0x74, 0x09, 0x2d,
  0x30, 0x31, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x61, 0x74, 0x09, 0x2d,
  0x30, 0x32, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x66, 0x74, 0x09,
  0x2d, 0x30, 0x33, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x73, 0x74,
  0x09, 0x2d, 0x30, 0x33, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x64,
  0x74, 0x09, 0x2d, 0x30, 0x32, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x61,
  0x73, 0x74, 0x09, 0x2d, 0x30, 0x34, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x61, 0x64, 0x74, 0x09, 0x2d, 0x30, 0x33, 0x30, 0x30, 0x20, 0x5c, 0x0a,
  0x09, 0x65, 0x73, 0x74, 0x09, 0x2d, 0x30, 0x35, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x65, 0x64, 0x74, 0x09, 0x2d, 0x30, 0x34, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x09, 0x63, 0x73, 0x74, 0x09, 0x2d, 0x30, 0x36, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x63, 0x64, 0x74, 0x09, 0x2d, 0x30, 0x35, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6d, 0x73, 0x74, 0x09, 0x2d, 0x30, 0x37,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6d, 0x64, 0x74, 0x09, 0x2d, 0x30,
  0x36, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x70, 0x73, 0x74, 0x09, 0x2d,
  0x30, 0x38, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x70, 0x64, 0x74, 0x09,
  0x2d, 0x30, 0x37, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x79, 0x73, 0x74,
  0x09, 0x2d, 0x30, 0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x79, 0x64,
  0x74, 0x09, 0x2d, 0x30, 0x38, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x68,
  0x73, 0x74, 0x09, 0x2d, 0x31, 0x30, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x68, 0x64, 0x74, 0x09, 0x2d, 0x30, 0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a,
  0x09, 0x63, 0x61, 0x74, 0x09, 0x2d, 0x31, 0x30, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x61, 0x68, 0x73, 0x74, 0x09, 0x2d, 0x31, 0x30, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x74, 0x09, 0x2d, 0x31, 0x31, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x69, 0x64, 0x6c, 0x77, 0x09, 0x2d, 0x31, 0x32,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x63, 0x65, 0x74, 0x09, 0x2b, 0x30,
  0x31, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x63, 0x65, 0x73, 0x74, 0x09,
  0x2b, 0x30, 0x32, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6d, 0x65, 0x74,
  0x09, 0x2b, 0x30, 0x31, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6d, 0x65,
  0x77, 0x74, 0x09, 0x2b, 0x30, 0x31, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x6d, 0x65, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x32, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x73, 0x77, 0x74, 0x09, 0x2b, 0x30, 0x31, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x09, 0x73, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x32, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x66, 0x77, 0x74, 0x09, 0x2b, 0x30, 0x31, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x66, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x32,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x65, 0x65, 0x74, 0x09, 0x2b, 0x30,
  0x32, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x65, 0x65, 0x73, 0x74, 0x09,
  0x2b, 0x30, 0x33, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x62, 0x74, 0x09,
  0x2b, 0x30, 0x33, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x69, 0x74, 0x09,
  0x2b, 0x30, 0x33, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x7a, 0x70, 0x34,
  0x09, 0x2b, 0x30, 0x34, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x7a, 0x70,
  0x35, 0x09, 0x2b, 0x30, 0x35, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x69,
  0x73, 0x74, 0x09, 0x2b, 0x30, 0x35, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x7a, 0x70, 0x36, 0x09, 0x2b, 0x30, 0x36, 0x30, 0x30, 0x20, 0x5c, 0x0a,
  0x09, 0x77, 0x61, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x37, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x09, 0x77, 0x61, 0x64, 0x74, 0x09, 0x2b, 0x30, 0x38, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6a, 0x74, 0x09, 0x2b, 0x30, 0x37, 0x33,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x63, 0x63, 0x74, 0x09, 0x2b, 0x30, 0x38,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6a, 0x73, 0x74, 0x09, 0x2b, 0x30,
  0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6b, 0x73, 0x74, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x2b, 0x30, 0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x63, 0x61, 0x73, 0x74, 0x09, 0x2b, 0x30, 0x39, 0x33, 0x30, 0x20, 0x5c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6a, 0x64, 0x74,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x31, 0x30, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6b, 0x64, 0x74,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x31, 0x30, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x63, 0x61, 0x64, 0x74, 0x09, 0x2b, 0x31, 0x30, 0x33, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x65, 0x61, 0x73, 0x74, 0x09, 0x2b, 0x31, 0x30,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x65, 0x61, 0x64, 0x74, 0x09, 0x2b,
  0x31, 0x30, 0x33, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x67, 0x73, 0x74, 0x09,
  0x2b, 0x31, 0x30, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x7a, 0x74,
  0x09, 0x2b, 0x31, 0x32, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x7a,
  0x73, 0x74, 0x09, 0x2b, 0x31, 0x32, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x6e, 0x7a, 0x64, 0x74, 0x09, 0x2b, 0x31, 0x33, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x69, 0x64, 0x6c, 0x65, 0x09, 0x2b, 0x31, 0x32, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x61, 0x09, 0x2b, 0x30, 0x31, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x09, 0x62, 0x09, 0x2b, 0x30, 0x32, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x63, 0x09, 0x2b, 0x30, 0x33, 0x30, 0x30, 0x20, 0x5c, 0x0a,
  0x09, 0x64, 0x09, 0x2b, 0x30, 0x34, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x65, 0x09, 0x2b, 0x30, 0x35, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x66,
  0x09, 0x2b, 0x30, 0x36, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x67, 0x09,
  0x2b, 0x30, 0x37, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x68, 0x09, 0x2b,
  0x30, 0x38, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x69, 0x09, 0x2b, 0x30,
  0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6b, 0x09, 0x2b, 0x31, 0x30,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6c, 0x09, 0x2b, 0x31, 0x31, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x6d, 0x09, 0x2b, 0x31, 0x32, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x6e, 0x09, 0x2d, 0x30, 0x31, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x09, 0x6f, 0x09, 0x2d, 0x30, 0x32, 0x30, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x70, 0x09, 0x2d, 0x30, 0x33, 0x30, 0x30, 0x20, 0x5c, 0x0a,
  0x09, 0x71, 0x09, 0x2d, 0x30, 0x34, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09,
  0x72, 0x09, 0x2d, 0x30, 0x35, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x73,
  0x09, 0x2d, 0x30, 0x36, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x74, 0x09,
  0x2d, 0x30, 0x37, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x75, 0x09, 0x2d,
  0x30, 0x38, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x76, 0x09, 0x2d, 0x30,
  0x39, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x77, 0x09, 0x2d, 0x31, 0x30,
  0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x78, 0x09, 0x2d, 0x31, 0x31, 0x30,
  0x30, 0x20, 0x5c, 0x0a, 0x09, 0x79, 0x09, 0x2d, 0x31, 0x32, 0x30, 0x30,
  0x20, 0x5c, 0x0a, 0x09, 0x7a, 0x09, 0x2b, 0x30, 0x30, 0x30, 0x30, 0x20,
  0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x73, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61,
  0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x7b, 0x7d, 0x3b, 0x09, 0x23,
  0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20,
  0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x70, 0x61, 0x69, 0x72,
  0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x6d,
  0x70, 0x72, 0x69, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x65, 0x67, 0x65,
  0x78, 0x65, 0x73, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x69, 0x65, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x6d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x69, 0x72, 0x20, 0x6e, 0x75, 0x6d, 0x65,
  0x72, 0x69, 0x63, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x43, 0x61,
  0x63, 0x68, 0x65, 0x64, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x3b, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x49, 0x66, 0x20, 0x27, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53,
  0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x27, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x2c, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x69, 0x74, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2c, 0x20,
  0x61, 0x73, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x64, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f,
  0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x7b, 0x7d, 0x3b, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x69,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x77, 0x68, 0x6f,
  0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x31, 0x20, 0x69, 0x66, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20,
  0x69, 0x73, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x3b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x41,
  0x72, 0x72, 0x61, 0x79, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x6b,
  0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77,
  0x68, 0x6f, 0x73, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x20, 0x6f, 0x66,
  0x20, 0x71, 0x75, 0x61, 0x64, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x69, 0x73, 0x69, 0x6e, 0x67,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c,
  0x20, 0x55, 0x54, 0x43, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x2c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61, 0x79, 0x6c,
  0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20,
  0x54, 0x69, 0x6d, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74,
  0x6f, 0x72, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50, 0x72,
  0x6f, 0x63, 0x3b, 0x09, 0x09, 0x23, 0x20, 0x41, 0x72, 0x72, 0x61, 0x79,
  0x20, 0x6d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x72, 0x65, 0x6e, 0x64, 0x65,
  0x72, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x0a, 0x7d, 0x0a, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x0a, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09,
  0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x61, 0x20, 0x63, 0x6f,
  0x75, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x45, 0x70, 0x6f, 0x63, 0x68,
  0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x64, 0x61, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x27, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x2e, 0x20, 0x20,
  0x52, 0x65, 0x66, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x20, 0x75, 0x73, 0x65, 0x72, 0x20, 0x64, 0x6f, 0x63, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x6f,
  0x20, 0x73, 0x65, 0x65, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x69, 0x74,
  0x20, 0x64, 0x6f, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x7b, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x50, 0x61,
  0x72, 0x73, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f,
  0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x73, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76,
  0x65, 0x6e, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d,
  0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x7d, 0x20, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x6f, 0x70, 0x74,
  0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70,
  0x74, 0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66,
  0x6f, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x61,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x74,
  0x6f, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x2e, 0x20, 0x43, 0x61, 0x63,
  0x68, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x27, 0x73,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x46, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x27, 0x20, 0x61, 0x72, 0x72, 0x61,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x20, 0x6c,
  0x6f, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x74, 0x73, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x20, 0x72, 0x65, 0x70, 0x72, 0x65,
  0x73, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x72, 0x65, 0x73, 0x6f, 0x6c, 0x75, 0x74,
  0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x24, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x27, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x5d, 0x3a, 0x3a, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6d, 0x61, 0x70, 0x20, 0x7b, 0x3a, 0x20, 0x7b, 0x5c, 0x3a, 0x7d, 0x20,
  0x5c, 0x5c, 0x20, 0x7b, 0x5c, 0x5c, 0x7d, 0x7d, 0x20, 0x24, 0x70, 0x72,
  0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50,
  0x72, 0x6f, 0x63, 0x28, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d,
  0x65, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x28, 0x24, 0x70, 0x72,
  0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50, 0x72, 0x6f, 0x63,
  0x28, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x5b, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c,
  0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x0a,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x73, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x73, 0x20, 0x61, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x61, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x2d, 0x2d, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x0a,
  0x23, 0x09, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x2d, 0x20,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x72, 0x65, 0x74, 0x65, 0x64, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65,
  0x77, 0x6c, 0x79, 0x2d, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x50, 0x61, 0x72, 0x73, 0x65,
  0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x46,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b, 0x70, 0x72, 0x6f, 0x63, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x6e, 0x65,
  0x20, 0x7b, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x4d, 0x61, 0x70, 0x20, 0x61, 0x77, 0x61, 0x79, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2d, 0x64, 0x65,
  0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x70,
  0x6f, 0x73, 0x69, 0x74, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x45, 0x6e, 0x74, 0x65, 0x72, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x66, 0x20, 0x61, 0x20, 0x66,
  0x72, 0x65, 0x73, 0x68, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x68, 0x61, 0x73, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x67, 0x69, 0x76,
  0x65, 0x6e, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x2e, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x50, 0x61, 0x72, 0x73,
  0x65, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x32, 0x20, 0x24, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x72, 0x61, 0x70, 0x20, 0x43, 0x4c,
  0x4f, 0x43, 0x4b, 0x20, 0x7b, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20,
  0x6f, 0x70, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24,
  0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x7d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x50,
  0x61, 0x72, 0x73, 0x65, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x46, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x32, 0x20, 0x7b,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72, 0x61, 0x20, 0x30,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x64,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61,
  0x6c, 0x73, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x43, 0x6f,
  0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x40, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43,
  0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x40, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x5b, 0x6d, 0x63, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49,
  0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41,
  0x54, 0x45, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x09, 0x09,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47,
  0x65, 0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73,
  0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x40, 0x47, 0x52, 0x45, 0x47, 0x4f,
  0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f,
  0x44, 0x41, 0x54, 0x45, 0x40, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73,
  0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x63,
  0x68, 0x61, 0x72, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78,
  0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x75, 0x61, 0x6c, 0x20, 0x25,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x72, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x0a,
  0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x43, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x20, 0x66,
  0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x27,
  0x25, 0x27, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72,
  0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68,
  0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x41, 0x20, 0x6c,
  0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61,
  0x63, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x27, 0x25, 0x27, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x25, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x61, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x2c, 0x20, 0x61,
  0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74, 0x65, 0x64, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x40, 0x44,
  0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f,
  0x41, 0x42, 0x42, 0x52, 0x45, 0x56, 0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x44, 0x41, 0x59, 0x53, 0x5f, 0x4f,
  0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f, 0x41, 0x42, 0x42, 0x52, 0x45,
  0x56, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x40, 0x44,
  0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f,
  0x41, 0x42, 0x42, 0x52, 0x45, 0x56, 0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x25, 0x20, 0x37, 0x7d, 0x5d, 0x5d, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x41,
  0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f,
  0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x2c, 0x20, 0x73, 0x70, 0x65, 0x6c,
  0x74, 0x20, 0x6f, 0x75, 0x74, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74,
  0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x6d, 0x61, 0x70, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x40, 0x44, 0x41, 0x59, 0x53, 0x5f,
  0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f, 0x46, 0x55, 0x4c, 0x4c,
  0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20,
  0x44, 0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b,
  0x5f, 0x46, 0x55, 0x4c, 0x4c, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x40, 0x44, 0x41, 0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f, 0x57,
  0x45, 0x45, 0x4b, 0x5f, 0x46, 0x55, 0x4c, 0x4c, 0x40, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65,
  0x6b, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x25, 0x20, 0x37, 0x7d, 0x5d, 0x5d, 0x7d, 0x5d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x62, 0x20, 0x2d, 0x20, 0x68, 0x20, 0x7b, 0x09, 0x09, 0x23, 0x20,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x2c, 0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74,
  0x65, 0x64, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61,
  0x70, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x40, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x41,
  0x42, 0x42, 0x52, 0x45, 0x56, 0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f,
  0x41, 0x42, 0x42, 0x52, 0x45, 0x56, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x40, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x41,
  0x42, 0x42, 0x52, 0x45, 0x56, 0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x2d, 0x31, 0x7d, 0x5d, 0x5d,
  0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x42, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x2c, 0x20, 0x73, 0x70, 0x65, 0x6c, 0x74, 0x20, 0x6f, 0x75,
  0x74, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x40, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x46, 0x55, 0x4c,
  0x4c, 0x40, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63,
  0x20, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x46, 0x55, 0x4c, 0x4c,
  0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x7b,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x40, 0x4d, 0x4f,
  0x4e, 0x54, 0x48, 0x53, 0x5f, 0x46, 0x55, 0x4c, 0x4c, 0x40, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x2d,
  0x31, 0x7d, 0x5d, 0x5d, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x43, 0x20, 0x7b,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x5d, 0x20, 0x2f, 0x20, 0x31, 0x30, 0x30, 0x7d, 0x5d, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x2c, 0x20,
  0x77, 0x69, 0x74, 0x68, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73,
  0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x65, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x2c, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75, 0x74, 0x20,
  0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x25, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x45, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x46, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x20, 0x69, 0x6e, 0x20,
  0x61, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70,
  0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76,
  0x65, 0x20, 0x65, 0x72, 0x61, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x70, 0x65, 0x72, 0x63, 0x65,
  0x6e, 0x74, 0x45, 0x0a, 0x09, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x24, 0x64, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72,
  0x61, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x40, 0x4c, 0x4f, 0x43,
  0x41, 0x4c, 0x45, 0x5f, 0x45, 0x52, 0x41, 0x53, 0x40, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f,
  0x45, 0x52, 0x41, 0x53, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x5b, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72,
  0x61, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x40, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x45,
  0x52, 0x41, 0x53, 0x40, 0x5d, 0x7d, 0x5d, 0x20, 0x5c, 0x6e, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72, 0x61, 0x20, 0x31,
  0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x24, 0x64, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x43,
  0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6d,
  0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x4e, 0x55, 0x4d,
  0x45, 0x52, 0x41, 0x4c, 0x53, 0x5d, 0x5d, 0x20, 0x5c, 0x6e, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x73, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x67, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x54, 0x77, 0x6f,
  0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20,
  0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x49, 0x53, 0x4f, 0x38, 0x36, 0x30, 0x31, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x6e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74,
  0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31,
  0x59, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x25, 0x20, 0x31, 0x30, 0x30, 0x20,
  0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x47, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x46, 0x6f, 0x75, 0x72, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x49, 0x53, 0x4f, 0x38, 0x36, 0x30,
  0x31, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30,
  0x31, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x48, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x32, 0x34, 0x2d, 0x68, 0x6f, 0x75,
  0x72, 0x20, 0x64, 0x61, 0x79, 0x2c, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x2f, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x25, 0x20, 0x32, 0x34, 0x7d, 0x5d, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x49, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x48, 0x6f,
  0x75, 0x72, 0x20, 0x41, 0x4d, 0x2f, 0x50, 0x4d, 0x2c, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a,
  0x65, 0x72, 0x6f, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69,
  0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x28, 0x20, 0x28, 0x20, 0x28, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x29, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x2b, 0x20, 0x38, 0x36,
  0x34, 0x30, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x2d, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x29, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20,
  0x29, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x25, 0x20, 0x31, 0x32, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d,
  0x5d, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6a, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x20, 0x28, 0x30, 0x30, 0x31, 0x2d, 0x33, 0x36, 0x36, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25,
  0x30, 0x33, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4a,
  0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x25, 0x30, 0x37, 0x6c, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6b, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x48, 0x6f, 0x75,
  0x72, 0x20, 0x28, 0x30, 0x2d, 0x32, 0x33, 0x29, 0x2c, 0x20, 0x6e, 0x6f,
  0x20, 0x6c, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72,
  0x6f, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x25, 0x20, 0x32, 0x34,
  0x20, 0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x20, 0x7b, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x28, 0x31, 0x32, 0x2d,
  0x31, 0x31, 0x29, 0x2c, 0x20, 0x6e, 0x6f, 0x20, 0x6c, 0x65, 0x61, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x32, 0x64, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20, 0x28, 0x20, 0x28, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x2b, 0x20, 0x38, 0x36, 0x34, 0x30,
  0x30, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x2d, 0x20, 0x33, 0x36,
  0x30, 0x30, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x29,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x25, 0x20,
  0x31, 0x32, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6d, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c, 0x20, 0x6c,
  0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25,
  0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4d, 0x20, 0x7b, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x2c, 0x20, 0x6c,
  0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25,
  0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x2f, 0x20, 0x36, 0x30, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x25, 0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6e, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x41, 0x20, 0x6c, 0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x6e, 0x65,
  0x77, 0x6c, 0x69, 0x6e, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4e, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c, 0x20, 0x6e, 0x6f, 0x20, 0x6c,
  0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25,
  0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x41, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67,
  0x72, 0x6f, 0x75, 0x70, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x27, 0x73, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74,
  0x69, 0x76, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x20, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x4f, 0x0a, 0x09,
  0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x24, 0x64, 0x69, 0x64, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c,
  0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c,
  0x45, 0x5f, 0x4e, 0x55, 0x4d, 0x45, 0x52, 0x41, 0x4c, 0x53, 0x5d, 0x5d,
  0x20, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x31, 0x0a, 0x09,
  0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x64, 0x20,
  0x27, 0x41, 0x4d, 0x27, 0x20, 0x6f, 0x72, 0x20, 0x27, 0x50, 0x4d, 0x27,
  0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72,
  0x74, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x70, 0x70, 0x65, 0x72,
  0x63, 0x61, 0x73, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x41, 0x4d, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x75, 0x70, 0x70, 0x65, 0x72, 0x20, 0x5b, 0x6d, 0x63,
  0x20, 0x41, 0x4d, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x50, 0x4d, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x75, 0x70, 0x70, 0x65, 0x72, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x50, 0x4d, 0x5d, 0x5d, 0x5d, 0x20, 0x5c, 0x6e,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x28, 0x28, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x29, 0x20, 0x3c, 0x20,
  0x34, 0x33, 0x32, 0x30, 0x30, 0x29, 0x20, 0x3f, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x41, 0x4d, 0x20, 0x3a, 0x20,
  0x24, 0x50, 0x4d, 0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x50, 0x20, 0x7b,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x7a,
  0x65, 0x64, 0x20, 0x27, 0x41, 0x4d, 0x27, 0x20, 0x6f, 0x72, 0x20, 0x27,
  0x50, 0x4d, 0x27, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f,
  0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x43,
  0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x6d, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x41, 0x4d, 0x5d, 0x5d, 0x20, 0x5c,
  0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6d, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x50, 0x4d, 0x5d, 0x5d, 0x20, 0x5c, 0x6e, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x28, 0x28, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x29, 0x20, 0x3c, 0x20, 0x34,
  0x33, 0x32, 0x30, 0x30, 0x29, 0x20, 0x3f, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x61, 0x6d, 0x20, 0x3a, 0x20, 0x24,
  0x70, 0x6d, 0x7d, 0x5d, 0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x51, 0x20, 0x7b,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x48, 0x69, 0x2c, 0x20, 0x4a, 0x65, 0x66,
  0x66, 0x21, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x46, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73,
  0x69, 0x78, 0x20, 0x45, 0x70, 0x6f, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62,
  0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x53, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x2c, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6c, 0x65, 0x61, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x25,
  0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x41, 0x20, 0x6c, 0x69, 0x74, 0x65,
  0x72, 0x61, 0x6c, 0x20, 0x74, 0x61, 0x62, 0x20, 0x63, 0x68, 0x61, 0x72,
  0x61, 0x63, 0x74, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x5c, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x75, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x28, 0x31,
  0x2d, 0x4d, 0x6f, 0x6e, 0x64, 0x61, 0x79, 0x2c, 0x20, 0x37, 0x2d, 0x53,
  0x75, 0x6e, 0x64, 0x61, 0x79, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x31, 0x64, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73,
  0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b,
  0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x55, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x28, 0x30, 0x30, 0x2d, 0x35, 0x33,
  0x29, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x53, 0x75, 0x6e, 0x64,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x64,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x30,
  0x31, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x77, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x20, 0x3d, 0x3d, 0x20, 0x37, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x6f, 0x77, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x64, 0x6f, 0x77, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x55, 0x77, 0x65, 0x65, 0x6b, 0x4e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x2d, 0x20, 0x24, 0x64,
  0x6f, 0x77, 0x20, 0x2b, 0x20, 0x37, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x2f, 0x20, 0x37, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73,
  0x20, 0x7b, 0x20, 0x24, 0x55, 0x77, 0x65, 0x65, 0x6b, 0x4e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x56, 0x20, 0x7b, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x49, 0x53, 0x4f, 0x38, 0x36,
  0x30, 0x31, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x6e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74,
  0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b, 0x5d,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x77, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77,
  0x65, 0x65, 0x6b, 0x20, 0x28, 0x30, 0x2d, 0x53, 0x75, 0x6e, 0x64, 0x61,
  0x79, 0x2c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x36, 0x2d,
  0x53, 0x61, 0x74, 0x75, 0x72, 0x64, 0x61, 0x79, 0x29, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x31, 0x64,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x5d, 0x20, 0x25, 0x20,
  0x37, 0x20, 0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x57, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x28, 0x30, 0x30,
  0x2d, 0x35, 0x33, 0x29, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d,
  0x6f, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x64, 0x61, 0x79, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x20, 0x30, 0x31, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x43, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x57, 0x77, 0x65, 0x65, 0x6b,
  0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x2d, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x2b, 0x20, 0x37,
  0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x2f, 0x20, 0x37, 0x20,
  0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30, 0x32, 0x64, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b,
  0x20, 0x24, 0x57, 0x77, 0x65, 0x65, 0x6b, 0x4e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x74, 0x77, 0x6f, 0x2d, 0x64, 0x69, 0x67,
  0x69, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30,
  0x32, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x25, 0x20, 0x31, 0x30, 0x30,
  0x20, 0x7d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x59, 0x20, 0x7b, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x72, 0x2d,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x30,
  0x34, 0x64, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7a, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x61, 0x73, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x73, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x65, 0x61, 0x73, 0x74, 0x20,
  0x28, 0x2b, 0x29, 0x20, 0x6f, 0x72, 0x20, 0x77, 0x65, 0x73, 0x74, 0x20,
  0x28, 0x2d, 0x29, 0x20, 0x6f, 0x66, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e,
  0x77, 0x69, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74,
  0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x5b, 0x46, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x7a,
  0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5a, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x5d,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x25, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x41, 0x20, 0x6c, 0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x70, 0x65,
  0x72, 0x63, 0x65, 0x6e, 0x74, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63,
  0x74, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x25, 0x25, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61,
  0x75, 0x6c, 0x74, 0x20, 0x7b, 0x09, 0x09, 0x23, 0x20, 0x41, 0x6e, 0x20,
  0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x65, 0x73, 0x63, 0x61,
  0x70, 0x65, 0x20, 0x73, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x65, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25,
  0x25, 0x20, 0x24, 0x63, 0x68, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70, 0x65, 0x72, 0x63,
  0x65, 0x6e, 0x74, 0x45, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x43,
  0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x6c,
  0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x45, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d,
  0x0a, 0x09, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65,
  0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x45, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x7b, 0x20, 0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6d, 0x61, 0x70, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x40, 0x42, 0x43, 0x45, 0x40, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x42, 0x43, 0x45,
  0x5d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x40, 0x43, 0x45, 0x40, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x43, 0x45, 0x5d, 0x5d, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x7b,
  0x42, 0x43, 0x45, 0x20, 0x40, 0x42, 0x43, 0x45, 0x40, 0x20, 0x43, 0x45,
  0x20, 0x40, 0x43, 0x45, 0x40, 0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72,
  0x61, 0x5d, 0x5d, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x43, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2d, 0x64,
  0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74, 0x20, 0x65, 0x72, 0x61,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x45, 0x72, 0x61, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65,
  0x72, 0x61, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x72, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x43, 0x6f,
  0x64, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x79, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x79,
  0x20, 0x3e, 0x3d, 0x20, 0x30, 0x20, 0x26, 0x26, 0x20, 0x24, 0x79, 0x20,
  0x3c, 0x20, 0x31, 0x30, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x45, 0x79, 0x65, 0x61, 0x72, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20,
  0x24, 0x79, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x45, 0x79, 0x65, 0x61, 0x72, 0x20, 0x24, 0x79,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x7b, 0x20, 0x24, 0x45, 0x79, 0x65, 0x61, 0x72,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20,
  0x7b, 0x09, 0x09, 0x23, 0x20, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x20, 0x25, 0x45, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67,
  0x72, 0x6f, 0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x25, 0x25, 0x45, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x72, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x4f, 0x20, 0x7b,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x43, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74,
  0x65, 0x72, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67,
  0x20, 0x25, 0x4f, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69,
  0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d,
  0x2d, 0x20, 0x24, 0x63, 0x68, 0x61, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x20, 0x2d, 0x20, 0x65, 0x20, 0x7b, 0x09,
  0x09, 0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x20, 0x61,
  0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x0a, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x48, 0x20, 0x2d, 0x20, 0x6b, 0x20,
  0x7b, 0x09, 0x09, 0x23, 0x20, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x79, 0x20, 0x69, 0x6e, 0x20,
  0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x2f,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x25, 0x20, 0x32, 0x34, 0x20, 0x7d, 0x5d, 0x5d, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x49, 0x20, 0x2d, 0x20, 0x6c, 0x20, 0x7b, 0x09, 0x09, 0x23,
  0x20, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x28, 0x31, 0x32, 0x2d, 0x31, 0x31,
  0x29, 0x20, 0x41, 0x4d, 0x2f, 0x50, 0x4d, 0x20, 0x69, 0x6e, 0x20, 0x61,
  0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61,
  0x6c, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61,
  0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20, 0x28, 0x20,
  0x28, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x29,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x2b, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x29,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x25, 0x20, 0x31,
  0x32, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x5d, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6d, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x69, 0x6e,
  0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65,
  0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75,
  0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x6c,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x5d, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x4d, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x69, 0x6e,
  0x75, 0x74, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68,
  0x6f, 0x75, 0x72, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x6c, 0x74, 0x65, 0x72,
  0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x2f, 0x20, 0x36, 0x30, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x25, 0x20, 0x36, 0x30, 0x20,
  0x7d, 0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x53, 0x20, 0x7b, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20,
  0x69, 0x6e, 0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74,
  0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x25, 0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x75, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x20, 0x28, 0x4d, 0x6f, 0x6e, 0x64, 0x61, 0x79, 0x3d, 0x31, 0x2c,
  0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x3d, 0x37, 0x29, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x6c, 0x74, 0x65,
  0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x65,
  0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74,
  0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65,
  0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57,
  0x65, 0x65, 0x6b, 0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x77, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x28, 0x53, 0x75, 0x6e, 0x64, 0x61,
  0x79, 0x3d, 0x30, 0x2c, 0x53, 0x61, 0x74, 0x75, 0x72, 0x64, 0x61, 0x79,
  0x3d, 0x36, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76,
  0x65, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f,
  0x66, 0x57, 0x65, 0x65, 0x6b, 0x5d, 0x20, 0x25, 0x20, 0x37, 0x20, 0x7d,
  0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x59, 0x65, 0x61, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x6e, 0x75, 0x6d, 0x65,
  0x72, 0x61, 0x6c, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x25, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74,
  0x75, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65,
  0x72, 0x61, 0x6c, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x25, 0x20, 0x31, 0x30,
  0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x09, 0x23, 0x20, 0x55, 0x6e, 0x6b,
  0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x67, 0x72, 0x6f, 0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x25, 0x25, 0x4f, 0x20, 0x24, 0x63, 0x68,
  0x61, 0x72, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x43, 0x6c, 0x65, 0x61, 0x6e, 0x20, 0x75, 0x70, 0x20, 0x61,
  0x6e, 0x79, 0x20, 0x69, 0x6d, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x6c,
  0x79, 0x20, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x61, 0x74, 0x65, 0x64,
  0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61,
  0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x25, 0x25, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x70, 0x65,
  0x72, 0x63, 0x65, 0x6e, 0x74, 0x45, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74,
  0x76, 0x61, 0x6c, 0x20, 0x25, 0x25, 0x45, 0x0a, 0x09, 0x7d, 0x0a, 0x09,
  0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x4f, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x25, 0x25, 0x4f, 0x0a, 0x09, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x7b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x7d, 0x20, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x70, 0x72,
  0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5c, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5d, 0x20, 0x24,
  0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x65, 0x6e, 0x74, 0x73,
  0x5c, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x22, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65,
  0x5d, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x62, 0x6f, 0x64, 0x79,
  0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20,
  0x73, 0x63, 0x61, 0x6e, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09,
  0x49, 0x6e, 0x70, 0x75, 0x74, 0x73, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x75,
  0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x45, 0x70, 0x6f, 0x63, 0x68, 0x20,
  0x61, 0x73, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x64, 0x61, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x27, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x73, 0x63, 0x61, 0x6e, 0x73, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73,
  0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x6e, 0x20, 0x69,
  0x6e, 0x70, 0x75, 0x74, 0x2e, 0x20, 0x20, 0x52, 0x65, 0x66, 0x65, 0x72,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x73, 0x65, 0x72,
  0x0a, 0x23, 0x20, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x65, 0x20,
  0x77, 0x68, 0x61, 0x74, 0x20, 0x69, 0x74, 0x20, 0x64, 0x6f, 0x65, 0x73,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x73, 0x63, 0x61, 0x6e, 0x20, 0x7b, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x61, 0x72, 0x67, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x20, 0x3c, 0x20, 0x31, 0x20,
  0x7c, 0x7c, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x20, 0x25, 0x20, 0x32, 0x20, 0x21,
  0x3d, 0x20, 0x31, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6d, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x22, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x22, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20,
  0x77, 0x72, 0x6f, 0x6e, 0x67, 0x4e, 0x75, 0x6d, 0x41, 0x72, 0x67, 0x73,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x77, 0x72,
  0x6f, 0x6e, 0x67, 0x20, 0x5c, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73, 0x3a,
  0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x5c, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x5c, 0x22, 0x24, 0x63, 0x6d, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3f, 0x2d, 0x62,
  0x61, 0x73, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x3f,
  0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x3f, 0x2d, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x3f, 0x20, 0x3f, 0x2d, 0x67, 0x6d,
  0x74, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x3f, 0x5c, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x3f, 0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x4c, 0x4f,
  0x43, 0x41, 0x4c, 0x45, 0x3f, 0x20, 0x3f, 0x2d, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5a, 0x4f, 0x4e, 0x45, 0x3f, 0x5c, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x67, 0x6d, 0x74, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x5b, 0x47, 0x65, 0x74, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x50, 0x69, 0x63, 0x6b, 0x20, 0x75, 0x70, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x6e, 0x65, 0x20,
  0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20,
  0x66, 0x6c, 0x61, 0x67, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7d,
  0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x20, 0x30, 0x5d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x61, 0x77, 0x28, 0x24, 0x66, 0x6c,
  0x61, 0x67, 0x29, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x73, 0x77, 0x69, 0x74,
  0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d,
  0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x62, 0x20, 0x2d, 0x20, 0x2d, 0x62, 0x61, 0x20, 0x2d,
  0x20, 0x2d, 0x62, 0x61, 0x73, 0x20, 0x2d, 0x20, 0x2d, 0x62, 0x61, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x66,
  0x20, 0x2d, 0x20, 0x2d, 0x66, 0x6f, 0x20, 0x2d, 0x20, 0x2d, 0x66, 0x6f,
  0x72, 0x20, 0x2d, 0x20, 0x2d, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x2d, 0x20,
  0x2d, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x20, 0x2d, 0x20, 0x2d, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2d, 0x67, 0x20, 0x2d, 0x20, 0x2d, 0x67, 0x6d, 0x20,
  0x2d, 0x20, 0x2d, 0x67, 0x6d, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x67, 0x6d, 0x74, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x6c, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f, 0x20, 0x2d,
  0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f, 0x63,
  0x61, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x2d,
  0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f,
  0x77, 0x65, 0x72, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x2d, 0x74, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x20, 0x2d, 0x20, 0x2d,
  0x74, 0x69, 0x6d, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x2d, 0x20, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x20, 0x2d, 0x20, 0x2d,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x6d,
  0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x4f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x62, 0x61,
  0x64, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x24,
  0x66, 0x6c, 0x61, 0x67, 0x5c, 0x22, 0x2c, 0x5c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x62,
  0x65, 0x20, 0x2d, 0x62, 0x61, 0x73, 0x65, 0x2c, 0x20, 0x2d, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x2c, 0x20, 0x2d, 0x67, 0x6d, 0x74, 0x2c, 0x20,
  0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x2d,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x22, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x68, 0x65,
  0x63, 0x6b, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x69, 0x74, 0x79, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x73,
  0x61, 0x77, 0x28, 0x2d, 0x67, 0x6d, 0x74, 0x29, 0x5d, 0x20, 0x26, 0x26,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x73, 0x61, 0x77, 0x28, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x29, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20,
  0x67, 0x6d, 0x74, 0x57, 0x69, 0x74, 0x68, 0x54, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65, 0x20,
  0x2d, 0x67, 0x6d, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x73, 0x61,
  0x6d, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x62, 0x61,
  0x73, 0x65, 0x29, 0x20, 0x7d, 0x20, 0x7d, 0x20, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65,
  0x64, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x62, 0x75,
  0x74, 0x20, 0x67, 0x6f, 0x74, 0x20, 0x5c, 0x22, 0x24, 0x62, 0x61, 0x73,
  0x65, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x62, 0x6f, 0x6f, 0x6c,
  0x65, 0x61, 0x6e, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20,
  0x24, 0x67, 0x6d, 0x74, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x78, 0x70, 0x65, 0x63,
  0x74, 0x65, 0x64, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x62, 0x75, 0x74, 0x20, 0x67, 0x6f,
  0x74, 0x20, 0x5c, 0x22, 0x24, 0x67, 0x6d, 0x74, 0x5c, 0x22, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x67, 0x6d, 0x74, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x3a, 0x47, 0x4d, 0x54, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x73, 0x61, 0x77, 0x28, 0x2d, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x29, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x50, 0x65,
  0x72, 0x68, 0x61, 0x70, 0x73, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x64, 0x61,
  0x79, 0x20, 0x77, 0x65, 0x27, 0x6c, 0x6c, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x67,
  0x61, 0x63, 0x79, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x20, 0x52, 0x69,
  0x67, 0x68, 0x74, 0x20, 0x6e, 0x6f, 0x77, 0x2c, 0x20, 0x69, 0x74, 0x27,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x0a, 0x09, 0x23, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x69, 0x7a, 0x65, 0x64, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x73, 0x61, 0x77, 0x28, 0x2d, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x29, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20,
  0x66, 0x6c, 0x61, 0x67, 0x57, 0x69, 0x74, 0x68, 0x4c, 0x65, 0x67, 0x61,
  0x63, 0x79, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x22, 0x6c, 0x65, 0x67, 0x61, 0x63, 0x79, 0x20, 0x5c, 0x5b,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x5c, 0x5d,
  0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x73, 0x75,
  0x70, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x22, 0x0a, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x46, 0x72, 0x65, 0x65, 0x53, 0x63, 0x61, 0x6e,
  0x20, 0x24, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x69, 0x66, 0x20, 0x61, 0x20, 0x66, 0x72, 0x65, 0x73, 0x68, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x62,
  0x65, 0x65, 0x6e, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6f, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x6c, 0x69, 0x6e, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x45, 0x6e, 0x74, 0x65, 0x72, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x4d, 0x61,
  0x70, 0x20, 0x61, 0x77, 0x61, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64,
  0x65, 0x6e, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6f, 0x73, 0x69, 0x74,
  0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f,
  0x75, 0x70, 0x73, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x63,
  0x61, 0x6e, 0x6e, 0x65, 0x72, 0x20, 0x5b, 0x50, 0x61, 0x72, 0x73, 0x65,
  0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x53, 0x63, 0x61, 0x6e, 0x46, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x24, 0x73, 0x63, 0x61, 0x6e, 0x6e,
  0x65, 0x72, 0x20, 0x24, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x24,
  0x62, 0x61, 0x73, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x72,
  0x61, 0x70, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x7b, 0x72, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x63, 0x65, 0x61, 0x6c, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20,
  0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f,
  0x66, 0x20, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x73, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x72, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x46, 0x72, 0x65, 0x65, 0x53, 0x63,
  0x61, 0x6e, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x53, 0x63,
  0x61, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x66, 0x72, 0x65, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x2d, 0x20, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x73,
  0x63, 0x61, 0x6e, 0x0a, 0x23, 0x09, 0x62, 0x61, 0x73, 0x65, 0x20, 0x2d,
  0x20, 0x42, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c, 0x20,
  0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x45, 0x70, 0x6f, 0x63, 0x68, 0x0a,
  0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x2d,
  0x20, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x65, 0x78, 0x70,
  0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x28, 0x55, 0x6e, 0x75, 0x73, 0x65,
  0x64, 0x29, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x77, 0x68,
  0x65, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x73, 0x63, 0x61,
  0x6e, 0x6e, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x65,
  0x78, 0x74, 0x72, 0x61, 0x63, 0x74, 0x65, 0x64, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x69, 0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20, 0x65,
  0x70, 0x6f, 0x63, 0x68, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x3a, 0x3a, 0x46, 0x72, 0x65, 0x65, 0x53, 0x63, 0x61, 0x6e, 0x20,
  0x7b, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x61, 0x73,
  0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x47, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61,
  0x74, 0x61, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b,
  0x0a, 0x09, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c,
  0x20, 0x6f, 0x70, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74,
  0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20,
  0x24, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45, 0x78, 0x74,
  0x72, 0x61, 0x63, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x2c, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x64, 0x61, 0x79,
  0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x72, 0x20, 0x74,
  0x6f, 0x20, 0x75, 0x73, 0x65, 0x20, 0x61, 0x73, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69,
  0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x20, 0x24,
  0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x32, 0x33, 0x36, 0x31, 0x32, 0x32,
  0x32, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20,
  0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x72, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x63, 0x6f, 0x6d,
  0x70, 0x72, 0x69, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x2c, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2c,
  0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x6d, 0x6f,
  0x6e, 0x74, 0x68, 0x2f, 0x64, 0x61, 0x79, 0x2f, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x2c, 0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76,
  0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x2c, 0x20, 0x6f,
  0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68,
  0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x6e, 0x65,
  0x64, 0x20, 0x5b, 0x4f, 0x6c, 0x64, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x5d, 0x0a,
  0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24, 0x73, 0x63,
  0x61, 0x6e, 0x6e, 0x65, 0x64, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x44, 0x61, 0x74, 0x65, 0x20, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x52, 0x65, 0x6c, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x20,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x4f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x65, 0x73,
  0x73, 0x61, 0x67, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x75,
  0x6e, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6e,
  0x76, 0x65, 0x72, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2d, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x5c, 0x22,
  0x24, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5c, 0x22, 0x3a, 0x20, 0x24,
  0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x72, 0x20,
  0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x61, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x64, 0x61, 0x74, 0x65, 0x27,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x77, 0x69, 0x74, 0x68, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x2e, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x65, 0x72, 0x20, 0x64, 0x69, 0x64, 0x6e, 0x27, 0x74,
  0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x20, 0x61, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x2c, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x20, 0x74, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x6d, 0x69, 0x64, 0x6e, 0x69, 0x67, 0x68, 0x74, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x44,
  0x61, 0x74, 0x65, 0x5d, 0x20, 0x3e, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x44, 0x61, 0x74, 0x65, 0x20, 0x79, 0x20, 0x6d,
  0x20, 0x64, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x79, 0x20,
  0x3c, 0x20, 0x31, 0x30, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x79, 0x20, 0x3e,
  0x3d, 0x20, 0x33, 0x39, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x79, 0x20, 0x31, 0x39, 0x30, 0x30, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x79, 0x20, 0x32, 0x30,
  0x30, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43, 0x45, 0x0a, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x24, 0x79, 0x0a, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x24, 0x6d, 0x0a, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x24, 0x64, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x65, 0x71, 0x20, 0x7b,
  0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x30, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x72, 0x20, 0x73, 0x75, 0x70,
  0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x69, 0x74, 0x20,
  0x63, 0x6f, 0x6d, 0x65, 0x73, 0x20, 0x62, 0x61, 0x63, 0x6b, 0x20, 0x61,
  0x73, 0x20, 0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x77,
  0x6f, 0x2d, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x3b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x65,
  0x61, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63, 0x68, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x44, 0x61, 0x79, 0x6c,
  0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20,
  0x54, 0x69, 0x6d, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74,
  0x6f, 0x72, 0x20, 0x28, 0x31, 0x20, 0x3d, 0x3d, 0x20, 0x79, 0x65, 0x73,
  0x2c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x30, 0x20, 0x3d, 0x3d,
  0x20, 0x6e, 0x6f, 0x2c, 0x20, 0x2d, 0x31, 0x20, 0x3d, 0x3d, 0x20, 0x75,
  0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x29, 0x2e, 0x20, 0x57, 0x65, 0x20,
  0x6d, 0x61, 0x6b, 0x65, 0x20, 0x69, 0x74, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x20, 0x6f,
  0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x2b, 0x2d, 0x68, 0x68,
  0x6d, 0x6d, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x3e,
  0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73,
  0x69, 0x67, 0x6e, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x20, 0x6d, 0x69, 0x6e, 0x45, 0x61, 0x73, 0x74, 0x20, 0x64,
  0x73, 0x74, 0x46, 0x6c, 0x61, 0x67, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5b, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x36,
  0x30, 0x20, 0x2a, 0x20, 0x24, 0x6d, 0x69, 0x6e, 0x45, 0x61, 0x73, 0x74,
  0x20, 0x2b, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x24, 0x64,
  0x73, 0x74, 0x46, 0x6c, 0x61, 0x67, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09,
  0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x41, 0x73, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x2c, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x2d, 0x66, 0x72, 0x6f, 0x6d, 0x2d, 0x65, 0x70, 0x6f, 0x63,
  0x68, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61,
  0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x61, 0x79,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x32, 0x33, 0x36, 0x31,
  0x32, 0x32, 0x32, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61,
  0x79, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x57, 0x65, 0x65, 0x6b, 0x64,
  0x61, 0x79, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x4f,
  0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d,
  0x20, 0x21, 0x3d, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7c, 0x7c, 0x20, 0x28, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x52, 0x65,
  0x6c, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x26, 0x26, 0x20, 0x28, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x52, 0x65, 0x6c,
  0x20, 0x30, 0x5d, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x52, 0x65, 0x6c, 0x20, 0x31, 0x5d,
  0x20, 0x21, 0x3d, 0x20, 0x30, 0x20, 0x29, 0x20, 0x29, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f,
  0x66, 0x44, 0x61, 0x79, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x2d, 0x32, 0x31, 0x30, 0x38, 0x36,
  0x36, 0x38, 0x30, 0x33, 0x32, 0x30, 0x30, 0x0a, 0x09, 0x2b, 0x20, 0x28,
  0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x77, 0x69, 0x64,
  0x65, 0x28, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x44, 0x61, 0x79, 0x5d, 0x29, 0x20, 0x29, 0x0a, 0x09, 0x2b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44,
  0x61, 0x79, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b,
  0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c,
  0x54, 0x6f, 0x55, 0x54, 0x43, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d,
  0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x32, 0x33, 0x36, 0x31,
  0x32, 0x32, 0x32, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20, 0x72, 0x65, 0x6c, 0x61,
  0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x52, 0x65, 0x6c, 0x5d, 0x20, 0x3e, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x52, 0x65, 0x6c, 0x20, 0x72, 0x65, 0x6c, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x72, 0x65, 0x6c, 0x44, 0x61, 0x79, 0x20,
  0x72, 0x65, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b,
  0x61, 0x64, 0x64, 0x20, 0x24, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x24, 0x72, 0x65, 0x6c, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20,
  0x24, 0x72, 0x65, 0x6c, 0x44, 0x61, 0x79, 0x20, 0x64, 0x61, 0x79, 0x73,
  0x20, 0x24, 0x72, 0x65, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20, 0x72, 0x65, 0x6c, 0x61, 0x74,
  0x69, 0x76, 0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x5d, 0x20, 0x3e, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69,
  0x67, 0x6e, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x57, 0x65, 0x65,
  0x6b, 0x64, 0x61, 0x79, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x72, 0x64, 0x69,
  0x6e, 0x61, 0x6c, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65,
  0x6b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32,
  0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65,
  0x6c, 0x64, 0x73, 0x20, 0x24, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x32, 0x33, 0x36, 0x31,
  0x32, 0x32, 0x32, 0x5d, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x65, 0x72, 0x61,
  0x20, 0x43, 0x45, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6a, 0x64, 0x77,
  0x6b, 0x64, 0x61, 0x79, 0x20, 0x5b, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61,
  0x79, 0x4f, 0x6e, 0x4f, 0x72, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20,
  0x24, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x32, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x5d, 0x20, 0x2b, 0x20, 0x36, 0x0a, 0x09, 0x7d, 0x5d, 0x5d,
  0x0a, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6a, 0x64, 0x77, 0x6b, 0x64,
  0x61, 0x79, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x37,
  0x20, 0x2a, 0x20, 0x24, 0x64, 0x61, 0x79, 0x4f, 0x72, 0x64, 0x69, 0x6e,
  0x61, 0x6c, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x24, 0x64, 0x61, 0x79, 0x4f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x20,
  0x3e, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6a, 0x64, 0x77, 0x6b, 0x64, 0x61,
  0x79, 0x20, 0x2d, 0x37, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20, 0x25, 0x20,
  0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32,
  0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x6a, 0x64, 0x77, 0x6b, 0x64, 0x61, 0x79, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x32, 0x31, 0x30, 0x38, 0x36, 0x36, 0x38, 0x30, 0x33,
  0x32, 0x30, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x28,
  0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x77, 0x69, 0x64,
  0x65, 0x28, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x44, 0x61, 0x79, 0x5d, 0x29, 0x20, 0x29, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x5d, 0x0a, 0x09, 0x7d, 0x5d,
  0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x32, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x5b, 0x43, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x54, 0x6f,
  0x55, 0x54, 0x43, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x5b, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x7b, 0x7d, 0x5d,
  0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x32, 0x33, 0x36, 0x31, 0x32,
  0x32, 0x32, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x73, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20,
  0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x4f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x20, 0x3e, 0x20, 0x30, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x4f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x4f,
  0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68,
  0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x4f, 0x72, 0x64, 0x69, 0x6e,
  0x61, 0x6c, 0x20, 0x3e, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x24, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x4e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x20, 0x2d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x44,
  0x69, 0x66, 0x66, 0x20, 0x3c, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x31, 0x32, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x4f, 0x72, 0x64, 0x69, 0x6e,
  0x61, 0x6c, 0x20, 0x2d, 0x31, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x20, 0x2d, 0x20, 0x24, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x7d, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x3e, 0x3d, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x2d,
  0x31, 0x32, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x4f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x0a, 0x09, 0x7d, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x5b, 0x61, 0x64, 0x64, 0x20, 0x24, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x24, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x4f, 0x72, 0x64,
  0x69, 0x6e, 0x61, 0x6c, 0x20, 0x79, 0x65, 0x61, 0x72, 0x73, 0x20, 0x24,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x69, 0x66, 0x66, 0x20, 0x6d, 0x6f,
  0x6e, 0x74, 0x68, 0x73, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x2d,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x0a, 0x7d, 0x0a, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x73, 0x65, 0x43, 0x6c, 0x6f, 0x63, 0x6b, 0x53, 0x63, 0x61,
  0x6e, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x50, 0x61, 0x72, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x5b,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x2d,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x5d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x43, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x73,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x61, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x63, 0x63, 0x65, 0x70, 0x74,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x0a, 0x23, 0x09, 0x73, 0x63, 0x61,
  0x6e, 0x6e, 0x65, 0x64, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20,
  0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x0a, 0x23, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x63, 0x61, 0x6e,
  0x6e, 0x65, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x72, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x74, 0x68, 0x72, 0x6f, 0x77, 0x20, 0x61,
  0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x20, 0x72,
  0x65, 0x74, 0x68, 0x72, 0x6f, 0x77, 0x6e, 0x0a, 0x23, 0x09, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x73, 0x63,
  0x61, 0x6e, 0x5d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65,
  0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x54, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x64,
  0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x2e, 0x20, 0x20, 0x53, 0x63, 0x61, 0x6e, 0x0a, 0x23, 0x09, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
  0x20, 0x6f, 0x6e, 0x63, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c,
  0x6c, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x57, 0x68, 0x79,
  0x20, 0x64, 0x6f, 0x20, 0x77, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x73, 0x20, 0x62, 0x79, 0x20, 0x64, 0x65,
  0x66, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61,
  0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x3f, 0x20, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x20, 0x69, 0x73,
  0x0a, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x62, 0x79, 0x20, 0x64,
  0x6f, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x6f, 0x2c, 0x20, 0x77, 0x65, 0x20,
  0x68, 0x61, 0x76, 0x65, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x6f, 0x6e,
  0x76, 0x65, 0x6e, 0x69, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x6c, 0x61, 0x63,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x20, 0x61,
  0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x3a, 0x0a, 0x23, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20, 0x65, 0x78,
  0x70, 0x72, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x73, 0x20, 0x28, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x70, 0x69, 0x6c, 0x65, 0x64, 0x29, 0x2c, 0x0a,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x61, 0x73, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2c, 0x20,
  0x65, 0x76, 0x65, 0x72, 0x79, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x6c,
  0x61, 0x6e, 0x64, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x6f, 0x6e, 0x65, 0x20,
  0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x20,
  0x74, 0x68, 0x69, 0x73, 0x20, 0x77, 0x61, 0x79, 0x2c, 0x20, 0x77, 0x68,
  0x65, 0x6e, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x75,
  0x73, 0x65, 0x64, 0x20, 0x61, 0x74, 0x20, 0x72, 0x75, 0x6e, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x2c, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x0a, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x68, 0x6f, 0x77, 0x20, 0x74, 0x6f,
  0x20, 0x61, 0x70, 0x70, 0x6c, 0x79, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73,
  0x20, 0x61, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x20, 0x73, 0x69, 0x6e, 0x67, 0x6c, 0x65, 0x20, 0x70,
  0x6c, 0x61, 0x63, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x3a, 0x3a, 0x50, 0x61, 0x72, 0x73, 0x65, 0x43, 0x6c, 0x6f,
  0x63, 0x6b, 0x53, 0x63, 0x61, 0x6e, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x7b, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b,
  0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x68, 0x61, 0x73, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x64, 0x20,
  0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x6c, 0x79, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x67, 0x6e,
  0x69, 0x7a, 0x65, 0x72, 0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20, 0x68,
  0x61, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x73, 0x63,
  0x61, 0x6e, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x24, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x27, 0x24, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a, 0x3a, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x7b, 0x3a, 0x20, 0x7b, 0x5c,
  0x3a, 0x7d, 0x20, 0x5c, 0x5c, 0x20, 0x7b, 0x5c, 0x5c, 0x7d, 0x7d, 0x20,
  0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x21, 0x3d, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e,
  0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x44, 0x61, 0x74, 0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x50, 0x61,
  0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69,
  0x7a, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x25, 0x78, 0x2c, 0x20, 0x25,
  0x58, 0x2c, 0x20, 0x65, 0x74, 0x63, 0x2e, 0x20, 0x67, 0x72, 0x6f, 0x75,
  0x70, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x6f, 0x6e, 0x64, 0x65, 0x6e, 0x73, 0x65, 0x20, 0x77, 0x68, 0x69, 0x74,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x67, 0x73, 0x75, 0x62, 0x20, 0x2d, 0x61, 0x6c, 0x6c, 0x20,
  0x7b, 0x5b, 0x5b, 0x3a, 0x73, 0x70, 0x61, 0x63, 0x65, 0x3a, 0x5d, 0x5d,
  0x2b, 0x7d, 0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x7b, 0x20, 0x7d, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x61, 0x6c, 0x6b, 0x20, 0x74, 0x68,
  0x72, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x72,
  0x6f, 0x75, 0x70, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x2e, 0x20, 0x20, 0x49, 0x6e, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x6c, 0x6f, 0x6f, 0x70, 0x2c, 0x20, 0x77, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x61, 0x63, 0x63, 0x75, 0x6d, 0x75, 0x6c, 0x61, 0x74,
  0x65, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x09, 0x2d, 0x20, 0x61,
  0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x20, 0x65, 0x78, 0x70,
  0x72, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2c, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x20, 0x20, 0x2d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x72, 0x61, 0x63, 0x6b, 0x65,
  0x74, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20,
  0x20, 0x2d, 0x20, 0x61, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x70, 0x6f,
  0x73, 0x74, 0x2d, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x2c, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x2d, 0x20, 0x61, 0x20,
  0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x77,
  0x68, 0x6f, 0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20,
  0x6f, 0x66, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x70, 0x72, 0x65, 0x73, 0x65,
  0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x20, 0x7b,
  0x5e, 0x5b, 0x5b, 0x3a, 0x73, 0x70, 0x61, 0x63, 0x65, 0x3a, 0x5d, 0x5d,
  0x2a, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6f,
  0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53,
  0x65, 0x74, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x6f,
  0x73, 0x74, 0x53, 0x65, 0x70, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x63, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20,
  0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x77, 0x69,
  0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d,
  0x2d, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x63, 0x20, 0x65, 0x71, 0x20, 0x22, 0x25,
  0x22, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x25, 0x0a,
  0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x63, 0x20, 0x65, 0x71, 0x20, 0x22, 0x20, 0x22, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x7b, 0x5b, 0x5b, 0x3a, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x3a, 0x5d, 0x5d, 0x2b, 0x7d, 0x0a, 0x09, 0x09,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x6e,
  0x75, 0x6d, 0x20, 0x24, 0x63, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x22, 0x5c, 0x5c, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x63, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x25, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69,
  0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d,
  0x2d, 0x20, 0x24, 0x63, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x25, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x20, 0x22, 0x5c, 0x5b, 0x5c, 0x5b, 0x3a, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x3a, 0x5c, 0x5d, 0x5c, 0x5d, 0x2a, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x61, 0x20, 0x2d, 0x20, 0x41, 0x20, 0x7b, 0x20, 0x09, 0x09,
  0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x2c, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x7b, 0x7d, 0x0a,
  0x09, 0x09, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x20, 0x7b, 0x37,
  0x20, 0x31, 0x20, 0x32, 0x20, 0x33, 0x20, 0x34, 0x20, 0x35, 0x20, 0x36,
  0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x62, 0x72, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x44, 0x41, 0x59, 0x53, 0x5f,
  0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f, 0x41, 0x42, 0x42, 0x52,
  0x45, 0x56, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x44, 0x41,
  0x59, 0x53, 0x5f, 0x4f, 0x46, 0x5f, 0x57, 0x45, 0x45, 0x4b, 0x5f, 0x46,
  0x55, 0x4c, 0x4c, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65,
  0x72, 0x20, 0x24, 0x61, 0x62, 0x72, 0x5d, 0x20, 0x24, 0x69, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f,
  0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x66, 0x75, 0x6c, 0x6c, 0x5d,
  0x20, 0x24, 0x69, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x69, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b,
  0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x6c, 0x5d, 0x20, 0x72,
  0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x20, 0x28, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70,
  0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5c, 0x5b, 0x22,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d,
  0x20, 0x22, 0x20, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x5c, 0x5b, 0x20, 0x7b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63,
  0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x62, 0x20,
  0x2d, 0x20, 0x42, 0x20, 0x2d, 0x20, 0x68, 0x20, 0x7b, 0x09, 0x09, 0x23,
  0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20,
  0x30, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x7b,
  0x7d, 0x0a, 0x09, 0x09, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x62,
  0x72, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53,
  0x5f, 0x41, 0x42, 0x42, 0x52, 0x45, 0x56, 0x5d, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20, 0x5b,
  0x6d, 0x63, 0x20, 0x4d, 0x4f, 0x4e, 0x54, 0x48, 0x53, 0x5f, 0x46, 0x55,
  0x4c, 0x4c, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x69, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20,
  0x24, 0x61, 0x62, 0x72, 0x5d, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f,
  0x77, 0x65, 0x72, 0x20, 0x24, 0x66, 0x75, 0x6c, 0x6c, 0x5d, 0x20, 0x24,
  0x69, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x55,
  0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52,
  0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x6c, 0x5d, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x28, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x29, 0x0a, 0x09,
  0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b,
  0x75, 0x70, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x20, 0x22, 0x20, 0x5c, 0x5b, 0x20, 0x7b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63,
  0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x43, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72,
  0x69, 0x61, 0x6e, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64,
  0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20,
  0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x5c, 0x5b, 0x22, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a,
  0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20,
  0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x20,
  0x2d, 0x20, 0x65, 0x20, 0x7b, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61, 0x79,
  0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c,
  0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29,
  0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x45, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x50, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x2d, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x25, 0x45, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x67, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x49, 0x53, 0x4f,
  0x38, 0x36, 0x30, 0x31, 0x20, 0x32, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28,
  0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x53, 0x65, 0x74, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31,
  0x59, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x4f,
  0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x5c, 0x5b, 0x22,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x3a,
  0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70,
  0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22,
  0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x47,
  0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x49, 0x53, 0x4f, 0x38, 0x36,
  0x30, 0x31, 0x20, 0x34, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c,
  0x64, 0x5c, 0x5c, 0x64, 0x29, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64,
  0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x69,
  0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x53, 0x65, 0x74, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31,
  0x59, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x43, 0x65, 0x6e, 0x74, 0x75,
  0x72, 0x79, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c,
  0x6e, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65,
  0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x48, 0x20, 0x2d, 0x20, 0x6b, 0x20, 0x7b, 0x09, 0x09, 0x23,
  0x20, 0x48, 0x6f, 0x75, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x79,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c,
  0x64, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74,
  0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f,
  0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x68, 0x6f,
  0x75, 0x72, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c,
  0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x49, 0x20, 0x2d, 0x20, 0x6c, 0x20, 0x7b,
  0x09, 0x09, 0x23, 0x20, 0x48, 0x6f, 0x75, 0x72, 0x2c, 0x20, 0x41, 0x4d,
  0x2f, 0x50, 0x4d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c,
  0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50, 0x4d,
  0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50,
  0x4d, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e,
  0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6a, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64,
  0x3f, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e,
  0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d,
  0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4a, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79,
  0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73,
  0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x2b, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x53, 0x65, 0x74, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x44, 0x61, 0x79, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61,
  0x6e, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x6c, 0x64,
  0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22,
  0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x20, 0x2d, 0x20,
  0x4e, 0x20, 0x7b, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73,
  0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a, 0x09,
  0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x4d, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x69,
  0x6e, 0x75, 0x74, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c,
  0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x53, 0x65, 0x74, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20,
  0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x5c,
  0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63,
  0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6e, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x69, 0x74,
  0x65, 0x72, 0x61, 0x6c, 0x20, 0x6e, 0x65, 0x77, 0x6c, 0x69, 0x6e, 0x65,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x5c, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4f, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x6e, 0x75,
  0x6d, 0x65, 0x72, 0x69, 0x63, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x25, 0x4f, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x70, 0x20, 0x2d, 0x20, 0x50, 0x20, 0x7b, 0x20, 0x09, 0x09, 0x23,
  0x20, 0x41, 0x4d, 0x2f, 0x50, 0x4d, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63,
  0x61, 0x74, 0x6f, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x41, 0x4d, 0x5d, 0x5d, 0x20, 0x30, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x50, 0x4d, 0x5d, 0x5d, 0x20, 0x31, 0x5d, 0x0a,
  0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b,
  0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x6c, 0x5d, 0x20, 0x72,
  0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x20, 0x28, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x61, 0x6d, 0x50,
  0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x20, 0x5b,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x61, 0x6d, 0x50, 0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63,
  0x61, 0x74, 0x6f, 0x72, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x22, 0x20, 0x5c,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f,
  0x77, 0x65, 0x72, 0x20, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x51, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x48, 0x69,
  0x2c, 0x20, 0x4a, 0x65, 0x66, 0x66, 0x21, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x7b, 0x53, 0x74,
  0x61, 0x72, 0x64, 0x61, 0x74, 0x65, 0x5c, 0x73, 0x2b, 0x28, 0x5b, 0x2d,
  0x2b, 0x5d, 0x3f, 0x5c, 0x64, 0x2b, 0x29, 0x28, 0x5c, 0x64, 0x5c, 0x64,
  0x5c, 0x64, 0x29, 0x5b, 0x2e, 0x5d, 0x28, 0x5c, 0x64, 0x29, 0x7d, 0x0a,
  0x09, 0x09, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x0a, 0x09, 0x09, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x7b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x7d, 0x20, 0x5c, 0x5b, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x50, 0x61, 0x72, 0x73, 0x65, 0x53, 0x74,
  0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70,
  0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b,
  0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x20,
  0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x20, 0x45, 0x70, 0x6f, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20,
  0x54, 0x68, 0x69, 0x73, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x63, 0x61,
  0x73, 0x65, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x73, 0x61, 0x6e, 0x65,
  0x6c, 0x79, 0x20, 0x64, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74,
  0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x69, 0x74,
  0x27, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x70, 0x72, 0x6f, 0x62,
  0x6c, 0x65, 0x6d, 0x61, 0x74, 0x69, 0x63, 0x20, 0x74, 0x6f, 0x20, 0x64,
  0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x77, 0x68, 0x65,
  0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x20, 0x69, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x61,
  0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x77, 0x69, 0x74, 0x68,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65,
  0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x77, 0x69, 0x64, 0x65, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x2e, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x7b, 0x5c, 0x73,
  0x2a, 0x28, 0x5b, 0x2d, 0x2b, 0x5d, 0x3f, 0x5c, 0x64, 0x2b, 0x29, 0x7d,
  0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f,
  0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x7d, 0x20, 0x5c, 0x5b, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x53, 0x63, 0x61,
  0x6e, 0x57, 0x69, 0x64, 0x65, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x5d,
  0x20, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x53, 0x20, 0x7b, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c,
  0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f,
  0x75, 0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c,
  0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x4c, 0x69, 0x74, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x74, 0x61, 0x62,
  0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x5c, 0x5c, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x75, 0x20, 0x2d, 0x20, 0x77, 0x20,
  0x7b, 0x09, 0x09, 0x23, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20, 0x77,
  0x65, 0x65, 0x6b, 0x2c, 0x20, 0x30, 0x20, 0x6f, 0x72, 0x20, 0x37, 0x20,
  0x3d, 0x3d, 0x20, 0x53, 0x75, 0x6e, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x31, 0x3d, 0x4d, 0x6f, 0x6e, 0x2c, 0x20, 0x36, 0x3d, 0x53,
  0x61, 0x74, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64,
  0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x3a,
  0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x25, 0x64, 0x20,
  0x64, 0x6f, 0x77, 0x7d, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x20, 0x3d, 0x3d, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x77, 0x20, 0x37, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x20, 0x3e, 0x20, 0x37, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x09, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b,
  0x20, 0x62, 0x61, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65,
  0x6b, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x22, 0x64,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x69,
  0x73, 0x20, 0x67, 0x72, 0x65, 0x61, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x61, 0x6e, 0x20, 0x37, 0x22, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57,
  0x65, 0x65, 0x6b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x55, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x6f,
  0x66, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f,
  0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09,
  0x23, 0x20, 0x30, 0x31, 0x2e, 0x20, 0x4e, 0x6f, 0x20, 0x73, 0x63, 0x61,
  0x6e, 0x20, 0x72, 0x75, 0x6c, 0x65, 0x20, 0x75, 0x73, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x69, 0x73, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x2e, 0x0a,
  0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65,
  0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x56, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x57,
  0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x49, 0x53, 0x4f, 0x38, 0x36,
  0x30, 0x31, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c,
  0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x3f, 0x29, 0x0a,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x69, 0x73, 0x6f,
  0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b,
  0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x57, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x57,
  0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x28, 0x30, 0x30, 0x2d, 0x35, 0x33, 0x29, 0x2e,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4d, 0x6f, 0x6e, 0x64, 0x61, 0x79,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x64, 0x61, 0x79, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x30, 0x31, 0x2e,
  0x20, 0x4e, 0x6f, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x72, 0x75, 0x6c,
  0x65, 0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x74, 0x68, 0x69, 0x73, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70,
  0x2e, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x5c, 0x5c, 0x64, 0x5c, 0x5c,
  0x64, 0x3f, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x54, 0x77, 0x6f, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x47,
  0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a, 0x28, 0x5c, 0x5c, 0x64, 0x5c,
  0x5c, 0x64, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65,
  0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74,
  0x75, 0x72, 0x79, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x5c, 0x5b,
  0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22,
  0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61,
  0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20,
  0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x59, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x34, 0x2d, 0x64, 0x69,
  0x67, 0x69, 0x74, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61,
  0x6e, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x73, 0x2a,
  0x28, 0x5c, 0x5c, 0x64, 0x5c, 0x5c, 0x64, 0x29, 0x28, 0x5c, 0x5c, 0x64,
  0x5c, 0x5c, 0x64, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65,
  0x74, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75,
  0x72, 0x79, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72,
  0x79, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5c,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x5d, 0x20, 0x22, 0x20, 0x25, 0x64, 0x22, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e,
  0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7a, 0x20, 0x2d, 0x20, 0x5a, 0x20, 0x7b, 0x09,
  0x09, 0x09, 0x23, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x7b, 0x28, 0x3f, 0x3a,
  0x28, 0x5b, 0x2d, 0x2b, 0x5d, 0x5c, 0x64, 0x5c, 0x64, 0x28, 0x3f, 0x3a,
  0x3a, 0x3f, 0x5c, 0x64, 0x5c, 0x64, 0x28, 0x3f, 0x3a, 0x3a, 0x3f, 0x5c,
  0x64, 0x5c, 0x64, 0x29, 0x3f, 0x29, 0x3f, 0x29, 0x7c, 0x28, 0x5b, 0x5b,
  0x3a, 0x61, 0x6c, 0x6e, 0x75, 0x6d, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c,
  0x34, 0x7d, 0x29, 0x29, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53,
  0x65, 0x74, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x69, 0x66, 0x20,
  0x7d, 0x20, 0x5c, 0x7b, 0x20, 0x7b, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70,
  0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x6e, 0x65,
  0x20, 0x22, 0x22, 0x20, 0x7d, 0x20, 0x5c, 0x7d, 0x20, 0x7b, 0x20, 0x7d,
  0x20, 0x5c, 0x7b, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x5c, 0x6e, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5c, 0x7d, 0x20,
  0x7b, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7d, 0x20, 0x5c, 0x7b, 0x20,
  0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7d, 0x20,
  0x5c, 0x5b, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x65, 0x67, 0x61,
  0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24,
  0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61,
  0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20,
  0x5c, 0x5d, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x5c, 0x7d, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x69, 0x74,
  0x65, 0x72, 0x61, 0x6c, 0x20, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74,
  0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x25, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x20, 0x25, 0x0a, 0x09, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x21, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69,
  0x73, 0x20, 0x61, 0x6c, 0x6e, 0x75, 0x6d, 0x20, 0x24, 0x63, 0x5d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x63,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x45, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69, 0x74,
  0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d,
  0x20, 0x24, 0x63, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x43, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74,
  0x20, 0x65, 0x72, 0x61, 0x0a, 0x09, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x66, 0x6f, 0x72, 0x65,
  0x61, 0x63, 0x68, 0x20, 0x74, 0x72, 0x69, 0x70, 0x6c, 0x65, 0x20, 0x5b,
  0x6d, 0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x45, 0x52,
  0x41, 0x53, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24, 0x74, 0x72,
  0x69, 0x70, 0x6c, 0x65, 0x20, 0x74, 0x20, 0x73, 0x79, 0x6d, 0x62, 0x6f,
  0x6c, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c,
  0x6f, 0x77, 0x65, 0x72, 0x20, 0x24, 0x73, 0x79, 0x6d, 0x62, 0x6f, 0x6c,
  0x5d, 0x20, 0x24, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x09, 0x7d,
  0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20,
  0x5b, 0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69,
  0x78, 0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x64, 0x5d, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x28, 0x3f, 0x3a, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78,
  0x20, 0x29, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x45, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x09, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77,
  0x65, 0x72, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x42, 0x43, 0x45, 0x5d, 0x5d,
  0x20, 0x42, 0x43, 0x45, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x5b,
  0x6d, 0x63, 0x20, 0x43, 0x45, 0x5d, 0x5d, 0x20, 0x43, 0x45, 0x0a, 0x09,
  0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x20, 0x62, 0x2e, 0x63, 0x2e, 0x65, 0x2e, 0x20, 0x42, 0x43, 0x45, 0x0a,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x20, 0x63, 0x2e, 0x65, 0x2e, 0x20, 0x43, 0x45, 0x0a, 0x09, 0x09,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20,
  0x62, 0x2e, 0x63, 0x2e, 0x20, 0x42, 0x43, 0x45, 0x0a, 0x09, 0x09, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x61,
  0x2e, 0x64, 0x2e, 0x20, 0x43, 0x45, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61,
  0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x55, 0x6e, 0x69, 0x71, 0x75,
  0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67, 0x65, 0x78,
  0x70, 0x20, 0x24, 0x6c, 0x5d, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20,
  0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x28, 0x20, 0x24, 0x72,
  0x65, 0x67, 0x65, 0x78, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x65, 0x72, 0x61, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x65, 0x72, 0x61, 0x20, 0x5c, 0x5b, 0x22, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c,
  0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x7d, 0x20, 0x5c, 0x5b, 0x20, 0x7b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77,
  0x65, 0x72, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75,
  0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x79, 0x20, 0x7b, 0x09, 0x09, 0x09, 0x23, 0x20, 0x4c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e,
  0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x65, 0x72, 0x61, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68,
  0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x65, 0x66, 0x61,
  0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x25, 0x45, 0x0a, 0x09, 0x09,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x6e, 0x75, 0x6d,
  0x20, 0x24, 0x63, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x5c, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x20, 0x24, 0x63, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x25, 0x4f, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d,
  0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x63, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x20, 0x2d, 0x20,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69,
  0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x72,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x22, 0x20,
  0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22,
  0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x48, 0x20, 0x2d, 0x20,
  0x6b, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69,
  0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x72,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x22, 0x20,
  0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22,
  0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x49, 0x20, 0x2d, 0x20,
  0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69,
  0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x72,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09,
  0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50, 0x4d,
  0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50,
  0x4d, 0x20, 0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f,
  0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x22, 0x20, 0x5c, 0x24, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74,
  0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e,
  0x22, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c,
  0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74,
  0x63, 0x68, 0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x5d, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b,
  0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09,
  0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b,
  0x75, 0x70, 0x5d, 0x20, 0x22, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72,
  0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x4d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68,
  0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65,
  0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b,
  0x75, 0x70, 0x5d, 0x20, 0x22, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72,
  0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x53, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x6c, 0x61, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61, 0x74, 0x63, 0x68,
  0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70,
  0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78, 0x0a, 0x09, 0x09, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20,
  0x5c, 0x5b, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b,
  0x75, 0x70, 0x5d, 0x20, 0x22, 0x20, 0x5c, 0x24, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72,
  0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x5c, 0x5d, 0x5c, 0x6e, 0x22, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x75, 0x20, 0x2d, 0x20, 0x77, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d,
  0x61, 0x74, 0x63, 0x68, 0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x5d, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c, 0x6f,
  0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65, 0x78,
  0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x43, 0x6f, 0x75, 0x6e, 0x74,
  0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x22, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x6f, 0x77, 0x20, 0x5c, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x24, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x63,
  0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x6e, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x20, 0x3d, 0x3d, 0x20, 0x30,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x77, 0x20, 0x37, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x20, 0x3e, 0x20, 0x37, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20,
  0x62, 0x61, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x22, 0x64, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x69, 0x73,
  0x20, 0x67, 0x72, 0x65, 0x61, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61,
  0x6e, 0x20, 0x37, 0x22, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65,
  0x65, 0x6b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c,
  0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x72, 0x20, 0x24, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x5d, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x20, 0x6c,
  0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x72, 0x65, 0x67, 0x65,
  0x78, 0x0a, 0x09, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79,
  0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x43, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x74, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x7b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43,
  0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x7d, 0x20, 0x5c, 0x5b, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x7d, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x5d, 0x20,
  0x7b, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x7d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x69, 0x6e, 0x63, 0x72,
  0x20, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43, 0x6f, 0x75, 0x6e,
  0x74, 0x5d, 0x20, 0x5c, 0x5d, 0x20, 0x5c, 0x6e, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x25, 0x4f,
  0x0a, 0x09, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c,
  0x6e, 0x75, 0x6d, 0x20, 0x24, 0x63, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x20, 0x5c, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x63, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x6c, 0x65, 0x61, 0x6e, 0x20, 0x75, 0x70, 0x20, 0x61, 0x6e, 0x79, 0x20,
  0x75, 0x6e, 0x66, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x5c,
  0x5c, 0x73, 0x2a, 0x5c, 0x24, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f,
  0x64, 0x79, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64,
  0x79, 0x20, 0x22, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x22, 0x20, 0x5c, 0x6e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x22, 0x69, 0x66,
  0x20, 0x5c, 0x7b, 0x20, 0x21, 0x5c, 0x5b, 0x20, 0x72, 0x65, 0x67, 0x65,
  0x78, 0x70, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x61, 0x73, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x72, 0x65, 0x5d, 0x20, 0x5c, 0x24,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x2d, 0x3e, 0x22, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x69, 0x20, 0x31, 0x20, 0x7d, 0x20, 0x7b, 0x20, 0x24, 0x69, 0x20,
  0x3c, 0x3d, 0x20, 0x24, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x43,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x7d, 0x20, 0x7b, 0x20, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x69, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79,
  0x20, 0x22, 0x20, 0x22, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x24,
  0x69, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42,
  0x6f, 0x64, 0x79, 0x20, 0x22, 0x5c, 0x5d, 0x20, 0x5c, 0x7d, 0x20, 0x5c,
  0x7b, 0x22, 0x20, 0x5c, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64,
  0x79, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62,
  0x61, 0x64, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x53, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x69,
  0x6e, 0x70, 0x75, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x64, 0x6f, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x6d, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x5c, 0x7d,
  0x5c, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x22,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5c, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5c, 0x5d,
  0x22, 0x20, 0x5c, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79,
  0x20, 0x7b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24,
  0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x7d, 0x20, 0x5c, 0x6e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x24, 0x70, 0x6f,
  0x73, 0x74, 0x63, 0x6f, 0x64, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f,
  0x64, 0x79, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x47, 0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41,
  0x4e, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x5d, 0x5d, 0x20, 0x5c, 0x6e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x62,
  0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x69, 0x6e, 0x67, 0x20,
  0x61, 0x6e, 0x79, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x61, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20,
  0x62, 0x61, 0x73, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6d, 0x69, 0x67,
  0x68, 0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x61, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x20, 0x69, 0x74, 0x2e, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x26, 0x26, 0x20, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53,
  0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x74, 0x7a,
  0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f,
  0x64, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x0a,
  0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x41, 0x64, 0x64, 0x20, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x67, 0x65, 0x74, 0x73, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e, 0x75,
  0x6d, 0x62, 0x65, 0x72, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x5b, 0x4d, 0x61, 0x6b, 0x65,
  0x50, 0x61, 0x72, 0x73, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x46, 0x72, 0x6f,
  0x6d, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x24, 0x44, 0x61, 0x74, 0x65, 0x50,
  0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x74, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x5b, 0x4d, 0x61,
  0x6b, 0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x46,
  0x72, 0x6f, 0x6d, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x24, 0x54, 0x69, 0x6d,
  0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x73,
  0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x64, 0x61, 0x79, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x79, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20,
  0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x75, 0x6e, 0x6c, 0x65, 0x73, 0x73, 0x20, 0x65, 0x70, 0x6f,
  0x63, 0x68, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x6f,
  0x72, 0x20, 0x73, 0x74, 0x61, 0x72, 0x64, 0x61, 0x74, 0x65, 0x20, 0x61,
  0x72, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x62, 0x65, 0x69,
  0x6e, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x65, 0x64,
  0x20, 0x2d, 0x20, 0x74, 0x68, 0x65, 0x79, 0x27, 0x72, 0x65, 0x20, 0x61,
  0x6c, 0x77, 0x61, 0x79, 0x73, 0x20, 0x61, 0x62, 0x73, 0x6f, 0x6c, 0x75,
  0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x26, 0x26, 0x20, 0x21, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x42, 0x6f, 0x64, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c,
  0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x20, 0x3e, 0x20, 0x35, 0x33,
  0x37, 0x33, 0x34, 0x38, 0x34, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x54, 0x6f,
  0x6f, 0x4c, 0x61, 0x72, 0x67, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x6f, 0x6f, 0x20,
  0x6c, 0x61, 0x72, 0x67, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x70,
  0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x2d, 0x32, 0x31,
  0x30, 0x38, 0x36, 0x36, 0x38, 0x30, 0x33, 0x32, 0x30, 0x30, 0x0a, 0x09,
  0x09, 0x2b, 0x20, 0x28, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x2a,
  0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x29, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20,
  0x46, 0x69, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x2c, 0x20, 0x63, 0x6f, 0x6e,
  0x76, 0x65, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x0a, 0x0a, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x54, 0x6f, 0x55, 0x54, 0x43, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x20,
  0x7b, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x7d, 0x20, 0x5c, 0x6e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20,
  0x7d, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f, 0x64, 0x79, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x75, 0x74, 0x73, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x24,
  0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x62, 0x61,
  0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x42, 0x6f,
  0x64, 0x79, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x24, 0x70, 0x72, 0x6f, 0x63, 0x4e, 0x61, 0x6d,
  0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x4d, 0x61,
  0x74, 0x63, 0x68, 0x65, 0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x43, 0x6f, 0x6d, 0x70, 0x6f, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20,
  0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23,
  0x09, 0x61, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x74, 0x68, 0x65,
  0x6d, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x6e, 0x74,
  0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x61,
  0x6c, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61,
  0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x74,
  0x77, 0x6f, 0x2d, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x69, 0x73, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78,
  0x70, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x43, 0x61, 0x63, 0x68, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c,
  0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x72, 0x20, 0x7b, 0x6c, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d,
  0x65, 0x72, 0x61, 0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c,
  0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x24, 0x6c, 0x5d, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x20, 0x7b, 0x7d, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x30, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x65, 0x70, 0x20, 0x5c, 0x28, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x20, 0x5b, 0x6d, 0x63, 0x20,
  0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x4e, 0x55, 0x4d, 0x45, 0x52,
  0x41, 0x4c, 0x53, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x20, 0x24,
  0x6e, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x67, 0x73, 0x75, 0x62, 0x20, 0x2d, 0x61, 0x6c, 0x6c, 0x20, 0x7b, 0x5b,
  0x5e, 0x5b, 0x3a, 0x61, 0x6c, 0x6e, 0x75, 0x6d, 0x3a, 0x5d, 0x5d, 0x7d,
  0x20, 0x24, 0x6e, 0x20, 0x5c, 0x5c, 0x5c, 0x5c, 0x26, 0x20, 0x73, 0x75,
  0x62, 0x65, 0x78, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x24, 0x73, 0x65, 0x70, 0x20,
  0x24, 0x73, 0x75, 0x62, 0x65, 0x78, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x70, 0x20, 0x7c, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20,
  0x5c, 0x29, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x24, 0x6c, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x72, 0x65, 0x20, 0x24, 0x64, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e,
  0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x20,
  0x24, 0x6c, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x0a, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69,
  0x78, 0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x43, 0x6f, 0x6d, 0x70, 0x6f, 0x73, 0x65, 0x73, 0x20,
  0x61, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x70, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x20, 0x75,
  0x6e, 0x69, 0x71, 0x75, 0x65, 0x2d, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x52, 0x45, 0x0a, 0x23, 0x09, 0x6d, 0x61, 0x74,
  0x63, 0x68, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x61, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x73, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x75, 0x6e,
  0x69, 0x71, 0x75, 0x65, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x0a,
  0x23, 0x09, 0x74, 0x68, 0x65, 0x72, 0x65, 0x6f, 0x66, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x61, 0x20, 0x2d, 0x20,
  0x4c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x6c, 0x74, 0x65,
  0x72, 0x6e, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4d, 0x61, 0x74, 0x63, 0x68,
  0x2d, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x64, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x63, 0x74, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x63, 0x6f,
  0x6e, 0x73, 0x69, 0x64, 0x65, 0x72, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x73, 0x74, 0x69, 0x6e,
  0x63, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x73, 0x20, 0x61, 0x20, 0x74, 0x77, 0x6f, 0x2d, 0x65, 0x6c, 0x65,
  0x6d, 0x65, 0x6e, 0x74, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x20, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x69, 0x73,
  0x20, 0x61, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20, 0x61,
  0x6e, 0x79, 0x0a, 0x23, 0x09, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20,
  0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x6e,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x73, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x77, 0x68,
  0x6f, 0x73, 0x65, 0x0a, 0x23, 0x09, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x63,
  0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x27, 0x64, 0x61, 0x74, 0x61, 0x27, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x55, 0x6e, 0x69,
  0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67,
  0x65, 0x78, 0x70, 0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65,
  0x20, 0x27, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73,
  0x27, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69,
  0x6e, 0x2c, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x69, 0x73, 0x20, 0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x6e, 0x79,
  0x20, 0x6b, 0x65, 0x79, 0x2c, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x63, 0x68,
  0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x73, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x27, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70, 0x70,
  0x69, 0x6e, 0x67, 0x27, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x61, 0x72, 0x79, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x68, 0x61, 0x76,
  0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x65, 0x73,
  0x20, 0x6f, 0x66, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x6e, 0x64,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65,
  0x73, 0x70, 0x6f, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6b, 0x65, 0x79, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61,
  0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f,
  0x72, 0x73, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x7d, 0x5d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x61, 0x6c, 0x6b, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x2d, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x70, 0x61, 0x69, 0x72, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x6b, 0x65,
  0x79, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7d, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x61, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x43, 0x6f, 0x6e,
  0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x70,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x3b, 0x0a, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x7b, 0x7d, 0x0a,
  0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x63, 0x68, 0x61,
  0x72, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24, 0x6b, 0x65,
  0x79, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c, 0x64, 0x50, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20,
  0x24, 0x6f, 0x6c, 0x64, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x72, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x20, 0x24, 0x63, 0x68, 0x61, 0x72, 0x0a, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x75, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x65, 0x73, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x27, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x27, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73,
  0x27, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x69, 0x65, 0x73, 0x0a, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d,
  0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x73,
  0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20, 0x24, 0x70,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x75,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20, 0x24, 0x70, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x64, 0x65, 0x6e, 0x74,
  0x69, 0x66, 0x79, 0x20, 0x74, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x70, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x64, 0x65, 0x73, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x65, 0x20, 0x75, 0x6e,
  0x69, 0x71, 0x75, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x61, 0x72, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20, 0x6b,
  0x65, 0x79, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69,
  0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x7b, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x7b, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65,
  0x4c, 0x69, 0x73, 0x74, 0x20, 0x7d, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x7b, 0x0a,
  0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x4c, 0x69, 0x73,
  0x74, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x6b,
  0x65, 0x79, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x30, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20,
  0x6b, 0x65, 0x79, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7d, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x61, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65,
  0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e,
  0x67, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x4d, 0x61, 0x6b, 0x65,
  0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x73, 0x75, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20, 0x24, 0x75, 0x6e, 0x69, 0x71,
  0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70, 0x70,
  0x69, 0x6e, 0x67, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x24, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69,
  0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x5d, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x55, 0x6e, 0x69,
  0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67,
  0x65, 0x78, 0x70, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x53,
  0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x27, 0x55, 0x6e,
  0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x27, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63,
  0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x73, 0x20, 0x61, 0x20,
  0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72, 0x0a, 0x23, 0x09, 0x65, 0x78,
  0x70, 0x72, 0x65, 0x73, 0x69, 0x73, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20, 0x70, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20,
  0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x65, 0x73, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x6f, 0x66, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x70, 0x61, 0x73,
  0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x27, 0x55, 0x6e, 0x69, 0x71,
  0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67, 0x65,
  0x78, 0x70, 0x27, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x68, 0x6f, 0x73,
  0x65, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x77, 0x68,
  0x6f, 0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74,
  0x65, 0x72, 0x73, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x66, 0x6f, 0x6c,
  0x6c, 0x6f, 0x77, 0x20, 0x74, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x70, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x09, 0x75, 0x6e,
  0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61,
  0x70, 0x70, 0x69, 0x6e, 0x67, 0x20, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65,
  0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x0a, 0x23, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69,
  0x78, 0x65, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x68, 0x6f, 0x73,
  0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x65, 0x78, 0x61, 0x6d, 0x69, 0x6e, 0x65,
  0x64, 0x2e, 0x0a, 0x23, 0x09, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x2d, 0x20, 0x43, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x62,
  0x65, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x73, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75,
  0x63, 0x74, 0x65, 0x64, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c, 0x61, 0x72,
  0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x0a,
  0x23, 0x09, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20, 0x70, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x65, 0x73, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x27, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x27, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64,
  0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4d, 0x61, 0x6b, 0x65, 0x55, 0x6e, 0x69,
  0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67,
  0x65, 0x78, 0x70, 0x20, 0x7b, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x6f, 0x72, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x47, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x6d, 0x61, 0x79, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f,
  0x77, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x6f,
  0x72, 0x74, 0x20, 0x2d, 0x61, 0x73, 0x63, 0x69, 0x69, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x73, 0x75, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x6f, 0x72, 0x73, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66,
  0x69, 0x78, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5d, 0x5d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x73, 0x63, 0x68, 0x61, 0x72,
  0x73, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x6d, 0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x6f, 0x6e,
  0x65, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x20,
  0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x6f,
  0x72, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x75,
  0x6e, 0x69, 0x71, 0x75, 0x65, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x2c, 0x20, 0x73, 0x75, 0x72, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64,
  0x20, 0x72, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6e, 0x6f, 0x6e,
  0x2d, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x68,
  0x65, 0x73, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x72, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x75, 0x6e, 0x69,
  0x71, 0x75, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70,
  0x70, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5d, 0x0a, 0x09, 0x7c, 0x7c, 0x20,
  0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x73, 0x63,
  0x68, 0x61, 0x72, 0x73, 0x5d, 0x20, 0x3e, 0x20, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x7b, 0x0a, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x22, 0x28,
  0x3f, 0x3a, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74,
  0x65, 0x20, 0x61, 0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f,
  0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x65, 0x70, 0x20, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x63, 0x20,
  0x7d, 0x20, 0x24, 0x73, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x50, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x20, 0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x24, 0x63, 0x0a, 0x09, 0x72, 0x65, 0x67,
  0x73, 0x75, 0x62, 0x20, 0x2d, 0x61, 0x6c, 0x6c, 0x20, 0x7b, 0x5b, 0x5e,
  0x5b, 0x3a, 0x61, 0x6c, 0x6e, 0x75, 0x6d, 0x3a, 0x5d, 0x5d, 0x7d, 0x20,
  0x24, 0x63, 0x20, 0x5c, 0x5c, 0x5c, 0x5c, 0x26, 0x20, 0x72, 0x65, 0x63,
  0x68, 0x61, 0x72, 0x0a, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x20, 0x24, 0x73, 0x65, 0x70, 0x20, 0x24, 0x72, 0x65, 0x63,
  0x68, 0x61, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x4d, 0x61, 0x6b, 0x65, 0x55, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x52, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x20, 0x24, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x6f, 0x72, 0x73, 0x20, 0x24, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x6e, 0x65, 0x78, 0x74, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x70, 0x20, 0x7c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x20,
  0x69, 0x73, 0x20, 0x61, 0x20, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x20,
  0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x2c, 0x20, 0x6d, 0x61, 0x6b, 0x65,
  0x20, 0x61, 0x6c, 0x6c, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x65, 0x78, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x2e, 0x20,
  0x4f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x2c, 0x20, 0x69,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6d,
  0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x6f, 0x6e, 0x65,
  0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x20, 0x63,
  0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x2c, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x63, 0x6c, 0x6f, 0x73, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x63, 0x61, 0x70, 0x74, 0x75, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x68, 0x65,
  0x73, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x24, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x50,
  0x72, 0x65, 0x66, 0x69, 0x78, 0x4d, 0x61, 0x70, 0x70, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x20, 0x22, 0x29, 0x3f, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x73, 0x63, 0x68, 0x61, 0x72, 0x73, 0x5d, 0x20, 0x3e, 0x20, 0x31,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x72, 0x65, 0x20, 0x22, 0x29, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x72, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x4d, 0x61, 0x6b, 0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x43, 0x6f,
  0x64, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x43, 0x6f, 0x6d, 0x70,
  0x6f, 0x73, 0x65, 0x73, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x78, 0x74, 0x72, 0x61, 0x63, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20,
  0x44, 0x61, 0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x61, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x0a, 0x23, 0x09, 0x63, 0x6f, 0x6e, 0x74, 0x61,
  0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x64, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x2d, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
  0x79, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x6b, 0x65, 0x79, 0x73,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2c,
  0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x68, 0x6f,
  0x73, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x69, 0x67, 0x68, 0x74, 0x6d,
  0x6f, 0x73, 0x74, 0x20, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x74, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x6f, 0x73,
  0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x61, 0x70, 0x70,
  0x65, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x09, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x2d, 0x2d, 0x20, 0x4c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x72, 0x69, 0x70, 0x6c,
  0x65, 0x73, 0x3a, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x73, 0x65,
  0x74, 0x2c, 0x20, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x6d, 0x69, 0x74, 0x2e, 0x20, 0x20,
  0x53, 0x6d, 0x61, 0x6c, 0x6c, 0x65, 0x72, 0x20, 0x70, 0x72, 0x69, 0x6f,
  0x72, 0x69, 0x74, 0x69, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x62,
  0x65, 0x74, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x61,
  0x73, 0x63, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x72, 0x64,
  0x65, 0x72, 0x20, 0x62, 0x79, 0x20, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x69,
  0x74, 0x79, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x61, 0x20, 0x62, 0x75, 0x72, 0x73, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x65,
  0x78, 0x74, 0x72, 0x61, 0x63, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x64, 0x61, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4d, 0x61,
  0x6b, 0x65, 0x50, 0x61, 0x72, 0x73, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x46,
  0x72, 0x6f, 0x6d, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x7b, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x70,
  0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x50, 0x72, 0x69, 0x6f, 0x20, 0x39, 0x39,
  0x39, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x75,
  0x72, 0x72, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x50, 0x6f, 0x73, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x63, 0x75, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x42, 0x75,
  0x72, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x69, 0x6e, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4d, 0x61, 0x6b, 0x65, 0x50,
  0x61, 0x72, 0x73, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x46, 0x72, 0x6f, 0x6d,
  0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x3a, 0x20, 0x63, 0x61, 0x6e, 0x27,
  0x74, 0x20, 0x68, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x53, 0x65, 0x74, 0x20, 0x70, 0x72, 0x69, 0x6f, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x7d, 0x20, 0x24,
  0x70, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73,
  0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x49, 0x66, 0x20, 0x77, 0x65, 0x27,
  0x76, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x20,
  0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x27,
  0x73, 0x20, 0x62, 0x65, 0x74, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61,
  0x6e, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x66,
  0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x2c, 0x20, 0x71, 0x75, 0x69, 0x74, 0x0a,
  0x09, 0x23, 0x20, 0x6e, 0x6f, 0x77, 0x2e, 0x0a, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x70, 0x72, 0x69, 0x6f, 0x20, 0x3e, 0x20, 0x24,
  0x63, 0x75, 0x72, 0x72, 0x50, 0x72, 0x69, 0x6f, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a,
  0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x63, 0x63, 0x75, 0x6d,
  0x75, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x20, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x75,
  0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x0a, 0x09, 0x23, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x69, 0x6e, 0x67,
  0x2e, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x50, 0x6f, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6b, 0x20, 0x74, 0x72, 0x75, 0x65,
  0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x53, 0x65,
  0x74, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x21, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x46, 0x69,
  0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6f,
  0x6b, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x50, 0x6f, 0x73, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c,
  0x64, 0x73, 0x20, 0x24, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x51, 0x75, 0x69, 0x74, 0x20, 0x69,
  0x66, 0x20, 0x77, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x68,
  0x61, 0x76, 0x65, 0x20, 0x61, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65,
  0x74, 0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x73, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21,
  0x24, 0x6f, 0x6b, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d,
  0x0a, 0x0a, 0x09, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69,
  0x6e, 0x65, 0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x61,
  0x6e, 0x73, 0x77, 0x65, 0x72, 0x20, 0x69, 0x73, 0x20, 0x62, 0x65, 0x74,
  0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6c, 0x61, 0x73, 0x74, 0x2e, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x66, 0x50, 0x6f, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x6f, 0x72, 0x74,
  0x20, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x64,
  0x65, 0x63, 0x72, 0x65, 0x61, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x50, 0x6f, 0x73, 0x5d, 0x0a, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x70, 0x72, 0x69, 0x6f, 0x20, 0x3d, 0x3d,
  0x20, 0x20, 0x24, 0x63, 0x75, 0x72, 0x72, 0x50, 0x72, 0x69, 0x6f, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x63, 0x75, 0x72, 0x72, 0x50, 0x6f, 0x73,
  0x20, 0x24, 0x63, 0x75, 0x72, 0x72, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x50,
  0x6f, 0x73, 0x20, 0x6e, 0x65, 0x77, 0x50, 0x6f, 0x73, 0x20, 0x24, 0x66,
  0x50, 0x6f, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x21, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67,
  0x65, 0x72, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x50, 0x6f, 0x73, 0x5d, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7c, 0x7c, 0x20, 0x21, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x67, 0x65, 0x72, 0x20, 0x24, 0x63, 0x75, 0x72, 0x72, 0x50, 0x6f,
  0x73, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7c, 0x7c, 0x20,
  0x24, 0x6e, 0x65, 0x77, 0x50, 0x6f, 0x73, 0x20, 0x3e, 0x20, 0x24, 0x63,
  0x75, 0x72, 0x72, 0x50, 0x6f, 0x73, 0x0a, 0x09, 0x09, 0x7d, 0x20, 0x74,
  0x68, 0x65, 0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6e, 0x65, 0x77, 0x50, 0x6f, 0x73,
  0x20, 0x3c, 0x20, 0x24, 0x63, 0x75, 0x72, 0x72, 0x50, 0x6f, 0x73, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6f, 0x6b, 0x20, 0x30, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x21, 0x24, 0x6f, 0x6b, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75,
  0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x52, 0x65, 0x6d,
  0x65, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x65,
  0x73, 0x74, 0x20, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62, 0x69, 0x6c, 0x69,
  0x74, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x78, 0x74, 0x72, 0x61,
  0x63, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x63, 0x75, 0x72, 0x72, 0x50, 0x72, 0x69,
  0x6f, 0x20, 0x24, 0x70, 0x72, 0x69, 0x6f, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x50, 0x6f,
  0x73, 0x20, 0x24, 0x66, 0x50, 0x6f, 0x73, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x42, 0x75, 0x72,
  0x73, 0x74, 0x20, 0x24, 0x70, 0x61, 0x72, 0x73, 0x65, 0x41, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x63,
  0x75, 0x72, 0x72, 0x43, 0x6f, 0x64, 0x65, 0x42, 0x75, 0x72, 0x73, 0x74,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x45, 0x6e, 0x74, 0x65,
  0x72, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x53, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x5b, 0x6d,
  0x63, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x74, 0x6f, 0x20,
  0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x69, 0x66, 0x20, 0x6e, 0x65, 0x63, 0x65, 0x73, 0x73,
  0x61, 0x72, 0x79, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61,
  0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x44, 0x65, 0x73, 0x69,
  0x72, 0x65, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x77, 0x61, 0x73, 0x20, 0x70, 0x72, 0x65, 0x76, 0x69, 0x6f,
  0x75, 0x73, 0x6c, 0x79, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65,
  0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x44, 0x6f,
  0x65, 0x73, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x5d, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x6e, 0x65, 0x63, 0x65, 0x73,
  0x73, 0x61, 0x72, 0x79, 0x2c, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x69, 0x67, 0x6e, 0x61,
  0x74, 0x65, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x27, 0x73,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x45, 0x6e, 0x74, 0x65, 0x72, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x7b, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x65, 0x71, 0x20, 0x7b, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x7d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
  0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20,
  0x6e, 0x65, 0x20, 0x7b, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x7d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x4f, 0x6e, 0x20, 0x61, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x77, 0x69, 0x6e,
  0x64, 0x6f, 0x77, 0x73, 0x20, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
  0x6d, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x73, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x27, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x61,
  0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x27, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x27, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x4f, 0x6e, 0x20, 0x61, 0x20, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73,
  0x20, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2c, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x27, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x27, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x64,
  0x61, 0x70, 0x74, 0x65, 0x64, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x27, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x27, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x62, 0x79, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x79, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e,
  0x74, 0x72, 0x6f, 0x6c, 0x20, 0x50, 0x61, 0x6e, 0x65, 0x6c, 0x2e, 0x20,
  0x20, 0x46, 0x69, 0x72, 0x73, 0x74, 0x2c, 0x20, 0x6c, 0x6f, 0x61, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x27, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x66,
  0x20, 0x69, 0x74, 0x27, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x79, 0x65,
  0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x65, 0x64, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x63,
  0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x73, 0x65, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x5d, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20, 0x61, 0x20, 0x6e, 0x65, 0x77, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x74,
  0x72, 0x6f, 0x6c, 0x20, 0x50, 0x61, 0x6e, 0x65, 0x6c, 0x20, 0x69, 0x6e,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x5d, 0x5f, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x20, 0x5b, 0x6d,
  0x63, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x24,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x4c, 0x6f, 0x61, 0x64, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77,
  0x73, 0x44, 0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x46, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x73, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x65, 0x71,
  0x20, 0x7b, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x7d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x63, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x6f, 0x61, 0x64, 0x57,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x44, 0x61, 0x74, 0x65, 0x54, 0x69,
  0x6d, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
  0x20, 0x50, 0x61, 0x6e, 0x65, 0x6c, 0x20, 0x69, 0x6e, 0x20, 0x57, 0x69,
  0x6e, 0x64, 0x6f, 0x77, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x09,
  0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x74, 0x68, 0x65, 0x6d,
  0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x79, 0x27, 0x72, 0x65, 0x20, 0x75, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x62, 0x79, 0x20, 0x54, 0x63, 0x6c, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x6f,
  0x73, 0x65, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x63,
  0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x62,
  0x65, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53,
  0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6d, 0x65, 0x73,
  0x73, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x72, 0x65, 0x73, 0x75, 0x6d,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x6f, 0x6e, 0x20, 0x65,
  0x6e, 0x74, 0x72, 0x79, 0x2c, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x5d, 0x20, 0x69, 0x73, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2c, 0x20, 0x73,
  0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x23, 0x20, 0x64, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73,
  0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x6f, 0x62, 0x74, 0x61,
  0x69, 0x6e, 0x65, 0x64, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x20, 0x71, 0x75, 0x65,
  0x72, 0x79, 0x20, 0x66, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4c, 0x6f, 0x61, 0x64,
  0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x44, 0x61, 0x74, 0x65, 0x54,
  0x69, 0x6d, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73, 0x20, 0x7b,
  0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x42, 0x61, 0x69, 0x6c, 0x20, 0x6f,
  0x75, 0x74, 0x20, 0x69, 0x66, 0x20, 0x77, 0x65, 0x20, 0x63, 0x61, 0x6e,
  0x27, 0x74, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4e,
  0x6f, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x4e, 0x6f, 0x52, 0x65,
  0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x5d, 0x20, 0x7d, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x21, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x22, 0x48, 0x4b, 0x45, 0x59, 0x5f, 0x43, 0x55, 0x52,
  0x52, 0x45, 0x4e, 0x54, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5c, 0x5c, 0x43,
  0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x20, 0x50, 0x61, 0x6e, 0x65, 0x6c,
  0x5c, 0x5c, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x22, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x53, 0x68, 0x6f, 0x72, 0x74, 0x44, 0x61, 0x74, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75,
  0x6f, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x66, 0x6d, 0x74, 0x20, 0x7b, 0x7d, 0x0a, 0x09,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x75, 0x6e,
  0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x71, 0x75, 0x6f, 0x74, 0x65,
  0x64, 0x20, 0x7d, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69, 0x74, 0x20, 0x24,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x27, 0x5d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x66, 0x6d, 0x74, 0x20, 0x24, 0x71, 0x75, 0x6f,
  0x74, 0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x64, 0x64, 0x64, 0x64, 0x20,
  0x25, 0x41, 0x0a, 0x09, 0x09, 0x64, 0x64, 0x64, 0x20, 0x20, 0x25, 0x61,
  0x0a, 0x09, 0x09, 0x64, 0x64, 0x20, 0x20, 0x20, 0x25, 0x64, 0x0a, 0x09,
  0x09, 0x64, 0x20, 0x20, 0x20, 0x20, 0x25, 0x65, 0x0a, 0x09, 0x09, 0x4d,
  0x4d, 0x4d, 0x4d, 0x20, 0x25, 0x42, 0x0a, 0x09, 0x09, 0x4d, 0x4d, 0x4d,
  0x20, 0x20, 0x25, 0x62, 0x0a, 0x09, 0x09, 0x4d, 0x4d, 0x20, 0x20, 0x20,
  0x25, 0x6d, 0x0a, 0x09, 0x09, 0x4d, 0x20, 0x20, 0x20, 0x20, 0x25, 0x4e,
  0x0a, 0x09, 0x09, 0x79, 0x79, 0x79, 0x79, 0x20, 0x25, 0x59, 0x0a, 0x09,
  0x09, 0x79, 0x79, 0x20, 0x20, 0x20, 0x25, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x79, 0x20, 0x20, 0x20, 0x20, 0x25, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x67, 0x67, 0x20, 0x20, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x24, 0x75, 0x6e, 0x71, 0x75, 0x6f, 0x74, 0x65,
  0x64, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x65, 0x71, 0x20,
  0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x27, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x24,
  0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63,
  0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x24, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x46,
  0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x66,
  0x6d, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x63, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
  0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x48, 0x4b, 0x45, 0x59,
  0x5f, 0x43, 0x55, 0x52, 0x52, 0x45, 0x4e, 0x54, 0x5f, 0x55, 0x53, 0x45,
  0x52, 0x5c, 0x5c, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x20, 0x50,
  0x61, 0x6e, 0x65, 0x6c, 0x5c, 0x5c, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x6e,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x22, 0x20, 0x5c, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x4c, 0x6f, 0x6e, 0x67, 0x44, 0x61, 0x74,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x6c, 0x64, 0x61, 0x74, 0x65, 0x66, 0x6d, 0x74, 0x20,
  0x7b, 0x7d, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x7b, 0x20, 0x75, 0x6e, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x71,
  0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x7d, 0x20, 0x5b, 0x73, 0x70, 0x6c,
  0x69, 0x74, 0x20, 0x24, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x27,
  0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x6c, 0x64, 0x61, 0x74, 0x65, 0x66, 0x6d, 0x74,
  0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x64, 0x64, 0x64, 0x64, 0x20, 0x25, 0x41, 0x0a, 0x09, 0x09, 0x64, 0x64,
  0x64, 0x20, 0x20, 0x25, 0x61, 0x0a, 0x09, 0x09, 0x64, 0x64, 0x20, 0x20,
  0x20, 0x25, 0x64, 0x0a, 0x09, 0x09, 0x64, 0x20, 0x20, 0x20, 0x20, 0x25,
  0x65, 0x0a, 0x09, 0x09, 0x4d, 0x4d, 0x4d, 0x4d, 0x20, 0x25, 0x42, 0x0a,
  0x09, 0x09, 0x4d, 0x4d, 0x4d, 0x20, 0x20, 0x25, 0x62, 0x0a, 0x09, 0x09,
  0x4d, 0x4d, 0x20, 0x20, 0x20, 0x25, 0x6d, 0x0a, 0x09, 0x09, 0x4d, 0x20,
  0x20, 0x20, 0x20, 0x25, 0x4e, 0x0a, 0x09, 0x09, 0x79, 0x79, 0x79, 0x79,
  0x20, 0x25, 0x59, 0x0a, 0x09, 0x09, 0x79, 0x79, 0x20, 0x20, 0x20, 0x25,
  0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x79, 0x20, 0x20, 0x20, 0x20, 0x25,
  0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x67, 0x67, 0x20, 0x20, 0x20, 0x7b,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x24, 0x75, 0x6e,
  0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65,
  0x64, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20,
  0x27, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75,
  0x6f, 0x74, 0x65, 0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x3a,
  0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73,
  0x65, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x4c,
  0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x46,
  0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x24, 0x6c, 0x64, 0x61, 0x74, 0x65,
  0x66, 0x6d, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x63, 0x61,
  0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x67, 0x69, 0x73,
  0x74, 0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20, 0x22, 0x48, 0x4b, 0x45,
  0x59, 0x5f, 0x43, 0x55, 0x52, 0x52, 0x45, 0x4e, 0x54, 0x5f, 0x55, 0x53,
  0x45, 0x52, 0x5c, 0x5c, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x20,
  0x50, 0x61, 0x6e, 0x65, 0x6c, 0x5c, 0x5c, 0x49, 0x6e, 0x74, 0x65, 0x72,
  0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x22, 0x20, 0x5c, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x54, 0x69, 0x6d, 0x65, 0x46, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x7b, 0x7d,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x66, 0x6d,
  0x74, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x7b, 0x20, 0x75, 0x6e, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64,
  0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x20, 0x7d, 0x20, 0x5b, 0x73,
  0x70, 0x6c, 0x69, 0x74, 0x20, 0x24, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x27, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x66, 0x6d,
  0x74, 0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x48, 0x48, 0x20, 0x20, 0x20, 0x20, 0x25, 0x48, 0x0a, 0x09, 0x09,
  0x48, 0x20, 0x20, 0x20, 0x20, 0x20, 0x25, 0x6b, 0x0a, 0x09, 0x09, 0x68,
  0x68, 0x20, 0x20, 0x20, 0x20, 0x25, 0x49, 0x0a, 0x09, 0x09, 0x68, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x25, 0x6c, 0x0a, 0x09, 0x09, 0x6d, 0x6d, 0x20,
  0x20, 0x20, 0x20, 0x25, 0x4d, 0x0a, 0x09, 0x09, 0x6d, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x25, 0x4d, 0x0a, 0x09, 0x09, 0x73, 0x73, 0x20, 0x20, 0x20,
  0x20, 0x25, 0x53, 0x0a, 0x09, 0x09, 0x73, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x25, 0x53, 0x0a, 0x09, 0x09, 0x74, 0x74, 0x20, 0x20, 0x20, 0x20, 0x25,
  0x70, 0x0a, 0x09, 0x09, 0x74, 0x20, 0x20, 0x20, 0x20, 0x20, 0x25, 0x70,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x24, 0x75, 0x6e, 0x71,
  0x75, 0x6f, 0x74, 0x65, 0x64, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64,
  0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x20, 0x27,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x71, 0x75, 0x6f,
  0x74, 0x65, 0x20, 0x24, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x64, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x3a, 0x3a,
  0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65,
  0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x54, 0x49,
  0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x66, 0x6d, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x0a, 0x09, 0x3a, 0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a,
  0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x22, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x66, 0x6d, 0x74, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x66,
  0x6d, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x3a,
  0x3a, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73,
  0x65, 0x74, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x4c,
  0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x54,
  0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x20, 0x22,
  0x24, 0x6c, 0x64, 0x61, 0x74, 0x65, 0x66, 0x6d, 0x74, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x66, 0x6d, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x0a, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x6f,
  0x63, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4d, 0x61, 0x70, 0x20,
  0x61, 0x77, 0x61, 0x79, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2d,
  0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x61, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x43,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x5d, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x2c, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x20,
  0x20, 0x61, 0x6e, 0x20, 0x65, 0x78, 0x74, 0x72, 0x61, 0x20, 0x63, 0x61,
  0x6c, 0x6c, 0x0a, 0x23, 0x09, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x2d, 0x2d, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x73, 0x75,
  0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x5b, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x5d, 0x20, 0x6f,
  0x72, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x5d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74,
  0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x65, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73,
  0x0a, 0x23, 0x09, 0x73, 0x75, 0x62, 0x73, 0x74, 0x69, 0x74, 0x75, 0x74,
  0x65, 0x64, 0x20, 0x6f, 0x75, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x7b,
  0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x63, 0x61,
  0x74, 0x61, 0x6c, 0x6f, 0x67, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x74, 0x6f,
  0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x46, 0x4f, 0x52, 0x4d, 0x41,
  0x54, 0x5f, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x3a, 0x3a, 0x6d,
  0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x24, 0x6b, 0x65,
  0x79, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x2d, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x74,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x67, 0x72, 0x6f, 0x75,
  0x70, 0x73, 0x20, 0x62, 0x79, 0x20, 0x6d, 0x61, 0x70, 0x70, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x5d, 0x20, 0x6f, 0x70, 0x65, 0x72,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x69, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x66, 0x69, 0x63,
  0x61, 0x6e, 0x74, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x6c, 0x61, 0x74, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x73, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x72, 0x65, 0x66, 0x65, 0x72, 0x20,
  0x74, 0x6f, 0x20, 0x6c, 0x61, 0x74, 0x65, 0x72, 0x20, 0x6f, 0x6e, 0x65,
  0x73, 0x3b, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x65, 0x78, 0x61, 0x6d, 0x70,
  0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x25, 0x63, 0x20,
  0x63, 0x61, 0x6e, 0x20, 0x72, 0x65, 0x66, 0x65, 0x72, 0x20, 0x74, 0x6f,
  0x20, 0x25, 0x58, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x72,
  0x65, 0x66, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x25, 0x54, 0x2e, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x7b, 0x0a, 0x09, 0x25, 0x25, 0x20, 0x25, 0x25, 0x0a, 0x09,
  0x25, 0x44, 0x20, 0x25, 0x6d, 0x2f, 0x25, 0x64, 0x2f, 0x25, 0x59, 0x0a,
  0x09, 0x25, 0x2b, 0x20, 0x7b, 0x25, 0x61, 0x20, 0x25, 0x62, 0x20, 0x25,
  0x65, 0x20, 0x25, 0x48, 0x3a, 0x25, 0x4d, 0x3a, 0x25, 0x53, 0x20, 0x25,
  0x5a, 0x20, 0x25, 0x59, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x25, 0x45, 0x59, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c,
  0x45, 0x5f, 0x59, 0x45, 0x41, 0x52, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41,
  0x54, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x25, 0x54, 0x20,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x54,
  0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5f, 0x32,
  0x34, 0x5f, 0x53, 0x45, 0x43, 0x53, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x25, 0x52, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52,
  0x4d, 0x41, 0x54, 0x5f, 0x32, 0x34, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x25, 0x72, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52,
  0x4d, 0x41, 0x54, 0x5f, 0x31, 0x32, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x25, 0x58, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x5b, 0x6d, 0x63, 0x20, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52,
  0x4d, 0x41, 0x54, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x25,
  0x45, 0x58, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63,
  0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x25, 0x78, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x5b, 0x6d, 0x63, 0x20, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x46, 0x4f,
  0x52, 0x4d, 0x41, 0x54, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x25, 0x45, 0x78, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d,
  0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54,
  0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x25, 0x63, 0x20, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x54,
  0x49, 0x4d, 0x45, 0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x25, 0x45, 0x63, 0x20, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x4c, 0x4f, 0x43, 0x41,
  0x4c, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45,
  0x5f, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x5d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70,
  0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x6d,
  0x73, 0x67, 0x63, 0x61, 0x74, 0x3a, 0x3a, 0x6d, 0x63, 0x73, 0x65, 0x74,
  0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x24, 0x6b, 0x65,
  0x79, 0x20, 0x24, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x69,
  0x63, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x09, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x73,
  0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x61, 0x73, 0x20, 0x2b, 0x68, 0x68, 0x6d, 0x6d, 0x73, 0x73, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x7a, 0x20, 0x2d, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x65, 0x61, 0x73, 0x74, 0x20,
  0x6f, 0x66, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63, 0x68,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x61, 0x20, 0x6e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63,
  0x20, 0x66, 0x6f, 0x72, 0x6d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x4e, 0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x54, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x20, 0x7a, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x7a, 0x20,
  0x3c, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x7a, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x2d,
  0x20, 0x24, 0x7a, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x2d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x2b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x20,
  0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30,
  0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24,
  0x7a, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x7a, 0x20, 0x25, 0x20,
  0x33, 0x36, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x74, 0x76, 0x61,
  0x6c, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x25, 0x30, 0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x7a, 0x20, 0x2f, 0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x7a, 0x20, 0x25, 0x20,
  0x36, 0x30, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x7a, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x24, 0x7a, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x72, 0x65, 0x74, 0x76, 0x61,
  0x6c, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x46, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x46, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x73, 0x20, 0x61, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x61, 0x73,
  0x20, 0x61, 0x20, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74,
  0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20,
  0x27, 0x79, 0x65, 0x61, 0x72, 0x27, 0x2c, 0x20, 0x27, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x27, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x27, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x27,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20,
  0x61, 0x20, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4a, 0x65, 0x66, 0x66, 0x20, 0x48,
  0x6f, 0x62, 0x62, 0x73, 0x20, 0x70, 0x75, 0x74, 0x20, 0x74, 0x68, 0x69,
  0x73, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x75, 0x70, 0x70,
  0x6f, 0x72, 0x74, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x74, 0x72, 0x6f, 0x63,
  0x69, 0x6f, 0x75, 0x73, 0x20, 0x70, 0x75, 0x6e, 0x20, 0x61, 0x62, 0x6f,
  0x75, 0x74, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67,
  0x0a, 0x23, 0x20, 0x22, 0x45, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x69,
  0x73, 0x65, 0x20, 0x72, 0x65, 0x61, 0x64, 0x79, 0x2e, 0x22, 0x20, 0x20,
  0x4e, 0x6f, 0x77, 0x20, 0x77, 0x65, 0x27, 0x72, 0x65, 0x20, 0x73, 0x74,
  0x75, 0x63, 0x6b, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x69, 0x74, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x46,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x52, 0x6f, 0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72,
  0x79, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x2c, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x20, 0x62, 0x61, 0x73, 0x65, 0x64,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f,
  0x79, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d,
  0x20, 0x2d, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x6c,
  0x65, 0x61, 0x70, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x70, 0x20, 0x5b, 0x49, 0x73,
  0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x4c, 0x65, 0x61,
  0x70, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x76,
  0x65, 0x72, 0x74, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x66, 0x72, 0x61,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24,
  0x6c, 0x70, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x72, 0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x31, 0x30, 0x30, 0x30, 0x20, 0x2a,
  0x20, 0x24, 0x64, 0x6f, 0x79, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x36, 0x20,
  0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x72, 0x61,
  0x63, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x31, 0x30, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x24, 0x64,
  0x6f, 0x79, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x35, 0x20, 0x7d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x50, 0x75, 0x74, 0x20, 0x74, 0x6f, 0x67, 0x65, 0x74, 0x68, 0x65,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x53, 0x74, 0x61, 0x72, 0x44, 0x61,
  0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x20, 0x22, 0x53, 0x74, 0x61, 0x72, 0x64, 0x61, 0x74, 0x65, 0x20, 0x25,
  0x30, 0x32, 0x64, 0x25, 0x30, 0x33, 0x64, 0x2e, 0x25, 0x31, 0x64, 0x22,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x2d,
  0x20, 0x24, 0x52, 0x6f, 0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72,
  0x79, 0x20, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x24, 0x66, 0x72,
  0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x5d, 0x20, 0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x0a, 0x09, 0x09,
  0x09, 0x2f, 0x20, 0x28, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x2f,
  0x20, 0x31, 0x30, 0x20, 0x29, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x73, 0x65, 0x53, 0x74,
  0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x50, 0x61, 0x72, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20, 0x53,
  0x74, 0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x79, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x20, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x52,
  0x6f, 0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72, 0x79, 0x20, 0x65,
  0x70, 0x6f, 0x63, 0x68, 0x0a, 0x23, 0x09, 0x66, 0x72, 0x61, 0x63, 0x74,
  0x59, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x20, 0x46, 0x72, 0x61, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x79, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x09, 0x66, 0x72, 0x61,
  0x63, 0x74, 0x44, 0x61, 0x79, 0x20, 0x2d, 0x20, 0x46, 0x72, 0x61, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x64, 0x61,
  0x79, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x61, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x65,
  0x70, 0x6f, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x4a, 0x65, 0x66, 0x66, 0x20, 0x48, 0x6f, 0x62, 0x62, 0x73, 0x20, 0x70,
  0x75, 0x74, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x6f, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x61, 0x6e,
  0x20, 0x61, 0x74, 0x72, 0x6f, 0x63, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x70,
  0x75, 0x6e, 0x20, 0x61, 0x62, 0x6f, 0x75, 0x74, 0x20, 0x54, 0x63, 0x6c,
  0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x0a, 0x23, 0x20, 0x22, 0x45, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x69, 0x73, 0x65, 0x20, 0x72, 0x65, 0x61,
  0x64, 0x79, 0x2e, 0x22, 0x20, 0x20, 0x4e, 0x6f, 0x77, 0x20, 0x77, 0x65,
  0x27, 0x72, 0x65, 0x20, 0x73, 0x74, 0x75, 0x63, 0x6b, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x20, 0x69, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x50, 0x61, 0x72, 0x73, 0x65, 0x53, 0x74,
  0x61, 0x72, 0x44, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x20, 0x66, 0x72, 0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20,
  0x66, 0x72, 0x61, 0x63, 0x74, 0x44, 0x61, 0x79, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x52, 0x6f, 0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72,
  0x79, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x42, 0x75, 0x69,
  0x6c, 0x64, 0x20, 0x61, 0x20, 0x74, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x72,
  0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x67, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x20, 0x31, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x65,
  0x72, 0x61, 0x20, 0x43, 0x45, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x79, 0x65, 0x61, 0x72, 0x20, 0x2b, 0x20, 0x24, 0x52, 0x6f,
  0x64, 0x64, 0x65, 0x6e, 0x62, 0x65, 0x72, 0x72, 0x79, 0x20, 0x7d, 0x5d,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66,
  0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x66, 0x72, 0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20,
  0x2a, 0x20, 0x33, 0x36, 0x35, 0x20, 0x2f, 0x20, 0x31, 0x30, 0x30, 0x30,
  0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47,
  0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46,
  0x72, 0x6f, 0x6d, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e,
  0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x44, 0x61, 0x79, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20,
  0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69,
  0x73, 0x20, 0x61, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c,
  0x70, 0x20, 0x5b, 0x49, 0x73, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x66, 0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x6c, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61, 0x63, 0x63, 0x6f, 0x72,
  0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x77, 0x68, 0x65, 0x74,
  0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x61, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x6c, 0x70, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x24, 0x66, 0x72, 0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x2a, 0x20, 0x33, 0x36, 0x36, 0x20, 0x2f, 0x20, 0x31, 0x30, 0x30,
  0x30, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x24, 0x66, 0x72, 0x61, 0x63, 0x74, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x2a, 0x20, 0x33, 0x36, 0x35, 0x20, 0x2f, 0x20, 0x31, 0x30, 0x30,
  0x30, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x67, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x47, 0x72, 0x65,
  0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61,
  0x72, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x38, 0x36,
  0x34, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x0a, 0x09, 0x2d, 0x20,
  0x32, 0x31, 0x30, 0x38, 0x36, 0x36, 0x38, 0x30, 0x33, 0x32, 0x30, 0x30,
  0x0a, 0x09, 0x2b, 0x20, 0x28, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20,
  0x2f, 0x20, 0x31, 0x30, 0x20, 0x29, 0x20, 0x2a, 0x20, 0x24, 0x66, 0x72,
  0x61, 0x63, 0x74, 0x44, 0x61, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x63, 0x61,
  0x6e, 0x57, 0x69, 0x64, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x53, 0x63, 0x61, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x77, 0x69, 0x64,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x72, 0x20, 0x2d, 0x20,
  0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61,
  0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x64, 0x65, 0x63, 0x69,
  0x6d, 0x61, 0x6c, 0x20, 0x77, 0x69, 0x64, 0x65, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x67, 0x65, 0x72, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x70, 0x75, 0x72, 0x65,
  0x20, 0x77, 0x69, 0x64, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65,
  0x72, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x72, 0x6f, 0x77, 0x73, 0x20, 0x61,
  0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x69, 0x73, 0x20, 0x6d, 0x69, 0x73, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x74, 0x65, 0x64, 0x20, 0x6f, 0x72, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f,
  0x66, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x53, 0x63, 0x61, 0x6e, 0x57,
  0x69, 0x64, 0x65, 0x20, 0x7b, 0x20, 0x73, 0x74, 0x72, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6f,
  0x75, 0x6e, 0x74, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x24, 0x73, 0x74, 0x72, 0x20, 0x7b, 0x25, 0x6c, 0x64, 0x20, 0x25, 0x63,
  0x7d, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x6a, 0x75, 0x6e,
  0x6b, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x21, 0x3d, 0x20, 0x31, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x6e,
  0x6f, 0x74, 0x41, 0x6e, 0x49, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20,
  0x24, 0x73, 0x74, 0x72, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x5c, 0x22, 0x24, 0x73, 0x74, 0x72, 0x5c, 0x22, 0x20, 0x69,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x67, 0x65, 0x72, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x30, 0x5d,
  0x20, 0x21, 0x3d, 0x20, 0x24, 0x73, 0x74, 0x72, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x67, 0x65, 0x72, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x54, 0x6f, 0x6f, 0x4c,
  0x61, 0x72, 0x67, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x74, 0x6f, 0x6f, 0x20, 0x6c, 0x61, 0x72, 0x67,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x70, 0x72, 0x65, 0x73, 0x65,
  0x6e, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x72, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x54, 0x77, 0x6f,
  0x44, 0x69, 0x67, 0x69, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x09, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x6f, 0x6e, 0x6c, 0x79,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79,
  0x2c, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73,
  0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65,
  0x74, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61,
  0x20, 0x74, 0x77, 0x6f, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a,
  0x23, 0x09, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x2d,
  0x20, 0x42, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x72,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x09, 0x74, 0x77, 0x6f, 0x44, 0x69, 0x67,
  0x69, 0x74, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x2d, 0x20, 0x4e, 0x61,
  0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x73, 0x74, 0x6f,
  0x72, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x77, 0x6f, 0x2d,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x2e, 0x0a,
  0x23, 0x09, 0x09, 0x09, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20,
  0x69, 0x73, 0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x43, 0x65,
  0x6e, 0x74, 0x75, 0x72, 0x79, 0x27, 0x0a, 0x23, 0x09, 0x66, 0x6f, 0x75,
  0x72, 0x44, 0x69, 0x67, 0x69, 0x74, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x20,
  0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x72, 0x65, 0x63, 0x65, 0x69, 0x76,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x75, 0x72, 0x2d, 0x64,
  0x69, 0x67, 0x69, 0x74, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x2e, 0x20, 0x20, 0x44, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x20, 0x69, 0x73, 0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x27,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x72, 0x79, 0x20, 0x61, 0x75, 0x67, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f,
  0x75, 0x72, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x2c, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x6b, 0x65, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20,
  0x72, 0x75, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20,
  0x74, 0x77, 0x6f, 0x2d, 0x64, 0x69, 0x67, 0x69, 0x74, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x73, 0x68, 0x61, 0x6c,
  0x6c, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x20, 0x62, 0x65, 0x74, 0x77, 0x65,
  0x65, 0x6e, 0x20, 0x31, 0x39, 0x33, 0x37, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x32, 0x30, 0x33, 0x37, 0x2c, 0x20, 0x74, 0x68, 0x75, 0x73, 0x20, 0x73,
  0x74, 0x61, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x61, 0x20, 0x33, 0x32, 0x2d, 0x62, 0x69, 0x74, 0x20,
  0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x0a, 0x23, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e,
  0x20, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x72, 0x75, 0x6c, 0x65, 0x20,
  0x6d, 0x61, 0x79, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x74,
  0x6f, 0x20, 0x61, 0x20, 0x73, 0x6c, 0x69, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x20, 0x69, 0x6e, 0x20, 0x66, 0x75,
  0x74, 0x75, 0x72, 0x65, 0x0a, 0x23, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x27, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x27, 0x20, 0x70,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x20, 0x28, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x69, 0x73, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x6c, 0x79, 0x20, 0x69, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x64,
  0x29, 0x20, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69,
  0x64, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x73, 0x69, 0x67,
  0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x54, 0x77, 0x6f, 0x44, 0x69, 0x67, 0x69, 0x74, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x62,
  0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x0a, 0x09, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x74, 0x77, 0x6f, 0x44, 0x69, 0x67,
  0x69, 0x74, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x4f, 0x66, 0x43, 0x65, 0x6e, 0x74, 0x75, 0x72, 0x79, 0x20, 0x7d, 0x0a,
  0x09, 0x09, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x7b, 0x20, 0x66, 0x6f,
  0x75, 0x72, 0x44, 0x69, 0x67, 0x69, 0x74, 0x46, 0x69, 0x65, 0x6c, 0x64,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x79, 0x72, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x24, 0x74, 0x77, 0x6f, 0x44, 0x69, 0x67, 0x69, 0x74,
  0x46, 0x69, 0x65, 0x6c, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x79, 0x72, 0x20, 0x3c, 0x3d, 0x20, 0x33,
  0x37, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x24, 0x66, 0x6f,
  0x75, 0x72, 0x44, 0x69, 0x67, 0x69, 0x74, 0x46, 0x69, 0x65, 0x6c, 0x64,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x79, 0x72,
  0x20, 0x2b, 0x20, 0x32, 0x30, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x24, 0x66, 0x6f, 0x75, 0x72, 0x44, 0x69, 0x67, 0x69,
  0x74, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x24, 0x79, 0x72, 0x20, 0x2b, 0x20, 0x31, 0x39, 0x30,
  0x30, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41,
  0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x50, 0x6c, 0x61,
  0x63, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62,
  0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75,
  0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x69,
  0x6e, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x23, 0x09,
  0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x2d, 0x20, 0x42,
  0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x6f, 0x20, 0x65,
  0x78, 0x74, 0x72, 0x61, 0x63, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x2c, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73,
  0x65, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x65,
  0x70, 0x6f, 0x63, 0x68, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x62, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x73,
  0x63, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79,
  0x20, 0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20,
  0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x77, 0x61, 0x73, 0x20, 0x61, 0x64, 0x6f,
  0x70, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x20, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66,
  0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a,
  0x3a, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x62,
  0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f,
  0x76, 0x65, 0x72, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44,
  0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x46,
  0x69, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62,
  0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x69, 0x6e, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x63, 0x6f, 0x72, 0x72,
  0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x20, 0x44, 0x61, 0x79, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x5b, 0x47, 0x65,
  0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x64, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x65, 0x72, 0x61, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x32, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x49, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x49,
  0x53, 0x4f, 0x38, 0x36, 0x30, 0x31, 0x20, 0x66, 0x69, 0x73, 0x63, 0x61,
  0x6c, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d,
  0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x61, 0x75, 0x67,
  0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x2e, 0x0a, 0x23, 0x09, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x2d, 0x20, 0x42, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69,
  0x78, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x09, 0x74,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x20, 0x54, 0x61,
  0x72, 0x67, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x0a, 0x23, 0x09, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f,
  0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x64, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61,
  0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61,
  0x72, 0x67, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x22, 0x69, 0x73, 0x6f,
  0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x22, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x62,
  0x61, 0x73, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x41, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x49, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x20, 0x7b, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x46, 0x69, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f,
  0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x32, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69,
  0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24,
  0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x61, 0x6c, 0x63, 0x75, 0x6c,
  0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x49, 0x53, 0x4f, 0x38,
  0x36, 0x30, 0x31, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43, 0x45, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65,
  0x61, 0x72, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x73, 0x73,
  0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x50, 0x6c, 0x61, 0x63,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x61, 0x0a, 0x23, 0x09, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x61, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x74,
  0x6f, 0x20, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x23, 0x09, 0x62,
  0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x2d, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6f, 0x62, 0x74, 0x61,
  0x69, 0x6e, 0x65, 0x64, 0x2c, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73,
  0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e,
  0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x23, 0x09, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x6e,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47,
  0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c,
  0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x77, 0x61, 0x73, 0x20, 0x61, 0x64,
  0x6f, 0x70, 0x74, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x20, 0x7b, 0x64, 0x61, 0x74, 0x65, 0x20, 0x62, 0x61,
  0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76,
  0x65, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74,
  0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x46, 0x69, 0x6e,
  0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61,
  0x6e, 0x64, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x63, 0x6f, 0x72,
  0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44,
  0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x62,
  0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x54, 0x5a, 0x44,
  0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x29, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76,
  0x65, 0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72,
  0x61, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x65, 0x72, 0x61, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x32, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x32, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x57, 0x65, 0x65, 0x6b,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74, 0x65,
  0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62,
  0x61, 0x73, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x49, 0x53, 0x4f, 0x38, 0x36, 0x30, 0x31, 0x20, 0x66, 0x69, 0x73,
  0x63, 0x61, 0x6c, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
  0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x61,
  0x75, 0x67, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x65, 0x65, 0x6b,
  0x2e, 0x0a, 0x23, 0x09, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x2d, 0x20, 0x42, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20, 0x69,
  0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x09, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x6e,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47,
  0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c,
  0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x77, 0x61, 0x73, 0x20, 0x61, 0x64,
  0x6f, 0x70, 0x74, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61, 0x72,
  0x67, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x22, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x22, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x62, 0x61,
  0x73, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x22, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b,
  0x22, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x41, 0x73,
  0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x57, 0x65, 0x65, 0x6b,
  0x20, 0x7b, 0x64, 0x61, 0x74, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x54,
  0x69, 0x6d, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x46, 0x69, 0x6e, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x63, 0x6f, 0x72,
  0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44,
  0x61, 0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x62,
  0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x54, 0x5a, 0x44,
  0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x29, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76,
  0x65, 0x72, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x61, 0x6c, 0x63, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x49, 0x53, 0x4f, 0x38, 0x36, 0x30, 0x31, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66,
  0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x20, 0x43,
  0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32,
  0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x59, 0x65, 0x61, 0x72,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x69, 0x73, 0x6f, 0x38,
  0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32,
  0x20, 0x69, 0x73, 0x6f, 0x38, 0x36, 0x30, 0x31, 0x57, 0x65, 0x65, 0x6b,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69,
  0x6e, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x2d, 0x6f, 0x66, 0x2d, 0x64, 0x61, 0x79, 0x20, 0x63,
  0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x20,
  0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x0a, 0x23, 0x09, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x2d, 0x20, 0x42, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69,
  0x78, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x0a, 0x23, 0x09, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x6e,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47,
  0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c,
  0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x77, 0x61, 0x73, 0x0a, 0x23, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x64, 0x70, 0x6f, 0x74, 0x65,
  0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61, 0x72,
  0x67, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x61, 0x75, 0x67, 0x6d,
  0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61,
  0x20, 0x27, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x27,
  0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x64, 0x61, 0x79, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66,
  0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a,
  0x3a, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x42, 0x61, 0x73, 0x65, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x7b, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x46, 0x69, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20,
  0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65,
  0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x32, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74,
  0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x62, 0x61, 0x73,
  0x65, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74,
  0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x29,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x6a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x49,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48, 0x4d, 0x53, 0x50,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x73, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x72,
  0x6d, 0x20, 0x22, 0x68, 0x68, 0x3a, 0x6d, 0x6d, 0x3a, 0x73, 0x73, 0x20,
  0x61, 0x6d, 0x22, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x44, 0x69, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69,
  0x6e, 0x69, 0x6e, 0x67, 0x20, 0x22, 0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d,
  0x50, 0x4d, 0x22, 0x2c, 0x20, 0x22, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65,
  0x22, 0x2c, 0x20, 0x22, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x22, 0x0a,
  0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x22, 0x61, 0x6d, 0x50, 0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63,
  0x61, 0x74, 0x6f, 0x72, 0x22, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x6d, 0x69,
  0x64, 0x6e, 0x69, 0x67, 0x68, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x48, 0x4d, 0x53, 0x50, 0x20, 0x7b, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x68, 0x72, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x68, 0x6f, 0x75, 0x72, 0x41, 0x4d, 0x50, 0x4d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x68, 0x72, 0x20, 0x3d,
  0x3d, 0x20, 0x31, 0x32, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x68, 0x72, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x61, 0x6d, 0x50, 0x6d, 0x49, 0x6e, 0x64, 0x69, 0x63, 0x61,
  0x74, 0x6f, 0x72, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x68, 0x72, 0x20, 0x31, 0x32, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x75,
  0x72, 0x20, 0x24, 0x68, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x48, 0x4d, 0x53, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d,
  0x5d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x49, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x48, 0x4d, 0x53, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x73, 0x20, 0x61, 0x20, 0x32, 0x34, 0x2d, 0x68, 0x6f,
  0x75, 0x72, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x22, 0x68, 0x68, 0x3a,
  0x6d, 0x6d, 0x3a, 0x73, 0x73, 0x22, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x44, 0x69, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x6e, 0x74,
  0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22,
  0x68, 0x6f, 0x75, 0x72, 0x22, 0x2c, 0x20, 0x22, 0x6d, 0x69, 0x6e, 0x75,
  0x74, 0x65, 0x22, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x22, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x22, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x61, 0x75, 0x67, 0x6d, 0x65,
  0x6e, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x20,
  0x22, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79,
  0x22, 0x0a, 0x23, 0x09, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x20, 0x63, 0x6f,
  0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x6d, 0x69, 0x64, 0x6e, 0x69, 0x67,
  0x68, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65,
  0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65,
  0x74, 0x48, 0x4d, 0x53, 0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09,
  0x28, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x5d, 0x20,
  0x2a, 0x20, 0x36, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x5d, 0x20, 0x29, 0x20,
  0x2a, 0x20, 0x36, 0x30, 0x0a, 0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x47, 0x65,
  0x74, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44,
  0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x09, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x27, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x66, 0x20, 0x6e, 0x6f,
  0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74,
  0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x75, 0x73, 0x74, 0x65, 0x6d, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64,
  0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x27, 0x0a, 0x23, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x2c, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x64, 0x65,
  0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x74,
  0x20, 0x6d, 0x61, 0x79, 0x20, 0x62, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x65,
  0x78, 0x70, 0x65, 0x6e, 0x73, 0x69, 0x76, 0x65, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x73, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x3a, 0x3a, 0x47, 0x65, 0x74, 0x53, 0x79, 0x73, 0x74, 0x65,
  0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61,
  0x64, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x5b,
  0x67, 0x65, 0x74, 0x65, 0x6e, 0x76, 0x20, 0x54, 0x43, 0x4c, 0x5f, 0x54,
  0x5a, 0x5d, 0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x24, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x20, 0x5b, 0x67, 0x65, 0x74, 0x65, 0x6e, 0x76, 0x20, 0x54, 0x5a, 0x5d,
  0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x6e, 0x6c, 0x79,
  0x20, 0x69, 0x66, 0x20, 0x69, 0x74, 0x20, 0x77, 0x61, 0x73, 0x20, 0x64,
  0x65, 0x74, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x6f,
  0x6e, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x78, 0x70, 0x65,
  0x6e, 0x73, 0x69, 0x76, 0x65, 0x20, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64,
  0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53,
  0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x43, 0x61, 0x63,
  0x68, 0x65, 0x64, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d,
  0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74,
  0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
  0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x77, 0x69, 0x6e, 0x64, 0x6f,
  0x77, 0x73, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5b, 0x47, 0x75,
  0x65, 0x73, 0x73, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x2f, 0x65, 0x74, 0x63, 0x2f, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x26, 0x26, 0x20, 0x21, 0x5b, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x52, 0x65, 0x61, 0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69,
  0x6e, 0x66, 0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x5c, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x54, 0x63, 0x6c,
  0x2f, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x2f,
  0x65, 0x74, 0x63, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d,
  0x65, 0x7d, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x3a, 0x54, 0x63,
  0x6c, 0x2f, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x3a, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x74, 0x69, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x43, 0x61, 0x63, 0x68,
  0x65, 0x64, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x54, 0x69, 0x6d,
  0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5b, 0x63, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x7b, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d,
  0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x24, 0x74, 0x69, 0x6d,
  0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x3a, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x65, 0x67,
  0x61, 0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x47, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x61, 0x6e, 0x20, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x6e, 0x75, 0x6d,
  0x65, 0x72, 0x69, 0x63, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65,
  0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x2c, 0x0a, 0x23, 0x09, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x6e,
  0x75, 0x6d, 0x65, 0x72, 0x69, 0x63, 0x20, 0x69, 0x64, 0x65, 0x6e, 0x74,
  0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x6e, 0x20,
  0x75, 0x6e, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x75, 0x6f, 0x75, 0x73, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e,
  0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x7a, 0x6e, 0x61,
  0x6d, 0x65, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x61,
  0x6e, 0x0a, 0x23, 0x09, 0x75, 0x6e, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x75,
  0x6f, 0x75, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x2c, 0x20, 0x67, 0x65,
  0x6e, 0x65, 0x72, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x2b, 0x68, 0x68, 0x6d,
  0x6d, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x69, 0x73,
  0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64,
  0x20, 0x70, 0x72, 0x69, 0x6d, 0x61, 0x72, 0x69, 0x6c, 0x79, 0x20, 0x74,
  0x6f, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x72, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x20, 0x52,
  0x46, 0x43, 0x38, 0x32, 0x32, 0x0a, 0x23, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x2f, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x73, 0x2e, 0x20, 0x20, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69,
  0x6e, 0x67, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x69,
  0x6e, 0x70, 0x75, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x72, 0x65, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x64, 0x65, 0x64, 0x0a,
  0x23, 0x20, 0x70, 0x72, 0x61, 0x63, 0x74, 0x69, 0x63, 0x65, 0x2c, 0x20,
  0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x72,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x69, 0x64, 0x65,
  0x72, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x72, 0x6f, 0x6f, 0x6d, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x75, 0x69, 0x74, 0x79,
  0x3b, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e,
  0x63, 0x65, 0x2c, 0x20, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x42, 0x53, 0x54,
  0x20, 0x42, 0x72, 0x61, 0x7a, 0x69, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x53,
  0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20, 0x54, 0x69, 0x6d, 0x65,
  0x2c, 0x20, 0x6f, 0x72, 0x20, 0x42, 0x72, 0x69, 0x74, 0x69, 0x73, 0x68,
  0x20, 0x53, 0x75, 0x6d, 0x6d, 0x65, 0x72, 0x20, 0x54, 0x69, 0x6d, 0x65,
  0x3f, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x65, 0x67, 0x61, 0x63,
  0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x20,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x4c, 0x65, 0x67, 0x61, 0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x20, 0x24,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x4c, 0x65, 0x67, 0x61,
  0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x54, 0x5a,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5c, 0x22, 0x24, 0x74,
  0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5c, 0x22, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x66, 0x6f, 0x75, 0x6e, 0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x4c,
  0x65, 0x67, 0x61, 0x63, 0x79, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f,
  0x66, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x2c, 0x20, 0x73, 0x65, 0x74, 0x73, 0x20, 0x75, 0x70, 0x20, 0x69,
  0x74, 0x73, 0x20, 0x69, 0x6e, 0x2d, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79,
  0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x20,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x55,
  0x6e, 0x6c, 0x65, 0x73, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x73, 0x20, 0x27,
  0x3a, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x27, 0x2c,
  0x20, 0x73, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x54, 0x5a,
  0x44, 0x61, 0x74, 0x61, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x74,
  0x6f, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x0a, 0x23, 0x09,
  0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x75, 0x70, 0x20, 0x74,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x3c, 0x2d, 0x3e, 0x55, 0x54, 0x43, 0x20, 0x63, 0x6f, 0x6e,
  0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x20, 0x20, 0x52, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x61,
  0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x62, 0x65, 0x20, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44, 0x61,
  0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x5d, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x65, 0x71, 0x20, 0x7b, 0x3a, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69,
  0x6d, 0x65, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x6f, 0x20, 0x64, 0x6f, 0x2c, 0x20, 0x77, 0x65, 0x27, 0x6c, 0x6c, 0x20,
  0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x75, 0x73, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x0a, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x72, 0x65, 0x67, 0x65,
  0x78, 0x70, 0x20, 0x7b, 0x5e, 0x28, 0x5b, 0x2d, 0x2b, 0x5d, 0x29, 0x28,
  0x5c, 0x64, 0x5c, 0x64, 0x29, 0x28, 0x3f, 0x3a, 0x3a, 0x3f, 0x28, 0x5c,
  0x64, 0x5c, 0x64, 0x29, 0x28, 0x3f, 0x3a, 0x3a, 0x3f, 0x28, 0x5c, 0x64,
  0x5c, 0x64, 0x29, 0x29, 0x3f, 0x29, 0x3f, 0x7d, 0x20, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2d, 0x3e, 0x20, 0x73, 0x20, 0x68, 0x68, 0x20, 0x6d,
  0x6d, 0x20, 0x73, 0x73, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x74, 0x68, 0x65,
  0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4d,
  0x61, 0x6b, 0x65, 0x20, 0x61, 0x20, 0x66, 0x69, 0x78, 0x65, 0x64, 0x20,
  0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x68, 0x68, 0x20,
  0x25, 0x64, 0x20, 0x68, 0x68, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x6d, 0x20, 0x65, 0x71, 0x20, 0x7b,
  0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x6d, 0x6d, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x3a, 0x3a, 0x73,
  0x63, 0x61, 0x6e, 0x20, 0x24, 0x6d, 0x6d, 0x20, 0x25, 0x64, 0x20, 0x6d,
  0x6d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x73, 0x73, 0x20, 0x65,
  0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x73, 0x20, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x73, 0x73, 0x20, 0x25,
  0x64, 0x20, 0x73, 0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x66,
  0x73, 0x65, 0x74, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20,
  0x28, 0x20, 0x24, 0x68, 0x68, 0x20, 0x2a, 0x20, 0x36, 0x30, 0x20, 0x2b,
  0x20, 0x24, 0x6d, 0x6d, 0x20, 0x29, 0x20, 0x2a, 0x20, 0x36, 0x30, 0x20,
  0x2b, 0x20, 0x24, 0x73, 0x73, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x73, 0x20, 0x65, 0x71,
  0x20, 0x7b, 0x2d, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x2d, 0x20, 0x24, 0x6f, 0x66, 0x66,
  0x73, 0x65, 0x74, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x29, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44,
  0x45, 0x20, 0x24, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x31,
  0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x5d,
  0x0a, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x30, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x3a, 0x7d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x75, 0x73, 0x69, 0x6e, 0x67,
  0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x5b, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f,
  0x61, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x46, 0x69,
  0x6c, 0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72,
  0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x09,
  0x7d, 0x5d, 0x20, 0x26, 0x26, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x61,
  0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x46, 0x69, 0x6c,
  0x65, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x31, 0x20, 0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x09, 0x7d,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x68, 0x65,
  0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d,
  0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x22, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x5c, 0x22, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x5c, 0x22, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x66, 0x6f, 0x75, 0x6e,
  0x64, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b,
  0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x50, 0x61, 0x72, 0x73, 0x65,
  0x50, 0x6f, 0x73, 0x69, 0x78, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x7d,
  0x20, 0x74, 0x7a, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x5d, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68,
  0x69, 0x73, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x73, 0x20, 0x6c, 0x69, 0x6b,
  0x65, 0x20, 0x61, 0x20, 0x50, 0x4f, 0x53, 0x49, 0x58, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x20, 0x74, 0x72,
  0x79, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
  0x20, 0x69, 0x74, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x50,
  0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x7a, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x73, 0x7d, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20,
  0x6f, 0x70, 0x74, 0x73, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63,
  0x6f, 0x64, 0x65, 0x5d, 0x20, 0x30, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x7b,
  0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x75, 0x6e,
  0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x61, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x61, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x09, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x57, 0x65, 0x20, 0x63, 0x6f, 0x75, 0x6c, 0x64, 0x6e,
  0x27, 0x74, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x69,
  0x73, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x50, 0x4f, 0x53, 0x49, 0x58,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x20,
  0x20, 0x54, 0x72, 0x79, 0x20, 0x61, 0x67, 0x61, 0x69, 0x6e, 0x20, 0x77,
  0x69, 0x74, 0x68, 0x20, 0x61, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x6f, 0x75, 0x74, 0x20,
  0x61, 0x20, 0x63, 0x6f, 0x6c, 0x6f, 0x6e, 0x0a, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x20, 0x4c, 0x6f, 0x61, 0x64, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x09,
  0x20, 0x26, 0x26, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x20, 0x4c, 0x6f, 0x61, 0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66,
  0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x7d, 0x20, 0x2d, 0x20, 0x6f, 0x70, 0x74, 0x73,
  0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x20,
  0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x22,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x66, 0x6f, 0x75, 0x6e, 0x64, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61,
  0x28, 0x3a, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x47, 0x75, 0x65, 0x73, 0x73, 0x57, 0x69,
  0x6e, 0x64, 0x6f, 0x77, 0x73, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e,
  0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74,
  0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x77, 0x69, 0x6e, 0x64,
  0x6f, 0x77, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72,
  0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e,
  0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x73, 0x20, 0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65,
  0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65,
  0x73, 0x70, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x23, 0x09, 0x69, 0x6e, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x75,
  0x6e, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x52, 0x65,
  0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x42, 0x75, 0x67, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x46, 0x69, 0x78, 0x65,
  0x64, 0x20, 0x64, 0x61, 0x74, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x44, 0x53, 0x54, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x75, 0x6e, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65,
  0x6e, 0x74, 0x65, 0x64, 0x20, 0x61, 0x74, 0x20, 0x70, 0x72, 0x65, 0x73,
  0x65, 0x6e, 0x74, 0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x20, 0x6e, 0x6f, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77,
  0x73, 0x20, 0x61, 0x63, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x75,
  0x73, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x21, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x4f, 0x6e, 0x20, 0x61, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f,
  0x77, 0x73, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x77, 0x68,
  0x65, 0x72, 0x65, 0x20, 0x6e, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x20,
  0x24, 0x65, 0x6e, 0x76, 0x28, 0x54, 0x43, 0x4c, 0x5f, 0x54, 0x5a, 0x29,
  0x20, 0x6e, 0x6f, 0x72, 0x20, 0x24, 0x65, 0x6e, 0x76, 0x28, 0x54, 0x5a,
  0x29, 0x20, 0x69, 0x73, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69,
  0x65, 0x64, 0x2c, 0x0a, 0x23, 0x20, 0x47, 0x75, 0x65, 0x73, 0x73, 0x57,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x20, 0x6c, 0x6f, 0x6f, 0x6b, 0x73, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x79, 0x73,
  0x74, 0x65, 0x6d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x6e, 0x20, 0x61, 0x74, 0x74, 0x65, 0x6d, 0x70, 0x74, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e,
  0x74, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x57, 0x69, 0x6e, 0x5a, 0x6f,
  0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x23, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x73, 0x61, 0x6d, 0x65, 0x20, 0x72, 0x75, 0x6c, 0x65,
  0x73, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x69, 0x74, 0x20, 0x66, 0x69,
  0x6e, 0x64, 0x73, 0x20, 0x6f, 0x6e, 0x65, 0x2c, 0x20, 0x69, 0x74, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x69, 0x74, 0x3b, 0x20,
  0x6f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x2c, 0x0a, 0x23,
  0x20, 0x69, 0x74, 0x20, 0x63, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63,
  0x74, 0x73, 0x20, 0x61, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x2d, 0x73,
  0x74, 0x79, 0x6c, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x47, 0x75, 0x65, 0x73, 0x73, 0x57, 0x69, 0x6e, 0x64, 0x6f,
  0x77, 0x73, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x7b,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x57, 0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65,
  0x49, 0x6e, 0x66, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4e, 0x6f, 0x52, 0x65, 0x67, 0x69,
  0x73, 0x74, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x42, 0x61, 0x64, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x4e, 0x6f, 0x52, 0x65, 0x67, 0x69, 0x73,
  0x74, 0x72, 0x79, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x3a, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74,
  0x69, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x72, 0x65, 0x64, 0x67, 0x65, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x75,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x67,
  0x69, 0x73, 0x74, 0x72, 0x79, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x72, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x48, 0x4b, 0x45, 0x59, 0x5f, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x5f, 0x4d,
  0x41, 0x43, 0x48, 0x49, 0x4e, 0x45, 0x5c, 0x5c, 0x53, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x5c, 0x5c, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x43,
  0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x53, 0x65, 0x74, 0x5c, 0x5c, 0x43,
  0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x5c, 0x5c, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x61, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x2d, 0x36, 0x30, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x2a, 0x20, 0x5b, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
  0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x72, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x42, 0x69, 0x61, 0x73, 0x5d, 0x20, 0x7d, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x20, 0x2d, 0x36, 0x30, 0x0a, 0x09, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x2a, 0x20, 0x5b, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
  0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x72, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x42, 0x69,
  0x61, 0x73, 0x5d, 0x20, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x2d, 0x36, 0x30, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x2a, 0x20, 0x5b, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x72, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x42, 0x69, 0x61, 0x73,
  0x5d, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x74, 0x64, 0x74, 0x7a, 0x69, 0x20, 0x5b, 0x72, 0x65, 0x67, 0x69, 0x73,
  0x74, 0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x72, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x53,
  0x74, 0x61, 0x72, 0x74, 0x5d, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x69, 0x6e, 0x64, 0x20, 0x7b, 0x30, 0x20, 0x32, 0x20,
  0x31, 0x34, 0x20, 0x34, 0x20, 0x36, 0x20, 0x38, 0x20, 0x31, 0x30, 0x20,
  0x31, 0x32, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x62,
  0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24,
  0x73, 0x74, 0x64, 0x74, 0x7a, 0x69, 0x20, 0x40, 0x24, 0x7b, 0x69, 0x6e,
  0x64, 0x7d, 0x73, 0x20, 0x76, 0x61, 0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x61, 0x74,
  0x61, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x79, 0x74, 0x7a, 0x69, 0x20, 0x5b, 0x72,
  0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x72, 0x70, 0x61, 0x74, 0x68, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69,
  0x67, 0x68, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x5d, 0x0a, 0x09, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x69, 0x6e, 0x64, 0x20, 0x7b,
  0x30, 0x20, 0x32, 0x20, 0x31, 0x34, 0x20, 0x34, 0x20, 0x36, 0x20, 0x38,
  0x20, 0x31, 0x30, 0x20, 0x31, 0x32, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x73, 0x63,
  0x61, 0x6e, 0x20, 0x24, 0x64, 0x61, 0x79, 0x74, 0x7a, 0x69, 0x20, 0x40,
  0x24, 0x7b, 0x69, 0x6e, 0x64, 0x7d, 0x73, 0x20, 0x76, 0x61, 0x6c, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x24, 0x76, 0x61, 0x6c, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x20, 0x4d, 0x69, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x20, 0x2d,
  0x20, 0x62, 0x61, 0x69, 0x6c, 0x20, 0x6f, 0x75, 0x74, 0x0a, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x3a, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20,
  0x75, 0x70, 0x20, 0x61, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x69, 0x66, 0x20, 0x77, 0x65,
  0x20, 0x63, 0x61, 0x6e, 0x27, 0x74, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20,
  0x6f, 0x6e, 0x65, 0x2e, 0x20, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x20,
  0x68, 0x65, 0x72, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x7a, 0x64, 0x61,
  0x74, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x2c, 0x20, 0x69, 0x6e, 0x20, 0x63, 0x61, 0x73, 0x65, 0x20,
  0x77, 0x65, 0x27, 0x72, 0x65, 0x20, 0x72, 0x75, 0x6e, 0x6e, 0x69, 0x6e,
  0x67, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6e, 0x76, 0x69,
  0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x28, 0x65, 0x2e, 0x67, 0x2e, 0x20, 0x73, 0x74, 0x61, 0x72,
  0x70, 0x61, 0x63, 0x6b, 0x29, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20,
  0x74, 0x7a, 0x64, 0x61, 0x74, 0x61, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e,
  0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x20, 0x20, 0x28,
  0x42, 0x75, 0x67, 0x20, 0x31, 0x32, 0x33, 0x37, 0x39, 0x30, 0x37, 0x29,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x24, 0x57, 0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x61, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x57,
  0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x61, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x21, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x24, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x42, 0x61, 0x64, 0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x5a,
  0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x53,
  0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x7a, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x74, 0x7a,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7c,
  0x7c, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64,
  0x20, 0x24, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x61, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x62, 0x69, 0x61, 0x73, 0x20, 0x73, 0x74, 0x64, 0x42, 0x69, 0x61, 0x73,
  0x20, 0x64, 0x73, 0x74, 0x42, 0x69, 0x61, 0x73, 0x20, 0x5c, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x74, 0x64, 0x59, 0x65, 0x61, 0x72, 0x20,
  0x73, 0x74, 0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x73, 0x74, 0x64,
  0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x73, 0x74,
  0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x74, 0x64, 0x48, 0x6f,
  0x75, 0x72, 0x20, 0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65,
  0x20, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x73,
  0x74, 0x64, 0x4d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x65, 0x63, 0x20, 0x5c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x73, 0x74, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x64, 0x73, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x64,
  0x73, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20,
  0x64, 0x73, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x73, 0x74,
  0x48, 0x6f, 0x75, 0x72, 0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75,
  0x74, 0x65, 0x20, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x65, 0x63,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x44, 0x65, 0x6c,
  0x74, 0x61, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24,
  0x62, 0x69, 0x61, 0x73, 0x20, 0x2b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x42,
  0x69, 0x61, 0x73, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x73, 0x74, 0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x62, 0x69, 0x61, 0x73, 0x20, 0x2b,
  0x20, 0x24, 0x64, 0x73, 0x74, 0x42, 0x69, 0x61, 0x73, 0x20, 0x7d, 0x5d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x44,
  0x65, 0x6c, 0x74, 0x61, 0x20, 0x3c, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x44,
  0x65, 0x6c, 0x74, 0x61, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x2d, 0x20, 0x24, 0x73, 0x74, 0x64, 0x44, 0x65, 0x6c, 0x74, 0x61,
  0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x69, 0x73, 0x70, 0x53, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e,
  0x75, 0x6d, 0x20, 0x2d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x73,
  0x70, 0x53, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2b,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x68, 0x68, 0x20,
  0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30,
  0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24,
  0x73, 0x74, 0x64, 0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x2f, 0x20, 0x33,
  0x36, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x6d, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x28, 0x24, 0x73, 0x74, 0x64, 0x44, 0x65, 0x6c, 0x74,
  0x61, 0x20, 0x2f, 0x20, 0x36, 0x30, 0x20, 0x29, 0x20, 0x25, 0x20, 0x36,
  0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x25, 0x30, 0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x73, 0x74, 0x64, 0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x25,
  0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x3c, 0x20, 0x24, 0x64, 0x69, 0x73, 0x70, 0x53, 0x74, 0x64,
  0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x24, 0x68, 0x68, 0x20, 0x24,
  0x6d, 0x6d, 0x20, 0x3e, 0x20, 0x24, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67,
  0x6e, 0x75, 0x6d, 0x20, 0x24, 0x68, 0x68, 0x20, 0x3a, 0x20, 0x24, 0x6d,
  0x6d, 0x20, 0x3a, 0x20, 0x24, 0x73, 0x73, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x3e, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x73, 0x74, 0x44,
  0x65, 0x6c, 0x74, 0x61, 0x20, 0x3c, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x53,
  0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2b, 0x0a, 0x09, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x73, 0x74, 0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x2d, 0x20, 0x24, 0x64, 0x73,
  0x74, 0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x73, 0x70, 0x44, 0x73, 0x74, 0x53,
  0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75,
  0x6d, 0x20, 0x2d, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69,
  0x73, 0x70, 0x44, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20,
  0x2b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x68, 0x68, 0x20, 0x5b, 0x3a, 0x3a,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20,
  0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x73, 0x74,
  0x44, 0x65, 0x6c, 0x74, 0x61, 0x20, 0x2f, 0x20, 0x33, 0x36, 0x30, 0x30,
  0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6d, 0x6d, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x20, 0x28, 0x24, 0x64, 0x73, 0x74, 0x44, 0x65, 0x6c,
  0x74, 0x61, 0x20, 0x2f, 0x20, 0x36, 0x30, 0x20, 0x29, 0x20, 0x25, 0x20,
  0x36, 0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x73, 0x74, 0x44, 0x65,
  0x6c, 0x74, 0x61, 0x20, 0x25, 0x20, 0x36, 0x30, 0x20, 0x7d, 0x5d, 0x5d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3c, 0x20, 0x24, 0x64,
  0x69, 0x73, 0x70, 0x44, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d,
  0x20, 0x24, 0x68, 0x68, 0x20, 0x24, 0x6d, 0x6d, 0x20, 0x3e, 0x20, 0x24,
  0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x24, 0x68,
  0x68, 0x20, 0x3a, 0x20, 0x24, 0x6d, 0x6d, 0x20, 0x3a, 0x20, 0x24, 0x73,
  0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x24, 0x64, 0x73, 0x74, 0x59, 0x65, 0x61, 0x72, 0x20, 0x3d, 0x3d, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2c, 0x4d,
  0x20, 0x24, 0x64, 0x73, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x2e,
  0x20, 0x24, 0x64, 0x73, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x20, 0x2e, 0x20, 0x24, 0x64, 0x73, 0x74, 0x44, 0x61,
  0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x23, 0x20, 0x49, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74,
  0x6f, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69,
  0x63, 0x68, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x73, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x6e,
  0x20, 0x61, 0x20, 0x66, 0x69, 0x78, 0x65, 0x64, 0x20, 0x64, 0x61, 0x79,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x2c, 0x20, 0x68, 0x65, 0x6e, 0x63, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x27,
  0x74, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x20, 0x68,
  0x6f, 0x77, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c,
  0x64, 0x73, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x6f, 0x6e, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x72, 0x6d, 0x20, 0x6d, 0x65, 0x2c, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x49,
  0x27, 0x64, 0x20, 0x62, 0x65, 0x20, 0x67, 0x6c, 0x61, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x69, 0x74, 0x20, 0x75, 0x70,
  0x2e, 0x20, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x72, 0x69, 0x67, 0x68, 0x74,
  0x20, 0x6e, 0x6f, 0x77, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x62, 0x61, 0x69,
  0x6c, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x69, 0x6e, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x73, 0x75, 0x63, 0x68, 0x20, 0x61, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x2e, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x3a,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x2f, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20,
  0x25, 0x30, 0x32, 0x64, 0x20, 0x24, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75,
  0x72, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x3a, 0x20, 0x5b, 0x3a, 0x3a,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20,
  0x24, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x3a, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72,
  0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x24, 0x64, 0x73,
  0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x3d, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x7a,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2c, 0x4d, 0x20, 0x24, 0x73, 0x74, 0x64,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x2e, 0x20, 0x24, 0x73, 0x74, 0x64,
  0x44, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x2e,
  0x20, 0x24, 0x73, 0x74, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65,
  0x65, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x49, 0x20, 0x68,
  0x61, 0x76, 0x65, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x62, 0x65, 0x65, 0x6e,
  0x20, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x6e,
  0x64, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x57, 0x69,
  0x6e, 0x64, 0x6f, 0x77, 0x73, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x63, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x73, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x6e, 0x20, 0x61, 0x20, 0x66, 0x69,
  0x78, 0x65, 0x64, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x2c, 0x20, 0x68, 0x65, 0x6e,
  0x63, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x20, 0x68, 0x6f, 0x77, 0x20, 0x74, 0x6f,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x2e, 0x20, 0x20,
  0x49, 0x66, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x6f, 0x6e, 0x65, 0x20, 0x63,
  0x61, 0x6e, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x6d, 0x65,
  0x2c, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x49, 0x27, 0x64, 0x20, 0x62, 0x65,
  0x20, 0x67, 0x6c, 0x61, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x69, 0x74, 0x20, 0x75, 0x70, 0x2e, 0x20, 0x20, 0x46, 0x6f,
  0x72, 0x20, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x6e, 0x6f, 0x77, 0x2c,
  0x20, 0x77, 0x65, 0x20, 0x62, 0x61, 0x69, 0x6c, 0x20, 0x6f, 0x75, 0x74,
  0x20, 0x69, 0x6e, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x73, 0x75, 0x63, 0x68,
  0x20, 0x61, 0x20, 0x63, 0x61, 0x73, 0x65, 0x2e, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x3a, 0x6c, 0x6f, 0x63, 0x61, 0x6c,
  0x74, 0x69, 0x6d, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2f, 0x20, 0x5b, 0x3a, 0x3a,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20,
  0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x3a, 0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x20, 0x25, 0x30, 0x32, 0x64, 0x20, 0x24, 0x73, 0x74, 0x64, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x3a,
  0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25,
  0x30, 0x32, 0x64, 0x20, 0x24, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x57, 0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65,
  0x49, 0x6e, 0x66, 0x6f, 0x20, 0x24, 0x64, 0x61, 0x74, 0x61, 0x20, 0x24,
  0x74, 0x7a, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x57, 0x69, 0x6e, 0x5a, 0x6f, 0x6e, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x61, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x4c, 0x6f, 0x61, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x4c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64,
  0x61, 0x74, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x20, 0x62, 0x65, 0x74, 0x77, 0x65, 0x65, 0x6e, 0x20, 0x61,
  0x0a, 0x23, 0x09, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x47,
  0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x2d, 0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65,
  0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x5a,
  0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61,
  0x6d, 0x65, 0x29, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x64, 0x61, 0x74, 0x61, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4c, 0x6f, 0x61, 0x64, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x7b,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x44, 0x61, 0x74, 0x61, 0x44, 0x69, 0x72, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61,
  0x28, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x53, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x75,
  0x6e, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x5b, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x5d, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61, 0x73,
  0x74, 0x65, 0x72, 0x2c, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x63, 0x6f,
  0x64, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x73, 0x20,
  0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x20, 0x73, 0x65, 0x6e,
  0x73, 0x69, 0x74, 0x69, 0x76, 0x65, 0x2e, 0x20, 0x20, 0x4d, 0x61, 0x6b,
  0x65, 0x20, 0x73, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x65, 0x73, 0x63,
  0x61, 0x70, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x72, 0x65, 0x67, 0x65, 0x78,
  0x70, 0x20, 0x7b, 0x5e, 0x5b, 0x5b, 0x2e, 0x2d, 0x2e, 0x5d, 0x5b, 0x3a,
  0x61, 0x6c, 0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5f, 0x5d, 0x2b, 0x28, 0x3f,
  0x3a, 0x2f, 0x5b, 0x5b, 0x2e, 0x2d, 0x2e, 0x5d, 0x5b, 0x3a, 0x61, 0x6c,
  0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5f, 0x5d, 0x2b, 0x29, 0x2a, 0x24, 0x7d,
  0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x54, 0x69, 0x6d,
  0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x3a, 0x66, 0x69, 0x6c, 0x65,
  0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x5c, 0x22, 0x3a, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65,
  0x5c, 0x22, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x69, 0x64,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x20, 0x2d, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x75, 0x74, 0x66, 0x2d, 0x38, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x44, 0x61, 0x74, 0x61, 0x44, 0x69,
  0x72, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62,
  0x61, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x3a,
  0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5c, 0x22, 0x3a, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5c, 0x22, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x66, 0x6f, 0x75, 0x6e, 0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4c, 0x6f, 0x61, 0x64, 0x5a,
  0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4c, 0x6f, 0x61, 0x64, 0x73,
  0x20, 0x61, 0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x69, 0x6e, 0x20, 0x4f, 0x6c, 0x73, 0x6f, 0x6e, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x20, 0x52,
  0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x72,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c,
  0x6c, 0x79, 0x3b, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20,
  0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20,
  0x6e, 0x6f, 0x20, 0x4f, 0x6c, 0x73, 0x6f, 0x6e, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x0a, 0x23, 0x09, 0x77, 0x61, 0x73, 0x20, 0x66, 0x6f, 0x75, 0x6e,
  0x64, 0x20, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x6d, 0x61, 0x6c, 0x66, 0x6f, 0x72,
  0x6d, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20,
  0x77, 0x61, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64,
  0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x3a, 0x66, 0x69, 0x6c,
  0x65, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61,
  0x69, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x61, 0x74, 0x61, 0x0a, 0x23,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x4c, 0x6f, 0x61,
  0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x46, 0x69, 0x6c,
  0x65, 0x20, 0x7b, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e,
  0x66, 0x6f, 0x50, 0x61, 0x74, 0x68, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x53, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x61, 0x6e, 0x20,
  0x75, 0x6e, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x20, 0x75, 0x73, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x5b,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x5d, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61,
  0x73, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x73,
  0x20, 0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x20, 0x73, 0x65,
  0x6e, 0x73, 0x69, 0x74, 0x69, 0x76, 0x65, 0x2e, 0x20, 0x20, 0x4d, 0x61,
  0x6b, 0x65, 0x20, 0x73, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x65, 0x73,
  0x63, 0x61, 0x70, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x72, 0x65, 0x67, 0x65,
  0x78, 0x70, 0x20, 0x7b, 0x5e, 0x5b, 0x5b, 0x2e, 0x2d, 0x2e, 0x5d, 0x5b,
  0x3a, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5f, 0x5d, 0x2b, 0x28,
  0x3f, 0x3a, 0x2f, 0x5b, 0x5b, 0x2e, 0x2d, 0x2e, 0x5d, 0x5b, 0x3a, 0x61,
  0x6c, 0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5f, 0x5d, 0x2b, 0x29, 0x2a, 0x24,
  0x7d, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x3a, 0x66, 0x69, 0x6c,
  0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x22, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x5c, 0x22, 0x3a, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d,
  0x65, 0x5c, 0x22, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x69,
  0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x20, 0x24,
  0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x74, 0x68,
  0x73, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69,
  0x6e, 0x20, 0x24, 0x64, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61,
  0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x24, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x26, 0x26, 0x20,
  0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x24, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6e,
  0x61, 0x6d, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x52, 0x65, 0x61, 0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e,
  0x66, 0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65,
  0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x61, 0x64, 0x5a,
  0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4c, 0x6f, 0x61, 0x64, 0x73,
  0x20, 0x61, 0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x69, 0x6e, 0x20, 0x4f, 0x6c, 0x73, 0x6f, 0x6e, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x20, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x28, 0x72, 0x65,
  0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x29, 0x2e,
  0x0a, 0x23, 0x09, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2d, 0x20, 0x41,
  0x62, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6d, 0x70,
  0x74, 0x79, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x6e, 0x6f,
  0x72, 0x6d, 0x61, 0x6c, 0x6c, 0x79, 0x3b, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x69, 0x66, 0x20, 0x6e, 0x6f, 0x20, 0x4f, 0x6c, 0x73, 0x6f, 0x6e,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x23, 0x09, 0x77, 0x61, 0x73, 0x20,
  0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x6d, 0x61,
  0x6c, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x73,
  0x6f, 0x6d, 0x65, 0x20, 0x77, 0x61, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28,
  0x3a, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x29, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x61,
  0x74, 0x61, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a,
  0x3a, 0x52, 0x65, 0x61, 0x64, 0x5a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66,
  0x6f, 0x46, 0x69, 0x6c, 0x65, 0x20, 0x7b, 0x66, 0x69, 0x6c, 0x65, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x21, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20,
  0x6e, 0x6f, 0x74, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x22, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x73, 0x69, 0x7a,
  0x65, 0x20, 0x24, 0x66, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x3e, 0x20,
  0x32, 0x36, 0x32, 0x31, 0x34, 0x34, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x74, 0x6f, 0x6f, 0x20, 0x62, 0x69,
  0x67, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x53, 0x75, 0x63, 0x6b, 0x20, 0x69, 0x6e, 0x20,
  0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x61,
  0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20, 0x24, 0x66, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x63,
  0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x24, 0x66, 0x20,
  0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x20, 0x5b, 0x72, 0x65, 0x61, 0x64, 0x20,
  0x24, 0x66, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x6c, 0x6f, 0x73,
  0x65, 0x20, 0x24, 0x66, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x62, 0x65, 0x67,
  0x69, 0x6e, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x20, 0x6d,
  0x61, 0x67, 0x69, 0x63, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c,
  0x20, 0x73, 0x69, 0x78, 0x74, 0x65, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x73,
  0x65, 0x72, 0x76, 0x65, 0x64, 0x20, 0x62, 0x79, 0x74, 0x65, 0x73, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x73, 0x69, 0x78, 0x20, 0x34, 0x2d, 0x62, 0x79,
  0x74, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x73, 0x20,
  0x67, 0x69, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74,
  0x73, 0x20, 0x6f, 0x66, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x64, 0x73, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x64, 0x20, 0x61, 0x34, 0x61,
  0x31, 0x78, 0x31, 0x35, 0x49, 0x49, 0x49, 0x49, 0x49, 0x49, 0x20, 0x5c,
  0x0a, 0x09, 0x6d, 0x61, 0x67, 0x69, 0x63, 0x20, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x6e, 0x49, 0x73, 0x47, 0x4d, 0x54, 0x20, 0x6e,
  0x49, 0x73, 0x53, 0x74, 0x64, 0x20, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x20,
  0x6e, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x20,
  0x6e, 0x43, 0x68, 0x61, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x65, 0x65, 0x6b, 0x20, 0x34, 0x34, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x6c, 0x65, 0x6e, 0x20, 0x34,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x49, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x61, 0x67, 0x69, 0x63, 0x20, 0x21,
  0x3d, 0x20, 0x7b, 0x54, 0x5a, 0x69, 0x66, 0x7d, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x61, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6e, 0x54,
  0x79, 0x70, 0x65, 0x20, 0x3e, 0x20, 0x32, 0x35, 0x35, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x74, 0x6f, 0x6f, 0x20, 0x6d, 0x61,
  0x6e, 0x79, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65,
  0x73, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x20, 0x6f, 0x6e,
  0x6c, 0x79, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x2d, 0x73, 0x74, 0x79,
  0x6c, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x69, 0x6e, 0x66, 0x6f, 0x2e,
  0x20, 0x20, 0x53, 0x6f, 0x72, 0x72, 0x79, 0x2c, 0x20, 0x27, 0x6c, 0x65,
  0x61, 0x70, 0x73, 0x27, 0x20, 0x62, 0x69, 0x67, 0x6f, 0x74, 0x73, 0x2e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6e,
  0x4c, 0x65, 0x61, 0x70, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x6e, 0x20,
  0x61, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x32, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x75, 0x73, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20,
  0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x36, 0x34, 0x2d, 0x62, 0x69, 0x74, 0x20, 0x74, 0x72,
  0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x65, 0x71,
  0x20, 0x22, 0x32, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x34, 0x34, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2b, 0x20, 0x35, 0x20, 0x2a, 0x20, 0x24, 0x6e, 0x54,
  0x69, 0x6d, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x36,
  0x20, 0x2a, 0x20, 0x24, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2b, 0x20, 0x34, 0x20, 0x2a, 0x20, 0x24, 0x6e, 0x4c,
  0x65, 0x61, 0x70, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x24,
  0x6e, 0x49, 0x73, 0x53, 0x74, 0x64, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x2b, 0x20, 0x24, 0x6e, 0x49, 0x73, 0x47, 0x4d, 0x54, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x2b, 0x20, 0x24, 0x6e, 0x43, 0x68, 0x61, 0x72, 0x0a,
  0x09, 0x7d, 0x5d, 0x0a, 0x09, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20,
  0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x64, 0x20, 0x40, 0x24, 0x7b, 0x73,
  0x65, 0x65, 0x6b, 0x7d, 0x61, 0x34, 0x61, 0x31, 0x78, 0x31, 0x35, 0x49,
  0x49, 0x49, 0x49, 0x49, 0x49, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6d, 0x61, 0x67, 0x69, 0x63, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69,
  0x6f, 0x6e, 0x20, 0x6e, 0x49, 0x73, 0x47, 0x4d, 0x54, 0x20, 0x6e, 0x49,
  0x73, 0x53, 0x74, 0x64, 0x20, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x20, 0x6e,
  0x54, 0x69, 0x6d, 0x65, 0x20, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x20, 0x6e,
  0x43, 0x68, 0x61, 0x72, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6d,
  0x61, 0x67, 0x69, 0x63, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x54, 0x5a, 0x69,
  0x66, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x73, 0x65, 0x65, 0x6b, 0x20,
  0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x20, 0x24, 0x73, 0x65, 0x65,
  0x6b, 0x20, 0x6d, 0x69, 0x73, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65,
  0x64, 0x2c, 0x20, 0x6d, 0x61, 0x67, 0x69, 0x63, 0x20, 0x3d, 0x20, 0x24,
  0x6d, 0x61, 0x67, 0x69, 0x63, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x69, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x57,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x6c, 0x65, 0x6e, 0x20, 0x38,
  0x0a, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x73, 0x65, 0x65, 0x6b, 0x20,
  0x34, 0x34, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x4e, 0x65, 0x78, 0x74, 0x20, 0x63, 0x6f, 0x6d,
  0x65, 0x20, 0x24, 0x7b, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x7d, 0x20, 0x74,
  0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x73, 0x2c, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x65,
  0x64, 0x20, 0x62, 0x79, 0x20, 0x24, 0x7b, 0x6e, 0x54, 0x69, 0x6d, 0x65,
  0x7d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x73, 0x2e,
  0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x75, 0x6e, 0x73,
  0x69, 0x67, 0x6e, 0x65, 0x64, 0x20, 0x31, 0x2d, 0x62, 0x79, 0x74, 0x65,
  0x20, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x69, 0x65, 0x73, 0x2e,
  0x20, 0x20, 0x57, 0x65, 0x20, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20,
  0x61, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x72, 0x62,
  0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x66, 0x72, 0x6f,
  0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x72,
  0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x73,
  0x63, 0x61, 0x6e, 0x20, 0x24, 0x64, 0x20, 0x40, 0x24, 0x7b, 0x73, 0x65,
  0x65, 0x6b, 0x7d, 0x24, 0x7b, 0x69, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74,
  0x7d, 0x24, 0x7b, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x7d, 0x63, 0x24, 0x7b,
  0x6e, 0x54, 0x69, 0x6d, 0x65, 0x7d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73,
  0x20, 0x74, 0x65, 0x6d, 0x70, 0x43, 0x6f, 0x64, 0x65, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x73, 0x65, 0x65, 0x6b,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x24, 0x69,
  0x6c, 0x65, 0x6e, 0x20, 0x2b, 0x20, 0x31, 0x29, 0x20, 0x2a, 0x20, 0x24,
  0x6e, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20, 0x24, 0x74, 0x69, 0x6d,
  0x65, 0x73, 0x20, 0x30, 0x20, 0x24, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44,
  0x45, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x63, 0x20, 0x24, 0x74,
  0x65, 0x6d, 0x70, 0x43, 0x6f, 0x64, 0x65, 0x73, 0x20, 0x7b, 0x0a, 0x09,
  0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6f, 0x64, 0x65,
  0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x63,
  0x20, 0x26, 0x20, 0x30, 0x78, 0x66, 0x66, 0x20, 0x7d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x73,
  0x65, 0x72, 0x74, 0x20, 0x24, 0x63, 0x6f, 0x64, 0x65, 0x73, 0x20, 0x30,
  0x20, 0x30, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e,
  0x65, 0x78, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x65, 0x20, 0x24, 0x7b, 0x6e,
  0x54, 0x79, 0x70, 0x65, 0x7d, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74,
  0x79, 0x70, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6f,
  0x66, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x68, 0x61, 0x73, 0x20,
  0x61, 0x6e, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x28, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x65, 0x61, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x47, 0x4d, 0x54,
  0x29, 0x2c, 0x20, 0x61, 0x20, 0x44, 0x53, 0x54, 0x20, 0x69, 0x6e, 0x64,
  0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x61, 0x6e, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x74, 0x65, 0x78, 0x74, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x7b, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x20, 0x24, 0x69, 0x20, 0x3c, 0x20, 0x24,
  0x6e, 0x54, 0x79, 0x70, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x20, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x69, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x62, 0x69,
  0x6e, 0x61, 0x72, 0x79, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x64,
  0x20, 0x40, 0x24, 0x7b, 0x73, 0x65, 0x65, 0x6b, 0x7d, 0x49, 0x63, 0x63,
  0x20, 0x67, 0x6d, 0x74, 0x4f, 0x66, 0x66, 0x20, 0x69, 0x73, 0x44, 0x73,
  0x74, 0x20, 0x61, 0x62, 0x62, 0x72, 0x49, 0x6e, 0x64, 0x0a, 0x09, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x79, 0x70, 0x65, 0x73,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x67, 0x6d, 0x74, 0x4f,
  0x66, 0x66, 0x20, 0x24, 0x69, 0x73, 0x44, 0x73, 0x74, 0x20, 0x24, 0x61,
  0x62, 0x62, 0x72, 0x49, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x73, 0x65, 0x65, 0x6b, 0x20, 0x36, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x65,
  0x78, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x65, 0x20, 0x24, 0x6e, 0x43, 0x68,
  0x61, 0x72, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72,
  0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f,
  0x6e, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x62, 0x62, 0x72,
  0x65, 0x76, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2c, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x61, 0x72, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x6e, 0x75, 0x6c, 0x6c, 0x2d, 0x74, 0x65, 0x72, 0x6d,
  0x69, 0x6e, 0x61, 0x74, 0x65, 0x64, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x74,
  0x68, 0x65, 0x6d, 0x20, 0x75, 0x70, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20,
  0x61, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20,
  0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x20, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x61, 0x74, 0x27,
  0x73, 0x20, 0x77, 0x68, 0x61, 0x74, 0x27, 0x73, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x65, 0x73, 0x20,
  0x61, 0x62, 0x6f, 0x76, 0x65, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x24, 0x64, 0x20, 0x40, 0x24, 0x7b, 0x73, 0x65, 0x65, 0x6b, 0x7d, 0x61,
  0x24, 0x7b, 0x6e, 0x43, 0x68, 0x61, 0x72, 0x7d, 0x20, 0x61, 0x62, 0x62,
  0x72, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x73, 0x65, 0x65, 0x6b, 0x20, 0x24, 0x7b, 0x6e, 0x43, 0x68, 0x61, 0x72,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x62,
  0x62, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x73, 0x70, 0x6c, 0x69,
  0x74, 0x20, 0x24, 0x61, 0x62, 0x62, 0x72, 0x73, 0x20, 0x5c, 0x30, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x30,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x62, 0x62,
  0x72, 0x65, 0x76, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x61, 0x20, 0x24, 0x61,
  0x62, 0x62, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x66,
  0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x6a, 0x20, 0x30, 0x7d,
  0x20, 0x7b, 0x24, 0x6a, 0x20, 0x3c, 0x3d, 0x20, 0x5b, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x61, 0x5d, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6a, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x73,
  0x20, 0x24, 0x69, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x61, 0x20, 0x24, 0x6a, 0x20,
  0x65, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x69, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x61, 0x63,
  0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x70, 0x20, 0x61, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x75, 0x70, 0x6c, 0x65, 0x73,
  0x2c, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73,
  0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x2c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x65, 0x61, 0x73, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63,
  0x68, 0x2c, 0x20, 0x44, 0x53, 0x54, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x69, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x72, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6c, 0x61, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24,
  0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x74, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x73, 0x20, 0x63, 0x20, 0x24, 0x63, 0x6f, 0x64, 0x65,
  0x73, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x74,
  0x20, 0x3c, 0x20, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x73, 0x20, 0x6f, 0x75, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x72, 0x64,
  0x65, 0x72, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x6c, 0x61, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x0a,
  0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x74, 0x79, 0x70, 0x65, 0x73, 0x20,
  0x24, 0x63, 0x5d, 0x20, 0x67, 0x6d, 0x74, 0x6f, 0x66, 0x66, 0x20, 0x69,
  0x73, 0x44, 0x73, 0x74, 0x20, 0x61, 0x62, 0x62, 0x72, 0x49, 0x6e, 0x64,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x61, 0x62, 0x62, 0x72, 0x65, 0x76, 0x73, 0x20, 0x24, 0x61, 0x62, 0x62,
  0x72, 0x49, 0x6e, 0x64, 0x5d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24,
  0x74, 0x20, 0x24, 0x67, 0x6d, 0x74, 0x6f, 0x66, 0x66, 0x20, 0x24, 0x69,
  0x73, 0x44, 0x73, 0x74, 0x20, 0x24, 0x61, 0x62, 0x62, 0x72, 0x65, 0x76,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x49, 0x6e, 0x20, 0x61, 0x20, 0x76, 0x65, 0x72, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x32, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20,
  0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x73,
  0x6f, 0x20, 0x61, 0x20, 0x50, 0x4f, 0x53, 0x49, 0x58, 0x2d, 0x73, 0x74,
  0x79, 0x6c, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x76, 0x65, 0x72, 0x79, 0x20, 0x65, 0x6e, 0x64, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e,
  0x20, 0x20, 0x54, 0x6f, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x20,
  0x69, 0x74, 0x2c, 0x20, 0x73, 0x6b, 0x69, 0x70, 0x20, 0x6f, 0x76, 0x65,
  0x72, 0x20, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x20, 0x6c, 0x65, 0x61, 0x70,
  0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x28, 0x38, 0x20,
  0x62, 0x79, 0x74, 0x65, 0x73, 0x20, 0x65, 0x61, 0x63, 0x68, 0x29, 0x2c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x49, 0x73, 0x53, 0x74,
  0x64, 0x20, 0x73, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x2f, 0x44,
  0x53, 0x54, 0x20, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72,
  0x73, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x49, 0x73, 0x47, 0x4d, 0x54,
  0x20, 0x55, 0x54, 0x43, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x69,
  0x6e, 0x64, 0x69, 0x63, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x2e, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x76, 0x65, 0x72,
  0x73, 0x69, 0x6f, 0x6e, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x32, 0x7d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x65, 0x6b,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24, 0x73, 0x65, 0x65,
  0x6b, 0x20, 0x2b, 0x20, 0x38, 0x20, 0x2a, 0x20, 0x24, 0x6e, 0x4c, 0x65,
  0x61, 0x70, 0x20, 0x2b, 0x20, 0x24, 0x6e, 0x49, 0x73, 0x53, 0x74, 0x64,
  0x20, 0x2b, 0x20, 0x24, 0x6e, 0x49, 0x73, 0x47, 0x4d, 0x54, 0x20, 0x2b,
  0x20, 0x31, 0x7d, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x61,
  0x73, 0x74, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x66,
  0x69, 0x72, 0x73, 0x74, 0x20, 0x5c, 0x6e, 0x20, 0x24, 0x64, 0x20, 0x24,
  0x73, 0x65, 0x65, 0x6b, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x70,
  0x6f, 0x73, 0x69, 0x78, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x64, 0x20, 0x24, 0x73,
  0x65, 0x65, 0x6b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24,
  0x6c, 0x61, 0x73, 0x74, 0x2d, 0x31, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x70, 0x6f, 0x73, 0x69, 0x78, 0x5d, 0x20, 0x3e, 0x20, 0x30, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x70, 0x6f, 0x73, 0x69, 0x78, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20,
  0x5b, 0x50, 0x61, 0x72, 0x73, 0x65, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x70, 0x6f, 0x73,
  0x69, 0x78, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x74, 0x75, 0x70, 0x6c, 0x65, 0x20, 0x5b,
  0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x70, 0x6f,
  0x73, 0x69, 0x78, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24,
  0x74, 0x75, 0x70, 0x6c, 0x65, 0x20, 0x74, 0x20, 0x67, 0x6d, 0x74, 0x6f,
  0x66, 0x66, 0x20, 0x69, 0x73, 0x44, 0x73, 0x74, 0x20, 0x61, 0x62, 0x62,
  0x72, 0x65, 0x76, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74,
  0x20, 0x3e, 0x20, 0x24, 0x6c, 0x61, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x20, 0x24, 0x74, 0x75, 0x70,
  0x6c, 0x65, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54, 0x5a, 0x44, 0x61,
  0x74, 0x61, 0x28, 0x3a, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d,
  0x65, 0x29, 0x20, 0x24, 0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x50, 0x61, 0x72, 0x73, 0x65, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x54,
  0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x09, 0x50, 0x61, 0x72, 0x73, 0x65, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x54, 0x5a, 0x20, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e,
  0x6d, 0x65, 0x6e, 0x74, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x69, 0x6e, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61,
  0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x74, 0x7a,
  0x09, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20,
  0x62, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74,
  0x65, 0x64, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x61, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x72, 0x79, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x73, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x72, 0x69, 0x6f, 0x75, 0x73, 0x20,
  0x70, 0x69, 0x65, 0x63, 0x65, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64,
  0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x45,
  0x72, 0x72, 0x6f, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x72,
  0x6f, 0x77, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x79, 0x6e, 0x74,
  0x61, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x73, 0x20, 0x69,
  0x6e, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77,
  0x69, 0x6e, 0x67, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
  0x72, 0x79, 0x3a, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69,
  0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x54,
  0x69, 0x6d, 0x65, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x69, 0x73, 0x20,
  0x6e, 0x6f, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e,
  0x75, 0x6d, 0x20, 0x2d, 0x20, 0x53, 0x69, 0x67, 0x6e, 0x20, 0x28, 0x2b,
  0x2c, 0x20, 0x2d, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x65, 0x6d, 0x70, 0x74,
  0x79, 0x29, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x66,
  0x66, 0x73, 0x65, 0x74, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x47, 0x72,
  0x65, 0x65, 0x6e, 0x77, 0x69, 0x63, 0x68, 0x0a, 0x23, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x28, 0x6e, 0x6f, 0x6e, 0x2d, 0x44, 0x53, 0x54,
  0x29, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e,
  0x20, 0x20, 0x2b, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x65, 0x6d, 0x70, 0x74, 0x79, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x64, 0x65, 0x6e, 0x6f,
  0x74, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x73, 0x20, 0x77, 0x65, 0x73,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69,
  0x63, 0x68, 0x2c, 0x20, 0x2d, 0x20, 0x64, 0x65, 0x6e, 0x6f, 0x74, 0x65,
  0x73, 0x20, 0x65, 0x61, 0x73, 0x74, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x6f, 0x66, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69,
  0x63, 0x68, 0x3b, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x49, 0x53, 0x4f, 0x20, 0x63, 0x6f, 0x6e, 0x76,
  0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x62, 0x75, 0x74, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77,
  0x73, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x2e, 0x0a, 0x23, 0x09, 0x73,
  0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x2d, 0x20, 0x48, 0x6f,
  0x75, 0x72, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63,
  0x68, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76,
  0x65, 0x6e, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x28, 0x6e, 0x6f,
  0x6e, 0x2d, 0x44, 0x53, 0x54, 0x29, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x64, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x2d, 0x20, 0x4d, 0x69, 0x6e,
  0x75, 0x74, 0x65, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69,
  0x63, 0x68, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x28, 0x6e, 0x6f, 0x6e, 0x2d, 0x44, 0x53, 0x54, 0x29, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x20, 0x45, 0x6d, 0x70,
  0x74, 0x79, 0x20, 0x64, 0x65, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x20, 0x7a,
  0x65, 0x72, 0x6f, 0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x64, 0x53, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x2d, 0x20, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63,
  0x68, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x28,
  0x6e, 0x6f, 0x6e, 0x2d, 0x44, 0x53, 0x54, 0x29, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x20, 0x45, 0x6d, 0x70, 0x74,
  0x79, 0x20, 0x64, 0x65, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x20, 0x7a, 0x65,
  0x72, 0x6f, 0x2e, 0x0a, 0x23, 0x09, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x2d, 0x20, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x44, 0x53, 0x54, 0x20, 0x69,
  0x73, 0x20, 0x69, 0x6e, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x2c,
  0x20, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09, 0x09, 0x20,
  0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20,
  0x6e, 0x6f, 0x74, 0x20, 0x6f, 0x62, 0x73, 0x65, 0x72, 0x76, 0x65, 0x20,
  0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x54, 0x69, 0x6d,
  0x65, 0x2e, 0x0a, 0x23, 0x09, 0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e,
  0x75, 0x6d, 0x2c, 0x20, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x2c, 0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73,
  0x2c, 0x20, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x2d, 0x0a, 0x23, 0x09, 0x09, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73,
  0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67,
  0x6e, 0x75, 0x6d, 0x2c, 0x20, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72,
  0x73, 0x2c, 0x20, 0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65,
  0x73, 0x2c, 0x0a, 0x23, 0x09, 0x09, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61,
  0x76, 0x69, 0x6e, 0x67, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x76, 0x65,
  0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x09, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e,
  0x65, 0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x64, 0x73, 0x74, 0x48, 0x6f,
  0x75, 0x72, 0x73, 0x20, 0x69, 0x73, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79,
  0x2c, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x65, 0x73,
  0x75, 0x6d, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x31,
  0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65,
  0x20, 0x6f, 0x72, 0x64, 0x69, 0x6e, 0x61, 0x6c, 0x20, 0x6e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x20, 0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x0a,
  0x23, 0x09, 0x09, 0x09, 0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73, 0x2e, 0x20, 0x20, 0x49,
  0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x20, 0x69, 0x73, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x20, 0x65, 0x6d, 0x70,
  0x74, 0x79, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x44, 0x53, 0x54,
  0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x61,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68,
  0x2d, 0x77, 0x65, 0x65, 0x6b, 0x2d, 0x64, 0x61, 0x79, 0x2c, 0x0a, 0x23,
  0x09, 0x09, 0x09, 0x20, 0x61, 0x73, 0x20, 0x62, 0x65, 0x6c, 0x6f, 0x77,
  0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4a, 0x20, 0x2d,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x20,
  0x4a, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x6d, 0x70,
  0x74, 0x79, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x20,
  0x49, 0x66, 0x20, 0x61, 0x20, 0x4a, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72,
  0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x2c,
  0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44,
  0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x64, 0x6f, 0x65,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20,
  0x46, 0x65, 0x62, 0x72, 0x75, 0x61, 0x72, 0x79, 0x20, 0x32, 0x39, 0x0a,
  0x23, 0x09, 0x09, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x20,
  0x6c, 0x65, 0x61, 0x70, 0x20, 0x79, 0x65, 0x61, 0x72, 0x73, 0x2e, 0x0a,
  0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20,
  0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76,
  0x69, 0x6e, 0x67, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73, 0x2c,
  0x20, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x64, 0x20, 0x69, 0x66,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x59,
  0x65, 0x61, 0x72, 0x20, 0x69, 0x73, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79,
  0x2e, 0x20, 0x20, 0x49, 0x66, 0x20, 0x62, 0x6f, 0x74, 0x68, 0x0a, 0x23,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x44, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2c, 0x20,
  0x74, 0x68, 0x65, 0x6e, 0x20, 0x55, 0x53, 0x20, 0x72, 0x75, 0x6c, 0x65,
  0x73, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x70, 0x72, 0x65, 0x73, 0x75, 0x6d, 0x65, 0x64, 0x2e, 0x0a,
  0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x57, 0x65, 0x65, 0x6b, 0x4f,
  0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x20,
  0x77, 0x68, 0x69, 0x63, 0x68, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61,
  0x76, 0x69, 0x6e, 0x67, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x62, 0x65,
  0x67, 0x69, 0x6e, 0x73, 0x2c, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x31, 0x2d, 0x35, 0x2e, 0x0a,
  0x23, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x35, 0x20, 0x64, 0x65, 0x6e,
  0x6f, 0x74, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x61, 0x73,
  0x74, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x65, 0x76, 0x65, 0x6e,
  0x20, 0x69, 0x6e, 0x20, 0x61, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x34, 0x2d, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61,
  0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x2d, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x28, 0x53, 0x75, 0x6e,
  0x64, 0x61, 0x79, 0x3d, 0x30, 0x2c, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x20,
  0x53, 0x61, 0x74, 0x75, 0x72, 0x64, 0x61, 0x79, 0x3d, 0x36, 0x29, 0x20,
  0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x44, 0x61, 0x79,
  0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67,
  0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73,
  0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x48, 0x6f, 0x75,
  0x72, 0x73, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x68, 0x6f, 0x75,
  0x72, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x64,
  0x61, 0x79, 0x20, 0x61, 0x74, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20,
  0x44, 0x61, 0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x0a, 0x23, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e, 0x67, 0x20,
  0x54, 0x69, 0x6d, 0x65, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73, 0x2e,
  0x20, 0x41, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x65, 0x73,
  0x75, 0x6d, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x32,
  0x2e, 0x0a, 0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x69, 0x6e,
  0x75, 0x74, 0x65, 0x73, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x6d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x20, 0x61, 0x74, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x44, 0x53, 0x54, 0x20, 0x62, 0x65, 0x67, 0x69,
  0x6e, 0x73, 0x2e, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x41, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x65,
  0x73, 0x75, 0x6d, 0x65, 0x64, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x2e, 0x0a,
  0x23, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66,
  0x20, 0x64, 0x61, 0x79, 0x20, 0x61, 0x74, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x44, 0x53, 0x54, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x73,
  0x2e, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x41, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x65, 0x73, 0x75,
  0x6d, 0x65, 0x64, 0x20, 0x7a, 0x65, 0x72, 0x6f, 0x2e, 0x0a, 0x23, 0x09,
  0x65, 0x6e, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72,
  0x2c, 0x20, 0x65, 0x6e, 0x64, 0x4a, 0x2c, 0x20, 0x65, 0x6e, 0x64, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x2c, 0x20, 0x65, 0x6e, 0x64, 0x57, 0x65, 0x65,
  0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x2c, 0x20, 0x65, 0x6e,
  0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x2c, 0x0a,
  0x23, 0x09, 0x65, 0x6e, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x2c, 0x20,
  0x65, 0x6e, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x2c, 0x20,
  0x65, 0x6e, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x2d,
  0x0a, 0x23, 0x09, 0x09, 0x53, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x6f, 0x66, 0x20, 0x44,
  0x53, 0x54, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61,
  0x6d, 0x65, 0x20, 0x77, 0x61, 0x79, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x2a, 0x20, 0x66,
  0x69, 0x65, 0x6c, 0x64, 0x73, 0x0a, 0x23, 0x09, 0x09, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x66, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x65, 0x67,
  0x69, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x20, 0x44, 0x53,
  0x54, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x73, 0x65,
  0x72, 0x76, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x74, 0x6f,
  0x20, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65,
  0x72, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x73, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x0a, 0x23, 0x20, 0x61, 0x74, 0x74,
  0x65, 0x6d, 0x70, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6d, 0x61, 0x64, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x65,
  0x6c, 0x64, 0x73, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x75, 0x70, 0x70, 0x6c,
  0x79, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x3a, 0x3a, 0x50, 0x61, 0x72, 0x73, 0x65, 0x50, 0x6f, 0x73,
  0x69, 0x78, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x7b,
  0x20, 0x74, 0x7a, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20,
  0x2d, 0x65, 0x78, 0x70, 0x61, 0x6e, 0x64, 0x65, 0x64, 0x20, 0x2d, 0x6e,
  0x6f, 0x63, 0x61, 0x73, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x7b, 0x0a, 0x09,
  0x5e, 0x0a, 0x09, 0x23, 0x20, 0x31, 0x20, 0x2d, 0x20, 0x53, 0x74, 0x61,
  0x6e, 0x64, 0x61, 0x72, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x09, 0x28, 0x5b,
  0x5b, 0x3a, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5d, 0x2b, 0x20,
  0x7c, 0x20, 0x3c, 0x5b, 0x2d, 0x2b, 0x5b, 0x3a, 0x61, 0x6c, 0x6e, 0x75,
  0x6d, 0x3a, 0x5d, 0x5d, 0x2b, 0x3e, 0x29, 0x0a, 0x09, 0x23, 0x20, 0x32,
  0x20, 0x2d, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66,
  0x66, 0x73, 0x65, 0x74, 0x2c, 0x20, 0x73, 0x69, 0x67, 0x6e, 0x75, 0x6d,
  0x0a, 0x09, 0x28, 0x5b, 0x2d, 0x2b, 0x5d, 0x3f, 0x29, 0x0a, 0x09, 0x23,
  0x20, 0x33, 0x20, 0x2d, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72,
  0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x2c, 0x20, 0x68, 0x6f, 0x75, 0x72,
  0x73, 0x0a, 0x09, 0x28, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74,
  0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32, 0x7d, 0x29, 0x0a, 0x09, 0x28,
  0x3f, 0x3a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x34, 0x20,
  0x2d, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x66,
  0x73, 0x65, 0x74, 0x2c, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x20, 0x28, 0x5b, 0x5b, 0x3a,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32,
  0x7d, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x35,
  0x20, 0x2d, 0x20, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66,
  0x66, 0x73, 0x65, 0x74, 0x2c, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x0a, 0x09, 0x09, 0x3a, 0x20, 0x28, 0x5b, 0x5b, 0x3a, 0x64, 0x69,
  0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32, 0x7d, 0x20,
  0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x29,
  0x3f, 0x0a, 0x09, 0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x36, 0x20, 0x2d, 0x20, 0x44, 0x53, 0x54, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x5b, 0x5b, 0x3a, 0x61, 0x6c,
  0x70, 0x68, 0x61, 0x3a, 0x5d, 0x5d, 0x2b, 0x20, 0x7c, 0x20, 0x3c, 0x5b,
  0x2d, 0x2b, 0x5b, 0x3a, 0x61, 0x6c, 0x6e, 0x75, 0x6d, 0x3a, 0x5d, 0x5d,
  0x2b, 0x3e, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f,
  0x3a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x37, 0x20,
  0x2d, 0x20, 0x44, 0x53, 0x54, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x2c, 0x20,
  0x73, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x28, 0x5b, 0x2d, 0x2b, 0x5d, 0x3f, 0x29, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x38, 0x20, 0x2d, 0x20, 0x44, 0x53, 0x54,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f,
  0x66, 0x66, 0x73, 0x65, 0x74, 0x2c, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x73,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x5b, 0x5b, 0x3a, 0x64,
  0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32, 0x7d,
  0x29, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a, 0x0a,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x39, 0x20, 0x2d, 0x20, 0x44, 0x53, 0x54,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f,
  0x66, 0x66, 0x73, 0x65, 0x74, 0x2c, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74,
  0x65, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x3a, 0x20, 0x28, 0x5b, 0x5b, 0x3a,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32,
  0x7d, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x31, 0x30, 0x20, 0x2d, 0x20, 0x44, 0x53, 0x54, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x66,
  0x73, 0x65, 0x74, 0x2c, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x20, 0x28, 0x5b,
  0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31,
  0x2c, 0x32, 0x7d, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x29, 0x3f, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x09, 0x29, 0x3f,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f,
  0x3a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2c, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x09, 0x09, 0x23,
  0x20, 0x31, 0x31, 0x20, 0x2d, 0x20, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x61, 0x6c, 0x20, 0x4a, 0x20, 0x69, 0x6e, 0x20, 0x6e, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x4a, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x31, 0x32,
  0x20, 0x2d, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x28, 0x20, 0x4a, 0x20, 0x3f, 0x20, 0x29, 0x09, 0x28, 0x20, 0x5b,
  0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x2b, 0x20,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7c, 0x20, 0x4d, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x31,
  0x33, 0x20, 0x2d, 0x20, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x6e, 0x75,
  0x6d, 0x62, 0x65, 0x72, 0x20, 0x31, 0x34, 0x20, 0x2d, 0x20, 0x57, 0x65,
  0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x31, 0x35, 0x20, 0x2d, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20,
  0x77, 0x65, 0x65, 0x6b, 0x0a, 0x09, 0x09, 0x09, 0x28, 0x20, 0x5b, 0x5b,
  0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x20, 0x2b, 0x20,
  0x29, 0x0a, 0x09, 0x09, 0x09, 0x5b, 0x2e, 0x5d, 0x20, 0x28, 0x20, 0x5b,
  0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x20, 0x2b,
  0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x5b, 0x2e, 0x5d, 0x20, 0x28, 0x20,
  0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x20,
  0x2b, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x09,
  0x09, 0x23, 0x20, 0x31, 0x36, 0x20, 0x2d, 0x20, 0x53, 0x74, 0x61, 0x72,
  0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x44, 0x53,
  0x54, 0x20, 0x2d, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x73, 0x0a, 0x09, 0x09,
  0x09, 0x2f, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69,
  0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32, 0x7d, 0x20, 0x29, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f,
  0x3a, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x31,
  0x37, 0x20, 0x2d, 0x20, 0x53, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x44, 0x53, 0x54, 0x20, 0x2d, 0x20,
  0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69,
  0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32, 0x7d, 0x20,
  0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f, 0x3a,
  0x0a, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x31, 0x38, 0x20, 0x2d, 0x20,
  0x53, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x44, 0x53, 0x54, 0x20, 0x2d, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x3a, 0x20, 0x28, 0x20,
  0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b,
  0x31, 0x2c, 0x32, 0x7d, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x09, 0x09, 0x29, 0x3f, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28, 0x3f,
  0x3a, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x31, 0x39, 0x20, 0x2d, 0x20,
  0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x4a, 0x20, 0x69,
  0x6e, 0x20, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x4a, 0x6e, 0x20, 0x66,
  0x6f, 0x72, 0x6d, 0x20, 0x32, 0x30, 0x20, 0x2d, 0x20, 0x44, 0x61, 0x79,
  0x20, 0x6f, 0x66, 0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x28, 0x20, 0x4a, 0x20, 0x3f,
  0x20, 0x29, 0x09, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69,
  0x74, 0x3a, 0x5d, 0x5d, 0x2b, 0x20, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x7c, 0x20, 0x4d, 0x0a,
  0x09, 0x09, 0x09, 0x23, 0x20, 0x32, 0x31, 0x20, 0x2d, 0x20, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x32,
  0x32, 0x20, 0x2d, 0x20, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x6f, 0x66, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x32, 0x33, 0x20, 0x2d, 0x20, 0x44,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x0a, 0x09,
  0x09, 0x09, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74,
  0x3a, 0x5d, 0x5d, 0x20, 0x2b, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x5b,
  0x2e, 0x5d, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69,
  0x74, 0x3a, 0x5d, 0x5d, 0x20, 0x2b, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09,
  0x5b, 0x2e, 0x5d, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67,
  0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x20, 0x2b, 0x20, 0x29, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x09, 0x09, 0x23, 0x20, 0x32, 0x34, 0x20,
  0x2d, 0x20, 0x45, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x44, 0x53, 0x54, 0x20, 0x2d, 0x20, 0x68, 0x6f, 0x75, 0x72,
  0x73, 0x0a, 0x09, 0x09, 0x09, 0x2f, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32,
  0x7d, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x28, 0x3f, 0x3a, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x32, 0x35, 0x20, 0x2d, 0x20, 0x45, 0x6e, 0x64, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x44, 0x53, 0x54, 0x20,
  0x2d, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x20, 0x28, 0x20, 0x5b, 0x5b, 0x3a,
  0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b, 0x31, 0x2c, 0x32,
  0x7d, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28,
  0x3f, 0x3a, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x23, 0x20, 0x32, 0x36, 0x20,
  0x2d, 0x20, 0x45, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x44, 0x53, 0x54, 0x20, 0x2d, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x3a, 0x20, 0x28, 0x20,
  0x5b, 0x5b, 0x3a, 0x64, 0x69, 0x67, 0x69, 0x74, 0x3a, 0x5d, 0x5d, 0x7b,
  0x31, 0x2c, 0x32, 0x7d, 0x20, 0x29, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x09, 0x09, 0x29, 0x3f, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x29, 0x3f, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x29, 0x3f, 0x0a, 0x09, 0x24,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x24, 0x74, 0x7a, 0x20, 0x2d,
  0x3e, 0x20, 0x78, 0x28, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x29,
  0x20, 0x78, 0x28, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d,
  0x29, 0x20, 0x78, 0x28, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x29, 0x20, 0x78, 0x28, 0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74,
  0x65, 0x73, 0x29, 0x20, 0x78, 0x28, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x78, 0x28, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x29,
  0x20, 0x78, 0x28, 0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d,
  0x29, 0x20, 0x78, 0x28, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x29, 0x20, 0x78, 0x28, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74,
  0x65, 0x73, 0x29, 0x20, 0x78, 0x28, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4a, 0x29, 0x20,
  0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66,
  0x59, 0x65, 0x61, 0x72, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x29, 0x20, 0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x57,
  0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x29, 0x20,
  0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66,
  0x57, 0x65, 0x65, 0x6b, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x48, 0x6f, 0x75,
  0x72, 0x73, 0x29, 0x20, 0x78, 0x28, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x29, 0x20, 0x78, 0x28, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x29, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x78, 0x28, 0x65, 0x6e,
  0x64, 0x4a, 0x29, 0x20, 0x78, 0x28, 0x65, 0x6e, 0x64, 0x44, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x78, 0x28, 0x65, 0x6e, 0x64, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x29, 0x20, 0x78, 0x28, 0x65, 0x6e, 0x64, 0x57, 0x65, 0x65,
  0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x29, 0x20, 0x78, 0x28,
  0x65, 0x6e, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b,
  0x29, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x78, 0x28,
  0x65, 0x6e, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x29, 0x20, 0x78, 0x28,
  0x65, 0x6e, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x29, 0x20,
  0x78, 0x28, 0x65, 0x6e, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x29, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x69, 0x74,
  0x27, 0x73, 0x20, 0x61, 0x20, 0x67, 0x6f, 0x6f, 0x64, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x78, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x5c,
  0x0a, 0x09, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b,
  0x20, 0x62, 0x61, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x20, 0x24, 0x74, 0x7a, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x22, 0x75, 0x6e,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x72, 0x73,
  0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20,
  0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x5c, 0x22, 0x24, 0x74, 0x7a, 0x5c, 0x22, 0x22, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
  0x73, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f,
  0x6e, 0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x48, 0x61,
  0x6e, 0x64, 0x6c, 0x65, 0x20, 0x61, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x61,
  0x66, 0x74, 0x65, 0x72, 0x20, 0x69, 0x74, 0x27, 0x73, 0x20, 0x62, 0x65,
  0x65, 0x6e, 0x20, 0x62, 0x72, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x6f, 0x75,
  0x74, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64,
  0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d,
  0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x7a, 0x20, 0x2d,
  0x20, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x27, 0x50, 0x61, 0x72, 0x73, 0x65, 0x50, 0x6f, 0x73, 0x69,
  0x78, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x27, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x27, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x27,
  0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x50, 0x72, 0x6f, 0x63,
  0x65, 0x73, 0x73, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x20, 0x7a, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54,
  0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x20, 0x65, 0x61, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x47,
  0x72, 0x65, 0x65, 0x6e, 0x77, 0x69, 0x63, 0x68, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x7a, 0x20, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x30, 0x5d, 0x20, 0x65,
  0x71, 0x20, 0x7b, 0x3c, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65,
  0x20, 0x24, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x31, 0x20,
  0x65, 0x6e, 0x64, 0x2d, 0x31, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x73,
  0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x5d, 0x20, 0x65, 0x71,
  0x20, 0x7b, 0x2d, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20,
  0x2b, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64,
  0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2d, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x5d, 0x20,
  0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x7a, 0x20, 0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75,
  0x74, 0x65, 0x73, 0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20,
  0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x5d, 0x20,
  0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64,
  0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a,
  0x20, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x20, 0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x64, 0x4f, 0x66, 0x66, 0x73,
  0x65, 0x74, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09,
  0x28, 0x28, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20,
  0x2a, 0x20, 0x36, 0x30, 0x20, 0x2b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x29, 0x20, 0x2a, 0x20, 0x36, 0x30,
  0x20, 0x2b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x53, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x73, 0x29, 0x20, 0x2a, 0x20, 0x24, 0x73, 0x74, 0x64, 0x53, 0x69,
  0x67, 0x6e, 0x75, 0x6d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x61,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x24, 0x4d, 0x49, 0x4e, 0x57, 0x49, 0x44, 0x45, 0x20, 0x24, 0x73,
  0x74, 0x64, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x30, 0x20, 0x24,
  0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72,
  0x65, 0x27, 0x73, 0x20, 0x6e, 0x6f, 0x20, 0x64, 0x61, 0x79, 0x6c, 0x69,
  0x67, 0x68, 0x74, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2c, 0x20, 0x77, 0x65,
  0x27, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x7a, 0x20, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x73,
  0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x61, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x30, 0x5d, 0x20, 0x65,
  0x71, 0x20, 0x7b, 0x3c, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e, 0x67, 0x65,
  0x20, 0x24, 0x64, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x31, 0x20,
  0x65, 0x6e, 0x64, 0x2d, 0x31, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65,
  0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61,
  0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x64,
  0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x5d, 0x20, 0x65, 0x71,
  0x20, 0x7b, 0x2d, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20,
  0x2b, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74,
  0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2d, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x5d, 0x20,
  0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x33, 0x36, 0x30,
  0x30, 0x20, 0x2b, 0x20, 0x24, 0x73, 0x74, 0x64, 0x4f, 0x66, 0x66, 0x73,
  0x65, 0x74, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x5d, 0x20,
  0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73,
  0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74,
  0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a,
  0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x5d,
  0x20, 0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65,
  0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65,
  0x73, 0x20, 0x30, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x5d, 0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x73, 0x74,
  0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a,
  0x20, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x20, 0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x65,
  0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64,
  0x73, 0x20, 0x30, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x28,
  0x28, 0x24, 0x64, 0x73, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x2a, 0x36,
  0x30, 0x20, 0x2b, 0x20, 0x24, 0x64, 0x73, 0x74, 0x4d, 0x69, 0x6e, 0x75,
  0x74, 0x65, 0x73, 0x29, 0x20, 0x2a, 0x20, 0x36, 0x30, 0x20, 0x2b, 0x20,
  0x24, 0x64, 0x73, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x29,
  0x20, 0x2a, 0x20, 0x24, 0x64, 0x73, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x75,
  0x6d, 0x0a, 0x09, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x46, 0x69, 0x6c, 0x6c, 0x20,
  0x69, 0x6e, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x73, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x45, 0x75, 0x72, 0x6f, 0x70, 0x65, 0x61, 0x6e,
  0x20, 0x6f, 0x72, 0x20, 0x55, 0x53, 0x20, 0x44, 0x53, 0x54, 0x20, 0x72,
  0x75, 0x6c, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x55,
  0x53, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x4d, 0x61, 0x72, 0x63, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x45, 0x55, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x61,
  0x73, 0x74, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x69, 0x6e,
  0x20, 0x4d, 0x61, 0x72, 0x63, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x55, 0x53, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x69, 0x6e, 0x20,
  0x4e, 0x6f, 0x76, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x45, 0x55, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x74,
  0x69, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c,
  0x61, 0x73, 0x74, 0x20, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79, 0x20, 0x69,
  0x6e, 0x20, 0x4f, 0x63, 0x74, 0x6f, 0x62, 0x65, 0x72, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72,
  0x5d, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x26, 0x26, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d,
  0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x28, 0x24, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d,
  0x20, 0x2a, 0x20, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x3e, 0x3d, 0x30, 0x29, 0x20, 0x26, 0x26, 0x20, 0x28, 0x24, 0x73, 0x74,
  0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2a, 0x20, 0x24, 0x73,
  0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x3c, 0x3d, 0x31, 0x32, 0x29,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x45,
  0x55, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x57,
  0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x35,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x73,
  0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x3e, 0x32, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x7a, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x20, 0x32, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x48,
  0x6f, 0x75, 0x72, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x2b, 0x31, 0x7d,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x55, 0x53, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x57, 0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x32, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61, 0x72,
  0x74, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x32, 0x0a, 0x09, 0x7d, 0x0a,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20,
  0x73, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x33,
  0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57,
  0x65, 0x65, 0x6b, 0x20, 0x30, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x30, 0x0a, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x30, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x44, 0x61, 0x79, 0x4f,
  0x66, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d,
  0x0a, 0x09, 0x26, 0x26, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x7b, 0x0a, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x28, 0x24, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67,
  0x6e, 0x75, 0x6d, 0x20, 0x2a, 0x20, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f,
  0x75, 0x72, 0x73, 0x3e, 0x3d, 0x30, 0x29, 0x20, 0x26, 0x26, 0x20, 0x28,
  0x24, 0x73, 0x74, 0x64, 0x53, 0x69, 0x67, 0x6e, 0x75, 0x6d, 0x20, 0x2a,
  0x20, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x3c, 0x3d,
  0x31, 0x32, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x45, 0x55, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e, 0x64,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x31, 0x30, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a,
  0x20, 0x65, 0x6e, 0x64, 0x57, 0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x20, 0x35, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73,
  0x3e, 0x32, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x48, 0x6f,
  0x75, 0x72, 0x73, 0x20, 0x33, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e, 0x64,
  0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x24, 0x73, 0x74, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x2b, 0x32,
  0x7d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x55, 0x53, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e,
  0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x31, 0x31, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x7a, 0x20, 0x65, 0x6e, 0x64, 0x57, 0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x31, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a, 0x20, 0x65,
  0x6e, 0x64, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x20, 0x32, 0x0a, 0x09, 0x7d,
  0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x7a,
  0x20, 0x65, 0x6e, 0x64, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65,
  0x6b, 0x20, 0x30, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74,
  0x65, 0x73, 0x20, 0x30, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x75, 0x74, 0x20, 0x44,
  0x53, 0x54, 0x20, 0x69, 0x6e, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74,
  0x20, 0x69, 0x6e, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x31, 0x39, 0x31, 0x36, 0x20,
  0x74, 0x6f, 0x20, 0x32, 0x30, 0x39, 0x39, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x79, 0x20, 0x31, 0x39, 0x31, 0x36, 0x20, 0x7d, 0x20, 0x7b, 0x20, 0x24,
  0x79, 0x20, 0x3c, 0x20, 0x32, 0x31, 0x30, 0x30, 0x20, 0x7d, 0x20, 0x7b,
  0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x79, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x5b, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e,
  0x65, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x44, 0x53, 0x54, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x24, 0x7a, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x24,
  0x79, 0x5d, 0x0a, 0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x2d, 0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x73,
  0x74, 0x64, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x29, 0x20, 0x7d, 0x5d,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x5b, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x50, 0x6f, 0x73, 0x69, 0x78, 0x44, 0x53, 0x54, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x24, 0x7a, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x24, 0x79, 0x5d, 0x0a,
  0x09, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x2d, 0x20,
  0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x64, 0x73, 0x74, 0x4f, 0x66, 0x66,
  0x73, 0x65, 0x74, 0x29, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x20, 0x24, 0x73, 0x74, 0x61, 0x72, 0x74, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x3c, 0x20, 0x24, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x64, 0x73, 0x74, 0x4f,
  0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x31, 0x20, 0x24, 0x64, 0x73, 0x74,
  0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x24, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d, 0x65,
  0x20, 0x24, 0x73, 0x74, 0x64, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20,
  0x30, 0x20, 0x24, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a,
  0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x64,
  0x61, 0x74, 0x61, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24,
  0x73, 0x74, 0x64, 0x4f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x30, 0x20,
  0x24, 0x73, 0x74, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x20, 0x5c, 0x0a,
  0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x24, 0x64, 0x73, 0x74, 0x4f,
  0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x31, 0x20, 0x24, 0x64, 0x73, 0x74,
  0x4e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x64, 0x61, 0x74, 0x61, 0x0a, 0x7d, 0x0a, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e,
  0x65, 0x50, 0x6f, 0x73, 0x69, 0x78, 0x44, 0x53, 0x54, 0x54, 0x69, 0x6d,
  0x65, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74,
  0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x44, 0x61,
  0x79, 0x6c, 0x69, 0x67, 0x68, 0x74, 0x20, 0x53, 0x61, 0x76, 0x69, 0x6e,
  0x67, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x73, 0x20, 0x6f, 0x72, 0x20, 0x65, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x61, 0x0a, 0x23, 0x09, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x7a, 0x20, 0x2d, 0x20,
  0x54, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x64, 0x61,
  0x74, 0x61, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20,
  0x66, 0x72, 0x6f, 0x6d, 0x20, 0x50, 0x61, 0x72, 0x73, 0x65, 0x50, 0x6f,
  0x73, 0x69, 0x78, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x2e,
  0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4d, 0x69, 0x73, 0x73, 0x69,
  0x6e, 0x67, 0x20, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x74,
  0x6f, 0x20, 0x62, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x6c, 0x65, 0x64, 0x20,
  0x69, 0x6e, 0x20, 0x77, 0x69, 0x74, 0x68, 0x0a, 0x23, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x09, 0x62, 0x6f, 0x75, 0x6e,
  0x64, 0x20, 0x2d, 0x20, 0x54, 0x68, 0x65, 0x20, 0x77, 0x6f, 0x72, 0x64,
  0x20, 0x27, 0x73, 0x74, 0x61, 0x72, 0x74, 0x27, 0x20, 0x6f, 0x72, 0x20,
  0x27, 0x65, 0x6e, 0x64, 0x27, 0x0a, 0x23, 0x09, 0x79, 0x20, 0x2d, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20,
  0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x64, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20,
  0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e, 0x20, 0x20, 0x54, 0x68,
  0x65, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x77, 0x61, 0x6c, 0x6c, 0x20, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x2c, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x55, 0x54, 0x43, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x44,
  0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x50, 0x6f, 0x73, 0x69,
  0x78, 0x44, 0x53, 0x54, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x7b, 0x20, 0x7a,
  0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x79, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x46, 0x45, 0x42, 0x5f, 0x32, 0x38, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69,
  0x6e, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x20, 0x6f, 0x72, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x64, 0x61, 0x79, 0x20,
  0x6f, 0x66, 0x20, 0x44, 0x53, 0x54, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72,
  0x61, 0x20, 0x43, 0x45, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x24, 0x79,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f,
  0x79, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x7d, 0x44,
  0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x6f, 0x79, 0x20,
  0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x0a, 0x09,
  0x23, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20,
  0x61, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x0a, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x7d, 0x4a, 0x5d,
  0x20, 0x6e, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x26, 0x26, 0x20, 0x5b, 0x49, 0x73, 0x47, 0x72, 0x65, 0x67, 0x6f,
  0x72, 0x69, 0x61, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x24, 0x79, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x26,
  0x26, 0x20, 0x28, 0x20, 0x24, 0x64, 0x6f, 0x79, 0x20, 0x3e, 0x20, 0x24,
  0x46, 0x45, 0x42, 0x5f, 0x32, 0x38, 0x20, 0x29, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x64,
  0x6f, 0x79, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61, 0x79,
  0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x6f, 0x79, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47,
  0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46,
  0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x44, 0x61,
  0x79, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x32, 0x33, 0x36,
  0x31, 0x32, 0x32, 0x32, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69,
  0x66, 0x69, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x64, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x65, 0x65,
  0x6b, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x7d,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64, 0x61,
  0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62,
  0x6f, 0x75, 0x6e, 0x64, 0x7d, 0x44, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65,
  0x65, 0x6b, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x77,
  0x69, 0x6d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x7d,
  0x57, 0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d,
  0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x69,
  0x6d, 0x20, 0x3e, 0x3d, 0x20, 0x35, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x77, 0x69,
  0x6d, 0x20, 0x2d, 0x31, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x49, 0x6e, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x20, 0x24, 0x64, 0x6f, 0x77, 0x69, 0x6d, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65,
  0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72,
  0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e,
  0x74, 0x68, 0x57, 0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x32, 0x33, 0x36, 0x31, 0x32, 0x32, 0x32,
  0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6a, 0x64, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a,
  0x09, 0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x6a, 0x64, 0x29, 0x20, 0x2a,
  0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x38, 0x36, 0x34, 0x30, 0x30, 0x29,
  0x20, 0x2d, 0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x32, 0x31, 0x30, 0x38,
  0x36, 0x36, 0x38, 0x30, 0x33, 0x32, 0x30, 0x30, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x68, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e, 0x64,
  0x7d, 0x48, 0x6f, 0x75, 0x72, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x68, 0x20, 0x65, 0x71, 0x20, 0x7b,
  0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x68,
  0x20, 0x32, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73,
  0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x68, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63,
  0x61, 0x6e, 0x20, 0x24, 0x68, 0x20, 0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62, 0x6f, 0x75, 0x6e,
  0x64, 0x7d, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x20, 0x65,
  0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x6d, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x6d, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x3a,
  0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x6d, 0x20, 0x25, 0x64, 0x5d,
  0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x7a, 0x20, 0x24, 0x7b, 0x62,
  0x6f, 0x75, 0x6e, 0x64, 0x7d, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24,
  0x73, 0x20, 0x65, 0x71, 0x20, 0x7b, 0x7d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x5b, 0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x20, 0x24, 0x73, 0x20,
  0x25, 0x64, 0x5d, 0x20, 0x30, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x64,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20, 0x24,
  0x68, 0x20, 0x2a, 0x20, 0x36, 0x30, 0x20, 0x2b, 0x20, 0x24, 0x6d, 0x20,
  0x29, 0x20, 0x2a, 0x20, 0x36, 0x30, 0x20, 0x2b, 0x20, 0x24, 0x73, 0x20,
  0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x2b, 0x20, 0x24, 0x74, 0x6f,
  0x64, 0x20, 0x7d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72, 0x61,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x47, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x20, 0x65, 0x78, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x20, 0x69,
  0x6e, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x50, 0x6f, 0x73, 0x69, 0x78,
  0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2c, 0x0a, 0x23, 0x09, 0x64, 0x65,
  0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x64, 0x20, 0x65, 0x72, 0x61, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x77, 0x69, 0x74, 0x68, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x72, 0x61, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x20,
  0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x63, 0x6f, 0x6e,
  0x74, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6b, 0x65, 0x79,
  0x73, 0x2c, 0x20, 0x27, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x27, 0x2c, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x69, 0x73, 0x20, 0x65, 0x78, 0x70, 0x72, 0x65,
  0x73, 0x73, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x70, 0x70, 0x72, 0x6f, 0x70, 0x72, 0x69, 0x61, 0x74, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x3b, 0x0a,
  0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x27, 0x2c, 0x20, 0x77, 0x68, 0x6f,
  0x73, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61,
  0x6e, 0x20, 0x79, 0x65, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x09, 0x65, 0x74,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x56, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4c, 0x4f, 0x43, 0x41,
  0x4c, 0x45, 0x5f, 0x45, 0x52, 0x41, 0x53, 0x20, 0x6b, 0x65, 0x79, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x65, 0x73, 0x73, 0x61,
  0x67, 0x65, 0x20, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x75, 0x65,
  0x0a, 0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61, 0x72, 0x67,
  0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x2c, 0x20, 0x61, 0x75, 0x67, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20,
  0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6b, 0x65, 0x79,
  0x73, 0x2c, 0x20, 0x27, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72,
  0x61, 0x27, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x09, 0x27, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x59, 0x65, 0x61, 0x72, 0x27, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x47, 0x65, 0x74,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72, 0x61, 0x20, 0x7b, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x5b, 0x42, 0x53, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x20, 0x24, 0x65, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x3c, 0x20,
  0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x45, 0x72, 0x61, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x5b, 0x3a, 0x3a, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x25,
  0x30, 0x32, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x2f, 0x20,
  0x31, 0x30, 0x30, 0x20, 0x7d, 0x5d, 0x5d, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x59, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x25, 0x20, 0x31,
  0x30, 0x30, 0x0a, 0x09, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x45, 0x72, 0x61, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x65, 0x74, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x31, 0x5d, 0x0a, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20,
  0x2d, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x65,
  0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x24, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x32, 0x5d, 0x0a, 0x09, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61,
  0x72, 0x44, 0x61, 0x79, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09,
  0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x2c, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x64, 0x61, 0x79, 0x20, 0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47,
  0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c,
  0x65, 0x6e, 0x64, 0x61, 0x72, 0x2c, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72,
  0x6d, 0x69, 0x6e, 0x65, 0x73, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x4e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x61, 0x74, 0x20, 0x6e, 0x6f, 0x6f, 0x6e, 0x20,
  0x6f, 0x6e, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x2d, 0x2d, 0x20, 0x41, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x65, 0x72, 0x61, 0x27, 0x2c,
  0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x27, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x0a, 0x23, 0x09, 0x09, 0x27, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65,
  0x61, 0x72, 0x27, 0x20, 0x73, 0x6c, 0x6f, 0x74, 0x73, 0x20, 0x61, 0x72,
  0x65, 0x20, 0x70, 0x6f, 0x70, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x2e,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61,
  0x72, 0x20, 0x69, 0x6e, 0x20, 0x75, 0x73, 0x65, 0x0a, 0x23, 0x09, 0x09,
  0x69, 0x73, 0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x69, 0x74, 0x73, 0x65, 0x6c, 0x66, 0x20, 0x72, 0x65, 0x6c,
  0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x74, 0x6f, 0x3a, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x2d, 0x20, 0x4a, 0x75, 0x6c, 0x69,
  0x61, 0x6e, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x6e, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x67,
  0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64,
  0x61, 0x72, 0x20, 0x77, 0x61, 0x73, 0x0a, 0x23, 0x09, 0x09, 0x61, 0x64,
  0x6f, 0x70, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x6c, 0x6f, 0x63,
  0x61, 0x6c, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
  0x20, 0x61, 0x75, 0x67, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x77,
  0x69, 0x74, 0x68, 0x20, 0x61, 0x20, 0x27, 0x6a, 0x75, 0x6c, 0x69, 0x61,
  0x6e, 0x44, 0x61, 0x79, 0x27, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x77, 0x68,
  0x6f, 0x73, 0x65, 0x0a, 0x23, 0x09, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72,
  0x65, 0x64, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x61, 0x20, 0x27, 0x67, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x27, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x0a, 0x23, 0x09, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x73,
  0x20, 0x77, 0x68, 0x65, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x69, 0x73,
  0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x28,
  0x31, 0x29, 0x20, 0x6f, 0x72, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x20, 0x28, 0x30, 0x29, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x42, 0x75, 0x67, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x6d, 0x6f, 0x76, 0x65, 0x64, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x43, 0x20, 0x6c, 0x61, 0x79,
  0x65, 0x72, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44,
  0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61,
  0x72, 0x44, 0x61, 0x79, 0x20, 0x7b, 0x64, 0x61, 0x74, 0x65, 0x20, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x47, 0x65, 0x74, 0x20, 0x61,
  0x62, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x69, 0x76, 0x69, 0x6c, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69,
  0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d,
  0x2d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x65, 0x72, 0x61, 0x5d, 0x20, 0x7b,
  0x0a, 0x09, 0x42, 0x43, 0x45, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x31, 0x20, 0x2d, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x20, 0x7d, 0x5d, 0x0a, 0x09,
  0x7d, 0x0a, 0x09, 0x43, 0x45, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x79, 0x6d, 0x31, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x79, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x20, 0x31, 0x20, 0x7d,
  0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x72, 0x79,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x67, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20,
  0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6a, 0x64,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x31, 0x37,
  0x32, 0x31, 0x34, 0x32, 0x35, 0x0a, 0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a,
  0x09, 0x2b, 0x20, 0x28, 0x20, 0x33, 0x36, 0x35, 0x20, 0x2a, 0x20, 0x24,
  0x79, 0x6d, 0x31, 0x20, 0x29, 0x0a, 0x09, 0x2b, 0x20, 0x28, 0x20, 0x24,
  0x79, 0x6d, 0x31, 0x20, 0x2f, 0x20, 0x34, 0x20, 0x29, 0x0a, 0x09, 0x2d,
  0x20, 0x28, 0x20, 0x24, 0x79, 0x6d, 0x31, 0x20, 0x2f, 0x20, 0x31, 0x30,
  0x30, 0x20, 0x29, 0x0a, 0x09, 0x2b, 0x20, 0x28, 0x20, 0x24, 0x79, 0x6d,
  0x31, 0x20, 0x2f, 0x20, 0x34, 0x30, 0x30, 0x20, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x69, 0x73, 0x20, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x2c, 0x20, 0x75, 0x73, 0x65, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x63,
  0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6a, 0x64, 0x20, 0x3c,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x67, 0x72, 0x65, 0x67,
  0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x30, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x6a, 0x64, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x31, 0x37, 0x32, 0x31, 0x34, 0x32, 0x33,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x59, 0x65, 0x61, 0x72, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x2b, 0x20, 0x28, 0x20, 0x33, 0x36, 0x35, 0x20,
  0x2a, 0x20, 0x24, 0x79, 0x6d, 0x31, 0x20, 0x29, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2b, 0x20, 0x28, 0x20, 0x24, 0x79, 0x6d, 0x31, 0x20, 0x2f,
  0x20, 0x34, 0x20, 0x29, 0x0a, 0x09, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x24, 0x6a, 0x64, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79,
  0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x57, 0x65, 0x65, 0x6b, 0x44, 0x61, 0x79, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74, 0x65, 0x72,
  0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6e, 0x75, 0x6d,
  0x62, 0x65, 0x72, 0x20, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x73, 0x70, 0x6f,
  0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x74, 0x68, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x0a, 0x23,
  0x09, 0x64, 0x61, 0x79, 0x2d, 0x6f, 0x66, 0x2d, 0x74, 0x68, 0x65, 0x2d,
  0x77, 0x65, 0x65, 0x6b, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x20,
  0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6b, 0x65, 0x79, 0x73, 0x2c, 0x20, 0x27, 0x65, 0x72, 0x61,
  0x27, 0x2c, 0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x27, 0x2c, 0x20, 0x27,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x27, 0x0a, 0x23, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x27, 0x77, 0x65, 0x65, 0x6b, 0x4f, 0x66, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x27, 0x2c, 0x20, 0x27, 0x64, 0x61, 0x79, 0x4f,
  0x66, 0x57, 0x65, 0x65, 0x6b, 0x27, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x27, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x49, 0x6e,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x27, 0x2e, 0x0a, 0x23, 0x09, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d, 0x20, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x61, 0x64, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69,
  0x61, 0x6e, 0x20, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x64, 0x69, 0x63,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2c, 0x20, 0x61, 0x75, 0x67,
  0x6d, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20,
  0x61, 0x20, 0x27, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79,
  0x27, 0x20, 0x6b, 0x65, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53,
  0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x42, 0x75, 0x67, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x6d, 0x6f, 0x76, 0x65, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x43, 0x20, 0x6c, 0x61,
  0x79, 0x65, 0x72, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x3a, 0x3a, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65,
  0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x57, 0x65, 0x65, 0x6b, 0x44,
  0x61, 0x79, 0x20, 0x7b, 0x64, 0x61, 0x74, 0x65, 0x20, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6d, 0x65, 0x20, 0x75, 0x70,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61, 0x20, 0x72, 0x65, 0x66, 0x65,
  0x72, 0x65, 0x6e, 0x63, 0x65, 0x20, 0x64, 0x61, 0x79, 0x3b, 0x20, 0x65,
  0x69, 0x74, 0x68, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x7a, 0x65,
  0x72, 0x6f, 0x65, 0x74, 0x68, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x28,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x49, 0x6e, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x3e, 0x3d, 0x20, 0x30, 0x29, 0x20, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x68, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x28,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x49, 0x6e, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x3c, 0x20, 0x30, 0x29, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x49, 0x6e, 0x4d,
  0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x20, 0x24, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x3e, 0x3d, 0x20,
  0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x64, 0x61,
  0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x30, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x32, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x0a, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x32, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74,
  0x68, 0x20, 0x37, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20,
  0x5b, 0x47, 0x65, 0x74, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61,
  0x79, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x32, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x32, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x77, 0x64,
  0x30, 0x20, 0x5b, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x4f, 0x6e,
  0x4f, 0x72, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x57, 0x65, 0x65, 0x6b, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x32, 0x20, 0x6a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61,
  0x79, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x77,
  0x64, 0x30, 0x20, 0x2b, 0x20, 0x37, 0x20, 0x2a, 0x20, 0x24, 0x77, 0x65,
  0x65, 0x6b, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x49, 0x73, 0x47, 0x72, 0x65, 0x67,
  0x6f, 0x72, 0x69, 0x61, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61,
  0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74,
  0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x73, 0x20, 0x77, 0x68, 0x65, 0x74,
  0x68, 0x65, 0x72, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x72, 0x65, 0x70, 0x72, 0x65, 0x73, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x61, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23,
  0x09, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63,
  0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x64, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x2d, 0x20, 0x54,
  0x68, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x65, 0x73, 0x74, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x65, 0x6c, 0x64, 0x73, 0x2c, 0x20, 0x27, 0x65, 0x72, 0x61, 0x27, 0x2c,
  0x20, 0x27, 0x79, 0x65, 0x61, 0x72, 0x27, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x27, 0x67, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x27, 0x0a,
  0x23, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x75,
  0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x73, 0x65, 0x74, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x31, 0x20,
  0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20,
  0x69, 0x73, 0x20, 0x61, 0x20, 0x6c, 0x65, 0x61, 0x70, 0x20, 0x79, 0x65,
  0x61, 0x72, 0x2c, 0x20, 0x30, 0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x77,
  0x69, 0x73, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64,
  0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x49, 0x73, 0x47, 0x72, 0x65, 0x67, 0x6f,
  0x72, 0x69, 0x61, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61, 0x72,
  0x20, 0x7b, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d,
  0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x5b, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x65, 0x72, 0x61, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x42, 0x43, 0x45,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x31, 0x20, 0x2d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61,
  0x72, 0x5d, 0x7d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x43, 0x45, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x79,
  0x65, 0x61, 0x72, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x79, 0x65, 0x61,
  0x72, 0x20, 0x25, 0x20, 0x34, 0x20, 0x21, 0x3d, 0x20, 0x30, 0x20, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x30,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67,
  0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x67, 0x72, 0x65,
  0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x24, 0x79, 0x65, 0x61, 0x72, 0x20, 0x25, 0x20, 0x34, 0x30, 0x30,
  0x20, 0x3d, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24,
  0x79, 0x65, 0x61, 0x72, 0x20, 0x25, 0x20, 0x31, 0x30, 0x30, 0x20, 0x3d,
  0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61,
  0x79, 0x4f, 0x6e, 0x4f, 0x72, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x44, 0x65, 0x74, 0x65, 0x72,
  0x6d, 0x69, 0x6e, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x61,
  0x72, 0x65, 0x73, 0x74, 0x20, 0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20,
  0x77, 0x65, 0x65, 0x6b, 0x20, 0x28, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x77, 0x65, 0x65, 0x6b,
  0x64, 0x61, 0x79, 0x27, 0x20, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74,
  0x65, 0x72, 0x2c, 0x0a, 0x23, 0x09, 0x53, 0x75, 0x6e, 0x64, 0x61, 0x79,
  0x3d, 0x3d, 0x30, 0x29, 0x20, 0x6f, 0x6e, 0x20, 0x6f, 0x72, 0x20, 0x62,
  0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x77, 0x65, 0x65, 0x6b,
  0x64, 0x61, 0x79, 0x20, 0x2d, 0x2d, 0x20, 0x44, 0x61, 0x79, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x0a, 0x23,
  0x09, 0x6a, 0x20, 0x2d, 0x2d, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e,
  0x20, 0x44, 0x61, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61,
  0x79, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69,
  0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x57, 0x65, 0x65, 0x6b, 0x64, 0x61,
  0x79, 0x4f, 0x6e, 0x4f, 0x72, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20,
  0x7b, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x20, 0x6a, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6b, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28, 0x20,
  0x24, 0x77, 0x65, 0x65, 0x6b, 0x64, 0x61, 0x79, 0x20, 0x2b, 0x20, 0x36,
  0x20, 0x29, 0x20, 0x20, 0x25, 0x20, 0x37, 0x20, 0x7d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x65,
  0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x6a, 0x20, 0x2d, 0x20, 0x28,
  0x20, 0x24, 0x6a, 0x20, 0x2d, 0x20, 0x24, 0x6b, 0x20, 0x29, 0x20, 0x25,
  0x20, 0x37, 0x20, 0x7d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x42, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x09, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x20, 0x62, 0x69, 0x6e, 0x61,
  0x72, 0x79, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x69, 0x6e,
  0x20, 0x73, 0x65, 0x76, 0x65, 0x72, 0x61, 0x6c, 0x20, 0x70, 0x6c, 0x61,
  0x63, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x73, 0x69, 0x64, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x23, 0x09, 0x27, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x27,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d, 0x20, 0x4c,
  0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x73,
  0x2c, 0x20, 0x73, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20,
  0x61, 0x73, 0x63, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x72,
  0x64, 0x65, 0x72, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x23,
  0x09, 0x6b, 0x65, 0x79, 0x20, 0x2d, 0x20, 0x56, 0x61, 0x6c, 0x75, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x66,
  0x6f, 0x72, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x72, 0x65, 0x61, 0x74,
  0x65, 0x73, 0x74, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20,
  0x69, 0x6e, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x74, 0x68, 0x61,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x6c, 0x65, 0x73, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x6e, 0x0a, 0x23, 0x09, 0x6f, 0x72, 0x20, 0x65, 0x71, 0x75, 0x61,
  0x6c, 0x20, 0x74, 0x6f, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65,
  0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x42,
  0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x6b, 0x65, 0x79, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x3d, 0x3d,
  0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x24, 0x6b, 0x65, 0x79,
  0x20, 0x3c, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x30, 0x20, 0x30, 0x5d, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x31,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x75, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x6c, 0x69, 0x73, 0x74, 0x5d, 0x20, 0x2d, 0x20, 0x31, 0x20, 0x7d, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20,
  0x7b, 0x20, 0x24, 0x6c, 0x20, 0x3c, 0x20, 0x24, 0x75, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x74, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6b,
  0x6e, 0x6f, 0x77, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x09, 0x23, 0x20,
  0x20, 0x20, 0x24, 0x6b, 0x20, 0x3e, 0x3d, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x6c,
  0x20, 0x30, 0x5d, 0x0a, 0x09, 0x23, 0x20, 0x20, 0x20, 0x45, 0x69, 0x74,
  0x68, 0x65, 0x72, 0x20, 0x24, 0x75, 0x20, 0x3d, 0x3d, 0x20, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6c, 0x69, 0x73, 0x74,
  0x5d, 0x20, 0x6f, 0x72, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x24, 0x6b,
  0x20, 0x3c, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x24, 0x75, 0x2b, 0x31, 0x20, 0x30, 0x5d,
  0x0a, 0x09, 0x23, 0x20, 0x57, 0x65, 0x20, 0x66, 0x69, 0x6e, 0x64, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6d, 0x69, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x76, 0x61, 0x6c, 0x20, 0x7b, 0x6c, 0x2c, 0x75, 0x7d, 0x20, 0x72,
  0x6f, 0x75, 0x6e, 0x64, 0x65, 0x64, 0x20, 0x55, 0x50, 0x2c, 0x20, 0x63,
  0x6f, 0x6d, 0x70, 0x61, 0x72, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x61, 0x67,
  0x61, 0x69, 0x6e, 0x73, 0x74, 0x20, 0x69, 0x74, 0x2c, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x6f, 0x72, 0x20, 0x75,
  0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x69, 0x6e, 0x74, 0x61, 0x69, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x6e, 0x74, 0x2e, 0x20, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x76, 0x61, 0x6c, 0x20, 0x73, 0x68, 0x72, 0x69, 0x6e,
  0x6b, 0x73, 0x20, 0x61, 0x74, 0x20, 0x65, 0x61, 0x63, 0x68, 0x20, 0x73,
  0x74, 0x65, 0x70, 0x2c, 0x20, 0x67, 0x75, 0x61, 0x72, 0x61, 0x6e, 0x74,
  0x65, 0x65, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72,
  0x67, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x28,
  0x20, 0x24, 0x6c, 0x20, 0x2b, 0x20, 0x24, 0x75, 0x20, 0x2b, 0x20, 0x31,
  0x20, 0x29, 0x20, 0x2f, 0x20, 0x32, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x20, 0x24, 0x6b, 0x65, 0x79, 0x20, 0x3e, 0x3d, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x24, 0x6d, 0x20, 0x30, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x24,
  0x6d, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x75, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x20, 0x2d, 0x20,
  0x31, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x6c, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x61, 0x64, 0x64, 0x20, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x09, 0x41, 0x64, 0x64, 0x73, 0x20, 0x61, 0x6e,
  0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x61,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x79, 0x6e, 0x74, 0x61, 0x78, 0x3a,
  0x0a, 0x23, 0x09, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x61, 0x64, 0x64,
  0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x3f, 0x63,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x75, 0x6e, 0x69, 0x74, 0x3f, 0x2e, 0x2e,
  0x2e, 0x20, 0x3f, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x3f, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x2d, 0x2d, 0x20,
  0x53, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x23, 0x09, 0x63, 0x6f,
  0x75, 0x6e, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x41, 0x6d, 0x6f, 0x75, 0x6e,
  0x74, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20, 0x75, 0x6e, 0x69, 0x74, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x61,
  0x64, 0x64, 0x0a, 0x23, 0x09, 0x75, 0x6e, 0x69, 0x74, 0x20, 0x2d, 0x2d,
  0x20, 0x55, 0x6e, 0x69, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x64, 0x64, 0x2c, 0x20, 0x6d, 0x75,
  0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66,
  0x3a, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x79, 0x65, 0x61, 0x72, 0x73, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x73, 0x20,
  0x77, 0x65, 0x65, 0x6b, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x64, 0x61, 0x79,
  0x73, 0x20, 0x64, 0x61, 0x79, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x73, 0x20,
  0x68, 0x6f, 0x75, 0x72, 0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73,
  0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x0a, 0x23, 0x09, 0x09, 0x09,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x73, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x2d, 0x67, 0x6d, 0x74, 0x20, 0x42,
  0x4f, 0x4f, 0x4c, 0x45, 0x41, 0x4e, 0x0a, 0x23, 0x09, 0x09, 0x28, 0x44,
  0x65, 0x70, 0x72, 0x65, 0x63, 0x61, 0x74, 0x65, 0x64, 0x29, 0x20, 0x46,
  0x6c, 0x61, 0x67, 0x20, 0x73, 0x79, 0x6e, 0x6f, 0x6e, 0x79, 0x6d, 0x6f,
  0x75, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x27, 0x2d, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x3a, 0x47, 0x4d, 0x54, 0x27,
  0x0a, 0x23, 0x09, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x5a, 0x4f, 0x4e, 0x45, 0x0a, 0x23, 0x09, 0x09, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x63, 0x61, 0x6c, 0x63, 0x75, 0x6c, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x62, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x09, 0x2d,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x4e, 0x41, 0x4d, 0x45, 0x0a,
  0x23, 0x09, 0x09, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x69, 0x6e,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x63, 0x61, 0x6c, 0x63, 0x75,
  0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x23, 0x09, 0x09, 0x55, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x64,
  0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x61, 0x64, 0x6a, 0x75, 0x73, 0x74, 0x65, 0x64, 0x20, 0x62,
  0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x28, 0x73, 0x29, 0x20, 0x69, 0x6e,
  0x0a, 0x23, 0x09, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x49,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62, 0x6c,
  0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x64, 0x64, 0x69, 0x6e,
  0x67, 0x20, 0x61, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f,
  0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x6f, 0x72, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x61,
  0x64, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x09,
  0x64, 0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65, 0x6c, 0x6c,
  0x2e, 0x20, 0x20, 0x46, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61,
  0x6e, 0x63, 0x65, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x61, 0x74, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x09, 0x33,
  0x31, 0x20, 0x4a, 0x61, 0x6e, 0x75, 0x61, 0x72, 0x79, 0x20, 0x69, 0x73,
  0x20, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x20, 0x32, 0x38, 0x20, 0x6f,
  0x72, 0x20, 0x32, 0x39, 0x20, 0x46, 0x65, 0x62, 0x72, 0x75, 0x61, 0x72,
  0x79, 0x2c, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x46,
  0x65, 0x62, 0x72, 0x75, 0x61, 0x72, 0x79, 0x20, 0x68, 0x61, 0x73, 0x20,
  0x66, 0x65, 0x77, 0x65, 0x72, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x61, 0x6e,
  0x20, 0x33, 0x31, 0x20, 0x64, 0x61, 0x79, 0x73, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x61, 0x64, 0x64, 0x20,
  0x7b, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x20, 0x25, 0x20, 0x32,
  0x20, 0x21, 0x3d, 0x20, 0x30, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x63, 0x6d, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x22,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x61, 0x64, 0x64, 0x22, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b,
  0x20, 0x77, 0x72, 0x6f, 0x6e, 0x67, 0x4e, 0x75, 0x6d, 0x41, 0x72, 0x67,
  0x73, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x77,
  0x72, 0x6f, 0x6e, 0x67, 0x20, 0x5c, 0x23, 0x20, 0x61, 0x72, 0x67, 0x73,
  0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62, 0x65, 0x5c,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x5c, 0x22, 0x24, 0x63, 0x6d, 0x64, 0x4e, 0x61, 0x6d, 0x65,
  0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x3f, 0x6e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x75, 0x6e, 0x69, 0x74, 0x73, 0x3f,
  0x2e, 0x2e, 0x2e, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3f, 0x2d, 0x67, 0x6d, 0x74, 0x20,
  0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x3f, 0x20, 0x3f, 0x2d, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x4c, 0x4f, 0x43, 0x41, 0x4c, 0x45,
  0x3f, 0x20, 0x3f, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x5a, 0x4f, 0x4e, 0x45, 0x3f, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x29, 0x7d, 0x20, 0x7d, 0x20, 0x72,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74,
  0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x67, 0x6d, 0x74, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x63, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x53, 0x79, 0x73,
  0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x5d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x7b, 0x20, 0x61, 0x20, 0x62, 0x20, 0x7d, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69,
  0x63, 0x74, 0x20, 0x24, 0x61, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x73, 0x20, 0x24, 0x61, 0x20, 0x24,
  0x62, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20,
  0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x61,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x2d, 0x67, 0x20, 0x2d, 0x20, 0x2d, 0x67,
  0x6d, 0x20, 0x2d, 0x20, 0x2d, 0x67, 0x6d, 0x74, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x67, 0x6d, 0x74,
  0x20, 0x24, 0x62, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x2d, 0x6c,
  0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f,
  0x63, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x20, 0x2d, 0x20,
  0x2d, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x20, 0x2d, 0x20, 0x2d, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x6c, 0x6f,
  0x77, 0x65, 0x72, 0x20, 0x24, 0x62, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x2d, 0x74, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x20, 0x2d,
  0x20, 0x2d, 0x74, 0x69, 0x6d, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x2d, 0x20, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x20, 0x2d,
  0x20, 0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x20, 0x2d, 0x20, 0x2d,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x20, 0x2d, 0x0a, 0x09, 0x09,
  0x2d, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x69,
  0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x62, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x09, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x68, 0x72, 0x6f,
  0x77, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43,
  0x4b, 0x20, 0x62, 0x61, 0x64, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x24, 0x61, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x22, 0x62, 0x61,
  0x64, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x5c, 0x22, 0x24,
  0x61, 0x5c, 0x22, 0x2c, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20,
  0x62, 0x65, 0x20, 0x2d, 0x67, 0x6d, 0x74, 0x2c, 0x20, 0x2d, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x2d, 0x74, 0x69, 0x6d,
  0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x68,
  0x65, 0x63, 0x6b, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x69, 0x74, 0x79,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b,
  0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20,
  0x73, 0x61, 0x77, 0x28, 0x2d, 0x67, 0x6d, 0x74, 0x29, 0x5d, 0x20, 0x26,
  0x26, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x73, 0x61, 0x77, 0x28, 0x2d, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b,
  0x20, 0x67, 0x6d, 0x74, 0x57, 0x69, 0x74, 0x68, 0x54, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x22, 0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x75, 0x73, 0x65,
  0x20, 0x2d, 0x67, 0x6d, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x73,
  0x61, 0x6d, 0x65, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x24, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x29, 0x20, 0x7d, 0x20, 0x7d,
  0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x5d, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x78,
  0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67,
  0x65, 0x72, 0x20, 0x62, 0x75, 0x74, 0x20, 0x67, 0x6f, 0x74, 0x20, 0x5c,
  0x22, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x5c, 0x22,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x20, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x69, 0x73, 0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e,
  0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20, 0x24, 0x67, 0x6d,
  0x74, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64,
  0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x20, 0x62, 0x75, 0x74, 0x20, 0x67, 0x6f, 0x74, 0x20, 0x5c,
  0x22, 0x24, 0x67, 0x6d, 0x74, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x20,
  0x24, 0x67, 0x6d, 0x74, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x3a,
  0x47, 0x4d, 0x54, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x45, 0x6e, 0x74, 0x65, 0x72, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x20, 0x24, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x5b, 0x6d, 0x63, 0x20, 0x47,
  0x52, 0x45, 0x47, 0x4f, 0x52, 0x49, 0x41, 0x4e, 0x5f, 0x43, 0x48, 0x41,
  0x4e, 0x47, 0x45, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x5d, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7b, 0x53, 0x65, 0x74, 0x75, 0x70, 0x54, 0x69, 0x6d, 0x65,
  0x5a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f,
  0x6e, 0x65, 0x7d, 0x20, 0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x20, 0x6f,
  0x70, 0x74, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73,
  0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x24,
  0x72, 0x65, 0x74, 0x76, 0x61, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a,
  0x09, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x20, 0x71,
  0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x75, 0x6e, 0x69, 0x74,
  0x20, 0x7d, 0x20, 0x24, 0x6f, 0x66, 0x66, 0x73, 0x65, 0x74, 0x73, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63,
  0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20,
  0x24, 0x75, 0x6e, 0x69, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x79, 0x65,
  0x61, 0x72, 0x73, 0x20, 0x2d, 0x20, 0x79, 0x65, 0x61, 0x72, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x41, 0x64, 0x64,
  0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72,
  0x20, 0x7b, 0x20, 0x31, 0x32, 0x20, 0x2a, 0x20, 0x24, 0x71, 0x75, 0x61,
  0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x76, 0x61, 0x6c, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65,
  0x72, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x6d, 0x6f, 0x6e,
  0x74, 0x68, 0x73, 0x20, 0x2d, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x41, 0x64,
  0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x24, 0x71, 0x75, 0x61,
  0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x76, 0x61, 0x6c, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x77, 0x65, 0x65, 0x6b, 0x73,
  0x20, 0x2d, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x41, 0x64, 0x64, 0x44, 0x61, 0x79,
  0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x37, 0x20,
  0x2a, 0x20, 0x24, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x20,
  0x7d, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x24, 0x63, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x09, 0x09, 0x7d,
  0x0a, 0x09, 0x09, 0x64, 0x61, 0x79, 0x73, 0x20, 0x2d, 0x20, 0x64, 0x61,
  0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b,
  0x41, 0x64, 0x64, 0x44, 0x61, 0x79, 0x73, 0x20, 0x24, 0x71, 0x75, 0x61,
  0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x76, 0x61, 0x6c, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x68, 0x6f, 0x75, 0x72, 0x73,
  0x20, 0x2d, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x33, 0x36, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x24, 0x71, 0x75, 0x61,
  0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x2b, 0x20, 0x24, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x7d,
  0x0a, 0x09, 0x09, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x2d,
  0x20, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x76, 0x61, 0x6c, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x36, 0x30, 0x20, 0x2a, 0x20, 0x24, 0x71, 0x75, 0x61, 0x6e, 0x74,
  0x69, 0x74, 0x79, 0x20, 0x2b, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x76, 0x61, 0x6c, 0x20, 0x7d, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x09, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x2d, 0x20, 0x73,
  0x65, 0x63, 0x6f, 0x6e, 0x64, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76,
  0x61, 0x6c, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24,
  0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x2b, 0x20, 0x24,
  0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x7d, 0x5d, 0x0a,
  0x09, 0x09, 0x7d, 0x0a, 0x0a, 0x09, 0x09, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74,
  0x68, 0x72, 0x6f, 0x77, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x43,
  0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x62, 0x61, 0x64, 0x55, 0x6e, 0x69, 0x74,
  0x20, 0x24, 0x75, 0x6e, 0x69, 0x74, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x22, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x75, 0x6e,
  0x69, 0x74, 0x20, 0x5c, 0x22, 0x24, 0x75, 0x6e, 0x69, 0x74, 0x5c, 0x22,
  0x2c, 0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x5c, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x79, 0x65, 0x61, 0x72, 0x73, 0x2c, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68,
  0x73, 0x2c, 0x20, 0x77, 0x65, 0x65, 0x6b, 0x73, 0x2c, 0x20, 0x64, 0x61,
  0x79, 0x73, 0x2c, 0x20, 0x68, 0x6f, 0x75, 0x72, 0x73, 0x2c, 0x20, 0x6d,
  0x69, 0x6e, 0x75, 0x74, 0x65, 0x73, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76,
  0x61, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x72, 0x61,
  0x70, 0x20, 0x43, 0x4c, 0x4f, 0x43, 0x4b, 0x20, 0x7b, 0x72, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x63, 0x65, 0x61, 0x6c, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6e, 0x6e, 0x61, 0x72, 0x64, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x5d, 0x20, 0x77, 0x68,
  0x65, 0x6e, 0x20, 0x69, 0x74, 0x27, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65,
  0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x0a, 0x09, 0x64, 0x69, 0x63, 0x74, 0x20, 0x75, 0x6e, 0x73, 0x65,
  0x74, 0x20, 0x6f, 0x70, 0x74, 0x73, 0x20, 0x2d, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24,
  0x6f, 0x70, 0x74, 0x73, 0x20, 0x24, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x41, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x41, 0x64, 0x64, 0x20, 0x61,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65,
  0x72, 0x20, 0x6f, 0x66, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x63,
  0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x0a, 0x23, 0x09,
  0x74, 0x69, 0x6d, 0x65, 0x20, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20,
  0x2d, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x64,
  0x64, 0x20, 0x28, 0x6d, 0x61, 0x79, 0x20, 0x62, 0x65, 0x20, 0x6e, 0x65,
  0x67, 0x61, 0x74, 0x69, 0x76, 0x65, 0x29, 0x0a, 0x23, 0x09, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x2d, 0x20, 0x53, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x20, 0x62, 0x65, 0x66,
  0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x65, 0x72,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20,
  0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65,
  0x20, 0x70, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x6e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x0a, 0x23,
  0x09, 0x74, 0x68, 0x65, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a,
  0x41, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x76, 0x61, 0x6c, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x52,
  0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x49, 0x6e, 0x43,
  0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65, 0x61, 0x72, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x44,
  0x61, 0x79, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f,
  0x6e, 0x74, 0x68, 0x49, 0x6e, 0x4c, 0x65, 0x61, 0x70, 0x59, 0x65, 0x61,
  0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x6f,
  0x20, 0x79, 0x65, 0x61, 0x72, 0x2c, 0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68,
  0x2c, 0x20, 0x64, 0x61, 0x79, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66,
  0x72, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x64,
  0x61, 0x79, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61,
  0x74, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x20, 0x24, 0x63, 0x6c,
  0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61,
  0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65,
  0x29, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65,
  0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20,
  0x25, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e,
  0x61, 0x6d, 0x65, 0x20, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e,
  0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x41, 0x64, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x73, 0x69,
  0x74, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66,
  0x20, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6d,
  0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x6d, 0x20, 0x24, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x6d, 0x20,
  0x2d, 0x31, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x65, 0x6c, 0x74, 0x61, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b,
  0x20, 0x24, 0x6d, 0x20, 0x2f, 0x20, 0x31, 0x32, 0x20, 0x7d, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x6d, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x20, 0x24, 0x6d, 0x20, 0x25, 0x20,
  0x31, 0x32, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x20, 0x24, 0x6d, 0x6d, 0x20, 0x2b, 0x20, 0x31, 0x20, 0x7d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x79, 0x65, 0x61, 0x72,
  0x20, 0x24, 0x64, 0x65, 0x6c, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x64, 0x6f, 0x65, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x6d, 0x6f, 0x6e, 0x74,
  0x68, 0x2c, 0x20, 0x72, 0x65, 0x70, 0x61, 0x69, 0x72, 0x20, 0x69, 0x74,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b,
  0x49, 0x73, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x4c,
  0x65, 0x61, 0x70, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x64, 0x61, 0x74,
  0x65, 0x5d, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x68, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6d, 0x61,
  0x6e, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x49, 0x6e, 0x4c, 0x65, 0x61, 0x70,
  0x59, 0x65, 0x61, 0x72, 0x20, 0x24, 0x6d, 0x6d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x6c, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x44, 0x61, 0x79, 0x73, 0x49, 0x6e,
  0x52, 0x6f, 0x6d, 0x61, 0x6e, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x49, 0x6e,
  0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x59, 0x65, 0x61, 0x72, 0x20, 0x24,
  0x6d, 0x6d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x64,
  0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68, 0x5d, 0x20, 0x3e,
  0x20, 0x24, 0x68, 0x61, 0x74, 0x68, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x64, 0x61, 0x79, 0x4f, 0x66, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x20, 0x24, 0x68, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x65, 0x63, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x6e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x47, 0x65, 0x74, 0x4a,
  0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x46, 0x72, 0x6f, 0x6d,
  0x45, 0x72, 0x61, 0x59, 0x65, 0x61, 0x72, 0x4d, 0x6f, 0x6e, 0x74, 0x68,
  0x44, 0x61, 0x79, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x7b, 0x7d, 0x5d, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20,
  0x7b, 0x0a, 0x09, 0x2d, 0x32, 0x31, 0x30, 0x38, 0x36, 0x36, 0x38, 0x30,
  0x33, 0x32, 0x30, 0x30, 0x0a, 0x09, 0x2b, 0x20, 0x28, 0x20, 0x38, 0x36,
  0x34, 0x30, 0x30, 0x20, 0x2a, 0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x5b,
  0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61,
  0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79,
  0x5d, 0x29, 0x20, 0x29, 0x0a, 0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x5b, 0x43, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x54, 0x6f,
  0x55, 0x54, 0x43, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65,
  0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x24,
  0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65,
  0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x24,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d,
  0x0a, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x64, 0x64,
  0x44, 0x61, 0x79, 0x73, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09,
  0x41, 0x64, 0x64, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20,
  0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61,
  0x79, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x0a, 0x23, 0x09, 0x7a, 0x6f, 0x6e, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
  0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x64, 0x61, 0x79, 0x73,
  0x20, 0x2d, 0x20, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66,
  0x20, 0x64, 0x61, 0x79, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x64, 0x64,
  0x20, 0x28, 0x6d, 0x61, 0x79, 0x20, 0x62, 0x65, 0x20, 0x6e, 0x65, 0x67,
  0x61, 0x74, 0x69, 0x76, 0x65, 0x29, 0x0a, 0x23, 0x09, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x76, 0x61, 0x6c, 0x20, 0x2d, 0x20, 0x53, 0x65, 0x63, 0x6f,
  0x6e, 0x64, 0x73, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x20, 0x62, 0x65, 0x66, 0x6f,
  0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x65, 0x72, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x0a, 0x23, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x2d, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x20, 0x7a,
  0x6f, 0x6e, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20,
  0x70, 0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x0a, 0x23, 0x09,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x2d,
  0x20, 0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x20,
  0x6f, 0x6e, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x47, 0x72, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x63,
  0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x20, 0x77, 0x61, 0x73, 0x20,
  0x61, 0x64, 0x6f, 0x70, 0x74, 0x65, 0x64, 0x0a, 0x23, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x63, 0x6c, 0x6f,
  0x63, 0x6b, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x61, 0x73, 0x20,
  0x61, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x20, 0x73, 0x69, 0x6e, 0x63,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x70, 0x6f, 0x63, 0x68, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66,
  0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a,
  0x3a, 0x41, 0x64, 0x64, 0x44, 0x61, 0x79, 0x73, 0x20, 0x7b, 0x20, 0x64,
  0x61, 0x79, 0x73, 0x20, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61, 0x6c,
  0x20, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x20, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x74, 0x6f, 0x20,
  0x4a, 0x75, 0x6c, 0x69, 0x61, 0x6e, 0x20, 0x44, 0x61, 0x79, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65,
  0x20, 0x5b, 0x47, 0x65, 0x74, 0x44, 0x61, 0x74, 0x65, 0x46, 0x69, 0x65,
  0x6c, 0x64, 0x73, 0x20, 0x24, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x76, 0x61,
  0x6c, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74, 0x61, 0x28, 0x24, 0x74,
  0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29, 0x20, 0x24, 0x63, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x4f, 0x66,
  0x44, 0x61, 0x79, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a,
  0x09, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65,
  0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x20, 0x25, 0x20, 0x38, 0x36, 0x34,
  0x30, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x74, 0x7a, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24,
  0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x41, 0x64, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x72, 0x65, 0x71, 0x75, 0x69, 0x73, 0x69, 0x74, 0x65, 0x20, 0x6e, 0x75,
  0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x79, 0x73,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75, 0x6c,
  0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x20, 0x24, 0x64, 0x61, 0x79, 0x73,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x65, 0x63, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x6e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x65, 0x63,
  0x6f, 0x6e, 0x64, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69,
  0x63, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
  0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x2d, 0x32,
  0x31, 0x30, 0x38, 0x36, 0x36, 0x38, 0x30, 0x33, 0x32, 0x30, 0x30, 0x0a,
  0x09, 0x2b, 0x20, 0x28, 0x20, 0x38, 0x36, 0x34, 0x30, 0x30, 0x20, 0x2a,
  0x20, 0x77, 0x69, 0x64, 0x65, 0x28, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x6a, 0x75,
  0x6c, 0x69, 0x61, 0x6e, 0x44, 0x61, 0x79, 0x5d, 0x29, 0x20, 0x29, 0x0a,
  0x09, 0x2b, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x4f, 0x66, 0x44, 0x61, 0x79, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x61, 0x74, 0x65, 0x20, 0x5b, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
  0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x54, 0x6f, 0x55, 0x54, 0x43, 0x20, 0x24,
  0x64, 0x61, 0x74, 0x65, 0x5b, 0x73, 0x65, 0x74, 0x20, 0x64, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x7d, 0x5d, 0x20, 0x24, 0x54, 0x5a, 0x44, 0x61, 0x74,
  0x61, 0x28, 0x24, 0x74, 0x69, 0x6d, 0x65, 0x7a, 0x6f, 0x6e, 0x65, 0x29,
  0x20, 0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x24, 0x63, 0x68, 0x61, 0x6e,
  0x67, 0x65, 0x6f, 0x76, 0x65, 0x72, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x64, 0x69, 0x63,
  0x74, 0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x64, 0x61, 0x74, 0x65, 0x20,
  0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5d, 0x0a, 0x0a, 0x7d, 0x0a,
  0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x43,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x54, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61,
  0x6c, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73,
  0x20, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x69, 0x6e, 0x20, 0x6d, 0x73, 0x67, 0x63, 0x61, 0x74, 0x2e, 0x0a,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x43, 0x6c, 0x65,
  0x61, 0x72, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x62, 0x75, 0x66, 0x66,
  0x65, 0x72, 0x65, 0x64, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65, 0x20, 0x66,
  0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20,
  0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x6f, 0x63,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x28, 0x69, 0x67, 0x6e, 0x6f, 0x72, 0x65,
  0x64, 0x29, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53,
  0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x42, 0x75,
  0x66, 0x66, 0x65, 0x72, 0x65, 0x64, 0x20, 0x70, 0x61, 0x72, 0x73, 0x65,
  0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x61,
  0x72, 0x65, 0x20, 0x63, 0x6c, 0x65, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b, 0x3a, 0x3a, 0x43, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x4c,
  0x6f, 0x63, 0x61, 0x6c, 0x65, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50, 0x72,
  0x6f, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75,
  0x6d, 0x65, 0x72, 0x61, 0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d,
  0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73,
  0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a, 0x3a, 0x73, 0x63,
  0x61, 0x6e, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x2a, 0x27, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x5d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24,
  0x70, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x73,
  0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a, 0x3a, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x2a, 0x27, 0x63,
  0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x24, 0x70, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74,
  0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x20,
  0x2a, 0x27, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c,
  0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x43, 0x61, 0x63, 0x68,
  0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x43, 0x6c, 0x65, 0x61, 0x72, 0x43, 0x61, 0x63, 0x68, 0x65, 0x73, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x43, 0x6c, 0x65, 0x61, 0x72,
  0x73, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x73,
  0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x20, 0x75,
  0x73, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x5b, 0x63, 0x6c, 0x6f, 0x63,
  0x6b, 0x5d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d,
  0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e,
  0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x65, 0x66, 0x66,
  0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x43, 0x61, 0x63, 0x68,
  0x65, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x63, 0x6c, 0x65, 0x61, 0x72,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x63, 0x6c, 0x6f, 0x63, 0x6b,
  0x3a, 0x3a, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x43, 0x61, 0x63, 0x68, 0x65,
  0x73, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x46, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76,
  0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4c, 0x6f, 0x63, 0x61,
  0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72, 0x61, 0x6c, 0x43, 0x61, 0x63,
  0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61,
  0x64, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x70, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x73, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
  0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d,
  0x3a, 0x3a, 0x73, 0x63, 0x61, 0x6e, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x2a,
  0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x24, 0x70, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x70, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x73, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a, 0x3a, 0x66,
  0x6f, 0x72, 0x6d, 0x61, 0x74, 0x70, 0x72, 0x6f, 0x63, 0x27, 0x2a, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24,
  0x70, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x50,
  0x72, 0x6f, 0x63, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x65, 0x72,
  0x61, 0x6c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x75, 0x6e,
  0x73, 0x65, 0x74, 0x20, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64, 0x53, 0x79,
  0x73, 0x74, 0x65, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x54, 0x69,
  0x6d, 0x65, 0x5a, 0x6f, 0x6e, 0x65, 0x42, 0x61, 0x64, 0x20, 0x7b, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x49, 0x6e, 0x69, 0x74, 0x54, 0x5a, 0x44,
  0x61, 0x74, 0x61, 0x0a, 0x7d, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_clock_tcl_len = sizeof(__turbine_tcl_resource_clock_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/history.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_history_tcl:/usr/share/tcltk/tcl8.6/history.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_history_tcl[] = {
  0x23, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x74, 0x63,
  0x6c, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x49, 0x6d, 0x70,
  0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x37, 0x20, 0x53,
  0x75, 0x6e, 0x20, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x73, 0x2c, 0x20, 0x49, 0x6e, 0x63, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x22, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e,
  0x74, 0x65, 0x72, 0x6d, 0x73, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f,
  0x6e, 0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x61, 0x20, 0x44, 0x49, 0x53, 0x43, 0x4c, 0x41, 0x49,
  0x4d, 0x45, 0x52, 0x20, 0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57,
  0x41, 0x52, 0x52, 0x41, 0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e, 0x0a, 0x23,
  0x0a, 0x0c, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x68, 0x6f, 0x6c, 0x64, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20,
  0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x0a, 0x23,
  0x20, 0x62, 0x6f, 0x6f, 0x6b, 0x6b, 0x65, 0x65, 0x70, 0x69, 0x6e, 0x67,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x09, 0x74,
  0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x75, 0x73, 0x65,
  0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x65,
  0x78, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x0a, 0x23, 0x20,
  0x6b, 0x65, 0x65, 0x70, 0x09, 0x09, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61,
  0x78, 0x20, 0x73, 0x69, 0x7a, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69,
  0x73, 0x74, 0x0a, 0x23, 0x20, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74, 0x09,
  0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74, 0x20,
  0x69, 0x74, 0x65, 0x6d, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x0a, 0x0a, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64,
  0x09, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6b, 0x65, 0x65, 0x70,
  0x09, 0x32, 0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6f, 0x6c, 0x64,
  0x65, 0x73, 0x74, 0x09, 0x2d, 0x32, 0x30, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x6e, 0x73, 0x65,
  0x6d, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20,
  0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x2d, 0x6d, 0x61, 0x70, 0x20, 0x7b, 0x0a, 0x09, 0x61, 0x64, 0x64, 0x09,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x41,
  0x64, 0x64, 0x0a, 0x09, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x09, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x43, 0x68,
  0x61, 0x6e, 0x67, 0x65, 0x0a, 0x09, 0x63, 0x6c, 0x65, 0x61, 0x72, 0x09,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x43,
  0x6c, 0x65, 0x61, 0x72, 0x0a, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x09,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x45,
  0x76, 0x65, 0x6e, 0x74, 0x0a, 0x09, 0x69, 0x6e, 0x66, 0x6f, 0x09, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x49, 0x6e,
  0x66, 0x6f, 0x0a, 0x09, 0x6b, 0x65, 0x65, 0x70, 0x09, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x4b, 0x65, 0x65, 0x70,
  0x0a, 0x09, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x09, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x78, 0x74,
  0x49, 0x44, 0x0a, 0x09, 0x72, 0x65, 0x64, 0x6f, 0x09, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x52, 0x65, 0x64, 0x6f,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a, 0x23,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x6d, 0x61, 0x69, 0x6e, 0x20, 0x68, 0x69, 0x73,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x2e, 0x20, 0x20, 0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d,
  0x61, 0x6e, 0x20, 0x70, 0x61, 0x67, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x69, 0x74, 0x73, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63,
  0x65, 0x2e, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x69, 0x73, 0x20, 0x64, 0x6f,
  0x65, 0x73, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x69, 0x6e,
  0x67, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x68, 0x65, 0x6c, 0x70, 0x65, 0x72, 0x20, 0x65,
  0x6e, 0x73, 0x65, 0x6d, 0x62, 0x6c, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x23, 0x09, 0x74, 0x63, 0x6c, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x49, 0x66, 0x20, 0x6e, 0x6f, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x2c, 0x20,
  0x77, 0x65, 0x27, 0x72, 0x65, 0x20, 0x64, 0x6f, 0x69, 0x6e, 0x67, 0x20,
  0x27, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x66,
  0x6f, 0x27, 0x2e, 0x20, 0x43, 0x61, 0x6e, 0x27, 0x74, 0x20, 0x62, 0x65,
  0x20, 0x64, 0x6f, 0x6e, 0x65, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x61,
  0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x6e, 0x73, 0x65,
  0x6d, 0x62, 0x6c, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
  0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x2c, 0x20, 0x61, 0x73,
  0x20, 0x74, 0x68, 0x6f, 0x73, 0x65, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74,
  0x20, 0x66, 0x69, 0x72, 0x65, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x6e,
  0x6f, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x69, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x67, 0x69,
  0x76, 0x65, 0x6e, 0x20, 0x61, 0x74, 0x20, 0x61, 0x6c, 0x6c, 0x2e, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x6c,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x72, 0x69,
  0x63, 0x6b, 0x79, 0x20, 0x73, 0x74, 0x75, 0x66, 0x66, 0x20, 0x6e, 0x65,
  0x65, 0x64, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x6b, 0x65,
  0x20, 0x73, 0x74, 0x61, 0x63, 0x6b, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x73, 0x20, 0x63, 0x6f, 0x6d, 0x65, 0x20, 0x6f,
  0x75, 0x74, 0x20, 0x72, 0x69, 0x67, 0x68, 0x74, 0x21, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x61,
  0x70, 0x70, 0x6c, 0x79, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x7b, 0x74, 0x61, 0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x7b, 0x2a, 0x7d, 0x24,
  0x61, 0x72, 0x67, 0x6c, 0x69, 0x73, 0x74, 0x7d, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x7d, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x0a, 0x7d, 0x0a,
  0x0c, 0x0a, 0x23, 0x20, 0x28, 0x75, 0x6e, 0x6e, 0x61, 0x6d, 0x65, 0x64,
  0x29, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x43, 0x61, 0x6c,
  0x6c, 0x62, 0x61, 0x63, 0x6b, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x5b,
  0x3a, 0x3a, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x5d, 0x20, 0x69,
  0x73, 0x20, 0x64, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x65, 0x64, 0x2e,
  0x20, 0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61,
  0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09,
  0x6f, 0x6c, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x20, 0x20, 0x20, 0x77,
  0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d,
  0x61, 0x6e, 0x64, 0x20, 0x77, 0x61, 0x73, 0x20, 0x63, 0x61, 0x6c, 0x6c,
  0x65, 0x64, 0x2e, 0x0a, 0x23, 0x09, 0x6e, 0x65, 0x77, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x73,
  0x20, 0x6e, 0x6f, 0x77, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x64, 0x20,
  0x28, 0x61, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x29, 0x2e, 0x0a, 0x23, 0x09, 0x6f, 0x70, 0x09,
  0x20, 0x20, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x70, 0x65, 0x72, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x28, 0x3d, 0x20, 0x64, 0x65, 0x6c, 0x65,
  0x74, 0x65, 0x29, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6e, 0x6f, 0x6e, 0x65,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x45, 0x66,
  0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x65,
  0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x5b,
  0x3a, 0x3a, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x5d, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x65, 0x61, 0x73, 0x65,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x2e, 0x0a,
  0x0a, 0x74, 0x72, 0x61, 0x63, 0x65, 0x20, 0x61, 0x64, 0x64, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x68, 0x69, 0x73,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x79, 0x20,
  0x7b, 0x7b, 0x6f, 0x6c, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6e, 0x65,
  0x77, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x70, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f,
  0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x63, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x48, 0x69, 0x73, 0x74, 0x2a, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x63, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x6e,
  0x61, 0x6d, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x7b, 0x7d, 0x0a, 0x7d, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x7d, 0x5d, 0x0a, 0x0c, 0x0a, 0x23, 0x20,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x41, 0x64, 0x64,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x41, 0x64, 0x64, 0x20,
  0x61, 0x6e, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c,
  0x6c, 0x79, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x69, 0x74, 0x20, 0x61,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c,
  0x20, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50,
  0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x09, 0x09, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x61,
  0x64, 0x64, 0x0a, 0x23, 0x09, 0x65, 0x78, 0x65, 0x63, 0x09, 0x09, 0x28,
  0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x20, 0x61, 0x20,
  0x73, 0x75, 0x62, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66,
  0x20, 0x22, 0x65, 0x78, 0x65, 0x63, 0x22, 0x20, 0x63, 0x61, 0x75, 0x73,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x20, 0x74, 0x6f, 0x0a, 0x23, 0x09, 0x09, 0x09, 0x62, 0x65,
  0x20, 0x65, 0x76, 0x61, 0x6c, 0x65, 0x64, 0x2e, 0x0a, 0x23, 0x20, 0x52,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x09, 0x49,
  0x66, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6e, 0x67, 0x2c,
  0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x45, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x41, 0x64, 0x64, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74,
  0x41, 0x64, 0x64, 0x20, 0x7b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x7b,
  0x65, 0x78, 0x65, 0x63, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x5b, 0x70, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x20, 0x6c, 0x6f, 0x6e, 0x67, 0x65, 0x73, 0x74, 0x20,
  0x7b, 0x65, 0x78, 0x65, 0x63, 0x20, 0x7b, 0x7d, 0x7d, 0x20, 0x24, 0x65,
  0x78, 0x65, 0x63, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x0a, 0x09,
  0x26, 0x26, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20,
  0x30, 0x5d, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x33, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x62, 0x61, 0x64, 0x20, 0x61,
  0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x5c, 0x22, 0x24, 0x65,
  0x78, 0x65, 0x63, 0x5c, 0x22, 0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c,
  0x64, 0x20, 0x62, 0x65, 0x20, 0x5c, 0x22, 0x65, 0x78, 0x65, 0x63, 0x5c,
  0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x44, 0x6f, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61,
  0x64, 0x64, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x72, 0x69, 0x6d, 0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x22, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4d,
  0x61, 0x69, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28,
  0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x5d, 0x29, 0x20,
  0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70,
  0x6c, 0x61, 0x69, 0x6e, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x28, 0x5b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x28, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74, 0x29, 0x5d, 0x29,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4f, 0x6e, 0x6c, 0x79,
  0x20, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x20, 0x69, 0x66, 0x20,
  0x27, 0x65, 0x78, 0x65, 0x63, 0x27, 0x20, 0x28, 0x6f, 0x72, 0x20, 0x6e,
  0x6f, 0x6e, 0x2d, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x70, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x69, 0x74, 0x29, 0x20, 0x67,
  0x69, 0x76, 0x65, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x65, 0x78, 0x65, 0x63, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x74, 0x61, 0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x0a, 0x7d, 0x0a,
  0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73,
  0x74, 0x4b, 0x65, 0x65, 0x70, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x53, 0x65, 0x74, 0x20, 0x6f, 0x72, 0x20, 0x71, 0x75, 0x65, 0x72,
  0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x20,
  0x6f, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74,
  0x68, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x09, 0x28, 0x6f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x49, 0x66, 0x20, 0x6e, 0x6f,
  0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x73, 0x70,
  0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x64, 0x2c, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x6c, 0x69, 0x6d,
  0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x65, 0x64, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20,
  0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x55,
  0x70, 0x64, 0x61, 0x74, 0x65, 0x73, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x28, 0x6b, 0x65, 0x65, 0x70, 0x29, 0x20, 0x69, 0x66, 0x20,
  0x61, 0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x73,
  0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x64, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69,
  0x73, 0x74, 0x4b, 0x65, 0x65, 0x70, 0x20, 0x7b, 0x7b, 0x63, 0x6f, 0x75,
  0x6e, 0x74, 0x20, 0x7b, 0x7d, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20,
  0x30, 0x5d, 0x5d, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x68, 0x69, 0x73,
  0x74, 0x6f, 0x72, 0x79, 0x28, 0x6b, 0x65, 0x65, 0x70, 0x29, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73, 0x74,
  0x72, 0x69, 0x63, 0x74, 0x20, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5d,
  0x20, 0x7c, 0x7c, 0x20, 0x28, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20,
  0x3c, 0x20, 0x30, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x69, 0x6c, 0x6c, 0x65, 0x67, 0x61, 0x6c,
  0x20, 0x6b, 0x65, 0x65, 0x70, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20,
  0x5c, 0x22, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5c, 0x22, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6f, 0x6c, 0x64, 0x6f, 0x6c, 0x64, 0x20, 0x24, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74,
  0x29, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64,
  0x29, 0x20, 0x2d, 0x20, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x7d, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x7d, 0x20,
  0x7b, 0x24, 0x6f, 0x6c, 0x64, 0x6f, 0x6c, 0x64, 0x20, 0x3c, 0x3d, 0x20,
  0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6f, 0x6c, 0x64,
  0x65, 0x73, 0x74, 0x29, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20,
  0x6f, 0x6c, 0x64, 0x6f, 0x6c, 0x64, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75,
  0x6e, 0x73, 0x65, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70,
  0x6c, 0x61, 0x69, 0x6e, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x28, 0x24, 0x6f, 0x6c, 0x64, 0x6f, 0x6c, 0x64, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6b, 0x65, 0x65, 0x70,
  0x29, 0x20, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x0a, 0x7d, 0x0a, 0x0c,
  0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74,
  0x43, 0x6c, 0x65, 0x61, 0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x45, 0x72, 0x61, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x6e, 0x6f, 0x6e, 0x65, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x6e, 0x6f, 0x6e, 0x65, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53,
  0x69, 0x64, 0x65, 0x20, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x09, 0x52, 0x65, 0x73, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x2c, 0x20, 0x65, 0x78, 0x63, 0x65, 0x70, 0x74, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6b, 0x65, 0x65, 0x70,
  0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74,
  0x43, 0x6c, 0x65, 0x61, 0x72, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x6b, 0x65, 0x65, 0x70, 0x20, 0x24, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6b, 0x65, 0x65, 0x70, 0x29, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x73, 0x65, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x0a,
  0x09, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x09, 0x30, 0x09, 0x5c, 0x0a,
  0x09, 0x6b, 0x65, 0x65, 0x70, 0x09, 0x24, 0x6b, 0x65, 0x65, 0x70, 0x09,
  0x5c, 0x0a, 0x09, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74, 0x09, 0x2d, 0x24,
  0x6b, 0x65, 0x65, 0x70, 0x09, 0x5c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x5d,
  0x0a, 0x7d, 0x0a, 0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a,
  0x48, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x20, 0x2d, 0x2d, 0x0a,
  0x23, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x61,
  0x20, 0x70, 0x72, 0x65, 0x74, 0x74, 0x79, 0x2d, 0x70, 0x72, 0x69, 0x6e,
  0x74, 0x65, 0x64, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x6e, 0x75, 0x6d, 0x09, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x29, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x74, 0x6f, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23,
  0x09, 0x41, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74, 0x65, 0x64,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x20,
  0x7b, 0x7b, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x20, 0x7b, 0x7d, 0x7d, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c,
  0x65, 0x76, 0x65, 0x6c, 0x20, 0x30, 0x5d, 0x5d, 0x20, 0x3d, 0x3d, 0x20,
  0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6f,
  0x75, 0x6e, 0x74, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6b, 0x65, 0x65, 0x70,
  0x29, 0x20, 0x2b, 0x20, 0x31, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b,
  0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x63,
  0x74, 0x20, 0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x62, 0x61,
  0x64, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x65, 0x72, 0x20, 0x5c, 0x22,
  0x24, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x6c, 0x69, 0x6e,
  0x65, 0x20, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x5b, 0x65, 0x78, 0x70,
  0x72, 0x20, 0x7b, 0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28,
  0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x20, 0x2d, 0x20, 0x24, 0x63,
  0x6f, 0x75, 0x6e, 0x74, 0x20, 0x2b, 0x20, 0x31, 0x7d, 0x5d, 0x7d, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x24, 0x69, 0x20, 0x3c,
  0x3d, 0x20, 0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6e,
  0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x7d, 0x20, 0x7b, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x69, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x24, 0x69,
  0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x63,
  0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63,
  0x6d, 0x64, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x6e, 0x20,
  0x5c, 0x6e, 0x5c, 0x74, 0x5d, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x72, 0x69, 0x6d, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20,
  0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x24, 0x69, 0x29,
  0x20, 0x5c, 0x20, 0x5c, 0x6e, 0x5d, 0x5d, 0x0a, 0x09, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x24,
  0x6e, 0x65, 0x77, 0x6c, 0x69, 0x6e, 0x65, 0x5b, 0x66, 0x6f, 0x72, 0x6d,
  0x61, 0x74, 0x20, 0x22, 0x25, 0x36, 0x64, 0x20, 0x20, 0x25, 0x73, 0x22,
  0x20, 0x24, 0x69, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x6e, 0x65, 0x77, 0x6c, 0x69, 0x6e, 0x65, 0x20, 0x5c,
  0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x52, 0x65, 0x64, 0x6f, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x46, 0x65, 0x74, 0x63, 0x68, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73,
  0x20, 0x6f, 0x72, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65,
  0x64, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2c, 0x20, 0x65, 0x78, 0x65,
  0x63, 0x75, 0x74, 0x65, 0x20, 0x69, 0x74, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63,
  0x65, 0x0a, 0x23, 0x09, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20,
  0x69, 0x74, 0x65, 0x6d, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x09, 0x28, 0x6f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x20, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65,
  0x64, 0x6f, 0x2e, 0x20, 0x20, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x2d, 0x31, 0x2c, 0x0a, 0x23, 0x09, 0x09,
  0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73,
  0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54,
  0x68, 0x6f, 0x73, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x62, 0x65, 0x69, 0x6e,
  0x67, 0x20, 0x72, 0x65, 0x64, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x45, 0x66, 0x66, 0x65, 0x63,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x70, 0x6c, 0x61, 0x63,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c,
  0x69, 0x73, 0x74, 0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6f, 0x6e, 0x65, 0x20, 0x62, 0x65,
  0x69, 0x6e, 0x67, 0x20, 0x72, 0x65, 0x64, 0x6f, 0x6e, 0x65, 0x2e, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x48, 0x69, 0x73, 0x74, 0x52, 0x65, 0x64, 0x6f, 0x20, 0x7b, 0x7b,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x2d, 0x31, 0x7d, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x5b, 0x48, 0x69,
  0x73, 0x74, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x65, 0x76, 0x65,
  0x6e, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x69, 0x20, 0x3d, 0x3d, 0x20, 0x24, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x63,
  0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x72, 0x65, 0x64, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x65,
  0x76, 0x65, 0x6e, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6d, 0x64, 0x20,
  0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x24, 0x69, 0x29,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x48, 0x69, 0x73, 0x74, 0x43, 0x68, 0x61,
  0x6e, 0x67, 0x65, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x20, 0x30, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x74, 0x61, 0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x0a, 0x7d, 0x0a,
  0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73,
  0x74, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x09, 0x4d, 0x61, 0x70, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x61,
  0x6e, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x73, 0x70, 0x65, 0x63,
  0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x6e, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d,
  0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x65, 0x76, 0x65,
  0x6e, 0x74, 0x09, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f, 0x66, 0x20,
  0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x74, 0x65, 0x6d,
  0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x64, 0x6f, 0x2e, 0x0a, 0x23, 0x09,
  0x09, 0x49, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20,
  0x61, 0x20, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x76, 0x65, 0x20, 0x6e,
  0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6c, 0x79, 0x2e, 0x0a, 0x23, 0x09, 0x09, 0x49, 0x66, 0x20, 0x69, 0x74,
  0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x6e, 0x65, 0x67, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x2c, 0x20, 0x74,
  0x68, 0x65, 0x6e, 0x20, 0x69, 0x74, 0x20, 0x63, 0x6f, 0x75, 0x6e, 0x74,
  0x73, 0x20, 0x62, 0x61, 0x63, 0x6b, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20,
  0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x0a, 0x23, 0x09, 0x09,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x2c, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65,
  0x20, 0x2d, 0x31, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6d,
  0x6f, 0x73, 0x74, 0x20, 0x72, 0x65, 0x63, 0x65, 0x6e, 0x74, 0x20, 0x65,
  0x76, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x23, 0x09, 0x09, 0x41, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x64, 0x2c, 0x20, 0x65, 0x69,
  0x74, 0x68, 0x65, 0x72, 0x20, 0x62, 0x79, 0x20, 0x62, 0x65, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
  0x20, 0x6f, 0x66, 0x20, 0x61, 0x0a, 0x23, 0x09, 0x09, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x6f, 0x72, 0x20, 0x62, 0x79, 0x20, 0x6d,
  0x61, 0x74, 0x63, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x64, 0x69, 0x64, 0x6e, 0x27, 0x74, 0x20,
  0x6d, 0x61, 0x74, 0x63, 0x68, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x7b, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x73,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x67, 0x65, 0x72, 0x20, 0x2d, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74,
  0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x66, 0x6f, 0x72, 0x20, 0x7b, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20,
  0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24, 0x68, 0x69, 0x73, 0x74,
  0x6f, 0x72, 0x79, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x2d,
  0x31, 0x7d, 0x5d, 0x7d, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x28, 0x24, 0x69, 0x29, 0x5d, 0x7d, 0x20, 0x5c, 0x0a, 0x09,
  0x09, 0x7b, 0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x20, 0x2d, 0x31, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2a, 0x20, 0x24, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x24, 0x69, 0x29, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x24, 0x69, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x24, 0x65, 0x76,
  0x65, 0x6e, 0x74, 0x20, 0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x28, 0x24, 0x69, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x69, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x6e, 0x6f, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x73, 0x20, 0x5c, 0x22, 0x24,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x5c, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x3c, 0x3d, 0x20, 0x30, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64, 0x29, 0x20, 0x2b, 0x20, 0x24,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x69, 0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x69, 0x20, 0x3c, 0x3d, 0x20, 0x24, 0x68, 0x69, 0x73, 0x74,
  0x6f, 0x72, 0x79, 0x28, 0x6f, 0x6c, 0x64, 0x65, 0x73, 0x74, 0x29, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x5c, 0x22, 0x24, 0x65, 0x76, 0x65,
  0x6e, 0x74, 0x5c, 0x22, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x6f, 0x20,
  0x66, 0x61, 0x72, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x73, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x69, 0x20, 0x3e, 0x20,
  0x24, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6e, 0x65, 0x78,
  0x74, 0x69, 0x64, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x5c,
  0x22, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5c, 0x22, 0x20, 0x68, 0x61,
  0x73, 0x6e, 0x27, 0x74, 0x20, 0x6f, 0x63, 0x63, 0x75, 0x72, 0x65, 0x64,
  0x20, 0x79, 0x65, 0x74, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24,
  0x69, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x48, 0x69, 0x73, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x4d, 0x61, 0x70, 0x20, 0x66, 0x72,
  0x6f, 0x6d, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20,
  0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x72, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x09, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x6f, 0x66, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x64,
  0x6f, 0x2e, 0x20, 0x20, 0x53, 0x65, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x64, 0x65, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x0a, 0x23,
  0x09, 0x09, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62, 0x6c, 0x65, 0x20, 0x65,
  0x76, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e,
  0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x54, 0x68, 0x65, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73,
  0x74, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x45, 0x76, 0x65, 0x6e,
  0x74, 0x20, 0x7b, 0x7b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x2d, 0x31,
  0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20,
  0x5b, 0x48, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78,
  0x69, 0x73, 0x74, 0x73, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79,
  0x28, 0x24, 0x69, 0x29, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x22, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x72, 0x69,
  0x6d, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x24, 0x68, 0x69, 0x73, 0x74,
  0x6f, 0x72, 0x79, 0x28, 0x24, 0x69, 0x29, 0x20, 0x5c, 0x20, 0x5c, 0x6e,
  0x5d, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x48, 0x69, 0x73, 0x74, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x09, 0x52, 0x65, 0x70, 0x6c, 0x61,
  0x63, 0x65, 0x20, 0x61, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x3a, 0x0a,
  0x23, 0x09, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x20,
  0x54, 0x68, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x75, 0x74, 0x20, 0x69, 0x6e, 0x74,
  0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72,
  0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x23, 0x09, 0x65, 0x76,
  0x65, 0x6e, 0x74, 0x09, 0x20, 0x20, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x29, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f,
  0x66, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x74,
  0x65, 0x6d, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x64, 0x6f, 0x2e, 0x20,
  0x20, 0x53, 0x65, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x61, 0x0a, 0x23, 0x09, 0x09, 0x20, 0x20, 0x64, 0x65,
  0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66,
  0x20, 0x70, 0x6f, 0x73, 0x73, 0x69, 0x62, 0x6c, 0x65, 0x20, 0x65, 0x76,
  0x65, 0x6e, 0x74, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x73,
  0x2e, 0x20, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x64, 0x65, 0x66, 0x61,
  0x75, 0x6c, 0x74, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x30, 0x2c, 0x0a, 0x23,
  0x09, 0x09, 0x20, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x73, 0x70,
  0x65, 0x63, 0x69, 0x66, 0x69, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x65, 0x76, 0x65, 0x6e,
  0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20,
  0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x43,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68,
  0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65,
  0x20, 0x7b, 0x6e, 0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x7b,
  0x65, 0x76, 0x65, 0x6e, 0x74, 0x20, 0x30, 0x7d, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x20, 0x68, 0x69, 0x73, 0x74, 0x6f, 0x72, 0x79, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x69, 0x20, 0x5b, 0x48, 0x69, 0x73, 0x74,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x24, 0x69, 0x29, 0x20, 0x24, 0x6e,
  0x65, 0x77, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a,
  0x23, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x4e,
  0x65, 0x78, 0x74, 0x49, 0x44, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23,
  0x09, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6e, 0x65, 0x78, 0x74, 0x20, 0x68, 0x69, 0x73, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x53, 0x69, 0x64, 0x65, 0x20, 0x45, 0x66, 0x66, 0x65,
  0x63, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x09, 0x4e, 0x6f, 0x6e, 0x65, 0x2e,
  0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x48, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x78, 0x74, 0x49, 0x44,
  0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61,
  0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x68, 0x69, 0x73, 0x74, 0x6f,
  0x72, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x5b, 0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24, 0x68, 0x69,
  0x73, 0x74, 0x6f, 0x72, 0x79, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x69, 0x64,
  0x29, 0x20, 0x2b, 0x20, 0x31, 0x7d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0c, 0x0a,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x0a, 0x23, 0x20, 0x4c, 0x6f,
  0x63, 0x61, 0x6c, 0x20, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
  0x73, 0x3a, 0x0a, 0x23, 0x20, 0x6d, 0x6f, 0x64, 0x65, 0x3a, 0x20, 0x74,
  0x63, 0x6c, 0x0a, 0x23, 0x20, 0x66, 0x69, 0x6c, 0x6c, 0x2d, 0x63, 0x6f,
  0x6c, 0x75, 0x6d, 0x6e, 0x3a, 0x20, 0x37, 0x38, 0x0a, 0x23, 0x20, 0x45,
  0x6e, 0x64, 0x3a, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_history_tcl_len = sizeof(__turbine_tcl_resource_history_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/parray.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_parray_tcl:/usr/share/tcltk/tcl8.6/parray.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_parray_tcl[] = {
  0x23, 0x20, 0x70, 0x61, 0x72, 0x72, 0x61, 0x79, 0x3a, 0x0a, 0x23, 0x20,
  0x50, 0x72, 0x69, 0x6e, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x6f,
  0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20,
  0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79,
  0x20, 0x6f, 0x6e, 0x20, 0x73, 0x74, 0x64, 0x6f, 0x75, 0x74, 0x2e, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68,
  0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x31, 0x2d, 0x31,
  0x39, 0x39, 0x33, 0x20, 0x54, 0x68, 0x65, 0x20, 0x52, 0x65, 0x67, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x55,
  0x6e, 0x69, 0x76, 0x65, 0x72, 0x73, 0x69, 0x74, 0x79, 0x20, 0x6f, 0x66,
  0x20, 0x43, 0x61, 0x6c, 0x69, 0x66, 0x6f, 0x72, 0x6e, 0x69, 0x61, 0x2e,
  0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74,
  0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x34, 0x20, 0x53, 0x75,
  0x6e, 0x20, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x79, 0x73, 0x74, 0x65,
  0x6d, 0x73, 0x2c, 0x20, 0x49, 0x6e, 0x63, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x22, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74,
  0x65, 0x72, 0x6d, 0x73, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e,
  0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f,
  0x6e, 0x0a, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x61, 0x20, 0x44, 0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d,
  0x45, 0x52, 0x20, 0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41,
  0x52, 0x52, 0x41, 0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e, 0x0a, 0x23, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x70, 0x61, 0x72, 0x72, 0x61, 0x79,
  0x20, 0x7b, 0x61, 0x20, 0x7b, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e,
  0x20, 0x2a, 0x7d, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x75,
  0x70, 0x76, 0x61, 0x72, 0x20, 0x31, 0x20, 0x24, 0x61, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x5c, 0x22,
  0x24, 0x61, 0x5c, 0x22, 0x20, 0x69, 0x73, 0x6e, 0x27, 0x74, 0x20, 0x61,
  0x6e, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d,
  0x61, 0x78, 0x6c, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x5b, 0x6c, 0x73, 0x6f,
  0x72, 0x74, 0x20, 0x5b, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x24, 0x70,
  0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x7b, 0x0a, 0x09,
  0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x5d, 0x20, 0x3e, 0x20, 0x24, 0x6d, 0x61, 0x78, 0x6c, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x61,
  0x78, 0x6c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c,
  0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d,
  0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x61, 0x78, 0x6c, 0x20, 0x5b,
  0x65, 0x78, 0x70, 0x72, 0x20, 0x7b, 0x24, 0x6d, 0x61, 0x78, 0x6c, 0x20,
  0x2b, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x5d, 0x20, 0x2b, 0x20, 0x32,
  0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61,
  0x63, 0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x5b, 0x66, 0x6f,
  0x72, 0x6d, 0x61, 0x74, 0x20, 0x25, 0x73, 0x28, 0x25, 0x73, 0x29, 0x20,
  0x24, 0x61, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x5d, 0x0a, 0x09, 0x70,
  0x75, 0x74, 0x73, 0x20, 0x73, 0x74, 0x64, 0x6f, 0x75, 0x74, 0x20, 0x5b,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x22, 0x25, 0x2d, 0x2a, 0x73,
  0x20, 0x3d, 0x20, 0x25, 0x73, 0x22, 0x20, 0x24, 0x6d, 0x61, 0x78, 0x6c,
  0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x24, 0x61, 0x72, 0x72, 0x61, 0x79, 0x28, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x29, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a,
  0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_parray_tcl_len = sizeof(__turbine_tcl_resource_parray_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/http1.0/pkgIndex.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_pkgIndex_tcl:/usr/share/tcltk/tcl8.6/http1.0/pkgIndex.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_pkgIndex_tcl[] = {
  0x23, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x2c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x31, 0x2e,
  0x30, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x69, 0x73, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x70,
  0x6b, 0x67, 0x5f, 0x6d, 0x6b, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x22, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x64, 0x20, 0x65, 0x69,
  0x74, 0x68, 0x65, 0x72, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x61, 0x6e,
  0x20, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x73, 0x20, 0x75, 0x70, 0x20, 0x6f,
  0x72, 0x0a, 0x23, 0x20, 0x62, 0x79, 0x20, 0x61, 0x20, 0x22, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x22, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x2e, 0x20, 0x20,
  0x49, 0x74, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x23, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x22, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x75, 0x70, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x2d, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x0a, 0x23, 0x20,
  0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x73, 0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x73, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x20, 0x61, 0x75, 0x74, 0x6f,
  0x6d, 0x61, 0x74, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x0a, 0x23, 0x20,
  0x69, 0x6e, 0x20, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x22, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x22, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x73, 0x2e, 0x20, 0x20, 0x57, 0x68, 0x65, 0x6e,
  0x20, 0x74, 0x68, 0x69, 0x73, 0x0a, 0x23, 0x20, 0x73, 0x63, 0x72, 0x69,
  0x70, 0x74, 0x20, 0x69, 0x73, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
  0x64, 0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x6d, 0x75, 0x73,
  0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x23, 0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x27, 0x73, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x2e, 0x0a, 0x0a, 0x70, 0x61,
  0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x69, 0x66, 0x6e, 0x65, 0x65, 0x64,
  0x65, 0x64, 0x20, 0x68, 0x74, 0x74, 0x70, 0x20, 0x31, 0x2e, 0x30, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67,
  0x53, 0x65, 0x74, 0x75, 0x70, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x68,
  0x74, 0x74, 0x70, 0x20, 0x31, 0x2e, 0x30, 0x20, 0x7b, 0x7b, 0x68, 0x74,
  0x74, 0x70, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x20, 0x7b, 0x68, 0x74, 0x74, 0x70, 0x43, 0x6f, 0x70, 0x79, 0x44,
  0x6f, 0x6e, 0x65, 0x20, 0x68, 0x74, 0x74, 0x70, 0x43, 0x6f, 0x70, 0x79,
  0x53, 0x74, 0x61, 0x72, 0x74, 0x20, 0x68, 0x74, 0x74, 0x70, 0x45, 0x6f,
  0x66, 0x20, 0x68, 0x74, 0x74, 0x70, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x20,
  0x68, 0x74, 0x74, 0x70, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x20, 0x68,
  0x74, 0x74, 0x70, 0x4d, 0x61, 0x70, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x20,
  0x68, 0x74, 0x74, 0x70, 0x50, 0x72, 0x6f, 0x78, 0x79, 0x52, 0x65, 0x71,
  0x75, 0x69, 0x72, 0x65, 0x64, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x63, 0x6f, 0x6e,
  0x66, 0x69, 0x67, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x64, 0x61, 0x74,
  0x61, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x51, 0x75, 0x65, 0x72, 0x79, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f,
  0x67, 0x65, 0x74, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x72, 0x65, 0x73,
  0x65, 0x74, 0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x73, 0x69, 0x7a, 0x65,
  0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
  0x20, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x77, 0x61, 0x69, 0x74, 0x7d, 0x7d,
  0x7d, 0x5d, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_pkgIndex_tcl_len = sizeof(__turbine_tcl_resource_pkgIndex_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/safe.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_safe_tcl:/usr/share/tcltk/tcl8.6/safe.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_safe_tcl[] = {
  0x23, 0x20, 0x73, 0x61, 0x66, 0x65, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x20,
  0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69,
  0x6e, 0x67, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20,
  0x6d, 0x65, 0x63, 0x68, 0x61, 0x6e, 0x69, 0x73, 0x6d, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x73, 0x2e, 0x0a, 0x23, 0x20, 0x49,
  0x74, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x20, 0x61, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x6d, 0x65, 0x63, 0x61, 0x6e, 0x69, 0x73, 0x6d,
  0x20, 0x74, 0x6f, 0x20, 0x68, 0x69, 0x64, 0x65, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x6e, 0x61,
  0x6d, 0x65, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x2e, 0x20, 0x49, 0x74,
  0x20, 0x72, 0x75, 0x6e, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x20, 0x6d,
  0x61, 0x73, 0x74, 0x65, 0x72, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x72, 0x65, 0x74, 0x65, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x65,
  0x74, 0x73, 0x20, 0x75, 0x70, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x73,
  0x74, 0x72, 0x75, 0x63, 0x74, 0x75, 0x72, 0x65, 0x20, 0x61, 0x6e, 0x64,
  0x0a, 0x23, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x65, 0x73, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20,
  0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x64, 0x20, 0x77, 0x68, 0x65, 0x6e,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x61,
  0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20,
  0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x66, 0x65,
  0x2e, 0x6e, 0x20, 0x6d, 0x61, 0x6e, 0x20, 0x70, 0x61, 0x67, 0x65, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67,
  0x68, 0x74, 0x20, 0x28, 0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x36, 0x2d,
  0x31, 0x39, 0x39, 0x37, 0x20, 0x53, 0x75, 0x6e, 0x20, 0x4d, 0x69, 0x63,
  0x72, 0x6f, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x73, 0x2c, 0x20, 0x49,
  0x6e, 0x63, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x65, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x22, 0x6c, 0x69,
  0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74, 0x65, 0x72, 0x6d, 0x73, 0x22,
  0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e, 0x20, 0x75, 0x73, 0x61, 0x67,
  0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x64, 0x69, 0x73, 0x74,
  0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x0a,
  0x23, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2c,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x44,
  0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d, 0x45, 0x52, 0x20, 0x4f, 0x46,
  0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41, 0x52, 0x52, 0x41, 0x4e, 0x54,
  0x49, 0x45, 0x53, 0x2e, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73, 0x20, 0x62, 0x61, 0x73, 0x65,
  0x64, 0x20, 0x6f, 0x6e, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x73, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x73, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x69, 0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x6e,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x61, 0x72, 0x65, 0x0a, 0x23, 0x20,
  0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x3a, 0x0a, 0x23, 0x20,
  0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x73, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x73, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x20, 0x75, 0x70, 0x70, 0x65, 0x72, 0x63, 0x61, 0x73, 0x65, 0x2e,
  0x0a, 0x23, 0x20, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x20, 0x20, 0x70,
  0x72, 0x6f, 0x63, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x65, 0x78, 0x70,
  0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6c, 0x6f,
  0x77, 0x65, 0x72, 0x63, 0x61, 0x73, 0x65, 0x0a, 0x23, 0x0a, 0x0a, 0x23,
  0x20, 0x4e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x75, 0x74, 0x69, 0x6c,
  0x69, 0x74, 0x69, 0x65, 0x73, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x0a, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x69, 0x72, 0x65, 0x20, 0x6f, 0x70, 0x74, 0x20, 0x30, 0x2e,
  0x34, 0x2e, 0x31, 0x0a, 0x0a, 0x23, 0x20, 0x43, 0x72, 0x65, 0x61, 0x74,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x0a, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20,
  0x41, 0x50, 0x49, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72,
  0x74, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x6e, 0x69,
  0x74, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x6f, 0x6e, 0x66,
  0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x41, 0x64, 0x64, 0x54, 0x6f, 0x41, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x46, 0x69, 0x6e, 0x64, 0x49, 0x6e, 0x41, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x73, 0x65, 0x74, 0x4c, 0x6f,
  0x67, 0x43, 0x6d, 0x64, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x48, 0x65,
  0x6c, 0x70, 0x65, 0x72, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x73, 0x6f, 0x6c, 0x76, 0x65,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x75, 0x61, 0x6c, 0x20, 0x77, 0x61,
  0x79, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79,
  0x69, 0x6e, 0x67, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f,
  0x6b, 0x20, 0x28, 0x65, 0x69, 0x74, 0x68, 0x65, 0x72, 0x0a, 0x23, 0x20,
  0x62, 0x79, 0x20, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63,
  0x73, 0x20, 0x6f, 0x72, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63,
  0x73, 0x20, 0x30, 0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x7b, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68,
  0x20, 0x76, 0x20, 0x7b, 0x41, 0x72, 0x67, 0x73, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x69, 0x63, 0x73, 0x20, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69,
  0x63, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75, 0x70, 0x76, 0x61, 0x72,
  0x20, 0x24, 0x76, 0x20, 0x24, 0x76, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70,
  0x74, 0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x66,
  0x6c, 0x61, 0x67, 0x20, 0x26, 0x26, 0x20, 0x28, 0x21, 0x24, 0x6e, 0x6f,
  0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x3d, 0x3d, 0x20, 0x21,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x29, 0x0a, 0x09, 0x26,
  0x26, 0x20, 0x28, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76,
  0x65, 0x6e, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x5d,
  0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x22, 0x63, 0x6f, 0x6e, 0x66,
  0x6c, 0x69, 0x63, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x76, 0x61, 0x6c, 0x75,
  0x65, 0x73, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x66, 0x6f, 0x72,
  0x20, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x21, 0x24, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74,
  0x69, 0x63, 0x73, 0x7d, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x48,
  0x65, 0x6c, 0x70, 0x65, 0x72, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x73, 0x6f, 0x6c, 0x76,
  0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x75, 0x61, 0x6c, 0x20, 0x77,
  0x61, 0x79, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66,
  0x79, 0x69, 0x6e, 0x67, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x23, 0x20, 0x28, 0x65,
  0x69, 0x74, 0x68, 0x65, 0x72, 0x20, 0x62, 0x79, 0x20, 0x2d, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b, 0x20, 0x6f,
  0x72, 0x20, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x31, 0x29,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65,
  0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x4e, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x76, 0x20, 0x7b, 0x41,
  0x72, 0x67, 0x73, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x6e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x24, 0x76,
  0x20, 0x24, 0x76, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x5b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72,
  0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x65,
  0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x65,
  0x73, 0x74, 0x20, 0x68, 0x65, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6f, 0x70, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x65, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x22, 0x20, 0x6f,
  0x6e, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x28, 0x69, 0x74,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x2d, 0x6e, 0x6f, 0x4e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x2e, 0x2e, 0x2e, 0x20, 0x62, 0x65, 0x63,
  0x61, 0x75, 0x73, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x77, 0x61, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x29, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x20,
  0x26, 0x26, 0x20, 0x28, 0x21, 0x24, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64,
  0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b, 0x20, 0x21, 0x3d, 0x20, 0x21, 0x24,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x29, 0x0a, 0x09, 0x26, 0x26, 0x20,
  0x28, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74,
  0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x5d, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x5c, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x22, 0x63, 0x6f, 0x6e, 0x66, 0x6c, 0x69, 0x63,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x2d, 0x6e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x2d, 0x6e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x66, 0x6c, 0x61, 0x67, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x23, 0x20, 0x61, 0x6e, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x20, 0x64,
  0x69, 0x66, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x20, 0x77, 0x69,
  0x74, 0x68, 0x20, 0x22, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x73, 0x22, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x24, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f,
  0x61, 0x64, 0x4f, 0x6b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65,
  0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x0a,
  0x23, 0x0a, 0x23, 0x20, 0x20, 0x41, 0x50, 0x49, 0x20, 0x65, 0x6e, 0x74,
  0x72, 0x79, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x73, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x61, 0x72, 0x73, 0x69, 0x6e,
  0x67, 0x20, 0x3a, 0x0a, 0x23, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x0a,
  0x23, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x2f,
  0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20,
  0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x66, 0x72, 0x6f, 0x6e, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x22, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x22, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a,
  0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72, 0x65, 0x61, 0x74,
  0x65, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x41, 0x72, 0x67, 0x73, 0x20,
  0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b,
  0x65, 0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x3a, 0x3a, 0x73, 0x61,
  0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72,
  0x65, 0x61, 0x74, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20,
  0x5c, 0x0a, 0x09, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x73, 0x5d, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x4e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x5d, 0x20, 0x24, 0x64,
  0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f, 0x6b, 0x0a, 0x7d, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65,
  0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x6e, 0x69, 0x74,
  0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x41, 0x72, 0x67, 0x73, 0x20, 0x5b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65,
  0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x43, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x21, 0x5b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x22, 0x5c, 0x22, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x5c, 0x22, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61,
  0x6e, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65,
  0x72, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x6e, 0x69, 0x74, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x5c, 0x0a, 0x09, 0x5b, 0x49,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x5d, 0x20, 0x5b, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x4e, 0x65, 0x73,
  0x74, 0x65, 0x64, 0x5d, 0x20, 0x24, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
  0x48, 0x6f, 0x6f, 0x6b, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x43, 0x68,
  0x65, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x22, 0x6f, 0x6e, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x75, 0x73, 0x22, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73,
  0x61, 0x66, 0x65, 0x3a, 0x3a, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x5d,
  0x20, 0x7c, 0x7c, 0x20, 0x21, 0x5b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x22, 0x5c, 0x22, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5c, 0x22, 0x20,
  0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x20, 0x6d, 0x61,
  0x6e, 0x61, 0x67, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x3a, 0x3a, 0x73,
  0x61, 0x66, 0x65, 0x3a, 0x3a, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66,
  0x61, 0x63, 0x65, 0x2f, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x70, 0x6f,
  0x69, 0x6e, 0x74, 0x20, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x72, 0x6f, 0x6e, 0x74, 0x20, 0x65,
  0x6e, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x22, 0x43, 0x6f, 0x6e, 0x66,
  0x69, 0x67, 0x75, 0x72, 0x65, 0x22, 0x2e, 0x20, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x73, 0x20,
  0x61, 0x77, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x70, 0x65, 0x64, 0x65,
  0x73, 0x74, 0x72, 0x69, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75,
  0x73, 0x65, 0x20, 0x69, 0x74, 0x20, 0x77, 0x6f, 0x75, 0x6c, 0x64, 0x20,
  0x6e, 0x65, 0x65, 0x64, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x63, 0x6f,
  0x75, 0x70, 0x6c, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73,
  0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x0a, 0x23, 0x20, 0x62, 0x65, 0x74,
  0x77, 0x65, 0x65, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x77, 0x61, 0x79,
  0x20, 0x77, 0x65, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x69,
  0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x27, 0x73, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x23, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x4f, 0x70, 0x74, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61,
  0x67, 0x65, 0x2e, 0x20, 0x4f, 0x62, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x6c,
  0x79, 0x20, 0x77, 0x65, 0x20, 0x77, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x6c,
  0x69, 0x6b, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x4f, 0x70, 0x74, 0x43, 0x6f,
  0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x61,
  0x76, 0x6f, 0x69, 0x64, 0x0a, 0x23, 0x20, 0x64, 0x75, 0x70, 0x6c, 0x69,
  0x63, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x74,
  0x68, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x76, 0x65,
  0x72, 0x79, 0x77, 0x68, 0x65, 0x72, 0x65, 0x2e, 0x0a, 0x23, 0x20, 0x2d,
  0x3e, 0x20, 0x54, 0x4f, 0x44, 0x4f, 0x20, 0x28, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x70, 0x70, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x73,
  0x68, 0x61, 0x72, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x20, 0x65, 0x61, 0x73, 0x69, 0x6c, 0x79, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x2f, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x64, 0x0a, 0x23,
  0x20, 0x62, 0x79, 0x20, 0x6f, 0x70, 0x74, 0x29, 0x0a, 0x0a, 0x23, 0x20,
  0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x65, 0x76, 0x65, 0x6e,
  0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x69,
  0x63, 0x61, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x62, 0x6f, 0x6f, 0x6c, 0x65, 0x61, 0x6e, 0x20, 0x66, 0x6c, 0x61,
  0x67, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6e, 0x6f, 0x20, 0x76,
  0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x23,
  0x20, 0x77, 0x65, 0x20, 0x68, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x62, 0x61, 0x64, 0x20, 0x69, 0x64, 0x65, 0x61, 0x20, 0x74, 0x6f, 0x20,
  0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6b, 0x65, 0x20, 0x6f, 0x66, 0x20,
  0x75, 0x73, 0x65, 0x72, 0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c, 0x69, 0x63,
  0x69, 0x74, 0x79, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x20, 0x63, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x2f, 0x69, 0x6e, 0x69, 0x74, 0x20, 0x62, 0x75, 0x74,
  0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6d, 0x61, 0x6b, 0x65, 0x73,
  0x20, 0x6c, 0x69, 0x66, 0x65, 0x20, 0x68, 0x61, 0x72, 0x64, 0x20, 0x69,
  0x6e, 0x20, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x2e,
  0x2e, 0x2e, 0x0a, 0x23, 0x20, 0x53, 0x6f, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x68, 0x6f, 0x70,
  0x65, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20, 0x77, 0x72, 0x69, 0x74, 0x74,
  0x65, 0x6e, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x65, 0x64, 0x20, 0x77,
  0x69, 0x74, 0x68, 0x20, 0x6f, 0x70, 0x74, 0x31, 0x2e, 0x30, 0x0a, 0x23,
  0x20, 0x28, 0x68, 0x6f, 0x70, 0x65, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x74, 0x63, 0x6c, 0x38, 0x2e, 0x31, 0x20, 0x3f,
  0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x6f, 0x6e,
  0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x77, 0x69, 0x74,
  0x63, 0x68, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x31, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66, 0x20,
  0x77, 0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x65, 0x78, 0x61, 0x63,
  0x74, 0x6c, 0x79, 0x20, 0x31, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x6d, 0x61, 0x6e,
  0x74, 0x69, 0x63, 0x20, 0x69, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x61, 0x6c, 0x6c, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72,
  0x65, 0x6e, 0x74, 0x20, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72,
  0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x20, 0x57, 0x65, 0x20, 0x73, 0x74,
  0x69, 0x6c, 0x6c, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x4f, 0x70, 0x74,
  0x4b, 0x65, 0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x74, 0x68, 0x6f,
  0x75, 0x67, 0x68, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77,
  0x65, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x22, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x22, 0x20, 0x69, 0x73, 0x20, 0x6f,
  0x75, 0x72, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73,
  0x65, 0x20, 0x69, 0x74, 0x20, 0x61, 0x6c, 0x73, 0x6f, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x2d, 0x68, 0x65,
  0x6c, 0x70, 0x22, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x41, 0x72, 0x67,
  0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70,
  0x74, 0x4b, 0x65, 0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x49, 0x43, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x2d, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x5d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x20, 0x20, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x28, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x6f, 0x6b, 0x29, 0x5d, 0x20, 0x20, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x29, 0x5d, 0x20, 0x20,
  0x20, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d, 0x64, 0x65, 0x6c, 0x65,
  0x74, 0x65, 0x48, 0x6f, 0x6f, 0x6b, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x28, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f,
  0x6b, 0x29, 0x5d, 0x5d, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x32, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66, 0x20,
  0x77, 0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x65, 0x78, 0x61, 0x63,
  0x74, 0x6c, 0x79, 0x20, 0x32, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65,
  0x6e, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x6d, 0x61,
  0x6e, 0x74, 0x69, 0x63, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x22, 0x63,
  0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x67, 0x65, 0x74, 0x22, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x61, 0x72,
  0x67, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x67, 0x65,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x20, 0x73,
  0x75, 0x62, 0x20, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x28,
  0x77, 0x65, 0x20, 0x27, 0x6b, 0x6e, 0x6f, 0x77, 0x27, 0x20, 0x61, 0x62,
  0x6f, 0x75, 0x74, 0x20, 0x4f, 0x70, 0x74, 0x27, 0x73, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x72, 0x65, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x61, 0x74, 0x61,
  0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64,
  0x65, 0x73, 0x63, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b,
  0x65, 0x79, 0x47, 0x65, 0x74, 0x44, 0x65, 0x73, 0x63, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x49, 0x43, 0x5d, 0x20, 0x32, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x68, 0x69, 0x74, 0x73, 0x20, 0x5b, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x48, 0x69, 0x74, 0x73,
  0x20, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24, 0x61, 0x72, 0x67, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x68, 0x69,
  0x74, 0x73, 0x20, 0x3e, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x41, 0x6d, 0x62, 0x69, 0x67, 0x6f,
  0x75, 0x73, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x68, 0x69, 0x74, 0x73, 0x20,
  0x3d, 0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x4f, 0x70, 0x74, 0x46, 0x6c, 0x61, 0x67, 0x55, 0x73, 0x61, 0x67,
  0x65, 0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65,
  0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x69, 0x74, 0x65, 0x6d, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x43, 0x75, 0x72, 0x44, 0x65, 0x73, 0x63,
  0x20, 0x24, 0x64, 0x65, 0x73, 0x63, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x5b, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4e, 0x61, 0x6d,
  0x65, 0x20, 0x24, 0x69, 0x74, 0x65, 0x6d, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78,
  0x61, 0x63, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x2d, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x50, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x2d, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74,
  0x68, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x5d, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63,
  0x73, 0x20, 0x20, 0x20, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x24,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63,
  0x73, 0x6f, 0x6b, 0x29, 0x5d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09,
  0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x29, 0x5d, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x2d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
  0x48, 0x6f, 0x6f, 0x6b, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x73,
  0x74, 0x20, 0x2d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f,
  0x6b, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x63, 0x6c, 0x65,
  0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f, 0x6b, 0x29, 0x5d, 0x0a, 0x09,
  0x09, 0x7d, 0x0a, 0x09, 0x09, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74,
  0x69, 0x63, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6d, 0x6f, 0x73, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x62, 0x6c, 0x79, 0x20, 0x61, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x66, 0x61, 0x63, 0x74, 0x20,
  0x62, 0x75, 0x74, 0x20, 0x77, 0x65, 0x20, 0x77, 0x6f, 0x75, 0x6c, 0x64,
  0x20, 0x6e, 0x65, 0x65, 0x64, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x6e, 0x20, 0x74, 0x6f, 0x20, 0x6a, 0x75,
  0x6d, 0x70, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x70, 0x61, 0x72, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x69,
  0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x2a, 0x73, 0x75,
  0x72, 0x65, 0x2a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x69, 0x74, 0x20, 0x69, 0x73, 0x20, 0x61,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x75, 0x73, 0x65,
  0x72, 0x20, 0x77, 0x61, 0x6e, 0x74, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x66,
  0x6f, 0x72, 0x63, 0x65, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x69, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x75, 0x6e, 0x61, 0x6d, 0x62, 0x69, 0x67, 0x6f, 0x75,
  0x73, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x3f,
  0x76, 0x61, 0x6c, 0x75, 0x65, 0x3f, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x65,
  0x61, 0x64, 0x3a, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x22, 0x61, 0x6d,
  0x62, 0x69, 0x67, 0x6f, 0x75, 0x73, 0x20, 0x71, 0x75, 0x65, 0x72, 0x79,
  0x20, 0x28, 0x67, 0x65, 0x74, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20,
  0x3f, 0x29, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x75, 0x73, 0x65, 0x20,
  0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x69, 0x6e, 0x73,
  0x74, 0x65, 0x61, 0x64, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09,
  0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f,
  0x6b, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x22, 0x61, 0x6d,
  0x62, 0x69, 0x67, 0x6f, 0x75, 0x73, 0x20, 0x71, 0x75, 0x65, 0x72, 0x79,
  0x20, 0x28, 0x67, 0x65, 0x74, 0x20, 0x6f, 0x72, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64,
  0x4f, 0x6b, 0x20, 0x3f, 0x29, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x75,
  0x73, 0x65, 0x20, 0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x69,
  0x6e, 0x73, 0x74, 0x65, 0x61, 0x64, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a,
  0x09, 0x09, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x20, 0x24, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x28, 0x62, 0x75,
  0x67, 0x29, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x64, 0x65, 0x66, 0x61, 0x75,
  0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x4f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x20, 0x77, 0x65,
  0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x70, 0x61, 0x72,
  0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x20, 0x69, 0x6e,
  0x69, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x64, 0x69, 0x64,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x41, 0x72,
  0x67, 0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x4b, 0x65, 0x79, 0x50, 0x61, 0x72, 0x73, 0x65, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x49, 0x43, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61,
  0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x47, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63, 0x75, 0x72,
  0x72, 0x65, 0x6e, 0x74, 0x20, 0x28, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x6f,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
  0x74, 0x29, 0x20, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x20, 0x6f, 0x66,
  0x20, 0x77, 0x68, 0x61, 0x74, 0x65, 0x76, 0x65, 0x72, 0x20, 0x68, 0x61,
  0x73, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x62, 0x65, 0x65, 0x6e, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x3a,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72,
  0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x72,
  0x65, 0x73, 0x65, 0x74, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x6f, 0x72, 0x65, 0x73, 0x65, 0x74, 0x20,
  0x30, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x21, 0x5b, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f,
  0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x5d, 0x0a, 0x09, 0x09, 0x26, 0x26,
  0x20, 0x21, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70,
  0x74, 0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x68, 0x65,
  0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x20, 0x20, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x28, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f,
  0x6b, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c,
  0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x49,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x5b, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f, 0x63,
  0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x5d, 0x20, 0x7c, 0x7c, 0x0a, 0x09, 0x09, 0x5b,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72,
  0x6f, 0x63, 0x41, 0x72, 0x67, 0x47, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x74, 0x68, 0x65,
  0x6e, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x20, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x49, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x4e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x5d, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x28, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x29, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x4f, 0x70, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x41, 0x72, 0x67, 0x47,
  0x69, 0x76, 0x65, 0x6e, 0x20, 0x2d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
  0x48, 0x6f, 0x6f, 0x6b, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f,
  0x6b, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x63, 0x6c, 0x65,
  0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f, 0x6b, 0x29, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x77, 0x65, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x6e, 0x6f, 0x77, 0x20, 0x72,
  0x65, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x3a,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x53, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63,
  0x73, 0x20, 0x24, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x24, 0x64,
  0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f, 0x6b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72, 0x65,
  0x73, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x28, 0x74, 0x6f, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65,
  0x74, 0x6c, 0x79, 0x20, 0x73, 0x79, 0x6e, 0x63, 0x68, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x6f, 0x72, 0x65, 0x73, 0x65, 0x74,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x7b, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72, 0x65, 0x73,
  0x65, 0x74, 0x7d, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x72, 0x65, 0x73, 0x65, 0x74, 0x20, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64,
  0x3a, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x22, 0x0a, 0x09, 0x09, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x22, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75, 0x6c, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72, 0x65, 0x73, 0x65, 0x74, 0x22, 0x20,
  0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x20, 0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x61, 0x63, 0x74, 0x75, 0x61,
  0x6c, 0x6c, 0x79, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x72,
  0x74, 0x65, 0x64, 0x20, 0x41, 0x50, 0x49, 0x73, 0x0a, 0x23, 0x0a, 0x23,
  0x23, 0x23, 0x23, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x20, 0x3a, 0x20, 0x64, 0x6f, 0x69, 0x6e, 0x67, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x6a, 0x6f, 0x62,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72,
  0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x63, 0x72, 0x65, 0x61,
  0x74, 0x65, 0x73, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x69,
  0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x73, 0x20, 0x69, 0x74, 0x20,
  0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x66,
  0x65, 0x0a, 0x23, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x61, 0x6c, 0x69,
  0x61, 0x73, 0x65, 0x73, 0x2e, 0x0a, 0x23, 0x20, 0x4e, 0x42, 0x3a, 0x20,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6d,
  0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x73, 0x69, 0x6d, 0x70, 0x6c,
  0x65, 0x20, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x6e, 0x75, 0x6d, 0x65, 0x72,
  0x69, 0x63, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x6e,
  0x6f, 0x20, 0x73, 0x70, 0x61, 0x63, 0x65, 0x73, 0x2c, 0x20, 0x6e, 0x6f,
  0x20, 0x28, 0x29, 0x2c, 0x20, 0x6e, 0x6f, 0x0a, 0x23, 0x20, 0x7b, 0x7d,
  0x2c, 0x2e, 0x2e, 0x2e, 0x20, 0x20, 0x7b, 0x62, 0x65, 0x63, 0x61, 0x75,
  0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x69, 0x73, 0x20, 0x73, 0x74,
  0x6f, 0x72, 0x65, 0x64, 0x20, 0x61, 0x73, 0x20, 0x70, 0x61, 0x72, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x7d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x4f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d,
  0x65, 0x6e, 0x74, 0x73, 0x20, 0x3a, 0x0a, 0x23, 0x20, 0x2b, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x3a, 0x20,
  0x69, 0x66, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2c, 0x20, 0x67, 0x65,
  0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x75, 0x73, 0x65,
  0x64, 0x0a, 0x23, 0x20, 0x2b, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x3a, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
  0x6c, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x63,
  0x61, 0x6e, 0x20, 0x6f, 0x63, 0x63, 0x75, 0x72, 0x2c, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x3a,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x2e, 0x0a,
  0x23, 0x20, 0x2b, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f,
  0x6b, 0x20, 0x20, 0x3a, 0x20, 0x66, 0x6c, 0x61, 0x67, 0x2c, 0x20, 0x69,
  0x66, 0x20, 0x30, 0x20, 0x3a, 0x6e, 0x6f, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x69, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x63,
  0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64,
  0x20, 0x28, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x7b, 0x7d, 0x20, 0x58, 0x78,
  0x78, 0x29, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x31, 0x20, 0x3a, 0x73, 0x74, 0x61, 0x74,
  0x69, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x6f, 0x6b, 0x2e, 0x0a, 0x23, 0x20, 0x2b, 0x20,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x3a, 0x20, 0x66, 0x6c,
  0x61, 0x67, 0x2c, 0x20, 0x69, 0x66, 0x20, 0x30, 0x20, 0x3a, 0x6e, 0x6f,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20,
  0x73, 0x75, 0x62, 0x2d, 0x73, 0x75, 0x62, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x73, 0x20, 0x28, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x78, 0x78,
  0x20, 0x78, 0x78, 0x20, 0x73, 0x75, 0x62, 0x29, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x31,
  0x20, 0x3a, 0x20, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x70, 0x6c, 0x65, 0x20,
  0x6c, 0x65, 0x76, 0x65, 0x6c, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6f,
  0x6b, 0x2e, 0x0a, 0x0a, 0x23, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x75, 0x6c, 0x6c, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x61, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x6e,
  0x74, 0x20, 0x73, 0x6f, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6d, 0x6b,
  0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x66, 0x69,
  0x6e, 0x64, 0x20, 0x75, 0x73, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09, 0x09,
  0x09, 0x20, 0x20, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x20, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x73, 0x6f, 0x6b, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x20, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x68,
  0x6f, 0x6f, 0x6b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x43,
  0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x65, 0x20, 0x22,
  0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x73,
  0x61, 0x66, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x23, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x20, 0x61, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x3a, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72,
  0x61, 0x74, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x5b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x2d, 0x73, 0x61, 0x66, 0x65,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22,
  0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x22, 0x20, 0x4e, 0x4f, 0x54,
  0x49, 0x43, 0x45, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x69, 0x74,
  0x2e, 0x20, 0x28, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x29, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x6e, 0x69,
  0x74, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f, 0x6b, 0x20, 0x24, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x20, 0x24, 0x64, 0x65, 0x6c, 0x65,
  0x74, 0x65, 0x68, 0x6f, 0x6f, 0x6b, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x65, 0x74, 0x43,
  0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20, 0x28, 0x77, 0x61, 0x73, 0x20, 0x73,
  0x65, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x29, 0x20, 0x3a, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x53, 0x65, 0x74,
  0x73, 0x20, 0x75, 0x70, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x76,
  0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6f, 0x72,
  0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x73,
  0x74, 0x72, 0x75, 0x63, 0x74, 0x75, 0x72, 0x65, 0x20, 0x77, 0x69, 0x74,
  0x68, 0x69, 0x6e, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x41, 0x6c, 0x73,
  0x6f, 0x20, 0x73, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x0a, 0x23, 0x20, 0x20, 0x20,
  0x20, 0x4e, 0x42, 0x3a, 0x20, 0x49, 0x66, 0x20, 0x79, 0x6f, 0x75, 0x20,
  0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x68, 0x61, 0x73, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c,
  0x69, 0x7a, 0x65, 0x64, 0x20, 0x79, 0x6f, 0x75, 0x0a, 0x23, 0x20, 0x20,
  0x20, 0x20, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x62, 0x6c, 0x79, 0x20, 0x6e,
  0x65, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x20,
  0x22, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x72, 0x65, 0x73, 0x65, 0x74, 0x22,
  0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x69, 0x6e, 0x20, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x20, 0x74,
  0x68, 0x61, 0x74, 0x20, 0x69, 0x74, 0x20, 0x67, 0x65, 0x74, 0x73, 0x0a,
  0x23, 0x20, 0x20, 0x20, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x69, 0x67,
  0x68, 0x74, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x28, 0x29, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x76, 0x61,
  0x6c, 0x75, 0x65, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x49, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x53, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20,
  0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69,
  0x63, 0x73, 0x6f, 0x6b, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f,
  0x6b, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x68, 0x6f, 0x6f, 0x6b,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x67, 0x6c, 0x6f, 0x62,
  0x61, 0x6c, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65, 0x74, 0x65,
  0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x74,
  0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x66, 0x20, 0x65,
  0x6d, 0x70, 0x74, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x65, 0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x24, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x0a, 0x0a, 0x09, 0x23, 0x20, 0x4d, 0x61, 0x6b, 0x65, 0x20,
  0x73, 0x75, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x63,
  0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x69, 0x73,
  0x20, 0x69, 0x6e, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x0a, 0x09, 0x23, 0x20, 0x70, 0x6f,
  0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x28, 0x6e, 0x65, 0x65, 0x64,
  0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x73, 0x65, 0x74, 0x41, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x29, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x5b, 0x6c, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x20, 0x2d, 0x65, 0x78, 0x61, 0x63, 0x74, 0x20,
  0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x5d, 0x5d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x77,
  0x68, 0x65, 0x72, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x2d, 0x31, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x2c, 0x20, 0x61, 0x64, 0x64, 0x20,
  0x69, 0x74, 0x2e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20, 0x24, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x30,
  0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72, 0x61,
  0x72, 0x79, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f,
  0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x74, 0x63,
  0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x77, 0x61,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x61, 0x64, 0x64, 0x65, 0x64, 0x20, 0x69, 0x74, 0x20, 0x74, 0x6f, 0x20,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x27, 0x73, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x22, 0x20, 0x4e, 0x4f, 0x54,
  0x49, 0x43, 0x45, 0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x21, 0x3d,
  0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x2c, 0x20,
  0x6d, 0x6f, 0x76, 0x65, 0x20, 0x69, 0x74, 0x20, 0x66, 0x69, 0x72, 0x73,
  0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09,
  0x09, 0x09, 0x20, 0x5b, 0x6c, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65,
  0x20, 0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x24, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20, 0x24, 0x77, 0x68,
  0x65, 0x72, 0x65, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x09, 0x20,
  0x30, 0x20, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x6c, 0x69, 0x62, 0x72,
  0x61, 0x72, 0x79, 0x5d, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c,
  0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x74,
  0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x79, 0x20, 0x77, 0x61,
  0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x66, 0x69, 0x72,
  0x73, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x2c, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x6d, 0x6f, 0x76,
  0x65, 0x64, 0x20, 0x69, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x72, 0x6f,
  0x6e, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x27,
  0x73, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x22, 0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x09, 0x7d,
  0x0a, 0x0a, 0x09, 0x23, 0x20, 0x41, 0x64, 0x64, 0x20, 0x31, 0x73, 0x74,
  0x20, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x73, 0x75, 0x62, 0x20, 0x64,
  0x69, 0x72, 0x73, 0x20, 0x28, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x73, 0x65,
  0x61, 0x72, 0x63, 0x68, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x66,
  0x72, 0x6f, 0x6d, 0x20, 0x74, 0x63, 0x6c, 0x0a, 0x09, 0x23, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x75, 0x73, 0x69, 0x6e, 0x67, 0x20, 0x67,
  0x6c, 0x6f, 0x62, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x75, 0x73,
  0x20, 0x66, 0x61, 0x69, 0x6c, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x77, 0x65,
  0x20, 0x61, 0x64, 0x64, 0x20, 0x74, 0x68, 0x65, 0x6d, 0x20, 0x68, 0x65,
  0x72, 0x65, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x6f, 0x20, 0x62, 0x79, 0x20,
  0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x69, 0x74, 0x20, 0x77,
  0x6f, 0x72, 0x6b, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x61, 0x6d,
  0x65, 0x29, 0x2e, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x5b, 0x41, 0x64,
  0x64, 0x53, 0x75, 0x62, 0x44, 0x69, 0x72, 0x73, 0x20, 0x24, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f,
  0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x53, 0x65,
  0x74, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x50, 0x61, 0x74, 0x68, 0x3d, 0x28, 0x24, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x69, 0x63, 0x73, 0x6f, 0x6b, 0x3d, 0x24, 0x73, 0x74, 0x61, 0x74, 0x69,
  0x63, 0x73, 0x6f, 0x6b, 0x5c, 0x0a, 0x09, 0x09, 0x6e, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x6f, 0x6b, 0x3d, 0x24, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64,
  0x6f, 0x6b, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x68, 0x6f, 0x6f,
  0x6b, 0x3d, 0x28, 0x24, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x68, 0x6f,
  0x6f, 0x6b, 0x29, 0x22, 0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73,
  0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x63, 0x6c, 0x65, 0x61, 0x72, 0x20, 0x6f, 0x6c, 0x64, 0x20, 0x61,
  0x75, 0x74, 0x6f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x66, 0x20, 0x69,
  0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x65, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x20, 0x6e, 0x65,
  0x77, 0x20, 0x6f, 0x6e, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x45, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x77,
  0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f,
  0x6f, 0x6b, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d,
  0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x73, 0x61, 0x76, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x66, 0x6f,
  0x72, 0x6d, 0x20, 0x73, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x65, 0x6c,
  0x79, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65, 0x6c, 0x6c, 0x2c, 0x20, 0x61,
  0x73, 0x20, 0x73, 0x79, 0x6e, 0x63, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x74,
  0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x68, 0x61,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x20, 0x64, 0x65, 0x66, 0x65,
  0x72, 0x65, 0x64, 0x20, 0x75, 0x6e, 0x74, 0x69, 0x6c, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x6e, 0x65, 0x63, 0x65, 0x73, 0x73, 0x61, 0x72, 0x79, 0x20,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x61, 0x72, 0x65,
  0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x20, 0x66, 0x6f, 0x72,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x65, 0x74, 0x75, 0x70,
  0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e,
  0x6f, 0x72, 0x6d, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5f, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x61, 0x70,
  0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x20, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x5f, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x5f, 0x74, 0x6d, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x69, 0x20, 0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72,
  0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x24, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x5b,
  0x50, 0x61, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x24, 0x69,
  0x5d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e,
  0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d, 0x61,
  0x70, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x20, 0x20, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x20,
  0x24, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x5f, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x24, 0x64, 0x69,
  0x72, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x0a, 0x09, 0x6c, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20,
  0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x20, 0x24, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x09,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x69, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x6c, 0x69, 0x73, 0x74,
  0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20,
  0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6d,
  0x6f, 0x72, 0x65, 0x70, 0x61, 0x74, 0x68, 0x73, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x64, 0x64, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x24, 0x6d, 0x6f, 0x72, 0x65, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x70,
  0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x09, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x24, 0x61,
  0x64, 0x64, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x6f, 0x66, 0x20, 0x64, 0x69, 0x72, 0x73, 0x20, 0x6f, 0x6e,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x6d, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x69, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x79, 0x20, 0x61, 0x72, 0x65, 0x20, 0x61, 0x6c,
  0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x2e,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x64,
  0x69, 0x63, 0x74, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24,
  0x72, 0x65, 0x6d, 0x61, 0x70, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x64, 0x69, 0x72, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x09, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75,
  0x65, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e,
  0x20, 0x5b, 0x50, 0x61, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x20,
  0x24, 0x69, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x24, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5f,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d, 0x61, 0x70,
  0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x20, 0x20, 0x20, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x24,
  0x64, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x5f, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20,
  0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64,
  0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20,
  0x24, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x5f, 0x74, 0x6d, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x74, 0x6f,
  0x6b, 0x65, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x69, 0x6e, 0x63,
  0x72, 0x20, 0x69, 0x0a, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x5b, 0x42, 0x75, 0x67, 0x20, 0x32, 0x38, 0x35, 0x34, 0x39, 0x32, 0x39,
  0x5d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x52, 0x65, 0x63,
  0x75, 0x72, 0x73, 0x69, 0x76, 0x65, 0x6c, 0x79, 0x20, 0x66, 0x69, 0x6e,
  0x64, 0x20, 0x64, 0x65, 0x65, 0x70, 0x65, 0x72, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x73, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x6d, 0x61, 0x79,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2e,
  0x20, 0x52, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x20, 0x6d, 0x6f, 0x64, 0x75,
  0x6c, 0x65, 0x73, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x20, 0x6c, 0x69, 0x6b, 0x65, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x27, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
  0x3a, 0x3a, 0x73, 0x68, 0x65, 0x6c, 0x6c, 0x27, 0x2c, 0x20, 0x77, 0x68,
  0x69, 0x63, 0x68, 0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x27, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
  0x73, 0x68, 0x65, 0x6c, 0x6c, 0x2d, 0x58, 0x2e, 0x74, 0x6d, 0x27, 0x2c,
  0x20, 0x69, 0x2e, 0x65, 0x20, 0x61, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61,
  0x72, 0x69, 0x6c, 0x79, 0x20, 0x64, 0x65, 0x65, 0x70, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x2e, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x6d, 0x6f,
  0x72, 0x65, 0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x7b, 0x2a, 0x7d, 0x5b,
  0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70,
  0x6c, 0x61, 0x69, 0x6e, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x2d, 0x74, 0x79,
  0x70, 0x65, 0x20, 0x64, 0x20, 0x2a, 0x5d, 0x0a, 0x09, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x24, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x20,
  0x20, 0x24, 0x6d, 0x61, 0x70, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x72, 0x65, 0x6d, 0x61,
  0x70, 0x29, 0x20, 0x24, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x5f, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c,
  0x6e, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x20, 0x24, 0x6e, 0x6f, 0x72, 0x6d,
  0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x2c, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x29, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x74, 0x6d, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x5f, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x29, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5f, 0x74, 0x6d, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x73, 0x74, 0x61, 0x74, 0x69,
  0x63, 0x73, 0x6f, 0x6b, 0x29, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f, 0x6b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x28, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x29,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x6e,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x63, 0x6c,
  0x65, 0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f, 0x6b, 0x29, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x24, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
  0x68, 0x6f, 0x6f, 0x6b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x53, 0x79,
  0x6e, 0x63, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x0a, 0x23, 0x0a, 0x23, 0x20, 0x46, 0x69, 0x6e, 0x64, 0x49, 0x6e, 0x41,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x3a, 0x0a, 0x23,
  0x20, 0x20, 0x20, 0x20, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x61, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x69, 0x74, 0x73, 0x20,
  0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x49, 0x64, 0x20, 0x28,
  0x69, 0x6e, 0x63, 0x6c, 0x75, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x65, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x22, 0x24, 0x22, 0x29, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a,
  0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x46, 0x69, 0x6e, 0x64, 0x49,
  0x6e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20,
  0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20,
  0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x2c, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x24, 0x70, 0x61,
  0x74, 0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x24, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6e, 0x6f,
  0x74, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74,
  0x20, 0x67, 0x65, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c,
  0x72, 0x65, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68,
  0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x61, 0x64, 0x64,
  0x54, 0x6f, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x3a, 0x0a, 0x23, 0x20, 0x20, 0x20, 0x20, 0x61, 0x64, 0x64, 0x20, 0x28,
  0x69, 0x66, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x29, 0x20, 0x61,
  0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x69, 0x74, 0x73, 0x0a, 0x23, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x74,
  0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x28, 0x69, 0x6e, 0x63, 0x6c, 0x75, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x24, 0x22, 0x29,
  0x2e, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x41, 0x64, 0x64,
  0x54, 0x6f, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x69, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f,
  0x72, 0x79, 0x20, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64,
  0x79, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x28, 0x69, 0x6e, 0x6c, 0x69, 0x6e, 0x65,
  0x64, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x46, 0x69, 0x6e, 0x64,
  0x49, 0x6e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x29, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x65,
  0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x2c, 0x72, 0x65, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x24, 0x70, 0x61, 0x74,
  0x68, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x5b, 0x64, 0x69, 0x63, 0x74, 0x20, 0x67, 0x65, 0x74, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x72, 0x65, 0x6d, 0x61, 0x70,
  0x29, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x65,
  0x77, 0x20, 0x6f, 0x6e, 0x65, 0x2c, 0x20, 0x61, 0x64, 0x64, 0x20, 0x69,
  0x74, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74,
  0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x5b, 0x50, 0x61, 0x74, 0x68, 0x54, 0x6f,
  0x6b, 0x65, 0x6e, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68,
  0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x5d, 0x5d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
  0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x2c, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x29, 0x20, 0x24, 0x74, 0x6f, 0x6b,
  0x65, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65,
  0x6e, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x6d, 0x61, 0x70,
  0x29, 0x20, 0x20, 0x20, 0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x20, 0x24,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x72,
  0x65, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x24, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x2c, 0x6e, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20,
  0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x53, 0x79, 0x6e, 0x63, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61,
  0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x74, 0x6f,
  0x6b, 0x65, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20,
  0x61, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x6e, 0x20, 0x61, 0x6c,
  0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69,
  0x6e, 0x67, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x49, 0x74, 0x20, 0x69, 0x73, 0x20,
  0x75, 0x73, 0x65, 0x66, 0x75, 0x6c, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20,
  0x79, 0x6f, 0x75, 0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x20,
  0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x61, 0x66, 0x65, 0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x61, 0x6c,
  0x69, 0x61, 0x73, 0x65, 0x73, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x61, 0x20, 0x70, 0x72, 0x65, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69,
  0x6e, 0x67, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x0a, 0x70, 0x72, 0x6f,
  0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x49, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x49, 0x6e, 0x69, 0x74, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x09, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09, 0x09, 0x09,
  0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x0a, 0x09, 0x09, 0x09, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73,
  0x6f, 0x6b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65,
  0x64, 0x6f, 0x6b, 0x0a, 0x09, 0x09, 0x09, 0x20, 0x64, 0x65, 0x6c, 0x65,
  0x74, 0x65, 0x68, 0x6f, 0x6f, 0x6b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x77, 0x69,
  0x6c, 0x6c, 0x20, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x20,
  0x61, 0x6e, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x73, 0x20, 0x65,
  0x6d, 0x70, 0x74, 0x79, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x49, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x53, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69,
  0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f, 0x6b, 0x20, 0x24, 0x6e, 0x65,
  0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x20, 0x24, 0x64, 0x65, 0x6c, 0x65,
  0x74, 0x65, 0x68, 0x6f, 0x6f, 0x6b, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x4e, 0x42, 0x20, 0x77, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x61, 0x64, 0x64, 0x20, 0x5b, 0x6e, 0x61, 0x6d,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65,
  0x6e, 0x74, 0x5d, 0x2c, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x65, 0x73,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x61, 0x6c, 0x77, 0x61, 0x79, 0x73, 0x20,
  0x61, 0x62, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x73, 0x65, 0x20, 0x61,
  0x6c, 0x69, 0x61, 0x73, 0x65, 0x73, 0x20, 0x6c, 0x65, 0x74, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x64,
  0x65, 0x66, 0x69, 0x6e, 0x65, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20,
  0x6c, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65,
  0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x2c, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x66, 0x72,
  0x6f, 0x6d, 0x2c, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x6f,
  0x6e, 0x76, 0x65, 0x72, 0x74, 0x74, 0x6f, 0x2c, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x2c, 0x20, 0x62, 0x75, 0x74,
  0x20, 0x6e, 0x6f, 0x74, 0x20, 0x22, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x3c, 0x6e,
  0x61, 0x6d, 0x65, 0x3e, 0x22, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73,
  0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69,
  0x6e, 0x67, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x48, 0x61,
  0x6e, 0x64, 0x6c, 0x69, 0x6e, 0x67, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d,
  0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2c, 0x20, 0x77, 0x65, 0x20, 0x6e,
  0x65, 0x65, 0x64, 0x20, 0x61, 0x20, 0x72, 0x65, 0x73, 0x74, 0x72, 0x69,
  0x63, 0x74, 0x65, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x20, 0x6f, 0x66,
  0x20, 0x47, 0x6c, 0x6f, 0x62, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x6f, 0x73, 0x65, 0x73, 0x20, 0x6f,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x27, 0x65, 0x78, 0x69, 0x74, 0x27,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x6e, 0x64,
  0x20, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x6c, 0x79, 0x20, 0x74, 0x65, 0x72,
  0x6d, 0x69, 0x6e, 0x61, 0x74, 0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x2e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x7b, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61,
  0x6c, 0x69, 0x61, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x20, 0x20, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x53,
  0x6f, 0x75, 0x72, 0x63, 0x65, 0x0a, 0x09, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x4c, 0x6f, 0x61,
  0x64, 0x0a, 0x09, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20,
  0x41, 0x6c, 0x69, 0x61, 0x73, 0x45, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e,
  0x67, 0x0a, 0x09, 0x65, 0x78, 0x69, 0x74, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
  0x0a, 0x09, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x20, 0x20, 0x20, 0x20, 0x41,
  0x6c, 0x69, 0x61, 0x73, 0x47, 0x6c, 0x6f, 0x62, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x24, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x7b, 0x7d, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x3a,
  0x3a, 0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x61, 0x6c, 0x69,
  0x61, 0x73, 0x20, 0x6c, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x73,
  0x75, 0x62, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x27, 0x66, 0x69, 0x6c, 0x65, 0x27, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x75,
  0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x2e,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x65, 0x78, 0x70, 0x6f, 0x73, 0x65, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x73, 0x75,
  0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x7b, 0x64, 0x69,
  0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73,
  0x69, 0x6f, 0x6e, 0x20, 0x72, 0x6f, 0x6f, 0x74, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x74, 0x61, 0x69, 0x6c, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x3a, 0x3a,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x66, 0x69, 0x6c, 0x65, 0x3a, 0x3a, 0x24, 0x73, 0x75,
  0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x7b, 0x7d, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x46, 0x69, 0x6c, 0x65,
  0x53, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x73, 0x75, 0x62, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x7b,
  0x0a, 0x09, 0x61, 0x74, 0x69, 0x6d, 0x65, 0x20, 0x61, 0x74, 0x74, 0x72,
  0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x20, 0x63, 0x6f, 0x70, 0x79, 0x20,
  0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x65, 0x78, 0x65, 0x63, 0x75,
  0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x69, 0x73, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
  0x20, 0x69, 0x73, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x09, 0x6c, 0x69, 0x6e,
  0x6b, 0x20, 0x6c, 0x73, 0x74, 0x61, 0x74, 0x20, 0x6d, 0x74, 0x69, 0x6d,
  0x65, 0x20, 0x6d, 0x6b, 0x64, 0x69, 0x72, 0x20, 0x6e, 0x61, 0x74, 0x69,
  0x76, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61,
  0x6c, 0x69, 0x7a, 0x65, 0x20, 0x6f, 0x77, 0x6e, 0x65, 0x64, 0x20, 0x72,
  0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x72, 0x65, 0x61, 0x64,
  0x6c, 0x69, 0x6e, 0x6b, 0x0a, 0x09, 0x72, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x73, 0x69, 0x7a, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x20, 0x74,
  0x65, 0x6d, 0x70, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x74, 0x79, 0x70, 0x65,
  0x20, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x73, 0x20, 0x77, 0x72, 0x69,
  0x74, 0x61, 0x62, 0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x66, 0x69, 0x6c, 0x65,
  0x3a, 0x3a, 0x24, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x7b, 0x7d, 0x20, 0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x42, 0x61, 0x64, 0x53,
  0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x73,
  0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53,
  0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66,
  0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x7b, 0x73, 0x75, 0x62, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x6f, 0x66, 0x65,
  0x78, 0x65, 0x63, 0x75, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x20, 0x20,
  0x41, 0x6c, 0x69, 0x61, 0x73, 0x45, 0x78, 0x65, 0x4e, 0x61, 0x6d, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x3a, 0x3a,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x3a, 0x3a, 0x69, 0x6e, 0x66, 0x6f, 0x3a, 0x3a, 0x24, 0x73, 0x75,
  0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x5c, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7b, 0x7d, 0x20, 0x5b, 0x6e, 0x61, 0x6d, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e,
  0x74, 0x5d, 0x3a, 0x3a, 0x24, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x61,
  0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x20, 0x61,
  0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x73, 0x65, 0x74, 0x20, 0x62, 0x79, 0x20,
  0x54, 0x63, 0x6c, 0x5f, 0x4d, 0x61, 0x6b, 0x65, 0x53, 0x61, 0x66, 0x65,
  0x28, 0x33, 0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53,
  0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x2e, 0x74,
  0x63, 0x6c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x74, 0x6d, 0x2e, 0x74, 0x63,
  0x6c, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x2c, 0x20, 0x74, 0x6f, 0x20, 0x67, 0x65, 0x74,
  0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x61,
  0x6e, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6f, 0x74, 0x68,
  0x65, 0x72, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65,
  0x73, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x3a, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74,
  0x63, 0x68, 0x20, 0x7b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x74,
  0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x69,
  0x6e, 0x69, 0x74, 0x2e, 0x74, 0x63, 0x6c, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70, 0x74, 0x5d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x22, 0x63, 0x61, 0x6e, 0x27, 0x74, 0x20, 0x73,
  0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x69, 0x6e, 0x69, 0x74, 0x2e, 0x74,
  0x63, 0x6c, 0x20, 0x28, 0x24, 0x6d, 0x73, 0x67, 0x29, 0x22, 0x0a, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69,
  0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x20, 0x22, 0x63, 0x61,
  0x6e, 0x27, 0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x69,
  0x6e, 0x69, 0x74, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x28, 0x24, 0x6d, 0x73, 0x67, 0x29, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x3a, 0x3a, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f,
  0x69, 0x6e, 0x20, 0x24, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72,
  0x61, 0x72, 0x79, 0x20, 0x74, 0x6d, 0x2e, 0x74, 0x63, 0x6c, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x7d, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x6f,
  0x70, 0x74, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x63, 0x61, 0x6e, 0x27,
  0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x74, 0x6d, 0x2e,
  0x74, 0x63, 0x6c, 0x20, 0x28, 0x24, 0x6d, 0x73, 0x67, 0x29, 0x22, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x20, 0x22, 0x63,
  0x61, 0x6e, 0x27, 0x74, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x74, 0x6d, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x28, 0x24, 0x6d, 0x73, 0x67, 0x29, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x79,
  0x6e, 0x63, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x73,
  0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61,
  0x72, 0x63, 0x68, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x54, 0x63, 0x6c, 0x20,
  0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x2e, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x64, 0x6f, 0x6e,
  0x65, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x6e, 0x6f, 0x77, 0x2c, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20,
  0x74, 0x6d, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x77, 0x61, 0x73, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x65, 0x64, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70, 0x76,
  0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65,
  0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28,
  0x74, 0x6d, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x5f, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x29, 0x5d, 0x20, 0x3e, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61,
  0x6c, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x5b, 0x6c, 0x69,
  0x73, 0x74, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x3a, 0x3a, 0x74, 0x63, 0x6c,
  0x3a, 0x3a, 0x74, 0x6d, 0x3a, 0x3a, 0x61, 0x64, 0x64, 0x20, 0x7b, 0x2a,
  0x7d, 0x5b, 0x6c, 0x72, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65, 0x20, 0x24,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x74, 0x6d, 0x5f, 0x70, 0x61, 0x74,
  0x68, 0x5f, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x29, 0x5d, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x20, 0x41, 0x64, 0x64, 0x20, 0x28, 0x6f, 0x6e, 0x6c,
  0x79, 0x20, 0x69, 0x66, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x2c,
  0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x20, 0x64, 0x75, 0x70, 0x6c, 0x69,
  0x63, 0x61, 0x74, 0x65, 0x73, 0x29, 0x20, 0x31, 0x20, 0x6c, 0x65, 0x76,
  0x65, 0x6c, 0x20, 0x6f, 0x66, 0x20, 0x73, 0x75, 0x62, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x61, 0x6e, 0x0a, 0x23, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69,
  0x6e, 0x67, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6c, 0x69, 0x73, 0x74,
  0x2e, 0x20, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x20, 0x72, 0x65, 0x6d, 0x6f,
  0x76, 0x65, 0x73, 0x20, 0x6e, 0x6f, 0x6e, 0x20, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65,
  0x64, 0x0a, 0x23, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41,
  0x64, 0x64, 0x53, 0x75, 0x62, 0x44, 0x69, 0x72, 0x73, 0x20, 0x7b, 0x70,
  0x61, 0x74, 0x68, 0x4c, 0x69, 0x73, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x20, 0x7b,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63,
  0x68, 0x20, 0x64, 0x69, 0x72, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x4c,
  0x69, 0x73, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x68, 0x65,
  0x63, 0x6b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77, 0x65, 0x20, 0x64,
  0x6f, 0x6e, 0x27, 0x74, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x69, 0x74,
  0x20, 0x79, 0x65, 0x74, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x63, 0x68,
  0x69, 0x6c, 0x64, 0x72, 0x65, 0x6e, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x20,
  0x70, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x64, 0x69, 0x72, 0x20, 0x6e, 0x69,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x6c,
  0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x73, 0x20, 0x24,
  0x64, 0x69, 0x72, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x73, 0x75, 0x62, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x64,
  0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69,
  0x72, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69,
  0x6e, 0x20, 0x2a, 0x5d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66, 0x20,
  0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x73, 0x75, 0x62, 0x5d,
  0x20, 0x26, 0x26, 0x20, 0x28, 0x24, 0x73, 0x75, 0x62, 0x20, 0x6e, 0x69,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x65, 0x77, 0x20, 0x73, 0x75,
  0x62, 0x20, 0x64, 0x69, 0x72, 0x2c, 0x20, 0x61, 0x64, 0x64, 0x20, 0x69,
  0x74, 0x20, 0x21, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61,
  0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x72, 0x65, 0x73, 0x20, 0x24, 0x73,
  0x75, 0x62, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x24, 0x72,
  0x65, 0x73, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x64,
  0x65, 0x6c, 0x65, 0x74, 0x65, 0x73, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66,
  0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6d, 0x61, 0x6e, 0x61,
  0x67, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x53, 0x61, 0x66, 0x65, 0x20,
  0x54, 0x63, 0x6c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6c, 0x65, 0x61,
  0x6e, 0x73, 0x20, 0x75, 0x70, 0x0a, 0x23, 0x20, 0x61, 0x73, 0x73, 0x6f,
  0x63, 0x69, 0x61, 0x74, 0x65, 0x64, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x3a, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61,
  0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x44, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x41, 0x62, 0x6f, 0x75, 0x74,
  0x20, 0x74, 0x6f, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x22, 0x20,
  0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49, 0x66, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x68, 0x61, 0x73,
  0x20, 0x61, 0x20, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x75, 0x70, 0x20, 0x68,
  0x6f, 0x6f, 0x6b, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72,
  0x65, 0x64, 0x2c, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x69, 0x74, 0x2e,
  0x20, 0x20, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x61,
  0x6e, 0x63, 0x65, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73, 0x65, 0x20,
  0x77, 0x65, 0x20, 0x6d, 0x69, 0x67, 0x68, 0x74, 0x20, 0x62, 0x65, 0x20,
  0x63, 0x61, 0x6c, 0x6c, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x20, 0x68, 0x61, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x62,
  0x65, 0x65, 0x6e, 0x20, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72,
  0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x75, 0x73, 0x20, 0x61,
  0x74, 0x20, 0x61, 0x6c, 0x6c, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69,
  0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x63, 0x6c,
  0x65, 0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f, 0x6b, 0x29, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x68, 0x6f, 0x6f, 0x6b,
  0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x63, 0x6c, 0x65, 0x61,
  0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f, 0x6b, 0x29, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x68, 0x6f, 0x6f, 0x6b, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x6e, 0x6f, 0x77, 0x2c,
  0x20, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x77, 0x69, 0x73, 0x65, 0x20, 0x69,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x63,
  0x61, 0x6c, 0x6c, 0x73, 0x20, 0x75, 0x73, 0x20, 0x73, 0x6f, 0x6d, 0x65,
  0x68, 0x6f, 0x77, 0x2c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x77, 0x65, 0x27, 0x6c, 0x6c, 0x20, 0x6c, 0x6f, 0x6f, 0x70, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x75, 0x6e, 0x73, 0x65, 0x74, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x28, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x75, 0x70, 0x48,
  0x6f, 0x6f, 0x6b, 0x29, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72,
  0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x7b, 0x2a, 0x7d, 0x24, 0x68, 0x6f,
  0x6f, 0x6b, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x65, 0x72, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x4c, 0x6f,
  0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x44, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x6f, 0x6b, 0x20, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x20, 0x28, 0x24, 0x65, 0x72, 0x72, 0x29, 0x22, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44,
  0x69, 0x73, 0x63, 0x61, 0x72, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67,
  0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20,
  0x6f, 0x66, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x61, 0x73, 0x73,
  0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x2c, 0x20,
  0x61, 0x6e, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x2e, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x73, 0x74, 0x61, 0x74,
  0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x75, 0x6e, 0x73, 0x65, 0x74,
  0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x66, 0x20, 0x77,
  0x65, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x62, 0x65, 0x65, 0x6e, 0x20,
  0x63, 0x61, 0x6c, 0x6c, 0x65, 0x64, 0x20, 0x74, 0x77, 0x69, 0x63, 0x65,
  0x2c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x6d, 0x69, 0x67, 0x68, 0x74, 0x20, 0x68, 0x61, 0x76, 0x65, 0x20,
  0x62, 0x65, 0x65, 0x6e, 0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61,
  0x64, 0x79, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b,
  0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x22, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x22,
  0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74, 0x20, 0x28,
  0x6f, 0x72, 0x20, 0x67, 0x65, 0x74, 0x29, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6c, 0x6f, 0x67, 0x67, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x65, 0x63, 0x61,
  0x6e, 0x69, 0x73, 0x6d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x73, 0x65, 0x74, 0x4c, 0x6f,
  0x67, 0x43, 0x6d, 0x64, 0x20, 0x7b, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x4c, 0x6f, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x6c, 0x61, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67,
  0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6c, 0x61, 0x20, 0x3d, 0x3d,
  0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x24, 0x4c, 0x6f, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6c, 0x61,
  0x20, 0x3d, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x30, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x4c, 0x6f, 0x67, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x44,
  0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x6c, 0x6f, 0x67, 0x67, 0x69,
  0x6e, 0x67, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x6c,
  0x79, 0x2e, 0x20, 0x43, 0x61, 0x6c, 0x6c, 0x73, 0x20, 0x74, 0x6f, 0x20,
  0x69, 0x74, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20, 0x62, 0x65, 0x20, 0x63,
  0x6f, 0x6d, 0x70, 0x69, 0x6c, 0x65, 0x64, 0x20, 0x6f, 0x75, 0x74, 0x0a,
  0x09, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x75, 0x73,
  0x65, 0x72, 0x73, 0x2e, 0x0a, 0x09, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x4c, 0x6f, 0x67, 0x20, 0x7b,
  0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x23,
  0x20, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65, 0x20, 0x6c, 0x6f,
  0x67, 0x67, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x0a, 0x0a, 0x09, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x4c, 0x6f, 0x67,
  0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6d, 0x73, 0x67, 0x20,
  0x7b, 0x74, 0x79, 0x70, 0x65, 0x20, 0x45, 0x52, 0x52, 0x4f, 0x52, 0x7d,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x4c, 0x6f, 0x67, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x4c, 0x6f, 0x67, 0x20, 0x22,
  0x24, 0x74, 0x79, 0x70, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x3a,
  0x20, 0x24, 0x6d, 0x73, 0x67, 0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x2d, 0x20, 0x45, 0x4e, 0x44, 0x20, 0x4f, 0x46, 0x20,
  0x50, 0x55, 0x42, 0x4c, 0x49, 0x43, 0x20, 0x4d, 0x45, 0x54, 0x48, 0x4f,
  0x44, 0x53, 0x20, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d,
  0x2d, 0x2d, 0x2d, 0x0a, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x53, 0x65, 0x74,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x74, 0x6f,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x20,
  0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x65, 0x64, 0x20, 0x76, 0x61, 0x6c,
  0x75, 0x65, 0x2e, 0x20, 0x20, 0x41, 0x6c, 0x73, 0x6f, 0x20, 0x73, 0x65,
  0x74, 0x73, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62,
  0x72, 0x61, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75,
  0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x2e, 0x0a, 0x23, 0x0a, 0x70,
  0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a,
  0x53, 0x79, 0x6e, 0x63, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61,
  0x74, 0x68, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73,
  0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x5f, 0x61, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x2c, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x29, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x75,
  0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61,
  0x74, 0x68, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x61, 0x75, 0x74,
  0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x6e, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x68, 0x61, 0x73, 0x20, 0x62, 0x65, 0x65,
  0x6e, 0x20, 0x73, 0x65, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x22, 0x5c, 0x0a, 0x09, 0x4e, 0x4f, 0x54, 0x49, 0x43,
  0x45, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x61, 0x73, 0x73, 0x75, 0x6d,
  0x65, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79, 0x20, 0x69, 0x73, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x65, 0x6c,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x6f, 0x66, 0x20, 0x61, 0x75, 0x74, 0x6f, 0x5f, 0x70, 0x61, 0x74, 0x68,
  0x27, 0x73, 0x2e, 0x20, 0x53, 0x65, 0x65, 0x20, 0x2d, 0x3e, 0x20, 0x49,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x53, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66,
  0x69, 0x67, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x77, 0x68, 0x69, 0x63, 0x68, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x65, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x69, 0x73, 0x20, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
  0x6f, 0x6e, 0x2e, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20,
  0x5c, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x79,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x30, 0x5d, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x74, 0x6f, 0x6b,
  0x65, 0x6e, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63,
  0x74, 0x6f, 0x72, 0x79, 0x20, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x4e, 0x2e, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61,
  0x66, 0x65, 0x3a, 0x3a, 0x50, 0x61, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65,
  0x6e, 0x20, 0x7b, 0x6e, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x57, 0x65, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x68, 0x61, 0x76, 0x65, 0x20, 0x61, 0x20, 0x22, 0x3a, 0x22, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x6f, 0x20, 0x5b,
  0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x5d, 0x20, 0x6f,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x6d, 0x61, 0x63, 0x20, 0x77, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x69, 0x74, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x61,
  0x20, 0x72, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x76, 0x65, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x22, 0x5c, 0x24, 0x70, 0x28, 0x3a, 0x24, 0x6e, 0x3a,
  0x29, 0x22, 0x20, 0x3b, 0x23, 0x20, 0x46, 0x6f, 0x72, 0x6d, 0x20, 0x74,
  0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x63, 0x61, 0x73,
  0x65, 0x20, 0x37, 0x2e, 0x32, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x20, 0x76,
  0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x69, 0x6e, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x70, 0x61,
  0x74, 0x68, 0x0a, 0x23, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c,
  0x61, 0x74, 0x65, 0x50, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73,
  0x6f, 0x6d, 0x65, 0x68, 0x6f, 0x77, 0x20, 0x73, 0x74, 0x72, 0x69, 0x70,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x73, 0x20, 0x27, 0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x27, 0x20, 0x6f, 0x75, 0x74, 0x20,
  0x28, 0x74, 0x68, 0x65, 0x20, 0x64, 0x61, 0x6e, 0x67, 0x65, 0x72, 0x20,
  0x69, 0x73, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x77, 0x65, 0x20, 0x77, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x73,
  0x74, 0x72, 0x69, 0x70, 0x20, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x20, 0x6d,
  0x61, 0x63, 0x69, 0x6e, 0x74, 0x6f, 0x73, 0x68, 0x20, 0x22, 0x2e, 0x2e,
  0x2f, 0x22, 0x20, 0x71, 0x75, 0x65, 0x72, 0x69, 0x65, 0x73, 0x2e, 0x2e,
  0x2e, 0x20, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x22, 0x2a, 0x3a, 0x3a, 0x2a, 0x22, 0x20, 0x24, 0x70, 0x61,
  0x74, 0x68, 0x5d, 0x20, 0x7c, 0x7c, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x22, 0x2a, 0x2e,
  0x2e, 0x2a, 0x22, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x69,
  0x6e, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61,
  0x63, 0x74, 0x65, 0x72, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x24, 0x70, 0x61, 0x74, 0x68, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x55, 0x73,
  0x65, 0x20, 0x61, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x20, 0x6d,
  0x61, 0x70, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x65, 0x61, 0x64, 0x20, 0x6f,
  0x66, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x64, 0x20, 0x6c,
  0x6f, 0x63, 0x61, 0x6c, 0x20, 0x76, 0x61, 0x72, 0x73, 0x20, 0x61, 0x6e,
  0x64, 0x20, 0x73, 0x75, 0x62, 0x73, 0x74, 0x2e, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x70, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x2c, 0x6d, 0x61, 0x70, 0x29, 0x20, 0x24, 0x70, 0x61,
  0x74, 0x68, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72,
  0x6f, 0x6c, 0x20, 0x28, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x20, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x73, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20,
  0x62, 0x65, 0x20, 0x61, 0x0a, 0x23, 0x20, 0x76, 0x61, 0x6c, 0x69, 0x64,
  0x20, 0x74, 0x63, 0x6c, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x29, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x43, 0x68, 0x65, 0x63, 0x6b,
  0x46, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x7d, 0x20, 0x7b, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x75,
  0x73, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x69, 0x6d, 0x69, 0x74,
  0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65,
  0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20,
  0x22, 0x2e, 0x74, 0x63, 0x6c, 0x22, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x62, 0x69, 0x64, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x6d,
  0x6f, 0x72, 0x65, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x31, 0x20, 0x64,
  0x6f, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x6c, 0x6f, 0x6e, 0x67, 0x65,
  0x72, 0x20, 0x74, 0x68, 0x61, 0x6e, 0x20, 0x31, 0x34, 0x20, 0x63, 0x68,
  0x61, 0x72, 0x73, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x49, 0x20, 0x63,
  0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x38, 0x2e,
  0x34, 0x20, 0x61, 0x73, 0x20, 0x61, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x68, 0x61, 0x73, 0x20, 0x65,
  0x6e, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
  0x61, 0x6c, 0x20, 0x70, 0x72, 0x6f, 0x74, 0x65, 0x63, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x74, 0x6f,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x77,
  0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x6e,
  0x79, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x2d, 0x20, 0x68, 0x6f,
  0x62, 0x62, 0x73, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20,
  0x7b, 0x21, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x78, 0x69, 0x73,
  0x74, 0x73, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x74, 0x65,
  0x6c, 0x6c, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x6e, 0x6f, 0x20, 0x73, 0x75, 0x63, 0x68, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x6f, 0x72, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23,
  0x20, 0x64, 0x6f, 0x6e, 0x27, 0x74, 0x20, 0x74, 0x65, 0x6c, 0x6c, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x6e,
  0x6f, 0x74, 0x20, 0x72, 0x65, 0x61, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20,
  0x41, 0x6c, 0x69, 0x61, 0x73, 0x46, 0x69, 0x6c, 0x65, 0x53, 0x75, 0x62,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x68, 0x61, 0x6e, 0x64,
  0x6c, 0x65, 0x73, 0x20, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x65, 0x64,
  0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x73,
  0x20, 0x6f, 0x66, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x20, 0x69,
  0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x73, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x61, 0x72, 0x65, 0x20, 0x2a, 0x61, 0x6c, 0x6d, 0x6f,
  0x73, 0x74, 0x2a, 0x20, 0x73, 0x61, 0x66, 0x65, 0x2e, 0x20, 0x49, 0x6e,
  0x20, 0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x75, 0x6c, 0x61, 0x72, 0x2c,
  0x20, 0x69, 0x74, 0x20, 0x6a, 0x75, 0x73, 0x74, 0x20, 0x61, 0x63, 0x74,
  0x73, 0x20, 0x74, 0x6f, 0x0a, 0x23, 0x20, 0x70, 0x72, 0x65, 0x76, 0x65,
  0x6e, 0x74, 0x20, 0x64, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79,
  0x20, 0x6f, 0x66, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x68, 0x6f, 0x6d,
  0x65, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65,
  0x73, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41,
  0x6c, 0x69, 0x61, 0x73, 0x46, 0x69, 0x6c, 0x65, 0x53, 0x75, 0x62, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7e, 0x2a, 0x20, 0x24, 0x6e,
  0x61, 0x6d, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x2e, 0x2f, 0x24, 0x6e, 0x61, 0x6d,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x74, 0x61, 0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x3a, 0x3a, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65,
  0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x74, 0x63, 0x6c, 0x3a, 0x66, 0x69, 0x6c, 0x65, 0x3a, 0x24,
  0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x24,
  0x6e, 0x61, 0x6d, 0x65, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41, 0x6c,
  0x69, 0x61, 0x73, 0x47, 0x6c, 0x6f, 0x62, 0x20, 0x69, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x67, 0x6c, 0x6f, 0x62, 0x22, 0x20,
  0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x73, 0x61, 0x66,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65,
  0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x47,
  0x6c, 0x6f, 0x62, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x61,
  0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c,
  0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x47,
  0x4c, 0x4f, 0x42, 0x20, 0x21, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x22,
  0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x74, 0x20, 0x30, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x67, 0x6f, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x2d, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x30, 0x0a, 0x09, 0x2d,
  0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x30,
  0x0a, 0x09, 0x2d, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x30, 0x0a, 0x09, 0x2d,
  0x74, 0x61, 0x69, 0x6c, 0x73, 0x20, 0x30, 0x0a, 0x09, 0x2d, 0x2d, 0x20,
  0x30, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f,
  0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70, 0x6c, 0x61,
  0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20, 0x22, 0x77,
  0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x50, 0x61, 0x72, 0x74, 0x52,
  0x45, 0x20, 0x7b, 0x5e, 0x28, 0x2e, 0x2a, 0x29, 0x5b, 0x5c, 0x5c, 0x2f,
  0x5d, 0x28, 0x5b, 0x5e, 0x5c, 0x5c, 0x2f, 0x5d, 0x2a, 0x29, 0x24, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x50, 0x61,
  0x72, 0x74, 0x52, 0x45, 0x20, 0x7b, 0x5e, 0x28, 0x2e, 0x2a, 0x29, 0x2f,
  0x28, 0x5b, 0x5e, 0x2f, 0x5d, 0x2a, 0x29, 0x24, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x64, 0x69, 0x72, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x7b, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x76,
  0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x64, 0x69, 0x72, 0x20, 0x7b, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x77, 0x68, 0x69, 0x6c, 0x65, 0x20,
  0x7b, 0x24, 0x61, 0x74, 0x20, 0x3c, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x67,
  0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x2d, 0x20, 0x5b, 0x73, 0x65, 0x74, 0x20,
  0x6f, 0x70, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24, 0x61, 0x74, 0x5d, 0x5d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f,
  0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x20, 0x2d, 0x20, 0x2d, 0x2d, 0x20,
  0x2d, 0x20, 0x2d, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x2d, 0x20, 0x2d, 0x74,
  0x61, 0x69, 0x6c, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x24, 0x6f, 0x70,
  0x74, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x67, 0x6f, 0x74, 0x28,
  0x24, 0x6f, 0x70, 0x74, 0x29, 0x20, 0x31, 0x0a, 0x09, 0x09, 0x69, 0x6e,
  0x63, 0x72, 0x20, 0x61, 0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x73,
  0x20, 0x2d, 0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64,
  0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x73, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x61, 0x74, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x61, 0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d, 0x64, 0x69, 0x72, 0x65,
  0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x67, 0x6f, 0x74, 0x28, 0x24, 0x6f, 0x70, 0x74, 0x29,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x7b, 0x22,
  0x2d, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x22, 0x20,
  0x63, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x20, 0x62, 0x65, 0x20, 0x75, 0x73,
  0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x22, 0x2d, 0x70, 0x61,
  0x74, 0x68, 0x22, 0x7d, 0x0a, 0x09, 0x09, 0x7d, 0x0a, 0x09, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x67, 0x6f, 0x74, 0x28, 0x24, 0x6f, 0x70, 0x74, 0x29,
  0x20, 0x31, 0x0a, 0x09, 0x09, 0x73, 0x65, 0x74, 0x20, 0x76, 0x69, 0x72,
  0x74, 0x75, 0x61, 0x6c, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x5b, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x61, 0x74, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x69,
  0x6e, 0x63, 0x72, 0x20, 0x61, 0x74, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x70, 0x6b, 0x67, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x23, 0x20, 0x4f, 0x6f, 0x70, 0x73, 0x2c, 0x20, 0x74, 0x68, 0x69, 0x73,
  0x20, 0x69, 0x73, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x62, 0x69, 0x6e, 0x67,
  0x20, 0x61, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74,
  0x6f, 0x72, 0x79, 0x20, 0x69, 0x6e, 0x20, 0x72, 0x65, 0x67, 0x75, 0x6c,
  0x61, 0x72, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x0a, 0x09,
  0x09, 0x23, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2e, 0x20, 0x54,
  0x68, 0x61, 0x74, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x77,
  0x61, 0x6e, 0x74, 0x65, 0x64, 0x2e, 0x20, 0x41, 0x62, 0x6f, 0x72, 0x74,
  0x2c, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x20, 0x64, 0x6f,
  0x65, 0x73, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x0a, 0x09, 0x09, 0x23,
  0x20, 0x61, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x20, 0x28, 0x62, 0x65,
  0x63, 0x61, 0x75, 0x73, 0x65, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x77,
  0x61, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e,
  0x65, 0x64, 0x20, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x29, 0x2e, 0x20,
  0x53, 0x65, 0x65, 0x0a, 0x09, 0x09, 0x23, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x2e, 0x74, 0x63, 0x6c, 0x2c, 0x20, 0x6c, 0x69, 0x6e,
  0x65, 0x73, 0x20, 0x34, 0x38, 0x34, 0x66, 0x66, 0x20, 0x69, 0x6e, 0x20,
  0x74, 0x63, 0x6c, 0x50, 0x6b, 0x67, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77,
  0x6e, 0x2e, 0x0a, 0x09, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x22, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x20, 0x63, 0x6f, 0x6d,
  0x6d, 0x61, 0x6e, 0x64, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x22, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x2d,
  0x2a, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x53, 0x61, 0x66, 0x65, 0x20, 0x62,
  0x61, 0x73, 0x65, 0x20, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x69, 0x6e,
  0x67, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x27, 0x24, 0x6f, 0x70, 0x74, 0x27, 0x22, 0x0a, 0x09, 0x09,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x53, 0x61, 0x66, 0x65,
  0x20, 0x62, 0x61, 0x73, 0x65, 0x20, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74,
  0x69, 0x6e, 0x67, 0x20, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x6f, 0x70, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x27, 0x24, 0x6f, 0x70, 0x74, 0x27, 0x22, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x0a, 0x09, 0x09,
  0x62, 0x72, 0x65, 0x61, 0x6b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f,
  0x74, 0x28, 0x2d, 0x2d, 0x29, 0x7d, 0x20, 0x62, 0x72, 0x65, 0x61, 0x6b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x47, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65,
  0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c,
  0x20, 0x6f, 0x6e, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x68, 0x65,
  0x63, 0x6b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x2e, 0x20,
  0x44, 0x6f, 0x6e, 0x65, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x62,
  0x61, 0x73, 0x69, 0x63, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67,
  0x20, 0x73, 0x6f, 0x20, 0x74, 0x68, 0x61, 0x74, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x77, 0x65, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x20, 0x69,
  0x66, 0x20, 0x2d, 0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69,
  0x6e, 0x20, 0x69, 0x73, 0x20, 0x73, 0x65, 0x74, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f, 0x74, 0x28, 0x2d,
  0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x54,
  0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x50, 0x61, 0x74, 0x68,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x76, 0x69, 0x72,
  0x74, 0x75, 0x61, 0x6c, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x44, 0x69, 0x72, 0x49, 0x6e, 0x41, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x24, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f, 0x74, 0x28, 0x2d,
  0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x29, 0x7d,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x70, 0x65, 0x72,
  0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6e, 0x69,
  0x65, 0x64, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x2d, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24, 0x64, 0x69, 0x72, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x41, 0x70, 0x70, 0x6c, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x2d,
  0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69,
  0x63, 0x73, 0x20, 0x6f, 0x75, 0x72, 0x73, 0x65, 0x6c, 0x76, 0x65, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f,
  0x74, 0x28, 0x2d, 0x6a, 0x6f, 0x69, 0x6e, 0x29, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72, 0x67, 0x73, 0x20, 0x5b, 0x6c,
  0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x73, 0x20, 0x24, 0x61, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x20, 0x5b, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x24, 0x61, 0x74, 0x20, 0x65, 0x6e,
  0x64, 0x5d, 0x20, 0x22, 0x2f, 0x22, 0x5d, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x50, 0x72,
  0x6f, 0x63, 0x65, 0x73, 0x73, 0x20, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20,
  0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x50,
  0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e,
  0x67, 0x74, 0x68, 0x20, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x6f, 0x70,
  0x74, 0x20, 0x5b, 0x6c, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x24, 0x61, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x5d,
  0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x20, 0x24, 0x64, 0x69, 0x72, 0x50, 0x61, 0x72,
  0x74, 0x52, 0x45, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x20, 0x2d, 0x3e, 0x20,
  0x74, 0x68, 0x65, 0x64, 0x69, 0x72, 0x20, 0x74, 0x68, 0x65, 0x66, 0x69,
  0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x64, 0x69, 0x72, 0x20, 0x2e,
  0x0a, 0x09, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x6d, 0x61, 0x74, 0x63,
  0x68, 0x20, 0x7e, 0x2a, 0x20, 0x24, 0x74, 0x68, 0x65, 0x64, 0x69, 0x72,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x74, 0x68, 0x65, 0x64, 0x69, 0x72, 0x20, 0x2e, 0x2f, 0x24,
  0x74, 0x68, 0x65, 0x64, 0x69, 0x72, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x74, 0x68, 0x65, 0x64, 0x69, 0x72, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x2a, 0x22, 0x20, 0x26, 0x26, 0x0a, 0x09, 0x09, 0x28,
  0x24, 0x74, 0x68, 0x65, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x71, 0x20,
  0x22, 0x70, 0x6b, 0x67, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x74, 0x63,
  0x6c, 0x22, 0x20, 0x7c, 0x7c, 0x20, 0x24, 0x74, 0x68, 0x65, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x65, 0x71, 0x20, 0x22, 0x2a, 0x2e, 0x74, 0x6d, 0x22,
  0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x6d, 0x61, 0x70, 0x70, 0x65, 0x64, 0x20, 0x30, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x66, 0x6f, 0x72, 0x65, 0x61, 0x63, 0x68, 0x20,
  0x64, 0x20, 0x5b, 0x67, 0x6c, 0x6f, 0x62, 0x20, 0x2d, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x5b, 0x54, 0x72, 0x61, 0x6e,
  0x73, 0x6c, 0x61, 0x74, 0x65, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61,
  0x6c, 0x64, 0x69, 0x72, 0x5d, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x73, 0x20, 0x64, 0x20, 0x2d,
  0x74, 0x61, 0x69, 0x6c, 0x73, 0x20, 0x2a, 0x5d, 0x20, 0x7b, 0x0a, 0x09,
  0x09, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x44, 0x69, 0x72, 0x49, 0x6e, 0x41, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x09, 0x5b, 0x54, 0x72, 0x61, 0x6e,
  0x73, 0x6c, 0x61, 0x74, 0x65, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a,
  0x6f, 0x69, 0x6e, 0x20, 0x24, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c,
  0x64, 0x69, 0x72, 0x20, 0x24, 0x64, 0x5d, 0x5d, 0x0a, 0x09, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20, 0x63,
  0x6d, 0x64, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x6a, 0x6f, 0x69,
  0x6e, 0x20, 0x24, 0x64, 0x20, 0x24, 0x74, 0x68, 0x65, 0x66, 0x69, 0x6c,
  0x65, 0x5d, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x6d, 0x61, 0x70, 0x70, 0x65, 0x64, 0x20, 0x31, 0x0a, 0x09, 0x09,
  0x7d, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6d, 0x61, 0x70, 0x70, 0x65,
  0x64, 0x7d, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x44, 0x69, 0x72, 0x49, 0x6e, 0x41, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x5b, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65,
  0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x20, 0x20, 0x20, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6a, 0x6f, 0x69, 0x6e, 0x20, 0x24, 0x76, 0x69, 0x72, 0x74,
  0x75, 0x61, 0x6c, 0x64, 0x69, 0x72, 0x20, 0x24, 0x74, 0x68, 0x65, 0x64,
  0x69, 0x72, 0x5d, 0x5d, 0x0a, 0x09, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09,
  0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f, 0x74, 0x28, 0x2d, 0x6e,
  0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x29, 0x7d, 0x20,
  0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x65, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x70, 0x65,
  0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6e,
  0x69, 0x65, 0x64, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x6c, 0x61, 0x70,
  0x70, 0x65, 0x6e, 0x64, 0x20, 0x63, 0x6d, 0x64, 0x20, 0x24, 0x6f, 0x70,
  0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x22, 0x47, 0x4c, 0x4f, 0x42, 0x20, 0x3d, 0x20, 0x24, 0x63, 0x6d, 0x64,
  0x22, 0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x67, 0x6f, 0x74, 0x28, 0x2d,
  0x6e, 0x6f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x61, 0x69, 0x6e, 0x29, 0x20,
  0x26, 0x26, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x63, 0x6d, 0x64, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x24, 0x66, 0x69,
  0x72, 0x73, 0x74, 0x50, 0x61, 0x74, 0x74, 0x65, 0x72, 0x6e, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20,
  0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x74, 0x72, 0x69,
  0x65, 0x73, 0x20, 0x5b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x68, 0x69, 0x64, 0x64, 0x65,
  0x6e, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x67, 0x6c, 0x6f,
  0x62, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x63, 0x6d, 0x64, 0x5d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c,
  0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x47,
  0x4c, 0x4f, 0x42, 0x20, 0x3c, 0x20, 0x24, 0x65, 0x6e, 0x74, 0x72, 0x69,
  0x65, 0x73, 0x22, 0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43, 0x45, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c,
  0x61, 0x74, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x62, 0x61, 0x63,
  0x6b, 0x20, 0x74, 0x6f, 0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x68, 0x6f, 0x75,
  0x6c, 0x64, 0x20, 0x73, 0x65, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x20, 0x7b, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6c, 0x20, 0x5b, 0x73, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x66, 0x6f,
  0x72, 0x65, 0x61, 0x63, 0x68, 0x20, 0x70, 0x20, 0x24, 0x65, 0x6e, 0x74,
  0x72, 0x69, 0x65, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x75, 0x61,
  0x6c, 0x20, 0x2d, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x6c,
  0x20, 0x24, 0x64, 0x69, 0x72, 0x20, 0x24, 0x70, 0x5d, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x20,
  0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x65, 0x70, 0x6c,
  0x61, 0x63, 0x65, 0x20, 0x24, 0x70, 0x20, 0x30, 0x20, 0x5b, 0x65, 0x78,
  0x70, 0x72, 0x20, 0x7b, 0x24, 0x6c, 0x2d, 0x31, 0x7d, 0x5d, 0x20, 0x24,
  0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x64, 0x69, 0x72, 0x5d, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x20,
  0x72, 0x65, 0x73, 0x20, 0x24, 0x70, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x47, 0x4c, 0x4f, 0x42, 0x20, 0x3e,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x22, 0x20, 0x4e, 0x4f, 0x54, 0x49, 0x43,
  0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41,
  0x6c, 0x69, 0x61, 0x73, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x69,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74,
  0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x22, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x22, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x69,
  0x6e, 0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x70, 0x72, 0x65, 0x74, 0x65, 0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41,
  0x6c, 0x69, 0x61, 0x73, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x7b,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72,
  0x67, 0x63, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20,
  0x24, 0x61, 0x72, 0x67, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x65, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x69, 0x6e, 0x67, 0x20, 0x6f,
  0x66, 0x20, 0x54, 0x63, 0x6c, 0x20, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65,
  0x73, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x20, 0x6e,
  0x6f, 0x74, 0x20, 0x6f, 0x6e, 0x6c, 0x79, 0x20, 0x22, 0x73, 0x6f, 0x75,
  0x72, 0x63, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x2c, 0x20, 0x62, 0x75, 0x74,
  0x20, 0x22, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x2d, 0x65, 0x6e,
  0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x45, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x20, 0x61, 0x73, 0x20, 0x77, 0x65,
  0x6c, 0x6c, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x73, 0x20, 0x30, 0x5d, 0x20, 0x65, 0x71, 0x20, 0x22, 0x2d, 0x65, 0x6e,
  0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x69, 0x6e, 0x63, 0x72, 0x20, 0x61, 0x72, 0x67, 0x63, 0x20, 0x2d, 0x32,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69,
  0x6e, 0x67, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x31, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74,
  0x20, 0x61, 0x74, 0x20, 0x32, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x65, 0x71, 0x20,
  0x22, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x22, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x61, 0x74, 0x74, 0x65, 0x6d,
  0x70, 0x74, 0x20, 0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x20, 0x65,
  0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x22, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x70, 0x65,
  0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6e,
  0x69, 0x65, 0x64, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x61, 0x74, 0x20, 0x30, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7b, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x61, 0x72, 0x67, 0x63, 0x20, 0x21, 0x3d, 0x20, 0x31,
  0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x73, 0x67,
  0x20, 0x22, 0x77, 0x72, 0x6f, 0x6e, 0x67, 0x20, 0x23, 0x20, 0x61, 0x72,
  0x67, 0x73, 0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c, 0x64, 0x20, 0x62,
  0x65, 0x20, 0x5c, 0x22, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x3f,
  0x2d, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x45, 0x3f,
  0x20, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x5c, 0x22, 0x22,
  0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x22, 0x24, 0x6d, 0x73, 0x67, 0x20, 0x28, 0x24, 0x61, 0x72, 0x67,
  0x73, 0x29, 0x22, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67,
  0x73, 0x20, 0x24, 0x61, 0x74, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65,
  0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x72, 0x6f, 0x6d,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c,
  0x20, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09,
  0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x5b, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x50,
  0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x6d, 0x73, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x70, 0x65,
  0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6e,
  0x69, 0x65, 0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20,
  0x74, 0x68, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x70, 0x61, 0x74,
  0x68, 0x20, 0x69, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x46, 0x69, 0x6c, 0x65,
  0x49, 0x6e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x72, 0x65, 0x61,
  0x6c, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x6d, 0x73, 0x67, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67,
  0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x70, 0x65,
  0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x6e,
  0x69, 0x65, 0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x20,
  0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x63,
  0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x43, 0x68, 0x65, 0x63,
  0x6b, 0x46, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x72, 0x65, 0x61, 0x6c, 0x66, 0x69,
  0x6c, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6d, 0x73, 0x67,
  0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x24, 0x72, 0x65, 0x61, 0x6c, 0x66,
  0x69, 0x6c, 0x65, 0x3a, 0x24, 0x6d, 0x73, 0x67, 0x22, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x50, 0x61, 0x73, 0x73, 0x65, 0x64, 0x20, 0x61, 0x6c, 0x6c, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x74, 0x65, 0x73, 0x74, 0x73, 0x2c, 0x20, 0x6c, 0x65,
  0x74, 0x73, 0x20, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x20, 0x69, 0x74,
  0x2e, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x77, 0x65, 0x20, 0x64, 0x6f, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x61,
  0x6c, 0x6c, 0x20, 0x6d, 0x61, 0x6e, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x62, 0x65, 0x63, 0x61, 0x75, 0x73,
  0x65, 0x20, 0x77, 0x65, 0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x20, 0x5b, 0x69, 0x6e,
  0x66, 0x6f, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x5d, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x73, 0x6f, 0x20, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x64, 0x6f, 0x65,
  0x73, 0x6e, 0x27, 0x74, 0x20, 0x6c, 0x65, 0x61, 0x6b, 0x20, 0x73, 0x6f,
  0x20, 0x6d, 0x75, 0x63, 0x68, 0x2e, 0x20, 0x5b, 0x42, 0x75, 0x67, 0x20,
  0x32, 0x39, 0x31, 0x33, 0x36, 0x32, 0x35, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x6c, 0x64, 0x20, 0x5b, 0x3a, 0x3a,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x7b, 0x69, 0x6e, 0x66, 0x6f,
  0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x7d, 0x5d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63,
  0x65, 0x6d, 0x65, 0x6e, 0x74, 0x4d, 0x73, 0x67, 0x20, 0x22, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x66, 0x20, 0x5b, 0x6f, 0x70, 0x65, 0x6e, 0x20, 0x24,
  0x72, 0x65, 0x61, 0x6c, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x66,
  0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x24, 0x66,
  0x20, 0x2d, 0x65, 0x6f, 0x66, 0x63, 0x68, 0x61, 0x72, 0x20, 0x5c, 0x30,
  0x33, 0x32, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x65, 0x6e, 0x63,
  0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x66, 0x63, 0x6f, 0x6e,
  0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x24, 0x66, 0x20, 0x2d, 0x65,
  0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x65, 0x6e, 0x63,
  0x6f, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x7d, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x20, 0x5b,
  0x72, 0x65, 0x61, 0x64, 0x20, 0x24, 0x66, 0x5d, 0x0a, 0x09, 0x63, 0x6c,
  0x6f, 0x73, 0x65, 0x20, 0x24, 0x66, 0x0a, 0x09, 0x3a, 0x3a, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x6d, 0x73, 0x67, 0x20, 0x6f, 0x70, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x3d,
  0x3d, 0x20, 0x30, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x5b, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20,
  0x7b, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76,
  0x61, 0x6c, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x63,
  0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x73, 0x7d, 0x20, 0x6d, 0x73, 0x67,
  0x20, 0x6f, 0x70, 0x74, 0x5d, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x72,
  0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x4d, 0x73,
  0x67, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x63, 0x61, 0x74, 0x63, 0x68, 0x20, 0x7b,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x65, 0x76, 0x61, 0x6c, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74,
  0x20, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
  0x20, 0x24, 0x6f, 0x6c, 0x64, 0x5d, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x61, 0x6c, 0x6c, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x66, 0x69, 0x6e, 0x65, 0x20,
  0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x63, 0x6f, 0x64, 0x65, 0x73,
  0x20, 0x66, 0x72, 0x6f, 0x6d, 0x20, 0x5b, 0x73, 0x6f, 0x75, 0x72, 0x63,
  0x65, 0x5d, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x77, 0x65, 0x20, 0x6d, 0x75,
  0x73, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x61, 0x6b,
  0x65, 0x20, 0x61, 0x20, 0x6c, 0x69, 0x74, 0x74, 0x6c, 0x65, 0x20, 0x63,
  0x61, 0x72, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x64, 0x6f, 0x20, 0x69, 0x74,
  0x20, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x6c, 0x79, 0x2e, 0x20, 0x5b,
  0x42, 0x75, 0x67, 0x20, 0x32, 0x39, 0x32, 0x33, 0x36, 0x31, 0x33, 0x5d,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x31, 0x7d, 0x20, 0x7b, 0x0a, 0x09,
  0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x24, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x4d, 0x73, 0x67, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x24, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x2d, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x20, 0x24,
  0x6d, 0x73, 0x67, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41, 0x6c, 0x69,
  0x61, 0x73, 0x4c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x22, 0x6c, 0x6f, 0x61, 0x64, 0x22, 0x20, 0x61,
  0x6c, 0x69, 0x61, 0x73, 0x20, 0x69, 0x6e, 0x20, 0x73, 0x61, 0x66, 0x65,
  0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x72,
  0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73,
  0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x4c, 0x6f,
  0x61, 0x64, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x61, 0x72, 0x67, 0x63, 0x20,
  0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24, 0x61, 0x72,
  0x67, 0x73, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x24, 0x61, 0x72, 0x67, 0x63, 0x20, 0x3e, 0x20, 0x32, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x22, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x3a, 0x20, 0x74,
  0x6f, 0x6f, 0x20, 0x6d, 0x61, 0x6e, 0x79, 0x20, 0x61, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x22, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x24, 0x6d, 0x73, 0x67,
  0x20, 0x28, 0x24, 0x61, 0x72, 0x67, 0x63, 0x29, 0x20, 0x7b, 0x24, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x22, 0x0a,
  0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64,
  0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x6d, 0x73, 0x67,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x28, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x65,
  0x6d, 0x70, 0x74, 0x79, 0x20, 0x69, 0x66, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x29, 0x2e, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x61,
  0x72, 0x67, 0x73, 0x20, 0x30, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65,
  0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x2e, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x20, 0x75, 0x73, 0x65, 0x20, 0x61, 0x20, 0x72, 0x65, 0x6c, 0x61,
  0x74, 0x69, 0x76, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x7b, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x6d, 0x65, 0x61, 0x6e, 0x73, 0x20,
  0x73, 0x65, 0x6c, 0x66, 0x2c, 0x20, 0x73, 0x6f, 0x20, 0x77, 0x65, 0x20,
  0x63, 0x61, 0x6e, 0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6c, 0x79,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x61, 0x66, 0x65, 0x6c, 0x79, 0x20,
  0x75, 0x73, 0x65, 0x20, 0x70, 0x61, 0x73, 0x73, 0x65, 0x64, 0x20, 0x61,
  0x72, 0x67, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x24, 0x61, 0x72, 0x67, 0x73, 0x20, 0x31, 0x5d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x74, 0x61, 0x72,
  0x67, 0x65, 0x74, 0x20, 0x6e, 0x65, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b,
  0x0a, 0x09, 0x23, 0x20, 0x77, 0x65, 0x20, 0x77, 0x69, 0x6c, 0x6c, 0x20,
  0x74, 0x72, 0x79, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20,
  0x69, 0x6e, 0x74, 0x6f, 0x20, 0x61, 0x20, 0x73, 0x75, 0x62, 0x20, 0x73,
  0x75, 0x62, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x3b, 0x20, 0x63,
  0x68, 0x65, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x77, 0x65,
  0x20, 0x77, 0x61, 0x6e, 0x74, 0x20, 0x74, 0x6f, 0x0a, 0x09, 0x23, 0x20,
  0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x65, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x2e, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x28, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f,
  0x6b, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c,
  0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x6c,
  0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x61, 0x20,
  0x73, 0x75, 0x62, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x28,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x29, 0x5c, 0x0a, 0x09,
  0x09, 0x09, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x20, 0x28,
  0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x24, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20,
  0x74, 0x6f, 0x20, 0x24, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x29, 0x22,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72,
  0x20, 0x22, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e,
  0x20, 0x64, 0x65, 0x6e, 0x69, 0x65, 0x64, 0x20, 0x28, 0x6e, 0x65, 0x73,
  0x74, 0x65, 0x64, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x29, 0x22, 0x0a, 0x09,
  0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x44, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65,
  0x20, 0x77, 0x68, 0x61, 0x74, 0x20, 0x6b, 0x69, 0x6e, 0x64, 0x20, 0x6f,
  0x66, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65,
  0x71, 0x75, 0x65, 0x73, 0x74, 0x65, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x69, 0x66, 0x20, 0x7b, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x65, 0x71,
  0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x09, 0x69, 0x66,
  0x20, 0x7b, 0x24, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x22, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x6d, 0x73, 0x67, 0x20, 0x22, 0x6c, 0x6f,
  0x61, 0x64, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x3a, 0x20, 0x65, 0x6d,
  0x70, 0x74, 0x79, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x61, 0x6e, 0x64, 0x20, 0x6e, 0x6f, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x0a, 0x09, 0x20,
  0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x09, 0x7d, 0x0a, 0x09, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x24, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x28, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x6f,
  0x6b, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c,
  0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x22, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67,
  0x65, 0x73, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x64,
  0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x5c, 0x0a, 0x09, 0x09, 0x09,
  0x28, 0x74, 0x72, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x20, 0x24, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x20, 0x74, 0x6f, 0x20, 0x24, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x29,
  0x22, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x22, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x64, 0x65, 0x6e, 0x69, 0x65, 0x64, 0x20, 0x28, 0x73, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x20, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
  0x29, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x0a, 0x0a,
  0x09, 0x23, 0x20, 0x67, 0x65, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72,
  0x65, 0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x72, 0x6f,
  0x6d, 0x20, 0x74, 0x68, 0x65, 0x20, 0x76, 0x69, 0x72, 0x74, 0x75, 0x61,
  0x6c, 0x20, 0x6f, 0x6e, 0x65, 0x2e, 0x0a, 0x09, 0x74, 0x72, 0x79, 0x20,
  0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x5b, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61,
  0x74, 0x65, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5d, 0x0a, 0x09, 0x7d, 0x20,
  0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d, 0x73, 0x67,
  0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x22, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x20,
  0x64, 0x65, 0x6e, 0x69, 0x65, 0x64, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x0a,
  0x09, 0x23, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x0a, 0x09, 0x74, 0x72, 0x79, 0x20, 0x7b, 0x0a,
  0x09, 0x20, 0x20, 0x20, 0x20, 0x46, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x41,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x0a, 0x09,
  0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d,
  0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f,
  0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73,
  0x67, 0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72,
  0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f,
  0x72, 0x20, 0x22, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f,
  0x6e, 0x20, 0x64, 0x65, 0x6e, 0x69, 0x65, 0x64, 0x20, 0x28, 0x70, 0x61,
  0x74, 0x68, 0x29, 0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79, 0x20, 0x7b,
  0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x3a, 0x3a,
  0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b,
  0x65, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6e, 0x20, 0x24, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x24, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x20, 0x24,
  0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x20, 0x6f, 0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6d,
  0x73, 0x67, 0x20, 0x7b, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20,
  0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x46, 0x69,
  0x6c, 0x65, 0x49, 0x6e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61,
  0x74, 0x68, 0x20, 0x72, 0x61, 0x69, 0x73, 0x65, 0x73, 0x20, 0x61, 0x6e,
  0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f,
  0x74, 0x20, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x0a, 0x23,
  0x20, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x69,
  0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x28, 0x6d, 0x61, 0x73, 0x74, 0x65,
  0x72, 0x20, 0x73, 0x69, 0x64, 0x65, 0x20, 0x72, 0x65, 0x63, 0x6f, 0x72,
  0x64, 0x65, 0x64, 0x29, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x27, 0x73,
  0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x2e, 0x0a, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63,
  0x75, 0x72, 0x69, 0x74, 0x79, 0x20, 0x68, 0x65, 0x72, 0x65, 0x20, 0x72,
  0x65, 0x6c, 0x69, 0x65, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x22, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x20,
  0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x70, 0x72, 0x6f, 0x70, 0x65, 0x72, 0x0a, 0x23, 0x20, 0x72,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x2e, 0x2e, 0x2e, 0x20, 0x6e, 0x65, 0x65,
  0x64, 0x73, 0x20, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x69, 0x6e, 0x67, 0x20,
  0x3f, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x46, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x41, 0x63, 0x63,
  0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20, 0x7b, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74,
  0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x69,
  0x73, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x20, 0x24,
  0x66, 0x69, 0x6c, 0x65, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x5c, 0x22, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x5c, 0x22, 0x3a, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x64, 0x69,
  0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x22, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x70,
  0x61, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x5b, 0x66, 0x69, 0x6c, 0x65, 0x20,
  0x64, 0x69, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x24, 0x66, 0x69, 0x6c,
  0x65, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4e, 0x6f,
  0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x72,
  0x69, 0x73, 0x6f, 0x6e, 0x20, 0x73, 0x69, 0x6e, 0x63, 0x65, 0x20, 0x6c,
  0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x6b, 0x6e, 0x6f, 0x77, 0x73,
  0x20, 0x6e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x6f, 0x74, 0x65, 0x6e, 0x74,
  0x69, 0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68, 0x6e, 0x61, 0x6d, 0x65,
  0x20, 0x61, 0x6e, 0x6f, 0x6d, 0x61, 0x6c, 0x69, 0x65, 0x73, 0x2e, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x6e, 0x6f, 0x72, 0x6d,
  0x5f, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x5b, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20,
  0x24, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65,
  0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24,
  0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x20,
  0x6e, 0x69, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x6e, 0x6f,
  0x72, 0x6d, 0x29, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x5c, 0x22, 0x24, 0x66, 0x69, 0x6c, 0x65, 0x5c,
  0x22, 0x3a, 0x20, 0x6e, 0x6f, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x22, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x44, 0x69, 0x72,
  0x49, 0x6e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68,
  0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x64, 0x69, 0x72, 0x7d,
  0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x20, 0x3a,
  0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53, 0x24, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x24, 0x73, 0x74, 0x61, 0x74, 0x65, 0x28, 0x61,
  0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x29, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x69, 0x73, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x24, 0x64,
  0x69, 0x72, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x20, 0x22, 0x5c, 0x22, 0x24, 0x64, 0x69, 0x72, 0x5c, 0x22,
  0x3a, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x22,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x4e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20,
  0x70, 0x61, 0x74, 0x68, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63, 0x6f,
  0x6d, 0x70, 0x61, 0x72, 0x69, 0x73, 0x6f, 0x6e, 0x20, 0x73, 0x69, 0x6e,
  0x63, 0x65, 0x20, 0x6c, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x20, 0x6b,
  0x6e, 0x6f, 0x77, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x68, 0x69, 0x6e, 0x67,
  0x20, 0x6f, 0x66, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x6f,
  0x74, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x20, 0x70, 0x61, 0x74, 0x68,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x61, 0x6e, 0x6f, 0x6d, 0x61, 0x6c, 0x69,
  0x65, 0x73, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x64, 0x69, 0x72, 0x20, 0x5b, 0x66, 0x69,
  0x6c, 0x65, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x65,
  0x20, 0x24, 0x64, 0x69, 0x72, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x75, 0x70,
  0x76, 0x61, 0x72, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x53,
  0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x6e, 0x6f,
  0x72, 0x6d, 0x5f, 0x64, 0x69, 0x72, 0x20, 0x6e, 0x69, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x74, 0x65, 0x28, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x2c, 0x6e, 0x6f, 0x72, 0x6d, 0x29, 0x7d, 0x20,
  0x7b, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x22, 0x5c,
  0x22, 0x24, 0x64, 0x69, 0x72, 0x5c, 0x22, 0x3a, 0x20, 0x6e, 0x6f, 0x74,
  0x20, 0x69, 0x6e, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70,
  0x61, 0x74, 0x68, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f,
  0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x69, 0x73, 0x20, 0x75, 0x73,
  0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74,
  0x20, 0x61, 0x6e, 0x20, 0x61, 0x74, 0x74, 0x65, 0x6d, 0x70, 0x74, 0x20,
  0x74, 0x6f, 0x20, 0x75, 0x73, 0x65, 0x20, 0x61, 0x6e, 0x20, 0x75, 0x6e,
  0x73, 0x61, 0x66, 0x65, 0x20, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x61, 0x6e, 0x0a, 0x23, 0x20, 0x65, 0x6e, 0x73, 0x65,
  0x6d, 0x62, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
  0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61,
  0x66, 0x65, 0x3a, 0x3a, 0x42, 0x61, 0x64, 0x53, 0x75, 0x62, 0x63, 0x6f,
  0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x73, 0x75, 0x62,
  0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x61, 0x72, 0x67, 0x73,
  0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x6d, 0x73, 0x67, 0x20, 0x22, 0x6e, 0x6f, 0x74, 0x20, 0x61, 0x6c, 0x6c,
  0x6f, 0x77, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x20, 0x69, 0x6e, 0x76, 0x6f,
  0x6b, 0x65, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x24, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x20, 0x6f, 0x66, 0x20, 0x24, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
  0x64, 0x22, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x24,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63,
  0x6f, 0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x54, 0x43,
  0x4c, 0x20, 0x53, 0x41, 0x46, 0x45, 0x20, 0x53, 0x55, 0x42, 0x43, 0x4f,
  0x4d, 0x4d, 0x41, 0x4e, 0x44, 0x7d, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x45, 0x6e,
  0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x20, 0x6f, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x20, 0x22, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e,
  0x67, 0x22, 0x20, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x20, 0x69, 0x6e, 0x20,
  0x73, 0x61, 0x66, 0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x72,
  0x65, 0x74, 0x65, 0x72, 0x73, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41, 0x6c, 0x69,
  0x61, 0x73, 0x45, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x7b,
  0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x20, 0x61, 0x72, 0x67, 0x73, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x20, 0x74, 0x68, 0x61, 0x74,
  0x20, 0x5b, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x64,
  0x69, 0x72, 0x73, 0x5d, 0x20, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x20,
  0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e,
  0x20, 0x73, 0x61, 0x66, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x73,
  0x20, 0x61, 0x74, 0x20, 0x61, 0x6c, 0x6c, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x7b, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
  0x66, 0x72, 0x6f, 0x6d, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
  0x74, 0x6f, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x20, 0x73, 0x79, 0x73,
  0x74, 0x65, 0x6d, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72, 0x79,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x6f, 0x70, 0x74, 0x69,
  0x6f, 0x6e, 0x20, 0x5b, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x70, 0x72, 0x65,
  0x66, 0x69, 0x78, 0x20, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x20, 0x2d, 0x65,
  0x72, 0x72, 0x6f, 0x72, 0x20, 0x5b, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x2d,
  0x6c, 0x65, 0x76, 0x65, 0x6c, 0x20, 0x31, 0x20, 0x2d, 0x65, 0x72, 0x72,
  0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x5c, 0x0a, 0x09, 0x09, 0x5b,
  0x6c, 0x69, 0x73, 0x74, 0x20, 0x54, 0x43, 0x4c, 0x20, 0x4c, 0x4f, 0x4f,
  0x4b, 0x55, 0x50, 0x20, 0x49, 0x4e, 0x44, 0x45, 0x58, 0x20, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
  0x5d, 0x5d, 0x20, 0x24, 0x73, 0x75, 0x62, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
  0x6e, 0x64, 0x73, 0x20, 0x24, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x5d,
  0x0a, 0x09, 0x23, 0x20, 0x53, 0x70, 0x65, 0x63, 0x69, 0x61, 0x6c, 0x20,
  0x63, 0x61, 0x73, 0x65, 0x3a, 0x20, 0x5b, 0x65, 0x6e, 0x63, 0x6f, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x5d, 0x20,
  0x6f, 0x6b, 0x2c, 0x20, 0x62, 0x75, 0x74, 0x20, 0x5b, 0x65, 0x6e, 0x63,
  0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d,
  0x20, 0x66, 0x6f, 0x6f, 0x5d, 0x20, 0x6e, 0x6f, 0x74, 0x0a, 0x09, 0x69,
  0x66, 0x20, 0x7b, 0x24, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x65,
  0x71, 0x20, 0x22, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x22, 0x20, 0x26,
  0x26, 0x20, 0x5b, 0x6c, 0x6c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x20, 0x24,
  0x61, 0x72, 0x67, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x20, 0x20,
  0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x2d, 0x63, 0x6f,
  0x64, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x2d, 0x65, 0x72,
  0x72, 0x6f, 0x72, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x7b, 0x54, 0x43, 0x4c,
  0x20, 0x57, 0x52, 0x4f, 0x4e, 0x47, 0x41, 0x52, 0x47, 0x53, 0x7d, 0x20,
  0x5c, 0x0a, 0x09, 0x09, 0x22, 0x77, 0x72, 0x6f, 0x6e, 0x67, 0x20, 0x23,
  0x20, 0x61, 0x72, 0x67, 0x73, 0x3a, 0x20, 0x73, 0x68, 0x6f, 0x75, 0x6c,
  0x64, 0x20, 0x62, 0x65, 0x20, 0x5c, 0x22, 0x65, 0x6e, 0x63, 0x6f, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x5c, 0x22,
  0x22, 0x0a, 0x09, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x6f,
  0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x7b, 0x6d, 0x73, 0x67,
  0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x4c, 0x6f, 0x67, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x24, 0x6d, 0x73, 0x67, 0x0a, 0x09, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x2d, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x20, 0x24, 0x6d, 0x73, 0x67, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x61,
  0x69, 0x6c, 0x63, 0x61, 0x6c, 0x6c, 0x20, 0x3a, 0x3a, 0x69, 0x6e, 0x74,
  0x65, 0x72, 0x70, 0x20, 0x69, 0x6e, 0x76, 0x6f, 0x6b, 0x65, 0x68, 0x69,
  0x64, 0x64, 0x65, 0x6e, 0x20, 0x24, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x24, 0x6f, 0x70,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x7b, 0x2a, 0x7d, 0x24, 0x61, 0x72, 0x67,
  0x73, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x56, 0x61, 0x72, 0x69, 0x6f,
  0x75, 0x73, 0x20, 0x6d, 0x69, 0x6e, 0x6f, 0x72, 0x20, 0x68, 0x69, 0x64,
  0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x20, 0x70, 0x6c, 0x61, 0x74, 0x66,
  0x6f, 0x72, 0x6d, 0x20, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73,
  0x2e, 0x20, 0x5b, 0x42, 0x75, 0x67, 0x20, 0x32, 0x39, 0x31, 0x33, 0x36,
  0x32, 0x35, 0x5d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x45,
  0x78, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74,
  0x75, 0x72, 0x6e, 0x20, 0x22, 0x22, 0x0a, 0x7d, 0x0a, 0x0a, 0x70, 0x72,
  0x6f, 0x63, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x53,
  0x65, 0x74, 0x75, 0x70, 0x20, 0x7b, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x65, 0x74, 0x75, 0x70,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e,
  0x74, 0x73, 0x20, 0x70, 0x61, 0x72, 0x73, 0x69, 0x6e, 0x67, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x23, 0x23,
  0x23, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x53, 0x68, 0x61,
  0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x64, 0x65, 0x73, 0x63, 0x72,
  0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x20, 0x5b, 0x3a, 0x3a,
  0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x52,
  0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x7b, 0x0a, 0x09, 0x7b,
  0x2d, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x61, 0x74, 0x68, 0x20,
  0x2d, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x22, 0x61, 0x63,
  0x63, 0x65, 0x73, 0x73, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x22,
  0x7d, 0x0a, 0x09, 0x7b, 0x2d, 0x6e, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x69,
  0x63, 0x73, 0x20, 0x22, 0x70, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x20,
  0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x6f, 0x66, 0x20, 0x73,
  0x74, 0x61, 0x74, 0x69, 0x63, 0x61, 0x6c, 0x6c, 0x79, 0x20, 0x6c, 0x69,
  0x6e, 0x6b, 0x65, 0x64, 0x20, 0x70, 0x6b, 0x67, 0x73, 0x22, 0x7d, 0x0a,
  0x09, 0x7b, 0x2d, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x73, 0x20, 0x74,
  0x72, 0x75, 0x65, 0x20, 0x22, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67,
  0x20, 0x6f, 0x66, 0x20, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x61, 0x6c,
  0x6c, 0x79, 0x20, 0x6c, 0x69, 0x6e, 0x6b, 0x65, 0x64, 0x20, 0x70, 0x6b,
  0x67, 0x73, 0x22, 0x7d, 0x0a, 0x09, 0x7b, 0x2d, 0x6e, 0x65, 0x73, 0x74,
  0x65, 0x64, 0x4c, 0x6f, 0x61, 0x64, 0x4f, 0x6b, 0x20, 0x22, 0x61, 0x6c,
  0x6c, 0x6f, 0x77, 0x20, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x6c,
  0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x22, 0x7d, 0x0a, 0x09, 0x7b, 0x2d,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x66, 0x61, 0x6c, 0x73, 0x65,
  0x20, 0x22, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x20, 0x6c, 0x6f, 0x61,
  0x64, 0x69, 0x6e, 0x67, 0x22, 0x7d, 0x0a, 0x09, 0x7b, 0x2d, 0x64, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f, 0x6b, 0x20, 0x2d, 0x73, 0x63,
  0x72, 0x69, 0x70, 0x74, 0x20, 0x7b, 0x7d, 0x20, 0x22, 0x64, 0x65, 0x6c,
  0x65, 0x74, 0x65, 0x20, 0x68, 0x6f, 0x6f, 0x6b, 0x22, 0x7d, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x7d, 0x5d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x20, 0x63, 0x61, 0x73, 0x65,
  0x20, 0x28, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6f,
  0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x29, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b,
  0x65, 0x79, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x20, 0x7b,
  0x0a, 0x09, 0x7b, 0x3f, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x3f, 0x20, 0x2d,
  0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x22, 0x6e, 0x61, 0x6d,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61,
  0x76, 0x65, 0x20, 0x28, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c,
  0x29, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20, 0x3a, 0x3a,
  0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70,
  0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x61, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x20, 0x73, 0x75, 0x62, 0x20, 0x70,
  0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x70,
  0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x20, 0x28, 0x72, 0x65, 0x6c, 0x79,
  0x69, 0x6e, 0x67, 0x20, 0x6f, 0x6e, 0x20, 0x4f, 0x70, 0x74, 0x27, 0x73,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72,
  0x6e, 0x61, 0x6c, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e,
  0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x74, 0x61, 0x69,
  0x6c, 0x73, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70,
  0x65, 0x6e, 0x64, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x3a, 0x3a, 0x73, 0x61, 0x66,
  0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x43, 0x72, 0x65,
  0x61, 0x74, 0x65, 0x29, 0x20, 0x24, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x4f, 0x70, 0x74, 0x44, 0x65, 0x73, 0x63, 0x28, 0x24, 0x74, 0x65,
  0x6d, 0x70, 0x29, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x69,
  0x6e, 0x69, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x63, 0x6f, 0x6e, 0x66,
  0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x28, 0x73, 0x6c, 0x61, 0x76, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x29, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f,
  0x70, 0x74, 0x4b, 0x65, 0x79, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65,
  0x72, 0x20, 0x7b, 0x0a, 0x09, 0x7b, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20,
  0x2d, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x7b, 0x7d, 0x20, 0x22, 0x6e, 0x61,
  0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c,
  0x61, 0x76, 0x65, 0x22, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x20,
  0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a, 0x3a, 0x69, 0x6e, 0x74, 0x65,
  0x72, 0x70, 0x49, 0x43, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x61, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66,
  0x6c, 0x61, 0x67, 0x73, 0x20, 0x73, 0x75, 0x62, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x20, 0x70, 0x72, 0x6f,
  0x67, 0x72, 0x61, 0x6d, 0x20, 0x28, 0x72, 0x65, 0x6c, 0x79, 0x69, 0x6e,
  0x67, 0x20, 0x6f, 0x6e, 0x20, 0x4f, 0x70, 0x74, 0x27, 0x73, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61,
  0x6c, 0x20, 0x69, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x6c, 0x61, 0x70, 0x70, 0x65, 0x6e,
  0x64, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74,
  0x44, 0x65, 0x73, 0x63, 0x28, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a,
  0x3a, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x49, 0x43, 0x29, 0x20, 0x24,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x44, 0x65,
  0x73, 0x63, 0x28, 0x24, 0x74, 0x65, 0x6d, 0x70, 0x29, 0x0a, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x65, 0x6d, 0x70, 0x20, 0x6e, 0x6f,
  0x74, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x61, 0x6e, 0x79,
  0x6d, 0x6f, 0x72, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x3a, 0x74,
  0x63, 0x6c, 0x3a, 0x3a, 0x4f, 0x70, 0x74, 0x4b, 0x65, 0x79, 0x44, 0x65,
  0x6c, 0x65, 0x74, 0x65, 0x20, 0x24, 0x74, 0x65, 0x6d, 0x70, 0x0a, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x23, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x44, 0x65, 0x66,
  0x61, 0x75, 0x6c, 0x74, 0x3a, 0x20, 0x4e, 0x6f, 0x20, 0x6c, 0x6f, 0x67,
  0x67, 0x69, 0x6e, 0x67, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x23, 0x23, 0x23, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x4c, 0x6f, 0x67, 0x43, 0x6d, 0x64, 0x20,
  0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4c, 0x6f,
  0x67, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x75, 0x61, 0x6c, 0x6c, 0x79,
  0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x6f, 0x20, 0x65,
  0x6e, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20,
  0x6c, 0x6f, 0x67, 0x67, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x73, 0x65, 0x74,
  0x20, 0x4c, 0x6f, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x7b, 0x70, 0x75, 0x74,
  0x73, 0x20, 0x73, 0x74, 0x64, 0x65, 0x72, 0x72, 0x7d, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x2c, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x76, 0x69, 0x61, 0x20, 0x73, 0x65,
  0x74, 0x4c, 0x6f, 0x67, 0x43, 0x6d, 0x64, 0x2e, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x0a, 0x7d, 0x0a, 0x0a, 0x6e,
  0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x65, 0x76, 0x61,
  0x6c, 0x20, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61,
  0x6c, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x0a,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x63,
  0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2c, 0x20, 0x73, 0x65, 0x74, 0x20,
  0x76, 0x69, 0x61, 0x20, 0x27, 0x73, 0x65, 0x74, 0x4c, 0x6f, 0x67, 0x43,
  0x6d, 0x64, 0x27, 0x2e, 0x20, 0x4c, 0x6f, 0x67, 0x67, 0x69, 0x6e, 0x67,
  0x20, 0x69, 0x73, 0x20, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64,
  0x20, 0x77, 0x68, 0x65, 0x6e, 0x20, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x4c, 0x6f, 0x67, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x70, 0x61, 0x63, 0x6b,
  0x61, 0x67, 0x65, 0x20, 0x6d, 0x61, 0x69, 0x6e, 0x74, 0x61, 0x69, 0x6e,
  0x73, 0x20, 0x61, 0x20, 0x73, 0x74, 0x61, 0x74, 0x65, 0x20, 0x61, 0x72,
  0x72, 0x61, 0x79, 0x20, 0x70, 0x65, 0x72, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x20, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x75, 0x6e, 0x64,
  0x65, 0x72, 0x20, 0x69, 0x74, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x20, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x6e, 0x61, 0x6d, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68,
  0x69, 0x73, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20, 0x69, 0x73, 0x20,
  0x53, 0x3c, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x70, 0x2d, 0x6e, 0x61, 0x6d,
  0x65, 0x3e, 0x2e, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x61, 0x72, 0x72,
  0x61, 0x79, 0x20, 0x69, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x62, 0x72, 0x6f, 0x75, 0x67, 0x68, 0x74, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x20, 0x77, 0x68, 0x65, 0x72, 0x65,
  0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x2c, 0x20, 0x75, 0x73, 0x69,
  0x6e, 0x67, 0x20, 0x27, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
  0x65, 0x20, 0x75, 0x70, 0x76, 0x61, 0x72, 0x27, 0x2e, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x53, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x70, 0x72,
  0x65, 0x66, 0x69, 0x78, 0x20, 0x69, 0x73, 0x20, 0x75, 0x73, 0x65, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x61, 0x76, 0x6f, 0x69, 0x64, 0x20, 0x74, 0x68,
  0x61, 0x74, 0x20, 0x61, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x69,
  0x6e, 0x74, 0x65, 0x72, 0x70, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x64,
  0x20, 0x22, 0x4c, 0x6f, 0x67, 0x22, 0x20, 0x73, 0x6d, 0x61, 0x73, 0x68,
  0x65, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x22, 0x4c, 0x6f, 0x67, 0x22, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61,
  0x62, 0x6c, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x54, 0x68, 0x65, 0x20, 0x61, 0x72, 0x72,
  0x61, 0x79, 0x27, 0x73, 0x20, 0x65, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
  0x73, 0x20, 0x61, 0x72, 0x65, 0x3a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x3a, 0x20, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x73, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x69,
  0x62, 0x6c, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
  0x6c, 0x61, 0x76, 0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c,
  0x6e, 0x6f, 0x72, 0x6d, 0x20, 0x20, 0x3a, 0x20, 0x44, 0x69, 0x74, 0x74,
  0x6f, 0x2c, 0x20, 0x69, 0x6e, 0x20, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c,
  0x69, 0x7a, 0x65, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x2c, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x3a,
  0x20, 0x44, 0x69, 0x74, 0x74, 0x6f, 0x2c, 0x20, 0x61, 0x73, 0x20, 0x74,
  0x68, 0x65, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20, 0x74, 0x6f, 0x6b, 0x65,
  0x6e, 0x73, 0x20, 0x61, 0x73, 0x20, 0x73, 0x65, 0x65, 0x6e, 0x20, 0x62,
  0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x2e,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65, 0x73,
  0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x6d, 0x61, 0x70, 0x20, 0x20,
  0x20, 0x3a, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x28, 0x20, 0x74, 0x6f,
  0x6b, 0x65, 0x6e, 0x20, 0x2d, 0x3e, 0x20, 0x70, 0x61, 0x74, 0x68, 0x20,
  0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x61, 0x63, 0x63, 0x65,
  0x73, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x2c, 0x72, 0x65, 0x6d, 0x61,
  0x70, 0x20, 0x3a, 0x20, 0x64, 0x69, 0x63, 0x74, 0x20, 0x28, 0x20, 0x70,
  0x61, 0x74, 0x68, 0x20, 0x2d, 0x3e, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e,
  0x20, 0x29, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x74, 0x6d, 0x5f,
  0x70, 0x61, 0x74, 0x68, 0x5f, 0x73, 0x6c, 0x61, 0x76, 0x65, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x20, 0x4c, 0x69, 0x73, 0x74, 0x20, 0x6f, 0x66,
  0x20, 0x54, 0x4d, 0x20, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x64, 0x69, 0x72,
  0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x2c, 0x20, 0x61, 0x73,
  0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x20, 0x73, 0x65, 0x65, 0x6e,
  0x20, 0x62, 0x79, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x6c, 0x61, 0x76,
  0x65, 0x2e, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x73, 0x74, 0x61,
  0x74, 0x69, 0x63, 0x73, 0x6f, 0x6b, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x3a, 0x20, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x20, 0x6f,
  0x66, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x2d, 0x73, 0x74,
  0x61, 0x74, 0x69, 0x63, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20,
  0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x6f, 0x6b, 0x20, 0x20, 0x20, 0x20,
  0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x20, 0x56, 0x61, 0x6c, 0x75,
  0x65, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x20,
  0x2d, 0x6e, 0x65, 0x73, 0x74, 0x65, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x23, 0x20, 0x63, 0x6c, 0x65, 0x61, 0x6e, 0x75, 0x70, 0x48, 0x6f, 0x6f,
  0x6b, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3a, 0x20, 0x56, 0x61,
  0x6c, 0x75, 0x65, 0x20, 0x6f, 0x66, 0x20, 0x6f, 0x70, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x2d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x6f, 0x6f,
  0x6b, 0x0a, 0x7d, 0x0a, 0x0a, 0x3a, 0x3a, 0x73, 0x61, 0x66, 0x65, 0x3a,
  0x3a, 0x53, 0x65, 0x74, 0x75, 0x70, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_safe_tcl_len = sizeof(__turbine_tcl_resource_safe_tcl) - 1;
/* data from /usr/share/tcltk/tcl8.6/word.tcl */
/*FILE2ARRAY:__turbine_tcl_resource_word_tcl:/usr/share/tcltk/tcl8.6/word.tcl*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_word_tcl[] = {
  0x23, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x2e, 0x74, 0x63, 0x6c, 0x20, 0x2d,
  0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66,
  0x69, 0x6c, 0x65, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x73, 0x20,
  0x76, 0x61, 0x72, 0x69, 0x6f, 0x75, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x65, 0x64, 0x75, 0x72, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x63,
  0x6f, 0x6d, 0x70, 0x75, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x77, 0x6f, 0x72,
  0x64, 0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x61, 0x72, 0x69, 0x65, 0x73,
  0x20, 0x69, 0x6e, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x73, 0x2e, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65,
  0x20, 0x69, 0x73, 0x20, 0x70, 0x72, 0x69, 0x6d, 0x61, 0x72, 0x69, 0x6c,
  0x79, 0x20, 0x6e, 0x65, 0x65, 0x64, 0x65, 0x64, 0x20, 0x73, 0x6f, 0x20,
  0x54, 0x6b, 0x20, 0x74, 0x65, 0x78, 0x74, 0x20, 0x61, 0x6e, 0x64, 0x20,
  0x65, 0x6e, 0x74, 0x72, 0x79, 0x20, 0x77, 0x69, 0x64, 0x67, 0x65, 0x74,
  0x73, 0x20, 0x62, 0x65, 0x68, 0x61, 0x76, 0x65, 0x0a, 0x23, 0x20, 0x70,
  0x72, 0x6f, 0x70, 0x65, 0x72, 0x6c, 0x79, 0x20, 0x66, 0x6f, 0x72, 0x20,
  0x64, 0x69, 0x66, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x74, 0x20, 0x70, 0x6c,
  0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x28,
  0x63, 0x29, 0x20, 0x31, 0x39, 0x39, 0x36, 0x20, 0x62, 0x79, 0x20, 0x53,
  0x75, 0x6e, 0x20, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x79, 0x73, 0x74,
  0x65, 0x6d, 0x73, 0x2c, 0x20, 0x49, 0x6e, 0x63, 0x2e, 0x0a, 0x23, 0x20,
  0x43, 0x6f, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x28, 0x63,
  0x29, 0x20, 0x31, 0x39, 0x39, 0x38, 0x20, 0x62, 0x79, 0x20, 0x53, 0x63,
  0x72, 0x69, 0x74, 0x70, 0x69, 0x63, 0x73, 0x20, 0x43, 0x6f, 0x72, 0x70,
  0x6f, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x0a, 0x23, 0x0a, 0x23,
  0x20, 0x53, 0x65, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x6c,
  0x65, 0x20, 0x22, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x74,
  0x65, 0x72, 0x6d, 0x73, 0x22, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x69, 0x6e,
  0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x6f, 0x6e,
  0x20, 0x75, 0x73, 0x61, 0x67, 0x65, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72,
  0x65, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f,
  0x6e, 0x0a, 0x23, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20,
  0x66, 0x69, 0x6c, 0x65, 0x2c, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x66, 0x6f,
  0x72, 0x20, 0x61, 0x20, 0x44, 0x49, 0x53, 0x43, 0x4c, 0x41, 0x49, 0x4d,
  0x45, 0x52, 0x20, 0x4f, 0x46, 0x20, 0x41, 0x4c, 0x4c, 0x20, 0x57, 0x41,
  0x52, 0x52, 0x41, 0x4e, 0x54, 0x49, 0x45, 0x53, 0x2e, 0x0a, 0x0a, 0x23,
  0x20, 0x54, 0x68, 0x65, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69,
  0x6e, 0x67, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x74, 0x6f,
  0x20, 0x64, 0x65, 0x74, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x65, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74,
  0x65, 0x72, 0x73, 0x20, 0x61, 0x72, 0x65, 0x0a, 0x23, 0x20, 0x69, 0x6e,
  0x74, 0x65, 0x72, 0x70, 0x72, 0x65, 0x74, 0x65, 0x64, 0x20, 0x61, 0x73,
  0x20, 0x77, 0x68, 0x69, 0x74, 0x65, 0x20, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x2e, 0x0a, 0x0a, 0x69, 0x66, 0x20, 0x7b, 0x24, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x28, 0x70,
  0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x29, 0x20, 0x65, 0x71, 0x20,
  0x22, 0x77, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x22, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x57, 0x69, 0x6e, 0x64, 0x6f,
  0x77, 0x73, 0x20, 0x73, 0x74, 0x79, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x61,
  0x6e, 0x79, 0x20, 0x62, 0x75, 0x74, 0x20, 0x61, 0x20, 0x75, 0x6e, 0x69,
  0x63, 0x6f, 0x64, 0x65, 0x20, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63,
  0x68, 0x61, 0x72, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b,
  0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74,
  0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64,
  0x63, 0x68, 0x61, 0x72, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73,
  0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72,
  0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x7b, 0x5c, 0x53, 0x7d, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66,
  0x20, 0x7b, 0x21, 0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69,
  0x73, 0x74, 0x73, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6e, 0x6f,
  0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x5d, 0x7d,
  0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63,
  0x6c, 0x5f, 0x6e, 0x6f, 0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61,
  0x72, 0x73, 0x20, 0x7b, 0x5c, 0x73, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x7d, 0x0a, 0x7d, 0x20, 0x65, 0x6c, 0x73, 0x65, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x23, 0x20, 0x4d, 0x6f, 0x74, 0x69, 0x66, 0x20, 0x73,
  0x74, 0x79, 0x6c, 0x65, 0x20, 0x2d, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x75,
  0x6e, 0x69, 0x63, 0x6f, 0x64, 0x65, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x20,
  0x63, 0x68, 0x61, 0x72, 0x20, 0x28, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72,
  0x2c, 0x20, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x2c, 0x20, 0x6f, 0x72,
  0x20, 0x75, 0x6e, 0x64, 0x65, 0x72, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x29,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21, 0x5b, 0x69,
  0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61,
  0x72, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68,
  0x61, 0x72, 0x73, 0x20, 0x7b, 0x5c, 0x77, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x69, 0x66, 0x20, 0x7b, 0x21,
  0x5b, 0x69, 0x6e, 0x66, 0x6f, 0x20, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
  0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6e, 0x6f, 0x6e, 0x77, 0x6f,
  0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x5d, 0x7d, 0x20, 0x7b, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6e,
  0x6f, 0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20,
  0x7b, 0x5c, 0x57, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x7d, 0x0a, 0x7d,
  0x0a, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x20,
  0x66, 0x6f, 0x72, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x73, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x61, 0x6c, 0x20, 0x6d,
  0x61, 0x74, 0x63, 0x68, 0x65, 0x72, 0x20, 0x52, 0x45, 0x73, 0x20, 0x74,
  0x6f, 0x20, 0x62, 0x65, 0x20, 0x6b, 0x65, 0x70, 0x74, 0x2c, 0x20, 0x77,
  0x68, 0x69, 0x63, 0x68, 0x20, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x52, 0x45, 0x73, 0x0a, 0x23, 0x20, 0x74,
  0x68, 0x65, 0x6d, 0x73, 0x65, 0x6c, 0x76, 0x65, 0x73, 0x20, 0x74, 0x6f,
  0x20, 0x62, 0x65, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x20, 0x66,
  0x6f, 0x72, 0x20, 0x67, 0x72, 0x65, 0x61, 0x74, 0x65, 0x72, 0x20, 0x70,
  0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x6e, 0x63, 0x65, 0x20, 0x28,
  0x61, 0x6e, 0x64, 0x20, 0x73, 0x6f, 0x6d, 0x65, 0x77, 0x68, 0x61, 0x74,
  0x20, 0x67, 0x72, 0x65, 0x61, 0x74, 0x65, 0x72, 0x0a, 0x23, 0x20, 0x63,
  0x6c, 0x61, 0x72, 0x69, 0x74, 0x79, 0x20, 0x74, 0x6f, 0x6f, 0x29, 0x2e,
  0x0a, 0x0a, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20,
  0x65, 0x76, 0x61, 0x6c, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52,
  0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x61, 0x72, 0x72, 0x61, 0x79, 0x20,
  0x73, 0x65, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61,
  0x6b, 0x52, 0x45, 0x20, 0x7b, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x57,
  0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x73, 0x20,
  0x61, 0x72, 0x67, 0x73, 0x20, 0x7b, 0x0a, 0x09, 0x23, 0x20, 0x49, 0x67,
  0x6e, 0x6f, 0x72, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x61, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x0a, 0x09, 0x67, 0x6c, 0x6f,
  0x62, 0x61, 0x6c, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64,
  0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x6e, 0x6f,
  0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x0a, 0x09,
  0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x57, 0x6f, 0x72,
  0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x0a, 0x09, 0x23,
  0x20, 0x54, 0x6f, 0x20, 0x6b, 0x65, 0x65, 0x70, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x52, 0x45, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73, 0x20,
  0x73, 0x68, 0x6f, 0x72, 0x74, 0x2e, 0x2e, 0x2e, 0x0a, 0x09, 0x73, 0x65,
  0x74, 0x20, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x20, 0x24, 0x74, 0x63,
  0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x0a,
  0x09, 0x73, 0x65, 0x74, 0x20, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x24,
  0x74, 0x63, 0x6c, 0x5f, 0x6e, 0x6f, 0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63,
  0x68, 0x61, 0x72, 0x73, 0x0a, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x57,
  0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x61,
  0x66, 0x74, 0x65, 0x72, 0x29, 0x09, 0x09, 0x22, 0x24, 0x6c, 0x65, 0x74,
  0x74, 0x65, 0x72, 0x24, 0x73, 0x70, 0x61, 0x63, 0x65, 0x7c, 0x24, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x24, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x22,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65,
  0x29, 0x09, 0x09, 0x22, 0x5e, 0x2e, 0x2a, 0x28, 0x24, 0x6c, 0x65, 0x74,
  0x74, 0x65, 0x72, 0x24, 0x73, 0x70, 0x61, 0x63, 0x65, 0x7c, 0x24, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x24, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x29,
  0x22, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42,
  0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x65, 0x6e, 0x64, 0x29, 0x09,
  0x09, 0x22, 0x24, 0x73, 0x70, 0x61, 0x63, 0x65, 0x2a, 0x24, 0x6c, 0x65,
  0x74, 0x74, 0x65, 0x72, 0x2b, 0x24, 0x73, 0x70, 0x61, 0x63, 0x65, 0x22,
  0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x6e, 0x65, 0x78, 0x74, 0x29, 0x09,
  0x09, 0x22, 0x24, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x2a, 0x24, 0x73,
  0x70, 0x61, 0x63, 0x65, 0x2b, 0x24, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72,
  0x22, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x42,
  0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x70, 0x72, 0x65, 0x76, 0x69,
  0x6f, 0x75, 0x73, 0x29, 0x09, 0x22, 0x24, 0x73, 0x70, 0x61, 0x63, 0x65,
  0x2a, 0x28, 0x24, 0x6c, 0x65, 0x74, 0x74, 0x65, 0x72, 0x2b, 0x29, 0x24,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x2a, 0x5c, 0x24, 0x22, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x7d, 0x0a, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x23, 0x20, 0x49,
  0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x63, 0x61, 0x63, 0x68, 0x65, 0x0a, 0x20, 0x20, 0x20, 0x20,
  0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74,
  0x72, 0x61, 0x63, 0x65, 0x20, 0x61, 0x64, 0x64, 0x20, 0x76, 0x61, 0x72,
  0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f,
  0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20, 0x77, 0x72,
  0x69, 0x74, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x55,
  0x70, 0x64, 0x61, 0x74, 0x65, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65,
  0x61, 0x6b, 0x52, 0x45, 0x73, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x74, 0x72,
  0x61, 0x63, 0x65, 0x20, 0x61, 0x64, 0x64, 0x20, 0x76, 0x61, 0x72, 0x69,
  0x61, 0x62, 0x6c, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x5f, 0x6e,
  0x6f, 0x6e, 0x77, 0x6f, 0x72, 0x64, 0x63, 0x68, 0x61, 0x72, 0x73, 0x20,
  0x77, 0x72, 0x69, 0x74, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a,
  0x3a, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x57, 0x6f, 0x72, 0x64, 0x42,
  0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x73, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x20, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65,
  0x61, 0x6b, 0x41, 0x66, 0x74, 0x65, 0x72, 0x20, 0x2d, 0x2d, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63,
  0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74,
  0x20, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x61,
  0x72, 0x79, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x0a, 0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20,
  0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x2c, 0x20, 0x6f, 0x72, 0x20, 0x2d, 0x31, 0x20, 0x69, 0x66, 0x20,
  0x74, 0x68, 0x65, 0x72, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6e, 0x6f,
  0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64, 0x61,
  0x72, 0x69, 0x65, 0x73, 0x20, 0x69, 0x6e, 0x0a, 0x23, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x2e, 0x20, 0x54, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x65, 0x64, 0x20, 0x72,
  0x65, 0x66, 0x65, 0x72, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61,
  0x63, 0x74, 0x65, 0x72, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a,
  0x23, 0x20, 0x70, 0x61, 0x69, 0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20,
  0x63, 0x6f, 0x6d, 0x70, 0x72, 0x69, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20,
  0x62, 0x6f, 0x75, 0x6e, 0x64, 0x61, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a,
  0x0a, 0x23, 0x20, 0x73, 0x74, 0x72, 0x20, 0x2d, 0x09, 0x09, 0x53, 0x74,
  0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72,
  0x63, 0x68, 0x2e, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20,
  0x2d, 0x09, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x74, 0x6f,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x70, 0x65, 0x63,
  0x69, 0x66, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x0a,
  0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72,
  0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x41, 0x66, 0x74, 0x65, 0x72, 0x20,
  0x7b, 0x73, 0x74, 0x72, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x7d, 0x20,
  0x7b, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
  0x6c, 0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x57, 0x6f,
  0x72, 0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x73, 0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x20, 0x7b, 0x2d, 0x31, 0x20, 0x2d, 0x31, 0x7d, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x72, 0x65, 0x67, 0x65, 0x78, 0x70, 0x20, 0x2d, 0x69, 0x6e, 0x64,
  0x69, 0x63, 0x65, 0x73, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20,
  0x24, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x57,
  0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x61,
  0x66, 0x74, 0x65, 0x72, 0x29, 0x20, 0x24, 0x73, 0x74, 0x72, 0x20, 0x72,
  0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x31, 0x5d, 0x0a,
  0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72,
  0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x62,
  0x6f, 0x75, 0x6e, 0x64, 0x61, 0x72, 0x79, 0x20, 0x62, 0x65, 0x66, 0x6f,
  0x72, 0x65, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2c, 0x20, 0x6f, 0x72, 0x20,
  0x2d, 0x31, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65, 0x20,
  0x61, 0x72, 0x65, 0x20, 0x6e, 0x6f, 0x20, 0x6d, 0x6f, 0x72, 0x65, 0x20,
  0x62, 0x6f, 0x75, 0x6e, 0x64, 0x61, 0x72, 0x69, 0x65, 0x73, 0x20, 0x69,
  0x6e, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65,
  0x6e, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x54, 0x68,
  0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x72, 0x65, 0x74, 0x75,
  0x72, 0x6e, 0x65, 0x64, 0x20, 0x72, 0x65, 0x66, 0x65, 0x72, 0x73, 0x20,
  0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x65, 0x63, 0x6f, 0x6e,
  0x64, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x20,
  0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x70, 0x61, 0x69,
  0x72, 0x20, 0x74, 0x68, 0x61, 0x74, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x72,
  0x69, 0x73, 0x65, 0x73, 0x20, 0x61, 0x20, 0x62, 0x6f, 0x75, 0x6e, 0x64,
  0x61, 0x72, 0x79, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67,
  0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x73, 0x74,
  0x72, 0x20, 0x2d, 0x09, 0x09, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2e, 0x0a, 0x23,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x2d, 0x09, 0x49, 0x6e, 0x64,
  0x65, 0x78, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x69, 0x6e,
  0x67, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70,
  0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20,
  0x74, 0x63, 0x6c, 0x5f, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65, 0x61,
  0x6b, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x20, 0x7b, 0x73, 0x74, 0x72,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x2d, 0x31,
  0x20, 0x2d, 0x31, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x67,
  0x65, 0x78, 0x70, 0x20, 0x2d, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x65, 0x73,
  0x20, 0x2d, 0x2d, 0x20, 0x24, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72, 0x65,
  0x61, 0x6b, 0x52, 0x45, 0x28, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x29,
  0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x72, 0x61, 0x6e,
  0x67, 0x65, 0x20, 0x24, 0x73, 0x74, 0x72, 0x20, 0x30, 0x20, 0x24, 0x73,
  0x74, 0x61, 0x72, 0x74, 0x5d, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20,
  0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x72, 0x65, 0x73,
  0x75, 0x6c, 0x74, 0x20, 0x31, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20,
  0x74, 0x63, 0x6c, 0x5f, 0x65, 0x6e, 0x64, 0x4f, 0x66, 0x57, 0x6f, 0x72,
  0x64, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69,
  0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20,
  0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x65, 0x6e, 0x64, 0x2d, 0x6f,
  0x66, 0x2d, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74,
  0x69, 0x6f, 0x6e, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x61, 0x0a,
  0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x2e, 0x20, 0x41, 0x6e, 0x20, 0x65, 0x6e, 0x64, 0x2d, 0x6f, 0x66, 0x2d,
  0x77, 0x6f, 0x72, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f,
  0x6e, 0x20, 0x69, 0x73, 0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64,
  0x20, 0x74, 0x6f, 0x20, 0x62, 0x65, 0x0a, 0x23, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x77, 0x68, 0x69, 0x74, 0x65,
  0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63,
  0x74, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x69, 0x6e,
  0x67, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20,
  0x6e, 0x6f, 0x6e, 0x2d, 0x77, 0x68, 0x69, 0x74, 0x65, 0x73, 0x70, 0x61,
  0x63, 0x65, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72,
  0x0a, 0x23, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f,
  0x69, 0x6e, 0x74, 0x2e, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x2d, 0x31, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68, 0x65, 0x72, 0x65,
  0x20, 0x61, 0x72, 0x65, 0x20, 0x6e, 0x6f, 0x20, 0x6d, 0x6f, 0x72, 0x65,
  0x20, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72,
  0x20, 0x74, 0x68, 0x65, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x23,
  0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73,
  0x3a, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x72, 0x20, 0x2d, 0x09, 0x09, 0x53,
  0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61,
  0x72, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74,
  0x20, 0x2d, 0x09, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x74,
  0x6f, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x70, 0x65,
  0x63, 0x69, 0x66, 0x79, 0x69, 0x6e, 0x67, 0x20, 0x73, 0x74, 0x61, 0x72,
  0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a,
  0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74, 0x63, 0x6c, 0x5f, 0x65, 0x6e,
  0x64, 0x4f, 0x66, 0x57, 0x6f, 0x72, 0x64, 0x20, 0x7b, 0x73, 0x74, 0x72,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20, 0x20,
  0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20, 0x3a,
  0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73, 0x65,
  0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x2d, 0x31,
  0x20, 0x2d, 0x31, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x67,
  0x65, 0x78, 0x70, 0x20, 0x2d, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x65, 0x73,
  0x20, 0x2d, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x24, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x57, 0x6f, 0x72, 0x64, 0x42,
  0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x65, 0x6e, 0x64, 0x29, 0x20,
  0x24, 0x73, 0x74, 0x72, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x0a,
  0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b,
  0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x72, 0x65, 0x73, 0x75,
  0x6c, 0x74, 0x20, 0x31, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4f, 0x66, 0x4e, 0x65,
  0x78, 0x74, 0x57, 0x6f, 0x72, 0x64, 0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a,
  0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x70, 0x72, 0x6f, 0x63, 0x65,
  0x64, 0x75, 0x72, 0x65, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x73,
  0x20, 0x74, 0x68, 0x65, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f,
  0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x69, 0x72, 0x73, 0x74, 0x20,
  0x73, 0x74, 0x61, 0x72, 0x74, 0x2d, 0x6f, 0x66, 0x2d, 0x77, 0x6f, 0x72,
  0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x61,
  0x66, 0x74, 0x65, 0x72, 0x20, 0x61, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x61,
  0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20,
  0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
  0x20, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x20, 0x41, 0x20, 0x73,
  0x74, 0x61, 0x72, 0x74, 0x2d, 0x6f, 0x66, 0x2d, 0x77, 0x6f, 0x72, 0x64,
  0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x69, 0x73,
  0x20, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x74, 0x6f, 0x0a,
  0x23, 0x20, 0x62, 0x65, 0x20, 0x61, 0x20, 0x6e, 0x6f, 0x6e, 0x2d, 0x77,
  0x68, 0x69, 0x74, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x68,
  0x61, 0x72, 0x61, 0x63, 0x74, 0x65, 0x72, 0x20, 0x66, 0x6f, 0x6c, 0x6c,
  0x6f, 0x77, 0x69, 0x6e, 0x67, 0x20, 0x61, 0x20, 0x77, 0x68, 0x69, 0x74,
  0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x20, 0x63, 0x68, 0x61, 0x72, 0x61,
  0x63, 0x74, 0x65, 0x72, 0x2e, 0x20, 0x52, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x73, 0x20, 0x2d, 0x31, 0x0a, 0x23, 0x20, 0x69, 0x66, 0x20, 0x74, 0x68,
  0x65, 0x72, 0x65, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6e, 0x6f, 0x20, 0x6d,
  0x6f, 0x72, 0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x2d, 0x6f, 0x66,
  0x2d, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69,
  0x6f, 0x6e, 0x73, 0x20, 0x61, 0x66, 0x74, 0x65, 0x72, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70,
  0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72,
  0x67, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x73,
  0x74, 0x72, 0x20, 0x2d, 0x09, 0x09, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
  0x20, 0x74, 0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2e, 0x0a,
  0x23, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x2d, 0x09, 0x49, 0x6e,
  0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x73, 0x74, 0x72,
  0x69, 0x6e, 0x67, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x69,
  0x6e, 0x67, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20,
  0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63,
  0x20, 0x74, 0x63, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4f, 0x66,
  0x4e, 0x65, 0x78, 0x74, 0x57, 0x6f, 0x72, 0x64, 0x20, 0x7b, 0x73, 0x74,
  0x72, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x7d, 0x20, 0x7b, 0x0a, 0x20,
  0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x20,
  0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x57, 0x6f, 0x72, 0x64, 0x42,
  0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x73,
  0x65, 0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x7b, 0x2d,
  0x31, 0x20, 0x2d, 0x31, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x20, 0x2d, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x65,
  0x73, 0x20, 0x2d, 0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x24, 0x73, 0x74,
  0x61, 0x72, 0x74, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x57, 0x6f, 0x72, 0x64,
  0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x6e, 0x65, 0x78, 0x74,
  0x29, 0x20, 0x24, 0x73, 0x74, 0x72, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c,
  0x74, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e,
  0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x24, 0x72, 0x65,
  0x73, 0x75, 0x6c, 0x74, 0x20, 0x31, 0x5d, 0x0a, 0x7d, 0x0a, 0x0a, 0x23,
  0x20, 0x74, 0x63, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4f, 0x66,
  0x50, 0x72, 0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x57, 0x6f, 0x72, 0x64,
  0x20, 0x2d, 0x2d, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x54, 0x68, 0x69, 0x73,
  0x20, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x64, 0x75, 0x72, 0x65, 0x20, 0x72,
  0x65, 0x74, 0x75, 0x72, 0x6e, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x69,
  0x6e, 0x64, 0x65, 0x78, 0x20, 0x6f, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x66, 0x69, 0x72, 0x73, 0x74, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x2d,
  0x6f, 0x66, 0x2d, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x6c, 0x6f, 0x63, 0x61,
  0x74, 0x69, 0x6f, 0x6e, 0x20, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x0a,
  0x23, 0x20, 0x61, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67,
  0x20, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x20, 0x69, 0x6e, 0x20, 0x74, 0x68,
  0x65, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x73, 0x74, 0x72, 0x69,
  0x6e, 0x67, 0x2e, 0x0a, 0x23, 0x0a, 0x23, 0x20, 0x41, 0x72, 0x67, 0x75,
  0x6d, 0x65, 0x6e, 0x74, 0x73, 0x3a, 0x0a, 0x23, 0x20, 0x73, 0x74, 0x72,
  0x20, 0x2d, 0x09, 0x09, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20, 0x74,
  0x6f, 0x20, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2e, 0x0a, 0x23, 0x20,
  0x73, 0x74, 0x61, 0x72, 0x74, 0x20, 0x2d, 0x09, 0x49, 0x6e, 0x64, 0x65,
  0x78, 0x20, 0x69, 0x6e, 0x74, 0x6f, 0x20, 0x73, 0x74, 0x72, 0x69, 0x6e,
  0x67, 0x20, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x79, 0x69, 0x6e, 0x67,
  0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x20, 0x70, 0x6f,
  0x69, 0x6e, 0x74, 0x2e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x63, 0x20, 0x74,
  0x63, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x4f, 0x66, 0x50, 0x72,
  0x65, 0x76, 0x69, 0x6f, 0x75, 0x73, 0x57, 0x6f, 0x72, 0x64, 0x20, 0x7b,
  0x73, 0x74, 0x72, 0x20, 0x73, 0x74, 0x61, 0x72, 0x74, 0x7d, 0x20, 0x7b,
  0x0a, 0x20, 0x20, 0x20, 0x20, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
  0x65, 0x20, 0x3a, 0x3a, 0x74, 0x63, 0x6c, 0x3a, 0x3a, 0x57, 0x6f, 0x72,
  0x64, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x52, 0x45, 0x0a, 0x20, 0x20, 0x20,
  0x20, 0x73, 0x65, 0x74, 0x20, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x7b, 0x2d,
  0x31, 0x20, 0x2d, 0x31, 0x7d, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x67, 0x65, 0x78, 0x70, 0x20, 0x2d, 0x69, 0x6e, 0x64, 0x69, 0x63, 0x65,
  0x73, 0x20, 0x2d, 0x2d, 0x20, 0x24, 0x57, 0x6f, 0x72, 0x64, 0x42, 0x72,
  0x65, 0x61, 0x6b, 0x52, 0x45, 0x28, 0x70, 0x72, 0x65, 0x76, 0x69, 0x6f,
  0x75, 0x73, 0x29, 0x20, 0x5b, 0x73, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x20,
  0x72, 0x61, 0x6e, 0x67, 0x65, 0x20, 0x24, 0x73, 0x74, 0x72, 0x20, 0x30,
  0x20, 0x24, 0x73, 0x74, 0x61, 0x72, 0x74, 0x2d, 0x31, 0x5d, 0x20, 0x5c,
  0x0a, 0x09, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
  0x20, 0x77, 0x6f, 0x72, 0x64, 0x0a, 0x20, 0x20, 0x20, 0x20, 0x72, 0x65,
  0x74, 0x75, 0x72, 0x6e, 0x20, 0x5b, 0x6c, 0x69, 0x6e, 0x64, 0x65, 0x78,
  0x20, 0x24, 0x77, 0x6f, 0x72, 0x64, 0x20, 0x30, 0x5d, 0x0a, 0x7d, 0x0a,
  0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_word_tcl_len = sizeof(__turbine_tcl_resource_word_tcl) - 1;
/* data from tests/staticapp-bundled-1.1.data */
/*FILE2ARRAY:__turbine_tcl_resource_staticapp_bundled_1_1_data:tests/staticapp-bundled-1.1.data*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_staticapp_bundled_1_1_data[] = {
  0x74, 0x68, 0x65, 0x20, 0x71, 0x75, 0x69, 0x63, 0x6b, 0x20, 0x62, 0x72,
  0x6f, 0x77, 0x6e, 0x20, 0x66, 0x6f, 0x78, 0x20, 0x6a, 0x75, 0x6d, 0x70,
  0x65, 0x64, 0x20, 0x6f, 0x76, 0x65, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20,
  0x6c, 0x61, 0x7a, 0x79, 0x20, 0x64, 0x6f, 0x67, 0x0a, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_staticapp_bundled_1_1_data_len = sizeof(__turbine_tcl_resource_staticapp_bundled_1_1_data) - 1;
/* data from tests/staticapp-bundled-1.2.data */
/*FILE2ARRAY:__turbine_tcl_resource_staticapp_bundled_1_2_data:tests/staticapp-bundled-1.2.data*/
#include <stddef.h>

static const unsigned char __turbine_tcl_resource_staticapp_bundled_1_2_data[] = {
  0xc3, 0xb3, 0x55, 0x0d, 0x39, 0xeb, 0x2e, 0x32, 0x4f, 0x9b, 0x82, 0x99,
  0x62, 0xb8, 0xb8, 0xff, 0xd3, 0xb2, 0xbe, 0x39, 0xa5, 0x08, 0xb5, 0x25,
  0x01, 0x89, 0x6a, 0x38, 0x7d, 0x70, 0x4a, 0x21, 0xb7, 0xd6, 0xdb, 0x00,
  0x95, 0xcc, 0x88, 0x95, 0x88, 0x47, 0xa7, 0x9a, 0xed, 0x1f, 0x18, 0x08,
  0xa8, 0x98, 0x2e, 0xab, 0xb5, 0x06, 0x76, 0x25, 0x5b, 0x7a, 0xa8, 0x7c,
  0xfa, 0xe7, 0x46, 0x89, 0x8e, 0xb0, 0xbb, 0x32, 0x29, 0xbf, 0x3e, 0x58,
  0xde, 0x6c, 0xc1, 0x41, 0xed, 0x6b, 0x0b, 0xba, 0x8d, 0x32, 0x3d, 0xdd,
  0x00, 0x4a, 0xe5, 0x6a, 0xf2, 0x70, 0x08, 0xfe, 0x36, 0x8c, 0xe1, 0x88,
  0x44, 0x8f, 0xd3, 0xe2, 0xd3, 0xc6, 0x96, 0x8a, 0xd8, 0x25, 0x8b, 0xa4,
  0x2a, 0xfb, 0x44, 0x53, 0xd6, 0xb3, 0x4b, 0x3d, 0x13, 0x81, 0x76, 0x5d,
  0x0d, 0x58, 0x5b, 0xcb, 0xd2, 0x7c, 0xa2, 0xbb, 0x6d, 0x04, 0x2a, 0xd0,
  0x18, 0x65, 0x80, 0xe8, 0x26, 0x4d, 0x8c, 0x23, 0x86, 0xfd, 0x29, 0x72,
  0x89, 0xf2, 0x37, 0x3b, 0x2d, 0x29, 0xa4, 0xd7, 0xc1, 0x82, 0x62, 0x1a,
  0x3f, 0x0b, 0x66, 0x01, 0x94, 0xe0, 0xab, 0xb8, 0x6f, 0x2d, 0xea, 0x44,
  0x76, 0x28, 0x08, 0xd6, 0xd5, 0x56, 0x10, 0xe7, 0x67, 0x92, 0x84, 0x58,
  0x61, 0xe8, 0x7e, 0x2c, 0x6d, 0xd8, 0x1e, 0x75, 0xf5, 0x3c, 0xf0, 0x1e,
  0x48, 0x5c, 0xa4, 0x8c, 0xcc, 0x61, 0x18, 0xaa, 0xf8, 0x56, 0x91, 0x23,
  0xb1, 0x43, 0x22, 0x03, 0x70, 0x75, 0x46, 0x2f, 0x64, 0x7c, 0xc3, 0x51,
  0x92, 0xc9, 0x09, 0x78, 0x89, 0x5b, 0x32, 0x8c, 0xf6, 0xef, 0x33, 0xd2,
  0xd8, 0xfc, 0x68, 0xea, 0x6a, 0xd8, 0xe0, 0x23, 0x56, 0xca, 0xbb, 0x80,
  0x07, 0xec, 0x59, 0x4f, 0x03, 0x4d, 0xd8, 0x8a, 0xc1, 0xe6, 0xd3, 0xa0,
  0x18, 0x89, 0x2f, 0x1a, 0xaf, 0xa9, 0x59, 0xf0, 0x18, 0xa3, 0xe1, 0xc3,
  0x31, 0x6e, 0x20, 0x3d, 0x38, 0x19, 0x56, 0x10, 0x45, 0x21, 0xf3, 0x2c,
  0x7c, 0x6f, 0x38, 0x9b, 0xa4, 0xd3, 0x6b, 0xf4, 0xdb, 0xab, 0x93, 0x65,
  0xa8, 0xc9, 0x0c, 0xa8, 0x1a, 0x08, 0x94, 0x38, 0xd5, 0xa0, 0x1a, 0xd8,
  0x2d, 0x84, 0x29, 0x65, 0xb5, 0xa6, 0x43, 0xcc, 0xc2, 0xa2, 0x98, 0x84,
  0x5c, 0x31, 0x76, 0x1d, 0x64, 0xb8, 0x49, 0xf3, 0x50, 0x58, 0x51, 0x6e,
  0xd1, 0xe9, 0xc9, 0x85, 0xd0, 0x4a, 0x37, 0x09, 0x10, 0x40, 0xc2, 0xd3,
  0x84, 0x23, 0x85, 0x24, 0xe7, 0xd7, 0x43, 0x26, 0x83, 0x24, 0xfc, 0x95,
  0x84, 0x6f, 0x17, 0x1e, 0xb7, 0x76, 0x27, 0x11, 0x14, 0x69, 0xa2, 0x99,
  0x7f, 0x68, 0xef, 0x04, 0x1a, 0x7b, 0xab, 0x68, 0xe4, 0x32, 0x11, 0xa0,
  0x95, 0xbd, 0xcd, 0xb4, 0x5f, 0x39, 0x4f, 0x41, 0x03, 0xf7, 0x09, 0x47,
  0x82, 0x9e, 0xb1, 0x06, 0x6e, 0x29, 0x08, 0xb6, 0x60, 0xb0, 0x57, 0x12,
  0xb9, 0xd6, 0x6c, 0x16, 0xac, 0xe8, 0x50, 0x0a, 0x38, 0x19, 0xcf, 0xc5,
  0xa6, 0xe6, 0x33, 0x4f, 0x22, 0x56, 0x67, 0x31, 0x44, 0xc5, 0xbc, 0x1a,
  0x44, 0x46, 0xf1, 0x14, 0x51, 0x21, 0xed, 0xd2, 0xb4, 0xef, 0xa6, 0xdf,
  0x64, 0x5c, 0x09, 0xf1, 0xbd, 0x2f, 0xb9, 0x17, 0x12, 0x8f, 0x90, 0xfa,
  0x9d, 0x8e, 0x53, 0x37, 0x5e, 0xd9, 0x12, 0xc8, 0x19, 0xaf, 0xab, 0xac,
  0x62, 0xd1, 0x8c, 0xa0, 0xfc, 0x4e, 0xc8, 0x02, 0x46, 0x92, 0x32, 0x9e,
  0xbd, 0x29, 0x40, 0x2d, 0x1e, 0x7a, 0x06, 0x45, 0xdb, 0xe3, 0x6e, 0xe7,
  0x70, 0xb3, 0xf9, 0x7b, 0xd7, 0x7d, 0xb1, 0x53, 0x61, 0x9a, 0x96, 0xd6,
  0x08, 0xb8, 0x6f, 0xfa, 0x32, 0x8f, 0x6f, 0x77, 0x23, 0x0f, 0xb8, 0x68,
  0xdf, 0x96, 0x29, 0x33, 0xf4, 0x73, 0xf3, 0x12, 0x63, 0xd2, 0x49, 0x44,
  0x58, 0x50, 0xdd, 0x3e, 0x78, 0x14, 0x74, 0xb3, 0x71, 0x8a, 0x58, 0xcc,
  0x2c, 0x16, 0xac, 0x02, 0x27, 0x0d, 0x32, 0xac, 0x96, 0x52, 0x9b, 0x7f,
  0x88, 0x96, 0x01, 0x3b, 0x80, 0xa7, 0x09, 0xa6, 0x22, 0xed, 0x16, 0x2e,
  0x7d, 0x5b, 0x5d, 0x3f, 0x6a, 0x83, 0xde, 0x22, 0xfc, 0x0a, 0x9d, 0x0a,
  0x82, 0x5f, 0x9e, 0x94, 0xbd, 0xad, 0x3e, 0xf1, 0xca, 0x80, 0xee, 0x52,
  0x34, 0x60, 0x0d, 0x2e, 0xdd, 0x9c, 0x89, 0x83, 0x9b, 0x52, 0x0c, 0xc9,
  0x84, 0x15, 0xf8, 0xf6, 0x95, 0x97, 0x83, 0xdf, 0xb6, 0xb2, 0xde, 0x48,
  0x71, 0x0c, 0x7a, 0xc7, 0x1e, 0x2e, 0xe0, 0x06, 0x78, 0xfe, 0xe9, 0x30,
  0x4e, 0x2d, 0x9b, 0xca, 0x0c, 0xed, 0xc6, 0xf5, 0x7a, 0xd5, 0x36, 0x3f,
  0xff, 0x7c, 0x83, 0x00, 0xf0, 0xc2, 0x2b, 0xf2, 0xec, 0xc7, 0xcd, 0xc3,
  0xa3, 0x8f, 0xb7, 0x91, 0xc2, 0x86, 0xe2, 0xa6, 0x9a, 0x41, 0xff, 0xc4,
  0xe1, 0x5a, 0x7f, 0xc1, 0x7a, 0x9f, 0xc9, 0x2d, 0x8d, 0xd3, 0xda, 0x39,
  0x37, 0xd0, 0xc9, 0x21, 0x7f, 0xeb, 0xdd, 0x0e, 0xb5, 0x05, 0x46, 0x04,
  0x7d, 0x9b, 0x5d, 0xc1, 0x22, 0x2e, 0xf3, 0xf0, 0x10, 0xfb, 0x02, 0x74,
  0x56, 0x82, 0x98, 0xa0, 0x9e, 0x10, 0xee, 0xcf, 0x20, 0x3c, 0x50, 0x54,
  0xc1, 0x4a, 0x68, 0x28, 0x88, 0x35, 0xf1, 0xb6, 0x8c, 0x68, 0x3c, 0x4e,
  0x13, 0x46, 0x4b, 0x09, 0x95, 0xdb, 0x2c, 0x23, 0xb8, 0xe4, 0x2b, 0xa8,
  0x7c, 0xe9, 0xd3, 0x7e, 0x6c, 0xd8, 0x96, 0xf1, 0x40, 0x19, 0xfa, 0xe0,
  0x00, 0x19, 0x00, 0xa1, 0x1a, 0xd9, 0xec, 0xcf, 0xce, 0x72, 0x35, 0x28,
  0x30, 0x89, 0xb5, 0x23, 0xd0, 0xd4, 0xd9, 0xc4, 0x39, 0xeb, 0xd9, 0x48,
  0x39, 0x61, 0x33, 0x00, 0x79, 0x87, 0x93, 0x3f, 0x56, 0xc5, 0x40, 0x7a,
  0x1d, 0xde, 0xfa, 0x13, 0xaa, 0xb3, 0xcf, 0xbf, 0x21, 0x59, 0xa0, 0x37,
  0xd8, 0x17, 0x80, 0x86, 0xe7, 0x96, 0xba, 0x62, 0x58, 0x0b, 0xd6, 0x96,
  0x7d, 0x8e, 0xcc, 0xde, 0x44, 0xa5, 0x79, 0x09, 0x2b, 0xb6, 0x6a, 0x0a,
  0xb1, 0x97, 0x72, 0xec, 0x2c, 0xc6, 0x05, 0x56, 0x7f, 0x3b, 0x1e, 0xbf,
  0x03, 0xdf, 0xfe, 0x2e, 0x71, 0xe6, 0xfb, 0xb4, 0x9c, 0xd6, 0x1f, 0x0c,
  0x8b, 0xb5, 0x86, 0x6f, 0xf6, 0x69, 0x5f, 0xf1, 0xd2, 0xa2, 0x9b, 0xea,
  0xb0, 0x20, 0x69, 0x30, 0x06, 0xd0, 0x9f, 0xbf, 0xef, 0x47, 0x09, 0x29,
  0x20, 0x93, 0x34, 0x70, 0xa2, 0x3f, 0xbe, 0x5a, 0xb5, 0x18, 0x4f, 0xbb,
  0x70, 0x34, 0x70, 0x2b, 0x55, 0x14, 0xdd, 0x0d, 0x62, 0x09, 0xc8, 0x13,
  0x54, 0x78, 0xb6, 0xe9, 0x0b, 0x85, 0x77, 0x13, 0x34, 0x93, 0x3f, 0x4a,
  0x5f, 0x55, 0x9c, 0xc9, 0x64, 0x10, 0x99, 0x39, 0xc7, 0x39, 0xe0, 0x5c,
  0xb5, 0xa3, 0xc7, 0xae, 0x08, 0x24, 0x1b, 0x4a, 0xd4, 0x0b, 0x11, 0x69,
  0x02, 0xe1, 0x73, 0xdb, 0x8b, 0x73, 0x02, 0x8d, 0x37, 0x3a, 0xf4, 0x27,
  0xb4, 0xc8, 0x68, 0x99, 0x8c, 0xd0, 0xe5, 0x4a, 0xb4, 0x29, 0x85, 0x37,
  0x60, 0x16, 0x73, 0x96, 0x92, 0x95, 0xb3, 0xc5, 0x67, 0x4d, 0x07, 0xd9,
  0xf1, 0xea, 0x79, 0x63, 0x6d, 0x2c, 0x64, 0xfa, 0xc9, 0x5d, 0x77, 0x1a,
  0xd3, 0xf3, 0x00, 0x02, 0x22, 0x1d, 0x80, 0xaa, 0xa4, 0x61, 0x64, 0x35,
  0xcd, 0xad, 0x79, 0x91, 0x26, 0xd1, 0x9d, 0x05, 0x6f, 0xb5, 0x45, 0xda,
  0x84, 0x83, 0x4d, 0x8d, 0xdf, 0xa4, 0x2c, 0xd4, 0x47, 0xc2, 0xfe, 0xfc,
  0x85, 0xbd, 0x89, 0xc2, 0x75, 0xd1, 0x2a, 0xf5, 0xab, 0x52, 0xb7, 0x67,
  0x5b, 0xbe, 0x8e, 0xc7, 0xba, 0x26, 0xf6, 0x41, 0xcf, 0x12, 0xe3, 0x87,
  0xe5, 0x5e, 0x0c, 0xce, 0x16, 0xe5, 0xf2, 0xb1, 0x4a, 0x78, 0x1d, 0x80,
  0xfd, 0x03, 0x47, 0x2f, 0x5c, 0xab, 0xcb, 0x99, 0x11, 0x95, 0xc5, 0xc1,
  0x52, 0xdb, 0xa9, 0x77, 0x74, 0x71, 0x6f, 0x55, 0xb9, 0xc8, 0x75, 0x1e,
  0xe6, 0xab, 0x02, 0x2e, 0x25, 0x52, 0x02, 0xd8, 0xbf, 0x57, 0xf5, 0xd1,
  0x97, 0x5e, 0x4d, 0x0d, 0x3b, 0x8e, 0x5e, 0x1c, 0x67, 0x93, 0x1c, 0x54,
  0xc5, 0xa2, 0xf6, 0x8a, 0x8a, 0x78, 0x56, 0x9e, 0xa8, 0xc0, 0xb7, 0x7d,
  0x51, 0xaf, 0x4f, 0x88, 0x94, 0x1a, 0xf5, 0x61, 0x26, 0xb1, 0x00, 0x03,
  0x3a, 0xe6, 0x78, 0x5e, 0xb5, 0x3b, 0xc3, 0xbf, 0x4b, 0x7a, 0x5b, 0x32,
  0x72, 0xf2, 0xeb, 0x1d, 0xe2, 0x9d, 0xc2, 0x23, 0xbd, 0xd4, 0xaa, 0xb9,
  0x3d, 0x2a, 0xc0, 0x78, 0xd0, 0x24, 0xc4, 0x63, 0x52, 0x61, 0xae, 0x81,
  0xbe, 0x58, 0xef, 0x2d, 0x9d, 0x81, 0x8e, 0x77, 0x73, 0x3b, 0x13, 0x61,
  0xef, 0x9e, 0x55, 0xc7, 0xaf, 0xa0, 0x8f, 0xfa, 0xe9, 0x52, 0xea, 0x3a,
  0x88, 0x2f, 0x6f, 0x2f, 0x50, 0x63, 0x3c, 0x0c, 0xe1, 0x25, 0xaf, 0xe3,
  0xea, 0xc2, 0xc9, 0xf9, 0xe5, 0xf1, 0x2f, 0x0a, 0xa9, 0x55, 0x07, 0xf4,
  0x82, 0x6e, 0x54, 0xde, 0x2c, 0x86, 0x4f, 0xc0, 0xfa, 0xcb, 0x0d, 0xbd,
  0x38, 0x45, 0x42, 0xa6, 0xa1, 0x23, 0xa1, 0x71, 0xd4, 0xc9, 0x90, 0xd3,
  0xad, 0xd9, 0xe4, 0xaa, 0x4b, 0x56, 0x0c, 0x0d, 0xd6, 0xc1, 0xd1, 0xb5,
  0x9c, 0xae, 0xb7, 0x04, 0x1e, 0x5b, 0x78, 0x42, 0x56, 0x5f, 0x01, 0xc8,
  0xb6, 0x62, 0xa0, 0xd2, 0x2d, 0x52, 0xbb, 0x81, 0xed, 0x26, 0xaf, 0xc3,
  0x4b, 0x0f, 0x4d, 0x49, 0x96, 0x33, 0xfb, 0x5a, 0xe8, 0xe6, 0x0b, 0x29,
  0x5d, 0xfa, 0xce, 0xd7, 0xc1, 0x5e, 0x75, 0x81, 0xd2, 0x0a, 0x80, 0x89,
  0xd4, 0x50, 0xeb, 0xb1, 0x2c, 0x35, 0x2a, 0x46, 0x01, 0x3e, 0x95, 0x2c,
  0x23, 0xda, 0xcd, 0x9b, 0x12, 0x5f, 0xed, 0x6c, 0xaa, 0x5f, 0x79, 0x0e,
  0x5d, 0x04, 0xfc, 0x1a, 0x3d, 0x5a, 0x3e, 0x1f, 0xeb, 0x9a, 0xf2, 0xbd,
  0xff, 0xd9, 0xe1, 0x64, 0x80, 0xc0, 0x3f, 0x65, 0x65, 0x9c, 0x5a, 0xa9,
  0x70, 0xac, 0x10, 0x36, 0xd0, 0x99, 0x43, 0x00, 0xcb, 0x5e, 0x06, 0xf4,
  0x14, 0x32, 0x0f, 0xe9, 0xe4, 0xe2, 0x22, 0x08, 0x42, 0xdd, 0xe6, 0x9e,
  0x7f, 0xc5, 0xab, 0x72, 0x39, 0xdd, 0x93, 0xb3, 0x2b, 0x62, 0x79, 0x8b,
  0x27, 0xbf, 0xf2, 0xfe, 0xf5, 0xb7, 0x09, 0x6f, 0x16, 0xed, 0x1e, 0x95,
  0x46, 0x34, 0xd2, 0xd9, 0x4e, 0x17, 0x91, 0x88, 0x03, 0x0d, 0x67, 0xc6,
  0x5f, 0x01, 0x60, 0x96, 0x79, 0xc1, 0x42, 0xea, 0x0e, 0xc4, 0x53, 0x22,
  0x03, 0x11, 0xbb, 0x3c, 0x16, 0x59, 0xa4, 0x8e, 0xeb, 0xdf, 0x23, 0xb9,
  0x5e, 0x3c, 0x57, 0x5e, 0x27, 0x05, 0xd4, 0xe1, 0xb3, 0xb5, 0x3a, 0xc5,
  0x11, 0xf4, 0xdf, 0x6a, 0x53, 0xfb, 0x31, 0xab, 0xcd, 0x7f, 0x4f, 0xfb,
  0xaf, 0x5d, 0xf3, 0x72, 0x4e, 0x3d, 0x83, 0xf4, 0xba, 0xcf, 0xd6, 0x4f,
  0xef, 0x6f, 0xfc, 0xc8, 0xf6, 0xb8, 0x42, 0xc6, 0x0c, 0xc7, 0xc3, 0xd3,
  0xd9, 0x00, 0x95, 0x3b, 0xbb, 0x31, 0x68, 0xd9, 0x12, 0x99, 0xc3, 0x4d,
  0x64, 0xc8, 0x01, 0xb3, 0x22, 0x75, 0xdb, 0x50, 0xd5, 0x05, 0x87, 0x98,
  0x6d, 0x65, 0x5e, 0x5a, 0xf2, 0x1f, 0x18, 0x4c, 0x44, 0xed, 0x86, 0x29,
  0xe8, 0xb3, 0xda, 0xfb, 0x9e, 0x12, 0x19, 0x40, 0x87, 0x03, 0x99, 0x4b,
  0xbe, 0xf0, 0xe4, 0x33, 0xc9, 0x71, 0xcf, 0xc9, 0x23, 0x61, 0x7e, 0x0c,
  0x00, 0xe9, 0x0d, 0x9f, 0xb4, 0x4a, 0x7c, 0x79, 0xed, 0x3c, 0xde, 0x34,
  0xad, 0xcd, 0xcd, 0x17, 0x56, 0xcb, 0x7c, 0xcb, 0xb6, 0x0e, 0xf9, 0xa4,
  0xba, 0xe9, 0xa9, 0x63, 0x59, 0x13, 0x76, 0x28, 0xc9, 0xab, 0x78, 0x90,
  0x0f, 0x4c, 0x95, 0x8d, 0xf2, 0x94, 0x6d, 0xfd, 0xfa, 0x40, 0x2d, 0x6c,
  0xcf, 0x27, 0xbe, 0x32, 0xd1, 0x85, 0x3e, 0x0e, 0x56, 0x0e, 0xde, 0x8e,
  0xa0, 0x8f, 0xe2, 0x0d, 0x79, 0xab, 0x9b, 0x94, 0x98, 0xcd, 0x0c, 0xcb,
  0x7a, 0x9a, 0xd1, 0x49, 0xfc, 0x05, 0xbb, 0x0c, 0x58, 0x3b, 0xa2, 0xcf,
  0xe0, 0x50, 0x46, 0x28, 0x1f, 0x99, 0x2e, 0x62, 0xff, 0x52, 0x50, 0xc8,
  0xf9, 0x71, 0x9d, 0x1f, 0x80, 0x4a, 0x4b, 0xe2, 0x7c, 0xa8, 0xee, 0x05,
  0x38, 0x68, 0xb4, 0x6d, 0x55, 0x52, 0x92, 0xcb, 0x17, 0x4b, 0x6a, 0x63,
  0x0c, 0x45, 0x67, 0x28, 0xc1, 0x46, 0xbb, 0xbc, 0xa5, 0xfc, 0x64, 0x10,
  0x4d, 0xe7, 0xdc, 0x74, 0xf0, 0xfb, 0xc3, 0x97, 0x0f, 0xa7, 0x9f, 0xea,
  0x5f, 0xee, 0x73, 0x78, 0xf4, 0xb5, 0xc8, 0x6e, 0xe4, 0x2a, 0x3e, 0x96,
  0x43, 0x5b, 0xa9, 0xa7, 0xa7, 0x38, 0x04, 0x39, 0xbc, 0x3a, 0x8e, 0x5e,
  0x56, 0x7e, 0x4e, 0xf3, 0x52, 0x8d, 0x52, 0x2a, 0xf0, 0xcf, 0x0e, 0xd8,
  0x78, 0x84, 0x6a, 0x02, 0x60, 0x3d, 0xdf, 0x26, 0x3b, 0xfd, 0xfc, 0xea,
  0xca, 0x6f, 0x7c, 0x9b, 0x60, 0xb4, 0x3a, 0xf8, 0xfc, 0xfd, 0x57, 0xba,
  0x3d, 0xa3, 0x75, 0x6e, 0x96, 0x4a, 0x6d, 0x1e, 0x57, 0x2d, 0x40, 0x18,
  0x2c, 0x65, 0x2c, 0xf8, 0x65, 0x21, 0xac, 0x8e, 0x6a, 0xf3, 0xda, 0x26,
  0xac, 0x91, 0x8b, 0x1b, 0xd3, 0xf5, 0x28, 0x72, 0xb8, 0xcb, 0xa6, 0x25,
  0x6a, 0xdd, 0x9f, 0x5a, 0xa4, 0x82, 0xfe, 0xea, 0xbb, 0x0c, 0xd5, 0x5f,
  0xf1, 0x72, 0x40, 0x9d, 0x3a, 0xbc, 0x6d, 0xab, 0x47, 0x48, 0xef, 0x0c,
  0x6c, 0x88, 0x44, 0x7b, 0x28, 0xa2, 0xe3, 0x2a, 0x51, 0xe1, 0xbb, 0xcb,
  0xe6, 0x59, 0x39, 0x93, 0x46, 0x40, 0x92, 0x44, 0x0e, 0x99, 0x42, 0xda,
  0x32, 0x1c, 0x85, 0xbc, 0x6d, 0x8a, 0xc9, 0xa8, 0x44, 0x92, 0x95, 0x43,
  0x94, 0xb2, 0xe4, 0x38, 0x4a, 0x02, 0x83, 0xc8, 0x4f, 0x22, 0xb4, 0xdb,
  0xd8, 0xb1, 0x56, 0x1c, 0xaf, 0xd9, 0xc6, 0xa7, 0xf0, 0xfd, 0xb8, 0xf8,
  0xc2, 0x4b, 0xeb, 0x61, 0xe1, 0xc8, 0xdd, 0x5b, 0x04, 0x20, 0xa3, 0x03,
  0x2f, 0x41, 0xb2, 0x5f, 0x00, 0x07, 0xe0, 0x4d, 0x5a, 0xfd, 0xb7, 0x84,
  0xec, 0xaa, 0xd0, 0x51, 0x7d, 0x3a, 0x3a, 0x19, 0x05, 0x84, 0x73, 0x05,
  0x1e, 0x2e, 0x9a, 0xc9, 0x71, 0x45, 0xc6, 0xed, 0x56, 0xfa, 0xd0, 0xad,
  0x4a, 0xdf, 0x3d, 0x51, 0xee, 0x1a, 0xa8, 0x25, 0x6d, 0x15, 0x4f, 0x51,
  0xf4, 0xa6, 0x84, 0xf0, 0xe3, 0xe2, 0xd8, 0xc1, 0xe8, 0xf8, 0x6b, 0x2f,
  0x10, 0x39, 0xd6, 0x65, 0xb9, 0xd3, 0xef, 0xe5, 0x5a, 0x9c, 0xa9, 0x20,
  0xe2, 0x36, 0xbc, 0x6e, 0x1e, 0x65, 0x4d, 0xb0, 0xbe, 0x41, 0x98, 0x1e,
  0xed, 0xf8, 0xeb, 0xbb, 0x36, 0xdf, 0x3a, 0x98, 0x06, 0xe0, 0x64, 0xfd,
  0x04, 0x7d, 0x39, 0xd1, 0xcc, 0x09, 0x33, 0xf4, 0xe8, 0xae, 0x69, 0x76,
  0x29, 0xda, 0xa7, 0xe8, 0x30, 0x0e, 0x51, 0xea, 0xff, 0x9f, 0x2d, 0xec,
  0x45, 0x2c, 0x83, 0x0c, 0xc1, 0x0e, 0xb3, 0xa7, 0x3b, 0x06, 0x1f, 0xa7,
  0x6a, 0xfe, 0x27, 0xa7, 0xea, 0x7b, 0xcc, 0x3b, 0x53, 0x16, 0xe4, 0xd6,
  0x25, 0xb8, 0x65, 0x63, 0xe6, 0x68, 0x03, 0x9a, 0x81, 0xb4, 0x53, 0xda,
  0x6c, 0x44, 0x18, 0xb9, 0x72, 0x41, 0xe5, 0x46, 0x10, 0xe2, 0x95, 0x9a,
  0xf5, 0x6b, 0x82, 0xad, 0x1d, 0x2e, 0x77, 0x32, 0xc2, 0xda, 0xd5, 0x85,
  0xc3, 0x18, 0x23, 0x22, 0xa9, 0xd2, 0x31, 0xb9, 0x4c, 0xdb, 0x11, 0x79,
  0x0f, 0x10, 0xb7, 0x96, 0x7b, 0xc1, 0xa4, 0x69, 0xa8, 0x57, 0x7d, 0x77,
  0x7c, 0xbe, 0x0f, 0x12, 0x84, 0xcf, 0x98, 0x5f, 0x95, 0x10, 0xe7, 0x73,
  0x7e, 0x87, 0x88, 0xc7, 0x20, 0x1a, 0x67, 0x0a, 0xd8, 0xdc, 0x29, 0x99,
  0x2b, 0x4a, 0xa9, 0x6b, 0xa1, 0x7e, 0xd8, 0xaf, 0x68, 0x17, 0x84, 0x3c,
  0x18, 0xaf, 0x48, 0xef, 0x51, 0x88, 0x51, 0xed, 0x6f, 0xf6, 0xd3, 0xa5,
  0xd6, 0xf1, 0x53, 0xad, 0xbc, 0xba, 0x67, 0xdf, 0x7a, 0xee, 0x72, 0x9e,
  0xe0, 0x60, 0xb2, 0x81, 0x99, 0x57, 0x69, 0x00, 0x18, 0x3c, 0x60, 0xe7,
  0xa4, 0x07, 0xbb, 0x20, 0x9f, 0xc4, 0x57, 0x56, 0x21, 0xf5, 0xb2, 0xca,
  0x06, 0xfb, 0x96, 0x44, 0x3f, 0x36, 0xed, 0xdd, 0xee, 0x7a, 0xa9, 0xa0,
  0xf1, 0xe6, 0x2f, 0xff, 0x4b, 0xc7, 0x5f, 0xc1, 0xb8, 0x53, 0x72, 0xe3,
  0x5d, 0x3a, 0x19, 0x74, 0xf4, 0x1d, 0xb4, 0xf0, 0x22, 0xfc, 0x7c, 0x6c,
  0x6a, 0x14, 0x6c, 0x71, 0xe4, 0x77, 0x7c, 0x48, 0x55, 0xc8, 0x87, 0x12,
  0xa9, 0x62, 0x65, 0xb6, 0x85, 0x42, 0x02, 0xac, 0xc2, 0xeb, 0x58, 0x3e,
  0x36, 0x94, 0xf3, 0x25, 0x6e, 0xdf, 0x11, 0xc8, 0x3f, 0x3e, 0x58, 0xa3,
  0xf8, 0xc0, 0x59, 0x6a, 0x46, 0x35, 0xf6, 0x70, 0xbf, 0xf6, 0x5b, 0xb7,
  0xeb, 0xe7, 0xa6, 0x53, 0x42, 0xd8, 0x78, 0x08, 0xda, 0x5c, 0xdb, 0xfe,
  0x21, 0x65, 0xa8, 0x7b, 0x95, 0x00, 0xd0, 0xba, 0xb5, 0x60, 0x06, 0x8c,
  0x19, 0xa0, 0xe6, 0x58, 0x10, 0x47, 0x2c, 0xa2, 0x6a, 0x2d, 0xf1, 0x40,
  0xd3, 0xee, 0xea, 0xe8, 0xc9, 0xa9, 0xdd, 0xcb, 0xe4, 0x70, 0xd6, 0xd3,
  0x32, 0x20, 0x22, 0xcd, 0x5e, 0x4a, 0x9f, 0x06, 0x03, 0x2a, 0xf0, 0xb9,
  0x53, 0x8f, 0x05, 0xc5, 0x38, 0x90, 0x98, 0x3a, 0xea, 0xa3, 0xe9, 0x86,
  0xb3, 0x33, 0x99, 0x0d, 0x31, 0x2f, 0x3f, 0xaa, 0x57, 0xe9, 0xd6, 0xc8,
  0xe7, 0x29, 0x12, 0xad, 0xbd, 0x29, 0x60, 0x74, 0x85, 0x3e, 0xb4, 0x95,
  0x25, 0x4a, 0x0b, 0xc7, 0xf2, 0x1d, 0xfc, 0x93, 0x94, 0x38, 0x89, 0xf0,
  0xbc, 0xa6, 0x53, 0x64, 0x7d, 0xc8, 0xf5, 0x8e, 0x1c, 0x57, 0x23, 0xab,
  0xc8, 0xa5, 0x26, 0x48, 0x52, 0xa8, 0x8d, 0x95, 0x32, 0x74, 0xd5, 0x3d,
  0x34, 0xd6, 0xfd, 0x0f, 0x63, 0x9e, 0xc9, 0x9e, 0xbc, 0xdc, 0x0a, 0x1f,
  0x20, 0xb3, 0x73, 0x8a, 0xdd, 0x54, 0x19, 0xec, 0xde, 0x33, 0xa3, 0x85,
  0x8d, 0xdd, 0x34, 0x40, 0xf7, 0x5b, 0x46, 0xff, 0xab, 0xe5, 0xe5, 0x75,
  0xba, 0xd4, 0xa8, 0xec, 0x6c, 0x1c, 0xb2, 0xd0, 0x5f, 0xe1, 0x74, 0x27,
  0xf0, 0xd0, 0xea, 0xce, 0x84, 0xa7, 0x97, 0xae, 0x85, 0xce, 0x89, 0x50,
  0xe0, 0xa5, 0xf6, 0x30, 0xd8, 0xda, 0x8c, 0xeb, 0x88, 0x92, 0xb8, 0x9a,
  0xf0, 0x8d, 0x7f, 0x08, 0xba, 0xf5, 0x5f, 0x53, 0xad, 0xd5, 0x62, 0xfe,
  0x26, 0x75, 0xc6, 0xea, 0x10, 0xdb, 0xe4, 0x52, 0x45, 0xfa, 0xb0, 0x13,
  0x53, 0xca, 0xac, 0xe9, 0x73, 0x2c, 0xf4, 0xce, 0x28, 0x59, 0x0d, 0x51,
  0x86, 0xb2, 0x18, 0x24, 0x0b, 0xf5, 0x17, 0xc2, 0x75, 0x6a, 0x81, 0xdb,
  0xa5, 0x99, 0x67, 0x12, 0xca, 0xc3, 0xa0, 0xf7, 0xde, 0x30, 0x4e, 0x9a,
  0xe3, 0xd7, 0xab, 0x2a, 0x14, 0x26, 0x88, 0xd5, 0x4f, 0xc4, 0x35, 0xad,
  0xab, 0x11, 0xe6, 0xff, 0x96, 0x90, 0xbd, 0x7a, 0xcb, 0xeb, 0x7e, 0xf8,
  0x2c, 0x74, 0x24, 0x85, 0x05, 0xb6, 0x34, 0x3f, 0x97, 0x23, 0x28, 0x14,
  0xc0, 0x7a, 0xe6, 0xd0, 0x89, 0x22, 0x26, 0xb5, 0xf3, 0x29, 0x7b, 0x64,
  0xea, 0x87, 0x9d, 0xdf, 0xaf, 0x05, 0xa4, 0x2e, 0xe2, 0x00, 0x37, 0x7e,
  0x87, 0xd6, 0xa8, 0x85, 0x8f, 0x3d, 0xa9, 0xac, 0xf9, 0xcb, 0xa2, 0xe7,
  0x91, 0xd3, 0xcb, 0xe8, 0x7f, 0x1e, 0xf4, 0x07, 0xee, 0x71, 0x1f, 0x98,
  0xf5, 0x11, 0x96, 0x3c, 0x2e, 0xd0, 0xde, 0xa3, 0x0c, 0x2b, 0xac, 0xcd,
  0x66, 0x1d, 0xf3, 0x72, 0x4b, 0x22, 0x5b, 0x3b, 0xc6, 0x6c, 0x1e, 0x27,
  0xcb, 0xec, 0x18, 0xb5, 0x3d, 0xb5, 0xcd, 0xc7, 0xf7, 0x79, 0xec, 0xe6,
  0xcf, 0xeb, 0x70, 0x28, 0x6c, 0x28, 0xd8, 0xfe, 0x82, 0x5f, 0xdb, 0x2f,
  0x65, 0x20, 0xaf, 0x8c, 0x77, 0xc4, 0xcc, 0x07, 0x60, 0xc1, 0xe0, 0x4c,
  0xe0, 0x98, 0xb9, 0x27, 0x03, 0x30, 0x67, 0xfc, 0x7c, 0xe2, 0x8b, 0xba,
  0x6f, 0x55, 0x0b, 0xe0, 0xc8, 0x32, 0x5d, 0xb1, 0x1e, 0xb8, 0xd2, 0x53,
  0x83, 0xc9, 0xf3, 0x15, 0x73, 0xd9, 0xb3, 0xd2, 0xcd, 0xce, 0xe9, 0xcf,
  0x37, 0x79, 0x93, 0xc1, 0x7b, 0xad, 0x3d, 0xe7, 0x69, 0xf2, 0x6a, 0x1e,
  0xf2, 0xcb, 0x94, 0xcc, 0x99, 0xdc, 0x45, 0xe3, 0x9b, 0x37, 0xfd, 0xcf,
  0x45, 0x42, 0xae, 0xf7, 0x28, 0xa7, 0xdf, 0x34, 0x53, 0xa6, 0x3f, 0xe7,
  0x6a, 0x09, 0xc8, 0xe3, 0xa3, 0xd9, 0x2e, 0x9c, 0x07, 0x59, 0x0d, 0xde,
  0x5c, 0xd5, 0xc6, 0xe9, 0xf6, 0x69, 0x86, 0x81, 0xd5, 0x66, 0x49, 0xe1,
  0xe8, 0x53, 0x50, 0x51, 0x3c, 0x73, 0x06, 0x0a, 0xbb, 0x02, 0xfe, 0x89,
  0x7f, 0x97, 0xeb, 0xd2, 0xc7, 0x0b, 0x7e, 0x3a, 0xa9, 0xba, 0xbf, 0xcf,
  0x66, 0xe6, 0x8f, 0x6c, 0x1f, 0xd4, 0x35, 0x24, 0xc2, 0x14, 0x2e, 0xc5,
  0xe7, 0x00, 0xb8, 0x20, 0x4a, 0x4f, 0xa5, 0x09, 0xb7, 0xa0, 0x29, 0xb7,
  0x63, 0x9b, 0x10, 0xcb, 0xa0, 0xab, 0x7f, 0x5f, 0x70, 0x3a, 0x3d, 0xfa,
  0x8f, 0x8c, 0x2a, 0xc7, 0x50, 0x24, 0x70, 0x32, 0x44, 0x85, 0xf7, 0x2d,
  0x57, 0x07, 0xf4, 0xc3, 0xa7, 0xa3, 0x90, 0xe1, 0x0e, 0x88, 0x11, 0x7e,
  0xce, 0x9a, 0x65, 0xe4, 0xa4, 0x09, 0x91, 0x37, 0xc9, 0x3b, 0x8e, 0xef,
  0x5a, 0x7b, 0x14, 0xf4, 0x9f, 0xef, 0x01, 0x28, 0xfc, 0x9b, 0x2f, 0xcf,
  0xc3, 0x1c, 0x1e, 0x8f, 0xcb, 0x42, 0x0c, 0x1c, 0xb8, 0xad, 0x0e, 0x3f,
  0x9b, 0xbd, 0xdf, 0x42, 0x16, 0x19, 0x2e, 0xfc, 0xdc, 0xd8, 0x4b, 0x14,
  0x0d, 0x0f, 0x52, 0x09, 0x1b, 0xf3, 0x43, 0x82, 0xad, 0x22, 0xcb, 0x7a,
  0x9b, 0x2b, 0x63, 0x01, 0x40, 0xd1, 0x44, 0x56, 0x36, 0xf5, 0xa3, 0xc6,
  0x77, 0x74, 0xb4, 0x7e, 0xbc, 0xd1, 0x5e, 0x2f, 0x81, 0x0a, 0xf7, 0x98,
  0x12, 0x6a, 0xf8, 0x67, 0xe4, 0x38, 0x4f, 0x61, 0xe0, 0x74, 0x09, 0x3e,
  0x1b, 0x50, 0x23, 0x75, 0xfc, 0x7a, 0xad, 0x5e, 0x89, 0xb5, 0x42, 0xc6,
  0xb8, 0x0d, 0x76, 0x6d, 0xc4, 0x10, 0x60, 0x35, 0x37, 0x68, 0x04, 0x85,
  0x33, 0x8c, 0xe6, 0xa4, 0x8b, 0xff, 0x79, 0x29, 0x29, 0xe2, 0x18, 0x22,
  0xe5, 0x61, 0x5e, 0x87, 0x23, 0x1d, 0xc6, 0xc5, 0xed, 0x33, 0x07, 0x39,
  0x0a, 0x55, 0x5c, 0xeb, 0xb7, 0xa9, 0xf7, 0xaa, 0xbd, 0x52, 0x0d, 0x88,
  0xb0, 0x54, 0x8a, 0x73, 0x3b, 0xd6, 0x9c, 0x67, 0xa6, 0xb2, 0xa5, 0xdd,
  0x1b, 0x54, 0xb1, 0x79, 0xf0, 0xc2, 0x2c, 0x67, 0x20, 0xc3, 0x93, 0xb0,
  0x9c, 0xf8, 0x9a, 0xc6, 0x53, 0x84, 0x10, 0x59, 0x80, 0x0e, 0x72, 0x54,
  0x8c, 0x28, 0x1b, 0xd0, 0x67, 0x7d, 0x7c, 0x2b, 0x00, 0x45, 0x52, 0x4f,
  0xe6, 0xb0, 0xaa, 0x85, 0xd5, 0x0e, 0x8a, 0xa3, 0xb1, 0x0e, 0x2a, 0x34,
  0xff, 0x08, 0x55, 0x8f, 0xef, 0xb3, 0xf3, 0x93, 0x15, 0x9e, 0xf8, 0x63,
  0x3f, 0x20, 0x4e, 0xa7, 0x48, 0x51, 0xc6, 0x05, 0xcf, 0x35, 0x30, 0xa5,
  0x12, 0x7b, 0xba, 0xc3, 0xd9, 0x15, 0xfb, 0xb3, 0x43, 0x47, 0xaf, 0x89,
  0x3d, 0xbc, 0x1b, 0x20, 0x37, 0x12, 0x5e, 0xef, 0x29, 0x27, 0x74, 0xd5,
  0xfd, 0xe2, 0xee, 0xde, 0x55, 0x17, 0x0d, 0xb6, 0xbf, 0xf7, 0xe4, 0xde,
  0x49, 0x63, 0x38, 0x32, 0x4c, 0x48, 0x4e, 0x8b, 0x2e, 0x22, 0xc4, 0x41,
  0x42, 0xc5, 0x10, 0x2d, 0x6a, 0x7a, 0x8f, 0x9a, 0x56, 0xe0, 0xe1, 0x5a,
  0x98, 0x00, 0x56, 0xa1, 0x70, 0x4d, 0x85, 0xa0, 0xb5, 0xe7, 0x10, 0xf1,
  0xb5, 0xb0, 0x15, 0x05, 0xaf, 0x52, 0x1f, 0xed, 0x29, 0xf2, 0x8a, 0x68,
  0xf8, 0xcc, 0xfd, 0x1b, 0x90, 0xb3, 0xca, 0x2c, 0x84, 0x69, 0xb5, 0xdb,
  0x60, 0x01, 0x89, 0x44, 0xac, 0x18, 0xa1, 0x44, 0x0b, 0x68, 0xbe, 0x2e,
  0xe1, 0xbb, 0xd5, 0xc8, 0xdc, 0x6a, 0x3f, 0x1f, 0x5e, 0x81, 0xa2, 0xe0,
  0x7e, 0xcb, 0xa2, 0x73, 0xe6, 0x3e, 0x46, 0xd8, 0xed, 0x03, 0x75, 0xec,
  0xd4, 0xfa, 0xfa, 0x38, 0x41, 0x68, 0x95, 0xcd, 0xb2, 0x82, 0x89, 0x00,
  0x34, 0x28, 0xa2, 0xb3, 0xaf, 0x7e, 0x96, 0xb5, 0xbb, 0xb1, 0xd0, 0xbe,
  0xce, 0x71, 0x05, 0xcc, 0xe3, 0x19, 0x4b, 0x1a, 0xd1, 0x3e, 0x9c, 0x4f,
  0xdd, 0xed, 0x0d, 0xc9, 0xc7, 0xc1, 0x3e, 0xbc, 0x4c, 0xf9, 0x5a, 0x5e,
  0xbe, 0xbc, 0x1a, 0x91, 0xfa, 0xed, 0x8e, 0x1a, 0xd2, 0x64, 0x35, 0x93,
  0xa8, 0x59, 0x95, 0xbe, 0x90, 0x0c, 0x4f, 0x70, 0x91, 0xb6, 0xee, 0x88,
  0x90, 0xc1, 0x69, 0x5e, 0x21, 0xf1, 0xc6, 0x35, 0x29, 0xc9, 0x85, 0xa9,
  0x23, 0x69, 0x4f, 0x6b, 0xf6, 0x15, 0x49, 0xc3, 0xf6, 0x8c, 0xd0, 0xff,
  0x89, 0x5c, 0xeb, 0x4e, 0x4c, 0xdc, 0x3e, 0xc1, 0x5f, 0x5a, 0xfb, 0xe1,
  0x45, 0xf3, 0xca, 0x94, 0x9d, 0xe1, 0x5b, 0xd1, 0xce, 0x8f, 0x35, 0xfb,
  0xa1, 0xcd, 0x63, 0x09, 0x9b, 0xf6, 0x65, 0x0a, 0xaa, 0x43, 0xc2, 0x2b,
  0x1a, 0xc0, 0x57, 0x6c, 0xd0, 0xb8, 0x01, 0x38, 0x5b, 0xf2, 0x41, 0xb5,
  0x6f, 0xc5, 0x6c, 0xe4, 0xde, 0xd4, 0xc3, 0xdb, 0x20, 0xe0, 0x5c, 0x7c,
  0x5e, 0xda, 0xc6, 0x68, 0x38, 0x94, 0xc7, 0xc3, 0x2e, 0x66, 0xd2, 0x2c,
  0x0f, 0xa0, 0xd1, 0xe1, 0xfb, 0xe6, 0x1c, 0x0e, 0xe2, 0xfd, 0xb4, 0xc6,
  0x57, 0x89, 0xe0, 0x09, 0x40, 0x27, 0x67, 0xfd, 0x6b, 0x03, 0x39, 0x02,
  0x4f, 0xae, 0xc2, 0x5e, 0x82, 0x9f, 0x97, 0xec, 0xc8, 0xde, 0x81, 0xbe,
  0x88, 0x1d, 0x96, 0xfa, 0xae, 0x8a, 0x29, 0x4a, 0x8b, 0x59, 0xd8, 0xe3,
  0x99, 0x3a, 0x3c, 0xa0, 0x66, 0x37, 0xd1, 0xa0, 0x66, 0xc8, 0xdb, 0x45,
  0x0b, 0xa1, 0xe9, 0x09, 0x10, 0xa2, 0x05, 0xa6, 0x67, 0xd4, 0x85, 0xe8,
  0xd7, 0x7c, 0xa2, 0x73, 0xba, 0x85, 0x11, 0x07, 0xb1, 0x05, 0x18, 0xde,
  0x24, 0x29, 0x99, 0xd9, 0xaa, 0xd5, 0x0a, 0x5a, 0x3f, 0x92, 0x7d, 0x01,
  0x23, 0x5e, 0xd9, 0x29, 0x66, 0x7d, 0x77, 0xe2, 0x25, 0x70, 0x79, 0x24,
  0x89, 0xc0, 0xad, 0xc2, 0x07, 0xd3, 0xbd, 0xe3, 0x8f, 0xa1, 0xcd, 0x9e,
  0x00, 0x00, 0xb8, 0x43, 0x7c, 0xae, 0x09, 0x59, 0x52, 0x5d, 0xbc, 0xae,
  0x0c, 0x78, 0x6f, 0x32, 0x26, 0xd4, 0xd0, 0x0d, 0x9b, 0x8f, 0xa6, 0xec,
  0xcf, 0x68, 0x85, 0x73, 0xbf, 0x54, 0xf9, 0xce, 0x65, 0xa8, 0x88, 0x86,
  0x9c, 0x92, 0xfa, 0xa4, 0x5d, 0xee, 0xe2, 0x21, 0x75, 0x24, 0x73, 0x29,
  0x46, 0x51, 0x35, 0x15, 0x95, 0x91, 0x9c, 0x9e, 0xc6, 0x90, 0xbd, 0x7c,
  0x17, 0x64, 0x58, 0x3e, 0xc2, 0xce, 0x8e, 0x5c, 0x21, 0xbe, 0xba, 0x07,
  0xc2, 0x0b, 0xfd, 0x21, 0x00, 0x28, 0xf0, 0xcb, 0x76, 0xf0, 0xbc, 0x08,
  0xc6, 0xcf, 0xce, 0x73, 0xfb, 0xb7, 0x4a, 0x2f, 0x2f, 0x7d, 0x37, 0x06,
  0xaf, 0xf7, 0x4f, 0x48, 0x37, 0x09, 0x41, 0x3d, 0xda, 0xc8, 0x6a, 0xcb,
  0x23, 0x3f, 0x62, 0x90, 0x0d, 0xd4, 0x4b, 0xc5, 0x3e, 0x03, 0x3b, 0x5c,
  0xca, 0x1e, 0xfe, 0xaf, 0x3b, 0x07, 0x0b, 0x5d, 0x76, 0x34, 0xb7, 0x02,
  0x70, 0x56, 0x40, 0xc0, 0x23, 0xde, 0x97, 0x2f, 0x2c, 0xf0, 0xed, 0x92,
  0x0c, 0x44, 0x7d, 0x63, 0x33, 0xb0, 0xcb, 0x2c, 0xe8, 0x08, 0xe2, 0x37,
  0x28, 0x70, 0xb2, 0x27, 0x81, 0x8c, 0xf5, 0x1c, 0x45, 0x52, 0x80, 0xdd,
  0x1d, 0xfe, 0x89, 0xa6, 0x2d, 0x9e, 0xdd, 0xd1, 0x81, 0x61, 0x64, 0xa1,
  0x0f, 0x31, 0xa9, 0x99, 0x10, 0x7f, 0x41, 0x2f, 0x94, 0xb9, 0xf1, 0x67,
  0xb5, 0xe4, 0xe1, 0xe3, 0xea, 0xdb, 0x80, 0x17, 0x78, 0x04, 0x1e, 0xe3,
  0xac, 0x05, 0xe6, 0x6a, 0xdc, 0xda, 0x6b, 0x2a, 0x90, 0xc7, 0xaa, 0x48,
  0x0e, 0x3b, 0x4b, 0x9e, 0x80, 0x84, 0x11, 0xe1, 0xb5, 0x13, 0x66, 0xc4,
  0x03, 0x4b, 0x47, 0x9f, 0x46, 0xc1, 0x06, 0x53, 0xe1, 0xe7, 0x70, 0x0a,
  0x03, 0xaf, 0x00, 0xc4, 0xcc, 0x7d, 0x69, 0xb0, 0xdb, 0xa4, 0x6e, 0x7a,
  0x55, 0x2d, 0x3e, 0x9a, 0x6f, 0x22, 0x58, 0x27, 0x05, 0xce, 0x63, 0xac,
  0xd0, 0x70, 0xc1, 0xca, 0xaa, 0x15, 0x93, 0x0e, 0x3d, 0xa8, 0x99, 0xbb,
  0x44, 0x96, 0x59, 0x18, 0x9e, 0xfb, 0xec, 0x99, 0xcd, 0x0f, 0x22, 0x1a,
  0xe1, 0xbc, 0x05, 0x5c, 0x7f, 0x3e, 0xc7, 0x39, 0x9f, 0x20, 0x05, 0xfc,
  0x49, 0x25, 0x56, 0xf0, 0x1f, 0x27, 0xa7, 0xab, 0xdb, 0xba, 0xf6, 0xc3,
  0x77, 0xd3, 0x15, 0xbb, 0xe4, 0x86, 0x8c, 0xa2, 0x75, 0xad, 0x95, 0x5e,
  0x14, 0xf4, 0x42, 0x83, 0xce, 0x5c, 0xbd, 0x72, 0xcf, 0xe1, 0xea, 0x24,
  0x39, 0x26, 0x97, 0x87, 0xdf, 0xe6, 0xde, 0x7a, 0x24, 0x97, 0x4f, 0x52,
  0x2a, 0x8f, 0x24, 0xdc, 0xa8, 0x9b, 0xc0, 0x3b, 0xd7, 0xe8, 0xc3, 0xf8,
  0x6f, 0xfe, 0xac, 0xc6, 0xf4, 0x0d, 0xd7, 0xbb, 0xd6, 0xbf, 0xf9, 0x0d,
  0xfc, 0xf1, 0x94, 0x1a, 0x80, 0x68, 0xed, 0x48, 0xeb, 0xb7, 0x57, 0xf2,
  0xa1, 0xca, 0x1d, 0x20, 0xbb, 0x99, 0xe9, 0xf6, 0xd9, 0xc8, 0xc5, 0x31,
  0x6b, 0xc1, 0xfb, 0xf7, 0x30, 0x3a, 0x32, 0xe8, 0x88, 0xaa, 0xbc, 0x8c,
  0x64, 0xf3, 0x6b, 0x02, 0x43, 0x4e, 0x67, 0x05, 0x0c, 0x94, 0x09, 0x91,
  0x7d, 0x0a, 0xbc, 0x9b, 0x60, 0xb3, 0x2e, 0xd9, 0x0f, 0xdb, 0x83, 0xc0,
  0x01, 0xeb, 0xbf, 0x50, 0x7f, 0x1f, 0xc0, 0x87, 0x8d, 0x18, 0x09, 0xaf,
  0x1d, 0xad, 0xa3, 0x64, 0xd8, 0xf6, 0xe9, 0x0c, 0xc5, 0x54, 0xeb, 0x82,
  0xb2, 0x0c, 0xf8, 0x7d, 0x05, 0x82, 0xab, 0xb1, 0x83, 0x4d, 0x55, 0x10,
  0x6f, 0x28, 0x07, 0xfd, 0x5a, 0x6d, 0x66, 0x18, 0xba, 0x53, 0x4f, 0xa1,
  0x2c, 0x94, 0xe5, 0x76, 0xfb, 0xe6, 0x28, 0xf5, 0x46, 0xea, 0xfa, 0xef,
  0x0c, 0x63, 0x40, 0x7c, 0xeb, 0xd7, 0x05, 0x73, 0xf2, 0x05, 0x6f, 0x65,
  0x4f, 0x26, 0xff, 0x8a, 0x0f, 0x66, 0xec, 0xc7, 0xf8, 0x63, 0xbd, 0x99,
  0xb6, 0x1d, 0x61, 0x93, 0x2d, 0x68, 0xcc, 0x82, 0x14, 0x3e, 0x1d, 0x6b,
  0x0f, 0x84, 0x87, 0x78, 0x6c, 0x70, 0x37, 0x70, 0xc4, 0x60, 0x3d, 0xda,
  0xc4, 0xb9, 0x2b, 0xed, 0xa2, 0xc3, 0x70, 0x9b, 0xcb, 0x73, 0x4f, 0xc0,
  0xcf, 0xce, 0x19, 0x26, 0x4a, 0x2b, 0x98, 0xce, 0x65, 0x56, 0xa2, 0xb8,
  0x1d, 0x73, 0x62, 0xf7, 0x5c, 0xfe, 0x9e, 0xb5, 0x40, 0x66, 0x33, 0x72,
  0x03, 0x0c, 0xfd, 0x44, 0x3f, 0x63, 0xc4, 0x1e, 0x11, 0x99, 0x10, 0x51,
  0xf6, 0x3f, 0x4e, 0x1c, 0xa9, 0x6d, 0x09, 0x26, 0x06, 0xe1, 0x2d, 0x0c,
  0xda, 0x84, 0x23, 0x67, 0xd9, 0xeb, 0x62, 0x8a, 0x84, 0xa5, 0x2d, 0xb2,
  0x60, 0x8b, 0x49, 0xc6, 0xb4, 0x11, 0x84, 0xdf, 0x4c, 0xbd, 0x41, 0x3c,
  0x1a, 0xd9, 0x76, 0xb2, 0x1b, 0x79, 0xae, 0x3b, 0x4d, 0x13, 0x1b, 0xc1,
  0x3f, 0x23, 0xb4, 0x49, 0x80, 0x1c, 0xe4, 0x03, 0xd6, 0xc4, 0xb0, 0xe2,
  0xfe, 0x1e, 0x60, 0xa4, 0xdf, 0xe9, 0xf7, 0x14, 0xf9, 0x59, 0xdb, 0xb0,
  0x7b, 0x1c, 0x16, 0xc5, 0x4b, 0x04, 0x10, 0x74, 0xbf, 0xf3, 0x7b, 0xae,
  0xc6, 0xc8, 0x10, 0x5c, 0xcd, 0x1d, 0x75, 0xf0, 0xd9, 0x35, 0xc2, 0x2a,
  0x28, 0x34, 0xae, 0x3b, 0xa2, 0x41, 0x04, 0x3f, 0xfa, 0x54, 0xb9, 0xe3,
  0xe8, 0xf8, 0x2b, 0xea, 0x1c, 0x4b, 0xc5, 0x90, 0x4b, 0xc7, 0xe1, 0x61,
  0xed, 0x71, 0x6e, 0x6d, 0x77, 0xac, 0x4f, 0x5e, 0x49, 0xab, 0x4c, 0xa4,
  0x1b, 0x26, 0x1a, 0xf4, 0xbe, 0x2a, 0xba, 0x29, 0x57, 0xbc, 0xf9, 0x52,
  0xd9, 0x7d, 0x14, 0x83, 0x58, 0x99, 0xaf, 0xad, 0xdb, 0x77, 0x91, 0xa7,
  0x4a, 0x1f, 0x2c, 0x92, 0x68, 0xce, 0x0a, 0x85, 0x16, 0x9f, 0x97, 0x50,
  0xe3, 0x17, 0x33, 0x92, 0xa9, 0x42, 0x12, 0xb1, 0x7b, 0x4f, 0x13, 0x86,
  0xd2, 0x65, 0xe8, 0x53, 0x92, 0x0b, 0x4a, 0xb1, 0x48, 0x3e, 0x83, 0x8e,
  0x9d, 0x58, 0x20, 0x4c, 0xf4, 0x7d, 0x8f, 0x31, 0xe3, 0x5d, 0x15, 0x12,
  0x8b, 0x21, 0x2c, 0x73, 0x00, 0x8c, 0x69, 0xcb, 0x14, 0xd8, 0x16, 0x20,
  0x13, 0x73, 0x92, 0x8e, 0x59, 0x9f, 0x0d, 0xcb, 0x2a, 0xc9, 0xc6, 0x4d,
  0x88, 0x50, 0x03, 0x00, 0x4c, 0x43, 0x3b, 0x17, 0xa5, 0xd4, 0xcb, 0x0e,
  0x79, 0xe1, 0x26, 0x46, 0xd4, 0x3d, 0x4e, 0x53, 0x55, 0xef, 0x9b, 0x1d,
  0x57, 0x41, 0xce, 0xa0, 0x05, 0xfb, 0xb0, 0x98, 0x29, 0x9b, 0x65, 0xbe,
  0x4e, 0xf8, 0xcf, 0xfd, 0xeb, 0xb9, 0x8b, 0xda, 0x46, 0xcd, 0xa7, 0x88,
  0xce, 0xf4, 0x06, 0xa6, 0x4e, 0x9b, 0x96, 0x45, 0xdf, 0xb3, 0x79, 0x40,
  0x6b, 0x9e, 0x67, 0x73, 0xbd, 0x96, 0x48, 0x69, 0x54, 0xf4, 0x60, 0xbf,
  0x4e, 0x14, 0x20, 0xc9, 0x9e, 0x14, 0x2a, 0x39, 0x9d, 0x23, 0x3b, 0x07,
  0xdf, 0xe4, 0x0d, 0xa8, 0xc6, 0x95, 0xac, 0x89, 0x56, 0xbe, 0x3c, 0xbe,
  0x7b, 0xdc, 0x5b, 0xe7, 0x6d, 0xdc, 0x6c, 0xe7, 0x8f, 0x00, 0x02, 0x41,
  0x40, 0xcd, 0x11, 0x78, 0x99, 0xed, 0x6e, 0x90, 0xc8, 0x22, 0x54, 0xd1,
  0xf0, 0x3a, 0x86, 0xd9, 0xee, 0x07, 0x13, 0x8c, 0x86, 0x72, 0x13, 0xf1,
  0x03, 0x14, 0x23, 0x57, 0x4d, 0x3e, 0x87, 0xb1, 0x54, 0xeb, 0x37, 0x35,
  0x2b, 0xe1, 0x9d, 0x22, 0xe7, 0x8f, 0x38, 0x8f, 0x34, 0x1d, 0x85, 0x3a,
  0x45, 0x75, 0x8a, 0x85, 0x6b, 0x0a, 0xe5, 0x62, 0x11, 0xb7, 0x82, 0x6d,
  0xeb, 0x85, 0xc7, 0x40, 0x63, 0x0a, 0xfe, 0xe0, 0xa8, 0x5b, 0xfc, 0x26,
  0x17, 0xa4, 0xaf, 0xdd, 0x8b, 0x54, 0xb4, 0x0e, 0x14, 0xa5, 0x64, 0xf8,
  0x7d, 0xbf, 0xfe, 0x14, 0x2f, 0x4f, 0x50, 0x42, 0x80, 0x38, 0xe9, 0xf2,
  0x85, 0xd3, 0xe6, 0xf3, 0x7f, 0xcb, 0xd9, 0xfa, 0x92, 0x3d, 0x82, 0x41,
  0x70, 0x9d, 0xb6, 0x4e, 0x6f, 0x41, 0xe1, 0x7b, 0x7e, 0xb1, 0x42, 0x56,
  0x0a, 0x90, 0x0b, 0x90, 0xb7, 0x3f, 0x99, 0xe7, 0xe2, 0x1b, 0xdc, 0x65,
  0x93, 0xb2, 0xf3, 0xc0, 0x1e, 0x9d, 0xf8, 0xc6, 0xf1, 0xc0, 0xc1, 0x5c,
  0x0c, 0xed, 0x8a, 0x24, 0x30, 0x94, 0x7d, 0x90, 0x27, 0x5a, 0x2f, 0x02,
  0xcd, 0x10, 0xa1, 0xfe, 0xb8, 0x00, 0x6a, 0x7d, 0x76, 0x78, 0xca, 0x37,
  0x8c, 0xf8, 0xec, 0x66, 0x2a, 0x22, 0xfc, 0x4c, 0x5d, 0x7f, 0x6c, 0xed,
  0x7c, 0x1e, 0xde, 0xbd, 0xcd, 0x37, 0x57, 0xad, 0x73, 0xa3, 0xfd, 0x60,
  0x69, 0x97, 0x9b, 0x04, 0x29, 0xfd, 0x18, 0xb7, 0xd9, 0x3b, 0x50, 0xd3,
  0x0e, 0x8b, 0xe5, 0xe9, 0xdd, 0x47, 0x40, 0xe2, 0x26, 0xa1, 0xa6, 0x53,
  0x4b, 0x26, 0xc3, 0x33, 0x98, 0x7c, 0x3e, 0x25, 0x69, 0x21, 0xf9, 0xe7,
  0x31, 0x9b, 0xb9, 0xdb, 0x7a, 0xe2, 0xac, 0x26, 0xf7, 0x02, 0xaa, 0x51,
  0x06, 0xe1, 0xf7, 0x51, 0xa9, 0x0c, 0xcc, 0xba, 0xa1, 0xb6, 0x90, 0x42,
  0xbf, 0x46, 0x8f, 0x23, 0x9f, 0xb5, 0x0e, 0xdd, 0xf9, 0x83, 0x54, 0x2f,
  0xd0, 0x72, 0x1c, 0xbc, 0xfe, 0x2c, 0x3c, 0xb3, 0xa9, 0x6d, 0xab, 0xe0,
  0xb7, 0xab, 0x5c, 0xd6, 0xa5, 0x58, 0x8b, 0x6f, 0xb2, 0xfd, 0xcd, 0x8b,
  0x97, 0xf8, 0xf9, 0x2b, 0x7a, 0x51, 0x5f, 0x90, 0x7d, 0x20, 0xb0, 0x1b,
  0x92, 0xe6, 0xa7, 0xe9, 0x71, 0x73, 0x04, 0xf6, 0x1c, 0x6e, 0x46, 0x20,
  0x29, 0x2e, 0x6f, 0x33, 0x25, 0x03, 0x34, 0x43, 0x47, 0x6d, 0xf9, 0x94,
  0x9a, 0x74, 0x77, 0x9f, 0x08, 0x28, 0xb3, 0x19, 0xad, 0x82, 0x62, 0x6d,
  0x5c, 0xab, 0x87, 0x9b, 0x53, 0x4d, 0x74, 0x95, 0x22, 0x76, 0x96, 0x50,
  0x75, 0xcd, 0x3d, 0xf5, 0xed, 0x58, 0xf4, 0x73, 0x87, 0xca, 0x8a, 0x9a,
  0x37, 0xbe, 0xe9, 0x99, 0x17, 0xd5, 0x8f, 0x2a, 0xde, 0xbe, 0x52, 0x5b,
  0x41, 0xb9, 0x7a, 0xd5, 0x44, 0x15, 0xa1, 0x8a, 0x92, 0xbf, 0x2f, 0xa6,
  0xa4, 0xaf, 0xd7, 0x4b, 0x6d, 0x2f, 0xb0, 0x78, 0x36, 0xce, 0x9a, 0x4e,
  0x2b, 0x00, 0x17, 0x06, 0x80, 0x0e, 0x21, 0xcf, 0x28, 0x80, 0x39, 0x40,
  0xae, 0x45, 0x9f, 0xe7, 0x59, 0x57, 0x2f, 0x5f, 0x5d, 0xbd, 0xdd, 0x3a,
  0xc8, 0x42, 0x79, 0x7b, 0xa9, 0xd7, 0xd0, 0x59, 0xf3, 0x16, 0xf0, 0xc0,
  0x25, 0x1c, 0x92, 0x3c, 0xf7, 0xd6, 0xbf, 0x6e, 0xc4, 0x31, 0x6a, 0xc5,
  0xcd, 0x7c, 0xe2, 0x29, 0x4c, 0x4a, 0x22, 0x76, 0x86, 0x12, 0x5f, 0x9d,
  0xe0, 0x78, 0xe7, 0xe2, 0x8b, 0xa5, 0x0e, 0x21, 0xa5, 0xb6, 0xe3, 0x50,
  0xbb, 0x55, 0x41, 0x2f, 0x5f, 0xfa, 0x3b, 0x13, 0x5c, 0x1d, 0x5e, 0x8a,
  0xcb, 0x72, 0xf4, 0x95, 0x62, 0xb0, 0xb5, 0xcb, 0x44, 0x3a, 0x46, 0x64,
  0xf7, 0x5f, 0xe0, 0xd5, 0xab, 0xf3, 0xa5, 0x37, 0x30, 0xb1, 0xe7, 0x4f,
  0x1f, 0x98, 0xf9, 0xb3, 0x46, 0xda, 0x22, 0x8b, 0x0c, 0xdf, 0xd2, 0x33,
  0xa3, 0xb2, 0xf4, 0xc1, 0x68, 0x30, 0x70, 0xa9, 0xfe, 0xe6, 0xe5, 0xbd,
  0x0d, 0x6d, 0xa2, 0x5a, 0xcd, 0x52, 0x83, 0x41, 0xd3, 0xae, 0xdd, 0xac,
  0x52, 0x2d, 0x3b, 0xa0, 0x5d, 0xbd, 0x27, 0xe4, 0x7a, 0xc7, 0x97, 0x3f,
  0x8a, 0x6f, 0x97, 0x53, 0x77, 0x89, 0x88, 0xa2, 0x70, 0x9e, 0x67, 0xff,
  0xd0, 0x41, 0xb1, 0x06, 0xd7, 0xe4, 0xcd, 0x9c, 0x67, 0x98, 0x0b, 0x55,
  0x9d, 0xfa, 0x96, 0x7d, 0xc2, 0x98, 0xe8, 0x5a, 0x7e, 0x30, 0xe6, 0xaf,
  0x46, 0xb8, 0x73, 0x63, 0x73, 0x67, 0x09, 0x7f, 0xec, 0x4f, 0xac, 0x76,
  0x87, 0xdb, 0x64, 0x0c, 0x0d, 0x38, 0x9c, 0x2c, 0xfb, 0x37, 0x32, 0xf4,
  0xfd, 0x29, 0x22, 0x1c, 0xe6, 0x7b, 0xdc, 0xdc, 0x06, 0xd8, 0x92, 0x18,
  0xce, 0x13, 0x8d, 0x52, 0xc6, 0x81, 0x61, 0x1d, 0x5d, 0x20, 0xa2, 0x48,
  0x8a, 0x5d, 0x4a, 0x26, 0x6c, 0x1f, 0xdb, 0x07, 0xd4, 0x64, 0xab, 0xa5,
  0x97, 0xa2, 0xf9, 0x8f, 0x30, 0x09, 0x5b, 0xf9, 0xc4, 0xbc, 0x50, 0x9d,
  0x3a, 0x47, 0x0d, 0xf7, 0xa0, 0xde, 0xfe, 0x78, 0xb6, 0x02, 0xad, 0x9f,
  0x0c, 0x84, 0x65, 0xea, 0xbc, 0xac, 0x76, 0x10, 0x38, 0x69, 0xc5, 0xf2,
  0x02, 0x1b, 0x82, 0xac, 0x44, 0x84, 0x08, 0x28, 0x15, 0xea, 0x10, 0x3a,
  0xe6, 0x47, 0x56, 0xfb, 0x24, 0x7f, 0x8f, 0xb5, 0x3e, 0x6a, 0xd6, 0xdb,
  0x5d, 0x56, 0x51, 0x43, 0x52, 0xfd, 0xc0, 0x39, 0x53, 0x55, 0xaa, 0x39,
  0x15, 0x54, 0x88, 0x39, 0x78, 0xfd, 0xb8, 0xd0, 0x78, 0x08, 0x08, 0xa3,
  0x64, 0x64, 0x85, 0x1d, 0x72, 0x8b, 0x97, 0x24, 0xee, 0xa7, 0xdc, 0xbe,
  0xad, 0xf3, 0x94, 0xeb, 0xea, 0x39, 0x98, 0x67, 0xad, 0xfa, 0x6c, 0xd1,
  0xd7, 0x49, 0xbf, 0x56, 0xfa, 0x69, 0x7c, 0xda, 0xc7, 0x1f, 0x3c, 0xfc,
  0xdb, 0xf8, 0xed, 0xff, 0x3a, 0x93, 0x4a, 0x92, 0x97, 0x36, 0x93, 0x4f,
  0x6d, 0xc7, 0xa7, 0x92, 0x1d, 0x1f, 0x0b, 0x3b, 0x63, 0x01, 0x53, 0x58,
  0xb1, 0xf8, 0x24, 0xfa, 0x3d, 0xce, 0x7c, 0xd0, 0x40, 0xee, 0xcb, 0xe4,
  0x50, 0x72, 0x9d, 0x33, 0xf3, 0x5f, 0x15, 0xc3, 0x09, 0x73, 0x8a, 0x23,
  0x87, 0x6e, 0x0c, 0x7c, 0xe5, 0x8e, 0xa3, 0x42, 0x8e, 0x51, 0x23, 0x0d,
  0xa3, 0xc9, 0xe1, 0x59, 0xf2, 0x07, 0xcb, 0x71, 0x41, 0x6b, 0x26, 0x7d,
  0x50, 0xd1, 0x4b, 0xf0, 0x2a, 0x70, 0x3e, 0xc1, 0x0e, 0xac, 0xce, 0xed,
  0x87, 0x96, 0x34, 0xfd, 0xae, 0xc6, 0xe7, 0x7b, 0xc5, 0xfe, 0x0d, 0xb0,
  0xc4, 0x17, 0x15, 0x57, 0xc4, 0x57, 0xcd, 0xc8, 0x24, 0x92, 0x55, 0x81,
  0x30, 0x3f, 0xb6, 0x7d, 0x1d, 0x76, 0x08, 0x0c, 0x86, 0xad, 0x4b, 0xbe,
  0x2f, 0xbf, 0xd0, 0xfd, 0xef, 0x80, 0x42, 0x02, 0x10, 0xd4, 0xc2, 0x2b,
  0xc0, 0xdc, 0xce, 0x21, 0x97, 0x34, 0xa9, 0xda, 0xe9, 0xb4, 0x7f, 0x45,
  0xb2, 0xea, 0xff, 0xa2, 0x6b, 0x26, 0xf8, 0xb4, 0x5e, 0x27, 0x9c, 0xf5,
  0xa2, 0x4b, 0x46, 0xd6, 0x1e, 0xd4, 0x35, 0x6a, 0xbb, 0x24, 0xa2, 0xb5,
  0x43, 0xca, 0x63, 0x84, 0x43, 0x65, 0x06, 0x50, 0x5c, 0x0c, 0x80, 0x35,
  0xbc, 0xb6, 0x02, 0x96, 0x53, 0x1b, 0x7f, 0x87, 0x79, 0xad, 0x87, 0xfc,
  0xdd, 0xa6, 0xd2, 0xc8, 0x63, 0x90, 0x9d, 0x59, 0x0e, 0x85, 0x6b, 0x93,
  0xe4, 0x67, 0x85, 0x48, 0x4b, 0x55, 0xda, 0x82, 0xaa, 0x05, 0xdb, 0xf8,
  0x2a, 0x5c, 0xb2, 0xc2, 0x07, 0xbb, 0xa7, 0x9f, 0x6b, 0x72, 0x9a, 0x89,
  0xaa, 0x5f, 0xb4, 0x64, 0xd4, 0x68, 0x1a, 0x97, 0x34, 0x5a, 0xa6, 0x62,
  0xe7, 0x87, 0xf5, 0x88, 0xf5, 0x3f, 0x26, 0xff, 0x68, 0xd7, 0xd1, 0x46,
  0xfa, 0x1c, 0x94, 0xbc, 0x38, 0x26, 0xd4, 0x97, 0x78, 0x49, 0x67, 0x78,
  0x0b, 0x69, 0x08, 0x8d, 0xe6, 0xab, 0x8b, 0xd1, 0xa5, 0x74, 0xfa, 0xd6,
  0x14, 0x39, 0xc7, 0x40, 0xa9, 0x9d, 0xb5, 0x07, 0x18, 0x11, 0x1b, 0xd3,
  0x01, 0x7d, 0x13, 0x12, 0x11, 0x91, 0x34, 0x43, 0xf3, 0x17, 0xc2, 0x44,
  0x97, 0x1b, 0x0f, 0xe9, 0x0b, 0x49, 0xc0, 0x0a, 0xe4, 0xa8, 0x15, 0x7b,
  0xb3, 0xbb, 0x15, 0x3e, 0x82, 0xae, 0x8b, 0x6e, 0x15, 0x84, 0x50, 0xc7,
  0x62, 0x00, 0x2c, 0xd8, 0xfa, 0xcf, 0x3c, 0x3e, 0xb3, 0x23, 0x79, 0x73,
  0x0a, 0x06, 0x17, 0x68, 0xb7, 0xc7, 0xc9, 0x80, 0x6f, 0xc6, 0x29, 0xd5,
  0x89, 0x66, 0xfd, 0xc6, 0x55, 0xfb, 0x56, 0x6f, 0x02, 0x08, 0x79, 0x1f,
  0xfc, 0xf0, 0x9c, 0x1e, 0x12, 0x36, 0x23, 0x87, 0xc4, 0xe6, 0x86, 0x2d,
  0x18, 0x5d, 0x4a, 0x6e, 0x7b, 0x21, 0x38, 0xfb, 0x22, 0x12, 0x40, 0x1f,
  0xdf, 0x56, 0x53, 0x68, 0xaa, 0xef, 0xbd, 0x78, 0xce, 0xf7, 0xfc, 0xa1,
  0x37, 0xd4, 0x74, 0xdd, 0xa5, 0x99, 0x68, 0x95, 0x6e, 0x93, 0x82, 0x49,
  0xf5, 0x19, 0x5f, 0x7b, 0xeb, 0xb0, 0x89, 0x5c, 0xb0, 0x0f, 0x45, 0x18,
  0x4d, 0x96, 0xf1, 0x6c, 0x67, 0x19, 0x86, 0xd9, 0xe3, 0x22, 0xa7, 0x0f,
  0x7b, 0x4f, 0x4b, 0x6e, 0xed, 0x75, 0x60, 0xc3, 0x1b, 0x6c, 0x11, 0xa3,
  0xed, 0x63, 0x64, 0x4d, 0x18, 0x9b, 0xd2, 0x60, 0xe7, 0xa7, 0x59, 0x59,
  0x17, 0xb3, 0x1f, 0xd5, 0xc7, 0x80, 0x15, 0x7b, 0x32, 0xf7, 0xb7, 0x83,
  0x2f, 0x01, 0xae, 0x4a, 0x0a, 0x78, 0x44, 0x6b, 0xbb, 0x72, 0x6d, 0xc0,
  0xe4, 0x74, 0xc7, 0x0e, 0x15, 0xbe, 0xb5, 0xba, 0x0a, 0xd0, 0x2e, 0x2c,
  0x02, 0x2d, 0xf8, 0x56, 0x9a, 0xfd, 0x8a, 0x86, 0x25, 0x18, 0x2e, 0x9c,
  0xad, 0x03, 0x1c, 0x1b, 0xbc, 0xd7, 0xbf, 0xd1, 0x39, 0x7f, 0x3c, 0x53,
  0x1a, 0xc8, 0xf6, 0x88, 0x78, 0xc4, 0x0d, 0x4e, 0xd6, 0x9f, 0xf6, 0xfb,
  0x38, 0xc8, 0x6d, 0x37, 0x80, 0xab, 0xfe, 0xc5, 0xc9, 0xec, 0x58, 0x25,
  0x92, 0xbb, 0xe2, 0xc1, 0x97, 0x64, 0xa6, 0x7a, 0xc9, 0xd0, 0x6f, 0xd9,
  0x46, 0x71, 0xaf, 0x2b, 0x95, 0x59, 0xce, 0x5a, 0xf6, 0x6b, 0x9f, 0xd2,
  0x6f, 0xc1, 0xc3, 0x4c, 0xf0, 0x59, 0xa3, 0x7f, 0xfb, 0x97, 0x67, 0x67,
  0xc3, 0x21, 0x2c, 0x2f, 0x55, 0x66, 0x52, 0xc3, 0xc9, 0x2c, 0x54, 0xb8,
  0xdf, 0xe1, 0x35, 0xdb, 0x05, 0xce, 0xeb, 0x80, 0x08, 0x41, 0x5c, 0x43,
  0xb2, 0x46, 0xf1, 0x77, 0xd0, 0x1f, 0x70, 0xd0, 0xae, 0xec, 0xb2, 0xa7,
  0x16, 0xd5, 0xc2, 0xb1, 0xe9, 0xa6, 0x29, 0xb7, 0xa7, 0xa8, 0xd1, 0x8b,
  0xc8, 0x8c, 0x17, 0x23, 0xa1, 0x53, 0xc6, 0xc4, 0x3a, 0x4e, 0xbd, 0x20,
  0x0c, 0x23, 0xcd, 0x79, 0x90, 0x8d, 0xb1, 0x23, 0x8a, 0x46, 0x9c, 0x27,
  0xec, 0xff, 0x8c, 0x85, 0xcd, 0x38, 0xbf, 0x69, 0xc0, 0x24, 0x4c, 0x4d,
  0xcb, 0x2a, 0x2c, 0x0c, 0x2e, 0x57, 0xd2, 0x03, 0x2b, 0x1a, 0xe7, 0xef,
  0xe0, 0x26, 0x76, 0x9d, 0x0e, 0x4a, 0x22, 0x2b, 0x7f, 0x5d, 0x7f, 0x9c,
  0xd0, 0x14, 0x74, 0xe2, 0x07, 0xc2, 0x44, 0x8e, 0xc0, 0x81, 0x6d, 0x75,
  0x82, 0x2e, 0xa7, 0x67, 0x3c, 0xce, 0xbb, 0x7b, 0x1d, 0x05, 0xd4, 0x9d,
  0xad, 0xf2, 0xd8, 0x17, 0xf5, 0x9f, 0x55, 0xb3, 0xd4, 0x4c, 0x28, 0x0a,
  0x92, 0xfb, 0x6c, 0x21, 0x36, 0x41, 0xef, 0xc6, 0x3e, 0x64, 0x98, 0xe6,
  0x1e, 0xe3, 0xce, 0xea, 0xde, 0x26, 0x22, 0x71, 0x9b, 0x24, 0xf3, 0xf8,
  0x47, 0x46, 0x39, 0xd4, 0xf3, 0xa4, 0x47, 0xb6, 0x21, 0x84, 0xf7, 0x7b,
  0xf3, 0xfb, 0xf3, 0x11, 0x65, 0x98, 0xb6, 0x3e, 0x64, 0x5c, 0xd2, 0xfd,
  0x7f, 0x58, 0x6a, 0x8b, 0xe1, 0x20, 0xad, 0xfe, 0x57, 0xd7, 0x5c, 0xd1,
  0x51, 0x9a, 0xea, 0x82, 0x42, 0x5e, 0xd0, 0x5a, 0x10, 0x9f, 0x06, 0x7e,
  0x1b, 0x05, 0xd3, 0x41, 0xfa, 0x05, 0x0b, 0xb6, 0x6d, 0x05, 0x8d, 0xe3,
  0x23, 0xa7, 0x00, 0x63, 0x95, 0x37, 0x12, 0xa2, 0xec, 0xfd, 0x9e, 0x95,
  0x76, 0x0a, 0x9f, 0x9f, 0xd3, 0x7d, 0xb7, 0x63, 0x2c, 0x71, 0x88, 0x6b,
  0x79, 0xe7, 0xd2, 0x57, 0x4f, 0x76, 0x3c, 0x6c, 0x6d, 0x69, 0xd8, 0x1b,
  0xeb, 0x18, 0x35, 0x59, 0x64, 0xa2, 0x45, 0xa4, 0x12, 0xe2, 0xc2, 0xe3,
  0xd8, 0xe2, 0x65, 0xbf, 0xbe, 0xf6, 0x11, 0xc7, 0xe5, 0x5c, 0x2e, 0x93,
  0xe8, 0xc6, 0xa4, 0xb5, 0x9c, 0x2a, 0x19, 0x3f, 0xaf, 0x40, 0x96, 0xa1,
  0x48, 0x2d, 0x13, 0x75, 0x4d, 0xfc, 0xd9, 0x0f, 0x74, 0xda, 0xc6, 0xe7,
  0x68, 0x11, 0x89, 0x5a, 0x60, 0xb0, 0xba, 0x07, 0x20, 0xc4, 0x6d, 0x7a,
  0x4b, 0x5d, 0x8d, 0xd8, 0x61, 0xe4, 0x89, 0x61, 0xc2, 0x52, 0xd8, 0x3c,
  0x72, 0x26, 0x87, 0xc8, 0x43, 0xe7, 0x06, 0xfa, 0x84, 0xc5, 0x7e, 0x0a,
  0xa0, 0x88, 0xca, 0x16, 0xed, 0x4f, 0xd1, 0x2d, 0x9e, 0x00, 0x84, 0x0d,
  0x67, 0x53, 0xc3, 0x00, 0xe5, 0xbb, 0x7d, 0xb2, 0xc0, 0x2b, 0xfa, 0x20,
  0x3f, 0x66, 0xa1, 0xa2, 0x70, 0x7c, 0xe4, 0x7a, 0xae, 0x1a, 0x7c, 0xf8,
  0x2d, 0x99, 0x31, 0xb0, 0x0e, 0x91, 0xbc, 0x59, 0x14, 0x67, 0x4f, 0xd7,
  0xa3, 0x3a, 0x42, 0xbb, 0x97, 0x11, 0x61, 0x72, 0xf9, 0x2a, 0x5b, 0x52,
  0x42, 0xa0, 0x22, 0xfa, 0x1d, 0x59, 0xd9, 0xa3, 0xae, 0xd3, 0xff, 0x48,
  0x54, 0xee, 0x62, 0xef, 0x00, 0x74, 0xd2, 0x29, 0x8c, 0x69, 0x5f, 0x63,
  0x5f, 0x64, 0x91, 0xb4, 0x59, 0xc8, 0xfa, 0x1e, 0x62, 0x00, 0xc6, 0x16,
  0x54, 0x0e, 0xf1, 0x41, 0x0a, 0x2d, 0xd1, 0xcf, 0xc4, 0x7a, 0xe0, 0xeb,
  0x64, 0xfc, 0x33, 0xfe, 0x92, 0xea, 0xfd, 0x51, 0x4f, 0xf2, 0xc6, 0x1a,
  0xad, 0x05, 0xab, 0xd1, 0xe5, 0x05, 0xd9, 0x26, 0x17, 0x1f, 0x27, 0x32,
  0x07, 0x92, 0x18, 0x4a, 0xe3, 0x2b, 0x4d, 0x11, 0xf2, 0x07, 0x44, 0xe5,
  0x06, 0x1d, 0x2d, 0xb8, 0x27, 0x49, 0xfa, 0x34, 0xb6, 0xec, 0xe8, 0xe5,
  0xf3, 0x56, 0xf5, 0xad, 0x1c, 0x6f, 0xa9, 0x6f, 0xd7, 0x65, 0xcd, 0x76,
  0x8b, 0x5b, 0x28, 0x06, 0xc4, 0x54, 0x7b, 0x9c, 0xcb, 0xfd, 0xf4, 0xa7,
  0x04, 0x9f, 0xbb, 0x4e, 0x16, 0xd1, 0x13, 0xf2, 0x53, 0xc8, 0x5e, 0x11,
  0x6b, 0xe1, 0xfe, 0xa4, 0xe2, 0xa2, 0x35, 0x34, 0x77, 0xd2, 0x07, 0x76,
  0x55, 0x49, 0xc5, 0xcc, 0x93, 0x29, 0x9e, 0xf4, 0xde, 0x5a, 0xff, 0x94,
  0x17, 0xf6, 0x5c, 0xe5, 0x77, 0x8c, 0x30, 0x59, 0x45, 0x06, 0x3e, 0x2a,
  0xc0, 0xfd, 0xbd, 0x71, 0xb9, 0x3e, 0xbf, 0x5e, 0xe4, 0xb1, 0x0a, 0x9f,
  0x86, 0x6a, 0xfb, 0xe4, 0x80, 0xb0, 0x0d, 0x0a, 0x86, 0x67, 0xe3, 0xd9,
  0x76, 0x69, 0x0b, 0x91, 0xa9, 0xa8, 0x3d, 0x32, 0xa7, 0xa9, 0xa6, 0xdf,
  0x6a, 0x89, 0x13, 0xb5, 0x68, 0x39, 0xa5, 0xae, 0xc0, 0xe6, 0x4c, 0x5d,
  0x98, 0xf5, 0x73, 0xa9, 0x00, 0x84, 0xe5, 0xac, 0xe4, 0x29, 0xc1, 0x4a,
  0x90, 0x02, 0x01, 0xea, 0xf4, 0x0c, 0xcf, 0x47, 0x55, 0x4f, 0xd5, 0x3b,
  0xd0, 0xd8, 0x0f, 0x22, 0xbd, 0x7d, 0x3d, 0x0b, 0x7b, 0xe8, 0xce, 0x0f,
  0xee, 0x8d, 0x07, 0xb0, 0x87, 0x0a, 0xf8, 0x07, 0x0c, 0xc4, 0x63, 0xd0,
  0xc0, 0x2a, 0x7e, 0xf0, 0x50, 0x42, 0xf1, 0x84, 0xa4, 0xe5, 0x6c, 0xcb,
  0x45, 0x4d, 0x5e, 0x55, 0x8a, 0x54, 0x92, 0x00, 0xc1, 0xbf, 0xf5, 0x59,
  0x4e, 0x08, 0x63, 0x60, 0xd6, 0x45, 0xa7, 0x86, 0xbc, 0x38, 0xfc, 0xc4,
  0x7b, 0xf0, 0x0b, 0x0a, 0x2a, 0xf8, 0x18, 0xbf, 0x90, 0x75, 0x85, 0x42,
  0x53, 0x76, 0x2e, 0xf9, 0x1e, 0xad, 0x5d, 0xf6, 0xa9, 0x3d, 0xd9, 0xae,
  0x76, 0x7d, 0xe9, 0x7b, 0x1e, 0x1c, 0xab, 0xf7, 0x05, 0xeb, 0xca, 0x02,
  0x6d, 0xa9, 0x3f, 0x81, 0x84, 0xab, 0x12, 0xad, 0xe3, 0x60, 0xe1, 0xe2,
  0xb4, 0xb5, 0x25, 0x91, 0xf0, 0x61, 0x20, 0x7a, 0x4d, 0xbf, 0x13, 0xe0,
  0xe1, 0x6a, 0x0e, 0xf1, 0xeb, 0x1a, 0x84, 0xdc, 0x5b, 0xd2, 0x32, 0x74,
  0x5f, 0x5e, 0x2d, 0xcf, 0x54, 0x84, 0x21, 0xe4, 0x07, 0x72, 0x64, 0x72,
  0x7b, 0x6d, 0x1c, 0xf3, 0x19, 0x11, 0x54, 0x32, 0x87, 0x39, 0xaf, 0xb1,
  0xf5, 0xff, 0x20, 0x47, 0xc0, 0xcb, 0xd1, 0xd2, 0x17, 0x15, 0xb2, 0x1c,
  0x3a, 0xfe, 0xd0, 0x78, 0xdf, 0xa0, 0x05, 0x27, 0xcf, 0x99, 0x9b, 0xa4,
  0x7b, 0x37, 0x1d, 0x7d, 0x06, 0xf3, 0x3c, 0x10, 0xad, 0x14, 0x3b, 0xe2,
  0x5c, 0x3a, 0xb9, 0x38, 0x5e, 0x91, 0x56, 0x28, 0x97, 0x0e, 0xd2, 0x6d,
  0xca, 0xdf, 0x5c, 0x36, 0x90, 0x3d, 0xdf, 0xe2, 0xa2, 0xde, 0x8c, 0x3a,
  0x5d, 0x9f, 0x04, 0xeb, 0x92, 0x7c, 0xf4, 0x4e, 0x69, 0x2c, 0x68, 0x4e,
  0x5d, 0x1f, 0x4f, 0xed, 0x9f, 0xfb, 0x9f, 0x30, 0x41, 0xaf, 0x97, 0xcc,
  0xd5, 0xd6, 0x80, 0x2a, 0xd3, 0x42, 0x9c, 0x4f, 0x26, 0x69, 0x70, 0x56,
  0xeb, 0x0e, 0xfc, 0x2e, 0x3a, 0x97, 0x26, 0x97, 0x44, 0xf1, 0x72, 0x3d,
  0x78, 0x80, 0xe6, 0x77, 0x75, 0xfa, 0x1a, 0x09, 0xb6, 0x41, 0xa3, 0x4e,
  0x14, 0x20, 0x88, 0x16, 0x0d, 0x54, 0x1b, 0xbd, 0x2f, 0x11, 0x0a, 0xf5,
  0x96, 0x62, 0x48, 0x3f, 0x11, 0x87, 0x57, 0xa5, 0x7c, 0x86, 0x72, 0x98,
  0x21, 0x57, 0xb2, 0xb7, 0x1c, 0xcb, 0x86, 0xf5, 0x02, 0xa4, 0xb2, 0xd0,
  0x37, 0x45, 0xfc, 0xe0, 0x14, 0x83, 0x98, 0x14, 0x1c, 0x4b, 0x78, 0xb5,
  0x78, 0xf5, 0xa3, 0x31, 0xb8, 0xd2, 0xc1, 0xd7, 0xab, 0x20, 0x52, 0x93,
  0xb2, 0xf6, 0x57, 0x5b, 0xcb, 0x23, 0x2d, 0x13, 0xb0, 0xc7, 0x34, 0x83,
  0xcf, 0xf9, 0xf1, 0x78, 0xe4, 0xa8, 0xe6, 0x60, 0x87, 0xcc, 0xcf, 0x21,
  0xa0, 0x1f, 0x79, 0xa7, 0x56, 0x56, 0x37, 0x57, 0x50, 0x03, 0xe7, 0x22,
  0x0e, 0xff, 0x53, 0xc1, 0x94, 0xd1, 0x15, 0x04, 0x37, 0xba, 0xfa, 0x1f,
  0xf6, 0x5f, 0xa8, 0xfa, 0xdb, 0x6a, 0x11, 0x64, 0xc4, 0x85, 0xbf, 0x8d,
  0x71, 0x4a, 0x7e, 0x1b, 0x28, 0xd5, 0x8a, 0x10, 0x48, 0x3e, 0x69, 0xef,
  0xc5, 0x16, 0x95, 0xe0, 0xd9, 0x2c, 0x15, 0xc1, 0x1d, 0xa7, 0x4c, 0x23,
  0x19, 0xfc, 0x2b, 0x39, 0x72, 0x4d, 0x75, 0xa5, 0xe3, 0xc5, 0xcb, 0xd8,
  0x32, 0xb9, 0x3f, 0x27, 0xee, 0x93, 0xef, 0x0c, 0xfb, 0xe0, 0x63, 0x12,
  0x5d, 0x1c, 0xc1, 0xb6, 0xcb, 0x05, 0x73, 0xa7, 0x7e, 0x8f, 0xcc, 0xec,
  0x74, 0x13, 0x5c, 0xbb, 0xeb, 0x6c, 0x61, 0xda, 0xea, 0xd2, 0xec, 0xbf,
  0x22, 0x02, 0x4b, 0x42, 0xd6, 0x94, 0x98, 0x44, 0xfb, 0xb3, 0xc1, 0x01,
  0xcb, 0x4e, 0x1b, 0x90, 0x31, 0x0a, 0xad, 0x5d, 0xfa, 0xd7, 0xb2, 0xbb,
  0x93, 0x7b, 0x24, 0x98, 0x30, 0x0a, 0xd9, 0x5c, 0xd7, 0x72, 0xb8, 0xdb,
  0xb4, 0x09, 0xa9, 0xb1, 0x3e, 0xfc, 0xb2, 0x15, 0x0e, 0xc6, 0x3b, 0x1f,
  0x34, 0xf2, 0x15, 0xe7, 0xb9, 0x5d, 0x69, 0x5f, 0xba, 0x57, 0xab, 0x14,
  0x88, 0x84, 0x18, 0x4d, 0x5b, 0xda, 0x11, 0x16, 0x31, 0xba, 0xf5, 0x04,
  0x33, 0x7a, 0x8b, 0x46, 0x4c, 0x95, 0x84, 0x67, 0xfa, 0x22, 0x76, 0x85,
  0x39, 0x41, 0xa6, 0xd4, 0x84, 0x68, 0xa6, 0x04, 0x8e, 0x55, 0xf2, 0x80,
  0x27, 0xfd, 0x32, 0x9b, 0xd1, 0x8e, 0xc2, 0x93, 0x9d, 0x3e, 0xbb, 0x0c,
  0x16, 0x84, 0x6e, 0x07, 0x4e, 0x4b, 0x18, 0x80, 0x60, 0x13, 0xbd, 0x57,
  0xec, 0x50, 0xa8, 0x48, 0xa5, 0x01, 0x2a, 0x02, 0xc0, 0x7a, 0xf4, 0xf6,
  0xa9, 0x4a, 0x0f, 0xea, 0x29, 0xb7, 0x5d, 0xf0, 0x72, 0xd6, 0x82, 0x2c,
  0xf7, 0x6e, 0xe7, 0x83, 0x21, 0xb3, 0x2a, 0xfc, 0xbd, 0x36, 0xed, 0xe9,
  0xb8, 0x23, 0xc0, 0xa4, 0x69, 0xeb, 0x6c, 0xf4, 0x5d, 0x55, 0x0c, 0xb7,
  0xaa, 0x05, 0x7c, 0xcb, 0x18, 0x66, 0xb6, 0x68, 0xb5, 0x09, 0x79, 0x21,
  0x82, 0x3c, 0xcb, 0x48, 0x94, 0xf6, 0xae, 0xdf, 0xec, 0xd7, 0x98, 0xcb,
  0x37, 0x84, 0xe6, 0xe3, 0x6a, 0x4b, 0x00, 0x58, 0xd6, 0xa0, 0x6c, 0x6e,
  0x21, 0x27, 0x87, 0x9b, 0xb3, 0xa5, 0xa5, 0x1f, 0x42, 0x34, 0xfa, 0xea,
  0x74, 0xc8, 0x23, 0xf3, 0x1c, 0xaf, 0x1b, 0xe3, 0xda, 0x8e, 0x72, 0x51,
  0xd2, 0xed, 0x1e, 0x2f, 0xf8, 0x59, 0x61, 0x98, 0x1e, 0xc5, 0xe3, 0x25,
  0xcd, 0xbf, 0x9f, 0x51, 0xde, 0xdd, 0x52, 0xce, 0xa1, 0xe4, 0x9c, 0x5b,
  0x41, 0x18, 0x1d, 0xd6, 0xac, 0x1c, 0xb0, 0xd3, 0xd4, 0x07, 0x57, 0x0a,
  0x32, 0x43, 0x37, 0x85, 0xcb, 0x31, 0xa1, 0x63, 0x8e, 0x73, 0xc7, 0x3a,
  0xa3, 0x40, 0x66, 0x1e, 0x7f, 0x44, 0x5c, 0x12, 0xf1, 0x45, 0xf6, 0x6f,
  0xb5, 0x30, 0xa8, 0x06, 0xcb, 0xcc, 0x6f, 0xd0, 0xf2, 0xe4, 0x6a, 0xa0,
  0xd3, 0x06, 0x5d, 0x51, 0xe7, 0x67, 0x84, 0x33, 0xf5, 0x87, 0xa4, 0xd0,
  0xdc, 0xd2, 0xa7, 0xda, 0xab, 0xaf, 0x01, 0x67, 0xef, 0xea, 0x75, 0x8b,
  0xb7, 0x59, 0xd6, 0x08, 0x19, 0xb9, 0xc5, 0xaf, 0x49, 0xcf, 0x92, 0xe4,
  0x6b, 0xf0, 0xd1, 0xbd, 0x80, 0x4b, 0x94, 0x72, 0xb6, 0x26, 0xfe, 0xcd,
  0x31, 0x4b, 0xf6, 0x6d, 0x53, 0xfb, 0x18, 0x25, 0x2c, 0x0e, 0x39, 0x6d,
  0x92, 0x0b, 0xea, 0x0c, 0x81, 0x07, 0x73, 0x17, 0x85, 0xb8, 0xd7, 0xa3,
  0x26, 0xdc, 0xb4, 0x00, 0xb0, 0x70, 0x8f, 0xa6, 0x3a, 0xe7, 0x79, 0xa5,
  0x8f, 0xcc, 0x5a, 0x32, 0x6f, 0x5b, 0x17, 0x6e, 0xab, 0x9c, 0xf2, 0x8b,
  0xb6, 0x05, 0x77, 0x20, 0x72, 0x27, 0xb7, 0x85, 0xd9, 0xce, 0x81, 0x24,
  0x67, 0x1d, 0xc7, 0xab, 0x27, 0x43, 0xf7, 0x05, 0xf6, 0xd2, 0x57, 0xaf,
  0x2a, 0xc2, 0x2c, 0x6a, 0xcf, 0xd0, 0x93, 0x96, 0x6b, 0xaa, 0x93, 0xed,
  0x40, 0x48, 0xfb, 0x8b, 0x75, 0x8b, 0x0a, 0xa9, 0x11, 0x10, 0x3d, 0xcb,
  0xb1, 0x0b, 0xa6, 0xca, 0xdd, 0x36, 0xb2, 0x68, 0xfd, 0xf3, 0xbb, 0x71,
  0x9b, 0x5f, 0x47, 0x2b, 0x6f, 0x27, 0x0e, 0x9e, 0x31, 0x7f, 0x49, 0x63,
  0xc6, 0xe3, 0xb2, 0xc0, 0xa6, 0x3c, 0x07, 0xd1, 0xdb, 0xd0, 0x11, 0x0e,
  0xa7, 0xb8, 0x1c, 0x79, 0x41, 0xe0, 0x56, 0xc2, 0x28, 0xc0, 0xfa, 0xd3,
  0x5d, 0xd9, 0xe1, 0x97, 0x5b, 0x76, 0xe8, 0x7c, 0xd9, 0x50, 0x45, 0x09,
  0xfd, 0xb6, 0x49, 0xfe, 0x66, 0xb1, 0xda, 0x01, 0x79, 0x96, 0x80, 0xfe,
  0x17, 0xb4, 0x25, 0x84, 0x12, 0x39, 0x85, 0xe6, 0x51, 0xc3, 0xa7, 0xbe,
  0x56, 0x2c, 0xc1, 0x4c, 0x79, 0xf3, 0x61, 0x15, 0x40, 0x0a, 0xc3, 0x72,
  0x88, 0xe6, 0x18, 0x38, 0xe0, 0xcc, 0x66, 0x45, 0x6c, 0xc3, 0x58, 0xb4,
  0xf2, 0x5e, 0x3d, 0x82, 0x47, 0x42, 0x86, 0x61, 0x95, 0x7e, 0xdd, 0x97,
  0x18, 0x65, 0xcc, 0xe2, 0x73, 0x77, 0x86, 0x2c, 0xf4, 0x74, 0xc7, 0x0b,
  0x2e, 0xb9, 0x3d, 0xfe, 0x64, 0xee, 0xc3, 0x32, 0x6b, 0xa0, 0x57, 0xf9,
  0xfb, 0x43, 0x22, 0x9b, 0x35, 0xe0, 0xd2, 0x08, 0xb7, 0x61, 0xf5, 0x13,
  0x79, 0x55, 0x9e, 0x13, 0xc3, 0x8f, 0x07, 0x8a, 0x08, 0xa5, 0x0f, 0x0f,
  0xbf, 0x8b, 0x65, 0xb2, 0x8e, 0xe0, 0x59, 0xa9, 0xe8, 0x3c, 0x59, 0x3a,
  0x3d, 0xfa, 0xf7, 0x6d, 0x41, 0x94, 0x2b, 0x0c, 0xb7, 0x17, 0x68, 0x95,
  0xdc, 0x62, 0x5c, 0xc9, 0xb2, 0x22, 0x84, 0x9f, 0xdf, 0x89, 0xe6, 0x03,
  0xc7, 0x1d, 0x2f, 0xcb, 0x22, 0x3d, 0xc3, 0xad, 0xb5, 0x20, 0x62, 0x20,
  0x63, 0x36, 0xcd, 0x02, 0x2b, 0x38, 0xd4, 0xba, 0x5a, 0x05, 0x68, 0x5a,
  0x7a, 0x57, 0x96, 0x7f, 0x13, 0x52, 0xe0, 0x59, 0xf5, 0xa4, 0xe2, 0x48,
  0x7c, 0x88, 0xaf, 0x52, 0x28, 0x78, 0xfb, 0x49, 0xfe, 0x88, 0xb8, 0x77,
  0xdf, 0x22, 0xab, 0x7c, 0x65, 0xe2, 0x76, 0xff, 0x6c, 0x3e, 0x22, 0xa8,
  0xf4, 0xe6, 0xce, 0x65, 0x67, 0x8b, 0x68, 0x7d, 0x72, 0x39, 0x6f, 0x56,
  0x4b, 0x18, 0x77, 0xf9, 0x59, 0xf7, 0xed, 0xfd, 0xf1, 0x70, 0x46, 0xc5,
  0xb3, 0x59, 0x4b, 0xab, 0xb6, 0xcb, 0xfb, 0x26, 0x0a, 0x00, 0x8d, 0xae,
  0xbb, 0xdf, 0x58, 0x84, 0xdc, 0x08, 0xbd, 0x81, 0x85, 0x42, 0xf4, 0x34,
  0x62, 0x32, 0xcf, 0x9b, 0x2f, 0x11, 0x25, 0xf1, 0x76, 0x3c, 0xf7, 0xe5,
  0x6f, 0x15, 0x36, 0x75, 0x42, 0xc9, 0x06, 0xaf, 0xf9, 0xd1, 0xbc, 0xfc,
  0xd4, 0xc6, 0x99, 0x1d, 0xc4, 0x28, 0xbf, 0x44, 0xf9, 0x85, 0x6a, 0x85,
  0xe4, 0xd8, 0xa9, 0x4c, 0x7b, 0xef, 0xe2, 0x8a, 0xdd, 0xc3, 0xd5, 0x24,
  0x8e, 0x83, 0xc8, 0xe4, 0xb5, 0xf3, 0x9b, 0xac, 0xa5, 0xf7, 0x95, 0x61,
  0x34, 0xcc, 0x00, 0x63, 0x71, 0x47, 0xe6, 0xf2, 0x4b, 0xe2, 0x09, 0x53,
  0xab, 0xf1, 0x53, 0xde, 0xfa, 0x7b, 0xb3, 0xc1, 0x07, 0x59, 0xa3, 0x77,
  0x69, 0xd8, 0xaa, 0xcc, 0xa6, 0xc7, 0xab, 0x30, 0xbc, 0x92, 0x8d, 0xc5,
  0x38, 0xfe, 0x79, 0xa5, 0xdd, 0xff, 0x8c, 0x22, 0x7a, 0x08, 0xf5, 0x4e,
  0xf6, 0x75, 0x67, 0xd5, 0xaa, 0xa9, 0xc9, 0xb0, 0x7e, 0x37, 0x75, 0xbd,
  0xca, 0x5c, 0xdc, 0x38, 0xc7, 0x60, 0xe7, 0x62, 0xd4, 0xe4, 0x72, 0x6a,
  0x00, 0xc7, 0xae, 0x76, 0x5a, 0x86, 0x4a, 0x62, 0x66, 0xe7, 0x6a, 0xb8,
  0xa4, 0x7b, 0x41, 0xd5, 0xde, 0x55, 0x0b, 0x63, 0x9a, 0x33, 0xac, 0xfe,
  0xc7, 0x7f, 0xb3, 0x10, 0x38, 0xb4, 0x98, 0x88, 0xb0, 0x56, 0x3e, 0x2b,
  0x08, 0x54, 0x9f, 0xef, 0x87, 0x6a, 0x69, 0x03, 0xa1, 0xd2, 0x39, 0x7b,
  0x0b, 0xa4, 0xef, 0x39, 0xcb, 0x6b, 0x7b, 0xd6, 0x8f, 0xb0, 0x8b, 0xd7,
  0x8c, 0x2b, 0xee, 0x1d, 0xd4, 0xaa, 0xc4, 0xc3, 0x7e, 0x3e, 0xdc, 0xa6,
  0xff, 0x8c, 0xf5, 0xd7, 0xd2, 0xe7, 0xab, 0x2d, 0x15, 0x0e, 0xe3, 0x99,
  0xa8, 0xe7, 0xc0, 0x52, 0x4f, 0x3e, 0x46, 0xc8, 0xb3, 0x5f, 0xcd, 0x7e,
  0x26, 0x89, 0x99, 0x86, 0x59, 0xb0, 0x8a, 0x7f, 0x83, 0x43, 0xec, 0xc3,
  0x8e, 0x82, 0x5a, 0x33, 0xdf, 0xd8, 0x50, 0x79, 0x73, 0xc4, 0x7e, 0xc9,
  0x47, 0x17, 0x6c, 0xef, 0xf7, 0x14, 0x10, 0x72, 0xa1, 0xd9, 0x1f, 0x3a,
  0x4c, 0xea, 0xb1, 0xff, 0x85, 0xd1, 0x71, 0x07, 0x4f, 0x96, 0x47, 0x26,
  0x59, 0xdc, 0x8c, 0xda, 0xf2, 0x0f, 0x47, 0x53, 0xcc, 0x96, 0x50, 0x56,
  0x27, 0xb0, 0x4f, 0xd3, 0x7b, 0x9b, 0xef, 0x3e, 0x6e, 0x6e, 0x72, 0x0c,
  0xfd, 0xc5, 0xa7, 0xba, 0x5d, 0x83, 0xff, 0x02, 0xa0, 0xdf, 0x17, 0xae,
  0xbc, 0x83, 0xc2, 0x2c, 0x84, 0x08, 0xcc, 0x7d, 0x84, 0x67, 0xf9, 0x51,
  0x29, 0x76, 0x1d, 0x4a, 0x28, 0x4a, 0xec, 0x78, 0xbe, 0x48, 0x26, 0x17,
  0x7b, 0x43, 0x30, 0x48, 0x4a, 0xb1, 0x42, 0x11, 0xec, 0x0b, 0xc4, 0xf1,
  0x39, 0x28, 0x59, 0x4a, 0x7c, 0xef, 0xf2, 0x9e, 0xf2, 0xa2, 0x12, 0x16,
  0xfa, 0xe9, 0x5d, 0x7a, 0x89, 0x73, 0x6f, 0x5b, 0xb7, 0x57, 0x8c, 0x4a,
  0x0a, 0x81, 0xa7, 0x42, 0xf4, 0xf9, 0xa6, 0x7d, 0xf5, 0x7a, 0x51, 0x07,
  0x5e, 0x04, 0x51, 0x44, 0xcb, 0x19, 0xc1, 0xc7, 0x42, 0xbd, 0x0f, 0xe2,
  0x0b, 0x04, 0x0e, 0x3e, 0xc1, 0x78, 0xa6, 0x62, 0xcb, 0xd5, 0x54, 0x02,
  0x13, 0x60, 0xd7, 0x28, 0xba, 0x37, 0x72, 0xcc, 0x77, 0xa8, 0xb7, 0xe8,
  0x18, 0x26, 0x15, 0x7f, 0xd1, 0xd9, 0x1a, 0x18, 0xec, 0x88, 0x95, 0xb2,
  0x7f, 0xdf, 0x7b, 0xb4, 0x1f, 0x3c, 0xce, 0x89, 0xac, 0xeb, 0x2a, 0x40,
  0x1b, 0x76, 0x03, 0xb6, 0xa0, 0x76, 0xf4, 0x6d, 0x6c, 0xd6, 0xe2, 0xb8,
  0x7c, 0xdd, 0x20, 0x1e, 0x8d, 0xb4, 0x54, 0x5e, 0x2a, 0xe9, 0x85, 0x66,
  0x64, 0xf6, 0x36, 0xd0, 0x66, 0x70, 0x4c, 0xad, 0xcc, 0x94, 0x6e, 0xe3,
  0x3c, 0x3d, 0xca, 0x9b, 0xb5, 0xdb, 0x3f, 0x35, 0x79, 0x4d, 0x06, 0xc5,
  0x23, 0x45, 0x61, 0xd9, 0xbb, 0x35, 0x83, 0x2a, 0x28, 0x85, 0x22, 0x52,
  0xf8, 0x86, 0xd2, 0xd5, 0xb9, 0x60, 0x62, 0x41, 0x76, 0x2d, 0x6e, 0xde,
  0x52, 0x9a, 0xb7, 0x77, 0xad, 0xb3, 0x33, 0x80, 0x9c, 0x4c, 0x8e, 0xe9,
  0xcc, 0x24, 0x4d, 0xcc, 0xd1, 0x0c, 0xa9, 0xb2, 0x8c, 0x49, 0x4f, 0x1a,
  0xe1, 0xc8, 0xbf, 0xf2, 0xa7, 0x92, 0x1a, 0x10, 0x17, 0x8b, 0xa5, 0x2d,
  0xe8, 0xb6, 0x08, 0x36, 0xb2, 0x56, 0x1a, 0x42, 0x70, 0x1f, 0x47, 0x91,
  0x2f, 0xc0, 0xdb, 0xa0, 0x13, 0xdd, 0x88, 0xaf, 0x3f, 0x19, 0xa3, 0x03,
  0x5e, 0x34, 0xc0, 0x1c, 0xd0, 0x28, 0x60, 0x9b, 0x27, 0xc8, 0x42, 0xe5,
  0x0e, 0xeb, 0x97, 0xdf, 0x59, 0xe5, 0xfb, 0x4d, 0xb6, 0x61, 0xd1, 0x93,
  0x82, 0x35, 0xba, 0x28, 0x6e, 0xb4, 0xe7, 0x2c, 0x64, 0x08, 0x18, 0xf2,
  0x3f, 0xf2, 0x71, 0x2d, 0x7d, 0x9d, 0xc2, 0x1c, 0xac, 0x72, 0xa3, 0x54,
  0xe1, 0x49, 0xb5, 0xdb, 0xef, 0xbb, 0x1a, 0x25, 0xa6, 0x70, 0x6f, 0x5d,
  0xd7, 0xd7, 0xc5, 0xea, 0x7a, 0x56, 0x6d, 0x29, 0xc4, 0x5b, 0xfb, 0x34,
  0x63, 0x3d, 0x98, 0xc7, 0x56, 0x77, 0x7b, 0xdf, 0x17, 0xde, 0xc8, 0x61,
  0x9c, 0x0f, 0x2b, 0xf5, 0xe5, 0x80, 0xd5, 0xa4, 0x12, 0x5c, 0x67, 0x5f,
  0x99, 0x0b, 0xd0, 0xac, 0x9b, 0x57, 0x12, 0xa4, 0x69, 0x12, 0x2f, 0x6b,
  0xb3, 0x79, 0x7d, 0xb1, 0xfc, 0xe2, 0xd2, 0x83, 0x0d, 0x5e, 0x83, 0xa7,
  0x0d, 0xf0, 0x01, 0x8f, 0xc5, 0x73, 0x09, 0xbb, 0x03, 0x2f, 0x0f, 0x32,
  0xcd, 0xcf, 0xb0, 0xad, 0xdd, 0xfc, 0xa3, 0x5d, 0x80, 0x94, 0x1e, 0xdd,
  0x27, 0x36, 0x45, 0xe4, 0x71, 0xe2, 0x49, 0xb4, 0x1f, 0x3d, 0xff, 0x20,
  0x8b, 0x14, 0xd7, 0x29, 0x24, 0xb8, 0xc3, 0x75, 0x0f, 0x6f, 0x2c, 0xbd,
  0x39, 0x0f, 0x48, 0x8b, 0x71, 0x24, 0x06, 0x30, 0xc3, 0xb7, 0xe7, 0x7b,
  0xc0, 0x55, 0x7e, 0x50, 0x61, 0xad, 0x7a, 0x27, 0xc4, 0xde, 0x81, 0x0b,
  0x59, 0xb3, 0xf7, 0xb1, 0xb1, 0x2d, 0x1f, 0x5b, 0x98, 0x30, 0xe8, 0xcc,
  0x6b, 0xfd, 0x4a, 0xae, 0x5c, 0x04, 0x89, 0xae, 0x24, 0x7e, 0xd5, 0xb3,
  0xe0, 0xa4, 0x56, 0x88, 0x3d, 0x58, 0xa5, 0x8f, 0xd4, 0x4b, 0xd4, 0xd2,
  0x56, 0xb9, 0x6a, 0x15, 0x3e, 0xa8, 0xdf, 0xc1, 0x44, 0xb2, 0x38, 0x1e,
  0xbc, 0xb1, 0xf5, 0x3f, 0x45, 0xf4, 0xdc, 0x40, 0x4d, 0x4f, 0x03, 0x52,
  0x3c, 0xa4, 0x57, 0xb1, 0x5c, 0xa0, 0x82, 0xa0, 0x47, 0x43, 0x35, 0x1e,
  0x9e, 0xbb, 0x49, 0x32, 0xa6, 0x82, 0x8e, 0x53, 0x58, 0x93, 0x3a, 0x25,
  0x7c, 0xd1, 0xa8, 0xe4, 0x54, 0xda, 0x54, 0x8a, 0x8b, 0xbd, 0x43, 0x98,
  0x13, 0xb5, 0x9a, 0x54, 0xee, 0xc4, 0x64, 0x8e, 0x19, 0x05, 0xfa, 0xad,
  0x8d, 0xd7, 0x6b, 0xae, 0x22, 0xbd, 0x3f, 0xb9, 0x4f, 0x2f, 0xf5, 0xfa,
  0x69, 0xb4, 0xf9, 0xce, 0xe5, 0x1f, 0x7e, 0x17, 0x98, 0x7e, 0x1c, 0x91,
  0x29, 0xd3, 0xfc, 0xee, 0xf9, 0xb3, 0x91, 0x1c, 0x59, 0x9e, 0xa6, 0x10,
  0x18, 0x5f, 0x7b, 0xa1, 0x3e, 0xb0, 0x27, 0x95, 0x9f, 0x8a, 0xa6, 0x55,
  0xaa, 0x75, 0x01, 0x85, 0xfb, 0x94, 0xa5, 0xad, 0xd6, 0x59, 0x2d, 0xfb,
  0xcf, 0x0a, 0xf8, 0x98, 0xb8, 0x89, 0x1e, 0x85, 0x69, 0x3b, 0x9c, 0xa5,
  0x50, 0x73, 0x8b, 0xc9, 0x88, 0x23, 0x1d, 0xa6, 0x58, 0x65, 0xdb, 0x68,
  0x29, 0xb9, 0x95, 0xd3, 0xab, 0x21, 0x1a, 0xb9, 0x80, 0x96, 0x24, 0xce,
  0xf0, 0x8f, 0x30, 0x76, 0xc1, 0xcd, 0xb5, 0xb5, 0x13, 0xb8, 0xad, 0x7f,
  0x62, 0x59, 0xb6, 0x07, 0x77, 0xec, 0xf6, 0x38, 0xa6, 0xeb, 0x9c, 0xff,
  0x89, 0x8f, 0x43, 0x6d, 0x58, 0xd5, 0xdd, 0xf4, 0xdd, 0xea, 0xa5, 0x0b,
  0x86, 0xc9, 0x1d, 0x57, 0x9b, 0x7e, 0x12, 0x16, 0xfe, 0x9a, 0x50, 0xf4,
  0xa3, 0x24, 0x47, 0x01, 0x7f, 0x5e, 0x5e, 0x4a, 0x5c, 0xc5, 0x3a, 0x17,
  0x3a, 0xfa, 0x18, 0x37, 0xb6, 0xc4, 0x92, 0xed, 0x9c, 0x3d, 0x5f, 0xbf,
  0xfc, 0x10, 0xf1, 0xfc, 0x95, 0x74, 0xc9, 0xa6, 0xe5, 0x4a, 0xdf, 0xef,
  0xf1, 0xa5, 0x18, 0x6a, 0x10, 0x4b, 0xaa, 0x6c, 0x6a, 0xb1, 0x6b, 0x6e,
  0xdc, 0x8d, 0xb2, 0x92, 0x5e, 0xdb, 0x42, 0x7e, 0xbb, 0xf8, 0x29, 0xf5,
  0x0c, 0x49, 0x74, 0x6a, 0xd7, 0x8e, 0xb4, 0x83, 0x1f, 0xb6, 0x1d, 0x04,
  0xe4, 0x37, 0xe9, 0x07, 0x8b, 0xf3, 0xea, 0xed, 0x47, 0x98, 0xb2, 0xf7,
  0x54, 0x67, 0x98, 0x26, 0xad, 0xf3, 0x2f, 0x79, 0x67, 0xff, 0xd4, 0x04,
  0x3a, 0xde, 0xd0, 0xa7, 0x03, 0x27, 0xcc, 0x1e, 0xc8, 0x13, 0x40, 0xc9,
  0x08, 0x70, 0x3e, 0xc9, 0xf7, 0x80, 0x98, 0xcb, 0xcf, 0xfb, 0x6f, 0xcb,
  0xeb, 0x3c, 0xa0, 0xcc, 0x14, 0xa6, 0x7b, 0x75, 0xb5, 0xe6, 0x69, 0xa4,
  0x5c, 0x82, 0x8b, 0xfa, 0xd1, 0x2f, 0xfe, 0xf0, 0x5d, 0x2c, 0x84, 0x47,
  0x91, 0x0c, 0x89, 0x14, 0x74, 0x3b, 0x97, 0x2d, 0xff, 0xa1, 0x21, 0xd0,
  0x4b, 0x9e, 0xd4, 0x1c, 0x2e, 0x34, 0x33, 0x08, 0x9e, 0x2f, 0x99, 0xc0,
  0x5a, 0x1c, 0x99, 0x05, 0x7b, 0x71, 0x60, 0x49, 0x9c, 0x5c, 0xb9, 0x3e,
  0xd3, 0x09, 0x4d, 0x2b, 0xb6, 0x09, 0x77, 0xfa, 0x85, 0x70, 0xa1, 0x81,
  0x40, 0x63, 0x27, 0xa6, 0xc5, 0xd9, 0x6b, 0x8d, 0x5b, 0xef, 0x54, 0x84,
  0xb1, 0xf2, 0xac, 0x07, 0xa9, 0x52, 0xdf, 0x38, 0x34, 0xf0, 0x84, 0x0b,
  0x09, 0x2a, 0xbf, 0xb6, 0xe1, 0x47, 0x40, 0xa5, 0x3c, 0x11, 0x38, 0x96,
  0x74, 0x2e, 0xb2, 0xb9, 0x37, 0xff, 0xac, 0xe8, 0x00, 0x9b, 0x01, 0x63,
  0x90, 0xd6, 0xf7, 0xd9, 0x01, 0xdb, 0x2d, 0x6f, 0x7d, 0x92, 0xd7, 0x94,
  0x99, 0xb5, 0x9b, 0xd9, 0x54, 0x54, 0xde, 0xdc, 0xa2, 0x4c, 0xf6, 0xc8,
  0xb9, 0x29, 0x00, 0xb4, 0xba, 0x0b, 0xf1, 0x0b, 0xc4, 0x62, 0x21, 0xf1,
  0x73, 0xf1, 0x9a, 0xae, 0x6f, 0x12, 0x78, 0x22, 0x68, 0x93, 0xf9, 0xcc,
  0x0a, 0xd4, 0x56, 0x5c, 0xd5, 0xd1, 0xfa, 0xf5, 0x83, 0x94, 0x50, 0x40,
  0x0f, 0x1a, 0xa7, 0x86, 0x99, 0x32, 0xe9, 0x37, 0x81, 0x5b, 0xdf, 0xc7,
  0x5a, 0x54, 0x96, 0x73, 0x99, 0xb3, 0x32, 0xc3, 0x7b, 0xe0, 0x5e, 0x9d,
  0x8e, 0x50, 0x62, 0x29, 0x43, 0xdb, 0x83, 0x55, 0xbc, 0xe6, 0xc7, 0x31,
  0x03, 0x79, 0x9a, 0x9a, 0x34, 0x2b, 0x9b, 0x24, 0xa0, 0xe3, 0xfe, 0x70,
  0x53, 0xf5, 0x1a, 0xa7, 0x22, 0x3c, 0x27, 0x1d, 0xb0, 0x08, 0x07, 0x40,
  0xe1, 0x7e, 0x1d, 0xf0, 0x42, 0x35, 0x99, 0x5c, 0xc3, 0xff, 0x89, 0x09,
  0xf1, 0xe9, 0x2c, 0x0e, 0xac, 0x2f, 0x59, 0xe4, 0x69, 0x93, 0xb7, 0x2e,
  0xb3, 0xd6, 0x6f, 0x44, 0x2a, 0x85, 0x64, 0xb6, 0x25, 0xc0, 0xc8, 0xc6,
  0xd3, 0x93, 0x62, 0x4a, 0x27, 0x8c, 0x09, 0xc1, 0x4e, 0xd3, 0xa2, 0x97,
  0x04, 0x29, 0xec, 0x5e, 0xa2, 0xd9, 0x7a, 0xd5, 0xb7, 0xc5, 0x0e, 0x39,
  0x19, 0x62, 0x22, 0xf6, 0xb0, 0xe3, 0xee, 0xfd, 0xe5, 0xd9, 0x46, 0xde,
  0x3d, 0xf7, 0x97, 0x00, 0x16, 0x0e, 0x44, 0x53, 0x7c, 0x47, 0x5f, 0x8b,
  0xa2, 0x96, 0xb7, 0x00, 0x8e, 0xe3, 0xd7, 0xaf, 0x24, 0xb1, 0x59, 0x9e,
  0x3b, 0x3b, 0x17, 0x85, 0x09, 0x06, 0x29, 0x5b, 0xa0, 0x64, 0xff, 0x11,
  0xf2, 0x8a, 0xa0, 0x76, 0xac, 0xc6, 0xf8, 0x0b, 0x08, 0xa9, 0xd4, 0x98,
  0x23, 0x24, 0xd1, 0xbc, 0x9c, 0xe4, 0x52, 0xf0, 0xc4, 0x77, 0xa3, 0xca,
  0xf4, 0x02, 0xf1, 0xa5, 0xc1, 0x56, 0x8b, 0x2f, 0x89, 0x7d, 0x4e, 0x55,
  0x10, 0xcc, 0xf1, 0x73, 0xad, 0xfb, 0xc4, 0x51, 0x7a, 0x48, 0xa8, 0x17,
  0x45, 0x78, 0x48, 0x4e, 0xab, 0x21, 0x53, 0x1f, 0x1b, 0x36, 0x71, 0x17,
  0x9d, 0xc9, 0x62, 0x2f, 0x4e, 0x6e, 0x8c, 0x66, 0x6d, 0x7b, 0x74, 0x0f,
  0x8a, 0xf9, 0x50, 0x4e, 0xfc, 0x4f, 0x93, 0xc5, 0xd2, 0xda, 0x63, 0xe8,
  0x6e, 0x46, 0xb6, 0xe8, 0xac, 0xe0, 0x9c, 0xac, 0x9f, 0xeb, 0xf2, 0x7e,
  0xe8, 0xb7, 0x13, 0x10, 0x63, 0xce, 0xe9, 0x79, 0x0d, 0x2f, 0xc3, 0x46,
  0x8c, 0x7f, 0xf0, 0x98, 0xcc, 0x0b, 0x20, 0xef, 0xd6, 0x30, 0xae, 0xbd,
  0x3b, 0xad, 0xc3, 0x67, 0xfe, 0x74, 0x82, 0xcc, 0x8c, 0x45, 0xa2, 0xbe,
  0xbc, 0xdd, 0xd8, 0x3d, 0xa6, 0x4d, 0x77, 0x50, 0xdf, 0x19, 0x84, 0x62,
  0x52, 0x04, 0x26, 0xbb, 0x9d, 0x42, 0x75, 0x9d, 0xc6, 0xd2, 0x89, 0xe4,
  0x4d, 0x6c, 0x6c, 0x86, 0x3c, 0xba, 0xe0, 0x2f, 0x3e, 0xde, 0x6a, 0x07,
  0x3a, 0x03, 0x6e, 0x96, 0x8a, 0x82, 0x54, 0x6d, 0x73, 0x7d, 0x2a, 0x00,
  0xcc, 0x99, 0xd2, 0x9a, 0x42, 0x9f, 0x57, 0xf1, 0x25, 0x51, 0x14, 0xfe,
  0xe1, 0x0b, 0x79, 0x2d, 0x5f, 0x18, 0xb4, 0xfe, 0x5a, 0xdd, 0x7c, 0x1f,
  0xc2, 0xd6, 0xce, 0xf6, 0x1a, 0x15, 0x4a, 0x18, 0xf0, 0x2c, 0x69, 0xc5,
  0x53, 0xb4, 0x4e, 0xcb, 0x2f, 0xc6, 0xfa, 0x46, 0x88, 0xa2, 0x93, 0xb2,
  0x8c, 0xe3, 0x74, 0xb1, 0x04, 0xed, 0xa2, 0xf2, 0xe2, 0xb7, 0x17, 0x1b,
  0x92, 0x42, 0xfb, 0x3f, 0xf4, 0x8a, 0x94, 0x24, 0xbf, 0x96, 0xa4, 0xac,
  0x70, 0x48, 0x31, 0xe6, 0xc0, 0xec, 0xda, 0xa7, 0xfd, 0xd3, 0xfc, 0x41,
  0x2f, 0x4f, 0x86, 0x86, 0xed, 0xf7, 0xa3, 0x9e, 0x44, 0xb5, 0x95, 0xa8,
  0x84, 0x2d, 0x7b, 0x73, 0xc1, 0x31, 0xac, 0x50, 0x3a, 0xf8, 0xd3, 0x1b,
  0x66, 0x0e, 0x74, 0xa7, 0xbf, 0x67, 0x51, 0x0e, 0xed, 0x1a, 0x34, 0x4f,
  0x79, 0x86, 0x38, 0x65, 0x05, 0xdc, 0x35, 0x3d, 0x01, 0xa4, 0x84, 0xa9,
  0x08, 0x2e, 0xa3, 0x9e, 0x2a, 0xa9, 0xc8, 0xa6, 0x70, 0xea, 0x30, 0xf5,
  0x9b, 0x33, 0x05, 0xb0, 0xf7, 0x9d, 0x78, 0x95, 0x2c, 0x95, 0xf5, 0x4e,
  0x57, 0x65, 0xe7, 0x88, 0x10, 0x82, 0xa6, 0xcd, 0xf5, 0xa9, 0x48, 0x22,
  0xe3, 0xf8, 0xe6, 0x4b, 0x03, 0x30, 0x38, 0x80, 0x10, 0x27, 0x2d, 0x14,
  0xe0, 0x17, 0x91, 0x27, 0x35, 0x1d, 0xa3, 0xf2, 0xd2, 0x98, 0x94, 0x52,
  0x52, 0xfc, 0xfd, 0x8e, 0xa7, 0xe4, 0x1d, 0xa5, 0x0a, 0x2a, 0x15, 0x20,
  0x79, 0xdf, 0x40, 0x5a, 0xec, 0xc0, 0x89, 0x4a, 0x6e, 0xb5, 0xc0, 0x1d,
  0xda, 0x39, 0xcf, 0xb9, 0x13, 0xc9, 0x33, 0xc1, 0x0d, 0x35, 0xb8, 0xfa,
  0x88, 0xce, 0xec, 0x0c, 0xbd, 0x4e, 0x80, 0xde, 0x6f, 0xe2, 0x5e, 0xfa,
  0xb6, 0x24, 0x1b, 0x80, 0x09, 0x52, 0xe0, 0xfd, 0xd9, 0x9e, 0x0e, 0xfa,
  0xb2, 0x76, 0xe1, 0x72, 0x52, 0x83, 0xd7, 0xf0, 0xcc, 0xdf, 0x68, 0x9b,
  0x4e, 0x63, 0x50, 0xab, 0xb3, 0x9c, 0x59, 0xd1, 0x7c, 0x34, 0xa7, 0xe2,
  0xb3, 0x09, 0xa2, 0xe6, 0x0c, 0x79, 0x2f, 0xb9, 0x6a, 0x74, 0xec, 0x91,
  0xe0, 0x03, 0xab, 0xcd, 0x80, 0xff, 0x26, 0x6c, 0x9e, 0x13, 0x4f, 0x77,
  0x14, 0xe6, 0xf6, 0xe3, 0xa7, 0xbb, 0x9e, 0xfb, 0x18, 0x38, 0x80, 0x64,
  0x60, 0x68, 0x83, 0xab, 0xc4, 0xbb, 0x1d, 0x8f, 0x01, 0xdb, 0x9a, 0x29,
  0xa2, 0x31, 0x97, 0x51, 0x2c, 0x4c, 0x92, 0x19, 0x4f, 0x25, 0x1b, 0x16,
  0x90, 0x94, 0x21, 0xad, 0xef, 0x5e, 0xa3, 0xeb, 0x13, 0x9f, 0xe1, 0xde,
  0x95, 0x83, 0x8f, 0x46, 0xcd, 0x78, 0x59, 0x53, 0xb6, 0xbe, 0x0b, 0xa3,
  0xbf, 0xe4, 0xf3, 0x14, 0x20, 0x7d, 0xef, 0xbb, 0x47, 0x37, 0xee, 0xd5,
  0x31, 0x34, 0x52, 0x57, 0x2c, 0x0d, 0xe4, 0xa6, 0xcc, 0x1c, 0x94, 0xd6,
  0x3e, 0x54, 0x80, 0x94, 0xca, 0x57, 0x1c, 0xa3, 0x99, 0x36, 0x40, 0x89,
  0x10, 0x61, 0x0d, 0xbe, 0xce, 0xf1, 0x23, 0x1b, 0xf3, 0xfa, 0x8f, 0x61,
  0xa5, 0x71, 0xac, 0x51, 0xfb, 0x88, 0xcd, 0x62, 0xa7, 0x8d, 0x2d, 0xe0,
  0x59, 0xee, 0x5e, 0x26, 0xc4, 0x31, 0xf4, 0xed, 0x51, 0x1f, 0x60, 0x11,
  0xa3, 0xfd, 0xe0, 0xa2, 0x35, 0xa0, 0x91, 0xcf, 0x45, 0x1c, 0xcf, 0xdc,
  0x64, 0xfb, 0x6c, 0xc4, 0xd4, 0x9f, 0x54, 0x2b, 0x4b, 0x9f, 0x5e, 0x3f,
  0x00, 0x1e, 0xb0, 0x40, 0xf2, 0x04, 0xe8, 0x55, 0xe6, 0x2b, 0xba, 0x28,
  0xc0, 0xbf, 0xf2, 0xaf, 0x00, 0x50, 0x5b, 0xf9, 0xee, 0x94, 0x4e, 0x27,
  0x46, 0x7a, 0x35, 0xed, 0x22, 0x50, 0xe0, 0x5d, 0xe8, 0x87, 0x3d, 0x6c,
  0x84, 0x92, 0xec, 0xb5, 0xa0, 0x40, 0xed, 0xa7, 0x4e, 0x2e, 0x52, 0xba,
  0x18, 0xaa, 0xb9, 0x66, 0xa9, 0xf2, 0x41, 0x65, 0xd1, 0x3d, 0x12, 0x13,
  0xb7, 0xe4, 0x00, 0x17, 0x53, 0x07, 0x6b, 0x43, 0x78, 0x95, 0xaf, 0x09,
  0x18, 0x7d, 0x13, 0x42, 0xb4, 0xcc, 0x3f, 0x36, 0x55, 0xa9, 0x26, 0xba,
  0xae, 0xea, 0xb4, 0xae, 0x3e, 0x06, 0x61, 0x3c, 0x71, 0x89, 0xbb, 0x9b,
  0xa9, 0x42, 0x66, 0x96, 0xbb, 0x50, 0x8d, 0x4d, 0xc8, 0x39, 0x2e, 0x5d,
  0xed, 0x81, 0xaf, 0xcf, 0x27, 0xcb, 0x61, 0x1e, 0x2f, 0xb5, 0x2f, 0x67,
  0xe4, 0x64, 0xa4, 0xe2, 0xd7, 0xf7, 0xcc, 0xcf, 0x6c, 0x05, 0xf0, 0x16,
  0xea, 0x44, 0x6c, 0x71, 0x93, 0x0e, 0x84, 0xda, 0xee, 0x15, 0x84, 0xed,
  0x2f, 0x40, 0xdf, 0x96, 0x3a, 0x09, 0xa9, 0xcb, 0x6a, 0x7c, 0x7d, 0x91,
  0x9e, 0x7e, 0xb2, 0x9c, 0xbc, 0xa0, 0xb0, 0xf7, 0x4e, 0xcf, 0x3c, 0x6d,
  0x2f, 0x09, 0xc5, 0x2c, 0x10, 0x22, 0x69, 0x48, 0xe1, 0x0d, 0x17, 0xf6,
  0x37, 0xce, 0x5a, 0x02, 0x2a, 0x01, 0x51, 0x11, 0x03, 0x87, 0x72, 0x0e,
  0x69, 0x5d, 0x12, 0x38, 0x87, 0xbf, 0x5d, 0x8b, 0xa0, 0x91, 0xca, 0x52,
  0xa1, 0x3e, 0x92, 0x1a, 0xa7, 0xac, 0xa6, 0xe5, 0xb2, 0x0f, 0xf5, 0xbe,
  0xfb, 0x94, 0xd0, 0x19, 0x30, 0x6d, 0x6c, 0xdd, 0x04, 0xe3, 0x2d, 0xb7,
  0xd9, 0xa7, 0x9e, 0x6f, 0xc0, 0x10, 0x64, 0x5f, 0xd6, 0xf7, 0x37, 0x2a,
  0x1b, 0x70, 0xb8, 0xb3, 0x95, 0x9a, 0x96, 0xd3, 0x88, 0x07, 0x29, 0x30,
  0x1e, 0x82, 0xfc, 0x37, 0x41, 0x36, 0xec, 0x3a, 0x91, 0x39, 0x6f, 0x7d,
  0x26, 0x68, 0x55, 0x1b, 0x00
};
/* Size without added null byte */
static const size_t __turbine_tcl_resource_staticapp_bundled_1_2_data_len = sizeof(__turbine_tcl_resource_staticapp_bundled_1_2_data) - 1;


/*
  Local Variables:
  mode: c
  End:
*/
